# C 程序：使用三边求三角形面积

> 原文：<https://learnetutorials.com/c-programming/programs/find-triangle-area>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 操作员](../../c-programming/operators "operators in C program")
*   [C 编程基本语法](../../c-programming/c-basic-syntax "C programming basic syntax")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 如何求三角形的面积

这里我们解释一下如何编写一个 C 程序来寻找一个有三条边的三角形区域。三角形可以根据形状和属性分为不同的类型。其中重要的有等边三角形、等腰三角形、直角三角形。在这种情况下，我们使用一个法向三角形来寻找它的面积。在这个 C 程序中，我们使用“`stdio`”、“`conio`”和“`math`”头文件将一些标准库包含到程序中。主功能启动后，在**主**里面，我们正在做整个程序。

在这种情况下，我们使用下面的等式来找到三角形的面积。

**面积= sqrt[s(s-a)*(s-b)*(s-c)]** ，其中 **s = (a+b+c)/2** 其中 **a** 、 **b** 、 **c** 为三角形的三条边。

## 三角形面积计算如何在 C 程序中实现

我们使用`int`数据类型定义每个变量，并接受用户的输入以获得三角形边的值。下面给出了在 C 程序中查找该区域的步骤。在这个 C 程序中，我们使用`scanf`和`printf` 方法接受用户的值，并计算“ **S** 的值，该值在主公式中用于查找三角形面积。最后，应用主公式并打印结果。

## 算法

**STEP 1** :包含 C 编程中使用的头文件，使用程序内部的一些内置功能，如`stdio.h`、`conio.h`、`math.h`

**STEP 2** :打开**主()**启动程序，C 程序执行从**主()**开始

**第三步**:使用`printf`和`scanf`内置函数从用户处接受三角形的边，并将值存储在变量中。

**STEP 4** :用公式 **a+b+c /2** 计算 **S** 的值

**STEP 5** :使用我们在描述中提到的公式计算面积。

**STEP 6** :使用`printf`方法打印 C 编程中区域的值。

## c 源代码

```c
#include <stdio.h>
#include <math.h>

void main() {
  int s, a, b, c, area; // defines the variables.
  printf("Enter the values of a,b and c\n");
  scanf("%d %d %d", & a, & b, & c);

  /* compute s*/

  s = (a + b + c) / 2;
  area = sqrt(s * (s - a) * (s - b) * (s - c));
  printf("Area of a triangle = %d\n", area);
}

```

## 输出

```c
Enter the values of a,b and c

3
4
5
Area of a triangle = 6 
```