# C 程序：求给定半径的圆面积

> 原文：<https://learnetutorials.com/c-programming/programs/find-circle-area>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 中的字面值和常量](../../c-programming/constants-literals)
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 如何求圆的面积

在这个 C 程序中，我们需要找到给定半径的圆的面积。圆是没有角的形状，圆的面积用公式计算，**π* r * * 2**，其中， **r** 为半径。圆的半径是直径的一半。
我们举一个直径为 4 的圆的例子。这意味着圆在最长的点之间有 4 厘米长。那么半径将是 2。那么该圆的面积将是“ **pi * 2**2** ”，即“ **pi * 4** ”，即 12.5。

## 如何用 C 程序计算圆的面积

让我们检查一下如何在 C 程序中实现上述逻辑。导入头文件，如“`stdio`”、“`conio`”和“`math.h`”，以使用头库中定义的内置函数。我们正在定义“ **pi** 的值，我们通过接受用户的半径值并使用`Float`数据类型将该值保存在变量中来启动主程序，然后我们应用公式“ **pi * r **2** ，并使用`Printf`语句将结果打印为圆的一个区域。

## 算法

**STEP 1:** 将头文件库导入 C 程序，使用`stdio`、`conio`、`math.h`等内置功能。

**STEP 2:** 使用 C 编程语法将“ **pi** 的值定义为“ **3.14** ”。

**STEP 3:** 打开**主()**用 C 语言启动程序。

**步骤 4:** 使用`float`数据类型初始化半径和面积变量后，使用 c 中的`printf`和`scanf`函数接受用户的半径值

**步骤 5:** 使用公式“**pi * r * * 2”**计算圆的面积。

**第 6 步:**使用`printf`语句打印结果，这里我们使用 **5.2f** ，它在浮点数据类型中增加了精度。也就是说它只打印那么多的十进制值。

## c 源代码

```c
#include <stdio.h>
#include <math.h>
#define PI 3.142

void main()
{
     float radius, area;
     printf("Enter the radius of a circle\n");
     scanf ("%f", & radius);
     area = PI * pow (radius,2);
     printf ("Area of a circle = %5.2f\n", area);       
}

```

## 输出

```c
RUN 1
=======
Enter the radius of a circle
3.2
Area of a circle = 32.17

RUN 2
========
Enter the radius of a circle
6
Area of a circle = 113.11
```