# C 程序：计算简单利息

> 原文：<https://learnetutorials.com/c-programming/programs/simple-interest-calculation>

为了更好地理解这个 C 编程示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 操作员](../../c-programming/operators "operators in C")
*   [C 编程基本语法](../../c-programming/c-basic-syntax "C programming basic syntax")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 什么是单纯的兴趣？怎么算的？

这个 C 程序计算**单利**，给定**本金**、**利率**、**时间**。简单利息是我们从银行或其他金融机构获得一定本金后需要支付的利息。单利的计算公式为“ **si = p*n*r /100** ”。在哪里

*   **p** 为本金金额，
*   **n** 是年数。
*   **r** 是该金额的利率。

让我们举个例子来更好的理解，假设本金'为 1000，年数为 **5** ，利率为 **10** ，那么我们把单利计算为 **(1000 * 5 * 10)/100。= 500** ，也就是说我们要为 **5** 年支付 **500** 。同样，要计算半年期和季度期的简单利息，需要本金、利率和时间。

## 如何用 C 程序计算简单利息

现在让我们看看如何在 C 程序中使用这个逻辑。在接受用户对本金、利率和时间的输入后。我们将变量定义为`float`数据类型。在这个 C 程序中，我们使用 **5.2 f** 精度，其中 **5** 代表总位数， **2** 代表小数点位数。这是为了在简单的兴趣中获得更好的观看体验。

库函数`scanf`用于取三个值并存储在变量中。然后根据简单的利息公式，将这三个值相乘并除以 **100** ，将结果存储在变量 **si** 中；

## 算法

**第一步:**导入头库，使用 C 程序中的内置功能，如`stdio.h`、`conio.h`

**STEP 2:** 使用 **main()** 功能开始执行 C 程序。

**步骤 3:** 初始化本金、单利、利率和年数的一些变量，

**步骤 4:** 使用`stdio.h`库中的`printf`和`scanf`内置函数，接受用户提供的本金金额、利率和年数的值。我们以一定的精度使用`float`数据类型。

**第五步:**用公式 **p*n*r/100** 计算单利。

**步骤 6:** 借助`printf`函数和`float`数据类型，我们使用 C 程序语法打印 **p. n，r，**和简单利息的值。

## c 源代码

```c
#include <stdio.h>

void main() {

  float p, r, si;
  int t;
  printf("Enter the values of p,r and t\n");
  scanf("%f %f %d", & p, & r, & t);
  si = (p * r * t) / 100.0;
  printf("Amount = Rs. %5.2f", p);
  printf("Rate   = Rs. %5.2f\n", r);
  printf("Time   = %d years\n", t);
  printf("Simple interest  = %5.2f\n", si);

}

```

## 输出

```c
Enter the values of p,r, and t

2000
8
3
Amount = Rs. 2000.00
Rate   = Rs.  8.00%
Time   = 3 years
Simple interest  = 480.00 
```