# C 程序：检查一个数是奇数还是偶数

> 原文：<https://learnetutorials.com/c-programming/programs/check-odd-even-number>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 程序决策](../../c-programming/decision-making-statements "C programming decision making")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 如何检查奇数或偶数

这个 C 程序是检查一个数是奇数还是偶数。这个程序背后的逻辑是将数除以二，直到不能再除尽，然后检查余数，看是**零**还是**一**。为了在 C 语言中检查这一点，我们使用“ **MOD** 运算符”，该运算符将数字除以 **2** ，直到它不能被进一步整除。最后，如果余数为 1，则给定的数字为**奇数**否则**偶数**。

用户必须使用`printf`和`scanf`语句输入一个整数。现在我们使用 **Mod** 操作符检查余数是**零**还是**一**并打印输出。让我们举一些简单的例子来了解更多。

1.  #### 如果输入的数字是奇数:

    让输入的值为**‘a’= 5**。按照逻辑，我们描述的程序如果' **(a%2 = 0)'** ，那么 a 就是偶数否则就是奇数。这里' **a = 5'** ，那么我们有( **5%2 不等于零**，所以给定的数是奇数

2.  #### 如果输入的数字是偶数:

    让输入值' **a = 6** 。按照程序如果 **(a%2 == 0)** ，那么 a 就是偶数否则就是奇数。这里' **a = 6'** ，那么我们有( **6%2 = 0** ，所以给定的数是偶数。

## 如何用 C 程序检查奇数或偶数

让我们检查一下我们是如何在 C 语言中实现这个逻辑的，在导入头库之后，我们从用户那里接受这个数字，并将其保存到一个变量中。之后，我们使用 **mod** 运算符将该数除以 **2** ，并检查余数是否为**零**或未使用“`if`运算符”。如果余数为**零**，则打印其一个**偶数**号，否则为一个**奇数**号。

## 算法

**步骤 1:** 将头库导入 C 程序，使用内置函数。

**步骤 2:** 启动**主()**开始程序的执行，

**步骤 3:** 使用`int`数据类型初始化余数和用户输入值的变量。

**步骤 4:** 使用`printf`和`scanf`接受用户的数字，并将其保存在变量中。

**步骤 5:** 使用带有 **2** 的 **mod** 运算符，并将余数的值存储在变量中。

**步骤 6:** 使用 if 条件检查余数是否为**零**。如果余数为**零**则打印其一个**偶数**号，否则打印其一个**奇数**号。

## c 源代码

```c
#include <stdio.h>

void main() {

  int ival, remainder;
  printf("Enter an integer :");
  scanf("%d", & ival);
  remainder = ival % 2;
  if (remainder == 0)
    printf("%d, is an even integer\n", ival);
  else
    printf("%d, is an odd integer\n", ival);
}

```

## 输出

```c
Enter an integer:13
13, is an odd integer

RUN2

Enter an integer:24
24, is an even integer
```