# C 程序：检查一个数字是负数还是正数

> 原文：<https://learnetutorials.com/c-programming/programs/check-negative-positive-number>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序决策](../../c-programming/decision-making-statements "decision making statements")
*   [C 编程基本语法](../../c-programming/c-basic-syntax "C programming basic syntax")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 什么是正数和负数？

在这个 C 程序中，我们必须检查给定的数字是正数还是负数。正数是大于零的数字。正数只写数字，例如 **2，3，4** 等。负数是小于零的数字。负数前面写有减号。例如: **-8，-10** 等。

## 如何检查一个数字是正数还是负数？

寻找负数或正数的 C 程序逻辑非常简单。我们只需从用户那里获取输入的数字，并检查该数字是否大于零，如果大于零，则打印一个正数，否则打印一个负数。为此，导入一些头库，然后我们使用`if-else`条件语句来检查该数字是大于还是小于零。

我们正在使用`if-else ` C 语言语法检查数字是大于还是小于零。`if-else`语句的语法如下。

```c
If (test expression) 
{ 
    // codes inside the body of if 
}
else
{ 
   // codes inside the body of else
}

```

如果测试表达式为真，则执行 if 语句内部的代码，跳过 else 语句内部的代码，反之亦然。这样，`if-else`语句在 C 程序中工作。

## 算法

**STEP 1** :将所有需要的头库包含到 C 程序中，使用 C 程序内部的内置函数。

**步骤 2:** 使用主功能启动程序。C 程序以 **main()** 开始执行。

**步骤 3:** 使用`int`数据类型为数字定义变量。

**步骤 4:** 使用`printf`和`scanf`功能接受用户的数字，并将该数字保存在变量中。

**步骤 5:** 使用`if-else`条件检查数字是大于还是小于零。

**步骤 6:** 如果数字大于零，则打印数字为**正**，否则打印数字为**负**。

## c 源代码

```c
#include <stdio.h>

void main() {
  int number;
  printf("Enter a number\n");
  scanf("%d", & number);
  if (number > 0)
    printf("%d, is a positive number\n", number);
  else
    printf("%d, is a negative number\n", number);
}

```

## 输出

```c
Enter a number
-5
-5, is a negative number

RUN2

Enter a number
89
89, is a positive number
```