# C 程序：基本计算器

> 原文：<https://learnetutorials.com/c-programming/programs/calculator-program>

为了更好地理解这个 C 计算器程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

本教程提供了一个学习练习，帮助你用 C 语言制作一个简单的计算器程序。在 C 语言中，你可以创建一个简单的计算器，显示不同的**算术**运算。主要操作有

*   添加
*   减法
*   增加
*   组织。

所以要做一个计算器，我们需要一个选择来选择运算，然后做那个选择的运算来得到结果。

## 如何用 C 程序实现计算器？

是一个 C 程序，用于进行**加法**、**减法**、**乘法**、**除法**等数学计算。计算器 C 程序接受来自用户的两个数字以及计算的数学运算符。手术后，我们必须显示结果。为了在 C 语言中实现计算器程序，我们使用**开关**语句根据用户输入选择任何操作。基本**切换**语句有案例检查用户需要哪个案例。这里我们使用**“+”、“-”、“*”、“/”**，同样 switch 需要一个缺省情况，如果没有其他情况与 switch 情况匹配，则取缺省情况。开关情况的语法如下所示。

```c
 switch (n)
  {
     case constant 1:
           // code to be executed if n is equal to constant1;
     break;
     case constant 2:
           // code to be executed if n is equal to constant2;
     break;
     .
     .
     default:
          // code to be executed if n doesn't match any constant
  } 

```

在上面的代码中， **break** 语句用于防止代码运行到下一种情况。我们还使用 precision 运算符来计算浮点数，因为我们只需要显示一定程度的小数位。

## 算法

**第一步:**将头库导入 C 程序，使用`printf``scanf`等内置功能。

**步骤 2:** 使用`main()`功能开始程序执行。

**步骤 3:** 将操作定义为字符和数字，并将结果定义为`float`数据类型。

**步骤 4:** 使用`printf`和`scanf`内置函数接受用户的数字，并将其保存在变量中。

**第五步:**接受用户的操作者关于他必须做什么操作。

**步骤 6:** 使用`switch`案例操作选择用户输入的操作，并在`switch`语句中进行操作。

**步骤 7:** 在浮点运算中使用精度运算符，使用`float`数据类型打印结果。[指定所需的小数位数]。

## c 源代码

```c
#include <stdio.h>

void main() {
  char oper; /* oper is an operator to be selected */
  double n1, n2, result;
  printf("Simulation of a Simple Calculator\n\n"); //  /n for next line

   printf("Enter an operator (+, -, *, /): ");
  scanf("%c", & oper);
  printf("Enter two operands: ");
  scanf("%lf %lf", & n1, & n2);
  switch (oper) {
  case '+':
    result = n1 + n2; // switch case 1 for addition
    break;
  case '-':
    result = n1 - n2; // case 2 for subtraction
    break;
  case '*':
    result = n1 * n2;
    break;
  case '/':
    result = n1 / n2;
    break;
  default:
    printf("Error in operation\n"); // default switch case error in operation
    break;
  }
  printf("\n%5.2f %c %5.2f= %5.2f\n", n1, oper, n2, result); // prints the output of the c program
}

```

## 输出

```c
Simulation of Simple Calculator

Enter the operator [+,-,*,/]+
Enter two numbers
3 5

3.00 +  5.00=  8.00

RUN2

Simulation of Simple Calculator

Enter the operator [+,-,*,/]-
Enter two numbers
12.75
8.45

12.75 -  8.45=  4.30

RUN3

Simulation of Simple Calculator

Enter the operator [+,-,*,/]*
Enter two numbers
12 12

12.00 * 12.00= 144.00

RUN4

Simulation of Simple Calculator

Enter the operator [+,-,*,/]/
Enter two numbers
5
9

 5.00 /  9.00=  0.56
```