# C 程序：计算`N`个自然数之和

> 原文：<https://learnetutorials.com/c-programming/programs/natural-numbers-sum>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 如何求自然数的和

为了求解 **n 个**整数之和，我们必须编写一个 C 程序，使用从 **1** 到 **n** 的`for`循环。在使用算术序列的数学中，求**‘n’**个整数之和的等式是给定的“ **Sn = n/2*[2*a+(n-1)*d]** ”如果给定的数字是 **1+2+3+4，.......N** 。哪里，

*   **‘a’**是第一个术语
*   **‘d’**是常见的区别。
*   **‘n’**为术语数。

在这个 C 程序中，我们从`scanf`语句中得到 **N** 的值。现在我们写一个`for`循环，从 **1** 开始求 **N** 个数的和。开始初始化 **Sum = 0** 。在`for`循环的每次迭代中，总和被添加到变量**“总和”**中，然后输出被显示在`for`循环的末尾。

## “for 循环”的语法

```c
for (initializationStatement; testExpression; updateStatement)

{ 

 // codes

} 

```

在上面的代码中，`for`循环语句里面的代码是初始化语句、测试表达式、更新语句。这里初始化语句只执行一次。如果测试表达式为假，则下一步被评估为测试表达式，否则终止`for`循环，否则执行`for`循环中的代码并更新语句。这个过程一直持续到测试表达式为假。For 循环主要用于迭代次数已知或有限的程序中。在这个 C 程序中，我们要求或者计算自然数的和，我们用`for`循环来计算。

## 我们如何用 C 程序实现 n 个自然数的和？

在这个 C 程序中，将头库导入程序后，我们用`main`开始程序，然后我们接受整数，使用`printf`和`scanf`，然后将其保存到一个变量中，之后，我们打开一个从 **1** 到该数的`for`循环，在循环的每次迭代中，我们将该数加到**和**上，最后，我们打印出**和**。

## 算法

**步骤 1:** 将头库导入程序中，使用内置函数

**STEP 2:** 使用 **main()** 功能启动程序执行。

**步骤 3:** 初始化并定义数字**和**为**零**。

**步骤 4:** 使用`printf`和`scanf`接受用户的数字，然后将该数字保存在变量中。

**第 5 步:**从 1 到该数字打开一个`for`循环，并在每次迭代中按 **1** 递增。

**第六步:**在`for`循环迭代中，将**和**相加为**和+号**。

**第 7 步:**使用 C 编程语言中的`printf`在 for 循环的所有迭代后打印**总和**。

## c 源代码

```c
#include <stdio.h>

void main()
{
       int i, N, sum = 0;
       printf("Enter an integer number\n");      /* print and gets the value from user */
       scanf ("%d", &N);
       for (i=1; i <= N; i++)                                 /* beginning of for loop */
          {
                sum = sum + i;
          }
       printf ("Sum of first %d natural numbers = %d\n", N, sum);   /* print sum of numbers */
}

```

## 输出

```c
RUN1

Enter an integer number
10
Sum of first 10 natural numbers = 55

RUN2

Enter an integer number
50
Sum of first 50 natural numbers = 1275
```