# C 程序：打印斐波那契数列

> 原文：<https://learnetutorials.com/c-programming/programs/print-fibonacci-series>

为了更好地理解这个 C Fibonacci 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 什么是斐波那契数列？

在本 C 教程中，我们将学习用 C 编程语言显示斐波那契数列的方法。斐波那契数列是通过将一个数与该数的前一个数相加而生成的数。这里我们要用 c 生成一个 n 个数的斐波那契数列，换句话说，斐波那契数列是一个序列，其中下一项是前两项的和。

斐波那契数列中的前两个数字或者是 **1** 和 **1** ，或者是 **0** 和 **1** ，这取决于所选择的数列起点，每个数字都是前两个数字的和。求斐波那契数列的数学公式如下 **f_n = f_{n-1} + f_{n-2}，\！\，**前两个数字是我们要手动给的 **0** 和 **1** ，那么 **0+1** 就是 **1** ，现在加上 **1+1** 就是 **2** 等等。

## 如何用 C 程序打印斐波那契数列

为了解决这个 C 程序，我们需要导入头库，然后我们从用户那里接受斐波那契数列中所需的项数，我们将数列中的前两个值硬编码为 **0** 和 **1** ，并将变量计数初始化为 **2** ，因为我们已经打印了前两个值。

现在我们使用一个`while`循环，从计数到用户输入的术语数量，通过将前面两个数字相加来计算序列中的下一个数字。并将计数增加 1。并打印斐波那契数列。

## 算法

**STEP 1:** 导入头库到程序中使用内置函数。

**步骤 2:** 使用**主()**功能启动程序执行。

**步骤 3:** 使用`int`数据类型定义变量，并将 **fib1** 和 **fib2** 初始化为 **0** 和 **1** 。

**步骤 4:** 使用`printf`和`scanf`功能从用户处接受斐波那契数列中所需的项数。

**STEP 5:** 将该系列的前两个术语打印为 **0** 和 **1** ，然后计数为 **2** 。

**第 6 步:**使用从 **2** 到项数的`while`循环打印所有斐波那契数列。

**第 7 步:**将前两项相加计算出第三项，并按 **1** 增加计数

**第 8 步:**打印该系列的术语。

**第九步:**将 **fib1** 的数字换成 **fib2** 的数字，将 **fib2** 的数字换成 **fib3** 的数字。

## c 源代码

```c
#include <stdio.h>

void main() {
  int fib1 = 0, fib2 = 1, fib3, N, count = 0;
  printf("Enter the value of N\n"); /* enter the value from the user  */
  scanf("%d", & N);
  printf("First ?IBONACCI numbers are ...\n", N);
  printf("%d\n", fib1);
  printf("%d\n", fib2);
  count = 2; /* fib1 and fib2 are already used */
  while (count < N) {
    fib3 = fib1 + fib2; /* while loop for generating first N Fibonacci numbers  */
    count++;
    printf("%d\n", fib3); /* display the Fibonacci series  */
    fib1 = fib2;
    fib2 = fib3; /* changing the variables */
  }
} /* End of main() */

```

## 输出

```c
Enter the value of N
10

First 5 FIBONACCI numbers are ...

0
1
1
2
3
5
8
13
21
34
```