# C 程序：求所有偶数和奇数之和

> 原文：<https://learnetutorials.com/c-programming/programs/sum-even-odd-numbers>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [循环](../../c-programming/loops "loops in C")

## 什么是奇数和偶数？怎么查？

在这个 C 程序中，用户输入最大限值“ **n** ”。接下来，计算 **1** 和最大限值之间的偶数和奇数之和。偶数是可被 **2** 整除的数。，例如， **2、4、6、**等。，奇数是不能被 **2** 整除的数，例如 **1、3、5、7** 等。在这个 C 程序中，为了分别计算奇数和偶数的和，我们需要两个单独的和作为输出，一个用于奇数和，一个用于偶数和。首先，我们要检查给定的数字是奇数还是偶数；如果这个数是奇数，我们应该把它加到一个奇数和上，如果它是偶数，我们应该把它加到一个偶数和上。

## 奇偶数校验是如何在 C 语言中实现的？

我们使用一个 C 程序，它接受整数数据格式的用户输入。我们初始化偶数和奇数的和。打开从 **1** 到用户输入的整数个数的 for 循环，并将循环增加**1**。用 **2** 带号使用 **mod** 运算符，我们检查余数是否为**零**。如果是**零**，我们把那个数加到偶数和或者加到奇数和。最后，在所有迭代的“`for loop`”之后，我们分别打印两个和的结果。

## 算法

**步骤 1:** 将头库包含到 C 程序中，使用内置函数。

**步骤 2:** 将**偶和**和**奇和**的变量初始化为**零**并定义其他变量。

**步骤 3:** 接受用户输入的数字，并使用`printf` 和`scanf`将其保存到变量中。

**第四步:**从 **1** 到用户输入的数字打开`'For loop`，循环增加**一**。

**第五步:**使用**模块**操作符检查余数是否为**零**和 **2** 。

**步骤 6:** 使用`if-else`条件检查余数是否为**零**。

**步骤 7:** 如果余数不是**零**，则将该数加到奇数和上，否则加到偶数和上。

**步骤 8:** 用 C 编程语言中的`printf`分别打印两个和的结果。

## c 源代码

```c
#include <stdio.h>

void main() {
  int i, N, oddSum = 0, evenSum = 0; // declares oddsum, evensum, i, n as integer. Defines oddsum and evensum as zero
  printf("Enter the value of N\n"); // accepts the value of N
  scanf("%d", & N);
  for (i = 1; i <= N; i++) {
    if (i % 2 == 0)
      evenSum = evenSum + i; // for loop to check whether the number is odd or even and add to the respective sum
    else
      oddSum = oddSum + i;
  }
  printf("Sum of all odd numbers  = %d\n", oddSum); // display the odd and even sum
  printf("Sum of all even numbers = %d\n", evenSum);
}

```

## 输出

```c
RUN1

Enter the value of N
10

Sum of all odd numbers  = 25
Sum of all even numbers = 30

RUN2

Enter the value of N
50

Sum of all odd numbers  = 625
Sum of all even numbers = 650 
```