# C 程序：反转一个数字并检查回文

> 原文：<https://learnetutorials.com/c-programming/programs/reverse-palindrome-check>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [循环](../../c-programming/loops "loops in C")

## 什么是回文数字或字符串？

C 程序解释了如何反转给定的整数并检查它是否是回文。回文数字是一个数字，如果我们反向读它，它将是相同的，这意味着如果我们从反向或正向读，数字或字符串将是相同的。例如， **121** 是回文数字。再如字符串“**夫人**”或“**思域**”是回文字符串。因此，为了检查回文数字，我们必须得到相反的数字，并检查两者是否相同。

## 如何在 C 语言中实现回文数字校验？

在这个 C 程序中，我们初始化一个变量“ **rev** ”到 **zero** 。接受数字输入后，将数字保存到一个**温度**变量中，使用“`while loop`”在该循环中，直到数字比**零**更重要，使用带有“ **10** 的 **mod** 运算符从数字中分离出数字(**余数**)。使用 **rev = rev * 10 +数字**将其加到倒档。最后将数字除以 **10** 去掉整数的最后一位。最后，检查数字，如果条件为，则使用**反转的数字相同。如果是一样的，那么把数字打印成回文。否则不是回文。**

### 算法

**步骤 1:** 包含头文件以访问库和内置函数。

**步骤 2:** 声明并定义在 C 程序中使用的变量。

**步骤 3:** 使用`printf`和`scanf`内置函数接受数字，并将该数字保存在变量中。

**STEP 4:** 将数字存储在**临时**变量中，以保证原数字的安全。

**第五步:**打开一个`While loop`直到数字大于**零**使数字反转。

**第 7 步:**使用带有 **10** 的 **Mod** 运算符获取最后一位数字，并将其保存在变量中。

**第 8 步:**使用公式 **rev * 10 + Digit 将数字添加到反转数字变量中；**(我们将数字与 **10** 相乘，得到需要修正的相加数字位置。)

**第 9 步:**用 **10** 除数字，去掉最后一位数字，继续循环，直到数字为**零**。

**步骤 10:** 使用`if`条件检查数字和反转数字是否相同。

**STEP 11:** 如果条件匹配，那么打印一个**回文**号否则打印，**不是回文**。

## c 源代码

```c
#include <stdio.h>

void main() {
  int num, temp, digit, rev = 0;
  printf("Enter an integer\n");
  scanf("%d", & num);
  temp = num; /* original number is stored at temp */
  while (num > 0) {
    digit = num%10; /* use mod operator to take the last digit of the number */
    rev = rev * 10 + digit; /* add the digit to rev *10 to assign the digit to position */
    num /= 10; /* divide the number by 10 to remove the last digit */
  }
  printf("Given number is = %d\n", temp);
  printf("Its reverse is  = %d\n", rev);
  if (temp == rev)
    printf("Number is a palindrome\n"); /* check both variables are equal if so it is palindrome else not */
  else
    printf("Number is not a palindrome\n");
}

```

## 输出

```c
RUN 1

Enter an integer
12321

Given number is = 12321
Its reverse is  = 12321
Number is a palindrome

RUN 2

Enter an integer
3456

Given number is = 3456
Its reverse is  = 6543
Number is not a palindrome
```