# C 程序：以给定的精度计算正弦值

> 原文：<https://learnetutorials.com/c-programming/programs/sinx-value>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [循环控制语句](../../c-programming/loop-control-statements)

## 什么是 sinx 三角函数？

在这个 C 程序中，我们将找出达到给定精度的**正弦 x** 的值。**正弦**是直角三角形的一个角的三角函数。对于一个角度，正弦值定义为该角度的长度和对边与斜边的比值。【表示三角形的最长边】。
通常所有的三角函数定义为三角形的边的比率，也有一个角度。定义角度的正弦值为**正弦 0 = 0** 、**正弦 90 = 1** 、**正弦 30 = .5** 等。
在这个 C 程序中，我们找出**正弦 x** 的值，达到给定的精度。为此，首先，我们将给定的**度**转换为**弧度**。我们使用`do-while`循环，并使用下面给出的步骤。

```c
         den = 2*n*(2*n+1);
         term = -term * x * x / den;
         sinx = sinx + term;
         n = n + 1;

```

## sinx 计算如何在 C 语言中实现

在这个 C 程序中，导入头文件后，我们接受 **x** 的度数值。我们将该值保存在变量中，现在要应用该公式，我们需要使用公式**‘pi/180’**将度数转换为弧度。我们从用户那里获得所需的精度，并将弧度角度值保存在变量“ **x** ”中，并将“ **x** 复制到另一个变量中，并将其分配给 **sin(x)** 。现在打开`do-while`循环，使用 **den =2*n*(2*n+1)** 检查计算值，然后使用“ **den** ”我们计算**项=-项* x * x/den；**。 **sinx - sinx = sinx +项；**我们进行循环，直到条件**ACC<= fabs(sinval-sinx)**为真。最后打印 **sinx** 的值作为结果。

### 算法

**步骤 1:** 将头文件导入 C 程序，使用内置函数。

**步骤 2:** 使用`printf`和`scanf`接受角度值，并将其保存在变量中。

**步骤 3:** 初始化并定义 C 程序的变量。

**步骤 4:** 将角度值保存为变量，并使用 **'pi / 180** 将角度转换为弧度。

**步骤 5:** 使用**辛瓦尔**将**辛(x)** 的值分配给一个变量。

**步骤 6:** 使用`printf`和`scanf`接受用户的精度值，并将其保存到变量中。

**STEP 7:** 保存**项=x** 和 **sinx =项**和 **n = 1 的值。**

**第 8 步**:开启一个`do while`**循环条件，直到条件满足( **acc < =晶圆厂(sinval - sinx)** )。**

 ****STEP 9:** 利用公式 **den = 2*n*(2*n+1)** 计算出“ **den** 的值。

**步骤 10:** 使用公式计算术语值- **术语* x * x / den** 。使用该方法，通过 **sinx +项**计算 **sinx** 的值，并通过 **1** 增加 **n** 。

**第 11 步:**使用`printf`和 C 编程语言打印正弦系列的结果。**  **## c 源代码

```c
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

void main()
     { 
         int n, x1;
         float  acc, term, den, x, sinx=0, 
         sinval;                                                /* declares acc, term, den, sinx, sinval as float */
         printf("Enter the value of x (in degrees)\n");            /* gets the value of x in degrees */
         scanf("%f",&x);
         x1 = x;
         x = x*(3.142/180.0);                                                 /* Converting degrees to radians*/           
         sinval = sin(x);
         printf("Enter the accuracy for the result\n");                 /* receives value of accuracy */
         scanf("%f", & acc);
         term = x;
         sinx = term;
         n = 1;
         do
            {
                 den = 2*n*(2*n+1);
                 term = -term * x * x / den;                      /* enters do while loop and use the formula to find den */
                  sinx = sinx + term;                                                    /* find term using -term*x*x/den */
                  n = n + 1;
            }
         while(acc <= fabs(sinval - sinx));                                     /* while condition checking */
         printf("Sum of the sine series         = %f\n", sinx);
         printf("Using Library function sin(%d) = %f\n", x1,sin(x));  /* prints the value of sinx */
    } 

```

## 输出

```c
Enter the value of x (in degrees)
30
Enter the accuracy for the result
0.000001
Sum of the sine series         = 0.500059
Using Library function sin(30) = 0.500059

RUN 2

Enter the value of x (in degrees)
45
Enter the accuracy for the result
0.0001
Sum of the sine series         = 0.707215
Using Library function sin(45) = 0.707179
```**