# C 程序：以给定精度计算余弦值

> 原文：<https://learnetutorials.com/c-programming/programs/find-cosx-value>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [循环控制语句](../../c-programming/loop-control-statements)

## 什么是余弦序列？

在这个 C 程序中，我们要找到给定精度的**余弦 X** 的值。**三角函数**用于将三角形的角度与其边相关联。**余弦**我们称之为 **Cos x** 是相邻边长与斜边长的比值。“ **cos A =邻边/斜边**”，通常 **Cos x** 值与**正弦 x** 相反，这意味着 **Cos 0 = 1，Cos 90 = 0** 。

## cos x 值如何用 C 计算？

在这个 C 程序中，我们将从用户那里接受的值从**度**转换为**弧度**。我们还从用户的输入中获得准确性。在这个 C 程序中，我们使用一个`do-while` 循环来计算 **cos x** 的值。在那个`do-while` 循环中。接受角度值后，我们将该值转换为弧度。然后我们接受 **cos x** 所需的精度。我们将术语指定为 1， **cos x** 为术语，然后 **n** 为 **1** 。

打开一个**'**'`do-while`**'**循环，直到条件匹配(**ACC<= fabs(cosval-cosx)**)然后我们计算 **den** 的值为 **2*n*(2*n-1)** ，其使用的公式为 **-term * x * x / den** 。然后我们用公式 **cosx +项**找到 **cos x** 。此外，将 **n** 增加**一**。最后，我们使用`printf`语句显示结果。

### 算法

**步骤 1:** 导入头文件库，使用 C 程序中使用的内置函数。

**步骤 2:** 声明并定义 C 程序中使用的变量，包括 **Cos x** 的值。

**步骤 3:** 使用`printf` 和`scanf`语句接受角度值。

**步骤 4:** 使用公式将**度**的值转换为**弧度**。

**第五步:**使用`printf`和`scanf`接受用户的精度。

**STEP 6:** 现在为**项= 1** 、 **cosx =项**和 **n = 1** 赋值。

**STEP 7:** 使用 C 语法打开一个“`do while`”**循环，直到条件满足。**

 ****步骤 8:** 在循环中，计算“**穴**的值”

**第 9 步:**使用“**项**计算 **Cos x** 的值，并将 **n** 增加 **1** 。

**STEP 10:** 使用 C 编程中的`printf`内置功能打印 **Cos x** 的结果。**  **## c 源代码

```c
#include <stdio.h>
#include <math.h>                             /* include header files for accessing libraries */
#include <stdlib.h>

void main() {
    int n, x1;
    float acc, term, den, x, cosx = 0, cosval; /* declares cosx cosval etc variables */
    printf("Enter the value of x (in degrees)\n"); /* accepts value of x in degree */
    scanf("%f", & x);
    x1 = x;
    x = x * (3.142 / 180.0); /* Converting user input value from degrees to radians*/
    cosval = cos(x);
    printf("Enter the accuracy for the result\n");
    scanf("%f", & acc);
    term = 1;
    cosx = term;
    n = 1;
    do {
        den = 2 * n * (2 * n - 1);
        term = -term * x * x / den; /* doing calculations inside the do while loop as same as sinx, please refer the sinx program for details */
        cosx = cosx + term;
        n = n + 1;
    }
    while (acc <= fabs(cosval - cosx));
    printf("Sum of the cosine series       = %f\n", cosx);
    printf("Using Library function cos(%d) = %f\n", x1, cos(x));
} /*End of main() */

```

## 输出

```c
Enter the value of x (in degrees)
30

Enter the accuracy for the result
0.000001
Sum of the cosine series       = 0.865991
Using Library function cos(30) = 0.865991

RUN 2

Enter the value of x (in degrees)
45

Enter the accuracy for the result
0.0001
Sum of the cosine series       = 0.707031
Using Library function cos(45) = 0.707035
```**