# C 程序：检查给定整数是质数还是合数

> 原文：<https://learnetutorials.com/c-programming/programs/check-prime-composite-number>

为了更好地理解这个 C 程序示例，我们始终建议您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [C 中的变量](../../c-programming/variables)

## 什么是质数和合数？

要用 C 程序检查给定的数字是**质数**还是**复合数**，我们必须了解以下内容。素数是一个整数，除了一和这个数本身之外，没有其他正整数。质数以外的自然数被称为合数。比如有两个以上除数的数字“ **4** ”、“ **6** ”就是**复合**数。

我们举个例子，数字“ **5** ”是一个**质数**因为数字“ **5** ”只有两个除数: **1** ”和“ **5** ”。所以质数只有两个除数。

注意:数字“ **1** ”不是素数，因为它只有一个除数。

## 如何检查 C 语言中的素数

这里我们编写一个 C 程序，通过使用 **Mod** 运算符来找出一个数字是**质数**还是不是。首先，我们正在检查数字是否大于**1**；如果不是，C 程序退出，显示的数字不是 Prime。否则我们输入一个从 **1** 到那个数字的“`for loop`”，在那个循环中我们检查“ **if( ( num % j ) == 0)** ”如果是真的我们打印的数字不是 Prime。否则给定的整数是质数。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量声明并初始化为`integer`数据类型。

**第三步:**使用`printf`和`scanf`内置功能接受用户的数字。

**步骤 4:** 使用“`if`”条件检查数字是否小于 1；如果是，不显示自然数并退出程序。

**第五步:**从 **2** 打开一个“`for loop`到一半的数字，将“ **j** 增加**一个**。(我们只有一半数量的除数)

**STEP 6:** 检查数字 Mod’**j**是否为零；如果是这样，我们将一个标志变量赋值为 1，并中断循环。

**第 7 步:**使用“`if`”条件检查标志，就像标志是零一样，打印它的质数，否则它是一个复合数。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>

void main()
    {
        int num, j, flag;
        printf("Enter a number\n");                                 /* take the input number from user */
        scanf("%d", & num);
        if ( num <= 1)
            {
                 printf("%d is not a prime numbers\n", num);   /* check whether number is less than 1 */
                 exit(1);
            }
        flag = 0;
        for ( j=2; j<= num/2; j++)
           {
               if( ( num % j ) == 0)                                 /* do the calculation using mod operator and check the given number is prime or not  */
                  {
                      flag = 1;
                      break;
                  }
            }
        if(flag == 0)
        printf("%d is a prime number\n",num);
        else
        printf("%d is not a composite number\n", num);         /* prints the output of the program */
    }

```

## 输出

```c
Output

RUN 1

Enter a number
34
34  is not a composite number

RUN 2

Enter a number
29
29 is a prime number
```