# C 程序：打印和计算给定范围内所有质数

> 原文：<https://learnetutorials.com/c-programming/programs/prime-count>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程决策](../../c-programming/decision-making-statements "C programming decision making")
*   [循环控制语句](../../c-programming/loop-control-statements)

## 什么是质数？

在本例中，您将学习通过用户定义的函数打印两个数字(由用户输入)之间的所有质数。除了 1 以外不能被其他任何数整除的数称为质数。这个性质叫做**素性**。最大质数有' **17，425，170** 位数。例如， **7** 是一个质数，因为 **7** 只有两个除数，比如“ **1** ”和“ **7** ”本身。

## C 语言如何生成素数？

这个 C 程序需要生成特定范围的素数，我们需要找出显示的素数个数。

我们在这个 C 程序中使用了一点复杂的逻辑。首先，检查给定的数字是否大于**两个**；否则，程序会以一条消息“不是检查质数的有效数字”退出。现在使用嵌套的“`for loop`”，在外环中，检查从“ **m** ”到“ **n** 的数字，并将**标志设置为 0** 。在内部 **'** `for loop`'中，我们检查每个数字是否为质数。

*   **M =用户输入的下限**。
*   **N =用户输入的上限**。

例如，让我们打印从“ **3** ”到“ **10** 的质数。在外部的“`for loop`”中，我们取从“ **3** ”到“ **10** 的每个数字。在内部“`for loop`”中，检查每个数字是否为质数。

取内环中的数' **3** '检查是否只有两个除数；如果是这样，将旗帜设置为**零**，我们将数字 **3** 打印为质数。然后去外环取下一个数，在内环做质数检查。最后，如果我们得到一个质数，我们增加计数。

### 算法

**步骤 1** :在 C 程序中包含头库使用内置函数。

**第二步**:用**主()**功能开始程序执行。

**第三步**:使用`printf`和`scanf`功能从用户处接受系列的上下限数值。

**第 4 步**:使用“`if`”条件检查数字上限是否大于 **2** 。如果不满意打印，就不可能找到质数。

**STEP 5** :否则将下限复制到一个**温度**变量，并使用带有“ **m** ”和 **2** 的 **Mod** 运算符将变量“ **m** ”递增 **1** 。

**第 6 步**:打开从“ **m** 到“ **n** 的外部 For 循环，增加 **2** (无需检查偶数)

**第 7 步**:将内环从 **2** 打开到变量 **i** 值的一半，并增加 **1** 。

**步骤 8** :检查**I**mod**j**是否为零。假设它为零，将标志设置为 1，并中断循环。

**第 9 步**:如果内循环后标志为零，将该数字打印为质数，并按 **1** 递增计数。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

void main() {
  int M, N, i, j, flag, temp, count = 0; // declares the variables
  printf("Enter the value of M and N\n");
  scanf("%d %d", & M, & N);
  if (N < 2) {
    printf("There are no primes upto %d\n", N); /*check the numbers are greater than 2*/
    exit(0);
  }
  printf("Prime numbers are\n");
  temp = M;
  if (M % 2 == 0) {
    M++;
  }
  for (i = M; i <= N; i = i + 2) /* start of the outer loop and set the flag as zero */ {
    flag = 0;
    for (j = 2; j <= i / 2; j++) /* inner loop to check the number is prime */ {
      if ((i % j) == 0) {
        flag = 1;
        break;
      }
    }
    if (flag == 0) {
      printf("%d\n", i); /* print the number is prime if flag is zero */
      count++;
    }
  }
  printf("Number of primes between %d and %d = %d\n", temp, N, count);
}

```

## 输出

```c
Enter the value of M and N
15 45

Prime numbers are
17
19
23
29
31
37
41
43

Number of primes between 15  and 45 = 8
```