# C 程序：求可被 5 整除的数的和，并且总数在一个范围内

> 原文：<https://learnetutorials.com/c-programming/programs/sum-numbers-divisible-by-5>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 程序操作员](../../c-programming/operators "C program tokens")
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 数据类型](../../c-programming/data-types-modifiers "C data types")

## 如何检查给定的数是否能被五整除？

当我们取一个数 **mod 5** 时，要确定所有能被 5 整除的数。我们必须得到剩余的**零**。让我们举一个例子“5、10、15 等”取这些数字的 **Mod** 加上 5，我们会得到余数为**零**，所以这些数字可以被 5 整除。

## C 语言中如何确定能被 5 整除的数？

这是一个 C 程序，计算给定范围内可被 **5** 整除的整数个数，计算其计数和它们的和。首先我们声明变量**计数**、**求和**等。作为整数。现在我们打开一个从下限到上限的“`for loop`”，它是我们从用户那里收到的。在“`for loop`”里面，我们取每个数字做 **Mod** 运算；如果余数为**零**，则用**一**递增**计数**，并将**和**相加等于和 **+** 那个数。将该数字打印为可被**5 整除的整数。**

 **### 算法

**步骤 1:** 包含头文件，以包含在 C 程序中定义了内置函数的库。

**步骤 2:** 使用**主()**功能启动程序执行。我们定义 Main 函数操作`Void`，表示没有返回值。

**步骤 3:** 使用 C 编程语言中的`int`数据类型声明和初始化变量。

**步骤 4:** 使用`printf`和`scanf`接受用户的下限和上限值。

**第五步:**用 **1** 从下限到上限的增量“`for loop`”检查每个元素是 **5** 的除数。

**STEP 6:** 使用“`if` 条件检查数字 **Mod 5** 是否为零**。**

 ****第七步:**如果余数为**零**，那么将计数增加**一**，将该数打印为 **5** 的除数。

**步骤 8:** 在循环的每次迭代中，将该数字加到**和**上。

**步骤 9:** 用 C 编程语言中的`printf`打印**和**以及数字和计数。****  ****## c 源代码

```c
#include <stdio.h>

void main() {
  int i, N1, N2, count = 0, sum = 0; /* declares count, sum and two variables as integer */
  printf("Enter the value of N1 and N2\n"); /* user gives the value for lower and upper range */
  scanf("%d %d", & N1, & N2);
  printf("Integers divisible by 5 are\n"); /*Count the number and compute their sum*/
  for (i = N1; i < N2; i++) {
    if (i % 5 == 0) {
      printf("%d,", i); /*using mod operator check the number is divisible by 5*/
      count++;
      sum = sum + i; /*add the numbers divisible by 5 to sum variable*/
    }
  }
  printf("\nNumber of integers divisible by 5 between %d and %d = %d\n",
    N1, N2, count);
  printf("Sum of all integers that are divisible by 5 = %d\n", sum); /* displays the output of program */
} /* End of main()*/

```

## 输出

```c
Enter the value of N1 and N2
2
27

Integers divisible by 5 are
5, 10, 15, 20, 25,

Number of integers divisible by 5 between 2 and 27 = 5
Sum of all integers that are divisible by 5 = 75
```****