# C 程序：计算数组中正数和负数的和与平均值

> 原文：<https://learnetutorials.com/c-programming/programs/find-sum-average-of-positive-negative-array-numbers>

## C 语言中的数组是什么？

这个程序是求所有负数的和以及所有正数的和。另外，求负数和正数的平均值。在这里，我们使用 C 语言中**数组**的概念。数组是存储在一系列存储位置中的相同数据类型的元素的集合，数组索引可以访问这些存储位置。

一个数组将被声明为数据类型数组**名称【大小】**，即“ **int 数组【23】**”。使用顺序存储位置的数组，因此最低地址，也称为**基址**，具有数组的第一个元素，最高地址具有数组的最后一个元素。

## 如何计算正数和负数的平均值和和？

假设我们有一些必须加到数组中的数字。从这个数组中，我们必须使用加法运算分别计算正数和负数的和。然后，用元素的数量除以总和，求出数字的平均值。

在这个 C 程序中，我们将用户输入添加到一个数组中，因此我们可以通过将数组索引增加**1**来访问数组中的元素。现在我们用另一个`for loop`显示数组中的数字。

然后，打开一个 f **或回路**，检查每个元件是**正**、**负**还是**零**。如果它是正的，它被加到正和上。如果它是负的，它被加到负和上；否则，它为零。然后，我们通过将数组元素与总数相加来计算总和。

最后，我们通过将总数除以数组中的元素数量来计算平均值，并分别显示结果。

### 算法

**步骤 1:** 将头文件包含到 C 程序中，使用内置函数。

**步骤 2:** 声明并初始化 C 程序的变量和数组。

**步骤 3:** 使用 C 语言中的`printf`和`scanf` 功能接受用户需要的术语数量

**步骤 4:** 打开“`for loop`”接受数字，并使用数组索引将其添加到数组中。

**第五步:**使用 C 程序中的另一个**“**`for loop`”显示数组中的元素。

**第 6 步:**打开一个从**零**到项数的“`for loop`”，检查数组中的每个元素。

**步骤 7:** 使用“`if`”**条件检查数组元素是否小于零，将其添加到**负和**中。**

 ****第 8 步:**否则如果该数字大于零，则将其添加到**正和**中。

**第 9 步:**否则添加元素为零，什么也不做。

**步骤 10:** 在“`for loop`”的每次迭代中，用**总和**添加数组元素。

**步骤 11:** 通过将总和除以数组中元素的总数来计算“**平均值**”。

**STEP 12:** 用 C 编程语言中的`printf`打印总和**总和、平均值、正总和、负总和**。**  **## c 源代码

```c
#include <stdio.h>
#define MAXSIZE 10 /* defines array size 10 */

void main() {
  int array[MAXSIZE];
  int i, N, negsum = 0, posum = 0;
  float total = 0.0, averg;
  printf("Enter the value of N\n");
  scanf("%d", & N);
  printf("Enter %d numbers (-ve, +ve and zero)\n", N); /* enter the user input into the array we defined */
  for (i = 0; i < N; i++) {
    scanf("%d", & array[i]);
    fflush(stdin);
  }
  printf("Input array elements\n");
  for (i = 0; i < N; i++) {
    printf("%+3d\n", array[i]); /* prints the values inside of the array using 3 positions*/
  }
  /* Summing  begins */
  for (i = 0; i < N; i++) {
    if (array[i] < 0) {
      negsum = negsum + array[i]; /* if number is negative it gets added to negative sum */
    } else if (array[i] > 0) {
      posum = posum + array[i]; /* if number is positive it gets added to positive sum */
    } else if (array[i] == 0) {
      ;
    }
    total = total + array[i];
  }
  averg = total / N;
  printf("\nSum of all negative numbers    = %d\n", negsum); /* calculating average */
  printf("Sum of all positive numbers    = %d\n", posum);
  printf("\nAverage of all input numbers   = %.2f\n", averg); /* displays the output */
} /*End of main()*/

```

## 输出

```c
Enter the value of N
5

Enter 5 numbers (-ve, +ve and zero)
5
-3
0
-7
6

Input array elements
+5
-3
+0
-7
+6
Sum of all negative numbers    = -10

Sum of all positive numbers    = 11

Average of all input numbers   = 0.20
```**