# C 程序：线性搜索一个数字

> 原文：<https://learnetutorials.com/c-programming/programs/linear-search>

## 什么是线性搜索算法？

C 语言中的线性搜索用于查找数组中是否有数字。也称为**顺序搜索**。C 语言中有这么多搜索算法。最简单的算法是[线性搜索](https://en.wikipedia.org/wiki/Linear_search)。在线性搜索中，算法将输入的元素与数组元素进行比较，直到找到匹配或数组完成。

例如，让我们取数组“ **a** 中的一些数字“1，2，3，4，5”。如果我们想使用线性搜索来搜索数字“5 ”,搜索开始搜索数字“5 ”,将该数字与 **a[0]** 进行比较，该数字为“1 ”,然后它移动通过 2、3、4，最后它在找到的匹配项“ **a[4]** 处得到一个结果，并且算法完成。

*   当项目在数组中第一个找到时，线性搜索中的最佳**情况**
*   最差的**是数组中最后找到的项目。**

 **## 线性搜索是如何在 C 语言中实现的？

在这个 C 程序中，在包含了头库之后，又将所有的值插入到数组中。插入所有元素后，我们需要用户输入需要使用线性搜索进行搜索的数字。

将该数字赋给变量后，使用“`for loop`”将数组的每个元素与变量用户输入进行比较，并用适当的消息显示输出。

## 算法

**步骤 1:** 将头库包含到 C 程序中，以使用内置功能。

**STEP 2:** 启动**主()**功能，开始执行 C 程序。

**步骤 3:** 初始化数组和程序中要使用的变量。

**步骤 4:** 使用`printf`和`scanf` 函数接受用户需要的元素数量，并将该整数值存储到变量中。

**步骤 5:** 接受并使用“`for loop`”将元素添加到数组中。

**步骤 6:** 使用`for loop` 和`printf`显示数组中的元素。

**步骤 7:** 从用户那里接受要搜索的元素，并将其保存到变量中。

**步骤 8:** 打开一个从零到项数的`for loop`，对每个元素进行一次线性搜索。

**步骤 9:** 使用 if 条件比较搜索元素和数组元素，当数组中的数字

**STEP 10:** 循环检查后，如果“**找到了= 1** ”，则元素找到了否则打印未找到。**  **## c 源代码

```c
#include <stdio.h>

void main() {
  int array[10];
  int i, N, keynum, found = 0; /* declares array and variables keynum found etc as integer */

  printf("Enter the value of N\n"); /* enters the values by user */
  scanf("%d", & N);
  printf("Enter the elements one by one\n"); /* enter the values into a array and print the numbers */
  for (i = 0; i < N; i++) /*using linear search we compare the number with other elements in array */ {
    scanf("%d", & array[i]);
  }
  printf("Enter the element to be searched\n"); /* enters the values by user */
  scanf("%d", & keynum);
  for (i = 0; i < N; i++) /*using linear search we compare the number with other elements in array */ {
    if (keynum == array[i]) {
      found = 1;
      break;
    }
  }
  if (found == 1)
    printf("SUCCESSFUL SEARCH\n"); /* prints the result success of failure */
  else
    printf("Search is FAILED\n");
} /* End of main */

```

## 输出

```c
RUN 1

Enter the value of N
5

Enter the elements one by one
23
12
56
43
89

Enter the element to be searched
56
SUCCESSFUL SEARCH

RUN 2

Enter the value of N
3

Enter the elements one by one
456
213
879

Enter the element to be searched
1000

Search is FAILED
```**