# C 程序：使用冒泡排序来排序`n`个数字

> 原文：<https://learnetutorials.com/c-programming/programs/bubble-sort>

## 什么是冒泡排序算法？

在本教程中，您将学习冒泡排序的工作原理。这个 C 程序使用冒泡排序来按照正确的顺序排列元素。我们可以将冒泡排序称为比较排序，因为每次通过都会检查相邻元素对，并通过交换组件使其按正确的顺序排列。重复这个过程，直到所有的元素都按照适当的顺序排列。

例如，“5，1，6，7，2”是要排序的数字；在第一遍中，它对“5”和“1”进行排序，并相互交换。数字是‘1，5，6，7，2’。它按顺序检查“5”和“6”，因此它检查“6”和“7”，在第一遍结束时，元素“5”将处于正确的位置。

现在需要第二遍。冒泡排序最好的情况是在排序列表上。冒泡排序的最坏情况复杂度是 **o(n**2)** ，其中“ **n** 是列表中的元素个数。

## 冒泡排序是如何对 C 语言中的元素进行排序的

在这个 C 程序中，在我们得到用户输入列表后，我们将该列表添加到一个数组中。我们使用两个嵌套的“`for loops`”将每个元素与列表中的相邻元素进行比较。如果第二个元素小于第一个元素，我们必须使用带有**温度**变量的交换方法交换元素。

我们对每个元素都这样做，直到数组完全排序。我们从外部循环中取出每个元素，并将其与内部循环中的所有其他元素进行比较，以使该元素处于正确的位置。在第一遍中，我们在第二遍中从外循环中获取下一个元素，以此类推。最后，我们打印**排序列表**。

### 算法

**步骤 1:** 将头库包含到 C 程序中，以使用该库中的内置函数。

**步骤 2:** 初始化程序中使用的变量和数组来存储值。

**步骤 3:** 使用`printf`和`scanf`功能接受用户所需的元素数量。并将其存储在变量中。

**第 4 步:**使用`for loop`接受用户使用`scanf`输入到数组中的元素。

**第五步:**使用`for loop`，使用`printf`打印数组。

**步骤 6:** 打开嵌套的外部 For 循环，从零到数组中的项数，检查每个元素。

**步骤 7:** 打开从零到**项数的内部 For 循环-外部循环中的数字- 1** 检查外部循环中的每个元素和数组中未排序的元素。

**步骤 8:** 使用 **'** `if` **'** 条件检查比较元素是否大于被比较元素。

**STEP 9:** 如果是，使用`Swap`技术使用临时变量`Swap`元素。

**第 10 步:**使用`printf`和 C 编程语言中的 for 循环打印排序数组。

## c 源代码

```c
#include <stdio.h>
#define MAXSIZE 10

void main() {
    int array[MAXSIZE]; /* declares array and variables */
    int i, j, N, temp;
    printf("Enter the value of N\n");
    scanf("%d", & N);
    printf("Enter the elements one by one\n"); /* accept and enter the list elements into a array  */
    for (i = 0; i < N; i++) {
    scanf("%d", & array[i]);
    }
    printf("Input array is...\n");
          for (i = 0; i < N; i++) {
            printf("%d\n", array[i]); /* prints the sorted list */
          }
    for (i = 0 ; i < N - 1; i++)
    {
    for (j = 0 ; j < N - i - 1; j++)
    {
      if (array[j] > array[j+1]) /* For decreasing order use '<' instead of '>' */
      {
        temp       = array[j];
        array[j]   = array[j+1];
        array[j+1] = temp;
      }
     }
   }
          printf("Sorted array is...\n");
          for (i = 0; i < N; i++) {
            printf("%d\n", array[i]); /* prints the sorted list */
          }

    }   /* End of main*/

```

## 输出

```c
Enter the value of N
5

Enter the elements one by one
390
234
111
876
345

Input array is
390
234
111
876
345

Sorted array is...
111
234
345
390
876
```