# C 程序：执行二分搜索法查找数字

> 原文：<https://learnetutorials.com/c-programming/programs/binary-search>

## 什么是二分搜索法算法？

在这个 C 程序中，我们实现了一个二分搜索法算法来搜索一个关键数字。二分搜索法算法也被称为“[半区间算法](https://en.wikipedia.org/wiki/Bisection_method)或“**对数算法**”。为了实现二分搜索法算法，我们需要按升序或降序对数组进行排序。

该算法将数组的中心元素与关键字进行比较。如果我们找到元素，它的位置将返回找到的消息搜索元素。如果中间数字小于关键字 Else，则 else 算法在左子数组上重复相同的步骤，如果元素大于数组的中心元素，则算法将搜索右子数组。

**注:**二分搜索法最坏情况下的复杂度为 **O(log n)** 。

## 什么是冒泡排序技术？二分搜索法是如何在 C 语言中实现的？

导入头文件并初始化变量后，我们接受用户输入到数组中，并使用冒泡排序技术对数组进行排序。(请参考上一期节目中的**冒泡排序**)。按照升序对元素进行排序后，我们显示排序后的数组，并使用“`do while`”循环启动二分搜索法。在循环中，获取数组的中心元素，并将其与键进行比较，直到找到该元素。

### 算法

**步骤 1:** 将头文件包含到 C 程序中，使用内置函数。

**步骤 2:** 初始化变量，并使用 C 编程语法声明它们。

**第三步**:使用`printf`和`scanf`内置功能接受用户的条款数量。

**步骤 4:** 使用“`for loop`”和`scanf`将元素接受到数组中。

**步骤 5:** 使用“`for loop`”和`printf`显示数组的元素。

**第六步:**打开嵌套的“`for loop`”实现冒泡排序算法。

**步骤 7:** 使用 if 条件检查，比较元素大于被比较元素

**步骤 8:** 如果是，使用临时变量交换元素。

**步骤 9:** 使用“`for loop`”和`printf`打印排序后的数组。

**步骤 10:** 使用`printf`和`scanf`从用户处接受要搜索的元素。

**第 11 步:**将低指定为**一**，将高指定为项数。

**步骤 12:** 开一个带条件**的“`do while`”(keynum！=阵【中】& &低< =高)**直到条件得到满足。keynum =搜索元素。

**步骤 13:** 使用公式**(低+高)/ 2** 计算中间元素。

**步骤 14:** 使用“`if`”条件检查，**关键点**小于数组中间元素。如果是，则**高=中 1** 。

**步骤 15:** 否则检查**关键点**是否小于数组中间元素如果是这样**低=中间+ 1** 。

**步骤 16:** 使用“`if`”条件检查**关键点**是否等于数组中间元素。如果是，打印搜索成功。

**步骤 17:** 否则打印搜索失败并退出 C 程序。

## c 源代码

```c
#include <stdio.h>
#include <conio.h>

void main()
{

  int array[10];
  int i, j, N, temp, keynum;
  int low, mid, high;
  clrscr();
  printf("Enter the value of N\n"); /* gets the value of elements one by one  */
  scanf("%d", & N);
  printf("Enter the elements one by one\n");
  for (i = 0; i < N; i++) {
    printf("%d\n", array[i]);
  }

  /* Bubble sorting begins */

  for (i = 0; i < N; i++) {
    for (j = 0; j < (N - i - 1); j++) {
      if (array[j] > array[j + 1]) /* sorting the array using bubble sort  */ {
        temp = array[j];
        array[j] = array[j + 1];
        array[j + 1] = temp;
      }
    }
  }
  printf("Sorted array is...\n"); /* displays the sorted array */
  for (i = 0; i < array[mid])
    high = mid - 1;
  else if (keynum > array[mid])
    low = mid + 1;
}
while (keynum != array[mid] && low <= high); /* End of do- while */
if (keynum == array[mid]) {
  printf("SUCCESSFUL SEARCH\n");
} else {
  printf("Search is FAILED\n"); /* displays search success or failure */
}
} /* End of main*/

```

## 输出

```c
Enter the value of N
4

Enter the elements one by one
3
1
4
2

Input array elements
3
1
4
2

Sorted array is...
1
2
3
4

Enter the element to be searched
4

SUCCESSFUL SEARCH
```