# C 程序：求平均值、方差和标准差

> 原文：<https://learnetutorials.com/c-programming/programs/find-standard-deviation-mean-variance>

在这个 C 程序中，我们需要找出**均值、方差、**和**标准差**；我们需要知道均值、标准差和方差是什么意思。

## 什么是卑鄙？

**均值**:是一组数值中所有元素的平均值。意味着将集合中的值相加，并用元素的数量除**和**。例如，如果一个集合有 3 个数字**【1，2，3】，则使用 **1+2+3 = 6/3 =2** 计算平均值。**

 **## 什么是方差？

**方差**:是数据集的平均值与数值的平方差的平均值。这被称为数据样本中的数据传播。

## 解释术语标准偏差？

**标准差**:找到**方差**后，我们可以通过取方差的平方根来计算标准差。
在这个 C 程序中，我们取值并保存在一个数组中。均值计算是用一个'`for loop`'取和的平均值，之后我们需要用公式计算方差。

```c
"sum1 = sum1 + pow((x[i] - avrg),2)" 
 var = sum1 / (float) n; 

```

计算方差后，很容易找到标准差。估计集合的标准差；我们在这个 C 程序中使用 **sd = sqrt(var)** 公式。最后，我们必须使用 C 语言中的`printf`显示平均值、方差和标准差。

### 算法

**步骤 1** :将头文件包含到 C 程序中，使用内置功能。

**步骤 2** :定义并初始化数组和程序中使用的变量。

**步骤 3** :使用`printf`和`scanf`功能接受用户输入的术语数量值。

**第 4 步**:接受用户的数字，并使用“**”进行循环**和`scanf`将这些数字添加到一个数组中。

**第五步**:从**零**到项数开一个“`for loop`，计算**的平均值**。

**STEP 6** :求**和**计算**的平均值**，用项数除。

**第 7 步**:从零到 **n** 打开另一个 For 循环，找到**方差**。

**STEP 8** :利用公式 **sum1 = sum1 + pow((x[i] - avrg)计算**方差**，2** 应用主公式**中的**sum 1**var = sum 1/(float)n**。

**第 9 步**:取**方差**的平方根计算标准差。

**STEP 10** :使用 c 中的`printf`内置函数打印**均值**、**标准差**和**方差****  **## c 源代码

```c
#include <stdio.h>
#include <math.h>
#define MAXSIZE 10

void main()
    {

        float x[MAXSIZE];
        int  i, n;
        float avrg, var, SD, sum=0, sum1=0;   /* declares the variables avrg, Sd, sum as float */
        printf("Enter the value of N\n");                  /* accepts values from user */
        scanf("%d", &n);
        printf("Enter %d real numbers\n",n);
           for (i = 0; i < n; i++)
            {
                scanf("%f", &x[i]);
            }
            for(i=0; i<n; i++)                                        /* Compute the sum of all elements */
            {
                  sum = sum + x[i];                                     /* calculating the mean using the equation */
            }
       avrg = sum /(float) n;
       for(i=0; i<n; i++)                                 /* Compute  variance  and standard deviation */
            {
                  sum1 = sum1 + pow((x[i] - avrg), 2);    /* calculate the variance using general equation */

            }
      var = sum1 / (float) n;                     
      SD = sqrt(var);                                                      /* calculating standard deviation */
      printf("Average of all elements  = %.2f\n", avrg);
      printf("Varience of all elements = %.2f\n", var);
      printf("Standard deviation SD = %.2f\n", SD);               /* prints the output mean, standard deviation, and variance */
   }

```

## 输出

```c
Enter the value of N

6

Enter 6 real numbers

12

34

10

50

42

33

Average of all elements  = 30.17

Varience of all elements = 215.47

Standard deviation SD = 14.68
```**