# C 程序：计算数组列表中两个最大数字的平均值

> 原文：<https://learnetutorials.com/c-programming/programs/average-two-numbers>

## 如何求最大的两个数及其平均值？

在这个 C 程序中，我们需要从输入的 4 个数字中计算出两个数字中最大的一个。在找到 2 个最大的数字后，我们需要计算两个最大数字的和。最后，将总和除以二，得到两个数的平均值。

## 如何找到用 C 实现的最大平均逻辑

这个 C 程序使用的逻辑是把元素放在一个数组中，然后我们把‘**L1**作为数组第一个元素，把‘**L2**作为数组第二个元素。使用“`if` ”条件比较“ **L1** ”和“ **L2** ”，如果“ **L2** ”大于“ **L1** ”，则使用**温度**变量比较“ **L1** ”和“ **L2** 的值。

将“ **L1** ”与第三元素进行比较；如果大于“ **L1** ，将“ **L1** 改为“ **L2** ，将第三元素改为“ **L1** ”。如果第三个大于“ **L2** ”使第三个元素成为“ **L2** ”在那个循环之后，我们得到“ **L1** ”和“ **L2** ”作为数组的最大和第二大元素。我们对数组进行排序，取“ **L1** ”和“ **L2** 之和，用 **2** 除和，求平均值。

### 算法

**步骤 1:** 将头文件导入 C 程序，使用内置函数。

**步骤 2:** 初始化并定义程序中的数组和其他变量。

**步骤 3:** 接受用户的数字，并使用`scanf`和`for loop`将这些数字添加到数组中。

**步骤 4:** 使用`for loop`和`printf`显示阵列。

**第五步:**假设将数组的前两个元素分配给 **L1** 和 **L2** 。

**步骤 6:** 使用“`if`”条件检查 **L1** 大于 **L2** 。

**步骤 7:** 如果不是，使用**温度**变量交换 **L1** 和 **L2** 的值。

**第 8 步:**通过选择最大元素打开从 2 到最大值增量的`for loop`。

**第九步:**检查阵的第三个元素是否大于 **L1** ，然后将 **L2** 替换为 **L1** 和 **L1** 替换为阵的第三个元素。

**STEP 10:** 否则如果阵第三元素大于 **L2** ，则交换 **L2** 作为阵第三元素。

**STEP 11:** 最后`for loop`迭代后，我们在 **L1** 和 **L2** 中有最大元素，然后加上 **L1** 和 **L2** 再除以 2 得到平均值。

**步骤 12:** 使用 C 编程语言中的`printf`打印平均值。

## c 源代码

```c
#include <stdio>
#include <conio>
#define MAX 4

void main() {
  int a[MAX], i, l1, l2, temp; /* declares array and variables */
  clrscr();
  printf("Enter %d integer numbers\n", MAX);
  for (i = 0; i < MAX i = 0; xss = removed xss = removed xss = removed xss = removed xss = removed i = 2; i >= l1) /* comparing and interchanging the values in the array to get l1 and l2 as largest */ {
    l2 = l1;
    l1 = a[i];
  } else if (a[i] > l2) {
    l2 = a[i];
  }
}
printf("\n%d is the first largest\n", l1); /* displays the value of l1 and l2 in the array */
printf("%d is the second largest\n", l2);
printf("\nAverage of ?nd %d = %d\n", l1, l2, (l1 + l2) / 2); /* calculate and display the average of the two numbers  */
}

```

## 输出

```c
RUN 1

Enter 4 integer numbers
45
33
21
10

Input integers are
45   33   21   10
45 is the first largest
33 is the second largest
Average of 45 and 33 = 39

RUN 2

Enter 4 integer numbers
12
90
54
67

Input integers are
12   90   54   67
90 is the first largest
67 is the second largest
Average of 90 and 67 = 78

RUN 3

Enter 4 integer numbers
100
200
300
400

Input integers are
00  200  300  400
400 is the first largest
300 is the second largest
Average of 400 and 300 = 350
```