# C 程序：求给定多项式`P(x)=AnXn+An-1Xn-1+An-2Xn-2+A1X+A0`

> 原文：<https://learnetutorials.com/c-programming/programs/polynomial>

## 什么是多项式？

在这个 C 程序中，我们使用数组来计算给定的**多项式**。多项式是只有**变量**和**系数**的表达式。在多项式上，我们可以做**加法**、**减法**、**乘法**等运算，但不能做除法。几乎所有领域都使用多项式，如数学、物理等。多项式有很多种类型；最常见的多项式类型是二次多项式。对于多项式中的计算，我们必须知道一个基本理论**‘x’**升为零等于一。

## 如何用 C 语言中的数组计算多项式的值？

在这个 C 程序中，我们使用一个数组来保存多项式的值或系数。用户必须输入多项式的阶次值和“ **x** 的值以及系数。然后，我们必须找出一个 For 循环中的多和，使用公式。

```c
"polySum = polySum * x + a[i];"

```

之后，我们使用另一个**来打印多项式，用于循环**。

```c

 for (i=0;i<= N;i++)
     {
        if (power < 0>

```

最后，计算一个多项式的和，并根据**a【0】**的值加上运算符，然后显示最终输出。

### 算法

**步骤 1:** 将头文件导入 C 程序，使用内置函数。

**步骤 2:** 定义数组大小和 C 程序中使用的其他变量。

**步骤 3:** 使用`printf`和`scanf`功能从用户处接受多项式的顺序。

**步骤 4:** 接受多项式方程中未知的值“ **x** ”。

**步骤 5:** 使用`for loop`接受系数值。

**步骤 6:** 将**多边形**初始化为数组第一个元素。

**步骤 7:** 使用一个从 1 到数到项再递增 1 的 For 循环，我们计算出**“一词多义* x + a[i]。”**

**第 8 步:**现在指定**的幂= N** ，并使用`for loop`打印多项式。

**步骤 9:** 如果功率小于零，则中断程序。

**STEP 10:** 如果 array 元素大于 zero，则将符号打印为“ **+** ”，否则为 Array 元素小于 Zero，将字符打印为“ **-** ”，否则不打印。

**第 11 步:**现在使用 C 编程中的`printf`打印多项式和多项式和。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>
#define MAXSIZE 10

void main()
{
  int a[MAXSIZE];
  int i, N, power;
  float x, polySum;
  printf("Enter the order of the polynomial\n"); /* enter order of polynomial */
  scanf("%d", & N);
  printf("Enter the value of x\n"); /* value of x */
  scanf("%f", & x);

  /*Read the coefficients into an array*/

  printf("Enter %d coefficients\n", N + 1);
  for (i = 0; i <= N; i++) {
    scanf("%d", & a[i]);
  }
  polySum = a[0];
  for (i = 1; i <= N; i++) {
    polySum = polySum * x + a[i]; /* calculating the polysum  */
  }
  power = N;

  /*power--;*/

  printf("Given polynomial is:\n"); /* displaying the polynomial in the correct sequence */
  for (i = 0; i <= N; i++) {
    if (power < 0 > 0)
      printf(" + ");
    else if (a[i] < 0)
      printf(" - ");
    else
      printf(" ");
    printf("%dx^%d  ", abs(a[i]), power--);
  }
  printf("\nSum of the polynomial = %6.2f\n", polySum); /* displays the output */
}

```

## 输出

```c
RUN 1

Enter the order of the polynomial
2
Enter the value of x
2
Enter 3 coefficients
3
2
6

Given polynomial is:
+ 3x^2   + 2x^1   + 6x^0
Sum of the polynomial =  22.00

RUN 2

Enter the order of the polynomial
4
Enter the value of x
1
Enter 5 coefficients
3
-5
6
8
-9

Given polynomial is:
+ 3x^4   - 5x^3   + 6x^2   + 8x^1   - 9x^0
Sum of the polynomial =   3.00
```