# C 程序：执行矩阵加减和计算迹

> 原文：<https://learnetutorials.com/c-programming/programs/addition-subtraction-trace-matrices>

一个**矩阵**是行和列中数字或元素的集合。矩阵中的每个数字称为矩阵元素。在这个 C 程序中，我们要执行**矩阵加法**、**矩阵减法**。完成加法或减法后，我们必须找出结果矩阵的迹。为了在矩阵上实现这个操作，它应该遵循以下条件。条件是，矩阵的顺序应该是相等的，这意味着行数和列数。矩阵的顺序用 **'a x b'** 表示，其中“ **a** ”是行数， **b** 是矩阵中的列数。

为了进行矩阵**、**的加法，我们需要将**矩阵 A** 中的每个元素与**矩阵 B** 中的对应元素相加。意味着，

**“和[I][j]= A[I][j]+B[I][j]”**。

For doing the Subtraction of the Matrix**,** we need to Subtract each element in **Matrix A** with the corresponding element in **Matrix B**. Means, **"diffmat[i][j] = A[i][j] - B[i][j]".**

一个**矩阵的迹** **一个**是矩阵对角元素的和。所以它是通过将矩阵的对角线元素相加来计算的。意味着，

**“迹= A[1][1]+A[2][2]+A[3][3]....A[n][n]"** 。

这个 C 程序的逻辑是我们必须从用户那里读取矩阵的顺序。然后我们通过使用 For 循环来接受两个矩阵的元素。得到矩阵的元素后，我们打印它们。然后显示一条消息给用户输入，

*   1 执行加法
*   2 来执行减法”。

如果用户输入 **1** ，那么我们使用嵌套`for loop`进行矩阵加法。其中外部 for 循环用于行，内部循环用于列。在循环的内部，我们将**矩阵 A** 中的每个元素添加到**矩阵 B** 中的每个元素。然后，我们调用 Trace 函数来获取输出矩阵的踪迹。

如果用户输入 **2** ，那么我们以同样的方式执行矩阵减法，并调用 Trace 函数来找出结果矩阵的 Trace。Trace 函数通过使用`for loop`并检查条件“ **i=j** ”来添加给定矩阵的对角元素

## 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 初始化并定义矩阵和在 C 程序中使用的变量。

**步骤 3:** 声明用户自定义函数**轨迹**来寻找加减矩阵的轨迹。

**第四步:**使用 C 编程中的`printf`和`scanf`功能接受**矩阵 A** 和 **B** 的顺序。

**步骤 5:** 使用嵌套`for loop`和`scanf`功能接受**矩阵 A** 的元素。

**步骤 6:** 使用嵌套循环和`printf`功能显示**矩阵 A** 。

**步骤 7:** 使用嵌套循环和`scanf`功能接受**矩阵 B** ，然后使用`printf`功能打印。

**步骤 8:** 接受用户的选择， **1** 为加法 **2** 为减法。

**第 9 步:**如果用户进入 **1** 进行加法，则按照第 10 步**和第 11 步进行。**

**第 10 步:**打开嵌套 for 循环，使用公式**进行矩阵元素的加法运算【sumat[i][j] = A[i][j] + B[i][j]** 并使用嵌套 for 循环打印结果矩阵。

**第 11 步:**调用函数**追踪**得到结果相加矩阵的追踪。

**步骤 12:** 如果用户输入选项 **2** 进行减法运算，请执行步骤 13 和步骤 14。

**步骤 13:** 使用嵌套 for 循环，使用公式**diffmat[I][j]= A[I][j]-B[I][j]**找到减法矩阵，并打印结果矩阵。

**步骤 14:** 调用函数**轨迹**找到相减矩阵的轨迹。

## 用户定义的函数

**a:** 接受来自调用函数的矩阵作为 Trace 函数的参数。

**b:** 打开嵌套的`for loop`并使用`if`条件检查循环内的条件 **(i = j)** 。

**c:** 如果是这样的话，添加微量元素作为**微量=微量+ arr[i][j]**

**d:** 使用 C 编程语言将 Trace 返回到被调用的函数。

## c 源代码

```c
#include <stdio.h>
#include <conio.h>

void main()
{

  int A[10][10], B[10][10], sumat[10][10], diffmat[10][10]; /* declares matrix sum and difference as integers  */
  int i, j, M, N, option;
  void trace(int arr[][10], int M, int N); /* declares function trace as void */
  clrscr();
  printf("Enter the order of the matrice A and B\n");
  scanf("%d %d", & M, & N);
  printf("Enter the elements of matrix A\n"); /* enter the order and elements of two matrices */
  for (i = 0; i < M; i++) {
    for (j = 0; j < M; i++) {
      for (j = 0; j < N; j++) {
        printf("=", A[i][j]);
      }
      printf("\n");
    }
    printf("Enter the elements of matrix B\n");
    for (i = 0; i < M; i++) {
      for (j = 0; j < M; i++) {
        for (j = 0; j < M; i++) /* using switch, switch control to addition or multiplication case */ {
          for (j = 0; j < N; j++) {
            sumat[i][j] = A[i][j] + B[i][j];
          }
        }
        printf("Sum matrix is\n");
        for (i = 0; i < M; i++) {
          for (j = 0; j < N; j++) {
            printf("=", sumat[i][j]); /* print and calculate the matrix sum */
          }
          printf("\n");
        }
        trace(sumat, M, N); /* calling the function trace for sum output */
        break;
        case 2: for (i = 0; i < M; i++) {
          for (j = 0; j < N; j++) {
            diffmat[i][j] = A[i][j] - B[i][j];
          }
        }
        printf("Difference matrix is\n");
        for (i = 0; i < M; i++) {
          for (j = 0; j < N; j++) {
            printf("=", diffmat[i][j]); /* calculating and printing the difference of the matrix */
          }
          printf("\n");
        }
        trace(diffmat, M, N); /* calling function trace for difference output */
        break;
      }
      getch();
    } /* End of main() */
    /*Function to find the trace of a given matrix and print it*/

    void trace(int arr[][10], int M, int N)

    {
      int i, j, trace = 0;
      for (i = 0; i < M; i++) {
        for (j = 0; j < N; j++) /* calculating trace by adding elements that match i=j as we discussed in logic of program */ {
          if (i == j) {
            trace = trace + arr[i][j];
          }
        }
      }
      printf("Trace of the resultant matrix is = %d\n", trace);
    }

```

## 输出

```c
Enter the order of the matrix A and B
2* 2

Enter the elements of matrix A
1 1
2 2

MATRIX A is
1  1
2  2

Enter the elements of matrix B
3 3
4 4

MATRIX B is
3  3
4  4

Enter your option: 1 for Addition and 2 for Subtraction
1

Sum matrix is
4  4
6  6

Trace of the resultant matrix is = 10
```