# C 程序：读取和寻找矩阵转置

> 原文：<https://learnetutorials.com/c-programming/programs/find-transpose-matrix>

## 什么是矩阵的转置？

在这个 C 程序中，我们需要计算输入矩阵的**转置**。矩阵的转置意味着我们需要将一行中的所有元素改为一列，将一列中的所有元素改为一行。[转置](https://en.wikipedia.org/wiki/Transpose)于 1858 年由[克莱](https://en.wikipedia.org/wiki/Cayley–Hamilton_theorem)引入。

比如我们假设一个**【1 2 3】**的矩阵，在计算这个矩阵的转置时，应该是这样的。

```c
[1
2
3] 

```

这意味着我们必须交换行和列。

## 如何求矩阵的转置？

这里，我们接受来自用户的矩阵。我们改变元素的顺序。我们把行变成列，把列变成行。最后，我们以矩阵格式分别显示输入矩阵和输出矩阵。

这个程序的逻辑是首先从用户那里读取矩阵的顺序。接受来自用户的元素，并使用嵌套`for loop`将其添加到矩阵中。显示矩阵，然后通过改变矩阵的元素位置找出矩阵的转置**b****A**。“ **A[j][i] = B[i[j]。”**之后，我们使用嵌套的`for loop`显示转置矩阵。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 初始化并定义矩阵和 C 程序中使用的变量。

**步骤 3:** 使用 C 编程中的`printf`和`scanf`功能接受**矩阵 A** 的顺序。

**步骤 4:** 使用嵌套的`for loop`和`scanf`功能接受**矩阵 A** 的元素。

**步骤 5:** 使用嵌套的 For 循环和`printf`功能显示**矩阵 A** 。

**第六步:**利用嵌套的`for loop`找出矩阵的转置，将 **B[i][j]=A[j][i]** 放置其中‘**B**’为转置矩阵。

**步骤 7:** 使用 c 中嵌套的`for loop`和`printf`功能显示转置矩阵“ **B**

## c 源代码

```c
#include <stdio.h>

void main()
{
  int i, j, M, N;
  int A[10][10], B[10][10];

  printf("Enter the order of matrix A\n");
  scanf("%d %d", & M, & N);
  printf("Enter the elements of matrix\n"); /* enters the order of matrix with the values for each position of the matrix  */
   for (i = 0; i < M; i++) {
    for (j = 0; j < N; j++) {
      scanf("%d", & A[i][j]);
    }
  }
   printf("The given matrix is \n"); /* just prints the matrix as such */
  for (i = 0; i < M; ++i) {
    for (j = 0; j < N; ++j) {
      printf(" %d", A[i][j]);
    }
    printf("\n");
  }

    /* Finding Transpose of matrix*/

    for (i = 0; i < M; i++) {
      for (j = 0; j < N; j++) {
        B[i][j] = A[j][i]; /* changing the elements of A matrix as per we discussed above */
      }
    }
    printf("Its Transpose is\n");
    for (i = 0; i < M; i++) {
      for (j = 0; j < N; j++) {
        printf(" %d", B[i][j]); /* finally printing the result matrix */
      }
      printf("\n");
    }
  } /*End of main()*/

```

## 输出

```c
Enter the order of matrix A
3 3

Enter the elements of matrix
1
2
3
4
5
6
7
8
9

Matrix A is
1  2  3
4  5  6
7  8  9

Its Transpose is
1  4  7
2  5  8
3  6  9
```