# C 程序：检查字符串是否回文

> 原文：<https://learnetutorials.com/c-programming/programs/string-palindrome>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的字符串](../../c-programming/strings)

## 回文串是什么？

C 程序中的字符串是以空字符结尾的单词或字符序列。这里我们需要弄清楚这个字符串是不是**回文**。回文是任何字符串或数字，当我们反转它时也是如此。

比如字符串“ **Malayalam** ”是回文，因为我们从前面或后面读的时候读的都一样。同样，“**英语**”也是一个字符串，但不是回文，因为倒过来读不一样。

## 如何检查 C 语言中的回文串？

这个 C 程序的逻辑是，首先声明两个名为**字符串**和 **revstring** 的字符数组。字符串数组包含输入字符串，并使用 **revstring** 存储给定字符串的反转。然后声明并初始化变量 **i** ，长度，并标记为零。**长度**是存储字符串长度的变量。

之后，我们要用条件为**的字符串【I】的 for 循环找出给定字符串的长度！= '\0'** 。这意味着它没有到达字符串的末尾。默认情况下，字符串的最后一个字符是**\ ' 0**。

在计算给定字符串的长度后，下一步是计算字符串的反向长度。寻找字符串反义词的逻辑是使用`for loop`将给定字符串的最后一个字符放在 **revstring** 数组的第一个位置。
现在 **revstring** 数组包含字符串的反向。之后，我们要检查字符串和 revstring 是否相等。如果字符串相同，“设置**标志=1** ”否则“设置**标志=0** ”。然后检查'**标志是否=1** '如果是，显示字符串是回文；否则，显示的字符串不是回文。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包括标题**字符串。h** 用于处理字符数组。

**步骤 3:** 声明 2 个字符数组**字符串**和 **revString** 。数组字符串是保持输入字符串，而 **revString** 是保持字符串的反向。

**STEP 4:** 声明整数变量 **I** 、**长度**、**标志**，设置**长度=0** 、**标志=0。**

**第五步:**使用`printf`和**获取()**功能接受字符串。

**第六步:**用条件为**的字符串【I】找到给定字符串的长度！= '\0'** 。

**步骤 7:** 然后使用`for loop`将给定字符串的最后一个字符放在 **revString** 的第一个字符上。

**步骤 8:** 之后，使用`for loop`比较两个字符串。

**STEP 9:** 如果**字符串**和 **revString** 相等，则设置**标志=1** ，否则设置**标志=0** 。

**STEP 10:** 如果**标志=1** ，则显示字符串为**回文**。

**第 11 步:**如果**标志=0** ，那么显示的字符串是**而不是回文**。

## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main()
{
  char string[25], revString[25] = {'\0'};
  int i,length = 0, flag = 0;
  fflush(stdin);
  printf("Enter a string\n");
  gets(string);
  for (i = 0; string[i] != '\0'; i++) /*keep going through each */ {
    /*character of the string */
    length++; /*till its end */
  }
  for (i = length - 1; i >= 0; i--) {
    revString[length - i - 1] = string[i];
  }

   for (flag  = 1, i = 0; i < length; i++)
   {
      if (revString[i] != string[i])
      flag  = 0;
   }

   if (flag == 1)
      printf("%s is a palindrome.", string);
   else
      printf("%s is not a palindrome", string);

   return 0;
} 

```

## 输出

```c
RUN 1
Enter a string
madam
madam is a palindrome

RUN 2

Enter a string
Madam
Madam is not a palindrome

RUN 3

Enter a string
good
good is not a palindrome
```