# C 程序：使用数组连接两个字符串

> 原文：<https://learnetutorials.com/c-programming/programs/concatenate-strings>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的字符串](../../c-programming/strings)

## 什么是字符串的串联？

**连接**两个字符串意味着我们需要通过一个接一个地添加一个单词来将两个单词连接在一起。使用 C 程序连接起来很容易理解，也很有用。

## 字符串串联在 C 语言中是如何实现的？

这个程序的逻辑是首先读取两个字符串，分别是“ **string1** ”和“ **string2** ”。我们必须在第一个字符串的末尾连接第二个字符串。读取字符串后，我们必须计算“ **string1** ”的结尾，在这里我们必须连接第二个字符串。要找出“ **string1** ”的结束位置，必须在条件为 **string[i]的情况下，使用`for loop`遍历“ **string1** ”！= '\0'** 。

获取“ **string1** ”的结束位置“ **pos** 后，使用`for loop`将“ **string2** ”的第一个字符放置到“ **string1** 的结束位置。将“**字符串 1** 的最后一个字符设置为空**。**然后将连接的字符串显示为“**字符串 1** ”。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包含用于处理字符数组的标题“**字符串。h** 。

**步骤 3:** 声明双字符数组“ **string1** ”和“ **string2** ”。

**步骤 4:** 声明整数变量“ **I** ”、“ **j** ”、“ **pos** 。

**步骤 5:** 将所有出现在“**字符串 1** 和“**字符串 2** 中的事件设置为空。

**第六步:**使用**get()**功能，将第一个字符串接受为**字符串 1** ，将第二个字符串接受为**字符串 2** 。

**步骤 7:** 使用`printf`功能同时显示“ **string1** 和“ **string2** ”。

**步骤 8:** 要将第二个字符串连接到第一个字符串，首先使用条件为**的字符串【I】遍历“**字符串 1** ！= '\0'** 。

**步骤 9:** 在遍历到“**字符串 1** 之后，我们得到了“**字符串 1** 的结束位置，在这里我们必须添加第二个字符串。

**步骤 10:** 使用另一个`for loop`，我们将“ **string2** 的每个字符放在“ **string1** 的末尾。

**第 11 步:**将“**字符串的最后一个字符 1** 置于“ **\0** ”。

**步骤 12:** 然后将串联字符串显示为“**字符串 1** ”。

## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main()
{

  char string1[20], string2[20];
  int i, j, pos;
  printf("Enter the first string :");
  gets(string1);
  fflush(stdin);
  printf("Enter the second string:");
  gets(string2);
  printf("First string  = %s\n", string1);
  printf("Second string = %s\n", string2);
  /*To concatenate the second string to the 
end of the string traverse the first to its end and attach the second string*/
  for (i = 0; string1[i] != '\0'; i++) {} /*null statement: simply traversing the string 1*/
  pos = i;
  for (i = pos, j = 0; string2[j] != '\0'; i++) {
    string1[i] = string2[j++]; /* add the string two to end of string one  */
  }
  string1[i] = '\0'; /*set the last character of string1 to NULL*/
  printf("Concatenated string = %s\n", string1);
}

```

## 输出

```c
Enter the first string: CD-
Enter the second string: ROM
First string  = CD-
Second string = ROM

Concatenated string = CD-ROM
```