# C 程序：将小写字符转换成大写字符并且反之亦然

> 原文：<https://learnetutorials.com/c-programming/programs/convert-lowercase-to-uppercase>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的字符串](../../c-programming/strings)

## C 语言中如何将小写转换成大写？

在这个 C 程序中，我们必须读一个句子，用大写字母替换小写字母，反之亦然。这意味着我们必须把大写字母变成小写字母，把小写字母变成大写字母。

## “islower”和“isupper”函数是干什么的？

为了检查一个字符是大写还是小写，我们可以使用内置函数 c **islower()** 和 **isupper()** 。如果给定字符为小写，则“ **islower()** ”函数将返回 true。如果给定字符是大写的，则“ **isupper()** ”函数将返回 true。

## “toupper”和“tolower”函数是干什么的？

要将一个字符转换为大写，我们可以使用“ **toupper()** ”，要将一个字符转换为小写，我们可以使用“ **tolower()** ”。为了使用所有功能，我们必须包含头文件“ **ctype.h** ”。

这个 C 程序背后的逻辑是从用户那里读取句子，并通过遍历找出句子的长度。将句子的长度输入变量 count。之后显示用户给出的句子。然后取字符串的每个字符，使用函数“ **isupper()** ”和“ **islower()** ”检查是大写还是小写。

如果字符是大写的，它将通过调用函数“ **tolower()** ”变为小写。如果字符是小写的，它将通过使用“ **toupper()** 变为大写。转换后，将使用功能 **putchar(ch)** 显示字符。它将重复转换并显示字符，直到它到达句子的结尾。

算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包括头文件“ **ctype.h** ”以执行类似于“ **isupper()** ”、“ **islower()** 的字符测试。

**第三步:**申报字阵**句【100】**。

**步骤 4:** 接受用户对数组语句的语句。

**第五步:**用`for loop`遍历句子，找出句子的长度。

**第 6 步:**在句子末尾添加一个空字符。

**步骤 7:** 显示给定的句子。

**步骤 8:** 使用`for loop`检查字符串的每个字符是大写的**还是小写的**。如果字符是大写的，则将其改为小写。如果字符为小写，请使用“ **tolower()** ”、“ **toupper()** 函数将其更改为大写。****

 ******STEP 9:** 转换后，使用功能 **putchar(ch)** 显示字符串的每个字符。****  ****## c 源代码

```c
#include <stdio.h>
#include <ctype.h>

void main()
{
  char sentence[100];
  int count, ch, i;
  printf("Enter a sentence\n");
  for (i = 0;
    (sentence[i] = getchar()) != '\n'; i++) /* enters the user sentence to change the case*/ {
    ;
  }
  sentence[i] = '\0'; /* add the null character at the end of sentence */
  count = i; /*shows the number of chars accepted in a sentence*/
  printf("The given sentence is   : %s", sentence);
  printf("\nCase changed sentence is: ");
  for (i = 0; i < count; i++) {
    ch = islower(sentence[i]) ? toupper(sentence[i]) : tolower(sentence[i]); /* check each letter of sentence using islower function if it is lowercase use toupper function to change it to uppercase else use tolower function to change uppercase to lowercase */
    putchar(ch);
  }
} /*End of main()*/

```

## 输出

```c
Enter a sentence
World is Beautiful

The given sentence is: World is Beautiful
Case changed sentence is: wORLD IS bEAUTIFUL
```****