# C 程序：计数句子元音和辅音

> 原文：<https://learnetutorials.com/c-programming/programs/count-vowels-consonants>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的字符串](../../c-programming/strings)

## 字符串中的元音、辅音和特殊字符是什么？

在这个 C 程序中，我们需要计算一个句子中元音、辅音和特殊字符的数量。这个 C 程序与字符串有关。“ **a、e、I、o、u** ”是英语中的元音。特殊字符包括空格 **/t，/0** 等。除此之外，我们都算作**辅音**。

## 如何统计 C 语言中的元音、辅音和特殊字符？

在这个 C 程序中，我们需要计算每个元音、辅音和特殊字符的数量。为了实现这一点，我们必须检查给定句子中每个字母的元音或特殊字符或辅音，并增加相应的计数。

这个程序的主要逻辑是，先把元音计数器、辅音计数器、特殊字符计数器设置为零。使用`for loop`获取字符串的每个字符，直到它到达句子的末尾，这是一个空字符。然后用“**”或“**”条件检查句子的每个字符是否是元音。如果是元音，则元音计数器加 1。否则，辅音计数器加 1。

然后通过使用另一个“`if`”**条件，我们将检查该字符是否是特殊字符。如果是特殊字符，那么我们将特殊字符计数器递增 1。检查完句子中的所有字符后，我们将减少所有特殊字符的辅音计数器。然后我们将显示元音的数量作为元音计数器，辅音的数量作为辅音计数器。**

 **### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**申报字阵**句【100】**。

**STEP 3:** 初始化变量，**辅音**、**元音**、**特殊**，设置为 **0** 。

**第 4 步:**使用**get()**功能接受用户对可变句子的句子。

**第五步:**使用`for loop`，取字符串的每个字符，进行第六步。

**步骤 6:** 首先，检查字符是否是一个**元音**，大写和小写都要。

**第 7 步:**如果是元音，则按 **1** 递增元音计数。那就是 v**owels =元音+1** 。否则执行第 8 步。

**第 8 步:**如果字符不是元音，则通过 **1** 增加辅音计数。

**第 9 步:**如果该字符是特殊字符，则增加特殊字符计数，特殊通过 **1** 。重复步骤 6，直到我们检查句子的所有字符。

**步骤 10:** 通过特殊字符减少辅音计数器的值意味着**c = c-特殊**。

**第 11 步:**显示元音编号为**元音计数器**。

**步骤 12:** 显示辅音数量为**辅音计数**。**  **## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main()
{

  char sentence[80];
  int i, vowels = 0, c, special = 0;
  printf("Enter a sentence\n");
  gets(sentence);
  for (i = 0; sentence[i] != '\0'; i++) /*checking for vowels in both lower and upper case */ {
    if ((sentence[i] == 'a' || sentence[i] == 'e' || sentence[i] == 'i' ||
        sentence[i] == 'o' || sentence[i] == 'u') || (sentence[i] == 'A' ||
        sentence[i] == 'E' || sentence[i] == 'I' || sentence[i] == 'O' ||
        sentence[i] == 'U')) {
      vowels = vowels + 1; /* increment vowel counter */
    } else {       c = c + 1; /* else increment consonant counter */
    }
    if (sentence[i] == '\t' || sentence[i] == '\0' || sentence[i] == ' ') {
      special = special + 1; /* check and increment special character count  */
    }
  }  c =c - special;
  printf("No. of vowels in %s = %d\n", sentence, vowels); /* display output number of vowels and consonants */
  printf("No. of consonants in %s = %d\n", sentence, c);
}

```

## 输出

```c
Enter a sentence
Good Morning

No. of vowels in Good Morning = 4
No. of consonants in Good Morning =7
```**