# C 程序：使用数组按字母顺序排列的名字

> 原文：<https://learnetutorials.com/c-programming/programs/sort-names>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C](../../c-programming/header-files)中的头文件
*   [C 中的数组](../../c-programming/array)
*   [C 中的字符串](../../c-programming/strings)

## C 语言中的 strcmp 函数是什么？

在这个 C 程序中，我们需要将名字输入到一个数组中，并按照字母顺序对名字进行排序。为了实现这一点，我们使用了两个函数， **strcmp** 和**strpy**，这样我们可以非常快速地完成。 **Strcm** p 称为字符串比较函数，用于比较两个字符串。如果 **string1** 大于 **string2** ，则“ **strcmp()** 返回小于零的值。否则 **strcmp** 返回大于零的值。

## strcmpi 和 strcpy 函数是做什么的？

**Strcmpi()** 函数在这个 C 程序中用于忽略字母的大小写。 **Strcpy()** 被称为字符串复制函数，顾名思义它将一个字符串复制到另一个变量中。这里，我们将名称存储到一个数组中。在开始 for 循环之前，我们将名称复制到一个临时变量中。在 for 循环中，我们将每个术语与下一个名称进行比较，然后通过使用 **strcpy** 交换术语来对其进行排序。要使用 **strcmp** 、 **strcpy** 函数，我们必须包含头文件“ **string.h**

## 如何按字母顺序排列名字？

在这个 C 程序中，我们必须按字母顺序对名字进行排序。我们必须接受来自用户的数字，以了解用户想要排序的术语数量。用户希望排序到变量 **n** 中的术语或名称的数量。然后将接收来自用户的单词，并将其存储在两个数组中。

一个是名为 **tname** 的临时数组。现在，数组“**名称[][]** ”和“ **tname[][]** ”都包含名称。使用`for loop`，我们必须将数组“ **name[][]** ”中的名称与同一数组的下一个名称进行比较。为了比较名称，我们在 C 语言中使用了“ **strcmp()** ”函数。

如果第一个名字大于第二个，我们将第一个名字和第二个名字互换，继续`for loop`。第一次迭代后，我们将在“**名称[][]** ”数组的第一个位置获得排序后的名称。for 循环将继续，直到它检查所有名称。现在“**名称[][]** ”数组包含排序后的名称，而“ **tname[][]** ”包含输入名称。然后我们将正确显示输入名称和排序名称。

### 算法

**步骤 1:** 将使用内置函数的头文件包含到 C 程序中。

**步骤 2:** 包括头文件“**字符串。h** 用于执行字符串操作，如 **strcmp、strcpy** 。

**步骤 3:** 初始化名为“ **Tname** ”、“ **name** 和字符串 **temp** 的双字符数组。

**步骤 4:** 初始化整数变量 **N** 以接受用户想要排序的名称数量。

**步骤 5:** 接受用户想要排序到 **N** 中的姓名数量。

**STEP 6:** 接受用户的名字进入数组“**名字[][]** ”，然后使用“ **strcpy()** ”函数将名字复制到“ **Tname[][]** ”。

**步骤 7:** 重复步骤 6，直到我们接受用户的所有姓名。

**步骤 8:** 使用 For 循环，将数组“**名称[][]** ”中的每个名称与同一数组中的下一个单词进行比较。我们使用“ **strcmp()** 函数来比较术语。

**步骤 9:** 如果“ **strcmp()** ”函数的返回值大于零，我们将交换名称。

**步骤 10:** 然后，重复步骤 8，直到我们比较所有的名字。

**步骤 11:** 将输入名称显示为“ **Tname[][]** ”数组中的元素。

**步骤 12:** 将排序后的名称显示为“**名称[][]** ”数组中的元素。

## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main()
{
  char name[10][8], Tname[10][8], temp[8];
  int i, j, N;
  printf("Enter the value of N\n");
  scanf("%d", & N);
  printf("Enter %d names\n", N); /* gets the names into a array and copy it into temporary array*/
  for (i = 0; i < N; i++) {
    scanf("%s", name[i]);
    strcpy(Tname[i], name[i]);
  }
  for (i = 0; i < N - 1; i++) {
    for (j = i + 1; j < N; j++) {
      if (strcmp(name[i], name[j]) > 0) /* compare and interchange each name to get sorted in the alphabetic order */ {
        strcpy(temp, name[i]);
        strcpy(name[i], name[j]);
        strcpy(name[j], temp);
      }
    }
  }
  printf("\n----------------------------------------\n"); /* prints the names in the alphabetic order */
  printf("Input Names\tSorted names\n");
  printf("------------------------------------------\n");
  for (i = 0; i < N; i++) {
    printf("%s\t\t%s\n", Tname[i], name[i]);
  }
  printf("------------------------------------------\n");
} /* End of main() */

```

## 输出

```c
Enter the value of N
3

Enter 3 names
Monica
Lakshmi
Aron

----------------------------------------
Input Names     Sorted names
----------------------------------------
Monica          Aron

Lakshmi        Lakshmi

Aron              Monica
```