# C 程序：执行选择排序

> 原文：<https://learnetutorials.com/c-programming/programs/selection-sort>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [功能在 C](../../c-programming/functions)

## 如何在 C 语言中进行选择排序？

在这个 C 程序中，我们需要使用**选择排序**来对元素进行排序。选择排序是 C 程序设计中最简单的排序技术之一。在选择排序中，我们有两个子列表，一个是已排序的，另一个需要排序。首先，排序后的列表是空的，没有排序，有所有的元素，然后开始排序，找到最低或最高的元素。根据顺序，将列表中最低元素的位置与最左边的元素互换。现在排序的子列表有一个元素，最后所有的元素从未排序的列表进入排序的子列表。在这个 C 程序中，我们使用了两个函数，一个用来查找最高的元素，一个用来按照我们需要的顺序对元素进行排序。find **max** 函数找到数组中最大的元素，我们调用交换数组函数来交换位置。

这个 C 程序的逻辑是，首先读取用户想要排序的数字的计数。然后使用`for loop`将数字读入数组。然后显示输入数组元素。之后，我们必须开始分类过程。为了排序，我们调用函数**交换()**。 **exchange()** 函数首先通过调用另一个函数 **findmax()** 从数组中找出最大的数字，并将最大的数字放在数组的最后一个位置。现在数组的最后一个位置被排序。现在我们将使用数组的 **n-1** 元素继续排序过程。如果找到倒数第二个元素，那么我们将使用 **n-2** 元素重复该过程，以此类推。最后，我们在顶部得到最小的数字。

## 算法

第一步:在 C 程序中包含头文件以使用内置头文件。

第二步:声明一个数组和一个变量 **N** 。数组用来存储数字， **N** 用来存储数字的极限。

第三步:声明函数 int **findmax(int b[10]，int k)** 和 void**exchange(int b[10]，int k)** 。

第四步:使用`for loop`将数组元素读入数组。

第五步:使用`for loop`显示数组元素。

第六步:调用函数**交换(数组，N)** 对数组进行排序。

步骤 7:现在使用`for loop`显示排序后的数组为数组元素。

**函数 int findmax(int b[10]，int k)**

第一步:声明变量**最大，j** ，设置**最大=0** 。

第二步:使用 **j=1** 的`for loop`和条件 **j < =k** 进行第三步。

第三步:检查 **b[j] > b[max]，**如果是真的那么 **max=j** 。重复步骤 2

第四步:返回**最大值**。

**函数 int void exchange(int b[10]，int k)**

第一步:声明变量 **temp，big，j** 。

第二步:使用 **j=k-1** 的`for loop`和条件 **j > =1** 进行第三步。

第三步:通过调用 **findmax(b，j)** 找出最大数字的位置。

第四步:现在用**交换**的方法将最大的元素放在 **j** 的位置。

第五步:用 **1** 减量 **j** ，检查条件 **j > =1** ，重复第三步。

## c 源代码

```c
#include <stdio.h>

void main()
{
  int array[10];
  int i, j, N, temp;
  int findmax(int b[10], int k); /* function declaration */
  void exchang(int b[10], int k);
  printf("Enter the value of N\n");
  scanf("%d", & N);
  printf("Enter the elements one by one\n");
  for (i = 0; i < N; i++)
  scanf("%d", & array[i]);
  printf("Input array elements...\n");
  for (i = 0; i < N; i++)
  {
    printf("%d\n", array[i]);
  }

  /* Selection sorting begins */

  exchang(array, N);
  printf("Sorted array is...\n");
  for (i = 0; i < N; i++)
  {
    printf("%d\n", array[i]);
  }

} /* End of main*/

/* function to find the maximum value */

int findmax(int b[10], int k)
{
  int max = 0, j;
  for (j = 1; j <= k; j++)
  {
    if (b[j] > b[max])
    {
      max = j;
    }
  }
  return (max);
}
void exchang(int b[10], int k)
{
  int temp, big, j;
  for (j = k - 1; j >= 1; j--)
  {
    big = findmax(b, j);
    temp = b[big];
    b[big] = b[j];
    b[j] = temp;
  }
  return;
}

```

## 输出

```c
Enter the value of N
5

Enter the elements one by one
45
12
90
33
78
Input array elements
45
12
90
33
78

Sorted array is
12
33
45
78
90
```