# C 程序：求两个矩阵乘积

> 原文：<https://learnetutorials.com/c-programming/programs/matrix-multiplication>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的字面值和常量](../../c-programming/constants-literals)

## 矩阵在 C 语言中是如何相乘的？

在这个 C 程序中，我们需要计算两个矩阵的乘积。**矩阵乘法**是一种双重运算，取几个矩阵，产生另一个矩阵。矩阵是数字的数组，所以没有特殊的方法来表征数组的乘法。因此，总而言之，表达式“**矩阵乘法**”允许各种不同的方法来复制矩阵。

任何矩阵乘法的关键亮点包括第一个矩阵的行数和列数(称为“**大小**”、“**顺序**或“**度量**”)，以及确定[点阵的通道如何产生新矩阵。这意味着第一个矩阵的行数将等于第二个矩阵的列数。如果 **A** 是“ **n * m** ”矩阵， **B** 是“ **m * p** 矩阵，那么它们的矩阵乘积 **ab** 就是“ **n * p** ”矩阵。](https://en.wikipedia.org/wiki/Lattice_(order))

## 如何利用函数实现矩阵乘法？

在这个 C 程序中，我们做的是从用户那里接受两个矩阵。并显示矩阵。现在我们打开一个嵌套的 for 循环，该循环用于使用公式**C[I][j]= C[I][j]+A[I][k]* B[k][j]**对矩阵进行乘法运算，最后将结果显示为输出矩阵。

这个程序的主要逻辑是声明三个矩阵 **a、m、c** 。然后我们必须从用户那里读取矩阵的顺序，并将其存储到变量 **m** 和 **n** 中。然后我们将通过调用 read **matrix ()** 函数从用户那里接受矩阵 a。然后我们通过调用函数 print **matrix()** 来显示 matrix **a** 。

然后我们将通过调用 read **Matrix ()** 函数从用户那里接受 **Matrix B** 。然后调用函数 print **Matrix()** 显示**矩阵 B** 。然后我们调用**矩阵()**的乘积，找出**矩阵 A** 和**矩阵 B** 的乘积。**矩阵 A** 和**矩阵 B** 的乘积将存储在**矩阵 C** 中。现在我们可以通过调用函数 print **`Matrix()`将 **Matrix C** 打印为产品矩阵。**

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 申报三个矩阵 **A[10][10]、B[10][10]、c[10][10]** 和两个整数变量 **M** 和 **N** 。

**STEP 3:** 声明三个功能读取**矩阵()**，打印**矩阵()**，产品**矩阵()**。

**第四步:**接受用户矩阵的订单进入 **M** 和 **N** 。

**步骤 5:** 通过调用读取**矩阵()**的函数，从用户处接受**矩阵 A** 。

**步骤 6:** 通过调用打印**矩阵()**功能打印**矩阵 A** 。

**步骤 7:** 通过调用函数 read **Matrix ()** 从用户处接受 **Matrix B** 。

**步骤 8:** 通过调用打印**矩阵()**功能打印**矩阵 B** 。

**STEP 9:** 调用函数乘积**矩阵(A、B、C、M、N)** 找出**矩阵 A** 和 **B** 的乘积，并将结果存储在**矩阵 C** 中。

**STEP 10:** 通过调用函数 print **Matrix()** 打印**矩阵 C** 。

### **函数 void readMatrix(int arr[][MAXCOLS]，int M，int N)**

**步骤 1:** 声明变量 **i，j** 并将 i **设置为 0** 。

**步骤 2:** 使用循环检查 **i**

**步骤 3:我初始化 **j=0** 并检查 **j****

**第 4 步:**将 **j** 增加**1**，重复第 3 步。

**第五步:**将 **i** 增加**1**，重复第二步。

### **函数 printMatrix(int arr[][MAXCOLS]，int M，int N)**

**STEP 1:** 声明变量' **i，j'** ，设置 **i=0** 。

**步骤 2:** 使用 a 进行循环检查‘**I**

**STEP 3:** 初始化“ **j=0** ”并检查“ **j**

**第 4 步:**将“ **j** 增加 1，重复第 3 步。

**第 5 步:**将“ **i** 增加 1，重复第 2 步

### **函数 productMatrix(int A[][MAXCOLS]，int B[][MAXCOLS]，int C[][MAXCOLS]，int M，int N))**

**STEP 1:** 声明变量“ **i，j，k** ”，设置 **i=0** 。

**步骤 2:** 使用 a 进行循环检查‘**I**

**步骤 3:** 初始化 **j=0** 。

**步骤 4:** 检查 **j**

**步骤 5:** 设置 **C[i][j] = 0** 。

**步骤 6:** 初始化 **k=0** 并检查 **k**

**STEP 7:**T2【C[I][j]= C[I][j]+A[I][k]* B[k][j]

**步骤 8:** 将 **k** 增加 **1** ，重复步骤 7，直到 **k** 达到 **N** 。

**第 9 步:**用 **1** 增加 **j** ，重复第 4 步，直到 **k** 达到“ **N**

**第 10 步:**用 **1** 增加 **i** ，重复第 2 步，直到 **i** 达到 **N**

## c 源代码

```c
#include <stdio.h>

#define MAXROWS 10
#define MAXCOLS 10

void main() {
  int A[MAXROWS][MAXCOLS], B[MAXROWS][MAXCOLS], C[MAXROWS][MAXCOLS];
  int M, N;
  void readMatrix(int arr[][MAXCOLS], int M, int N); /*Function declarations*/
  void printMatrix(int arr[][MAXCOLS], int M, int N);
  void productMatrix(int A[][MAXCOLS], int B[][MAXCOLS], int C[][MAXCOLS],
    int M, int N);
  printf("Enter the value of M and N\n");
  scanf("%d %d", & M, & N);
  printf("Enter matrix A\n");
  readMatrix(A, M, N);
  printf("Matrix A\n");
  printMatrix(A, M, N);
  printf("Enter matrix B\n");
  readMatrix(B, M, N);
  printf("Matrix B\n");
  printMatrix(B, M, N);
  productMatrix(A, B, C, M, N);
  printf("The product matrix is\n");
  printMatrix(C, M, N);
}
/*Input matrix A*/
void readMatrix(int arr[][MAXCOLS], int M, int N) {
  int i, j;
  for (i = 0; i < M; i++) {
    for (j = 0; j < N; j++) {
      scanf("%d", & arr[i][j]);
    }
  }
}
void printMatrix(int arr[][MAXCOLS], int M, int N) {
  int i, j;
  for (i = 0; i < M; i++) {
    for (j = 0; j < N; j++) {
      printf("%d", arr[i][j]);
    }
    printf("\n");
  }
}
void productMatrix(int A[][MAXCOLS], int B[][MAXCOLS], int C[][MAXCOLS],
  /* Multiplication of matrices */
  int M, int N) {
  int i, j, k;
  for (i = 0; i < M; i++) {
    for (j = 0; j < N; j++) {
      C[i][j] = 0;
      for (k = 0; k < N; k++) {
        C[i][j] = C[i][j] + A[i][k] * B[k][j];
      }
    }
  }
}

```

## 输出

```c
Enter the value of M and N
3 3

Enter matrix A
1 1 1
2 2 2
3 3 3

Matrix A
1  1  1
2  2  2
3  3  3

Enter matrix B
1 2 3
4 5 6
7 8 9

Matrix B
1  2  3
4  5  6
7  8  9

The product matrix is
12 15 18
24 30 36
36 45 54
```