# C 程序：求每行每列的元素之和

> 原文：<https://learnetutorials.com/c-programming/programs/matrix-sum>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [功能在 C](../../c-programming/functions)

## 如何添加矩阵的行和列？

在这个 C 程序中，我们需要使用函数分别计算矩阵的每一行和每一列的和。我们正在做的是分别制作两个函数，一个用于行加法，一个用于列加法。我们调用相应的函数来执行相应的操作。

然后我们将参数传递给函数，例如**数组**、**行名**、**列名**取决于我们调用的函数。在该函数中，我们使用公式分别计算每行或每列的**和**。我们将结果传递到主 C 程序中，并在主程序中显示结果。

这个程序的主要逻辑是从用户那里接受一个矩阵，并将其存储到一个数组 **arr[10][10]** 中。然后使用 For 循环显示矩阵。我们调用各自的函数，执行函数中的所有过程，并将结果返回给主程序。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明数组**arr【10】【10】**和整数变量 **Row** 和 **Col** 。

**STEP 3:** 声明两个函数 **int Addrow(int A[10][10]，int k，int c)** 和 **int Addcol(int A[10][10]，int k，int c)** 。

**步骤 4:** 接受用户对**行**和**列**的矩阵订单。

**步骤 5:** 使用嵌套的 For 循环从用户处接受矩阵，并将其存储到 **arr[10][10]** 中。

**步骤 6:** 使用**进行循环**打印矩阵**arr【10】【10】**。

**步骤 7:** 初始化 i=0

**步骤 8:** 检查 **i**

**第 9 步:**计算**行总和=地址行(arr，I，col)**

**步骤 10:** 将**行 i+1** 的总和打印为**行总和**。将 **i** 增加**1**，重复步骤 8。

**步骤 11:** 初始化 **j=0**

**步骤 12:** 检查 **j**

**第 13 步:**计算**科尔森=Addcol(arr，j，row)**

**第 14 步:**将列和打印为**列和**。将“ **j** ”增加 1，重复步骤 12。

**步骤 15:** 初始化 **j=0**

**步骤 16:** 检查 **j**

**步骤 17:** 计算 **sumall=sumall + Addrow(arr，j，col)**

**步骤 18:** 将矩阵所有元素的总和打印为 **sumall。**

### `Function int Addrow(int A[10][10], int k, int c)`

**STEP 1:** 声明变量**rsum = 0**；

**步骤 2:** 使用 For 循环找出 **rsum = rsum + A[k][i]** 。

**第三步:**返回 **rsum** 。

### `Function int Addcol(int A[10][10], int k, int r)   `

**步骤 1:** 声明变量 **csum=0** 。

**步骤 2:** 用于循环查找**csum = csum+A[j][k]；**

**第三步:**返回**中心**。

## c 源代码

```c
#include <stdio.h>

void main() {
  int arr[10][10];
  int i, j, row, col, rowsum, colsum, sumall = 0;
  int Addrow(int A[10][10], int k, int c); /* Function declaration */
  int Addcol(int A[10][10], int k, int c);
  printf("Enter the order of the matrix\n");
  scanf("%d %d", & row, & col);
  printf("Enter the elements of the matrix\n");
  for (i = 0; i < row; i++) {
    for (j = 0; j < col; j++) {
      scanf("%d", & arr[i][j]);
    }
  }
  printf("Input matrix is\n");
  for (i = 0; i < row; i++) {
    for (j = 0; j < col; j++) {
      printf("%d", arr[i][j]);
    }
    printf("\n");
  }
  for (i = 0; i < row; i++) /* computing row sum */ {
    rowsum = Addrow(arr, i, col);
    printf("Sum of row %d = %d\n", i + 1, rowsum);
  }
  for (j = 0; j < col; j++) {
    colsum = Addcol(arr, j, row);
    printf("Sum of column  %d = %d\n", j + 1, colsum);
  }
  for (j = 0; j < row; j++) /* computation of all elements */ {
    sumall = sumall + Addrow(arr, j, col);
  }
  printf("Sum of all elements of matrix = %d\n", sumall);
}
int Addrow(int A[10][10], int k, int c) /* Function to add each row */ {
  int rsum = 0, i;
  for (i = 0; i < c; i++) {
    rsum = rsum + A[k][i];
  }
  return (rsum);
}
int Addcol(int A[10][10], int k, int r) /* Function to add each column */ {
  int csum = 0, j;
  for (j = 0; j < r; j++) {
    csum = csum + A[j][k];
  }
  return (csum);
}

```

## 输出

```c
Enter the order of the matrix
3*3

Enter the elements of the matrix
1 2 3
4 5 6
7 8 9

Input matrix is
1  2  3
4  5  6
7  8  9

Sum of row 1 = 6

Sum of row 2 = 15

Sum of row 3 = 24

Sum of column  1 = 12

Sum of column  2 = 15

Sum of column  3 = 18

Sum of all elements of matrix = 45
```