# C 程序：交换两个整数值

> 原文：<https://learnetutorials.com/c-programming/programs/swap-integers>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [C 中的指针](../../c-programming/pointers)
*   [功能在 C](../../c-programming/functions)

## 如何在 C 语言中交换两个整数的值

在这个 C 程序中，我们需要交换两个变量的值，这意味着如果 a 的值为 **40** ，b 的值为 **50** ，交换后我们需要 a 的值为 **50** ，b 的值为 **40** 。在这个 C 程序中，我们使用的是一个名为 **swap** 的函数，它将函数 **swap** 声明为 void 表示函数 **swap** 没有返回值。我们在这个程序中使用指针，这意味着我们可以从函数中访问值，而无需实际传递函数中的值，请参考我们的指针页面，了解关于**指针**的详细信息。在函数交换中获得指针的值后，我们使用一个临时变量将**指针 1** 的值交换到**指针 2** ，它们的值在主程序中自动改变。所以我们只是使用`printf`打印新值。

程序的逻辑是声明两个变量，并从用户那里读取它们。然后在交换之前打印变量值。然后调用函数**交换(& M，& N)** 来交换这两个数字。然后显示 **M** 和 **N** 的值作为交换后的值。

## 算法

第一步:在 C 程序中包含头文件以使用内置头文件。

第二步:将变量 **M** 和 **N** 声明为类型**浮动**。

第三步:声明功能**作废交换(float *ptr1，float *ptr2 )** 。

第四步:接受 **M** 和 **N** 的值。

第五步:将 **M** 和 **N** 的值打印为交换值前的值。

第六步:调用功能**交换(& M、& N)** 进行交换。

第七步:然后将 **M** 和 **N** 的值显示为交换后的值。

**功能无效交换(float *ptr1，float *ptr2 )**

第一步:声明一个浮动类型的临时变量 **temp** 。

第二步:将**温度**分配给 ***ptr1** 、 **ptr1=*ptr2** 、*** ptr 2 =温度**，互换位置 ***ptr1** 、 ***ptr2** 的内容。

## c 源代码

```c
#include <stdio.h>

void main() {
  float M, N;
  void swap(float * ptr1, float * ptr2); /* Function Declaration */
  printf("Enter the values of M and N\n");
  scanf("%f %f", & M, & N);
  printf("Before Swapping:M = %5.2f\tN = %5.2f\n", M, N); /* printing the values before swapping */
  swap( & M, & N);
  printf("After Swapping:M  = %5.2f\tN = %5.2f\n", M, N); /* display the values after swapping from function */
} /* End of main() */
void swap(float * ptr1, float * ptr2) /* Function swap - to interchanges the contents of two items*/ {
  float temp;
  temp = * ptr1;
  * ptr1 = * ptr2;
  * ptr2 = temp;
} /* End of Function */

```

## 输出

```c
Enter the values of M and N
32 29

Before Swapping:M = 32.00       N = 29.00

After Swapping:M  = 29.00       N = 32.00
```