# C 程序：使用指针求和数组中的`N`个整数

> 原文：<https://learnetutorials.com/c-programming/programs/array-pointers>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的动态内存分配](../../c-programming/dynamic-memory-allocation)
*   [C 中的指针](../../c-programming/pointers)
*   [C 中的变量](../../c-programming/variables)

## C 语言中的指针是什么？

在这个 C 程序中，我们需要用到**指针**的概念。一个**指针**是一个带有另一个变量地址的变量，该变量可以是任何主数据类型。简单地说，指针可以保存变量的地址。使用指针概念，我们可以有大的值；此外，我们可以直接从函数中访问变量值，而不需要返回值。

## 什么是动态内存分配？

在这个 C 程序中，我们还使用了**动态内存分配**的概念来为指针分配内存空间，这取决于用户使用**“**”T4【a =(int *)malloc(n * sizeof(int))”输入的元素数量

## 如何用指针实现数组整数的“和”？

我们使用一个`for loop`计算列表中所有元素的**和**，使用指针位置增量乘以**一**，最后显示数组中元素的和。这是一个很容易理解的 C 程序。我们有公式 **Sn=n(n+1)/2** 来计算' **n** 个整数的和，其中' **n** 是整数的个数。

主要逻辑是首先声明整数变量。然后将指针变量“**声明为**。然后将数组的大小读入“ **N** ”。然后使用 For 循环读取数组，只需将指针值增加 **1** 。通过使用另一个 For 循环，找出所有数字的和，如 **sum=sum + *(a+i)** 。然后显示所有元素的总和。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包含头文件“ **malloc.h** ”以执行动态内存分配。

**步骤 3:** 声明整数变量 **i，n，和**。

**第四步:**将指针**声明为**。

**第五步:**接受阵的大小进入 **n** 。

**步骤 6:** 使用 **Malloc()** 功能动态分配内存。

**第 7 步:**通过使用条件为**的`for loop`，我< n** 读取数组的元素。

**步骤 8:** 通过使用条件为“ **i < n** 的`for loop`计算**和=和+ *(a+i)** 。

**步骤 9:** 然后将数组中所有元素的和显示为**和**。

## c 源代码

```c
#include <stdio.h>
#include <malloc.h>

void main() {
  int i, n, sum = 0;
  int * a;
  printf("Enter the size of array A\n");
  scanf("%d", & n);
  a = (int * ) malloc(n * sizeof(int)); /*Dynamic Memory Allocation */
  printf("Enter Elements of First List\n");
  for (i = 0; i < n; i++) {
    scanf("%d", a + i); /* increment the location of pointer to get next value */
  }
  for (i = 0; i < n; i++) /*Compute the sum of all elements in the given array*/ {
    sum = sum + * (a + i);
  }
  printf("Sum of all elements in array = %d\n", sum); /*display sum of the numbers in array */
} /* End of main() */

```

## 输出

```c
Enter the size of array A
4

Enter Elements of First List
10
20
30
40

Sum of all elements in array = 100
```