# C 程序：将二进制数转换成十进制数

> 原文：<https://learnetutorials.com/c-programming/programs/binary-decimal-conversion>

## 什么是二进制数和十进制数？

在这个 C 程序中，我们要把给定的**二进制**数转换成**十进制**。使用 C 程序将二进制数转换成十进制数非常简单。二进制数是仅由**0**和**1**表示的数。所以我们需要把这些 0 和 1 转换成一个以 0 到 9 十进制为特征的数。二进制数的**基数为 2** ，十进制数的**基数为 10** 。

二进制数系统在只能读取二进制数的计算机中是必不可少的，称为机器语言。二进制数用下标 **2** 表示，小数用下标 **10** 表示。

## 如何将二进制转换成十进制？

在这个 C 程序中，我们使用“`while loop`”中的 **Mod** 运算符将**二进制**转换为**十进制**。首先用 **Mod** 计算余数，用**余数*基数**加上 **dec** ，基数初始化为 **1** 。将数字除以 **10** 去掉最后一位数字，最后我们将基数乘以 **2** 得到输出。让我们举一个简单的例子来了解更多。

1.让' **0010** '为二进制数。取右侧数字为 **2** 的幂，意为从右开始。

```c
      0 - 2^0
      1 - 2^1
      0 - 2^3 

```

将从最后开始的二进制数的每个数字分别乘以 **2** 的幂，然后将所有相乘的数字相加，我们得到 **2** 作为十进制数字。

这个程序的主要逻辑是初始化变量“ **dec=0** ”和“ **base=1** ”。然后将二进制数读入“ **num** ”并复制到“ **bnum** ”。在条件为**>0**的情况下，使用 **mod** 运算符计算余数。然后通过 **num=num/10** 和 **base=base*2** 求出小数。重复循环，二进制数显示为 **bnum** ，十进制等效值显示为 **dec** 。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明整数变量“**数**”、“**数**”、“ **dec=0** ”、“**基数=1** 和“ **rem** ”。

**步骤 3:** 从用户处读取一个二进制数，并将其存储到 **bnum** 和 **num** 中。

**步骤 4:** 在条件 **num > 0 的情况下，使用“`while loop`”进行步骤 5**

**STEP 5:** **rem=num** 找到 **dec=dec+rem*base**

**步骤 6:** **num = num / 10** ，**base = base * 2**；

**步骤 7:** 重复步骤 4

**步骤 8:** 显示二进制数为 **bnum** 。

**第 9 步:**显示其十进制等效值为“**十二月**”。

## c 源代码

```c
#include <stdio.h>

void main() {
  int num, bnum, dec = 0, base = 1, rem;
  printf("Enter a binary number(1s and 0s)\n");
  scanf("%d", & num); /*maximum five digits */
  bnum = num;
  while (num > 0) {
    rem = num%10; /* calculating reminder using mod operator */
    dec = dec + rem * base;
    num = num / 10; /* finding the decimal  */
    base = base * 2;
  }
  printf("The Binary number is = %d\n", bnum);
  printf("Its decimal equivalent is =%d\n", dec);
} /* End of main() */

```

## 输出

```c
Enter a binary number(1s and 0s)
10101

The Binary number is = 10101

Its decimal equivalent is =21
```