# C 程序：将数组的偶数和奇数元素放入两个独立数组

> 原文：<https://learnetutorials.com/c-programming/programs/even-odd-separate-arrays>

## 如何分离数组中的奇数和偶数？

这里这个 C 程序需要将数组中的元素分隔成奇数的**和偶数的**两个数字。将元素存储在两个独立的数组中意味着奇数存储在奇数数组中，偶数存储在偶数数组中。所以我们需要的是检查主数组中的每个元素或数字，并根据**奇数**或**偶数**将数字移动到各自的数组中。****

 ****在这个 C 程序中，我们声明了三个数组，一个作为接收用户输入的主数组。第二个和第三个分别为奇数和偶数。从用户那里收到数字后，将其添加到主数组中。

现在我们必须将每个元素复制到它们各自的数组中，为此我们需要检查每个数字是奇数还是偶数。打开 for 循环，在 for 循环中，我们使用带有 **2** 的**模块**操作符检查每个元素的余数。根据余数的值，将数字复制到相应的数组中。

## 如何在 C 语言中实现奇数、偶数数组逻辑？

这个程序的解释是声明三个数组。“ **ARR[]** ”将包含用户给出的所有数字，而“ **OAR[]** ”数组将包含来自“ **ARR[]** ”、“ **EAR[]** ”的奇数，仅包含来自“ **ARR[]** ”的偶数。

首先，我们必须从用户那里读取数组的极限，并将数字读入 **ARR[]** 。然后通过使用 For 循环检查，数组中的每个数字都是**奇数**或**偶数**。如果数字为奇数，则将该数字复制到“**ORR【】**中，并将索引“j”增加 **1** 。

如果该数字为偶数，则将该数字复制到“ **EAR[]** 中，并通过 **1** 增加索引“ **k** ”。重复循环，直到我们检查所有元素。现在的“ **OAR[]** ”包含所有奇数， **EAR[]** ”包含所有偶数的“ **ARR[]** ”。使用`for Loop`，显示“ **OAR[]** ”和“ **EAR[]** 中的元素。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**宣布数组“ **ARR[]** ”、“ **OAR[]** ”、“ **EAR[]** ”。

**STEP 3:** 声明整数变量' **n，j，i'** 。

**步骤 4:** 接受数组的大小为“ **n** ”。

**步骤 5:** 使用`for Loop`将数组的元素读入“ **ARR[]** ”。

**第六步:**用`for Loop`加条件“**我**”。

**第 7 步:**如果数字是偶数，则表示“ **ARR[i]%2 == 0** ”，然后将数字复制到数组“ **EAR[j]** ”中。否则做第 9 步。

**第 8 步:**然后用 **1** 增加 **j** 。

**步骤 9:** 如果数字是奇数，将数字复制到“ **OAR[k]** ”中。然后用 **1** 增加 **k** 。

**步骤 10:** 重复步骤 6。

**步骤 11:** 使用`for Loop`将“ **EAR** ”的元素显示为偶数。

**步骤 12:** 使用`for Loop`将“ **OAR** 的元素显示为奇数。****  ****## c 源代码

```c
    #include <stdio.h>
    void main()
    {

        long int ARR[10], OAR[10], EAR[10];
        int i, j = 0, k = 0, n;

        printf("Enter the size of array AR \n");
        scanf("%d", &n);

        printf("Enter the elements of the array \n");
        for (i = 0; i < n; i++)
        {
            scanf("%ld", & ARR[i]);
            fflush(stdin);
        }

        /*  Copy odd and even elements into their respective arrays */

        for (i = 0; i < n; i++)
        {
            if (ARR[i] % 2 == 0)
            {
                EAR[j] = ARR[i];
                j++;
            }
            else
            {
                OAR[k] = ARR[i];
                k++;
            }
        }

        printf("The elements of OAR are \n");
        for (i = 0; i < k; i++)
        {
            printf("%ld\n", OAR[i]);
        }

        printf("The elements of EAR are \n");
        for (i = 0; i < j; i++)
        {
            printf("%ld\n", EAR[i]);
        }

    }

```

## 输出

```c
 Enter the size of array AR
 6

 Enter the elements of the array
 12
 345
 678
 899
 900
 111

The elements of OAR are
 345
 899
 111

 The elements of EAR are
 12
 678
 900
```****