# C 程序：生成给定数字的斐波那契数列

> 原文：<https://learnetutorials.com/c-programming/programs/generate-fibonacci-series>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [操作员在 C](../../c-programming/operators)

## 什么是斐波那契数列？

在这个 C 程序中，我们需要生成给定数字的斐波那契数列，这意味着如果用户输入值 10，我们必须计算低于 10 的斐波那契数列。在我们之前的斐波那契程序中，我们计算 **N** 个斐波那契数，这意味着如果用户输入 10，我们必须找到这 10 个斐波那契数。

在这个 C 程序中，在我们让用户输入一个名为“ **num** ”的变量后，我们将 num 与“ **sum** 变量进行比较。我们生成了最新的重要斐波那契数。如果“**和**大于“**数**，我们必须停止生成序列。我们举一个简单的例子来了解更多。

让 **1，1，2，3，5，8，13，21，34** ，......成为系列。

## 如何在 C 语言中实现斐波那契数列？

在这种情况下，下一个数字是前两个数字的总和，这意味着第三个数字 2 是前两个数字(1 和 1)的总和；同样，第四个数字(3)是第二个和第三个数字(1 和 2)的总和。同样，剩余的数字也在这个系列中。这种类型的数字或序列称为斐波那契序列。

这个程序的主要逻辑是声明一些整数变量**‘T1’‘T2’，**‘T3】和。第一组“ **sum=0** ”、“ **t1=0** ”和“ **t2=1** ”。然后将数列的极限读入整数变量**数**。将前两个整数变量显示为“ **t1** ”和“ **t2** ”。表示 **'** 0 '和' 1 '。然后将下一个数字设为“ **t1** ”和“ **t2** 之和”。用`while loop`检查**和**是否相加。

### 算法

第一步:在 C 程序中包含头文件来使用内置函数。

第二步:声明整数变量“**和，num，t2，t1** ，设置**和=0，t1=0，t2=1** ”。

第三步:读取极限，从用户那里生成斐波那契数列，并存储到 **num** 中。

第四步:显示斐波那契数列的前两个数字为 **0** 和 **1** 。

第五步:求**和=t1+t2** 。这是斐波那契数列的下一个元素。

第六步:用“`while loop`”检查**总和**。

第七步:然后赋值“ **t1=t2** ”和“**T2 =总和**”。

第八步:计算'**之和=t1+t2** ，重复第六步。

## c 源代码

```c
#include <stdio.h>

int main() {
  int t1 = 0, t2 = 1, sum = 0, num; /* declaring the variables sum and num */
  printf("Enter an integer: "); /* enters and reads a number from  user */
  scanf("%d", & num);
  printf("Fibonacci Series: %d,%d,", t1, t2); /* now printing first two numbers in Fibonacci series */
  sum = t1 + t2;
  while (sum < num) {
    printf("%d,", sum);
    t1 = t2; /* checking and displaying the Fibonacci numbers upto number user inputs */
    t2 = sum;
    sum = t1 + t2;
  }
} /* main ends */

```

## 输出

```c
Enter the limit to generate the Fibonacci sequence
10

Fibonacci sequence is ...
0,1,1,2,3,5,8 
```