# C 程序：在数组的指定位置插入一个元素

> 原文：<https://learnetutorials.com/c-programming/programs/inserting-array-element>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的数组](../../c-programming/array)

## 数组在 C 语言中是如何工作的？

在这个 c 示例中，我们将讨论在数组中的指定位置插入元素的方法。我们通常知道数组是按照从位置 **1** 到 **n** 的顺序添加元素的。在这个 C 程序中，首先，我们从用户那里接收元素的数量和元素。将输入添加到数组中；我们需要按升序对数组进行排序，以便将元素添加到正确的位置。

## 如何在数组中排序和插入元素？

通过使用外部和内部`for loop` ( **嵌套循环**，我们对数组中的元素进行排序。现在，我们接受来自用户的关键元素，将其插入到我们的排序数组中。检查键是否小于数组中的第一个元素，如果小于，则在第一个位置添加键。如果没有，则使“ **m = n - pos + 1** ”并使用`for loop`直到“ **m** ”和内环应用“**x【n-I+2】= x【n-I+1】**”来获得添加**键 x【pos】=键**的位置。显示数组，键元素在正确的位置。

这个程序的逻辑是声明一个数组并将元素读入其中。然后我们使用 for 循环对数组中的数字进行排序。然后我们显示排序列表。最后，我们将检查插入给定元素的位置，并将元素放入该位置并显示数组。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**声明数组**x【10】**和一些整数变量 **I，j，n，m，Key** 和 **pos** 。

**第三步:**接受元素数量为“ **n** ”。

**步骤 4:** 使用 For 循环将元素读入数组**x【I】**。

**步骤 5:** 使用`for loop`显示数组元素。

**步骤 6:** 使用内部`for loop`对数组进行排序。

**步骤 7:** 然后使用`for loop`将排序后的数组显示为**x【I】**。

**步骤 8:** 将数字 t 读入变量**键**。

**步骤 9:** 使用`for loop`检查键。

**第 10 步:**用 **1** 增加 **i** ，做第 9 步。

**STEP 11:** **m = n-pos+1** 。

**第 12 步:**用条件为**的`for loop`I<= m**做第 13 步。

**STEP 13:****x[n-I+2]= x[n-I+1]**

**第 14 步:**然后将数字放在 **x【位置】=键**的位置。

**第 15 步:**然后使用`for loop`将最终列表显示为**x【I】**。

## c 源代码

```c
#include <stdio.h>

void main()
{
  int x[10];
  int i, j, n, m, temp, key, pos;
  printf("Enter how many elements\n"); /* gets the elements */
  scanf("%d", &n);
  printf("Enter the elements\n");
    for (i = 0; i < n; i++)
        {
            scanf("%ld", & x[i]);
            fflush(stdin);
        }
  printf("Input array elements are\n");
  for (i = 0; i < n; i++)
  {
    printf("%d\n", x[i]);
  }

  for (i = 0; i < n; i++)
  {
    for (j = i + 1; j < n; j++) /* sort the array to add the key number in correct position */
    {
      if (x[i] > x[j])
      {
        temp = x[i];
        x[i] = x[j];
        x[j] = temp;
      }
    }
  }
  printf("Sorted list is\n");
   for (i = 0; i < n; i++)
    {
        printf("%d\n", x[i]);
    }
  printf("Enter the element to be inserted \n");
    scanf("%d", & key);        
  for (i = 0; i < n; i++)
  {
    if (key < x[i]) /* checking key is less than the first element of array */
    {
      pos = i;
      break;
    }
  }
  m = n - pos + 1;
  for (i = 0; i <= m; i++)
  {
    x[n - i + 2] = x[n - i + 1]; /* add the key number in the correct position */
  }
  x[pos] = key;
  printf("Final list is\n");
  for (i = 0; i < n + 1; i++)
  {
    printf("%d\n", x[i]); /* display the output array with the key number added  */
  }
} /* End of main() */

```

## 输出

```c
Enter how many elements

5

Enter the elements

2

14

67

83

29

Input array elements are

2

14

67

83

29

Sorted list is

2

14

29

67

83

Enter the element to be inserted

34

Final list is

2

14

29

34

67

83
```