# C 程序：反转一个数字

> 原文：<https://learnetutorials.com/c-programming/programs/reverse-a-number>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [操作员在 C](../../c-programming/operators)

## 如何在 C 中反转一个数字？

这个 C 程序有助于反转一个数字。反转一个给定的数字意味着我们需要以相反的顺序写这个数字。这个 C 程序使用的逻辑是初等的，通过使用适当的`printf`和`scanf`语句从用户那里得到数字。这里我们选择 long int 是为了更好的编程。通过使用`long int`，用户可以输入大值。

## 用 C 语言解释一个 while 循环？

为了反转数字，我们在将数字存储到临时变量后使用“`while loop`”。我们使用“ **mod 运算符**提取数字的最后一位作为余数。将余数加到反向变量上，乘以 **10** 。现在将数字除以 **10** 去除最后一个元素并重复循环。最后，打印 rev 变量以显示输出。这里使用了“`while loop`”。while 循环的语法是:

```c
 while (testExpression)
   {

        // codes inside the body of a while

    } 

```

这里，测试表达式在执行循环之前检查条件是真还是假。如果测试表达式为真或非零，则执行“`while loop`”中的代码，然后重新计算测试表达式。这个过程一直持续到表达式变成假；在这种情况下，'`while loop`'被终止，源代码为反转一个数字。

### 算法

**步骤 1:** 将使用内置函数文件的头文件包含到 C 程序中。

**步骤 2:** 将变量**的数字、转速、温度、数字**声明为长。

**步骤 3:** 接受用户的数字，并将其存储到“**数字**”中。

**第四步:**将数字存储到临时变量**温度**中。

**步骤 5:** 使用`while loop`，在条件 **num > 0 的情况下，**执行以下步骤。

**STEP 6:** **位数= num** 。

**步骤 7:** 使用 **rev = rev * 10 +数字**取数字的最后一位。

**步骤 8:** **num = num / 10** 。

**步骤 9:** 重复步骤 5。

**第 10 步:**使用`printf`将给定的数字显示为温度。

**第 11 步:**显示数字的倒数为**转**。

## c 源代码

```c
#include <stdio.h>

void main() {
  long num, rev = 0, temp, digit;
  printf("Enter the number\n"); /*we use long int to declare number' */
  scanf("%ld", & num);
  temp = num;
  while (num > 0) {
    digit = num%10;
    rev = rev * 10 + digit; /*calculating the reverse using mod operator*/
    num /= 10;
  }
  printf("Given number   = %ld\n", temp); /*display both numbers as output*/
  printf("Its reverse is = %ld\n", rev);
}

```

## 输出

```c
Enter the number
123456

Given number   = 123456
Its reverse is = 654321
```