# C 程序：使用密码实现认证系统

> 原文：<https://learnetutorials.com/c-programming/programs/authentication-program>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 中的循环](../../c-programming/loops)
*   [C 中的字符串](../../c-programming/strings)

## 如何用 C 语言中的密码做一个认证安全系统？

通过使用这个 C 程序，我们可以很容易地理解如何从用户那里读取密码。身份验证在数字世界中至关重要，因为我们所有的数据都很容易被黑客攻击或被窃取。认证系统的定义是，我们限制用户在没有凭证的情况下进入某个地方，如脸书、推特或谷歌邮件。我们需要实现一个用于安全认证的用户名和密码系统。

## 用 C 语言如何实现带密码的安全认证？

在这个 C 程序中，我们只是得到用户输入为**用户名**和**密码**；我们需要用“**星**作为密码来维护安全。最后，我们需要显示用户输入的密码，为此我们使用**获取**接受用户名。对于密码，我们打开一个循环，使用 **getch** 获取用户输入的每个字母，并将这些字母添加到密码数组中。然后打印“**星**作为密码。最后，我们需要在这个 C 程序中打印密码。在这个 C 程序中，我们只使用三个简单的步骤来实现安全系统。它们是:

1.接收输入的用户名和密码
2。将密码的每个字符打印为 *****
3。打印原始密码，然后退出

使用密码实现身份验证安全系统的算法和源代码如下:

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明两个数组， **pasword[10]** ，以及 **usrname[10]** 的数据类型字符。

**步骤 3:** 从用户处读取用户名，并使用“**get()**将其存储在变量 **usrname** 中

**第 4 步:**从用户处读取密码，并将其存储在变量 **paswrord** 中，并将密码显示为*** * ***

**第五步:**将数组的最后一个元素设置为**空**字符。

**步骤 6:** 使用条件为“ **i < 8** 的`for loop`，显示数组**密码【I】**中的每个字符。

## c 源代码

```c
#include <stdio.h>

void main()
{
 char password[10], username[10], ch;
 int i;

 printf("Enter User name: ");
 gets(username);
 printf("Enter the password < any 8 characters>: ");
 for (i = 0; i < 8; i++)
 {
            ch = getchar();
            password[i] = ch;
            ch = '*' ;
            printf("%c", ch);
 }
        password[i] = '\0';
 /*  Original password can be printed, if needed */
 printf("\n Your password is :");
 for (i = 0; i < 8; i++)
 {
            printf("%c", password[i]);
 }
}

```

## 输出

```c
Enter User name: mona

Enter the password <any>: ********
Your password is : stem123</any>
```