# C 程序：检查字符串中是否存在子字符串

> 原文：<https://learnetutorials.com/c-programming/programs/check-substring-exists-in-a-string>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的字符串](../../c-programming/strings)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [C 中的数组](../../c-programming/array)

## 如何在字符串中搜索子字符串？

这个 C 程序用于检查主字符串中是否有一个字符串。所以我们需要在主字符串中搜索子字符串的出现。首先，我们要接受主弦。保存用户想要搜索的子字符串。

现在检查子字符串是否出现在主字符串中。如果搜索字符串存在，显示搜索成功；否则，显示搜索不成功。

## 如何搜索 C 语言实现的子串？

要在 C 程序中实现该逻辑，首先声明两个字符数组来存储主字符串和搜索字符串。然后我们将初始化两个整数变量，以保持字符数组的索引为“ **count1** ”和“ **count2** ”。那么我们将接受主字符串为“**字符串**，搜索字符串为“**搜索**”。

通过将“`while loop`”与条件“ **str[count1]”一起使用！=0** “增量”**计数 1**1。当我们退出循环时，变量“ **count1** ”将包含主字符串的长度。使用另一个带有条件“**的`while loop`搜索【count2】！=0** ，将计数 2 增加 1。因此“ **count2** ”包含搜索字符串的长度。

使用嵌套的`for loop`，我们通过设置标志变量来检查主字符串中是否有搜索字符串。如果“**标志=1** ，那么我们将显示搜索成功。否则，我们将显示搜索不成功。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**声明数组“**字符串【80】**”、“**搜索【10】**来存储字符串和搜索字符串。

**STEP 3:** 声明一些整数变量' **count1=0** ， **count2=0，I，j，标志**。

**步骤 4:** 从用户处读取字符串，并将其存储到变量“**字符串**中”

**步骤 5:** 读取用户想要搜索变量搜索的子串。

**步骤 6:** 使用条件为“**的`while loop`字符串【count1】！=0** '，用 1 递增'**计数 1** ，得到第一个字符串的长度。

**第七步:**使用另一个带有条件“**的“`while loop`”搜索【count2】！=0** ，然后将**【count 2】**加 1，得到搜索子串的长度。

**步骤 8:** 使用条件为“ **i < =count1-count2** 的 For 循环执行步骤 9。

**步骤 9:** 通过使用另一个`for loop`设置“ **j=1** ”。

**步骤 10:** 检查条件“ **j** ”。

**STEP 11:** If ' **str[j]！=搜索[j-1]** ，然后设置**标志=0** 并退出循环。否则，将“ **j** ”增加 1，并重复步骤 10。

**步骤 12:** 检查“**标志==1** ，然后转到步骤 14。

**第 13 步:**将 **i** 增加 1，重复第 8 步。

**步骤 14:** 如果“**标志=1** ，则显示搜索成功，否则使用 **puts()** 功能显示搜索不成功。

## c 源代码

```c
#include<stdio.h>
#include<string.h>

void main() {
  char str[80], search[10];
  int count1 = 0, count2 = 0, i, j, flag; /* declares the array and variables */
  puts("Enter a string:");
  gets(str);
  puts("Enter search substring:"); /* user enter the string and sub string */
  gets(search);
  while (str[count1] != '\0')
    count1++;
  while (search[count2] != '\0') /* calculating the length of both strings */
    count2++;
  for (i = 0; i <= count1 - count2; i++) {
    for (j = i; j < i + count2; j++) {
      flag = 1;
      if (str[j] != search[j - i]) /* checking each element of the sub string with main string to check for the occurrence of the sub sting */ {
        flag = 0;
        break;
      }
    }
    if (flag == 1) /* prints the result as successful if the flag is one else not successful */
      break;
  }
  if (flag == 1)
    puts("SEARCH SUCCESSFUL!");
  else
    puts("SEARCH UNSUCCESSFUL!");
  getchar();
}

```

## 输出

```c
Enter a string:
Hello how are you?

Enter search substring:
how

SEARCH SUCCESSFUL!
```