# C 程序：计算立方体表面积和体积

> 原文：<https://learnetutorials.com/c-programming/programs/find-cube-volume-surfacearea>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C](../../c-programming/header-files)中的头文件
*   [功能在 C](../../c-programming/functions)
*   [C 中的变量](../../c-programming/variables)

## 什么是表面积？立方体是如何计算的？

在这个 C 程序中，我们必须计算立方体的表面积和体积。表面积通常是物体所有表面的面积。为了计算立方体的表面积，我们需要计算立方体的六个表面的面积。找到立方体一个面的面积是' **a*a** 。要计算六边形，我们必须将六乘以“ **a*a** ”因此 **6*a*a** 。

## 什么是音量？它是如何计算的？

对象的体积是三维属性。通常，体积是三维的面积。在我们的例子中，我们可以用公式“**边*边*边**来计算立方体的体积。”这里 C 程序使用一个**幂()**函数来计算立方体的体积来计算体积并排上升到三个很快。

假设一个立方体的边长是厘米。那么，立方体的体积为 **a*a*a** ，即 **a^3** 。我们可以通过 **6*a*a** 即 **6a^2** 来计算表面积。在这个 C 程序中，我们使用公式。

*   **表面积= 6 *边*边**
*   **体积=功率(边，3)**

## 为什么我们使用数学. h 头文件？

这里我们使用“ **math.h** ”头文件来使用函数“**`pow()`”**。**数学. h** 头文件包含几个数学运算。我们正在使用 **pow()** 函数来计算一个数的幂。

## 我们如何在 C 语言中实现表面积和体积的计算？

为了实现程序，将变量“**surface area**”、“ **volume** ”和“ **side** ”声明为 Float 类型。使用`scanf`功能从用户处读取边的长度，并将其存储在变量“**边**中。然后我们将使用公式计算表面积和体积。使用`printf`功能显示表面积和体积。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 将变量“**侧**”、“**surface area**”、“ **volume** 声明为 Float 类型。

**第三步:**将用户的边长读入变量**边**

**步骤 4:** 使用公式**表面积=6.0 *边*边**计算表面积。

**步骤 5:** 使用公式“**体积=功率(边，3)** 计算体积。

**STEP 6:** 显示表面积为“**表面积**”和体积为“**体积**”

## c 源代码

```c
#include <stdio.h>
#include <math.h>

void main() {
  float side, surfArea, volume;
  printf("Enter the length of a side\n"); /* user input the length of a side */
  scanf("%f", & side);
  surfArea = 6.0 * side * side; /* surface area calculation */
  volume = pow(side, 3);
  printf("Surface area = %6.2f and Volume = %6.2f\n", surfArea, volume); /* displaying the output surface area and volume */
}

```

## 输出

```c
Enter the length of a side

4

Surface area =  96.00 and Volume =  64.00

RUN2

Enter the length of a side

12.5

Surface area = 937.50 and Volume = 1953.12
```