# C 程序：将十进制转换为二进制，同时计数其中的 1 

> 原文：<https://learnetutorials.com/c-programming/programs/decimal-to-binary-conversion>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数据类型](../../c-programming/data-types-modifiers)
*   [C 编程循环](../../c-programming/loops "C programming loops")
*   [操作员在 C](../../c-programming/operators)

## 什么是十进制和二进制数字系统？

在这个 C 程序中，我们需要将**十进制**数转换成**二进制**，并且我们还需要对 1 进行计数。利用 C 程序将十进制数转换成二进制数非常简单。二进制数是一个只有 0 和 1 的数。我们必须把这些 0 和 1 转换成十进制的数字。在 PC 兴起后，二进制数框架至关重要，PC 只能读取称为机器语言的二进制数。二进制数用下标 **2** 表示，小数用下标 **10** 表示。

## 如何在 C 语言中将十进制转换为二进制？

首先，我们要声明一些变量“ **num，dnum，rem，basebin，count** ”作为数据类型`long`。我们用变量“ **num** 来存储十进制数，用变量“ **count** 来计算二进制数中的 1 的个数。接受用户的十进制数后，开始 while 循环，直到该数为零。使用 **mod** 运算符获取余数。如果余数为一个增量，变量“**按 **1** 计数**。然后应用公式。

```c
            bin = bin + rem * base
            num = num / 2 
            base = base * 10

```

之后，我们将使用`printf`方法将输入的数字显示为“ **dnum** ，其等效的二进制数显示为“ **bin** ”。此外，我们将显示二进制数中的 1 的数量作为**计数**。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明变量“ **num** 、 **dnum** 、 **rem** 、 **base** 、 **bin** 、 **count** ”为`Long`数据类型。

**第三步:**从用户处读取十进制整数，并保存到**号**中。

**STEP 4:** 将数字“ **num** ”复制到“ **dnum** ”

**第五步:**用一个带条件的“`while loop`”做第六步。

**第 6 步:**计算“**雷姆= num % 2** ”。然后检查' **rem == 1** '，如果为真，则将 Count 增加 1。这是为了得到二进制数中的 1 的个数。

**STEP 7:** 计算' **bin = bin + rem * base** 。以及用于查找二进制数的“**数=数/2** ”和“**基数=基数* 10**

**步骤 8:** 重复步骤 5。

**STEP 9:** 显示输入数为“ **dnum** ”，其等价二进制数为一个 **bin** 。

**第 10 步:**显示二进制数中 **1** 的个数为**计数**。

## c 源代码

```c
#include <stdio.h>

void main() {
  long num, dnum, rem, base = 1, bin = 0, count = 0;
  printf("Enter a decimal integer\n");
  scanf("%ld", & num);
  dnum = num;
  while (num > 0) {
    rem = num % 2;
    if (rem == 1) /*To count no.of 1s*/ {
      count++;
    }
    bin = bin + rem * base; /*converting decimal into binary*/
    num = num / 2;
    base = base * 10;
  }
  printf("Input number is                   = %d\n", dnum);
  printf("Its Binary equivalent is          = %ld\n", bin);
  printf("No.of 1's in the binary number is = %d\n", count);
} /* End of main() */

```

## 输出

```c
Enter a decimal integer

75
Input number is                   = 75
Its Binary equivalent is          = 1001011
No.of 1's in the binary number is = 4

RUN2

Enter a decimal integer

128
Input number is                   = 128
Its Binary equivalent is       = 10000000
No.of 1's in the binary number is = 1
```