# C 程序：检查一年是否是闰年

> 原文：<https://learnetutorials.com/c-programming/programs/check-leap-year>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)

在这个 C 程序中，我们需要找到给定的年份是否是闰年。

## 什么是闰年？

一**闰年**有三百六十六天，加上**二**，只有**二十八**天。所以在闰年，它会有 29 天，每四年发生一次。在这个 C 程序中，我们需要计算给定的年份是不是**闰年**。

这个 C 程序的逻辑是把一年除以四，然后检查余数。如果余数是**零**，则是闰年。例如，让我们检查一下被**四**整除的‘2000’年，所以它是闰年。这里我们要用 **mod** 运算符把给定的年份除以 **4** ，余数为零，就是闰年。这里使用类似`if-else`的简单库函数。“`if-else`”的语法是:

```c
 if (testExpression) {

  // codes inside the body of if

} else {

  // codes inside the body of else

} 

```

如果测试表达式为真，我们将在 If 条件下执行代码，并跳过 else 部分。如果测试表达式为假，我们将运行 else 部分并忽略 If 条件语句。计算给定年份是否是闰年的源代码是:

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**申报整数变量'**年**。

**步骤 3:** 使用`scanf`功能接受用户的年份，检查是否是闰年。

**步骤 4:** 使用`if`条件检查“**年% 4 = 0** ”则显示该年是闰年。

**步骤 5:** 否则显示年份不是闰年。

## c 源代码

```c
#include <stdio.h>

void main() {
  int year;
  printf("Enter a year\n"); /* user inputs the year */
  scanf("%d", & year);
  if ((year % 4) == 0)
    printf("%d is a leap year", year); /* using mod operator to check the given year is leap year on not */
  else
    printf("%d is not a leap year\n", year);
}

```

## 输出

```c
Enter a year
2000
2000 is a  leap year

RUN2

Enter a year
2007
2007 is not a leap year
```