# C 程序：使用位异或运算交换两个数字

> 原文：<https://learnetutorials.com/c-programming/programs/swapping-bitwise-operator>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [操作员在 C](../../c-programming/operators)

## C 语言中的按位运算符是什么？

在这个 C 程序中，我们使用**逐位异或**运算符来交换数字。在开始之前，我们需要了解按位运算符。按位运算符在字节级工作，字节是可寻址内存的基本单位。主要的按位运算符是按位**和**、**或**以及**而不是**运算符。这里我们用的是按位**异或**，叫做**异或**。**异或**取两个输入，如果任一输入为 1，则返回 1。如果两个输入都是 1 或 0，则返回 0。

## 按位运算符如何帮助交换数字？

让“ **x** ”为 10，而“ **y** ”为 5，所以在二进制中“**x**”(**1010**)和“**y**”(**0101**)然后我们使用“**x = x ^ y”**和“ **x** ”现在变成 15 (1111)。现在我们应用 **y = x ^ y，**然后“ **y** ”变成 10 (1010)。最后，我们应用 **x = x ^ y** 使“ **x** ”成为 5 (0101)。如果两个操作数的对应位相反，按位异或运算符的结果为 1。如果两个操作数的对应位相同，异或运算符的结果为 0。让我们举一个简单的例子来了解更多。

**10 - 1010** (二进制)

**13 - 1101** (二进制)

那么**12****25**的异或运算就是 **0111 0111 - 7** (十进制)。

这个程序的逻辑是先声明两个变量' **i** 和 **j** 。然后接受来自用户的整数并显示它们。然后用异或运算符交换数字。然后使用`printf`功能显示数字。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量‘**I，k** 声明为整数。

**步骤 3:** 从用户处读取两个整数，并将其存储到变量“ **i** 和“ **k** 中。

**第 4 步:**在使用`printf`功能进行交换之前，将整数显示为数字。

**第五步:**交换数字，如“ **i = i^k'，【k = i^k** ”和**I = i^k**”。

**第 6 步:**显示，交换数字后为“ **i** 和“ **k** ”。

## c 源代码

```c
#include <stdio.h>

void main() {
  long i, k;
  printf("Enter two integers\n");
  scanf("%ld %ld", & i, & k);
  printf("\nBefore swapping i= %ld and k = %ld", i, k);
  i = i ^ k; /* swap the numbers as we discussed in the logic part */
  k = i ^ k;
  i = i ^ k;
  printf("\nAfter swapping i= %ld and k = %ld", i, k); /* prints the swapped numbers */
}

```

## 输出

```c
Enter two integers
12
13
Before swapping i= 12 and k = 13
After swapping i= 13 and k = 12
```