# C 程序：将日期转换成年和星期格式

> 原文：<https://learnetutorials.com/c-programming/programs/convert-days-to-year-week-format>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [C 中的数据类型](../../c-programming/data-types-modifiers)

## 如何在 C 语言中将日期改为年和周的格式？

在这个 C 程序中，我们需要将天数改为**年**、**周**和**天**的格式。也就是说，如果用户已经输入了 372 天，那么 C 程序的输出应该是 1 年 1 周的样子。这里我们需要将天数转换为年数，将剩余天数转换为周数和天数。

在这个 C 程序中，我们使用 **mod** 运算符来查找一年和一周的剩余部分。首先，我们将一周的天数定义为 **7** 。接受用户输入后，为了查找年份，我们将天数除以 **365** 。要计算剩余周数，用 365 对数字进行模运算，然后用 7 除余数。像这样，我们还得找出日子。该程序中的分步过程是:

*   1.输入变量的个数，放在变量' **n** '天。
*   2.要获得年数，将输入除以 **365** ，并将商存储为年。
*   3.计算周数时，将输入除以 **365** ，得到余数。将余数再除以 7(一周的天数)，并将商存储在变量“**周**中。
*   4.要得到天数，将输入除以 **365** ，得到余数。再次用 **7** 除余数(一周天数)，得到余数。将该值存储在变量**天数**中。
*   5.打印输出，然后退出。

## 什么是#define 解释语法？

**#定义** 用于在我们的程序中声明**常量**值。这里我们定义常量**DAINWEEK**；它的值是 7。在这个例子中，我们可以使用常量“ **DAYINWEEK** ”来计算周、日等。

定义常量的语法是:

**#定义常量名称值**

*   “常量名称”是常量变量的名称。
*   值是变量的值。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量“**日**、**年**、**周**、**日**声明为整数，并定义**日为第 7 周**。'

**第三步:**将天数读作**日**。

**STEP 4:** 计算年份为“ **ndays/365** ”。

**第五步:**将周计算为“ **(ndays % 365)/DAYSINWEEK** ”。

**第 6 步:**将天数计算为“ **(ndays65) % DAYSINWEEK** ”。

**STEP 7:** 使用`printf`功能显示“ **ndays** 相当于“**年**”和“**周**”和“**日**”。

## c 源代码

```c
#include <stdio.h>
#define DAYSINWEEK 7

void main()
{
  int ndays, year, week, days;
  printf("Enter the number of days\n");
  scanf("%d", & ndays);
  year = ndays / 365;
  week = (ndays % 365) / DAYSINWEEK; /* calculating the years, weeks and days  */
  days = (ndays% 365) % DAYSINWEEK;
  printf("%d is equivalent to %d years, %d weeks and %d days\n", ndays, year, week, days);
}

```

## 输出

```c
Enter the number of days
 375
 375 is equivalent to 1 year, 1 week and 3 days

 Enter the number of days
 423
 423 is equivalent to 1 year, 8 weeks, and 2 days

 Enter the number of days
 1497
 1497 is equivalent to 4 years, 5 weeks and 2 days
```