# C 程序：比较两个字符串并检查它们是否相等

> 原文：<https://learnetutorials.com/c-programming/programs/compare-strings-and-find-if-equal>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的字符串](../../c-programming/strings)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数组](../../c-programming/array)

## 什么是字符串比较？

在这个 C 程序中，我们需要检查两个字符串是否相等；这意味着我们需要比较字符串中的每个字符是否相等。首先，我们必须从用户那里读取两个字符串，并检查字符串的每个字符。如果字符串的所有字符都相等，那么我们可以显示字符串相等。

## 字符串比较在 C 语言中是如何实现的？

为了实现这个程序，我们必须声明两个字符数组，' **str1[]** '和' **str2[]** '来存储用户输入字符串。声明两个整数变量“ **count1** ”和“ **count2** ”来保持字符串的长度。从用户处读取两个字符串后，使用带有条件“ **str1[count1]”的“`while loop`”！='\0** '，递增'**计数 1**' 1。

现在“ **count1** 变量包含字符串 1 的长度。使用另一个带条件'**的'`while loop`' str 1[count 2]！='\0** ' '，将'**加 2**1，得到字符串 2 的长度。变量“ **count1** ”包含 string1 中的字符数， **count2** 包含 string2 中的字符数。

我们必须通过检查每个字符串的第一个字符来进行字符串比较，并继续后续字符，直到字符不同或到达字符串的末尾。为此，我们必须分配“ **i=0** ”。然后在条件(**I<count 1**)&&(**I<count 2**)中使用一个“`while loop`，检查每个字符串的字符是否相等， **(str1[i] == str2[i])** 。

如果相等，则将“ **i** ”增加 1，并用字符串中的下一个字符继续检查。如果第二个字符串大于第一个字符串，则标志为-1。如果“ **str1[i] > str2[i]** ”，则第一个字符串大于第二个字符串，然后设置“**标志= 1** ”并断开循环。然后检查标志的值，如果“**标志==0** ，则显示两个字符串相等。如果“**标志==1** ”，则显示 string1 大于 string2。如果**标志==-1** ，则显示 string1 小于 string2。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明整数变量' **count1** 、 **count2** 、**标志**、 **i** ，设置 **count1=0** 、 **count2=0** 、**标志=0** 。

**第三步:**将两个数组“**str 1[**，**str 2[**”声明为字符类型。

**步骤 4:** 从用户处读取字符串，并使用**获取**功能将其保存在变量 **str1** 中。

**步骤 5:** 从用户处读取另一个字符串，并使用**获取**功能将其保存在变量 **str2** 中。

**步骤 6:** 通过使用条件为“**的`while loop`str 1【count 1】！='\0** ' '，递增'**1**' 1。

**步骤 7:** 通过使用条件为“**的`while loop`str 2【count 1】！='\0** ' '，递增'**计数 2** '一。

**步骤 8:** 设置整数变量“ **i=0** ”。

**步骤 9:** 通过使用条件为“ **i < count1** ”和“ **i < count2** 的`while loop`进行步骤 6。

**步骤 10:** 检查“**str 1[I]= = str 2[I]【T3’”，然后将 **i** 增加 1，重复步骤 6。**

**步骤 11:** 如果 **str1[i]**

**步骤 12:** 如果“**str 1[I]>str 2[I]【T3’”，则设置**标志=1** 并转到步骤 14。**

**步骤 13:** 重复步骤 5。

**步骤 14:** 检查**标志是否== 0** 然后显示两个字符串是否相等。

**步骤 15:** 检查**标志== 1** 然后显示“string1”是否大于 string2。

**步骤 16:** 检查**标志== -1** 是否显示“string1”小于 string2。

## c 源代码

```c
#include <stdio.h>
#include <string.h>
int main()
{
   char str1[10], str2[10];;
   int count1 = 0, count2 = 0, flag = 0, i;
   printf("Enter a string\n");
   gets(str1);

   printf("Enter a string\n");
   gets(str2);
   while (str1[count1] != '\0')
    count1++;

  while (str2[count2] != '\0')
    count2++;
  i = 0;

  while ((i < count1) && (i < count2))
  {
    if (str1[i] == str2[i]) /* checking the characters in string if it is equal or not */

    {
      i++;
      continue;
    }
    if (str1[i] < str2[i])
    {
      flag = -1; /* set flag minus one if string two greater than string one */
      break;
    }
    if (str1[i] > str2[i])
    {
      flag = 1; /* set flag one if string one is greater than string two */
      break;
    }
  }
  if (flag == 0)
    printf("Both strings are equal\n");
  if (flag == 1)
    printf("String1 is greater than string2\n", str1, str2);
  if (flag == -1)
    printf("String1 is less than string2\n", str1, str2);

}

```

## 输出

```c
Enter a string:
happy

Enter another string:
HAPPY

String1 is greater than string2
RUN2

Enter a string:
Hello

Enter another string:
Hello

Both strings are equal
RUN3

Enter a string:
gold

Enter another string:
silver
string1 is less than string2
```