# C 程序：连接两个字符串

> 原文：<https://learnetutorials.com/c-programming/programs/string-concatination>

## 什么是字符串串联？

在这个 C 程序中，我们需要连接两个字符串，这意味着我们需要将第二个字符串添加到第一个字符串的末尾。例如， **hello** 为第一串， **world** 为第二串。我们需要输出为“T4”你好世界作为串联字符串。

## C 语言中的字符串拼接是如何完成的？

为此，请声明两个聊天类型为“string1”和“string2”的数组。然后使用“ **strset()** 函数将所有数组位置赋为 null。”现在从用户那里接受两个字符串，并将其存储在“string1”和“string2”中。应用`for loop`来遍历第一个字符串的末尾。到达末尾后，我们开始下一个循环，将第二个字符串添加到第一个字符串中。结果将是作为“string1”的串联字符串。最后，将串联字符串显示为 string1。

## 什么是`strset()`？

**strset()** 函数用于通过给定的字符设置字符串的所有字符。“ **string.h** ”头文件包含此功能；“ **strset()** 的语法是:

**strset(字符串 1，char 1)；**

**strset()** 功能主要有两个参数。

*   第一个参数是字符串 strng1。
*   第二个参数是字符，char1。

这里 **strset()** 功能将通过**字符 1** 设置 string1 的所有字符。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明字符数组“string1”和“string2”。

**步骤 3:** 声明整数变量 **i，j，pos** 。

**步骤 4:** 将字符串 1、字符串 2 的所有出现设置为**空**，并且“ **i=0** ”。

**步骤 5:** 使用**获取()**功能从用户处读取字符串 1。

**步骤 6:** 使用**获取()**功能从用户处读取字符串 2。

**步骤 7:** 然后将第一个字符串显示为 string1，将第二个字符串显示为 string2。

**步骤 8:** 通过使用条件为**的`for loop`字符串 1[i]！= '\0'** 将 **'i'** 增加 1。用于获取第一个字符串的结束位置。

**STEP 9:** 赋值' **pos=i** '和**pos = I，j=0** 。

**第 10 步:**用另一个`for loop`加上条件**string 2【j】！= '\0'** 做第 11 步。

**STEP 11:****string 1[I]= string 2[j++]**。

**第 12 步:**将 **i** 增加 **1** ，重复第 10 步。

**步骤 13:** 将“string1”的最后一个字符设置为空。

**步骤 14:** 然后将连接的字符串显示为字符串 1。

## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main() {
  char string1[20], string2[20];
  int i, j, pos;
  printf("Enter the first string :");
  gets(string1);
  fflush(stdin);
  printf("Enter the second string:");
  gets(string2);
  printf("First string  = %s\n", string1);
  printf("Second string = %s\n", string2); /*To concatenate the second string to the end of the string  traverse the first to its end and attach the second string*/
  for (i = 0; string1[i] != '\0'; i++) {} /*null statement: simply traversing the string1*/
  pos = i;
  for (i = pos, j = 0; string2[j] != '\0'; i++) {
    string1[i] = string2[j++];
  }
  string1[i] = '\0'; /*set the last character of string1 to NULL*/
  printf("Concatenated string = %s\n", string1);
}

```

## 输出

```c
Enter the first string :CD-

Enter the second string:ROM

First string  = CD-

Second string = ROM

Concatenated string = CD-ROM
```