# C 程序：计算字符串长度

> 原文：<https://learnetutorials.com/c-programming/programs/length-of-string>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数据类型](../../c-programming/data-types-modifiers)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的字符串](../../c-programming/strings)

## 字符串的长度是多少？

在这个 C 程序中，我们正在计算给定字符串中的字符数，以找出并显示字符串长度。字符串的长度是指该字符串中的字符数。例如，考虑一个字符串“**功能强大的**，该**s =字符串中的字符数为 8** 。

使用这个 C 程序，我们找出一个字符串的长度，这意味着我们需要找出字符串中的字符数。我们需要使用“`for loop`”来计算字符串中的字符数。最后，我们将输出显示为计数器的值。我们声明一个数组来存储字符串，并接受用户字符串到该数组中。然后我们启动 for 循环来计算字符串的数量并显示输出。步骤如下:

*   将字符串作为输入，并将其存储在数组中。
*   使用`for loop`计算数组中的字符数，并将结果存储在变量中。
*   打印变量作为输出。

在这里，程序使用 For 循环来查找字符数。

## for 循环的语法是什么？

```c
 for(initialization Statement; testExpression; updateStatement)
     {
           // code
      } 

```

这里初始化语句只执行一次。然后计算测试表达式。如果测试表达式为真，则执行`for loop`内部的代码并更新术语。该过程一直持续到测试表达式变为假。但是如果测试表达式是错误的，For 循环中的代码就会终止。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明字符数组字符串。

**STEP 3:** 声明整型变量 **I** ，**长度**。

**步骤 4:** 设置**长度=0** 。

**步骤 5:** 使用**获取()**功能从用户处接受字符串。

**步骤 6:** 设置 **i=0** 。

**第六步:**用`for loop`加条件**串【I】！= '\0'** 增加长度 **1** 。

**第 7 步:**将 **i** 增加 **1** ，重复第 6 步。

**第 8 步:**使用`printf`将字符串的长度显示为长度。

## c 源代码

```c
#include <stdio.h>

void main() {
  char string[50];
  int i, length = 0;
  printf("Enter a string\n");
  gets(string);
  for (i = 0; string[i] != '\0'; i++) /*keep going through each */ {
    /*character of the string */
    length++; /*till its end */
  }
  printf("The length of a string is the number of characters in it\n");
  printf("So, the length of %s =%d\n", string, length);
}

```

## 输出

```c
Enter a string

hello
The length of a string is the number of characters in it
So, the length of hello = 5

RUN2

Enter a string
E-Commerce is hot now
The length of a string is the number of characters in it
So, the length of E-Commerce is hot now =21
```