# C 程序：查找字符串的长度并检查回文

> 原文：<https://learnetutorials.com/c-programming/programs/check-palindrome>

## 回文串是什么？

回文是指任何字符串或数字，当我们反转它时也是如此。例如，一个字符串“ **Malayalam** ”是一个回文字符串，因为当我们从前面或从后面阅读它时，它读起来是一样的。又如“**夫人**”、“**指**”、“**级**”。相应地“**英语**”同样是一个字符串，但它不是回文，因为从后面理解它时是不一样的。有关回文的更多信息，请参考之前的程序编号“ **28** ”。

## 带字符串长度计算的回文检查是如何在 C 语言中实现的？

在这个 C 程序中，我们需要找到字符串的长度。C 程序中的字符串是一种语句或字符的空格闭包排列。另外，我们需要检查字符串是否是回文。首先，我们必须通过计算字符串中的字符数来计算字符串的长度。这只是通过在到达每个字符时增加一个计数器变量。

最后，我们得到字符串中的字符数。然后我们将通过使用 For 循环找出字符串的反义词。之后，我们将检查“ **revString** ”和给定的“ **string** 是否相等。如果字符串相似，将字符串显示为回文；否则，我们将显示 String 不是回文。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明字符数组“字符串”和“ **revString** ”

**步骤 3:** 声明整数变量 **i，长度，标志**。

**步骤 4:** 设置**长度=0，标志=0** 。

**步骤 5:** 通过调用函数 **fflush(stdin)** 清除输出缓冲区。

**步骤 6:** 使用**get()**功能读取字符串。

**步骤 7:** 通过使用条件为**的`for loop`字符串 1[i]！= '\0'** 将长度增加 1。获取字符串的长度。

**第 8 步:**然后显示弦和弦的长度为**弦**和**长度** *。*

**步骤 9:** 分配**I =长度-1** 。

**第 10 步:**在条件为 **i > = 0** 的情况下使用另一个 for 循环，执行第 11 步。

**步骤 11:** 分配**转速字符串[长度-i-1] =字符串[i]** 。

**第 12 步:**将 **i** 减 1，重复第 10 步。

**步骤 13:** 分配 **i=0** 。

**第 14 步:**用另一个`for loop`加上条件 **i <长度**做第 15 步。

**步骤 15:** 检查**转速字符串[i] ==字符串[i]** 然后设置**标志=1** 否则设置**标志=0** 。

**步骤 16:** 检查**标志是否== 1** 然后显示字符串是回文，否则执行步骤 17。

**步骤 17:** 显示字符串不是回文。

## c 源代码

```c
#include <stdio.h>
#include <string.h>

void main() {
  char string[25], revString[25] = {
    '\0'
  };
  int i, length = 0, flag = 0;
  fflush(stdin);
  printf("Enter a string\n");
  gets(string);
  for (i = 0; string[i] != '\0'; i++) /*keep going through each */ {
    /*character of the string */
    length++; /*till its end */
  }
  printf("The length of the string \'%s\' = %d\n", string, length);
  for (i = length - 1; i >= 0; i--) {
    revString[length - i - 1] = string[i];
  }
  /*Compare the input string and its reverse. if both are same then we can tell it is palindrome, else not an palindrome */
  for (i = 0; i < length; i++) {
    if (revString[i] == string[i])
      flag = 1;
    else
      flag = 0;
  }
  if (flag == 1)
    printf("%s is a palindrome\n", string);
  else
    printf("%s is not a palindrome\n", string);
}

```

## 输出

```c
Enter a string
madam

The length of the string 'madam' = 5
madam is a palindrome

RUN2

Enter a string
good
The length of the string 'good' = 4
good is not a palindrome
```