# C 程序：计算`power(x, n)`

> 原文：<https://learnetutorials.com/c-programming/programs/power-number>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的递归](../../c-programming/recursion-tutorials)
*   [C 中的数据类型](../../c-programming/data-types-modifiers)
*   [C](../../c-programming/header-files)中的头文件

在这个 C 程序中，我们要计算' **x** 升到 **n** '其中' **x** '和' **n'** 是用户在一个短程序中给出的计算**幂(x，n)** 。例如，如果“ **x** ”等于 2 而“ **n** ”等于 3，那么结果将是 8。这里我们使用递归函数进行计算。

## 什么是递归函数？

一个**递归**函数是一个调用自身直到满足退出条件的函数。因此，相同的函数本身被称为不同的时间。在这个 C 程序中，我们使用一个递归函数来求幂，' **x** '升到' **n** 。在这个函数中，我们单独进行计算，并返回“**”(pow(power(x，n/2)，2))；**“为偶数而返回”**(x *幂(x，n-1))** 。

## 什么是幂()函数？

该程序使用在[数学库中](https://en.wikipedia.org/wiki/Math_library)定义的幂函数。**幂()**用来计算一个数的幂。 **pow()** 函数的语法如下。

**双幂(双 a 双 b)**

**pow()** 函数计算“ **a** 升至“ **b** 的功率，并返回结果。

## If else 语句的语法是什么？

```c
 if (testExpression) {

  // codes inside the body of if

} else {

  // codes inside the body of else

} 

```

如果测试表达式为真，我们在`if`条件下执行代码，跳过其他部分。但是如果测试表达式为 False，我们将执行相反的操作，因为我们将执行 else 函数，并且忽略 if 条件部分。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量“ **x，n，xpown** 声明为`Long integer`。

**STEP 3:** 声明函数 long int **power(int x，int n)** 。

**步骤 4:** 从用户处读取 **X** 和 **N** 的值。

**STEP 5:** 调用函数 **xpown = power (x，n)** 。

**第 6 步:**显示 **X** 到电源 **N** 是**展开**。

#### **函数长整数次方(整数 x，整数 n)**

**步骤 1:** 检查 **n==1** 如果为真，则**返回(x)** 。

**步骤 2:** 否则检查 **n%2 == 0** 然后返回**(幂(幂(x，n/2)，2))** 否则执行步骤 3。

**STEP 3:** 返回(**x *幂(x，n-1)** )。

## c 源代码

```c
#include <stdio>
#include <math.h>

void main() {
  long int x, n, xpown;
  long int power(int x, int n);
  printf("Enter the values of X and N\n"); /* accepts the user input */
  scanf("%ld %ld", & x, & n);
  xpown = power(x, n);
  printf("X to the power N = %ld\n");
}
/*Recursive function to compute the X to power N*/
long int power(int x, int n) {
  if (n == 1)
    return (x);
  else if (n % 2 == 0)
    return (pow(power(x, n / 2), 2)); /*use this when the n i even*/
  else
    return (x * power(x, n - 1)); /* if n is odd*/
}

```

## 输出

```c
Enter the values of X and N
2 5
X to the power N = 32

RUN2

Enter the values offX and N
4 4
X to the power N ==256

RUN3

Enter the values of X and N
5 2
X to the power N = 25

RUN4

Enter the values of X and N
10 5
X to the power N = 100000
```