# C 程序：求两个矩阵和与差

> 原文：<https://learnetutorials.com/c-programming/programs/sum-and-differences-of-matrices>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 中的数据类型](../../c-programming/data-types-modifiers)
*   [功能在 C](../../c-programming/functions)

## 矩阵是什么？

这是一个 C 程序，用来求两个矩阵的和与差。矩阵是我们按行和列排列的数字或成分的集合。矩阵中的每个数字都称为**分量**。在这个 C 程序中，我们必须对矩阵做加法和减法，因为第一个条件是矩阵的阶应该相等。做加法或减法时，我们必须把‘A’中的每个成分都包括在内，而‘B’中的比较成分意味着“**和[i][j] = A[i][j] + B[i][j]** ”。

为了在这个 C 程序中实现这个逻辑，我们通过调用函数 **readmatA()** 和 **readmatB()** 从客户端接受两个矩阵。通过调用函数 **printmatA()** 和 **printmatB()** 显示矩阵。然后检查矩阵的顺序是否相等。如果矩阵的顺序不相似，那么我们将显示“加法和减法不可能”否则调用函数 **`sum()`，** **diff()** 对矩阵 A 和 b 进行加减运算。

算法

第一步:在 C 程序中包含头文件来使用内置函数。

第二步:声明数组 **A[][]，B[][]，summat[][]，diffmat[][]** 。

第三步:声明一些整数变量 **i，j，R1，C1，R2，C2** 。

第四步:声明函数 **readmatA()** 、 **printmatB()** 、 **readmatB()** 、 **printmatB()** 、 **sum()** 、 **diff()** 。

第五步:向 R1 和 C1 朗读矩阵 A 的顺序。

第六步:向 R2 和 C2 朗读矩阵 B 的顺序。

第七步:检查 R1！= R2 & & **C1！= C2** ，则显示加减法不可能，退出。否则，执行步骤 8。

第八步:使用 **readmatA()** 读取矩阵 A 的元素。

第九步:然后使用 **printmatA()** 显示矩阵 A。

第十步:使用 **readmatB()** 读取矩阵 B 的元素。

第十一步:然后用 **printmatB()** 显示矩阵 B。

第十二步:调用函数 **sum()** 。

步骤 13:调用函数 **diff()** 。

#### 功能 **readmatA()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

第五步:将数字读入**A【I】【j】**。

第六步:将 **j** 增加 1，重复第四步。

第七步:重复第二步，增加一个“I”。

#### 功能 **readmatB()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

第五步:将数字读入 **B[i][j]** 。

第六步:将**‘j’**增加 1，重复第四步。

第七步:将**‘I’**增加一个，重复第二步。

#### 功能 **printmatA()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

第五步:显示**A【I】【j】**。

第 6 步:将“ **j** ”增加 1，重复第 4 步。

第七步:将**‘I’**增加一个，重复第二步。

#### 功能 **printmatB()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

第五步:显示 **B[i][j]** 。

第六步:将 **j** 增加 1，重复第四步。

第 7 步:重复第 2 步，将“ **i** 增加 1。

#### 函数 **sum()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

第五步:**Sumat[I][j]= A[I][j]+B[I][j]**

第六步:将 **j** 增加 1，重复第四步。

第七步:将**‘I’**增加一个，重复第二步。

步骤 8:显示“总和矩阵为”

第九步:设置 **i=0** 。

第十步:使用`for loop`检查 **i**

步骤 11:设置 **j=0。**

步骤 12:使用另一个`for loop`检查 **j**

步骤 13:显示 **sumat[i][j]** 。

第 14 步:将 **j** 增加 1，重复第 12 步。

第 15 步:重复第 10 步，增加一个“ **i** ”。

#### 功能 **diff()**

第一步:设置 **i=0** 。

第二步:使用`for loop`检查 **i**

第三步:设置 **j=0** 。

第四步:用另一个`for loop`检查 **j**

STEP 5:**Diffmat[I][j]= A[I][j]-B[I][j]。**

第六步:将 **j** 增加 1，重复第四步。

第七步:将**‘I’**增加一个，重复第二步。

步骤 8:显示“差异矩阵是”

第九步:设置 **i=0** 。

第十步:使用`for loop`检查 **i**

步骤 11:设置 **j=0** 。

步骤 12:使用另一个`for loop`检查 j

第 13 步:显示 **diffmat[i][j]** 。

第 14 步:将 **j** 增加 1，重复第 12 步。

第 15 步:重复第 10 步，增加一个“ **i** ”。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>

int A[10][10], B[10][10], sumat[10][10], diffmat[10][10];
int i, j, R1, C1, R2, C2;
void main() {
  void readmatA(); /* Function declarations */
  void printmatA();
  void readmatB();
  void printmatB();
  void sum();
  void diff();
  printf("Enter the order of the matrix A\n");
  scanf("%d %d", & R1, & C1);
  printf("Enter the order of the matrix B\n"); /* enter the order of matrix */
  scanf("%d %d", & R2, & C2);
  if (R1 != R2 && C1 != C2) {
    printf("Addition and subtraction are not possible\n");
    exit(1);
  } else {
    printf("Enter the elements of matrix A\n"); /* enter the elements of the matrix */
    readmatA();
    printf("MATRIX A is\n");
    printmatA();
    printf("Enter the elements of matrix B\n");
    readmatB();
    printf("MATRIX B is\n");
    printmatB();
    sum();
    diff();
  }
}
/* main() */
void readmatA() /* Function to read a matrix A */ {
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C1; j++) {
      scanf("%d", & A[i][j]);
    }
  }
  return;
}
void readmatB() /* Function to read a matrix B */ {
  for (i = 0; i < R2; i++) {
    for (j = 0; j < C2; j++) {
      scanf("%d", & B[i][j]);
    }
  }
}
void printmatA() /* Function to print a matrix A */ {
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C1; j++) {
      printf("%d", A[i][j]);
    }
    printf("\n");
  }
}
void printmatB() /* Function to print a matrix B */ {
  for (i = 0; i < R2; i++) {
    for (j = 0; j < C2; j++) {
      printf("%d", B[i][j]);
    }
    printf("\n");
  }
}
void sum() /*Function to find the sum of elements of matrix A and Matrix B*/ {
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C2; j++) {
      sumat[i][j] = A[i][j] + B[i][j];
    }
  }
  printf("Sum matrix is\n");
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C2; j++) {
      printf("%d", sumat[i][j]);
    }
    printf("\n");
  }
  return;
}
void diff() /*Function to find the difference of elements of matrix A and Matrix B*/ {
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C2; j++) {
      diffmat[i][j] = A[i][j] - B[i][j];
    }
  }
  printf("Difference matrix is\n");
  for (i = 0; i < R1; i++) {
    for (j = 0; j < C2; j++) {
      printf("%d", diffmat[i][j]);
    }
    printf("\n");
  }
  return;
}

```

## 输出

```c
Enter the order of the matrix A
2 2

Enter the order of the matrix B
2 2

Enter the elements of matrix A
1
2
3
4

MATRIX A is
  1   2
  3   4

Enter the elements of matrix B
2
4
6
8

MATRIX B is
2  4
6  8

Sum matrix is
3   6
9  12

Difference matrix is
-1  -2
-3  -4
```