# C 程序：检查矩阵是否是单位矩阵

> 原文：<https://learnetutorials.com/c-programming/programs/identity-matrix>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C](../../c-programming/header-files)中的头文件

## 什么是身份矩阵？

在这个 C 程序中，我们需要检查给定的矩阵是否是单位矩阵，为此我们需要知道什么是单位矩阵。大小为“ **n** 的单位矩阵或单位矩阵”是主对角线上为 1，其他地方为零的 **n × n** 方阵。

这个 C 程序的逻辑是先声明矩阵 A，然后把矩阵的顺序读入 **R** 和 **C** 。然后使用`for loop`读取矩阵的元素。然后显示给定的矩阵。然后检查数组中不等于 **1** 和不等于 **0** 的每个元素，如果为真，则设置**标志=1** 并退出循环。如果**标志=1** 则显示它是一个身份矩阵，否则，说它不是一个身份矩阵。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明整数数据类型的矩阵 A。

**步骤 3:** 声明变量 **i，j，R，C，标记**。

**步骤 4:** 设置**标志=1** 。

**步骤 5:** 将矩阵 A 的顺序读入变量 **R** 和 **C** 。

**步骤 6:** 设置 **i=0** 。

**步骤 7:** 检查 **i**

**步骤 8:** 使用条件为“ **i** 的`for loop`读取矩阵的元素。

**第 9 步:**使用`for loop`将输入矩阵显示为 A 的元素。

**步骤 10:** 设置 **j=0** 。

**步骤 11:** 检查 **j**

**步骤 12:** 检查**是否 A[i][j]！= 1 & & A[j][i]！=0** 然后设置**标志=0** 并断开回路。否则将 **j** 增加 1，并重复步骤 16。

**第 13 步:**将“**I”**增加一个，重复第 14 步。

**第 14 步:**如果**标志==1** 则显示，这是一个身份矩阵。

**STEP 15** :如果**标志==0** ，则显示为非身份矩阵。

## c 源代码

```c
#include <stdio.h>

void main() {
  int A[10][10];
  int i, j, R, C, flag = 1;
  printf("Enter the order of the matrix A\n"); /* enter the order of the matrix */
  scanf("%d %d", & R, & C);
  printf("Enter the elements of matrix A\n");
  for (i = 0; i < R; i++) {
    for (j = 0; j < C; j++) {
      scanf("%d", & A[i][j]);
    }
  }
  printf("MATRIX A is\n"); /* printing the matrix input by the user */
  for (i = 0; i < R; i++) {
    for (j = 0; j < C; j++) {
      printf("%d", A[i][j]);
    }
    printf("\n");
  }
  for (i = 0; i < R; i++) /* Check for unit (or identity) matrix */ {
    for (j = 0; j < C; j++) {
      if (A[i][j] != 1 && A[j][i] != 0) {
        flag = 0;
        break;
      }
    }
  }
  if (flag == 1)
    printf("It is identity matrix\n");
  else
    printf("It is not a identity matrix\n");
}

```

## 输出

```c
Run 1

Enter the order of the matrix A
2* 2

Enter the elements of matrix A
2 2
1 2

MATRIX A is
2  2
1  2

It is not a identity matrix
Run 2

Enter the order of the matrix A
2 *2

Enter the elements of matrix A
1 0
0 1

MATRIX A is
1  0
0  1
It is identity matrix
```