# C 程序：交换矩阵的两行和两列

> 原文：<https://learnetutorials.com/c-programming/programs/swap-rows-columns-of-matrix>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的变量](../../c-programming/variables)

## 如何互换矩阵的列和行？

我们想要交换给定矩阵的行和列；正如我们所讨论的，矩阵是行和列格式的一组元素。所以我们要做的是，我们需要交换行和列。例如，一个**矩阵【123】**和列交换 **2** 和 **3** 意味着生成的矩阵也将是**【132】**类似于行中的矩阵。

在这个 C 程序中，在接受了用户 Matrix 之后，我们得到了需要交换的列和行。首先，我们交换行；在行交换之后，我们交换列。

这个 C 程序的逻辑是，先声明两个 Matrix ' **m1** '和' **m2** '。然后将矩阵的顺序读作“ **m** ”和“ **n** ”。然后从用户那里读取矩阵，保存到' **m1** 和 **m2** 中。将待交换的行数读入变量“ **a** ”和“ **b** ”。然后使用`for loop`交换行，并将其保存在矩阵 **m1** 中。将待交换的列数读入变量“ **p** ”和“ **q** ”。将给定矩阵显示为 **m2** 中的元素。然后用`for loop`互换 **m2** 中的列，保存在 **m2** 中。最后，行互换后的矩阵显示为 **m1** ，列互换后的矩阵显示为 **m2** 。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 将变量 **m1[][]、m2[][]** 声明为整数类型。

**步骤 3:** 声明整数变量 **i、j、m、n、a、b、c、p、q、r** 。

**步骤 4:** 将矩阵的顺序读入 **m** 和 **n** 。

**步骤 5:** 设置 **i=0** 。

**第六步:**使用`for loop`加上条件**我**

**STEP 7:** 设置 **j=0** 。

**步骤 8:** 使用`for loop`配合条件 **j**

**步骤 9:** 将数字读入 **m1[i][j]** 。

**STEP 10:****m2[I][j]= m1[I][j]**。

**第 11 步**:将**j‘**增加一，做第 8 步。

**第 12 步:**将**【我】**增加一，做第 6 步。

**步骤 13:** 将待交换的行数读入变量 **a** 和 **b** 。

**第 14 步:**设置 **i=0** 。

**步骤 15:** 使用`for loop`配合条件 **i**

**STEP 16:** 赋值 **c = m1[a-1][i]，m1[a-1][i] = m1[b-1][i]，m1[b-1][i] = c** 。

**STEP 17:** 将‘**I’**加 1，做 step 16。

**步骤 18:** 将待交换的列数读入变量 **p** 和 **q** 。

**步骤 19:** 使用`for loop`显示给定的矩阵。

**步骤 20:** 通过使用另一个`for loop`与条件 **i**

**STEP 21:** 赋值 **r = m2[i][p-1]，m2[i][p-1] = m2[i][q-1]，m2[I][q-1]= r**；

**步骤 22:** 使用`for loop`将两行互换为 **m1** 的每个元素后显示矩阵。

**步骤 23:** 使用`for loop`将两列互换为 **m2** 的每个元素后显示矩阵。

## c 源代码

```c
#include <stdio>

void main() {
  static int m1[10][10], m2[10][10];
  int i, j, m, n, a, b, c, p, q, r;
  printf("Enter the order of the matrix\n");
  scanf("%d %d", & m, & n);
  printf("Enter the coefficients of the matrix\n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j) {
      scanf("%d,", & m1;
        [i][j]);
      m2[i][j] = m1[i][j];
    }
  }
  printf("Enter the numbers of two rows to be exchanged \n");
  scanf("%d %d", & a, & b);
  for (i = 0; i < m; ++i) {
    c = m1[a - 1][i]; /* first row has index is 0 */
    m1[a - 1][i] = m1[b - 1][i];
    m1[b - 1][i] = c;
  }
  printf("Enter the numbers of two columns to be exchanged\n");
  scanf("%d %d", & p, & q);
  printf("The given matrix is \n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j)
      printf(" %d", m2[i][j]);
    printf("\n");
  }
  for (i = 0; i < n; ++i) {
    r = m2[i][p - 1]; /* first column index is 0 */
    m2[i][p - 1] = m2[i][q - 1];
    m2[i][q - 1] = r;
  }
  printf("The matrix after interchanging the two rows(in the original matrix)\n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j) {
      printf(" %d", m1[i][j]);
    }
    printf("\n");
  }
  printf("The matrix after interchanging the two columns(in the original matrix)\n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j)
      printf(" %d", m2[i][j]);
    printf("\n");
  }
}

```

## 输出

```c
Enter the order of the matrix
3 *3

Enter the co-efficient of the matrix
1 2 4
5 7 9
3 0 6

Enter the numbers of two rows to be exchanged
1 2

Enter the numbers of two columns to be exchanged
2 3

The given matrix is
 1 2 4
 5 7 9
 3 0 6

The matrix after interchanging the two rows (in the original matrix)
 5 7 9
 1 2 4
 3 0 6

The matrix after interchanging the two columns(in the original matrix)
 1 4 2
 5 9 7
 3 6 0
```