# C 程序：显示商店商品库存

> 原文：<https://learnetutorials.com/c-programming/programs/inventory-items-store>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的结构](../../c-programming/structures)

在这个 C 程序中，我们需要制作一个商店程序，包括产品或物品的名称、价格、数量等，并像计费软件一样以表格形式显示出来。为了实现这个程序，我们使用了结构数据类型。这里我们必须记录不同数据类型的不同元素。

## C 语言中的结构数据类型是什么？

在 C 语言中，结构是用户定义的数据类型。它是一组具有不同数据类型的变量，由单个名称表示。关键字 struct 用于定义结构。使用结构化数据类型，我们可以在单个内存位置存储不同数据类型元素的记录。例如，我们可以使用 struct:

```c
struct date
    {
       int day;
       int month;
       int year;
    };

```

这个程序的逻辑是，首先声明结构变量**日期**，以及**细节**。然后声明一个数据类型细节的数组项目。然后读取用户想要添加到变量 **n** 中的产品数量。通过使用带有条件 **i** 的`for loop`

### 算法

第一步:在 C 程序中包含使用内置函数的头文件。

第二步:与会员申报结构日期**日**、**月**、**年**。

第三步:用成员的**名称**、**价格**、**代码**、**数量**、**制造**声明另一个结构细节。

第四步:初始化结构细节变量**项**。

第五步:声明整数变量 **n，i** 。

第六步:将项目数读入 **n** 。

第七步:使用带有条件**的`for loop`I**

第八步:显示**库存**。

第九步:显示序列号|名称|代码|数量|价格|制造。日期使用`printf`。

第十步:使用另一个`for loop`条件**我**

第十一步:显示**项【I】。名称，项目[i]。代码，项目[i]。数量，项目[i]。价格，项目[i].制造日期，项目[i].制造月份，项目[i].制造年份**。

## c 源代码

```c
#include <stdio.h>

void main()
{
    struct date
    {
        int day;
        int month;
        int year;
    };
    struct details
    {
        char name[20];
        int price;
        int code;
        int qty;
        struct date mfg;
    };
    struct details item[50];
    int n, i;

    printf("Enter number of items:");
    scanf("%d", &n);
    fflush(stdin);
    for (i = 0; i < n; i++)
    {
        fflush(stdin);
        printf("Item name: \n");
        scanf("%s", item[i].name);
        fflush(stdin);
        printf("Item code: \n");
        scanf("%d", &item;[i].code);
        fflush(stdin);
        printf("Quantity: \n");
        scanf("%d", &item;[i].qty);
        fflush(stdin);
        printf("price: \n");
        scanf("%d",  &item;[i].price);
        fflush(stdin);
        printf("Manufacturing date(dd-mm-yyyy): \n");
        scanf("%d-%d-%d", &item;[i].mfg.day,
        &item;[i].mfg.month, &item;[i].mfg.year);
    }
    printf("             *****  INVENTORY ***** \n");
    printf("------------------------------------------------------------------\n");
    printf("S.N.|    NAME           |   CODE   |  QUANTITY |  PRICE| MFG.DATE \n");
    printf("------------------------------------------------------------------\n");
    for (i = 0; i < n; i++)
        printf("%d     %-15s        %-d          %-5d     %-5d %d/%d/%d \n", i + 1, item[i].name, item[i].code, item[i].qty,
        item[i].price, item[i].mfg.day, item[i].mfg.month,
        item[i].mfg.year);
    printf("------------------------------------------------------------------\n");
}

```

## 输出

```c
Enter number of items:5

Item name:Tea Powder
Item code:123
Quantity:23
price:40
Manufacturing date(dd-mm-yyyy):12-03-2007

Item name:Milk Powder
Item code:345
Quantity:20
price:80
Manufacturing date(dd-mm-yyyy):30-03-2007

Item name:Soap Powder
Item code:510
Quantity:10
price:30
Manufacturing date(dd-mm-yyyy):01-04-2007

Item name:Washing Soap
Item code:890
Quantity:25
price:12
Manufacturing date(dd-mm-yyyy):10-03-2007

Item name:Shampoo
Item code:777
Quantity:8
price:50
Manufacturing date(dd-mm-yyyy):17-05-2007

     *****  INVENTORY *****
------------------------------------------------------------------------
S.N.|    NAME           |   CODE   |  QUANTITY |  PRICE  |MFG.DATE
------------------------------------------------------------------------
1     Tea Powder           123         23         40        12/3/2007
2     Milk Powder          345         20         80        30/3/2007
3     Soap Powder          510         10         30        1/4/2007
4     Washing Soap         890         25         12        10/3/2007
5     Shampoo              777         8          50        17/5/2007
------------------------------------------------------------------------
```