# C 程序：使用按位运算符将给定数字乘以 4 

> 原文：<https://learnetutorials.com/c-programming/programs/bitwise-operators>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [操作员在 C](../../c-programming/operators)

## 按位运算符是什么？

在这个 C 程序中，我们必须考虑按位运算符。它们用于位级操作。C 语言中主要有六种按位运算符，有关按位运算符的更多信息，请参考**按位**运算符教程。按位运算符的类型有:

1.  按位**和** **&**
2.  按位**或** |
3.  按位**异或^**
4.  逐位**补码~**
5.  左移 **< <**
6.  右移 **> >**

## 什么是左移(<

左移运算符的符号是“ **< <** ”。它用于将所有位向左移动一定数量的位置。空出的位置用零填充。例如，考虑按位左移操作: **4 < < 2** 。那么结果将是 16。4 的二进制等价为 0100。左移后，数字变成 10000。所以相当于 16。

这个 C 程序的主要逻辑是接受用户的一个数字，保存到 **tempnum** 中。然后使用左移操作器**号=号< < 2** 。现在这个数字被左移到两位，这意味着，我们在变量上做了一个与四的乘法。然后显示**温度*4 =数字**。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量**编号**、**温度**声明为类型`Long integer`。

**步骤 3:** 从用户处读取整数，并保存为数字。

**步骤 4:** 分配**温度=数字**。

**STEP 5:** **号=号<号<号 2** 号。

**第 6 步:**显示**项目编号* 4 =编号**。

## c 源代码

```c
#include <stdio.h>

void main() {
  long number, tempnum;
  printf("Enter an integer\n");
  scanf("%ld", & number);
  tempnum = number;
  number = number << 2; /*left shift by two bits*/
  printf("%ld x 4 = %ld\n", tempnum, number);
}

```

## 输出

```c
Enter an integer
15
15 x 4 = 60

RUN2
Enter an integer
262
262 x 4 = 1048
```