# C 程序：求`cos(x)`序列和

> 原文：<https://learnetutorials.com/c-programming/programs/cosine-series>

在这个 C 程序中，我们要求 **cos(x)** 序列的和。三角函数能力用于将三角形的边与其边联系起来。余弦，我们称之为**余弦**，是相邻边长与斜边长的比例。" **cosA =相邻/斜边**"。

## cos x 系列是什么？

cos X 系列包含偶数幂和阶乘。一般余弦序列的公式是“ **cosx = 1 - (x^2/2！)+ (x^4/4！)- (x^6/6！) + .........."**。在这个 C 程序中，我们接受用户以度为单位的输入，并将其转换为弧度进行计算。然后我们打开一个 For 循环，使用公式“ **cosx = cosx +(幂(x，I)/事实)*符号；符号=符号*(1)；**计算 **cos x** 之和。为了使用函数 **pow()** ，我们必须在这个程序中包含“ **math.h** ”头文件。这是一个简单易懂的程序。这里我们使用 for 循环。

## for 循环的语法是什么？

for 循环的语法由下式给出

```c
 for (initializationStatement; testExpression; updateStatement)

     {
          // codes
     } 

```

这里初始化语句只执行一次。最初，评估测试表达式。如果测试表达式为假，则`for loop`终止。但是如果测试表达式为真，则执行`for loop`内部的代码并更新表达式。这个过程一直持续到测试表达式为 False。当迭代次数已知时，通常使用这种类型的循环。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明整数变量 **n，x1，I，j** 。

**步骤 3:** 将变量 **x** 、**符号**、 **cosx** 、**事实**声明为类型 Float。

**第 4 步:**将系列中的术语编号读至 **n** 。

**第五步:**将“ **x** 的值读入变量“ **x** ”。

**步骤 6:** 分配 **x1=x** 。

**STEP 7:****x = x *(3.142/180.0)**

**步骤 8:** 分配 **cosx=1** 和**符号=-1** 和 **i=2** 。

**第 9 步:**通过使用条件为**的`for loop`，我< =n** 进行第 10 步。

**STEP 10:** **fact=1** 。

**步骤 11:** 分配 **j=1** 。

**步骤 12:** 通过使用 for 循环条件 **j < =i** 执行步骤 13。

**STEP 13:** **事实=事实*j** 。

**第 14 步:**将 **j** 增加 **1** ，做第 12 步。

**STEP 15:****cosx = cosx+(pow(x，I)/fact)*符号**。

**STEP 16:** **符号=符号*(1)**。

**第 17 步:**用 **1** 增加**1**，做第 9 步。

**STEP 18:** 显示余弦序列之和为 **cosx** 。

**第 19 步:**使用库函数**显示 **cos(x1)** 的值**。

## c 源代码

```c
#include<stdio.h>
#include<math.h>

void main() {
    int n, x1, i, j;
    float x, sign, cosx, fact;
    printf("Enter the number of the terms in a series\n"); /* enter the series */
    scanf("%d", & n);
    printf("Enter the value of x(in degrees)\n");
    scanf("%f", & x);
    x1 = x;
    x = x * (3.142 / 180.0); /* Degrees to radians*/ /* converting the degrees into radians */
    cosx = 1;
    sign = -1;
    for (i = 2; i <= n; i = i + 2) {
      fact = 1;
      for (j = 1; j <= i; j++) {
        fact = fact * j;
      }
      cosx = cosx + (pow(x, i) / fact) * sign; /* calculating the cosx x sum */
      sign = sign * (-1);
    }
    printf("Sum of the cosine series= %7.2f\n", cosx);     
   printf("The value of cos(%d) using library method = %f\n", x1,
    cos(x));

    } /*End of main() */

```

## 输出

```c
Enter the number of the terms in a series
5

Enter the value of x(in degrees)
60
Sum of the cosine series                    =    0.50  
The value of cos(60) using library method = 0.499882
```