# C 程序：循环置换数组元素

> 原文：<https://learnetutorials.com/c-programming/programs/cyclically-permute-array-element>

## 什么是循环置换？

这是一个循环置换数组元素的 C 程序。一个[循环置换](https://en.wikipedia.org/wiki/Cyclic_permutation)是组件的一个置换，它以循环的方式将某个子集“**x”**的元素相互映射。同时，建立(即映射到自身)所有不同的“ **x** 组件。例如，{1，2，3，4}的排列发送 1 到 3，3 到 2，2 到 4，4 到 1 是一个循环。而发送 1 到 3、3 到 1、2 到 4 和 4 到 2 的置换则不是(它独立置换集合{1，3}和{2，4})。

这个 C 程序的逻辑是，先把数字的极限读入 **n** ，再用`for loop`把数字读入数组 **number[]** 。然后使用`for loop`将数组中每个元素的位置改变到下一个位置。然后使用`for loop`将置换后的数字显示为数组**中的数字[]** 。

## for 循环的语法是什么？。

For 循环的语法是:

```c
 for (initializationStatement; testExpression; updateStatement)

     {
          // codes
     } 

```

这里初始化语句只执行一次。最初，我们评估测试表达式。如果测试表达式为假，我们将终止循环。但是如果测试表达式为真，我们将执行 for 循环语句并递增表达式。这个过程一直持续到测试表达式为 False。这种循环的使用通常是在迭代次数已知的情况下。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明一些整数变量 **i，n** ，数组**号【30】**。

**第三步:**将 **n** 的值读作 **n** 。

**步骤 4:** 使用`for loop`将数字读入数组编号。

**第五步:**分配**号【n】=号【0】**。

**步骤 6:** 通过使用另一个条件为“**的`for loop`我**。

**第 7 步:**用 **1** 增加 **i** ，做第 6 步。

**第 8 步:**显示“**循环排列的数字在**下方使用`printf`给出。

**第 9 步:**使用`for loop`显示数字。

## c 源代码

```c
#include <stdio.h>

void main() {
  int i, n, number[30];
  printf("Enter the value of the n = ");
  scanf("%d", & n);
  printf("Enter the numbers\n");
  for (i = 0; i < n; ++i) {
    scanf("%d", & number[i]);
  }
  number[n] = number[0];
  for (i = 0; i < n; ++i) {
    number[i] = number[i + 1];
  }
  printf("Cyclically permuted numbers are given below \n");
  for (i = 0; i < n; ++i)
    printf("%d\n", number[i]);
}

```

## 输出

```c
Enter the value of the n = 5
Enter the numbers
10
30
20
45
18

Cyclically permuted numbers are given below
30
20
45
18
10
```