# C 程序：按升序排序`n`个数字

> 原文：<https://learnetutorials.com/c-programming/programs/ascending-sort>

## 什么是排序？

这里有一个简单的程序，可以按升序对 **n** 个数字进行排序。排序是以某种顺序重新排列数组或列表中的数字的过程，该顺序将是升序或降序。排序很方便，在现实生活中有很多应用程序级别的用法。在 c 编程中，有不同种类的排序方法，具体取决于对元素进行排序的技术。每种方法都使用不同类型的技术，并且对于最佳情况和最坏情况都有不同的复杂性。C 语言中的一些排序方式有:

*   冒泡排序
*   选择排序
*   合并排序
*   插入排序
*   快速排序
*   堆排序

## 如何按升序排列数字？。

升序意味着从最小到最大排列数字。在这个 C 程序中，我们需要将数组的元素按升序排列。例如，如果我们有一组像“ **1，5，3，8，7，6** 这样的数字。我们需要将其更改为按升序排序的“ **1，3，5，6，7，8** ”。

在这个 C 程序中，首先，我们接受用户想要检查的数字的计数。然后，我们从使用 for 循环的用户那里获取数字，并将其保存到数组编号[]中。通过使用嵌套的“`for loop`”，我们用下一个元素检查数组的每个元素；如果这个数字大于下面的数字，那么我们将使用一个临时变量交换这些数字。最后，在完成 for 循环的迭代后，使用`for loop`显示排序后的数组。

### 算法

第一步:在 C 程序中包含使用内置函数的头文件。

第二步:声明整数变量 **i，j，a，n** ，数组**数【30】**。

第三步:将 **N** 的值读入变量“ **n** ”。

第四步:使用`for loop`将数字读入数组**数字【into】。**

第五步:设置 **i=0** 。

第六步:检查 **i**

第七步:设置 **j=i+1** 。

第八步:检查**数字【I】>数字【j】**是否为真，然后交换数字。

第九步:用 **1** 增加 **j** ，做第七步。

第十步:用 **1** 增加 **i** 做第六步。

第十一步:使用`for loop`将升序排列的数字显示为数组**中的数字[]** 。

## c 源代码

```c
#include <stdio.h>

void main()
{

  int i, j, a, n, number[30];
  printf("Enter the value of N\n");
  scanf("%d", & n);
  printf("Enter the numbers \n"); /* accept the elements from the user */
 for (i = 0; i < n; ++i)
  {
       scanf("%d", & number[i]);
  }
  for (i = 0; i < n; ++i)
  {
    for (j = i + 1; j < n; ++j)
    {
      if (number[i] > number[j]) /* swapping the elements in the ascending order */
      {
        a = number[i];
        number[i] = number[j];
        number[j] = a;
      }
    }
  }

  printf("The numbers arranged in ascending order are given below\n"); /* display the output  */

  for (i = 0; i < n; ++i)
    printf("%d\n", number[i]);

} /* End of main() */

```

## 输出

```c
Enter the value of N
5

Enter the numbers
80
20
67
10
45

The numbers arranged in ascending order are given below
10
20
45
67
80
```