# C 程序：按降序排序数组

> 原文：<https://learnetutorials.com/c-programming/programs/array-sort-descending-order>

## 什么是 C 语言中的排序？

在这个程序中，我们需要按降序对给定的数组进行排序，以便元素从大到小排列。排序是以某种顺序重新排列数组或列表中的数字的过程，该顺序将是升序或降序。在这里，您将看到如何按降序对数组进行排序排序排序非常方便，在现实生活中有很多应用程序级别的用法。在 c 编程中，有不同种类的排序方法，具体取决于对元素进行排序的技术。每种模式使用不同类型的风格，无论是最好的情况还是最坏的情况，都有不同的复杂性。C 语言中的一些排序方式有:

*   冒泡排序
*   选择排序
*   合并排序
*   插入排序
*   快速排序
*   堆排序

## 如何按降序排列数字？。

降序意味着从大到小排列数字。在这个 C 程序中，我们需要按降序排列数组的元素。例如，如果我们有一组像“ **1，5，3，8，7，6** 这样的数字。我们需要把它改成 **8，7，6，5，3，1** ，按降序排列。

在这个 C 程序中，我们接受用户想要排序的数字的计数。然后我们使用`for loop`接受来自用户的数字，并将其保存到数组**数字[]** 中。通过使用嵌套的`for loop`，用下一个数字检查数组的每个元素；如果这个数字小于下面的数字，那么我们将使用一个临时变量交换这些数字。最后，显示数组，使用`for loop`按降序排列。

在本程序中，使用`for loop`。for 循环的语法由下式给出

```c
for (initializationStatement; testExpression; updateStatement)

     {
          // codes
     } 

```

这里初始化语句只执行一次。最初，评估测试表达式。如果测试表达式为假，我们终止循环。但是如果测试表达式为真，则在 for 循环中执行代码并更新表达式。这个过程一直持续到测试表达式为 False。当迭代次数已知时，通常使用这种类型的循环。

### 算法

第一步:在 C 程序中包含使用内置函数的头文件。

第二步:声明整数变量 **i，j，a，n** ，数组**数【30】**。

第三步:将 **N** 的值读入变量 **n** 。

第四步:使用`for loop`将数字读入数组**数字【into】。**

第五步:设置 **i=0** 。

第六步:检查“ **i**

第七步:设置 **j=i+1** 。

第八步:检查**号是否为【I】**。

第九步:用 **1** 增加 **j** ，做第七步。

第十步:用 **1** 增加 **i** 做第六步。

步骤 11:使用`for loop`将按降序排列的数字显示为数组**中的数字【I】**。

## c 源代码

```c
#include <stdio.h>

void main() {
  int number[30];
  int i, j, a, n;
  printf("Enter the value of N\n");
  scanf("%d", & n);
  printf("Enter the numbers \n");
  for (i = 0; i < n; ++i)
    scanf("%d",& number[i]);
  for (i = 0; i < n; ++i) /* sorting begins ...*/ {
    for (j = i + 1; j < n; ++j) {
      if (number[i] < number[j]) {
        a = number[i];
        number[i] = number[j];
        number[j] = a;
      }
    }
  }
  printf("The numbers arranged in descending order are given below\n");
  for (i = 0; i < n; ++i) {
    printf("%d\n", number[i]);
  }
} /* End of main() */

```

## 输出

```c
Enter the value of N
6

Enter the numbers
10
35
67
100
42
688

The numbers arranged in descending order are given below
688
100
67
42
35
10 
```