# C 程序：分割数组，并将第一部分添加到最后

> 原文：<https://learnetutorials.com/c-programming/programs/split-array>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 中的循环](../../c-programming/loops)
*   [C 中的变量](../../c-programming/variables)

## 什么是数组？

这里我们得到了一个数组，我们必须从一个指定的位置拆分它，并将数组的第一部分移到末尾。数组是存储在顺序内存位置中的具有相同数据类型的数据项的集合，由一个公共变量进行索引。一维数组是列表，二维数组是矩阵。例如:int a[20]，int m[10][10]。这里是一维数组，m 是二维数组。

## 如何拆分数组？

我们必须使用该键值将数组分成两部分，然后将数组的前半部分添加到后半部分的末尾。

因此，在这里，我们接受来自用户的数组值，并将数组中的数字相加。现在我们得到了用户想要拆分数组并将该值保存在变量中的位置。开始嵌套`for loop`；在外循环中，我们必须循环，直到我们需要分割数组的位置。将第一个数字加到数组的末尾。

现在在内部循环中，用紧接其后的元素来改变一个元素。意味着**a【j】**必须替换为**a【j+1】。**最后显示结果输出。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明整数变量 **i，n，a j** ，数组**号【30】**。

**步骤 3:** 将 **n** 的值读入变量“ **n** ”。

**步骤 4:** 从用户处读取数字，并使用`for loop`将其保存到**数字【into】中。**

**步骤 5:** 读取数组中用户想要拆分成变量“ **a** 的位置。

**步骤 6:** 通过使用条件为**的`for loop`“我”**

**STEP 7:** **号【n】=号【0】**

**步骤 8:** 通过使用另一个带有条件“**j”**的`for loop`

**STEP 9:** **号【j】=号【j+1】**。

**第 10 步:**将 j 增加 1 ，进行第 8 步。

**第 11 步:**将 **i** 增加 1，进行第 6 步。

**步骤 12:** 使用`for loop`将结果数组显示为**编号【I】**。

## c 源代码

```c
#include <stdio.h>

void main()
{
  int number[30];
  int i, n, a, j;
  printf("Enter the value of n\n"); /* enter the value */
  scanf("%d", & n);
  printf("enter the numbers\n");
  for (i = 0; i < n; ++i)
    scanf("%d", & number[i]);
  printf("Enter the position of the element to split the array \n"); /* accept the position where user wants to split */
  scanf("%d", & a);
  for (i = 0; i < a; ++i)
  {
    number[n] = number[0];
    for (j = 0; j < n; ++j)
    {
      number[j] = number[j + 1]; /* changing the position of the elements */
    }
  }

  printf("The resultant array is\n");
  for (i = 0; i < n; ++i)
  {
    printf("%d\n", number[i]);
  }

} /* End of main() */

```

## 输出

```c
Enter the value of n
5

enter the numbers
30
10
40
50
60

Enter the position of the element to split the array
2

The resultant array is
40
50
60
30
10
```