# C 程序：计算数组中偶数和奇数元素个数

> 原文：<https://learnetutorials.com/c-programming/programs/count-even-odd-elements-in-array>

## 如何检查一个数字是奇数还是偶数？

在学习计算一个数组中的偶数和奇数之前，让我们从什么是奇数和偶数开始。奇数是可被 **2** 整除的数，不能被 2 整除的数称为**偶数**数。我们可以通过 **2** 使用 [mod 运算符](https://en.wikipedia.org/wiki/Modulo_operation)来检查 C 语言中的数字是奇数还是偶数。如果余数为零，那么这个数就是一个**偶数**数。否则编号为**奇数**。

示例:检查 5 和 8 是奇数还是偶数。

1.  **5 % 2 = 1** 。所以 **5** 是**奇数**号。
2.  **8 % 2 = 0** 。所以 **8** 是**连**号。

在这个 C 程序中，我们需要检查给定矩阵中奇数和偶数的频率。所以我们需要分析矩阵中的每个元素，检查它是奇数还是偶数。所以在这个 C 程序中，我们首先需要接受用户的矩阵顺序，然后我们得到矩阵的元素。然后我们使用嵌套的`for loop`显示给定的矩阵。

现在我们开始一个`for loop`，通过使用 **mod** 运算符两次检查矩阵的每个元素，并检查余数是否为零。如果为零，则将偶数计数器加 1，否则将奇数计数器加 1。结果显示奇数和偶数的计数器值。

## for 循环的语法是什么？

for 循环的语法由下式给出:

```c
 for (initializationStatement; testExpression; updateStatement)

     {
          // codes
     } 

```

这里初始化语句只执行一次。最初，我们评估测试表达式。如果测试表达式为假，我们将终止循环。但是如果测试表达式为真，那么`for loop`里面的代码被执行并更新。这个过程一直持续到测试表达式为 False。当迭代次数已知时，通常使用这种类型的循环。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明整数变量 **i，j，m，n，a，偶数，奇数**，矩阵**ma【】【】**设置偶数和**奇数=0** 。

**步骤 3:** 将矩阵的顺序读入 **m** 和 **n** 。

**步骤 4:** 使用嵌套`for loop`从用户处读取矩阵的系数，并将其保存到**ma【I】【j】**中。

**第 5 步:**如果 **ma[i][j]%2=0** ，则将**偶数**增加**一**。

**STEP 6:** 否则将**奇数**增加**一**。

**步骤 7:** 重复步骤 4。

**步骤 8:** 使用嵌套`for loop`将给定矩阵显示为**ma【I】【j】**。

**步骤 9:** 将奇数出现的频率显示为奇数。

**步骤 10:** 将偶数出现的频率显示为偶数。

## c 源代码

```c
#include <stdio.h>

void main() {
  static int ma[10][10];
  int i, j, m, n, even = 0, odd = 0;
  printf("Enter the order of the matrix \n");
  scanf("%d %d", & m, & n);
  printf("Enter the coefficients if matrix \n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j) {
      scanf("%d", & ma[i][j]);
      if ((ma[i][j] % 2) == 0) {
        ++even;
      } else
        ++odd;
    }
  }
  printf("The given matrix is\n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j) {
      printf(" %d", ma[i][j]);
    }
    printf("\n");
  }
  printf("\nThe frequency of occurrence of odd number  = %d\n", odd);
  printf("The frequency of occurrence of even number = %d\n", even);
} /* End of main() */

```

## 输出

```c
Enter the order of the matrix
3 3

Enter the coefficients of the matrix
1 2 3
4 5 6
7 8 9

The given matrix is
 1 2 3
 4 5 6
 7 8 9

The frequency of occurrence of odd number  = 5
The frequency of occurrence of even number = 4
```