# C 程序：交换矩阵对角线

> 原文：<https://learnetutorials.com/c-programming/programs/interchange-diagonals-matrix>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的数组](../../c-programming/array)
*   [C 中的循环](../../c-programming/loops)
*   [C 中的变量](../../c-programming/variables)

## 矩阵是什么？

在这里你将学习如何编程来交换矩阵的对角线。矩阵是相同数据类型的元素的集合。矩阵可以定义为数组的数组，这意味着元素以行和列的格式排列。我们可以通过索引变量访问矩阵中的元素。

## 矩阵的对角线是多少？

矩阵的对角线意味着元素位于矩阵的对角线上。即从左上角到右下角的元素，其中矩阵元素的行号和列号相等。例如，下面显示的矩阵的对角元素是' **1，5，9'** 和' **3，5，7'**

**【1 2 3
4 5 6
3 7 9】**

在这个 C 程序中，我们需要交换矩阵的对角线，这意味着矩阵的对角线需要相互改变。这个 C 程序中使用的逻辑是交换矩阵元素的位置以得到想要的结果。

作为第一步，我们接受矩阵为 **m** 和 **n** 的顺序。那么我们要检查一下“**m”**和“ **n** 是否相等。也就是说，矩阵的行数和列数是否相等。如果相等，那么我们将读取矩阵的元素并显示它们，然后使用`for loop`交换对角线元素。我们将显示互换的矩阵。如果“ **m** ”和“ **n** 不相等，那么我们将显示矩阵的顺序不是正方形矩阵。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明整数变量 **i，j，m，n，a** ，矩阵**ma【】【】**。

**步骤 3:** 将矩阵的顺序读作“ **m** 和“**n”**。

**第 4 步:**然后检查 **m = n** ，如果是，则执行第 5 步。否则执行第 14 步。

**步骤 5:** 使用嵌套`for loop`从用户处读取矩阵的系数，并将其保存到**ma【I】【j】**中。

**步骤 6:** 使用`for loop`将给定矩阵显示为矩阵中的元素。

**步骤 7:** 设置 **i=0** 。

**步骤 8:** 检查条件 **i**

**STEP 9:** 赋值 **a=ma[j][i]** ， **ma[i][i] = ma[i][m-i-1]** ， **ma[i][m-i-1] = a** 。

**第 10 步:**将 **i** 增加 1，进行第 8 步。

**步骤 11:** 使用嵌套`for loop`将主对角线和次对角线更改为**ma【I【j】**中的元素后显示矩阵。

**步骤 12:** 使用嵌套`for loop`从用户处读取矩阵的系数，并将其保存到**ma【I】【j】**中。

**步骤 13:** 使用`for loop`将给定矩阵显示为矩阵中的元素。

**步骤 14:** 显示给定的顺序不是**方形矩阵**。

## c 源代码

```c
#include <stdio.h>

void main() {
    static int ma[10][10];
    int i, j, m, n, a;
    printf("Enter the order of the matrix \n");
    scanf("%d %d", & m, & n);
    if (m == n) {
      printf("Enter the co-efficient s of the matrix\n");
      for (i = 0; i < m; ++i) {
        for (j = 0; j < n; ++j) {
          scanf("%d", & ma[i][j]);
        }
      }    
        printf("The given matrix is \n"); /* prints the output matrix */
        for (i = 0; i < m; ++i) {
          for (j = 0; j < n; ++j) {
            printf(" %d", ma[i][j]);
          }
          printf("\n");
        }
        for (i = 0; i < m; ++i) {
          a = ma[i][i];
          ma[i][i] = ma[i][m - i - 1]; /* interchanging the elements inside a matrix */
          ma[i][m - i - 1] = a;
        }
        printf("The matrix after changing the \n");
        printf("main diagonal & secondary diagonal\n");
        for (i = 0; i < m; ++i) {
          for (j = 0; j < n; ++j) {
            printf(" %d", ma[i][j]); /* displaying the output of the matrix */
          }
          printf("\n");
        }
      } else
        printf("The given order is not square matrix\n");
    } /* end of main() */

```

## 输出

```c
Enter the order of the matrix
3 3

Enter the co-efficient s of the matrix
1 2 3
4 5 6
7 8 9

The given matrix is
 1 2 3
 4 5 6
 7 8 9

The matrix after changing the
main diagonal & secondary diagonal
 3 2 1
 4 5 6
 9 8 7
```