# C 程序：使用厘米来表示一个人身高并分类

> 原文：<https://learnetutorials.com/c-programming/programs/categorize-height-centimeter>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)

## 如何对身高相关的人进行分类？

在这个 C 程序中，我们需要根据身高以厘米为单位排列这些人，并将他们归类为高个子、矮子&平均身高。为此，我们需要接受用户的身高。使用 if 条件语句检查每个用户的身高。如果身高小于 150 厘米，我们将其归类为矮个子。如果身高在 150 到 165 厘米之间，就叫平均身高。如果身高在 165 到 195 之间，就属于‘T0’类高个子。以上所有尺寸都是最高的一类。

这个程序的逻辑首先声明变量“ **ht** ”为浮点类型。从用户处读取以厘米为单位的高度，并将其保存到变量“ **ht** ”中。现在检查**如果(ht < 150** ，那么我们显示的高度是短的。使用**否则如果(ht < 150 和 ht < =165)** ，则显示平均高度。否则，检查**否则如果(ht > =165.0，ht < =195)** ，则显示更高。否则显示异常高度。

## if-else 语句的语法是什么？

```c
 if (testExpression) {

  // codes inside the body of if

} else {

  // codes inside the body of else

} 

```

如果测试表达式为真，我们执行`if`条件内的代码，跳过 else 部分。但是如果测试表达式为假，则相反；在这个节目中，我们必须根据身高对这些人进行分类。通过使用`if-else`条件，我们评估高度的比较。

### 算法

**STEP 1:** 将使用内置头文件的头文件包含到 C 程序中。

**步骤 2:** 将变量 **ht** 声明为浮动。

**第三步:**读取用户身高。

**步骤 4:** 检查“ **ht < 150** 是否显示短路。

**第五步:**使用`else if`“**ht>= 150**”和 **ht < =165** 检查，然后显示平均高度。`else`做第 6 步。

**STEP 7:** 否则检查`if` " **ht > =165** "和 **ht < =195** "然后显示更高。`else`做第 7 步。

**步骤 8:** 显示异常高度。

## c 源代码

```c
#include <stdio.h>

void main() {
  float ht;
  printf("Enter  the Height (in centimeters)\n");
  scanf("%f", & ht);
  if (ht < 150)
    printf("short\n");
  else if ((ht >= 150) && (ht <= 165.0)) /* using if we compare the heights */
printf(" Average Height\n");
else if ((ht >= 165.0) && (ht <= 195.0))
  printf("Taller\n");
else
  printf("Abnormal height\n");
} /* End of main() */

```

## 输出

```c
Enter  the Height (in centimeters)

45
Dwarf
```