# C 程序：接受坐标并找到其象限

> 原文：<https://learnetutorials.com/c-programming/programs/find-coordinates-quadrant>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)

在这个 C 程序中，我们需要计算一个点的象限，这意味着我们必须找出一个点来自哪个象限。

## 有哪些不同的象限？

主要有四个象限。

1.  第一象限:这里，点“ **x** ”和“ **y** 取正值。即“ **x > 0** ”和“ **y > 0** ”。
2.  第二象限:这里‘**x**的值为正，‘**y**的值为负。即 **'x > 0** '和 **y < 0** 。
3.  第三象限:这里点“ **x** ”和“ **y** 取负值。即“ **x < 0** ”和“ **y < 0** ”。
4.  第四象限:这里点“ **x** ”为正值， **y** 取负值。即“ **x > 0** ”和“ **y < 0** ”。
5.  原点:这里“ **x** ”和“ **y** 的值都是零。即“ **x=0** ”，**”y = 0**”。

有四个象限，即第一、第二、第三和第四象限。程序的逻辑是先声明变量“ **x** ”和“ **y** ”，然后从用户处读取**【x****y**的值。通过使用`if-else`语句检查，我们必须检查`if` ' **x** '和 **y** '是否大于零。如果是这样，那么该点在第一象限。如果检查“ **x** ”小于零，而“ **y** ”大于零，则该点在第二象限。`Else if` ' **x** '大于零， **y** 小于零，则为第四象限。`Else if` **'x** '和' y '小于零，则在第三象限。最后，`if`‘**x**‘**y**等于零，那么该点在原点。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明整数变量 **x，y** 。

**步骤 3:** 将 **X** 和 **Y** 的值读入变量 **x，y** 。

**STEP 4:** 检查 **x > 0** 和**y>0**；如果条件为真，则显示 **x** ，y 位于第一象限。

**STEP 5:** 否则检查 **x < 0** 和 **y > 0** ，如果条件为真，则显示 **x** 和 y 位于第二象限。

**STEP 6:** 否则检查 **x > 0** 和**y<0**；如果条件为真，则显示 **x** ，y 位于第三象限。

**STEP 7:** 检查 **x > 0** 和**y<0**；如果条件为真，则显示 **x** 和 **y** 位于第四象限。

**步骤 8:** 检查 **x=0** 和 **y=0** ，如果条件为真，则显示 **x** 和 **y** 位于原点。

## c 源代码

```c
#include <stdio.h>

void main()
{
  int x, y;
  printf("Enter the values for X and Y\n");
  scanf("%d %d", & x, & y);
  if (x > 0 && y > 0)
    printf("point (%d,%d) lies in the First quadrant\n",x,y);
  else if (x < 0 && y > 0)
    printf("point (%d,%d) lies in the Second quadrant\n",x,y);
  else if (x < 0 && y < 0)
    printf("point (%d, %d) lies in the Third quadrant\n",x,y);
  else if (x > 0 && y < 0)
    printf("point (%d,%d) lies in the Fourth quadrant\n",x,y);
  else if (x == 0 && y == 0)
    printf("point (%d,%d) lies at the origin\n",x,y);
} /* End of main() */ /* End of main() */

```

## 输出

```c
RUN 1

Enter the values for X and Y
3 5
point (5,3) lies in the First quadrant

RUN 2

Enter the values for X and Y
-4
-7
point (-7, -4) lies in the Third quadrant 
```