# C 程序：计算形状面积

> 原文：<https://learnetutorials.com/c-programming/programs/area-of-shapes>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [操作员在 C](../../c-programming/operators)

## 如何计算一个形状的面积？

在这个 C 程序中，我们需要找到形状的区域，这是由用户选择的。这个程序的逻辑是先声明变量 **fig_code** ，显示菜单如下:

*   1 代表圆形
*   矩形 2
*   三角形 3
*   4 代表广场。

然后我们需要检查用户输入的是哪个形状，以及如何使用公式来找到相应形状的面积。为此，我们使用一个 switch 语句，程序的控制传递给相应的情况，我们应用相应的公式来找到该形状的面积。所以如果用户输入一个圆，控制转到情况 1，用公式 **3.14* r*r** 求圆的面积，就像是正方形矩形或三角形。最后，在默认情况下，我们将显示一条错误消息。

### 计算基本形状面积的公式。

*   **圆的面积= 3.14 * r * r*。**
*   **三角形面积= 0.5 *底*高。**
*   **矩形面积=宽度*长度。**
*   **正方形面积=边*边。**

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明整型变量 **fig_code** 并声明部分`float variable` **边、基、长、宽、高、面积、半径**。

**步骤 3:** 显示菜单 1。圆圈 2。矩形 3。三角形 4 .正方形

**STEP 4:** 将图码读入变量图码。

**步骤 5:** 使用`switch`语句，检查 fig_code 的值。

**步骤 6:** 如果 fig_code 为 1，则读取圆的半径，使用公式**3.142 *半径*半径**计算面积，然后将圆的面积显示为面积。

**步骤 7:** 如果 fig_code 为 2，则读取矩形的宽度和长度，使用公式**面积=宽度*长度**求出面积。然后显示区域。

**STEP 8** :如果 fig_code 为 3，则读取三角形的底高，用**面积= 0.5 *底*高**公式计算面积。然后显示区域。

**第 8 步:**如果 fig_code 为 4，则读取正方形的边，用公式**面积=边*边**求出面积。然后显示区域。

**步骤 9:** 如果 fig_code 不等于 1 或 2 或 3 或 4，我们将显示错误信息。

## c 源代码

```c
#include <stdio.h>

void main() {
  int fig_code;
  float side, base, length, breadth, height, area, radius;
  printf("-------------------------\n");
  printf(" 1 --> Circle\n");
  printf(" 2 --> Rectangle\n");
  printf(" 3 --> Triangle\n");
  printf(" 4 --> Square\n");
  printf("-------------------------\n");
  printf("Enter the Figure code\n");
  scanf("%d", & fig_code);
  switch (fig_code) {
  case 1:
    printf("Enter the radius\n");
    scanf("%f", & radius);
    area = 3.142 * radius * radius;
    printf("Area of a circle=%f\n", area); /* case to find the area of circle */
    break;
  case 2:
    printf("Enter the breadth and length\n");
    scanf("%f %f", & breadth, & length);
    area = breadth * length;
    printf("Area of a Rectangle=%f\n", area); /* case to find area of the rectangle */
    break;
  case 3:
    printf("Enter the base and height\n");
    scanf("%f %f", & base, & height);
    area = 0.5 * base * height;
    printf("Area of a Triangle=%f\n", area); /* case to find the area of the triangle  */
    break;
  case 4:
    printf("Enter the side\n");
    scanf("%f", & side);
    area = side * side;
    printf("Area of a Square=%f\n", area); /* case to find area of square */
    break;
  default:
    printf("Error in figure code\n");
    break;
  } /* End of switch */
} /* End of main() */

```

## 输出

```c
Run 1
-------------------------
 1 --> Circle
 2 --> Rectangle
 3 --> Triangle
 4 --> Square
-------------------------
Enter the Figure code
2
Enter the breadth and length
2
6
Area of a Rectangle=12.000000

Run 2
-------------------------
 1 --> Circle
 2 --> Rectangle
 3 --> Triangle
 4 --> Square
-------------------------
Enter the Figure code
3
 Enter the base and height
5
7
Area of a Triangle=17.500000 
```