# C 程序：计算学生成绩

> 原文：<https://learnetutorials.com/c-programming/programs/students-grade>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C](../../c-programming/header-files)中的头文件
*   [C 中的字符串](../../c-programming/strings)
*   [功能在 C](../../c-programming/functions)

## 如何查看学生的 C 成绩？

在这个 C 程序中，我们需要用描述来制作学生等级，这意味着我们必须在用户进入等级时显示描述。所以在这个 C 程序中，首先，我们使用**to pper**函数将 Grade 改为大写。现在我们使用 Switch 语句将控制传递给相应的描述。如果用户输入 **s** ，则 **toupper()** 功能将 S 变为大写 **S** ，然后 Switch 语句将控制传递给 case **S** 。

然后将显示正确的输出，并控制退出开关语句。在这个程序中，我们使用一个 Break 语句。break 语句是一个跳转指令，主要用于 for 循环、while 循环和 do-while 循环。这里我们使用 **strcpy** 函数来复制备注。

## 什么是`strcpy()`函数？

这是一个标准的库函数，我们用它来将一个字符串复制到另一个字符串。在 C 程序中，它存在于' **string.h'** 头文件中。 **strcpy()** 函数的语法是。

**char* strcpy(char* dest，const char * src)；**

**strcpy()** 函数用目标字符串替换源字符串。

The main logic of the program is first to declare the character Array remark[] and the variable Grade. Accept the Grade from the user and save it into the variable Grade. Convert the Grade into uppercase by calling the function **toupper()**. Then by using a Switch statement, check the Grade is '**S**' or '**A**' or '**B**' or '**Y**' or '**F**.' If the Grade is '**S**', then set the variable remark to SUPER by using the function **strcpy()**. If the Grade is **A**, then set the comment as VERY GOOD. If the Grade is '**F**', then set the remark as FAIR. If the Grade is '**Y**' then set the comment as ABSENT. If the Grade is '**F**', then set the remark as FAILS. By default, set the statement as an error in grade. Then display the result as a remark using the print function.

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包含头文件**字符串。**

**步骤 3:** 将数组**备注【25】**声明为字符类型，将变量 Grade 声明为字符。

**步骤 4:** 从用户处读取等级，并将其保存到变量 Grade 中。

**步骤 5:** 使用功能**将等级转换为大写**。

**第 6 步:**使用`Switch`语句检查，等级为 **S** 或 **A** 或 **B** 或 **Y** 或 **F** 。

**步骤 7:** 如果等级为 A，则使用 **strcpy()** 功能将备注设置为非常好。

**步骤 8:** 如果等级为 B，则使用 **strcpy()** 功能将备注设置为公平。

**步骤 9:** 如果等级为 Y，则使用 **strcpy()** 功能将备注设置为缺席。

**步骤 10:** 如果等级为 F，则使用 **strcpy()** 功能将备注设置为 FAILS。

**步骤 11:** 默认情况下，使用 **strcpy()** 功能将备注设置为等级错误。

**步骤 12:** 然后将结果显示为备注。

## c 源代码

```c
#include <stdio.h>
#include <ctype.h>
#include <string.h>

void main() {
  char remark[15];
  char grade;
  printf("Enter the grade\n");
  scanf("%c", & grade);
  grade = toupper(grade); /* lower case letter to upper case */
  switch (grade) {
  case 'S':
    strcpy(remark, " SUPER");
    break;
  case 'A':
    strcpy(remark, " VERY GOOD"); /* switch statement passes the control to proper statement. */
    break;
  case 'B':
    strcpy(remark, " FAIR");
    break;
  case 'Y':
    strcpy(remark, " ABSENT");
    break;
  case 'F':
    strcpy(remark, " FAILS");
    break;
  default:
    strcpy(remark, "ERROR IN GRADE\n");
    break;
  } /* End of switch */
  printf("RESULT  : %s\n", remark);
} /* End of main() */

```

## 输出

```c
RUN 1

Enter the grade
s
RESULT:  SUPER

RUN 2

Enter the grade
y
RESULT:  ABSENT
```