# C 程序：计算一个字符串的所有整数之和

> 原文：<https://learnetutorials.com/c-programming/programs/integer-sum-of-string>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的字符串](../../c-programming/strings)
*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)

## 如何计数一个字符串中的整数也求和？

在这个 C 程序中，我们需要计算一个字符串中的整数个数及其**和**。例如，考虑一个字符串“hello c programming12”，其中我们有两个整数，因此计数为‘2’，整数的**和**为‘1+2 = 3’。

在这个 C 程序中，我们从用户那里接受一个包含整数和字母的字符串。从零到字符串末尾开始一个`for loop`，检查是否有整数。然后在`for loop`检查中，使用“`if`”条件，字符串大于零且小于或等于 9。如果是，将计数器加 1，并将该数字加到**总和**中。最后，我们将输出显示为一个字符串中整数的总和，既有**总和**，又有**计数**。

## 解释 c 中的 if 条件？

`if`条件语句 I 的语法

```c
 if (testExpression) {

  // codes inside the body of if

} 

```

如果测试表达式为真，我们执行 If 语句。但是如果测试表达式为 False，我们将跳过 if 语句中的代码。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明整型变量**计数**、 **nc** 、**和**并设置 **nc=0** 、**和=0** 。

**步骤 3:** 将变量**字符串**声明为字符类型。

**步骤 4:** 将用户输入的字符串读入变量**字符串**。

**第五步:**使用`for loop`设置**计数=0** ，检查**字符串【计数】！='\0'** 然后执行步骤 6。

**第 6 步:**检查**弦【计数】> 0** 和**弦【计数】< =9** 然后 **nc=nc+1** ，**sum = sum+弦【计数】-0** 。

**步骤 7:** 将字符串中的位数显示为 **NC** 。

**第 8 步:**将所有数字的总和显示为**总和**。

## c 源代码

```c
#include <stdio.h>

void main() {
  char string[80];
  int count, nc = 0, sum = 0;
  printf("Enter the string containing both digits and alphabet\n");
  scanf("%s", & string);
  for (count = 0; string[count] != '\0'; count++) /* check the string for any integers */ {
    if ((string[count] >= '0') && (string[count] <= '9')) /* check and add the integers  in to a variable called sum  */ {
      nc += 1;
      sum += (string[count] - '0');
    } /* End of if */
  } /* End of For */
  printf("NO. of Digits in the string=%d\n", nc);
  printf("Sum of all digits=%d\n", sum);
} /* End of main() */

```

## 输出

```c
Enter the string containing both digits and alphabet
goodmorning25

NO. of Digits in the string=2
Sum of all digits=7 
```