# C 程序：求一个数中所有整数之和

> 原文：<https://learnetutorials.com/c-programming/programs/sum-integers-in-number>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数据类型](../../c-programming/data-types-modifiers)

在这个 C 程序中，我们要求给定数的所有整数之和。如果数字是 250，我们要加上数字(2+5+0)的位数，输出为 7。

这里我们要做的是，将头文件添加到程序中，以使用内置的输入和输出功能。之后，从用户那里接受一个整数，并将该整数作为 long int 保存在一个名为“ **num** ”的变量中。

现在将该整数复制到临时变量 **temp** 中，以保留原始数字的副本。打开`while loop`直到数字大于零。在 while 循环中，我们使用 **Mod** 运算符从数字中提取每个数字，并将其添加到 **Sum** 中。然后将数字除以 10，去掉最后一个数字。

最后，我们显示作为使用长整数的结果的 **Sum** 变量的值。

## while 循环的语法是什么？

```c
 while (testExpression)
   {

        // codes inside the body of a while

    } 

```

这里`while loop`评估测试表达式，如果测试表达式为真，我们执行`while loop`里面的代码。这个过程一直持续到测试表达式为 False。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**将变量**的编号、温度、数字、和**声明为`long integer`，并将**和设置为 0** 。

**步骤 3:** 从用户处读取数字，并将其保存到变量 **num** 中。

**步骤 4:** 指定**温度=数值**。

**第五步:**通过使用条件为 **num > 0** 的`while loop`，计算**数字=num** ，**总和=总和+数字**，**数字=num/10** 。

**步骤 6:** 显示给定的数字为“**温度**”。

**第 7 步:**显示数字总和为**总和**。

## c 源代码

```c
#include <stdio.h>

void main() {
  int num, temp, digit, sum = 0; /* declares the variables for the program */
  printf("Enter the number\n");
  scanf("%d",& num); /* accepting and storing the number in a variable */
  temp = num;
  while (num > 0) /*   initialize the while loop */ {
    digit = num%10; /* number is mod by 10 to get reminder and sum is added */
    sum = sum + digit;
    num =num/ 10;
  }
  printf("Given number =%d \n", temp);
  printf("Sum of the digits %d =%d \n", temp, sum);
} /* End of main()*/

```

## 输出

```c
Enter the number
123456

Given number =123456
Sum of the digits 123456 =21
```