# C 程序：求矩阵主对角线和非对角线元素之和

> 原文：<https://learnetutorials.com/c-programming/programs/diagonal-offdiagonal-sum-matrix>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数组](../../c-programming/array)

## 如何计算矩阵的主对角线和非对角线之和？

在这个 C 程序中，我们需要的是分别计算主对角线和[非对角线](https://www.lexico.com/definition/off-diagonal)之和。这意味着我们需要计算矩阵的对角线之和。此外，矩阵的非对角线元素之和。

例如:如果 A 是矩阵

**【5 2
2 3】**

*   矩阵 A 的主对角线和= **5 + 3 = 8** 。
*   矩阵 A 的非对角线和= **2 + 2 = 4** 。

在这个 C 程序中，我们接受一个矩阵，并使用`for loop`打印输入的矩阵，现在我们打开一个 for 循环，在该 for 循环中，我们将主对角线的元素添加到一个名为 **sum** 的变量中。此外，我们将找出变量“ **a** 的非对角线元素的总和。

最后，我们显示两个总和的结果。我们需要记住的一点是，只有当行和列相等时，我们才能执行此操作。首先，我们用一个 if 条件来检验。如果行和列不匹配，则显示一条错误消息。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**声明变量 **i，j，m，n，a，和**，以及 **a=0，和=0** 。

**步骤 3:** 将矩阵的顺序读入变量 **m** 和 **n** 。

**步骤 4:** 检查 **m=n** 然后执行步骤 5。否则做第 10 步。

**步骤 5:** 使用嵌套`for loop`将矩阵的系数读入**ma【I】【j】**。

**步骤 6:** 使用`printf`功能将给定矩阵显示为**ma【I【j】**的每个元素。

**第七步:**用 a `for loop`计算矩阵的和为**和=和+ma[i][j]，a=a+ma[i][m-i-1]** 。

**第 8 步:**显示主对角线元素之和为**之和**。

**步骤 9:** 显示非对角线元素的总和为 **a** 。

**步骤 10:** 如果矩阵的顺序不相等，则显示顺序不是正方形矩阵。

## c 源代码

```c
#include <stdio.h>

void main() {
  static int ma[10][10];
  int i, j, m, n, a = 0, sum = 0;
  printf("Enter the order of the matrix \n"); /* accepting the matrix order */
  scanf("%d %d", & m, & n);
  if (m == n) {
    printf("Enter the coefficient s of the matrix\n"); /* enters the elements of the matrix */
    for (i = 0; i < m; ++i) {
      for (j = 0; j < n; ++j) {
        scanf("%d", & ma[i][j]);
      }
    }
    printf("The given matrix is \n"); /* prints the matrix as such */
    for (i = 0; i < m; ++i) {
      for (j = 0; j < n; ++j) {
        printf(" %d", ma[i][j]);
      }
      printf("\n");
    }
    for (i = 0; i < m; ++i) {
      sum = sum + ma[i][i]; /*calculating the sum of main diagonal and off diagonal separately*/
      a = a + ma[i][m - i - 1];
    }
    printf("\n The sum of the main diagonal elements is = %d\n", sum);
    printf("The sum of the off-diagonal elements is   = %d\n", a);
  } else
    printf("The given order is not square matrix\n"); /*cannot calculate for a non square matrix*/
} /* End of main() */

```

## 输出

```c
Enter the order of the matrix
3*3

Enter the coefficients of the matrix
1 2 3
4 5 6
7 8 9

The given matrix is
 1 2 3
 4 5 6
 7 8 9

The sum of the main diagonal elements is = 15
The sum of the off-diagonal elements is   = 15

Run 2

Enter the order of the matrix
2 3

The given order is not square matrix 
```