# C 程序：计算矩阵的迹和范数

> 原文：<https://learnetutorials.com/c-programming/programs/trace-and-normal>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数组](../../c-programming/array)

在这个 C 程序中，我们需要计算一个矩阵的迹和范数。矩阵是相同数据类型元素的集合，我们以 2d 格式排列。矩阵也称为数组的数组。

## 如何计算矩阵的迹？

迹是矩阵主对角线上所有元素的和。例如，矩阵 A 的轨迹:

**2 5
2** 1 是 **3** 。

## 如何计算矩阵的法线？

矩阵的法线是矩阵元素平方和的平方根。例如，矩阵 B 的法线:

**2 10
8 5** 是 **5** 。那是 **25** 的平方根。

所以在这个 C 程序中，我们要做的是初始化变量并导入头文件。然后用嵌套的`for loop`接受一个矩阵，计算每个元素的平方。现在将乘积加到一个**和**变量上。通过计算**和**的平方根求出常态。

为了找到该矩阵的踪迹，我们启动`for loop`将矩阵主对角线的元素相加。然后我们使用`printf`功能显示矩阵的法线和轨迹。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包含头文件**数学. h** 。

**STEP 3:** 声明变量 **i，j，m，n，sum，sum1，a** ，正常并设置 sum=0，sum1=0，a=0。

**步骤 4:** 将矩阵的顺序读入变量 **m** 和 **n** 。

**第五步:**将矩阵的系数读入数组 **ma[i][j]** 并使用嵌套`for loop`计算 **a=ma[i][j]*ma[i][j]，sum1=sum1+a** 。

**步骤 6:** 计算**正常=sqrt(sum1)** 。

**步骤 7:** 显示给定矩阵的正常是正常的。

**第八步:**使用`for loop`加上条件**我**

**步骤 9:** 将矩阵的轨迹显示为**和**。

## c 源代码

```c
#include <stdio.h>
#include <math.h>

void main() {
  static int ma[10][10];
  int i, j, m, n, sum = 0, sum1 = 0, a = 0, normal;
  printf("Enter the order of the matrix\n");
  scanf("%d %d", & m, & n);
  printf("Enter the no coefficients of the matrix \n");
  for (i = 0; i < m; ++i) {
    for (j = 0; j < n; ++j) {
      scanf("%d", & ma[i][j]);
      a = ma[i][j] * ma[i][j];
      sum1 = sum1 + a;
    }
  }
  normal = sqrt(sum1);
  printf("The normal of the given matrix is = %d\n", normal);
  for (i = 0; i < m; ++i) {
    sum = sum + ma[i][i];
  }
  printf("Trace of the matrix is = %d\n", sum);
} /*End of main() */

```

## 输出

```c
Enter the order of the matrix
3*3

Enter the n coefficients of the matrix
1 2 3
4 5 6
7 8 9

The normal of the given matrix is = 16
Trace of the matrix is = 15

Run 2

Enter the order of the matrix
2*2

Enter the n coefficients of the matrix
2 4
6 8

The normal of the given matrix is = 10

Trace of the matrix                       = 10 
```