# C 程序：检查给定矩阵是否稀疏

> 原文：<https://learnetutorials.com/c-programming/programs/check-sparse-matrix>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数组](../../c-programming/array)

## 什么是稀疏矩阵？

在这个程序中，我们需要检查给定的矩阵是否是稀疏矩阵。稀疏矩阵是零元素多于非零元素的矩阵；它用于存储具有大量零元素的元素。稀疏矩阵的一个例子如下所示。

**A=
5 0 0
0 4 0
3 0 0**

这里矩阵 a 有 **6** 个零元素和三个非零元素，所以我们可以称矩阵 a 为**稀疏矩阵**。

在这个例子中，我们需要检查一个矩阵中有多少零和非零元素。所以我们接受一个矩阵，并开始一个`for loop`来检查矩阵的每个元素，然后我们使用一个计数器，每次遇到零元素时递增该计数器。现在我们检查计数器是否大于'**【m * n】/2**'；如果正确，我们将其打印为稀疏矩阵。否则我们不打印稀疏矩阵。这是一个简单的矩阵 C 程序。

### 算法

第一步:在 C 程序中包含使用内置函数的头文件。

第二步:将变量 **i，j，m，n，counter，m1[10][10]** 声明为整数。

第三步:从用户处读取矩阵的顺序到变量 **m** 和 **n** 中。

第四步:用`for loop`读入矩阵**m1【I【j】**读取矩阵的系数。

第五步:检查 **m1[i][j]=0** ，如果为真，则将计数器增加 **1** ，重复第四步。

第六步:检查`if` **计数器> (m*n)/2** ，然后将给定的矩阵显示为稀疏矩阵。`Else`做第 7 步。

步骤 7:否则显示给定的矩阵不是稀疏矩阵。

第八步:显示通过使用`printf`功能有一个**计数器**的零点数。

## c 源代码

```c
#include <stdio.h>

void main()
{
  static int m1[10][10];
  int i, j, m, n;
  int counter = 0;
  printf("Enter the order of the matix\n");
  scanf("%d %d", & m, & n);
  printf("Enter the coefficients of the matix\n");
  for (i = 0; i < m; ++i)
  {
    for (j = 0; j < n; ++j)
    {
      scanf("%d", & m1[i][j]);
      if (m1[i][j] == 0)
      {
        ++counter;
      }
    }
  }
  if (counter > ((m * n) / 2))
  {
    printf("The given matrix is a sparse matrix \n");
  } else
    printf("The given matrix is not a sparse matrix \n");
    printf("There are %d number of zeros", counter);
} /* EN dof main() */ /*end of main() */

```

## 输出

```c
Enter the order of the matrix
2*2

Enter the coefficients of the matrix
1 2
3 4

The given matrix is not a sparse matrix
There are 0 number of zeros

Run 2

Enter the order of the matrix
3*3

Enter the co-efficiency of the matrix
1 0 0
0 0 1
0 1 0
The given matrix is a sparse matrix

There are 6 number of zeros 
```