# C 程序：按升序和降序排序矩阵的行和列

> 原文：<https://learnetutorials.com/c-programming/programs/sorting-matrix-ascending-descending>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的变量](../../c-programming/variables)
*   [循环控制语句](../../c-programming/loop-control-statements)
*   [C 中的数组](../../c-programming/array)

在这个 C 程序中，我们需要按照降序和升序对矩阵的行和列进行排序。

## C 语言中的矩阵是什么？

矩阵是相同数据类型的元素的集合。在二维数组中，我们在行和列的表格中排列元素。它也被称为数组的数组。二维数组的示例如下所示。

**5 8
3 4**

所以声明矩阵 **ma[][]，b[][]** 和变量**，I，j，k，a，m，n** 。然后我们必须将矩阵的顺序读入变量 **m** 和 **n** 。

然后使用嵌套 for 循环读取矩阵元素。使用嵌套的`for loop`显示矩阵。然后对于升序排列行元素，降序排列列元素，我们在程序里面做的就是打开三个嵌套的`for loop`。在循环中，我们将每个元素与矩阵中的下一个元素进行比较，并使用 **temp** 变量相互替换。最后，我们对矩阵进行排序。然后我们显示排序后的矩阵。在这个 C 程序中，同样的过程用于升序和降序。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 将变量 **i，j，k，a，m，n，ma[10][10]，mb[10][10]** 声明为整数。

**步骤 3:** 从用户处读取矩阵的顺序到变量 **m** 和 **n** 中。

**步骤 4:** 使用 for 循环读入矩阵 **ma[i[j]** 读取矩阵的系数，并分配 **mb[i][j]=ma[i][j]** 。

**步骤 5:** 使用`for loop`将给定矩阵显示为**ma【I】j】**的每个元素。

**步骤 6:** 使用`printf`功能按升序排列行后显示。

**步骤 7:** 通过使用嵌套的`for loop`检查 **ma[i][j] > ma[i][k]** 如果为真，则将 **ma[i][j]** 交换到 **ma[i][k]** 的位置。

**步骤 8:** 然后使用嵌套的 For 循环显示矩阵 **ma[i][j]** 的每个元素。

**步骤 9:** 使用`printf`功能按降序排列列后显示。

**步骤 10:** 通过使用嵌套的 For 循环检查 **mb[i][j]**

**第 11 步:**然后使用嵌套的 For 循环显示矩阵**的每个元素。**

## c 源代码

```c
#include <stdio.h>

void main()
{
  static int ma[10][10], mb[10][10];
  int i, j, k, a, m, n;
  printf("Enter the order of the matrix \n"); /* enters the order of matrix */
  scanf("%d %d", & m, & n);
  printf("Enter co-efficient of the matrix \n");
  for (i = 0; i < m; ++i)
  {
    for (j = 0; j < n; ++j)
    {
      scanf("%d", & ma[i][j]); /* prints the matrix  */
      mb[i][j] = ma[i][j];
    }
  }
  printf("The given matrix is \n");
   for (i = 0; i < m; ++i)
  {
    for (j = 0; j < n; ++j)
    {
      printf(" %d", ma[i][j]); /* print the given matrix  */
    }
    printf("\n");
  }
  printf("After arranging rows in ascending order\n");
  for (i = 0; i < m; ++i)
  {
    for (j = 0; j < n; ++j)
    {
      for (k = (j + 1); k < n; ++k)
      {
        if (ma[i][j] > ma[i][k]) /* sorting in the ascending order */
         {
          a = ma[i][j];
          ma[i][j] = ma[i][k];
          ma[i][k] = a;
        }
      }
    }
  } /* End of outer for loop*/
  for (i = 0; i < m; ++i)
  {
    for (j = 0; j < n; ++j)
    {
      printf(" %d", ma[i][j]);
    }
    printf("\n");
  }
  printf("After arranging the columns in descending order \n");
  for (j = 0; j < n; ++j)
  {
    for (i = 0; i < m; ++i)
    {
      for (k = i + 1; k < m; ++k)
      {
        if (mb[i][j] < mb[k][j])
        {
          a = mb[i][j];
          mb[i][j] = mb[k][j];
          mb[k][j] = a;
        }
      }
    }
  } /* End of outer for loop*/
  for (i = 0; i < m; ++i)
  {
  for (j = 0; j < n; ++j)
  {
    printf(" %d", mb[i][j]);
  }
  printf("\n");
 }
 } /*End of main() */

```

## 输出

```c
Enter the order of the matrix
2*2

Enter co-efficient s of the matrix
3 1
5 2

The given matrix is
 3 1
 5 2

After arranging rows in ascending order
 1 3
 2 5

After arranging the columns in descending order
 5 2
 3 1
```