# C 程序：使用结构按字母顺序排序名字

> 原文：<https://learnetutorials.com/c-programming/programs/sorting-names-using-structures>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的结构](../../c-programming/structures)
*   [C 中的变量](../../c-programming/variables)
*   [C 中的数组](../../c-programming/array)

在这个 C 程序中，我们需要使用结构按字母顺序对学生的名字进行排序。

## C 语言中的结构数据类型是什么？

在 C 语言中，结构是用户定义的数据类型。它是一组具有不同数据类型的元素，由存储在内存位置序列中的单个名称表示。我们使用结构来保存其他数据类型元素的记录。我们使用关键字`struct`来定义一个结构。这种结构的一个例子是:

```c
 struct person
    {
        char name[10];
        int rno;
    };

```

## 如何在 C 语言中对结构列表中的元素进行排序？

所以首先把头文件导入 C 程序。现在初始化一个结构人，定义函数 **sort(int n)** 。

将学生人数读入变量编号，然后我们将学生姓名和卷号输入**号。姓名**，**种马【I】。罗诺**使用`for loop`。然后我们使用循环和`printf`功能显示学生姓名和学号列表。

使用 **strcmp** 函数和 temp 变量调用排序函数对列表中的元素进行排序。排序后，我们将在主程序中使用`for loop`显示排序后的列表。在 **sort()** 函数中，我们使用 **strcmp()** 函数和`swap`根据我们需要的标准将每个名字与下一个名字进行比较。

**注意:**我们在程序中使用 **string.h** 头文件来使用 **strcmp** 函数，该函数在 **string.h** 库中定义。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 包含头文件**字符串. h** 。

**STEP 3:** 定义一个**名为**、**号为**的结构人作为结构成员。

**步骤 4:** 为结构人创建对象为**名称**。

**第五步:**宣布**螺柱【10】，温度【10】**为类型**名称**。

**第 6 步:**声明变量**否，**为整数。

**步骤 7:** 声明函数无效**排序(int N)** 。

**第八步:**将学生人数读入变量**否**。

**步骤 9:** 通过使用`for loop`将人名读入变量**梭哈【I】。命名**并将辊号读入变量**螺柱【I】。rno** 并分配 t **emp[i]=stud[i]** 。

**步骤 10:** 使用`printf`功能排序前显示名称。

**步骤 11:** 使用`for loop`显示列表，条件为 **i**

**步骤 12:** 然后调用函数**排序(否)**对名称进行排序。

**步骤 13:** 将排序后的名称显示为**种马【I】。名字，种马[我]。rno** 用于循环。

#### **函数空位排序算法(int N)**

**STEP 1:** 将变量 **i，j** 声明为整数。

**步骤 2:** 将变量**温度**声明为**名称**的类型。

**步骤 3:** 通过使用网络`for loop` **、**比较**srtd【I】。姓名和学习[j]。名称，如果标准[i[。名字是>STD【j】。名称**然后交换。

## c 源代码

```c
#include<stdio.h>
#include<string.h>

struct person {
  char name[10]; /* Using structure to save the names */
  int rno;
};

typedef struct person NAME; /* creating object for using structure */
NAME stud[10], temp[10];
void main() {
  int no, i;
  void sort(int N); /* Function declaration */
  fflush(stdin);
  printf("Enter the number of students in the list\n"); /* enters the number of students */
  scanf("%d", & no);
  for (i = 0; i < no; i++) {
    printf("\n Enter the name of  person %d : ", i + 1);
    fflush(stdin);
    scanf("%s", & stud[i].name);
    printf("Enter the roll number of %d : ", i + 1); /* enters and accepting the name and roll number */
    scanf("%d", & stud[i].rno);
    temp[i] = stud[i];
  }

  printf("\n*****************************\n");
  printf("     Names before sorting     \n");
  /* Print the list of names before sorting */
  for (i = 0; i < no; i++) {
    printf("%-10s\t=%d\n", temp[i].name, temp[i].rno);
  }
  sort(no); /* Function call */

  printf("\n*****************************\n");

  printf("     Names after sorting     \n");

  printf("\n*****************************\n");

  /* Display the sorted names */
  for (i = 0; i < no; i++) {
    printf("%-10s\t=%d\n", stud[i].name, stud[i].rno);
  }

  printf("\n*****************************\n");
} /* End of main() */

/* Function to sort the given names */
void sort(int N) {
  int i, j;
  NAME temp;
  for (i = 0; i < N - 1; i++) {
    for (j = i + 1; j < N; j++) {
      if (strcmp(stud[i].name, stud[j].name) > 0) {
        temp = stud[i];
        stud[i] = stud[j];
        stud[j] = temp;
      }
    }
  }
} /* end of sort() */

```

## 输出

```c
Enter the number of students in the list
5

Enter the name of  person 1: Rajashree
Enter the roll number of 1 : 123

Enter the name of  person 2 : John
Enter the roll number of 2 : 222

Enter the name of  person 3 : Priya
Enter the roll number of 3 : 331

Enter the name of  person 4: Anand
Enter the roll number of 4: 411

Enter the name of  person 5: Nirmala
Enter the roll number of 5 : 311

*****************************

     Names before sorting

Rajashree       123
John                222
Priya               331
Anand             411
Nirmala           311

*****************************
     Names after sorting
*****************************
Anand           411
John             222
Nirmala         311
Priya              331
Rajashree      123 
```