# C 程序：使用动态内存分配求两个一维数组之和

> 原文：<https://learnetutorials.com/c-programming/programs/sum-two-one-dimensional-arrays>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的动态内存分配](../../c-programming/dynamic-memory-allocation)
*   [循环控制语句](../../c-programming/loop-control-statements)

在这个 C 程序中，我们必须使用动态内存分配来计算两个一维数组的和。为此，我们必须更多地了解动态内存分配及其属性。

## 什么是动态内存分配？

**动态内存**是通过使用动态内存分配函数从堆中分配的，如 **`malloc()`、`calloc()`** 或 **realloc()** 。如果要在 C 程序中使用数组，我们必须首先声明数组的大小。但是如果这里声明的数组不足以容纳数据或者超过了要求。在这种情况下，我们在运行时动态分配内存。动态内存分配包括四个库函数。它们是:

1. **malloc()**

2.**愈伤组织()**

3.**自由()**

4.**真`oc()`**

在这个 C 程序中，我们必须使用动态内存分配来计算两个一维数组的和。数组是一种数据结构，可以存储相同类型元素的固定顺序集合。根据数组中元素的排列方式，数组被分为不同的类型。它们是一维数组，二维数组。

在这个 C 程序中，我们使用了三个一维数组 a，b，c，数组 a 和 b 包含要相加的元素，数组 c 有和。然后我们将使用`for loop`显示列表 c 作为结果列表。

### 算法

**步骤 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 声明变量 **i，j，*a，*b，*c** 。

**步骤 3:** 将元素数量读入变量 **n** 。

**STEP 4:** 使用 **malloc** 功能为 **a、b、c** 分配空间。

**第五步:**读取第一个列表的元素，使用`for loop`保存到 **a+i** 的位置。

**步骤 6:** 读取第二个列表的元素，使用`for loop`保存到 **b+i** 的位置。

**第七步:**用`for loop`像 ***(c+i) = *(a+i) + *(b+i)** 一样计算列表 a 和 b 的和。

**步骤 8:** 使用 for 循环和`printf`功能将结果列表显示为 ***(c+i)** 。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>

void main() {
  int i, n;
  int * a, * b, * c;
  printf("How many Elements in each array...\n");
  scanf("%d", & n);
  a = (int * ) malloc(n * sizeof(int));
  b = (int * ) malloc(n * sizeof(int));
  c = (int * ) malloc(n * sizeof(int));
  printf("Enter Elements of First List\n");
  for (i = 0; i < n; i++) {
    scanf("%d", a + i);
  }
  printf("Enter Elements of Second List\n");
  for (i = 0; i < n; i++) {
    scanf("%d", b + i);
  }
  for (i = 0; i < n; i++) {
    *(c + i) = * (a + i) + * (b + i);
  }
  printf("Resultant List is\n");
  for (i = 0; i < n; i++) {
    printf("%d\n", *(c + i));
  }
} /* End of main() */

```

## 输出

```c
How many Elements in each array...
4

Enter Elements of First List
1
2
3
4

Enter Elements of Second List
6
7
8
9

Resultant List is
7
9
11
13 
```