# C 程序：使用指针求数组元素和

> 原文：<https://learnetutorials.com/c-programming/programs/array-sum-using-pointers>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的指针](../../c-programming/pointers)
*   [按值调用与按引用调用](../../c-programming/call-by-value-and-call-by-reference)
*   [功能在 C](../../c-programming/functions)

## 指针是什么？

在这个程序中，我们必须使用指针找到数组元素的和。为此，我们必须了解一些关于指针的知识。我们将指针定义为存储内存中另一个变量的内存地址的变量。指针概念在通过引用方法将参数传递给函数的调用中是有益的。一个指针可以声明为**int * p**；其中 ***p** 为整型指针。

## 如何用指针和函数计算总和？

在这个 C 程序中，我们需要的是使用函数和指针计算数组所有元素的和。所以我们导入头库来使用程序中的内置函数。现在声明一个静态数组并声明一个函数原型。

现在我们已经有了数组中的值；我们调用函数来计算**和**。由于我们使用指针，我们不需要通过旧方法传递结果；当我们使用内存位置时，它会自动转移到函数中。在函数中，我们计算用于循环的所有元素的总和。这是一个很容易理解的 C 程序。这里使用`for loop`。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 将变量和声明为整数**数组【5】**声明为静态整数数组。

**步骤 3:** 定义函数 int **addnum(int *ptr)** 。

**STEP 4:** 计算**和=addnum(数组)**。

**步骤 5:** 将所有数组元素的和显示为**和**。

#### **函数 int addnum(int *ptr)**

**STEP 1:** 将变量**指标**、**合计**声明为整数。

**第二步:**用一个`for loop`加上条件指数< 5 计算**总计=总计+*(ptr+指数)**。

**第三步:**返回**总计**。

## c 源代码

```c
#include <stdio.h>

void main() {
  static int array[5] = {
    200,
    400,
    600,
    800,
    1000
  };
  int sum;
  int addnum(int * ptr); /* function prototype */
  sum = addnum(array);
  printf("Sum of all array elements =%d\n", sum);
} /* End of main() */
int addnum(int * ptr) {
  int index, total = 0;
  for (index = 0; index < 5; index++) /* calculating sum in the for loop */ {
    total += * (ptr + index);
  }
  return (total);
}

```

## 输出

```c
Sum of all array elements =  3000
```