# C 程序：接受数组并使用指针交换元素

> 原文：<https://learnetutorials.com/c-programming/programs/swap-array-elements>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的指针](../../c-programming/pointers)
*   [C 中的变量](../../c-programming/variables)
*   [功能在 C](../../c-programming/functions)

在这个 C 程序中，我们必须接受一个元素数组，并使用指针将第三个位置的元素与第四个位置的元素交换。在进入程序之前，我们必须更多地了解指针，以及如何使用指针来执行数组中元素的交换。

## 什么是指针？

指针只是一个变量，它的值是另一个变量的地址。此外，我们必须知道如何在程序中使用指针。步骤是。

1.  定义指针变量
2.  将变量的地址分配给指针
3.  访问指针变量中可用地址的值

下面给出的步骤在程序中用于执行元素交换

*   首先声明数组，并逐个定义所有元素。
*   用两个指针变量(即**第三个**和**第四个**做一个函数。
*   在这个函数中，首先创建一个临时变量，然后在第三个指针处给这个变量赋值。
*   现在，第三个指针处的值将该值交换到第四个指针。
*   然后第四个指针的值变为临时变量的值。

这样，我们在这个 C 程序中执行交换。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明数组 x[10] 为浮点数， **i，n** 为整数。

**步骤 3:** 定义功能 **swap34(float *ptr1，float *ptr2)** 。

**步骤 4:** 将元素数量读入变量 **n** 。

**步骤 5:** 使用`for loop`将数组的元素读入数组 **x+i** 。

**步骤 6:** 调用函数 **swap34(x+2，x+3)** 将第三个元素换成第四个。

**步骤 7:** 使用`for loop`将结果数组显示为**x【I】**。

**功能无效 swap34(float *ptr1，float *ptr2)**

**步骤 1:** 将变量**温度**声明为浮动。

**步骤 2:** 分配温度=*ptr1。

**第 3 步：** *ptr1=*ptr2。

**步骤 4:** *ptr2=temp

## c 源代码

```c
#include <stdio.h>

void main() {
  float x[10];
  int i, n;
  void swap34(float * ptr1, float * ptr2); /* Function Declaration */
  printf("How many Elements...\n");
  scanf("%d", & n);
  printf("Enter Elements one by one\n");
  for (i = 0; i < n; i++) {
    scanf("%f", x + i);
  }
  swap34(x + 2, x + 3); /* Function call:Interchanging 3rd element by 4th */
  printf("\nResultant Array...\n");
  for (i = 0; i < n; i++) {
    printf("X[%d] = %f\n", i, x[i]);
  }
} /* End of main() */

/* Function to swap the 3rd element with the 4th element in the array */

void swap34(float * ptr1, float * ptr2) /* Function Definition */ {
  float temp;
  temp = * ptr1;
  * ptr1 = * ptr2;
  * ptr2 = temp;
}

```

## 输出

```c
How many Elements...
10

Enter Elements one by one
10
20
30
40
50
60
70
80
90
100

Resultant Array...

X[0] = 10.000000
X[1] = 20.000000
X[2] = 40.000000
X[3] = 30.000000
X[4] = 50.000000
X[5] = 60.000000
X[6] = 70.000000
X[7] = 80.000000
X[8] = 90.000000
X[9] = 100.000000
```