# C 程序：说明联合概念

> 原文：<https://learnetutorials.com/c-programming/programs/concept-of-unions>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的结构](../../c-programming/structures)
*   [联合在 C](../../c-programming/unions)

在这个 C 程序中，我们必须说明联合的概念。为此，我们必须对联合有所了解。

## 什么是联合？

我们都知道 union 是 C 语言中一种特殊的数据类型，它将不同的数据类型存储在同一个内存位置。我们可以定义一个有许多成员的联合，但是在给定的时间只有一个成员可以包含一个值。在程序中，联合的定义方式与我们在 C 程序中定义结构的方式相同。为了访问联合的任何成员，使用成员访问运算符。Union 表示具有多个程序成员的新数据类型。

## 联合和结构有什么区别？

结构和联合的主要区别是，对于联合来说，一次只有我们可以访问一个成员，但是在结构的情况下，我们可以随时访问它的所有成员。联合的大小几乎相当于最大成员的大小。

## 联合声明的语法是什么？

`Union` 声明的语法由下式给出

```c
union union_name
{
type element 1;

type element 2;
……………..

type element n;
};

```

在这个 C 程序中，我们必须声明联合号，它有成员 **n1** 和 **n2** 。然后我们声明一个类型为**编号为**的变量 **x** 。然后读取 **n1** 的值，使用`printf`功能显示 **n1** 的值。然后读取 **n2** 的值，使用 `printf`功能显示。

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**申报`Union`，编号会员 **n1** 和 **n2** 。

**第三步:**声明 **x** 为数字的变量。

**步骤 4:** 将 **n1** 的值读入变量 **x.n1** 。

**步骤 5:** 使用`printf`功能将 **n1** 的值显示为 x.n1。

**步骤 6:** 将 **n2** 的值读入变量 **x.n2** 。

**步骤 7:** 使用`printf`功能显示 **n2** 的值。

## c 源代码

```c
#include <stdio.h>

void main() {
  union number {
    int n1;
    float n2;
  };
  union number x;
  printf("Enter the value of n1: ");
  scanf("%d", & x.n1);
  printf("Value of n1 =%d", x.n1);
  printf("\nEnter the value of n2: ");
  scanf("%d", & x.n2);
  printf("Value of n2 = %d\n", x.n2);
} /* End of main() */

```

## 输出

```c
Enter the value of n1: 2
Value of n1 =2

Enter the value of n2: 3
Value of n2 = 0
```