# C 程序：计算联合大小

> 原文：<https://learnetutorials.com/c-programming/programs/size-of-union>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的结构](../../c-programming/structures)
*   [联合在 C](../../c-programming/unions)

在这个 C 程序中，我们必须找到联合的大小。为此，我们必须对联合有所了解。

## 什么是联合？

我们都知道 union 是 C 语言中一种特殊的数据类型，它将不同的数据类型存储在同一个内存位置。我们可以定义一个有许多成员的联合，但是在给定的时间只有一个成员可以包含一个值。在程序中，联合的定义方式与我们在 C 程序中定义结构的方式相同。为了访问联合的任何成员，使用成员访问运算符。Union 为程序定义了一个包含多个成员的新数据类型。

## 联合和结构有什么区别？

结构和联合的主要区别在于我们一次只能访问一个成员进行联合。但是在结构的情况下，我们可以随时访问它的所有成员。联合的大小几乎相当于最大成员的大小。

## 联合声明的语法是什么？

`Union` 声明的语法由下式给出

```c
union union_name
{
type element 1;

type element 2;
……………..

type element n;
};

```

在这个 C 程序中，我们必须用成员 **m，n，ch** 声明联合样本。然后我们声明一个类型样本的变量 **u** 。然后通过调用函数 **sizeof()** 显示联合的大小。分配 u.m=25 并显示 u.m，u. n，u. ch，然后分配 u.n=0.2 并显示 u.m，u.n，u.ch ，分配 c='p '并显示 u. m，u.n，u.ch

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**第二步:**申报`Union`，有成员的样本 **m，n，ch** 。

**步骤 3:** 声明 **u** 为样本的变量。

**步骤 4:** 使用功能 **sizeof()** 显示`Union` **u** 的尺寸。

**第五步:**分配**μm = 25**并使用`printf`显示**μm、u.n、u.ch** 。

**第 6 步:**分配 **u.n=0.2** 并使用`printf`显示 **u.m，u.n，u.ch** 。

**第 7 步:**分配 **u.c='p'** 并使用`printf`显示 **u.m，u.n，u.ch** 。

## c 源代码

```c
#include <stdio.h>

void main() {
    union sample {
      int m;
      float n;
      char ch;
    };
    union sample u;
    printf("The size of uni sizeof(u)\n");
    u.m = 25; /*initialization */ 
    printf("%d %f %c\n", u.m, u.n, u.ch); 
    u.n = 0.2; 
    printf("%d %f %c\n", u.m, u.n, u.ch); 
    u.ch = 'p'; 
    printf("%d %f %c\n", u.m, u.n, u.ch);
    } /*End of main() */ 

```

## 输出

```c
The size of uni sizeof(u)

25 0.000000 

1045220557 0.200000 ?

1045220464 0.199999 p
```