# C 程序：创建文件和存储个人信息

> 原文：<https://learnetutorials.com/c-programming/programs/create-file-store-information>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [文件输入输出](../../c-programming/file-handling)
*   [C 中的数组](../../c-programming/array)

在这个 C 程序中，我们必须创建一个文件，并根据一个人的姓名、年龄和工资来存储他的信息。换句话说，我们可以说这个 C 程序演示了文件创建和将数据写入该文件。

## 什么是 C 语言中的文件？

文件只是一个字节序列。我们可以使用 **fopen()** 功能打开或创建一个新文件。同样，我们使用 **fclose()** 函数关闭文件。下面给出的是 C 程序创建文件和存储信息的代码。这是一个简单的 C 程序，在这里只使用简单的库函数。文件只是存储在存储设备(如磁带、磁盘、光盘等)中的字节集合。为了存储信息，我们必须使用文件。

## C 语言中对文件执行的关键操作有哪些？

可以对文件执行不同的操作。其中重要的列举如下。

1.  制作新文件
2.  使用**打开现有文件**
3.  使用 **fscanf** 或 **fgetc** 从文件中读取数据
4.  使用**fput**或 **fprintf** 将数据写入文件
5.  使用**偏移**或**倒回**将文件移动到特定位置
6.  使用**关闭文件**

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明变量 ***ftpr** 为 FILE 类型，声明姓名为字符，年龄为整数，工资为浮点数。

**步骤 3:** 使用**函数打开文件，并具有写权限。**

**步骤 4:** 如果**FPR =空**，则显示文件不存在。否则，执行步骤 5。

**步骤 5:** 从用户处读取名称并保存到变量**名称**中，然后使用功能 **fprintf** 将其写入文件中。

**STEP 6:** 从用户处读取年龄并保存到变量**年龄**中，然后使用功能 **fprintf** 将其写入文件中。

**STEP 7:** 从用户处读取薪资并保存到变量**薪资**中，然后使用功能 **fprintf** 将其写入文件中。

**步骤 8:** 使用 **fclose()** 关闭文件。

## c 源代码

```c
#include <stdio.h>

void main() {
  FILE * fptr;
  char name[20];
  int age;
  float salary;
  fptr = fopen("emp.rec", "w"); /*open for writing*/
  if (fptr == NULL) {
    printf("File does not exists\n");
    return;
  }
  printf("Enter the name\n");
  scanf("%s", name);
  fprintf(fptr, "Name    = %s\n", name);
  printf("Enter the age\n");
  scanf("%d", & age);
  fprintf(fptr, "Age     = %d\n", age);
  printf("Enter the salary\n");
  scanf("%f", & salary);
  fprintf(fptr, "Salary  = %.2f\n", salary);
  fclose(fptr);
}

```

## 输出

```c
Enter the name
Ajay

Enter the age
25

Enter the salary
25000
-------------------------------------
Please note that you have to open the file called emp.rec in the directory
Name    = Ajay
Age       = 25
Salary   = 25000.00
```