# C 程序：演示如何在磁盘上存储和读取数据

> 原文：<https://learnetutorials.com/c-programming/programs/store-data-on-disk>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [文件输入输出](../../c-programming/file-handling)
*   [C 中的数组](../../c-programming/array)
*   [循环控制语句](../../c-programming/loop-control-statements)

在这个 C 程序中，我们必须讨论如何读取存储在光盘上的数据。在这里，程序打开一个存在的文件。这个程序读取一个由用户输入名称的文件，并在屏幕上显示其内容。打开一个文件意味着将文件内容从光盘带到 ram 中，以便在其中执行操作。

## 如何用 C 语言打开文件？

这里 **fopen** 功能是用来打开文件的。**如果文件打开成功，Fopen** 将返回指针；否则，它将返回 null。**功能用于关闭文件。在这个 C 程序中，库函数 **fgetc** 用于返回从文件中读取的字符。**

程序的主要逻辑是声明变量 filename，ch 为字符类型，类型文件的 ***fptr** 。然后将用户想要打开的文件名读入变量 filename。然后使用功能**打开文件。**

然后检查 **fptr** 是否为空。如果 **fptr** 为空，则显示我们无法打开文件。否则，使用函数 **fgetc(fptr)** 将文件中的第一个字符读入变量 ch。然后通过使用`while loop`检查“ch”不等于文件的结尾，显示 ch，并设置 **ch=fgetch(fptr)** 。

显示每个字符后，使用功能 **fclose()** 关闭文件。这是一个简单的 C 程序，只使用简单的库函数。

## C 语言中对文件执行的关键操作有哪些？

可以对文件执行不同的操作。其中重要的列举如下。

1.  制作新文件
2.  使用**打开现有文件**
3.  使用 **fscanf** 或 **fgetc** 从文件中读取数据
4.  使用**fput**或 **fprintf** 将数据写入文件
5.  使用**偏移**或倒回将文件移动到特定位置
6.  使用**关闭文件**

### 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**步骤 2:** 将变量 ***ftpr** 声明为文件类型，将文件名 ch 声明为字符类型。

**步骤 3:** 使用功能**获取()**将用户打开的文件名读入变量文件名。

**步骤 4:** 使用带读取模式的功能**打开文件。**

**STEP 5:** `If` f **pr=null，**则显示器无法打开文件`else`执行 step 6。

**STEP 6:** 赋值 **ch=fgetc(fptr)** 表示从文件中读取第一个字符。

**第七步:**用`while loop`检查 **ch！=EOF** 然后显示 **ch** 。

**步骤 8:** 分配 **ch=fgetc(fptr)** 。重复第 7 步。

**步骤 9:** 使用功能 **fclose()** 关闭文件。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>

void main() {
  FILE * fptr;
  char filename[15];
  char ch;
  printf("Enter the filename to be opened\n");
  gets(filename);
  fptr = fopen(filename, "r"); /*open for reading*/
  if (fptr == NULL) {
    printf("Cannot open file\n");
    exit(0);
  }
  ch = fgetc(fptr);
  while (ch != EOF) {
    printf("%c", ch);
    ch = fgetc(fptr);
  }
  fclose(fptr);
} /* End of main () */

```

## 输出

```c
Enter the file name to be opened
emp.rec

Name    = Ajay
Age     = 25
Salary  = 25000.00
```