# C 程序：使用线性搜索来搜索元素

> 原文：<https://learnetutorials.com/c-programming/programs/array-linear-search>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C](../../c-programming/header-files)中的头文件
*   [C 中的数组](../../c-programming/array)
*   [C 中的循环](../../c-programming/loops)

## 什么是线性搜索？

在这个程序中，我们必须讨论元素的线性搜索。为此，我们必须更多地了解数组中元素的线性搜索。线性搜索也称为**顺序搜索**。从名字本身，我们可以说线性搜索是一种搜索元素的方法。它需要逐个检查所有元素，直到找到所需的元素。

在线性搜索中，它基本上遍历表中的所有记录，只有找到所需的结果时才会停止。我们必须将每个元素与要搜索的元素进行比较，直到找到它或数组结束。

程序的逻辑是导入头库使用 c 中的内置函数，首先将数组**表【20】，I，low，mid，high，key，size** 声明为整数数据类型。然后将数组的大小读入变量**大小**。

从用户处使用`for loop`读取数组元素。读取键值并保存到变量**键**中。设置**低=0，**高=尺寸-1。使用条件为“低”<=高的`while loop`，然后计算中间值=低+高/2。检查 key=table[mid]是否显示成功搜索并退出。如果找不到密钥，则显示搜索不成功

## 算法

**STEP 1:** 在 C 程序中包含使用内置函数的头文件。

**STEP 2:** 声明变量**表【20】，I，低，中，高，键，大小**为整数。

**步骤 3:** 将数组的大小读入变量**大小**。

**步骤 4:** 使用`for loop`将数组的元素读入**表【into】。**

**步骤 5:** 将键值读入变量**键**。

**STEP 6:** 设置**低=0** ，设置**高=尺寸-1** 。

**第 7 步:**使用`while loop`检查 l **ow < =high** ，然后分配 **mid=low+high/2** 。

**STEP 8:** 勾选`if` **键= = table【mid】**然后显示搜索成功并退出。`Else`做第 9 步。

**步骤 9:** 如果钥匙

**步骤 10:** 如果找不到密钥，则显示搜索不成功。

## c 源代码

```c
#include <stdio.h>

void main() {
  int table[20];
  int i, low, mid, high, key, size;
  printf("Enter the size of an array\n");
  scanf("%d", & size);
  printf("Enter the array elements\n");
  for (i = 0; i < size; i++) {
    scanf("%d", & table[i]);
  }
  printf("Enter the key\n");
  scanf("%d", & key);
  low = 0; /* search begins */
  high = (size - 1);
  while (low <= high) {
    mid = (low + high) / 2;
    if (key == table[mid]) {
      printf("SUCCESSFUL SEARCH\n");
      return;
    }
    if (key < table[mid])
      high = mid - 1;
    else
      low = mid + 1;
  }
  printf("UNSUCCESSFUL SEARCH\n");
} /* End of main() */ 

```

## 输出

```c
Enter the size of an array
5

Enter the array elements
12
36
45
78
99

Enter the key
45

SUCCESSFUL SEARCH
```