# C 程序：创建和显示单链表

> 原文：<https://learnetutorials.com/c-programming/programs/display-elements-in-linked-list>

## 什么是链表？

在这个 C 程序中，我们必须创建一个链表并显示链表中的元素。链表只是一组动态分配的节点，每个节点包含一个值和一个指针。换句话说，链表是使用指针实现的动态数据结构的最好例子。然后我们还必须知道 C 程序中链表的表示。指针表示指向链表第一个节点的链表。换句话说，链表是一系列使用链接连接的数据结构。每个链接都包含与其他链接的连接。它是继数组之后最常用的数据结构。在 C 语言中，链表可以使用结构和指针来实现。

```c
struct LinkedList
{
int data;
struct linkedlist *next;
};

```

## 如何用 C 语言创建链表？

C 程序的逻辑是用成员数和指针 ***ptr** 声明一个结构节点，并设置 **choice = 1** 。使用带有条件**的`while loop`选择！=0** ，使用 **malloc** 功能动态创建头节点。将数据项读入变量头- > num。先检查不等于零，然后 temp- > ptr=head **，** temp=head，否则先设置=temp=head。然后读取用户的选择并重复循环，使用`for loop`显示链表。最后，将列表的计数显示为计数。

### 算法

**STEP 1:** 将使用内置头文件的头文件包含到 C 程序中。

**步骤 2:** 用成员**号，*ptr** 声明结构节点。

**步骤 3:** 将变量 **NODE** 声明为类型 **node，*head，*first，*temp=0** 。

**STEP 4:** 设置**计数=0，选择=1，第一个=0** 。

**第五步:**用`while loop`条件选择为真，然后做第六步。

**步骤 6:** 设置**头=(NODE*)** malloc(sizeof(NODE))。

**步骤 7:** 将数据项读入变量**头- >号**。

**第八步:**先检查`if` **！=0** 然后**温度->ptr =头**，**温度=头**。`Else`做第 9 步。

**第九步:**先分配**=温度=头部**。

**步骤 10:** 当用户想要继续或退出时，阅读用户的选择，并重复步骤 5。

**第 11 步:**在`while loop`结束时设置**温度- > ptr = 0** ，**温度=第一个**。

**步骤 12:** 显示链表的状态为。

**第 13 步**:用`while loop`配合调理**温度！=0** ，然后显示**温度- >数值**，然后将计数增加 1。

**第 14 步:**分配**温度=温度- > ptr** 。

**步骤 15:** 将列表中的节点数显示为**计数**。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>

void main() {
  struct node {
    int num;
    struct node * ptr;
  };
  typedef struct node NODE;
  NODE * head, * first, * temp = 0;
  int count = 0;
  int choice = 1;
  first = 0;
  while (choice) {
    head = (NODE * ) malloc(sizeof(NODE));
    printf("Enter the data item\n");
    scanf("%d", & head-> num);
    if (first != 0) {
      temp -> ptr = head;
      temp = head;
    } else {
      first = temp = head;
    }
    fflush(stdin);
    printf("Do you want to continue(Type 0 or 1)?\n");
    scanf("%d", & choice);
  } /* End of while */ 
  temp = first; /* reset temp to the beginning*/
  printf("\nstatus of the linked list is\n");
  while (temp != 0) {
    printf("%d=>", temp -> num);
    count++;
    temp = temp -> ptr;
  }
  printf("NULL\n");
  printf("No. of nodes in the list = %d\n", count);
} /* End of main*/

```

## 输出

```c
Enter the data item
10

Do you want to continue(Type 0 or 1)?
1

Enter the data item
34

Do you want to continue(Type 0 or 1)?
1

Enter the data item
56

Do you want to continue(Type 0 or 1)?
0

status of the linked list is
10=>34=>56=>NULL
No. of nodes in the list = 3
```