# C 程序：说明单链表操作

> 原文：<https://learnetutorials.com/c-programming/programs/singly-linked-list-operations>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的指针](../../c-programming/pointers)
*   [C 中的结构](../../c-programming/structures)
*   [C 中的变量](../../c-programming/variables)

在这个 C 程序中，我们必须说明单链表的操作。

## 什么是链表？

链表只是一组动态分配的节点，每个节点包含一个值和一个指针。叫做头和身体。换句话说，链表是使用指针实现的动态数据结构的最好例子。

然后我们还必须知道 C 语言中链表的表示。链表由指向链表第一个节点的指针表示。换句话说，链表是一系列使用链接连接的数据结构。每个链接都包含与其他节点的连接。它是继数组之后最常用的数据结构。在 c 编程语言中，链表可以使用结构和指针来实现。

```c
struct LinkedList
   {
      int data;
      struct LinkedList *next;
   }

```

在这个 C 程序中，在包含头文件之后，我们进行变量声明；此外，我们必须声明结构和一个链表。然后，我们为用户显示菜单，以选择用户想要在链表上执行的操作。根据选择调用合适的函数。哪些是

*   **插入**
*   **打印**
*   **删除**
*   **搜索**
*   **显示**

将使用`insert()`函数，该函数接受要添加到链表中的参数作为用户输入，在链表中插入一个节点。 **printnode()** 打印节点。**删除节点()**功能删除节点。搜索功能将在链表中执行搜索操作。**显示()**功能将显示链接列表。

### 算法

第一步:在 C 程序中包含使用内置函数的头文件。

第二步:将 **EMP** 声明为成员为 **empno、【最大值】empName、【最大值】char designation**和一个类型为 EMP 的小马 *** next** 的结构。

第三步:声明 EMP 类型的指针***链表**，选择字符，eno 为整数。

步骤 4:设置**链接列表=NULL** 。

步骤 5:显示欢迎使用单链表的演示。

第六步:调用**菜单()**功能。

步骤 7:通过使用`do-while`循环，检查选择的值

第八步:如果选择为 1，那么将雇员号、雇员名、雇员名称读入变量 **eno、name、desig** ，并执行第九步。

第九步:调用函数 **insert()** 将详细信息插入链接列表。

第十步:如果选择 2，则读取员工编号，将其删除到变量 **eno** 中，并将其称为 **deleteNode()** 。

第十一步:如果选择 3，检查**链表是否=空**，然后显示空列表。否则调用功能**显示(链表)**。

第十二步:如果选择 4，则读取员工编号，将其搜索到变量 **eno** 中，调用函数 **search()** 。

步骤 13:如果选择是 5，那么退出。

#### **函数结构 EMP* insert(结构 EMP *front，int id，char name[]，char desg[])**

第一步:声明 EMP 类型的指针***新节点**

步骤 2:指定**new node =(struct EMP *)**malloc(sizeof EMP)。

第三步:如果新节点为空，则退出否则设置**新节点- > empnn=id** ，将名称复制到**新节点- > empName** ，设计到**新节点- >名称**，并设置**新节点- > next=front** 。

第四步:返回前方。

#### **功能打印节点(结构电磁脉冲*p)**

第一步:使用`printf`功能显示员工详细信息。

步骤 2:显示 Emp 编号、名称、名称为 **p- > empno、p- > empName、p- >名称**。

#### **功能结构 EMP*删除节点(结构 EMP *前端，int id)**

第一步:声明 EMP 类型的指针 ***ptr，*bptr**

第二步:检查**是否前置- > empno=id** 然后设置**ptr =前置**。

步骤 3:显示节点已删除。

第四步:调用函数 printNode(前)。

第五步:将 fr 设置为下一个，**自由(ptr)** 。

第六步:返回前方。

第七步:设置 ptr =前置->下一步，bptr =前置。

第八步:使用带有条件 **ptr 的`for loop`！=null** 执行第 9 步。

第九步:勾选`if` ptr- > empno=id，然后显示删除的节点。`Else`做第 16 步。

第十步:调用函数 **printNode(ptr)** 。

步骤 11:设置 bptr->next=ptr->next。

第十二步:调用 **free(ptr)** 功能。

第 13 步:返回前方。

第十四步:调用函数 **printNode(ptr)** 。

步骤 15:s et bptr->next=ptr->next 并重复步骤 8。

步骤 16:显示未找到的员工编号。

第 17 步:返回前方。

#### **功能无效搜索(结构 EMP *前置，int 键)**

第一步:声明 EMP 类型的指针 ***ptr**

第二步:设置**ptr =前**。

第三步:使用带有 ptr 条件的`for loop`！=null 执行步骤 4。否则执行第 6 步。

第四步:检查**ptr->empno =键**是否找到显示键。

第五步:调用函数 printNode(ptr)并返回。

步骤 6:显示未找到的员工编号。

#### **功能无效显示(结构电磁脉冲*正面)**

第一步:声明 EMP 类型的指针 ***ptr**

第二步:设置**ptr =前**。

第三步:使用带有 ptr 条件的`for loop`！=null 执行步骤 4。否则执行第 6 步。

第四步:调用函数 **printNode(ptr)** 。

第五步:重复第三步。

#### **功能作废菜单()**

步骤 1:为用户显示菜单:1 表示插入节点，2 表示删除节点，3 表示显示列表，4 表示搜索，5 表示退出。

#### **功能充电选项()**

步骤 1:将变量选择声明为类型字符。

步骤 2:显示输入您的选择。

第三步:调用函数**选择=getche()** 。

第四步:回归选择。

## c 源代码

```c
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define MAX 30

struct emp_data
{
    int  empno;
    char empName[MAX];
    char designation[MAX];
    struct emp_data *next;
};

/*  Function to insert a node at the front of the linked list.        */

struct emp_data *insert(struct emp_data *front, int id, char name[],
char desg[])
{
    struct emp_data *newnode;

    newnode = (struct emp_data*)malloc(sizeof(struct emp_data));

    if (newnode == NULL)
    {
        printf("\n Allocation failed \n");
        exit(2);
    }
    newnode->empno = id;
    strcpy(newnode->empName, name);
    strcpy(newnode->designation, desg);
    newnode->next = front;     fr
    return(front);
}
/*  End of insert() */

/*  Function to display a node in a linked list */
void printNode(struct emp_data *p)
{
    printf("\n Employee Details...\n");
    printf("\n Emp No       : %d", p->empno);
    printf("\n Name           : %s", p->empName);
    printf("\n Designation    : %s\n", p->designation);
    printf("-------------------------------------\n");
}
/*  End of printNode() */
/*  Function to deleteNode a node based on employee number */

struct emp_data* deleteNode(struct emp_data *front, int id)
{
    struct emp_data *ptr;
    struct emp_data *bptr;

    if (front->empno == id)
    {
        ptr = front;
        printf("\n Node deleted:");
        printNode(front);         fr>next;
        free(ptr);
        return(front);
    }
    for (ptr = front->next, bptr = front; ptr != NULL; ptr = ptr->next,
bptr = bptr->next)
    {
        if (ptr->empno == id)
        {
            printf("\n Node deleted:");
            printNode(ptr);
            bptr->next = ptr->next;
            free(ptr);
            return(front);
        }
    }
    printf("\n Employee Number %d not found ", id);
    return(front);
}
/*  End of deleteNode() */
/*  Function to search the nodes in a linear fashion based emp ID */

void search(struct emp_data *front, int key)
{
    struct emp_data *ptr;

    for (ptr = front; ptr != NULL; ptr = ptr -> next)
    {
        if (ptr->empno == key)
        {
            printf("\n Key found:");
            printNode(ptr);
            return;
        }
    }
    printf("\n Employee Number %d not found ", key);
}
/*  End of search() */

/*  Function to display the linked list */
void display(struct emp_data  *front)
{
    struct emp_data *ptr;

    for (ptr = front; ptr != NULL; ptr = ptr->next)
    {
        printNode(ptr);
    }
}
/*  End of display() */

/*  Function to display the menu of operations on a linked list */
void menu()
{
    printf("---------------------------------------------\n");
    printf("Press 1 to INSERT a node into the list       \n");
    printf("Press 2 to DELETE a node from the list       \n");
    printf("Press 3 to DISPLAY the list                 \n");
    printf("Press 4 to SEARCH the list                   \n");
    printf("Press 5 to EXIT                              \n");
    printf("---------------------------------------------\n");
}
/*  End of menu() */

/*  Function to select the option */
char option()
{
    char choice;

    printf("\n\n>> Enter your choice: ");

    switch(choice=getchar())
    {
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':   return(choice);
        default :   printf("\n Invalid choice.");
    }
    return choice;
}
/*  End of option() */

/*  The main() program begins */
void main()
{
    struct emp_data *linkList;
    char name[21], desig[51];
    char choice;
    int eno;

    linkList = NULL;
    printf("\n Welcome to demonstration of singly linked list \n");
    menu();
    do
    {
        /*  choose oeration to be performed */
        choice = option();
        switch(choice)
        {
        case '1':
            printf("\n Enter the Employee Number      : ");
            scanf("%d", & eno);
            printf("Enter the Employee name        : ");
            scanf("%s", & name);
            //gets(name);
            printf("Enter the Employee Designation : ");
            scanf("%s", & desig);
           // gets(desig);
            linkList = insert(linkList, eno, name, desig);
            break;
        case '2':
            printf("\n\n Enter the employee number to be deleted: ");
            scanf("%d", &eno;);
            linkList = deleteNode(linkList, eno);
            break;
        case '3':
            if (linkList == NULL)
            {
                printf("\n List empty.");
                break;
            }
            display(linkList);
            break;
        case '4':
            printf("\n\n Enter the employee number to be searched: ");
            scanf("%d", &eno;);
            search(linkList, eno);
            break;
        case '5': break;
        }
    } while (choice != '5');
} 

```

## 输出

```c
Welcome to a demonstration of a singly linked list
---------------------------------------------
Press 1 to INSERT a node into the list

Press 2 to DELETE a node from the list

Press 3 to DISPLAY the list

Press 4 to SEARCH the list

Press 5 to EXIT
---------------------------------------------

>> Enter your choice: 1
Enter the Employee Number: 1234
Enter the Employee name: Keerthi
Enter the Employee Designation: Engineer

>> Enter your choice: 1
Enter the Employee Number: 2345
Enter the Employee name: Srinivasan
Enter the Employee Designation: Specialist

>> Enter your choice: 1
Enter the Employee Number: 4567
Enter the Employee name: Annapurna
Enter the Employee Designation: Project Manager

>> Enter your choice: 3
Employee Details...
Emp No: 4567
Name: Annapoorna
Designation: Project Manager
-------------------------------------

Employee Details...

Emp No    : 2345
Name        : Srinivasan
Designation : Specilist
-------------------------------------

Employee Details...
Emp No: 1234
Name: Keerthi
Designation: Engineer
-------------------------------------

>> Enter your choice: 2
Enter the employee number to be deleted: 2345
Node deleted:

Employee Details...
Emp No: 2345
Name: Srinivasan
Designation: Specialist
-------------------------------------

>> Enter your choice: 3
Employee Details...
Emp No: 4567
Name: Annapurna
Designation: Project Manager
-------------------------------------

Employee Details...
Emp No: 1234
Name: Keerthi
Designation: Engineer
-------------------------------------

>> Enter your choice: 4
Enter the employee number to be searched: 2345
Employee Number 2345 not found
>> Enter your choice: 5 
```