# C 程序：实现栈

> 原文：<https://learnetutorials.com/c-programming/programs/stack-program>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C 中的字面值和常量](../../c-programming/constants-literals)
*   [C 中的结构](../../c-programming/structures)
*   [C 中的数组](../../c-programming/array)

## 什么是栈？

在这个 C 程序中，我们必须实现一个栈。栈是线性数据结构，使用**后进先出**执行**推**(插入操作)**弹出**(删除操作)**显示**栈。为此，我们必须更多地了解栈及其功能。栈只是一个线性数据结构，其中操作是以特定的顺序执行的。在这个程序中，我们使用 3 个操作。它们是:

1.  使用三个功能进行操作，如**按压**、**弹出**、**显示**。
2.  使用 Switch case 语句访问函数
3.  出口

## 在栈上执行哪些操作？

栈中主要执行三个操作。它们是:

*   **推** -将物品添加到库存中。如果这样做栈已满，则称其为溢出情况
*   **弹出** -与推送功能正好相反，它从栈中移除一个项目。在这里，项目以它们被推送的相反顺序出现。这里，当栈为空时，会出现下溢情况。
*   **是空的** -如果栈为空，则返回真，否则返回假

## 如何在 C 语言中实现一个栈？

我们可以主要通过两种方式实现栈。他们是

*   使用数组
*   使用链接列表

## 栈中的推送、弹出和显示是如何完成的？

在这个 C 程序中，将头文件导入程序后，我们为栈、推送、弹出和显示函数声明变量和结构。现在，我们显示菜单，供用户选择要在栈上执行的操作。使用 switch case 语句选择栈上的操作。选择案例取决于用户的选择。现在，我们调用相应的函数来执行类似于 push pop 或 display 的操作。

在推送操作中，我们声明一个变量，并给用户一个窗口来输入元素。现在将元素插入栈。同样，我们给用户一个删除的窗口。删除任何内容之前，请检查栈是否为空。如果栈不是空的，删除顶部，使顶部和顶部-1。最后，使用 for 循环显示栈元素。

### 算法

第一步:在 C 程序中包含头文件以使用内置头文件。

第二步:用成员 **stk[]，顶部**声明结构化栈。

第三步:声明类型为**栈**的变量 s。

第四步:申报功能作废**推送(作废)、作废弹出(作废)、作废显示(作废)**。

第五步:将变量**选择**、**选项**声明为整数。

第六步:设置 **s.top=-1** 并显示栈操作

第七步:使用带有选项的`while loop`将菜单显示为 1 表示按下，2 表示弹出，3 表示显示，4 表示退出。

第八步:将选择读入变量**选择**。

第九步:如果选择 1，则调用**按钮()**功能。

步骤 10:如果选择是 2，那么调用函数 **pop()** 。

步骤 11:如果选择为 3，则调用功能**显示()**。

第 12 步:如果选择是 4，那么调用 return。

第 13 步:显示您想继续，并将选项读入选项。重复第 8 步。

#### **功能空推()**

第一步:声明整数变量**数**。

步骤 2:检查 **s.top=MAXSIZE-1** 是否显示栈已满，否则返回执行步骤 3。

第三步:将待推元素读入变量 **num** ，**增量 s.top=s.top+1** ，放置**s . STK【s . top】= num**返回。

#### **功能无效弹出()**

第一步:声明整数变量**数**。

步骤 2:检查 **s.top=-1** 是否显示栈为空，返回 s.top，否则执行步骤 3。

第三步:设置**数值= s . STK【s . top】**。

第四步:显示弹出的元素为**s . STK【s . top】**

第五步:递减 **s.top=s.top-1** 。

第五步:返回**号**。

#### **功能无效显示()**

第一步:声明整数变量 **i** 。

第二步:检查 **s.top=-1** 是否显示栈为空，返回 s.top，否则执行第三步。

步骤 3:显示栈的状态是。

第四步:使用带有条件**的`for loop`I>= 0**显示**s . STK【I】**。

第五步:将“ **i** ”减 1。重复第 4 步。

## c 源代码

```c
#include <stdio.h>

#define MAXSIZE 5
struct stack /* Structure definition for stack */ {
  int stk[MAXSIZE];
  int top;
};
typedef struct stack STACK;
STACK s;
void push(void); /* Function declaration/Prototype*/
int pop(void);
void display(void);
void main() {
  int choice;
  int option;

  s.top = -1;
  printf("STACK OPERATION\n");
  while (option) {
    printf("------------------------------------------\n");
    printf("   1 --> PUSH            \n");
    printf("   2 --> POP            \n");
    printf("   3 --> DISPLAY            \n");
    printf("   4 --> EXIT     \n");
    printf("------------------------------------------\n");
    printf("Enter your choice\n");
    scanf("%d", & choice);
    switch (choice) {
    case 1:
      push();
      break;
    case 2:
      pop();
      break;
    case 3:
      display();
      break;
    case 4:
      return;
    }
    fflush(stdin);
    printf("Do you want to continue(Type 0 or 1)?\n");
    scanf("%d", & option);
  }
}
void push() /*Function to add an element to the stack*/ {
  int num;
  if (s.top == (MAXSIZE - 1)) {
    printf("Stack is Full\n");
    return;
  } else {
    printf("Enter the element to be pushed\n");
    scanf("%d", & num);
    s.top = s.top + 1;
    s.stk[s.top] = num;
  }
  return;
}
int pop() /*Function to delete an element from the stack*/ {
  int num;
  if (s.top == -1) {
    printf("Stack is Empty\n");
    return (s.top);
  } else {
    num = s.stk[s.top];
    printf("poped element is = %d\n", s.stk[s.top]);
    s.top = s.top - 1;
  }
  return (num);
}
void display() /*Function to display the status of the stack*/ {
  int i;
  if (s.top == -1) {
    printf("Stack is empty\n");
    return;
  } else {
    printf("\nThe status of the stack is\n");
    for (i = s.top; i >= 0; i--) {
      printf("%d\n", s.stk[i]);
    }
  }
  printf("\n");
}

```

## 输出

```c
STACK OPERATION
------------------------------------------
 1       -->     PUSH

        2       -->     POP

 3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
1

Enter the element to be pushed
23

Do you want to continue(Type 0 or 1)?
1
------------------------------------------
 1       -->     PUSH

        2       -->     POP

 3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
1

Enter the element to be pushed
45

Do you want to continue(Type 0 or 1)?
1
------------------------------------------
    1       -->     PUSH

        2       -->     POP

    3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
1

Enter the element to be pushed
78

Do you want to continue(Type 0 or 1)?
1
------------------------------------------
        1       -->     PUSH

        2       -->     POP

 3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
3

The status of the stack is
78
45
23

Do you want to continue(Type 0 or 1)?
1
------------------------------------------
        1       -->     PUSH

 2       -->     POP

        3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
2

poped element is = 78
Do you want to continue(Type 0 or 1)?
1
------------------------------------------
        1       -->     PUSH

        2       -->     POP

        3       -->     DISPLAY

        4       -->     EXIT
------------------------------------------
Enter your choice
3

The status of the stack is
45
23
Do you want to continue(Type 0 or 1)?
0
```