# C 程序：计算不等边三角形面积

> 原文：<https://learnetutorials.com/c-programming/programs/scalene-triangle-area>

为了更好的理解，我们始终推荐您学习下面列出的 [C 编程](../ "C programming")的基本主题:

*   [C](../../c-programming/header-files)中的头文件
*   [C 中的变量](../../c-programming/variables)

## 什么是不等边三角形？

在这个 C 程序中，我们必须找到不等边三角形的面积。不等边三角形是它们有三条不等边的三角形。随意画的三角形是不等边的。不等边三角形的内角总是不同的，因为它们的边不相等。

在这个 C 程序中，我们需要找到三角形的面积，给定边和角度。通常情况下，我们使用以下等式来计算不等边三角形的面积，'**a = 1/2 *底*高**。这里我们使用一个众所周知的公式，并将其应用于这个 C 程序中。

**面积= (s1 * s2 * sin((M_PI / 180) *角度))/ 2** 。

## 如何在 C 语言中实现三角形的面积计算

在这个 C 程序中，我们首先接受三角形的边；此外，我们建议用户输入三角形的角度，这是我们需要计算的面积。在得到三角形所需的角度和边之后，我们应用我们的公式来计算三角形的面积。这里我们用正弦角来求三角形的面积。计算面积后，使用浮点数据类型显示 C 程序的输出。

### 算法

**STEP 1:** 将使用内置函数的头文件包含到 C 程序中。

**STEP 2:** 将变量 **s1、s2** 、**角度**声明为整数，面积声明为浮点数。

**步骤 3:** 接受三角形的边 1 为变量 **s1** 。

**步骤 4:** 接受三角形的边 2 为变量 **s2** 。

**第五步:**接受三角形的角度为变量**角度**。

**STEP 6:** 计算**面积=s1 * s2 * sin((M_PI / 180) *角度))/ 2**

**步骤 7:** 将斜角三角形的显示区域设为**区域**并返回。

## c 源代码

```c
#include<stdio.h>
#include<math.h>

int main() {
  int s1, s2, angle;
  float area;
  printf("\nEnter Side1 : "); /* accepting the side of triangle */
  scanf("%d", & s1);
  printf("\nEnter Side2 : ");
  scanf("%d", & s2);
  printf("\nEnter included angle : "); /* accepting angle of triangle */
  scanf("%d", & angle );
  area = (s1 * s2 * sin((M_PI / 180) * angle)) / 2; /* calculating area using formula */
  printf("\nArea of Scalene Triangle : %f", area); /* printing the output */
  return (0);
}

```

## 输出

```c
Enter Side1 : 3
Enter Side2 : 4

Enter included angle : 30
Area of Scalene Triangle : 3.000000
```