# 面试问题

> 原文：<https://learnetutorials.com/c-programming/interview-questions>

## [*1 什么是 C 语言中的指针对指针？*](#qus_collapse0)*T7】*

 *一个指针变量，可以保存其他指针变量的地址。例如:int x = 3，*p= &x，**q= &p。*  *## [*2 区分`malloc()` & `calloc()`内存分配。*](#qus_collapse1)*T8】*

 *Malloc 和 Calloc 用于分配内存，这两个函数都从堆中动态分配内存。在 Calloc 的情况下，它分配用零初始化的内存。*  *## [*3 汽车的关键词是什么？*](#qus_collapse2)*T7】*

 *关键字 Auto 是在函数内部声明的默认存储类。自动的范围在声明它的函数内。自动存储类在 C 编程中很少使用。*  *## [*4 关键词 Break 出现的有效位置有哪些？*](#qus_collapse3)*T7】*

 *断开用于将控件从块中断开。Break 用于循环或 Switch 语句中。*  *## [*5 解释“for 循环”的语法。*](#qus_collapse4)*T7】*

```c
for ( initialization, test expression, increment)
    {
             statements to be executed inside the loop

    }

```*  *## [*6 解释悬空指针？*](#qus_collapse5)*T7】*

 *悬空指针是指向无效内存位置或非适当数据类型的指针。它也被称为野指针。*  *## [*7 你说的打字是什么意思？*](#qus_collapse6)*T7】*

 *类型转换意味着我们可以将一种数据类型的变量转换成另一种数据类型。我们可以通过一个例子来理解这个概念，如果我们有一个整数数据类型，并且我们必须在该整数变量中存储一个 Long int，那么我们可以将 int 类型转换为 Long。*  *## [*8 解释内存泄漏？如何避免？*](#qus_collapse7)*T7】*

 *内存泄漏是一种资源泄漏，当程序错误地分配或管理内存时，或者当程序结束后我们忘记释放内存时，就会发生这种情况。

控制或避免内存泄漏的一个简单方法是在 Malloc 函数之后写入 Free 内存，或者在程序中使用 Calloc。或者将 Memset 与 Malloc 一起使用。此外，要小心带指针的内存分配。*  *## [*9C 语言中的 i++和++i 有什么区别？*](#qus_collapse8)*T7】*

 *两者主要用于循环中增加值。表达式 i++返回值，然后递增，但是在++i 的情况下，它在递增之后返回值。*  *## [*10 指针和数组的主要区别是什么？*](#qus_collapse9)*T7】*

 *数组是同一数据类型的元素的集合，可由索引变量访问。而指针是一个具有另一个变量地址的变量。数组可以在内存位置序列中存储许多元素，指针可以在这些位置保存一个变量的地址。*  *## [*11 列出 C 中不同的存储类说明符？*](#qus_collapse10)*T7】*

 *存储类定义函数或变量的特性，它定义变量的范围。在 C 语言中，我们主要有自动、外部、静态和寄存器存储类说明符。*  *## [*12 你说的数组基址是什么意思？*](#qus_collapse11)*T7】*

 *基址意味着从数组开始的地方，它有数组中第一个元素的地址。*  *## [*13 左值和右值是什么意思？*](#qus_collapse12)*T7】*

 *l 值是出现在赋值运算符“=”左侧的值。l 值指的是内存中标识一个对象的位置。有时存储器位置可以被修改，这被称为可修改的 L 值。r 值将出现在赋值运算符的右侧，该运算符引用存储在某个内存位置的数据值。*  *## [*14 解释 C 中的嵌套结构？*](#qus_collapse13)*T7】*

 *嵌套结构意味着，如果我们有一个包含另一个结构的内容或元素的结构，它被称为嵌套结构。*  *## [*15 什么是 C 语言中的空指针？*](#qus_collapse14)*T7】*

 *假设我们不知道指针要指向的地址，我们通过将指针的值赋为零或空来声明指针，这称为空指针。空指针也称为空引用，其中指针不引用有效对象。*  *## [*16 解释 L 值？还有，解释一下它的不同类型？*](#qus_collapse15)*T7】*

 *l 值是赋值运算符“=”的左侧值。它有一个对象的内存位置，L 值有两种

*   可修改的 L 值
*   不可修改的 L 值。*  *## [*17 什么是 C 标识符？编写标识符的规则是什么？*](#qus_collapse16)*T7】*

 *C 语言中的标识符是给变量、数组、函数、结构等起的名字。在一个 C 程序中。

**编写标识符的规则**

1.  标识符在程序中必须是唯一的。
2.  标识符可以包括任何东西，如字母数字字符和下划线。
3.  起始字符必须是字母或下划线。
4.  标识符对大写字母和小写字母敏感。[ **区分大小写** ]
5.  标识符之间不包含任何空格。
6.  关键字不是标识符，不要使用关键字作为标识符。*  *## [*18C 中有哪些不同的数据类型？*](#qus_collapse17)*T7】*

 *在 C 编程中，有两种类型的数据类型，即基本数据类型和派生数据类型。

**基础数据类型**包括以下基础数据类型

1.  整数
2.  性格；角色；字母
3.  浮点
4.  空虚。

**派生数据类型**是从基础数据类型派生的数据类型，这意味着我们对基础数据类型进行分组。它包括

1.  排列
2.  指针
3.  结构
4.  联合*  *## [*19 什么是 C 语言中的字符串常量？*](#qus_collapse18)*T7】*

 *字符串常量是 C 程序中用引号括起来的固定字符串值，例如，“hello”是一个字符串常量。其中没有值的常量称为空字符串常量，表示为" "。字符串常量作为由索引变量索引的字符数组存储在内存位置。*  *## [*20 用 C 语言解释局部变量和全局变量？*](#qus_collapse19)*T7】*

 *局部和全局变量定义基于变量的范围或可见性。如果一个变量是在一个函数中定义的，而这个函数的作用域只在这个函数中，那么这个变量就叫做局部变量。如果变量是在函数之外定义的，这意味着它可以在程序的任何地方被访问，它被称为全局变量。*  *## [*21 什么是静态变量？它在 C 程序中有什么用？*](#qus_collapse20)*T7】*

 *静态变量具有在函数内部或外部定义的值，其中它的值在编译器内部保持不变，直到程序运行，程序可以被任何函数调用。静态变量的范围适用于整个程序。*  *## [*22 什么是价值召唤和参考召唤？*](#qus_collapse21)*T7】*

 *两者都用于将参数传递给函数，在“按值调用”方法中，通过将变量复制到函数来传递值。

在引用调用方法中，我们传递变量的地址。*  *## [*23 什么叫做动态内存分配？*](#qus_collapse22)*T7】*

 *在动态内存分配中，内存是在程序运行期间分配的，因此可以在程序运行期间增加内存，主要是从堆中分配内存。

动态内存分配的方法有

1.  Malloc()
2.  卡洛克（）
3.  Realloc()
4.  免费。*  *## [*24 有哪些用于动态内存分配的功能？*](#qus_collapse23)*T7】*

 *动态内存是从堆内存分配的。内存分配的主要方法有

1.  Malloc()
2.  Realloc()
3.  卡洛克（）
4.  自由的*  *## [*25 解释实际和形式参数？*](#qus_collapse24)*T7】*

 *调用函数时传递给该函数的值或变量称为实际参数。

如果参数在函数声明中使用，那么它们在函数原型中声明，函数原型被称为形式参数。*  *## [*26 用 C 语言解释预处理器？*](#qus_collapse25)*T7】*

 *在实际处理程序之前，预处理器是处理源代码的程序。预处理器用于在 C 程序中包含头文件和# define。*  *## [*27 解释递归？C 语言中有哪些不同类型的递归？*](#qus_collapse26)*T7】*

 *在程序中，一个反复调用自己的函数叫做递归。在练习递归时，必须提到退出条件。

递归的类型有

*   线性递归
*   二元递归
*   多重递归
*   尾部递归*  *## [*28 解释常量指针？*](#qus_collapse27)*T7】*

 *一旦指针指向一个变量，就不能指向另一个变量的指针称为常量指针。换句话说，一个不能改变地址的指针叫做常量指针。*  *## [*29 什么是 C Token？*](#qus_collapse28)*T7】*

 *在 C 编程中，标记是编译器在程序内部理解的最小元素。C 标记的例子有

*   关键词
*   标识符
*   常量
*   用线串
*   操作员等。*  *## [*30 解释变量定义和声明的区别？*](#qus_collapse29)*T7】*

 *声明一个变量意味着我们将类型添加到该变量中，如 int、char、float 等，但是在定义变量的情况下，首先我们声明一个变量，除此之外，我们给变量赋予或赋值，如“int x = 10”。

变量声明将类型与变量相关联，但变量定义为变量提供类型和值。*  *## [*31 解释自我参照结构？*](#qus_collapse30)*T7】*

 *其中有一些指向相同结构类型的指针的结构称为自引用结构。我们可以把它描述为指向相同结构类型的结构。*  *## [*32 什么是阵？*](#qus_collapse31)*T7】*

 *数组是 C 语言中的一种数据类型，它是同一数据类型的元素的集合，可以由一个公共索引来索引。*  *## [*33C 中解释野指针？*](#qus_collapse32)*T7】*

 *没有正确初始化的指针被称为野指针，换句话说，指针指向具有一些垃圾值的随机内存位置。野指针使程序崩溃或以程序错误结束。*  *## [*34 解释`scanf()`？它在 C 程序中的什么地方使用？*](#qus_collapse33)*T7】*

 *`Scanf()`是 Header 库中的内置函数' **stdio.h** '。`Scanf()`用于读取和接受用户通过键盘或任何输入设备输入的字符串、数字或任何内容。*  *## [*35 解释 IDE？*](#qus_collapse34)*T7】*

 *IDE 是集成开发环境，它是编译器之间的用户界面，用于编写和执行 C 程序。*  *## [*36 解释 C 语言中的前增量和后增量运算符？*](#qus_collapse35)*T7】*

 *在将值分配给变量之前，预增量会增加该值。其中后增量增加分配给变量后的值。*  *## [*37 什么是编译器？*](#qus_collapse36)*T7】*

 *编译器是一个在机器和人类之间充当接口的程序，它把人类可读的程序转换成机器能理解的格式，这种格式叫做机器语言。这种转换过程称为编译。*  *## [*38 用 C 解释分段故障和记忆故障？*](#qus_collapse37)*T7】*

 *分段错误是最常见的运行时错误，它是由访问无效内存位置引起的。

当程序以不正确的方式使用内存或使用无效的内存时，就会发生内存故障。*  *## [*39 的“=”和“==”有什么区别？*](#qus_collapse38)*T7】*

 *单个等号“=”被称为**赋值运算符**，用于给变量赋值。

Double equal '== '被称为**关系运算符**，用于比较 if 条件或其他条件中的值。*  *## [*40 比较数组和链表及其特征？*](#qus_collapse39)*T7】*

 ***C 中的数组**

1.  数组是相同数据类型的元素的集合。
2.  数组元素存储在内存位置的序列中。
3.  数组的名称有起始元素的地址。

**C 中的链表**

1.  链表是具有动态内存分配的线性数据结构。
2.  在链表中，元素不是按照内存位置的顺序存储的。
3.  链表本质上是动态的。以防阵列具有固定长度。*  *## [*41 解释 C 中未初始化的指针？*](#qus_collapse40)*T7】*

 *未初始化的指针也称为通配符指针。这指向随机存储器位置。这些指针可能导致程序行为错误。*  *## [*42 运行时数组大小可以用 C 声明吗？*](#qus_collapse41)*T7】*

 *不能在运行时声明数组大小，数组的大小必须在编译之前提供，因为数组不像链表那样使用动态内存分配。*  *## [*43strcpy&strcpy 在 C 有什么区别？*](#qus_collapse42)*T8】*

 *两者都是 C 编程中的字符串函数，其中“strcpy”是用于复制完整字符串的函数，而“strncpy”用于复制字符串的特定部分。*  *## [*44 评论 C 语言中指针的任意两种用法？*](#qus_collapse43)*T7】*

 *指针用于存储变量的内存地址。指针用于动态分配内存。使用指针时注意不要出现内存泄漏。*  *## [*45 讲解 Main 函数()在 C 语言中的使用？*](#qus_collapse44)*T7】*

 *Main 是 C 编程中程序执行开始的函数。*  *## [*46 解释 c 中“#DEFINE”的用法？*](#qus_collapse45)*T7】*

 *#define 是一个预处理器指令，用于在 C 编程中定义一个常量。常量可以是整数、浮点、字符或任何数据类型。*  *## [*47 用 c 解释“##”符？*](#qus_collapse46)*T7】*

 *它是一个预处理器操作符，用于连接两个标记。它也被称为标记粘贴操作符。*  *## [*48C 中的“pragma”有什么用？*](#qus_collapse47)*T7】*

 *Pragma 是一个预处理器指令，用于通知编译器一些附加信息。它也被编译器用来拥有一些特殊的特性。*  *## [*49 解释一下数组和字符串之间的 3 个区别？*](#qus_collapse48)*T7】*

 *### 排列

1.  它可以保存任何数据类型
2.  数组大小是固定的，不能更改
3.  它不能以空字符结尾

### 线

1.  它可以以 Null(“\ 0”)字符结尾
2.  它只能保存字符数据类型
3.  这里字符串大小不是固定的，可以更改*  *## [*50 什么是 C 中的指针？*](#qus_collapse49)*T7】*

 *指针是一个存储另一个变量的地址或内存位置的变量。*  *## [*51 用 c 解释文件指针？*](#qus_collapse50)*T7】*

 *文件指针用于处理和跟踪被访问的文件。为了声明文件指针，我们使用了一种称为“文件”的新数据类型。*  *## [*52 什么是虚空指针？*](#qus_collapse51)*T7】*

 *Void 指针是一个不与任何数据类型相关联的指针，这意味着它可以用来指向任何其他数据类型。它也被称为通用指针。*  *## [*53c 中解释堆芯？*](#qus_collapse52)*T7】*

 *由于某些分段故障或内存故障，当程序崩溃或终止时，或者我们试图写入只读内存或释放的块内存时，会创建转储错误文件，这在 C 语言中称为核心转储。*  *## [*54 用 c 解释常量指针？*](#qus_collapse53)*T7】*

 *顾名思义，常量指针是一种指针，一旦它通过存储地址指向变量，那么该地址就不能更改。这意味着一旦一个常量指针被用来指向一个变量，我们就不能用这个指针来指向任何其他变量。*  *## [*55 当我们访问 C 语言中的空指针时会发生什么？*](#qus_collapse54)*T7】*

 *空指针是不指向任何内容的指针，这意味着它不指向任何内存位置。当我们试图访问空指针时，我们肯定会得到一个错误，程序崩溃，主要是我们得到一个分段错误或内存错误。*  *## [*`56MEMCPY()`函数有什么用？*](#qus_collapse55)*T7】*

 *Memcpy 是一个内存复制功能，用于将一些字符从一个内存位置复制到另一个内存位置。

句法

```c
void *memcpy(void *destination, const void * source, size_t n).
```*  *## [*57C 语言中 Auto 和 Register 变量有什么区别？*](#qus_collapse56)*T7】*

 *| 

### Automatic variable

 | 

### Register variable

 |
| 1.Auto 是局部变量。 | 1.寄存器也是局部变量。 |
| 2.存储在主中央处理器的内存位置。 | 2.存储在寄存器存储器中。 |
| 3.它可以访问，但有点慢。 | 3.它可以更快地被访问，因为它存储在寄存器中。 |*  *## [*58 什么是 C 语言中的数据类型结构？*](#qus_collapse57)*T7】*

 *结构是派生的数据类型，与数组不同，结构可以在单个内存块中保存一组具有不同数据类型的元素。

我们使用关键字 Struct 来表示结构。结构中的所有元素都称为其成员。*  *## [*59 一个阵有什么优势？*](#qus_collapse58)*T7】*

 *1.  在数组中，数据可以很容易地排序。
2.  在数组中，遍历数据很容易。
3.  数组通过元素提供随机访问。
4.  数组易于声明和实现，因此代码得到了优化。*  *## [*60 什么是 c 中的 Union？*](#qus_collapse59)*T7】*

 *联合是一种派生数据类型，允许程序员在内存位置存储不同的数据类型。

联合类似于结构，但联合的大小不像结构中的成员整体大小。联合只取其最大元素的大小。*  *## [*61c 中有哪些不同类型的运算符？*](#qus_collapse60)*T7】*

 *运算符用于对常量值或变量进行运算，通常用符号表示。例如，

1.  算术
2.  有关系的
3.  按位运算符
4.  逻辑移位运算符
5.  分配
6.  三元运算符等。*  *## [*62 指针声明中的算术运算符有哪些？*](#qus_collapse61)*T7】*

 *指针是一个保存另一个变量地址的变量，我们可以对指针做一些算术运算。

*   增量
*   减量
*   添加
*   减法
*   比较*  *## [*63 什么是 c 中的函数？列出任何两个优点？*](#qus_collapse62)*T7】*

 *一个或多个一起执行可调用任务的语句称为函数。每个 C 程序从`Main()`函数开始执行。

函数有名称、返回类型和要传递给函数的参数，函数体包含可执行语句集合。

功能优势。

*   代码可以重用。
*   代码优化*  *## [*64C 程序中有哪些不同类型的函数？*](#qus_collapse63)*T7】*

 *1.  ### 库函数:

    当我们包含头文件库时，头文件中内置的可以在任何程序中使用的函数称为库函数，例如 Printf、Scanf、puts 等。

2.  ### 用户定义的函数:

    用户为完成任务或计算而编写的有利于降低程序复杂性和提高可重用性的函数称为用户定义函数。

3.  ### 递归函数:

    一个在找到退出条件之前一直调用自己的函数叫做递归函数。*  *## [*65 动态内存分配有什么用？*](#qus_collapse64)*T7】*

 *动态内存分配是一种在程序运行期间分配内存的方法，内存是从堆中分配的。

动态内存分配的方法有

1.  分配内存
2.  卡洛丘斯
3.  重新分配
4.  免费。*  *## [*66 什么是 C 语言中的转义序列？*](#qus_collapse65)*T7】*

 *在 C 语言中，我们有一个字符集，我们将所有的字符集都包含在一个 ASCII 集或扩展 ASCII 集中。除此之外，还有一些不属于这两个集合的字符被称为转义序列。

如果我们在字符串中使用它，它就不能代表它自己。转义序列有 2 或 3 个以反斜杠“\”开头的字母。*  *## [*67 如果在 Switch 案例中不使用 Break 语句会发生什么？*](#qus_collapse66)*T7】*

 *在切换案例中，将有许多案例可供用户选择，如果我们在案例后没有使用中断，则该开关中的所有案例都将被执行，直到找到中断。*  *## [*68C 中的决策控制语句有哪些？*](#qus_collapse67)*T7】*

 *在 C 编程中，我们必须在程序内部做出一些决定，这意味着是或否的条件，如果是，那么执行一组语句，否则执行另一组语句。

C 语言中的三种决策控制语句

1.  如果
2.  否则的话
3.  嵌套 if*  *## [*69 什么是循环控制语句？*](#qus_collapse68)*T7】*

 *在 C 语言中，我们必须在循环中执行一组语句，直到满足某个条件，循环控制用于此。

不同类型的控制语句有:

1.  For 循环
2.  正在…
3.  做什么*  *## [*70 解释汇编器、编译器和解释器的区别？*](#qus_collapse69)*T7】*

 *### 装配工

这是一个将低级语言汇编语言转换成机器语言的程序。

### 编译程序

它是一个用于将高级人类可读代码转换为机器语言或目标代码的程序。

### 翻译

它也是一个类似于编译器的程序，但翻译是逐行进行的，这意味着解释器逐行转换每个代码，编译器在一个步骤中读取并转换完整的源代码。*  *## [*71 用 C 解释枚举？*](#qus_collapse70)*T7】*

 *枚举在 C 编程中也称为关键字“枚举”，它是一种派生的或用户定义的数据类型。Enum 用于为常量指定一个名称，这使程序变得容易。*  *## [*72 什么是顺序访问文件？*](#qus_collapse71)*T7】*

 *在 C 程序设计中，数据按顺序一个接一个地排列在文件中，这意味着在文件中，数据按正确的顺序一个接一个地排列。

在这种情况下，要访问文件中的数据，我们必须以连续的顺序读取文件中的数据，直到找到数据。在这里，一次只能读取一个数据。*  *## [*73 什么是语法错误？*](#qus_collapse72)*T7】*

 *在 C 编程中，语法是写语句或代码的规则或格式，当我们违反规则或格式写语句时，就会出现语法错误。这是编译器检测到的常见错误类型。*  *## [*74 什么是 c 中调试？*](#qus_collapse73)*T7】*

 *调试意味着发现并解决我们编写 C 程序时出现的错误。程序中会有编译时错误和运行时错误。在调试中，我们必须找到并解决所有的错误才能得到输出。

用调试选项-g 编译程序，运行 gdb，调试是通过在程序内部使用断点来完成的，在 gdb 调试器中执行程序。打印变量的所有值来检查。使用 gdb 命令。*  *## [*75 用 C 解释运行时错误？*](#qus_collapse74)*T7】*

 *这些类型的错误发生在程序运行期间，通常运行时错误与内存分配有关，如内存故障、分段故障、访问空指针、内存泄漏等。以及程序逻辑中出现的错误。*  *## [*76 什么是 C 中的多维数组？*](#qus_collapse75)*T7】*

 *多维数组也称为数组数组，多维数组的一个常见例子是矩阵，其中的元素以表的形式存储。2D 阵列的大小是使用所有维度的大小来计算的。*  *## [*77 什么是 C 语言中的动态数据结构？*](#qus_collapse76)*T7】*

 *动态数据结构在 C 编程中非常重要，它允许用户有效地使用内存。动态数据结构是从堆中动态分配内存，在运行时可以增加或减少内存。*  *## [*78 什么是 C 中的二进制堆？*](#qus_collapse77)*T7】*

 *二进制堆是一个完整的二叉树，它有一定的顺序，父节点大于子节点，或者子节点大于父节点，这对二叉树中的所有节点都是一样的。*  *## [*79 什么是 C 中的小溪？*](#qus_collapse78)*T7】*

 *顾名思义，流是一个连续的字节流，流入或流出 C 程序，所有的输入和输出设备，如键盘、显示器都在流下。*  *## [*80C 程序的执行是从哪里开始的？*](#qus_collapse79)*T7】*

 *在 C 程序中，所有的执行都是从主函数开始的。*  *## [*81 面向结构和面向对象编程语言的区别？*](#qus_collapse80)*T7】*

 **   **面向结构**程序分为功能，其中**面向对象**程序分为模块称为对象。
*   **面向结构的**编程是面向任务的，其中**面向对象的**编程是面向数据的。
*   在**面向结构的**中，数据在函数之间传递，而在**面向对象的**中，数据是隐藏的，不进入传递。*  *## [*82 没有 Main 函数能不能编译一个 C 程序？*](#qus_collapse81)*T7】*

 *是的，编译一个 C 程序不需要 Main 函数，但是 C 程序只有在有 Main 函数的情况下才会开始执行。*  *## [*83 什么是 C 语言中的`Abs()`和`Abs()`函数？*](#qus_collapse82)*T7】*

 *两者都是 stdlib.h 头文件库中的内置函数，都用于检索绝对值。在 abs 中，它返回整数的绝对值，其中`fabs()`返回浮点数据类型的绝对值。*  *## [*84 一个头文件是怎么用 C 语言解释的？*](#qus_collapse83)*T7】*

 *头文件也称为库文件。头文件包含在 C 程序中，以使用程序中的内置函数，头文件有程序中使用的函数的原型和解释。*  *## [*85C 编程语言中使用的修饰语有哪些不同类型？*](#qus_collapse84)*T7】*

 *1.  短的
2.  长的
3.  签名
4.  无符号的
5.  很长很长*  *## [*86 什么是模块化编程？*](#qus_collapse85)*T7】*

 *在程序中，我们可以将程序分成独立的子程序，称为模块，这些子程序可以重复使用来实现一些功能，称为模块化编程。它用于代码优化。*  *## [*87 运行时声明的数组大小可以用 C 语言表示吗？*](#qus_collapse86)*T7】*

 *不，数组没有使用动态内存，它必须在 C 程序编译之前声明。*  *## [*88 递归函数的优缺点是什么？*](#qus_collapse87)*T7】*

 ***优势**

1.  它可以用于复杂的迭代。
2.  这里函数调用本身，所以可以避免多次调用函数

**缺点**

1.  必须满足退出条件，否则会导致程序崩溃
2.  在这种情况下，调试将是困难的，因为函数正在调用自己。*  *## [*89 什么是 C 语言中的文本和二进制流？*](#qus_collapse88)*T7】*

 *流是字节的输入序列，文本流由 ASCII 值组成，这些值从 0 到 255 代表所有字符。其中二进制我们有原始的 0 和 1，它们不能被 C 编译器解释。

文本流主要用于处理文本文件，其中二进制流我们可以处理所有类型的文件。*  *## [*90 定义和声明变量在 C 语言中是否相同？*](#qus_collapse89)*T7】*

 *不，变量声明意味着我们给变量分配一个数据类型，而如果我们定义一个变量意味着我们给变量一个内存位置和值。*  *## [*91 用 C 语言解释一个函数的原型？*](#qus_collapse90)*T7】*

 *程序中函数的原型意味着在程序中声明一个函数。该宣言包括

*   函数名
*   类型
*   返回值。
*   参数。*  *## [*92 解释价值召唤和参考召唤？*](#qus_collapse91)*T7】*

 *这两种方法都是在 C 程序中将参数传递给函数的方法。

在按值调用方法中，我们将变量的值作为参数复制并传递给函数。

在引用调用方法中，我们发送变量的地址，而不是将变量的值发送到函数中。*  *## [*93 用 c 解释 Stack？*](#qus_collapse92)*T7】*

 *栈是一种数据结构，其中数据以后进先出法存储和检索。它就像一堆硬币。

将插入到栈中的值插入的过程称为推送，从栈中检索值的过程称为弹出。*  *## [*94 解释变量初始化及其重要性？*](#qus_collapse93)*T7】*

*In c program, the process of assigning a value to a variable or initialize a value to a variable is called initialization. It is very important in c programming else the variable may have some junk value cause the program error.* *## [*95 用 C 语言解释复合词？*](#qus_collapse94)*T7】*

 *复合语句称为块，它是两个或多个语句的组合，可以在一起执行的另一个语句体上看到。大括号中提到了块或复合语句。*  *## [*96 用 C 语言解释预处理器指令？*](#qus_collapse95)*T7】*

 *预处理器指令是我们在 C 程序开始时借助符号“#”包含的语句。预处理器指令用于定义程序中的常量。*  *## [*97 解释 FIFO？*](#qus_collapse96)*T7】*

 *先进先出的意思是“先进先出”，就像真实队列中的逻辑一样。这是一种用于将元素插入和删除到称为队列的数据结构中的方法。其中添加到队列中的第一个元素将是从队列中取出的第一个元素。*  *## [*98 有哪些实际论点？*](#qus_collapse97)*T7】*

 *当我们调用一个函数时，传递给该函数的值称为实际参数。*  *## [*99c 中解释野指针？*](#qus_collapse98)*T7】*

 *在 c 代码中，通配符指针是未初始化的指针。这些指针可能会导致程序出错或导致程序崩溃。*  *## [*100c 中有哪些不同类型的循环？*](#qus_collapse99)*T7】*

 *C 中的循环是:

1.  For 循环
2.  While 循环
3.  边循环边做
4.  嵌套循环。

这里边做边是出口控制的循环，其他的都是入口控制的循环。*  *## [*101 我们可以使用空指针的不同方式有哪些？*](#qus_collapse100)*T7】*

 *1.  如果没有有效的内存地址指向，空指针用于初始化指针变量。
2.  如果我们不必将有效地址传递给函数，我们就使用空指针。
3.  空指针用于终止 For 循环。*  *## [*102 什么是 C 语言中的间接运算符？*](#qus_collapse101)*T7】*

 *间接运算符是一元运算符，用“*”表示。间接运算符用于从指针变量指向的内存位置获取值。它取消对指针的引用。*  *## [*103 我们可以在 C 中添加指针吗？*](#qus_collapse102)*T7】*

 *不，指针是存储包含值的变量地址的变量，所以我们不能在 C 语言中直接添加指针*  *## [*104C 中解释栈溢出？*](#qus_collapse103)*T7】*

 *栈溢出是当程序试图向栈内存中添加比栈中分配的内存更多的元素时发生的情况。通常，无限递归是导致栈溢出的最常见问题。*  *## [*105 变量名可以以 C 中的数字开头吗？*](#qus_collapse104)*T7】*

 *答案是否定的，因为 C 程序设计中的命名规则，我们不能用数字作为变量的开头。*  *## [*106 常量和变量有什么区别？*](#qus_collapse105)*T7】*

 *在 C 编程中，常量是一个在编程过程中不能改变的元素，它是一个硬编码的值。

变量是 C 语言中的一个元素，它的值可以在任何时候赋值，我们必须将变量声明为任何类型。*  *## [*107 在 C 中列出任意四种类型的常量？*](#qus_collapse106)*T7】*

 **   整数常量
*   字符常量
*   浮点常量
*   字符串常量。*  *## [*108 用 C 解释环境变量？*](#qus_collapse107)*T7】*

 *环境变量是 C 语言中任何程序都可以访问的变量。当我们声明一个环境变量时，我们可以在 C 语言程序的任何地方使用它。*  *## [*109 我们可以更改数组标签的值吗？*](#qus_collapse108)*T7】*

 *否，数组标记用于存储数组，因此不能更改。*  *## [*110 解释++var 和 var++的区别？*](#qus_collapse109)*T7】*

 *我们都知道‘++’运算符被用作增量运算符。因此，如果在变量(即“+++var”)之前使用该运算符，则在表达式中使用该运算符之前，该变量将递增 1。但是如果在变量之后使用运算符(即“var++”)，则表达式首先被求值，然后递增 1。*  *## [*111 什么是无限循环？*](#qus_collapse110)*T7】*

 *无限循环是一种错误情况，在这种情况下，循环被执行无限次，当循环的退出条件没有被正确提及时，就会发生这种情况。*  *## [*112 指针上有效的操作有哪些？*](#qus_collapse111)*T7】*

 *指针是存储另一个变量地址的变量，对指针的操作是

*   比较。
*   加法/减法(不包括空指针)。*  *## [*113 什么是 C 中的弦长？*](#qus_collapse112)*T7】*

 *字符串长度是字符串中需要字符串结尾字符“\0”的字符数。*  *## [*114 什么是# Undef 预处理器的重要性？*](#qus_collapse113)*T7】*

 *如果我们想删除一个宏的所有定义，我们使用# DEF，它告诉预处理器删除所有定义。*  *## [*115 我们可以比较两个结构变量吗？*](#qus_collapse114)*T7】*

 *答案是否定的，在 C 语言中，我们不能比较两个结构或结构变量，我们可以比较两个结构的元素。但在极少数情况下，答案是肯定的，如果两个结构用 Calloc Memory Allocation 初始化或者用 Memset 设置，我们可以比较这两个结构变量。*  *## [*116 标识符的最大长度是多少？*](#qus_collapse115)*T7】*

 *C 语言中允许的最大标识符长度是 32 个字符，其中 31 个字符和一个结束字符。*  *## [*117“goto”关键字用于执行无条件分支。评论？*](#qus_collapse116)*T7】*

 *这个语句是正确的，“goto”是一个语句，用于无条件地从“goto”跳转到一个有标签的语句。*  *## [*118 解释算法在 C 编程中的意义？*](#qus_collapse117)*T7】*

 *该算法使 C 程序变得容易。算法是一个逐步解决 C 程序的过程。它给出了 C 程序的逻辑和实现的详细蓝图。*  *## [*119C 语言如何生成随机数？*](#qus_collapse118)*T7】*

 *在 C 语言中可以使用不同的 Logic 生成随机数，但是简单的方法是使用生成随机数的 **rand()** 函数。*  *## [*120 控制结构有哪些不同类型？*](#qus_collapse119)*T7】*

 *控制结构是面向过程编程语言的基础。它构成了程序的基本实体，

1.  序列结构:直线路径。
2.  选择结构:适用于“是”或“否”条件等分支。
3.  循环结构:用于循环 C 语言中的一些语句*  *## [*121 哪个关键字用来查找字符串的长度？*](#qus_collapse120)*T7】*

 *可以使用“`strlen()`”计算字符串的长度。Strlen 是一个将字符串作为输入并返回字符串长度的函数。*  *## [*122 哪个函数用来连接一个字符串和另一个字符串？*](#qus_collapse121)*T7】*

 *要在 C 程序中连接两个字符串，使用`strcat()`函数，这意味着字符串连接。它将第二个字符串复制到第一个字符串的末尾。*  *## [*123C 中的结构数据类型有什么用？*](#qus_collapse122)*T7】*

 *结构是一种派生数据类型，用于存储不同数据类型的元素。结构用于在 C 语言中存储记录*  *## [*124 二进制文件和文本文件有什么区别？*](#qus_collapse123)*T7】*

 *二进制文件是具有二进制格式的数据的文件，二进制格式不是人类可读的格式，而是机器可读的，其中与文本文件一样，数据将是使用 ASCII 设置值编写的人类可读格式。*  *## [*125 什么是‘0’字的重要性？*](#qus_collapse124)*T7】*

 *它被称为字符串的结束空字符，每个字符串都以一个' \0 '字符结束。*  *## [*126 变量是否可以在声明时初始化？*](#qus_collapse125)*T7】*

 *是的，我们可以用值初始化变量，同时用数据类型声明变量。*  *## [*127 随机访问文件的意义是什么？*](#qus_collapse126)*T7】*

 *随机存取文件是我们无需按顺序读取就可以访问任意随机文件数据的文件。它的用途是当一个程序需要读取一个大文件来搜索一些数据时，随机访问文件将非常有用。*  *## [*128 使用随机存取存储器从数据文件中搜索数据时使用了哪个关键字？*](#qus_collapse127)*T7】*

 *`fseek()`函数。*  *## [*129 函数可以转换一组字符吗？*](#qus_collapse128)*T7】*

 *不，toupper 是一个将小写字母转换成大写字母的函数。toupper 一次将一个字母从小写转换为大写。*  *## [*130 解释位屏蔽？*](#qus_collapse129)*T7】*

 *按位运算符用于制作位掩码，其中制作位字符串的过程称为位掩码，通过使用该位字符串，我们可以从字节中仅选择某些位。*  *## [*131 位域在 C 语言中可移植吗？*](#qus_collapse130)*T7】*

 *这是一个错误的说法，因为我们不能移动一个机器单词。*  *## [*132 解释预处理器在 C 程序中的重要性？*](#qus_collapse131)*T7】*

 *有了 C 语言的预处理器，我们可以制作程序

*   易于阅读
*   易于修改
*   易于移植或移动到任何架构
*   易于开发。*  *## [*133 编译时应该包含哪些预处理器指令？*](#qus_collapse132)*T7】*

 **   #如果
*   #否则
*   #endif*  *## [*134 解释字符串串联运算符？*](#qus_collapse133)*T7】*

 *这是一个对字符串的操作，将两个字符串组合在一起，称为“strcat”函数。使用字符串连接函数，第二个字符串被复制并粘贴到第一个字符串的末尾。*  *## [*135 静态文件可以在头文件中声明而不定义吗？*](#qus_collapse134)*T7】*

 *静态文件只能在头文件中定义后使用，所以这是一个错误的声明。*  *## [*136 找出字符串副本(strcpy)和内存副本(memcpy)的区别？*](#qus_collapse135)*T7】*

 *Memcpy 用于将多个字节的内存从一个位置复制到另一个位置，这意味着 Memcpy 可以用于任何数据类型。

Strcpy 是一个用于复制一个字符串并将其粘贴到另一个字符串的函数。它只适用于字符串或字符数据类型。*  *## [*137STRCMP 功能有什么用？*](#qus_collapse136)*T7】*

 *STRCMP 函数用于比较两个字符串。它逐字符比较，直到在两个字符串中找到空字符。Strcmp 是区分大小写的，如果我们想在不区分大小写的情况下进行比较，请使用函数“STRCMPI”。*  *## [*`138strmpi()`函数的目的是什么？*](#qus_collapse137)*T7】*

*Strcmpi is almost the same as the strcmp function which compares two strings character by character until the null character is found. Strcmp is case sensitive where strcmpi is not case sensitive.* *## [*139 指出空指针的 3 个应用？*](#qus_collapse138)*T7】*

 *1.  用作错误值。
2.  用作哨兵值。
3.  用于停止递归数据结构中的间接寻址。*  *## [*140 什么是远指针？*](#qus_collapse139)*T7】*

 *远指针是一个 32 位指针，可以访问当前段之外的内存位置。计算机分配一个段寄存器来存储远指针。*  *## [*141 解释近指针和巨指针？*](#qus_collapse140)*T7】*

 *近指针是给定的启用了 16 位的存储器中的 16 位地址。它可以访问小尺寸的数据。

巨大指针几乎与远指针相同，因为它是一个 32 位指针，可以访问段外的内存。

但是远指针是固定的，这意味着一旦它位于一个地方就不能改变，但是一个巨大的指针是可以改变的。*  *## [*142 解释一下 NULL 和 NUL 有什么区别？*](#qus_collapse141)*T7】*

 *Nul 是一个 ASCII 字符，它是第一个字符，用“\0”表示。而空值用于表示空指针或值为 0 的内置常量。*  *## [*143 解释术语场所？*](#qus_collapse142)*T7】*

 *Locale.h 是一个头文件，它定义了一些与位置相关的东西，比如日期、时间格式、货币等。*  *## [*144C 中跳出一个函数的方法有哪些？*](#qus_collapse143)*T7】*

 *“转到”、“中断”、“继续”、“返回”是 C 语言中移出函数的语句*  *## [*145 什么是 C 中的信号？*](#qus_collapse144)*T7】*

 *信号是软件生成的中断，当用户按下某些键(如 **ctrl + c** 等)时，操作系统会将其发送给进程。*  *## [*146 当我们将 Double 转换为 Float 时，值会发生什么变化？*](#qus_collapse145)*T7】*

 *双精度到浮点的转换可以称为窄化转换，这意味着它可能会丢失一些关于数据类型的信息。所以这取决于编译器*  *## [*147 解释一下‘sprintf’在 a C 中的用法？*](#qus_collapse146)*T7】*

 *“sprintf”与“printf”相同，但“sprintf”发送格式化字符串，而不是像“printf”那样将输出发送到控制台。*  *## [*148“# include 语句必须写在`main()`之后”。评论？*](#qus_collapse147)*T7】*

 *这个语句是错误的，' #include '语句用于将头文件库添加到程序中，因此它必须在程序的第一步编写。*  *## [*149 命令行参数中一般生成哪种类型的数组？*](#qus_collapse148)*T7】*

 *交错数组:称为交错数组，这意味着它有一个数组数组，其中成员数组有不同的大小。*  *## [*150argv[0]在命令行参数中有什么作用？*](#qus_collapse149)*T7】*

 *Argv[0]是一个命令行参数，它代表程序名，如果找不到程序名，它将返回空值。*  *## [*151 什么是 C 中的自动变量？*](#qus_collapse150)*T7】*

 *自动变量也称为局部变量，在块内部声明和使用。在这种类型的变量中，当控件进入块内部时会自动分配内存，当控件退出块时也会分配内存。*  *## [*152C 中的逻辑运算结果是什么？*](#qus_collapse151)*T7】*

 *C 编程中逻辑运算的结果将是一个二进制值，表示 1 或 0*  *## [*153 关系运算符可以用在 C 语言的结构上吗？*](#qus_collapse152)*T7】*

 *关系运算符用于检查操作数之间的关系，它不能用于具有不同数据类型的结构。*  *## [*154 什么是 C 中的线控？*](#qus_collapse153)*T7】*

 *行控制是一个预处理器指令，用于帮助编译器理解源代码的位置，以及源代码来自的每个标记位置。*  *## [*155 当数组大小可选时，在数组声明中使用哪个关键字？*](#qus_collapse154)*T7】*

 *当数组大小可选时，我们可以使用关键字 Extern 来声明数组。*  *## [*156C 语言中字符串运算使用的返回类型有哪些？*](#qus_collapse155)*T7】*

 *字符串操作可以返回空、整数或字符的数据类型。*  *## [*157C 中什么时候需要类型转换？*](#qus_collapse156)*T7】*

 *1.  减少内存使用。
2.  要存储的值超出了最大限制。
3.  要存储的值的形式不受该数据类型的支持。*  *## [*158fopen 的第一个和第二个论点是什么？*](#qus_collapse157)*T7】*

 *第一个参数是文件名，第二个参数是访问模式。*  *## [*159 常量变量需要在 C 程序后面定义吗？*](#qus_collapse158)*T7】*

 *这种说法是错误的。常量变量需要在使用前定义。*  *## [*160Short 和 Int 在 C 编程中的作用是什么？*](#qus_collapse159)*T7】*

 *Short 是“短整型”的简称，用于声明整型数据类型，但使用两个字节的内存进行存储。其中 Int 也用于声明整数数据类型，但是 Int 的存储空间是 4 个字节。*  *## [*161 声明位域时接受哪种数据类型？*](#qus_collapse160)*T7】*

 *我们在 C 编程中声明位字段时使用字符数据类型。*  *## [*162 如何缩小一个结构的尺寸？*](#qus_collapse161)*T7】*

 *使用位字段来声明。*  *## [*163 冲刺功能有什么用？*](#qus_collapse162)*T7】*

 *它将格式化数据写入字符串。*  *## [*164 什么是 C 语言中的 FILE 保留词？*](#qus_collapse163)*T7】*

 *它是在头文件库中定义的类型名。*  *## [*165 我们使用条件包含有哪些好处？*](#qus_collapse164)*T7】*

 *条件包含用于防止在程序中多次添加头文件。

1.  它防止变量的多重声明。
2.  它防止同一函数的多个声明。
3.  检查一个变量的存在性，如果存在，就做一些事情。*  *## [*166C 程序中随机数的生成是如何指定的？*](#qus_collapse165)*T7】*

 *最简单的方法是使用内置函数“`random()`”。*  *## [*167 什么是‘srand’的功能？*](#qus_collapse166)*T7】*

 *srand 用于设置生成随机数的起点。它为随机数生成器播种。*  *## [*168 如果没有在函数定义中指定，默认返回类型是什么？*](#qus_collapse167)*T7】*

 *“int”表示整数。*  *## [*169t ' strcat '函数是否总是添加空字符？*](#qus_collapse168)*T7】*

 *是的，字符串连接函数在连接两个字符串后添加空字符。*  *## [*170 如何处理枚举类型？*](#qus_collapse169)*T7】*

 *枚举是枚举数据类型，它使程序简单易懂。它通过使用编译器来处理。*  *## [*171ungetc 的句法是什么？*](#qus_collapse170)*T7】*

```c
int ungetc(int c, FILE *fp)
```*  *## [*172C 中的‘Return’关键字有什么作用？*](#qus_collapse171)*T7】*

 *return 用于将控件从函数返回到主程序，Return 关键字可以定义一个从函数到主程序的返回值。如果函数没有返回任何东西，我们可以使用 Void。*  *## [*173 什么是 Switch 语句？*](#qus_collapse172)*T7】*

 *开关是一种选择控制机制，用于允许变量值改变程序执行的控制流。

换句话说，如果我们有一组案例，并且我们需要选择一个与用户输入相匹配的案例，我们可以使用一个开关案例。*  *## [*174C 语言中静态变量有哪些重要特点？*](#qus_collapse173)*T7】*

 **   除了正常变量，静态变量在程序运行时仍保留在内存中。
*   静态变量内存在数据段中分配。
*   即使我们忘记初始化，它也会自动初始化为零。*  *## [*175 联合的大小是如何由编译器决定的？*](#qus_collapse174)*T7】*

 *联合的大小是根据联合最大成员的大小确定的。*  *## [*176“C”属于哪一级语言？*](#qus_collapse175)*T7】*

 *C 语言是一种中级语言，它是高级语言和机器语言之间的桥梁。*  *## [*177 什么是 IDE？解释它是如何使用的？*](#qus_collapse176)*T7】*

 *它只不过是一个集成开发环境。这是一种为编译器提供用户界面来创建、编译和执行 C 程序的机制。*  *## [*178 什么是换行符？*](#qus_collapse177)*T7】*

 *用“\n”表示的换行符用于使编译器理解它是一行的结尾，并开始一个新行。*  *## [*179 用 C 描述代币？*](#qus_collapse178)*T7】*

 *标记是 C 语言的构建模块。C 程序中的每个小单元都被称为标记。这些标记被一起构造来编写一个 C 程序。*  *## [*180 有哪些不同类型的 C 代币？*](#qus_collapse179)*T7】*

 *代币主要分为 6 种类型。

*   关键词
*   标识符
*   常量
*   用线串
*   特殊符号
*   经营者*  *## [*181 用 C 解释关键词？指出一些例子？*](#qus_collapse180)*T7】*

 *关键字是在 C 编程中具有预定义功能的保留字。关键词对于编译器来说有特殊的意义，该做什么。

关键字是程序语法的一部分。例如，While、Break、Signed 等是关键字的一些示例。*  *## [*182C 语言中使用的变量有哪些不同类型？*](#qus_collapse181)*T7】*

 **   局部变量
*   全局变量
*   环境变量*  *## [*183 什么是局部变量？*](#qus_collapse182)*T7】*

 *局部变量是在 C 程序中使用的变量，其作用域只在它被声明的函数中。

这意味着在函数内部声明的局部变量不能从函数外部访问。*  *## [*184 什么是 C 中的运算符？*](#qus_collapse183)*T7】*

 *运算符是用于在 C 语言中执行一些任务的符号，如加法、逻辑比较等。例如“+”、“-”。等等*  *## [*185 用 C 解释赋值运算符？*](#qus_collapse184)*T7】*

 *用于给变量赋值的运算符或符号称为赋值运算符，例如，=，+=，-=，/+，%=，等等就是赋值运算符。*  *## [*186 解释什么是常量指针？*](#qus_collapse185)*T7】*

 *它是一个指针，不能改变它所指向的变量的地址。一旦这个指针被用来指向一个变量，我们就不能用那个常量指针来指向任何其他变量。*  *## [*187C 语言区分大小写吗？*](#qus_collapse186)*T7】*

 *是的，C 语言中的所有语句和结构、函数、关键字以及所有其他东西都区分大小写。*  *## [*188 什么是 C 中的修饰语？*](#qus_collapse187)*T7】*

 *修饰符是 C 语言中的关键字，用于改变数据类型，修饰符定义了分配给变量的内存量。例如，短、长、带符号等。*  *## [*189c 中有哪些不同类型的修饰语？*](#qus_collapse188)*T7】*

 *短、长、有符号、无符号、长*  *## [*190 解释 C 中`sizeof()`运算符的重要性？*](#qus_collapse189)*T7】*

 *它是 C 语言中最常见的一元运算符，用于计算变量或任何操作数的大小。如果与数据类型一起使用，它将返回分配的内存量。*  *## [*191C 语言是从哪一个开始发展起来的？*](#qus_collapse190)*T7】*

 *C 语言的继承者是 b .实际上，C 语言是由贝尔实验室的丹尼斯·里奇开发的，用于 Unix 操作系统。*  *## [*192 指出 C 和 Java 的 3 个区别？*](#qus_collapse191)*T7】*

 *C 语言

* * *

1.  这是一种中级语言
2.  在 C 语言中，没有异常处理机制
3.  C is Structure-oriented.

    * * *

    爪哇岛

* * *

1.  Java 是一种高级的、人类可读的语言。
2.  Java 中存在异常处理。
3.  面向对象编程语言*  *## [*193C 和 C++*](#qus_collapse192) *有什么区别*

 *C 语言

1.  面向结构的编程语言。
2.  使用自上而下的方法。
3.  不支持用户定义的数据类型。

C++语言

1.  面向对象编程语言。
2.  设计是一种自下而上的方法。
3.  支持用户定义的数据类型。*  *## [*194 指出 C 语言的一些特点？*](#qus_collapse193)*T7】*

 *1.  灵活性
2.  轻便
3.  交互性
4.  模块性
5.  效率*  *## [*195 用 C 语言解释算术运算符？*](#qus_collapse194)*T7】*

 *在 C 语言中，算术运算符用于执行算术或数学运算，如 C 程序中的加法、减法、乘法、除法和模数。*  *## [*196 在 C 程序中我们在哪里使用`atexit()`函数？*](#qus_collapse195)*T7】*

 *C 编程中的`Atexit()`函数用于在程序退出或控制从函数返回到主程序期间执行 C 函数。*  *## [*197C 中‘MEMCPY()’&‘MEMMOVE()’函数的区别？*](#qus_collapse196)*T8】*

 *“Memcpy”和“Memmove”函数用于将数据序列从一个存储位置复制到另一个位置。但是在“内存”函数中，我们应该注意源内存和目标内存的位置不要重叠。其中“记忆移动”根本不是问题。*  *## [*198 一个函数可以传递多少个参数有限制吗？*](#qus_collapse197)*T7】*

 *答案是否定的，我们可以向函数传递尽可能多的参数，这取决于栈上的可用内存。*  *## [*199 “阵下标可有负值”评论？*](#qus_collapse198)*T7】*

 *数组下标是一个整数常量，用于获取数组位置中的元素，它不能是负值。它的大小是 1。*  *## [*200Void 指针和 Null 指针有什么区别？*](#qus_collapse199)*T7】*

 *Void 指针是一种指针类型，它可以用来指向任何数据类型的变量。但是空指针是指向空的指针*  *## [*201C 中 Stack 和 Heap 内存的区别？*](#qus_collapse200)*T7】*

 *两者都用于分配内存。在栈中，内存是静态分配的，而堆内存用于动态内存分配。*  *## [*202 解释 C 中的锯齿状数组？*](#qus_collapse201)*T7】*

 *交错数组称为数组数组。交错数组是其元素也是数组的数组。每个元素数组可以有不同的大小和尺寸。*  *## [*203 列出不同类型的格式说明符？*](#qus_collapse202)*T7】*

 *1.  %d -整数格式说明符
2.  %c -字符格式说明符
3.  %s -字符串格式说明符
4.  %f -浮点格式说明符
5.  %u -无符号整数格式说明符。*  *## [*204 什么是数据类型？解释它在 C 程序中的用途？*](#qus_collapse203)*T7】*

 *它只是一种数据存储格式，在这种格式中，变量可以存储数据来执行确定的操作。它们在 C 程序中用于在程序中使用之前指定一个变量。*  *## [*205c 中变量的类型有哪些？*](#qus_collapse204)*T7】*

 *变量分为三种类型。它们是:

1.  局部变量
2.  全局变量
3.  环境变量*  *## [*206 列出 C 程序中可用的任意 6 个关键词？*](#qus_collapse205)*T7】*

 *1.  汽车
2.  两倍
3.  （同 Internationalorganizations）国际组织
4.  破裂
5.  转换
6.  很长。等等*  *## [*207 什么是关系运算符？*](#qus_collapse206)*T7】*

 *这些运算符用于查找两个变量之间的关系。换句话说，这些运算符比较 C 程序中两个变量的值。*  *## [*208 解释逻辑运算符？C 语言中使用的运算符类型？*](#qus_collapse207)*T7】*

 *用于执行逻辑操作的运算符称为逻辑运算符。C 程序中使用的逻辑运算符有:

1.  逻辑与(&&)
2.  逻辑或(||)
3.  逻辑非(！)*  *## [*209 一种编程语言如何用 C 语言解释？*](#qus_collapse208)*T7】*

 *编程语言是一种具有一组指令和语法的语言，用于使任务运行。*  *## [*210 什么是嵌入式 C？*](#qus_collapse209)*T7】*

 *嵌入式 C 语言是一种应用级的 C 语言编程，用于在微控制器设备中进行编程。*  *## [*211C 中的‘printf’有什么用？*](#qus_collapse210)*T7】*

 *Printf 是一个在头文件“stdio.h”中声明和定义的内置函数。打印功能用于将输出打印到输出设备。*  *## [*212 解释什么是 C 中的虚空？*](#qus_collapse211)*T7】*

 *Void 是一种空数据类型，如果函数不向主程序或函数返回任何内容，则在函数声明中使用。*  *## [*213C 中的 Break 语句有什么用？*](#qus_collapse212)*T7】*

 *Break 用于在 Switch case 语句中断开并使控件脱离循环。否则，开关中的所有情况都将被执行，并最终导致程序错误。*  *## [*214C 语言中指针有哪些应用？*](#qus_collapse213)*T7】*

 *1.  引用调用
2.  访问数组元素
3.  动态存储分配
4.  像树、图、链表等数据结构。*  *## [*215 解释变量初始化？*](#qus_collapse214)*T7】*

 *这是一个过程，在这个过程中，变量在用于程序之前被赋予一个初始值。如果没有这个过程，变量会有一个垃圾值，导致错误输出。*  *## [*216 函数`strlen()`有什么用？*](#qus_collapse215)*T7】*

 *这个函数用来找出字符串的长度。*  *## [*217 解释 C 中结构类型的重要性？*](#qus_collapse216)*T7】*

 *结构是用于存储记录的派生数据类型，这意味着结构中的元素可以是不同的数据类型。*  *## [*218 如果两个字符串相同，‘strcmp()’函数的值是多少？*](#qus_collapse217)*T7】*

 *零。*  *## [*219 哪个库函数用来查找字符串中最后一个出现的字符？*](#qus_collapse218)*T7】*

 ***strrchr()***  *## [*220 多字阅读，用的是哪个库函数？*](#qus_collapse219)*T7】*

 ***get()**函数，它是一个内置函数，用于接受来自用户的输入，在 Header 库‘stdio . h’中定义。*  *## [*221 栈数据结构采用哪种方式存储数据？*](#qus_collapse220)*T7】*

 *Stack 数据结构就像一堆**硬币**其中它用来添加和删除元素的方法是 LIFO，意思是“后进先出”就像一堆。
T3】*  *## [*222 解释静态内存分配和动态内存分配的 3 个区别？*](#qus_collapse221)*T7】*

 *| 静态内存分配 | 动态存储分配 |
| 用在数组中 | 用于链接列表 |
| 编译期间的内存分配 | 运行时内存分配 |
| 在执行过程中，无法更改内存 | 在执行过程中，可以更改内存 |*  *## [*223C 语言中什么叫做命令行参数？*](#qus_collapse222)*T7】*

 *在 C 程序中，可以从命令提示符传递参数，这称为命令行参数。命令行参数由 argc 和 argv[]表示。其中 argc 是计数，argv 是参数。

命令行参数用于从程序外部控制 C 程序，程序内部没有硬编码值。*  *## [*224C 语言中的`printf()`和`printf()`函数有什么用？*](#qus_collapse223)*T7】*

 *`printf()`函数用于将“字符、字符串、浮点、整数、八进制和十六进制值”打印到输出屏幕或任何其他输出设备中。

`Scanf()`，这意味着该功能用于从键盘或用户的其他输入设备读取字符、字符串、数字数据。这两个函数都是内置的库函数。*  *## [*225 什么是 stderr？*](#qus_collapse224)*T7】*

 *Stderr 是 C 程序用来向控制台发送输出错误消息的输出流，它向控制台发送诊断数据。*  *## [*226 形容意大利面编程？*](#qus_collapse225)*T7】*

 *意大利面编程也被称为编程的纠结网。C 程序中的一种代码，由于程序员缺乏经验而产生。程序控制从这里跳到那里，然后重叠，最后变得复杂，大量**到**语句的使用使得程序变得复杂。*  *## [*227 描述总线错误？*](#qus_collapse226)*T7】*

 *总线错误是硬件引起的致命错误，它使操作系统通知进程正在试图访问无法由中央处理器物理寻址的内存。出现该错误可能是由于以下原因。

1.  无效地址
2.  其他设备的硬件错误。
3.  访问不对应于任何设备的物理地址。*  *## [*228C 中的哪个函数用来将一个字符串附加到另一个字符串？*](#qus_collapse227)*T7】*

 *Strcat 函数，也称为字符串连接函数，将第二个字符串添加到第一个字符串的末尾，最后添加空字符。*  *## [*229 解释`getch()`和`getch()`的区别？*](#qus_collapse228)*T7】*

 *`getch()`是一个内置的 Input 函数，它从用户那里读取一个字符，但是输入的输入不显示，因为它不使用 Buffer。

`getche()`也用于读取用户的输入，但与`getch()`不同，getche 显示它读取的输入。*  *## [*230 C 被认为是中级语言。为什么呢？*](#qus_collapse229)*T7】*

 *因为它充当高级语言和低级语言之间的中介，这意味着它同时支持高级语言和低级语言的功能*  *## [*231 什么是 C 中的 Volatile 变量？*](#qus_collapse230)*T7】*

 *单词 Volatile 在这里的意思是“随时可以改变”。声明为 Volatile 的变量告诉编译器，它的值可以由外部源随时更改。*  *## [*232 解释 C 中的按位运算符？*](#qus_collapse231)*T7】*

 *按位运算用于位级运算。用于在位级操作数据。在 C 语言中，按位运算符是

1.  &(按位“与”)
2.  |(按位或)
3.  ~(按位或)
4.  ^(异或)
5.  <
6.  > >(右移)*  *## [*233C 中“&”和“*”运算符的重要性是什么？*](#qus_collapse232)*T8】*

 *运算符“*”用作指向变量的指针。例如“*b”，其中“*”是指向变量“b”的指针。

运算符“&”用于获取变量的地址。例如，' &b '将给出变量' b '的地址。*  *## [*234 默认语句用在 Switch-case 语句中有什么重要性？*](#qus_collapse233)*T7】*

 *通常，交换案例语句用于根据用户的输入，从一定数量的案例语句中执行案例。但是在某些情况下，将没有与用户输入匹配的情况，在这种情况下，控制跳转到默认情况并执行*  *## [*235 描述局部静态变量？*](#qus_collapse234)*T7】*

 *在函数中声明为静态的变量，其作用域不会在声明它的函数中结束，如自动变量。局部静态变量具有相同的自动变量范围。*  *## [*236 “一个变量既可以是恒定的，也可以是波动的”。评论？*](#qus_collapse235)*T7】*

 *这个说法是对的。变量可以是常量，也可以是变量。*  *## [*237C 语言的创始人是谁？*](#qus_collapse236)*T7】*

 *丹尼斯·里奇在贝尔实验室发现了 C 语言。*  *## [*238 有哪些不同类型的功能？解释每一个？*](#qus_collapse237)*T7】*

 *函数主要分为两种类型。它们是:

1。**库函数** -这些函数在头文件中声明，如`scanf()`、`scanf()`、`scanf()`、`scanf()`、`scanf()`、`scanf()`等。

2。**用户定义函数** -这些函数是由 C 程序员自己创建的，以降低程序的复杂性。*  *## [*239C 中函数的主要优势是什么？*](#qus_collapse238)*T7】*

 *1.  程序开发变得容易。
2.  模块化和结构化程序可以完成。
3.  单个功能可以轻松构建或测试。
4.  函数可以调用其他函数，也可以调用自己。*  *## [*240 使用指针有什么好处？*](#qus_collapse239)*T7】*

 *1.  有了指针，我们可以访问内存位置。
2.  它降低了代码的复杂性并提高了性能。
3.  使用指针，我们可以从一个函数中返回多个值。*  *## [*241 在 C 程序中，数组的基址是什么意思？*](#qus_collapse240)*T7】*

 *数组的基址是指数组的起始地址。其中第一个元素存储在数组中。*  *## [*242 自动变量可以存储在哪个内存中？*](#qus_collapse241)*T7】*

 *栈内存，即静态分配的内存。*  *## [*243 将参数传递给函数有哪些不同的方式？*](#qus_collapse242)*T7】*

 *在调用函数时，我们需要将参数传递给被调用的函数，为此我们有两种方法。

1.  按值调用
2.  引用调用*  *## [*244 如何进行无条件分支？*](#qus_collapse243)*T7】*

 *使用“goto”语句，我们可以进行无条件分支，但是在使用 GOTO 时要小心，因为它会留下意大利面条代码。*  *## [*245 如何调整已分配动态内存的大小？*](#qus_collapse244)*T7】*

 *使用`Realloc()`函数。*  *## [*246 哪个功能可以关闭文件流？*](#qus_collapse245)*T7】*

 *fclose()*  *## [*247 动态分配内存如何释放？*](#qus_collapse246)*T7】*

 *使用**自由()***  *## [*248 文件指针如何在内部移动？*](#qus_collapse247)*T7】*

 *使用功能 **fseek()***  *## [*249 哪个关键字可以用来确定数据类型或变量的大小？*](#qus_collapse248)*T7】*

 ***‘Sizeof’**关键字用于计算变量或数据类型的大小。*  *## [*250 在预处理的时候宏发生了什么？*](#qus_collapse249)*T7】*

 *它会膨胀*  *## [*251 当我们必须有限次地执行一组语句时，可以使用哪个循环？*](#qus_collapse250)*T7】*

 ***用于循环***  *## [*252 指针上允许哪些操作？*](#qus_collapse251)*T7】*

 *1.  比较
2.  加法/减法(不包括空指针)*  *## [*253 下一行可以用哪个运算符继续宏的定义？*](#qus_collapse252)*T7】*

 *反斜杠(\)*  *## [*254 定义弦长？*](#qus_collapse253)*T7】*

 *字符串的长度是该字符串中存在的字符数，除了代表字符串结尾的空字符“\0”。*  *## [*255 宏什么时候在 C 中展开的？*](#qus_collapse254)*T7】*

 *在预处理时。*  *## [*256 有哪些保留字？举个例子？*](#qus_collapse255)*T7】*

 *保留词是那些属于 C 语言标准库的词，它们也被称为关键词。保留字有特殊的意义和目的，不能用于其他任何目的。例如 Int、Void、Return 等。

在 C 语言中，我们有 32 个关键词。*  *## [*257C 程序中的哪个函数用于将任何字母转换为大写模式？*](#qus_collapse256)*T7】*

 ***Toupper()** 功能*  *## [*258C 程序中用哪个内置函数来排序数据？*](#qus_collapse257)*T7】*

 ***qsort()** 功能*  *## [*259C 语言是用哪种语言开发出来的？*](#qus_collapse258)*T7】*

 *汇编级语言*  *## [*260 用 C 程序解释汇编程序？*](#qus_collapse259)*T7】*

 *汇编程序是将汇编级程序转换成机器级程序以供执行的程序。它将基本操作和所有内容转换成机器语言。*  *## [*261 翻译的功能是什么？*](#qus_collapse260)*T7】*

 *它将源代码转换成中间代码，然后一个接一个地执行这些代码。解释器一步一步地运行代码，这意味着只有在执行了一步之后，它才会进入下一步。*  *## [*262 解释面向对象编程语言？*](#qus_collapse261)*T7】*

 *在面向对象编程中，程序被划分为对象，主要关注被操作的数据，而不是函数。对象是具有唯一属性的数据。*  *## [*263 数据类型有哪些特点？*](#qus_collapse262)*T7】*

 *1.  数据类型用于定义变量。
2.  它决定变量、常量和数组的大小
3.  它是一种数据存储格式，变量可以在其中存储数据。*  *## [*264C 语言中一个函数可以传递多少个参数有限制吗？*](#qus_collapse263)*T7】*

 *不，没有这样的限制。任何数量的参数都可以传递给函数。*  *## [*265 解释退出()功能在 C？*](#qus_collapse264)*T7】*

 *`Exit()`正常停止程序，并将状态代码恢复到父程序。*  *## [*266 我们能在 C 程序中多次调用‘atexit()’吗？*](#qus_collapse265)*T7】*

 *语句为 **True** ，我们可以在一个程序中多次调用‘atexit’函数，。但是执行将会是相反的顺序。*  *## [*267 哪个预处理器用来检查宏是否在 C 语言中定义？*](#qus_collapse266)*T7】*

 *我们可以使用“#ifdef”预处理器来检查宏是否已定义。*  *## [*268 程序员获得所需输出应该遵循哪些步骤？*](#qus_collapse267)*T7】*

 *1.  创造
2.  编制
3.  执行
4.  获取输出*  *## [*269 解释主功能在 c 中有什么用？*](#qus_collapse268)*T7】*

 *在 C 语言中，程序从主函数开始执行。主函数包含两个主要的子部分，称为声明部分和可执行部分*  *## [*270 解释链接部分在 C 程序中的重要性？*](#qus_collapse269)*T7】*

 *链接部分非常重要，它给出了编译器链接标准系统库中的函数的指令。*  *## [*271 列出派生数据类型的例子？*](#qus_collapse270)*T7】*

 *1.  指针
2.  排列
3.  结构
4.  联合*  *## [*272C 中的`Free()`函数有什么用？*](#qus_collapse271)*T7】*

 *Free 是一个用于释放内存的函数，内存是使用 Malloc、Realloc、Calloc、Free 这些函数中的任何一个动态分配的，将这个释放的内存添加到系统中。*  *## [*273 什么是标识符？*](#qus_collapse272)*T7】*

 *在 C 程序中，包括程序元素。C 程序中的每个程序元素都被称为标识符。函数、数组是标识符的例子*  *## [*274C 程序中解释数组？。阵列有哪些不同类型？*](#qus_collapse273)*T7】*

 *数组是一种数据类型，用于在序列内存位置存储相同数据类型的变量集合。不能在程序中修改数组大小，数组的类型有:

1.  一维数组
2.  二维阵列
3.  三维阵列*  *## [*275 哪种阵列也被称为“阵列阵列”*](#qus_collapse274)

 *二维阵列*  *## [*276 解释什么是 C 中的字符串？*](#qus_collapse275)*T7】*

 *字符串是构成数组的字符序列，以空字符(“\0”)结尾。它们总是用双引号括起来。*  *## [*277 用 C 解释存储类说明符？存储类说明符的类型有哪些？*](#qus_collapse276)*T7】*

 *这是一种让编译器理解的说明符

1.  变量的存储位置
2.  变量是如何存储的
3.  变量的初始值
4.  变量的寿命或范围。

不同类型的存储类说明符有:

*   汽车
*   走读生
*   静态
*   注册*  *## [*278 用 C 语言解释算术函数？*](#qus_collapse277)*T7】*

 *设计用来进行数学运算的函数在 C 语言中被称为算术函数。例如

*   日志()
*   sin()
*   cos()
*   tan()
*   功率()
*   trunc()*  *## [*279 解释病例对照陈述？案例控制语句有哪些不同类型？*](#qus_collapse278)*T7】*

 *案例控制语句只是用于执行一系列块中唯一的语句块的语句。不同类型的案例控制语句有:

1.  转换
2.  破裂
3.  继续
4.  转到*  *## [*280 解释三元运算符在 C 中的作用？*](#qus_collapse279)*T7】*

 *三元运算符也称为条件运算符。如果条件为真，此运算符还原一个值，如果条件为假，则还原另一个值。****************************************************************************************************************************************************************************************************************************************************************************************