# `assert()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/assert>

void `assert()`不是一个函数，而是一个由 C 标准库提供的宏。它有助于将诊断添加到我们的 C 程序中。如果程序所做的假设为假，`assert()`将打印一条诊断消息。

```c
 **void assert(int expression);** #where expression can be a variable or any C expression 

```

## 断言()参数:

`assert()`接受整数类型参数。如果表达式的结果为真，则`assert()`不执行任何操作。如果表达式结果为假，则它在 stderr 上显示一条错误消息，并且  程序执行  被中止。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 表示 | 变量或任何 C 表达式 | 需要 |

## 断言()返回值

此宏不返回值。

## `assert()`的示例

### 示例`assert()`宏在 C 语言中是如何工作的？

```c
 #include <assert.h>
#include <stdio.h>
int main () {
   int x;
   char string[50];

   printf("Please enter an integer value: ");
   scanf("%d", &x);
   assert(x >= 10);
   printf("Entered integer value is %d\n", x);

   printf("Please enter a string: ");
   scanf("%s", string);
   assert(string != NULL);
   printf("Entered string is: %s\n", string);

   return(0);
} 

```

**输出:**

```c
 Please enter an integer value: 5
Entered integer value is 5
Please enter a string: Programming
Entered string is: Programming 
```

### 示例 2:断言()在 C 程序中的工作。

```c
 #include <stdio.h>
#include <assert.h>

int main(int argc, const char * argv[])
{

    int expres = 1;
    printf("Expression is %d\n", expres);

    /* Assert should not exit in this case since exp is not 0  */
    assert(expres);
    expres= 0;
    printf("Expression is %d\n", expres);
    assert(expres);
    return 0;
} 

```

**输出:**

```c
 Expression is 1
Expression is 0
assert: assert.c:24: main: Assertion `expres' failed.
Aborted (core dumped) 
```