# C `isalpha()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isalpha>

在 ctype.h 头文件中定义的`isalpha()`函数。它有助于检查指定的字符是否是字母(A 到 Z 和 A-Z)。

```c
 **int isalpha(int argument);** #where argument will be a character 

```

## `isalpha()`参数:

`isalpha()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isalpha()`返回值

如果给定的字符是字母表，`isalpha()`将返回一个非零整数或零。当一个字母字符被传递时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是字母表 |
| 非零数字 | 如果参数是字母表 |

## Python 中`isalpha()`方法的示例

### 示例 1:在 C 语言中使用`isalpha()`函数

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;
    ch = 'A';
    printf("\nIf uppercase alphabet is passed: %d", isalpha(ch));

    ch = 'a';
    printf("\nIf lowercase alphabet is passed: %d", isalpha(ch));

    ch='+';
    printf("\nIf non-alphabetic character is passed: %d", isalpha(ch));

    return 0;
} 

```

**输出:**

```c
 If uppercase alphabet is passed: 1
If lowercase alphabet is passed: 2
If non-alphabetic character is passed: 0 
```

### 示例`isalpha()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    printf("Please enter a character: ");
    scanf("%c", &ch;);

    if (isalpha(ch) == 0)
         printf("The given %c is not an alphabet.", ch);
    else
         printf("The given %c is an alphabet.", ch);

    return 0;
} 

```

**输出:**

```c
 Please enter a character: 10
The given 10 is not an alphabet. 
```