# C `iscntrl()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/iscntrl>

ctype.h 头文件中定义的`iscntrl()`函数。此功能有助于检查指定字符是否为控制字符。根据标准 ASCII 字符集，控制字符位于 ASCII 码 0x00 (NUL)、0x1f(美国)和 0x7f (DEL)之间。另外，我们可以说控制字符是那些不能在屏幕上打印的字符。例如退格、转义、换行符等。

```c
 **int iscntrl(int argument);** #where argument will be a character 

```

## `iscntrl()`参数:

`iscntrl()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `iscntrl()`返回值

如果给定字符是控制字符，`iscntrl()`将返回非零整数或零。当控制字符被传递时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是控制字符 |
| 非零数字 | 如果参数是控制字符 |

## `iscntrl()`的示例

### 例 1:如何检查 C 语言中的控制字符？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;
    int output;

    ch = 'A';
    output = iscntrl(ch);
    printf("If %c is passed to iscntrl() = %d\n", ch, output);

    ch = '\n';
    output = iscntrl(ch);
    printf("If %c is passed to iscntrl() = %d", ch, output);

    return 0;
} 

```

**输出:**

```c
 If A is passed to iscntrl() = 0
If
 is passed to iscntrl() = 1 
```

### 示例 2:传递超出范围的整数

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    int x;

    printf("The ASCII value of all control characters are:\n");
    for (x=0; x<=127; ++x)
    {
        if (iscntrl(x)!=0)
            printf("%d ", x);
    }
    return 0;
} 

```

**输出:**

```c
 The ASCII value of all control characters are:
0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 127 
```