# C `isdigit()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isdigit>

ctype.h 头文件中定义的`isdigit()`函数。它有助于检查指定的字符是十进制数字还是数字(0-9)。

```c
 **int isdigit( int argument );** #where argument will be a character 

```

## `isdigit()`参数:

`isdigit()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isdigit()`返回值

如果给定字符是数字字符，`isdigit()`将返回非零整数或零。当传递数字字符时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是数字字符 |
| 非零数字 | 如果参数是数字字符 |

## Python 中`isdigit()`方法的示例

### 例 1:如何检查 C 语言中的数字字符？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;
    ch='4';
    printf("If numeric character is passed: %d", isdigit(ch));

    ch='+';
    printf("\nIf non-numeric character is passed: %d", isdigit(ch));

    return 0;
} 

```

**输出:**

```c
 If numeric character is passed: 1
If non-numeric character is passed: 0 
```

### 例 2:如何检查字符是否为数字？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;

    printf("Enter any character: ");
    scanf("%c",&ch);

    if (isdigit(ch) == 0)
         printf("The given %c is not a digit.",ch);
    else
         printf("The given %c is a digit.",ch);
    return 0;
} 

```

**输出:**

```c
 Enter any character: 4
The given 4 is a digit. 
```