# C `isgraph()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isgraph>

在 ctype.h 头文件中定义的`isgraph()`函数。该功能有助于检查指定字符是否为图形字符。这些字符被称为图形字符，它们有一个图形表示，这意味着除了空白字符之外的所有字符都可以打印。

```c
 **int isgraph(int argument);** #where argument will be a character 

```

## `isgraph()`参数:

`isgraph()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isgraph()`返回值

如果给定字符是图形字符，`isgraph()`将返回非零整数或零。当图形字符被传递时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是图形字符 |
| 非零数字 | 如果参数是图形字符 |

## `isgraph()`的示例

### 例 1:如何检查 C 语言中的图形字符？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;
    int output;

    ch = ' ';
    output = isgraph(ch);
    printf("If %c is passed to isgraph() = %d\n", ch, output);

    ch = '\n';
    output = isgraph(ch);
    printf("If %c is passed to isgraph() = %d\n", ch, output);

    ch = '4';
    output = isgraph(ch);
    printf("If %c is passed to isgraph() = %d\n", ch, output); 
} 

```

**输出:**

```c
 If   is passed to isgraph() = 0
If 
If 4 is passed to isgraph() = 1 
```

### 示例 2:使用`isgraph()`打印所有图形字符

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    int k;
    printf("All graphic characters are: \n");
    for (k=0;k<=127;++k)
    {
        if (isgraph(k)!=0)
            printf("%c ",k);
    }
    return 0;
} 

```

**输出:**

```c
 All graphic characters are: 
! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 6 7 8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ] ^ _ ` a b c d e f g h i j k l m n o p q r s t u v w x y z { | } ~ 
```