# C `islower()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/islower>

在 ctype.h 头文件中定义的`islower()`函数。它有助于检查指定的字符是否是小写字母(a-z)。

```c
 **int islower( int argument );** #where argument will be a character 

```

## `islower()`参数:

`islower()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `islower()`返回值

如果给定字符是小写字母，`islower()`将返回非零整数或零。当传递一个小写字母字符时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是小写字母 |
| 非零数字 | 如果参数是小写字母 |

## `islower()`的示例

### 示例 1:C 语言中`islower()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    ch='a';
    printf("If %c is passed to islower(): %d", ch, islower(ch));

    c='A';
    printf("\nIf %c is passed to islower(): %d", ch, islower(ch));

    return 0;
} 

```

**输出:**

```c
 If a is passed to islower(): 2
If A is passed to is islower(): 0 
```

### 示例`islower()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    printf("Please enter a character: ");
    scanf("%c", &ch);

    if (islower(ch) == 0)
         printf("The given %c is not a lowercase alphabet.", ch);
    else
         printf("The given %c is a lowercase alphabet.", ch);

    return 0;
} 

```

**输出:**

```c
 Please enter a character: h
The given h is a lowercase alphabet. 
```