# C `isprint()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isprint>

在 ctype.h 头文件中定义的`isprint()`函数。检查指定的字符是否为可打印字符很有帮助。可打印字符是那些占据打印空间的字符，我们可以说它与控制字符正好相反。

```c
 **int isprint( int argument );** #where argument will be a character 

```

## `isprint()`参数:

`isprint()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isprint()`返回值

如果给定字符是可打印字符，`isprint()`将返回非零整数或零。当一个可打印的字符被传递时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不可打印 |
| 非零数字 | 如果参数是可打印的 |

## Python 中`isprint()`方法的示例

### 示例 1:C 语言中`isprint()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    ch = 'A';
    printf("If printable character %c is passed to isprint(): %d", ch, isprint(ch));

    c = '\n';
    printf("\nIf control character %c is passed to isprint(): %d", ch, isprint(ch));

    return 0;
} 

```

**输出:**

```c
 If printable character A is passed to isprint(): 1
If a control character 
 is passed to isprint(): 0 
```

### 示例 2:使用`isprint()`打印所有可打印字符？

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
   int k;
   printf("All printable characters are:");
   for(k = 1; k <= 127; ++k)
    if (isprint(k)!= 0)
             printf("%c ", k);
   return 0;
} 

```

**输出:**

```c
 All printable characters are: 
  ! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 6 7 8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ] ^ _ ` a b c d e f g h i j k l m n o p q r s t u v w x y z { | } ~ 
```