# C `ispunct()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/ispunct>

在 ctype.h 头文件中定义的`ispunct()`函数。检查指定的字符是否是标点符号是有帮助的。标点符号是那些有图形字符但没有字母数字字符的字符。

```c
 **int ispunct(int argument);** #where argument will be a character 

```

## `ispunct()`参数:

`ispunct()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `ispunct()`返回值

如果给定的字符是标点符号，`ispunct()`将返回一个非零整数或零。当一个标点符号被传递时，我们会得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是标点符号 |
| 非零数字 | 如果参数是标点符号 |

## ispunct 的示例()

### 示例 1:C 语言中`ispunct()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main() {
   char ch;
   int output;

   ch = ':';
   output = ispunct(ch);

   if (output == 0) {
      printf("The given %c is not a punctuation", ch);
   } else {
      printf("The given %c is a punctuation", ch);
   }

   return 0;
} 

```

**输出:**

```c
 The given : is a punctuation 
```

### 示例 2:如何打印所有标点符号？

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    int k;
    printf("All punctuations in C: \n");

    // Through all ASCII characters
    for (k = 0; k <= 127; ++k)
        if(ispunct(k)!= 0)
            printf("%c ", k);
    return 0; 

```

**输出:**

```c
 All punctuations in C: 
! " # $ % & ' ( ) * + , - . / : ; < = > ? @ [ \ ] ^ _ ` { | } ~ 
```