# C `isspace()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isspace>

在 ctype.h 头文件中定义的`isspace()`函数。检查指定字符是否为空白字符会有所帮助。

```c
 **int isspace(int argument);** #where argument will be a character 

```

## `isspace()`参数:

`isspace()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。空白字符是，

*   空间
*   \n' -换行符
*   \t' -水平选项卡
*   \v' -垂直选项卡
*   \f' -表单源
*   \r' - Carraige 返回

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isspace()`返回值

如果给定的字符是空白字符，`isspace()`将返回非零整数或零。当传递一个空白字符时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是空格 |
| 非零数字 | 如果参数是空格 |

## `isspace()`示例

### 示例`isspace()`函数在 C 语言中的工作

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;
    int output;

    printf("Please enter a character: ");
    scanf("%c", &ch;);

    output = isspace(ch);

    if (output == 0)
    {
        printf("The given character is not a white-space.");
    }
    else
    {
        printf("The given character is a white-space.");
    }

    return 0;
} 

```

**输出:**

```c
 Please enter a character: 7
The given character is not a white-space. 
```

### 例`isspace()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main() {
   char ch;
   int output;

   ch = '\n';
   output = isspace(c);

   if (output == 0) {
      printf("%c is not a white-space", ch);
   } else {
      printf("%c is a white-space", ch);
   }

   return 0;
} 

```

**输出:**

```c
 \n is a white-space 
```