# C `isupper()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isupper>

在 ctype.h 头文件中定义的`isupper()`函数。它有助于检查指定的字符是否是大写字母(A-Z)。

```c
 **int isupper(int argument);** #where argument will be a character 

```

## `isupper()`参数:

`isupper()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isupper()`返回值

如果给定的字符是大写字母，`isupper()`将返回一个非零整数或零。当传递一个大写字母字符时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是大写字母 |
| 非零数字 | 如果参数是大写字母 |

## `isupper()`的示例

### 示例 1:C 语言中`isupper()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    ch='A';
    printf("If %c is passed to isupper(): %d", ch, isupper(ch));

    c='a';
    printf("\nIf %c is passed to isupper(): %d", ch, isupper(ch));

    return 0;
} 

```

**输出:**

```c
 If A is passed to isupper(): 1
If a is passed to isupper(): 0 
```

### 示例`isupper()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch;

    printf("Please enter a character: ");
    scanf("%c", &ch);

    if (isupper(ch) == 0)
         printf("The given %c is not an uppercase alphabet.", ch);
    else
         printf("The given %c is an uppercase alphabet.", ch);

    return 0;
} 

```

**输出:**

```c
 Please enter a character: H
The given H is a uppercase alphabet. 
```