# C `isxdigit()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/isxdigit>

ctype.h 头文件中定义的`isxdigit()`函数。检查指定的字符是否是十六进制数字(0-9，a-f，A-F)有帮助。

```c
 **int isxdigit( int argument );** #where argument will be a character 

```

## `isxdigit()`参数:

`isxdigit()`函数采用单个参数，并且是整数形式，返回值应该是整数。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 要检查的字符 | 需要 |

## `isxdigit()`返回值

如果给定的字符是十六进制字符，`isxdigit()`将返回非零整数或零。当传递十六进制字符时，我们将得到一个不同的非零整数。

| 投入 | 返回值 |
| 零 | 如果参数不是十六进制字符 |
| 非零数字 | 如果参数是十六进制字符 |

## `isxdigit()`的示例

### 例 1:如何检查 C 语言中的十六进制字符？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;
    ch='5';
    // hexadecimal character
    printf("If a hexadecimal character is passed: %d", isxdigit(ch));

    ch='+';
    // non-hexadecimal character
    printf("\nIf a non-hexadecimal character is passed: %d", isxdigit(ch));

    return 0;
} 

```

**输出:**

```c
 If a hexadecimal character is passed: 128
If a non-hexadecimal character is passed: 0 
```

### 例 2:如何检查字符是否为`hexadecimal`？

```c
 #include <stdio.h>
#include <ctype.h>

int main()
{
    char ch;

    printf("Enter any character: ");
    scanf("%c",&ch);

    if (isxdigit(ch) == 0)
         printf("The given %c is not a hexadecimal.",ch);
    else
         printf("The given %c is a hexadecimal.",ch);
    return 0;
} 

```

**输出:**

```c
 Enter any character: 4
The given 4 is a hexadecimal. 
```