# C `tolower()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/tolower>

ctype.h 头文件中定义的`tolower()`函数。它有助于将给定的大写字符转换为小写字符。

```c
 **int tolower(int argument);** #where argument will be a character 

```

## `tolower()`参数:

`tolower()`函数采用单个参数，并且是整数形式。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 该字符需要转换 | 需要 |

## `tolower()`返回值

该函数将给定的大写字符转换为小写字符。该值作为可隐式转换为 char 的 int 值返回。如果传递的参数不是大写字母，它将返回相同的传递字符。

| 投入 | 返回值 |
| 大写字符 | 对应的小写字符 |
| 小写字符或非字母字符 | 角色本身 |

## `tolower()`示例

### 示例 1:C 语言中`tolower()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch, output;

    ch = 'A';
    output = tolower(ch);
    printf("tolower(%c) = %c\n", ch, output);

    ch = 'a';
    output = tolower(ch);
    printf("tolower(%c) = %c\n", ch, output);

    ch = '+';
    output = tolower(ch);
    printf("tolower(%c) = %c\n", ch, output);

    return 0;
} 

```

**输出:**

```c
 tolower(A) = a
tolower(a) = a
tolower(+) = + 
```

### 示例`tolower()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main () {
   int k = 0;
   char ch;
   char st[] = "PROGRAMMING";

   while( st[k] ) {
      putchar(tolower(st[k]));
      k++;
   }

   return(0);
} 

```

**输出:**

```c
 programming 
```