# C `toupper()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/toupper>

ctype.h 头文件中定义的`toupper()`函数。它有助于将给定的小写字符转换为大写字符。

```c
 **int toupper(int argument);** #where argument will be a character 

```

## `toupper()`参数:

`toupper()`函数采用单个参数，并且是整数形式。当一个字符被传递时，它被转换成与其 ASCII 值相对应的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 该字符需要转换 | 需要 |

## `toupper()`返回值

该函数将给定的小写字符转换为大写字符。该值作为可隐式转换为 char 的 int 值返回。如果传递的参数不是小写字母，它将返回相同的传递字符。

| 投入 | 返回值 |
| 小写字符 | 对应的大写字符 |
| 大写字符或非字母字符 | 角色本身 |

## `toupper()`的示例

### 示例 1:C 语言中`toupper()`函数的工作原理

```c
 #include <stdio.h>
#include <ctype.h>
int main()
{
    char ch, output;

    ch = 'A';
    output = toupper(ch);
    printf("toupper(%c) = %c\n", ch, output);

    ch = 'a';
    output = toupper(ch);
    printf("toupper(%c) = %c\n", ch, output);

    ch = '+';
    output = toupper(ch);
    printf("toupper(%c) = %c\n", ch, output);

    return 0;
} 

```

**输出:**

```c
 toupper(A) = A
toupper(a) = A
toupper(+) = + 
```

### 例`toupper()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <ctype.h>
int main () {
   int k = 0;
   char ch;
   char st[] = "programming";

   while( st[k]) {
      putchar(toupper(st[k]));
      k++;
   }

   return(0);
} 

```

**输出:**

```c
 PROGRAMMING 
```