# C `asinh()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/asinh>

在 math.h 头文件中定义的`asinh()`函数。它有助于以弧度为单位返回给定数字的弧形双曲正弦值。弧形双曲正弦表示反双曲正弦值。

```c
 **double asinh (double x);** #where x should be in double 

```

另外，`asinhf()`和`asinhf()`两个函数分别用于类型 float 和 long double。

```c
 **float asinhf(float x);** 
**long double asinhl(long double x);** 

```

## `asinh()`参数:

`asinh()`函数接受从负到正的任何值范围内的单个参数。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的弧形双曲正弦。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 从负到正的任何双精度值 | 需要 |

## `asinh()`返回值

`asinh()`函数的返回值是以弧度为单位的 double 类型。

| 投入 | 返回值 |
| 从负到正的任何值 | 弧度值的两倍 |

## `asinh()`的示例

### 例 1:在 C 语言中使用`asinh()`函数？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.141592654
int main()
{
 float n = 8.0;
 double output;
 output = asinh(n);

 printf("The Inverse of sinh(%.2f) = %.2f in radians", n, output);
 //radians to degree  Convertion
 output=(output*180)/PI;
 printf("\nThe Inverse of sinh(%.2f) = %.2f in degrees", n, output);
 return 0; 

```

**输出:**

```c
 The Inverse of sinh(8.00)=2.78 in radians
The Inverse of sinh(8.00)=159.08 in degrees 
```

### 例`asinh()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main (){
  printf("%lf\n", asinh(0));
  printf("%lf\n", asinh(2));
  printf("%lf\n", asinh(4));
  return 0;
} 

```

**输出:**

```c
 0.000000
1.443635
2.094713 
```