# C `atan()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/atan>

math.h 头文件中定义的`atan()`函数。它有助于返回给定弧度数的反正切值。

```c
 **double atan(double x);** #where x should be a double 

```

## `atan()`参数:

`atan()`函数接受从负到正的任何值范围内的单个参数。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的`atan()`。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 从负到正的任何双精度值 | 需要 |

## `atan()`返回值

`atan()`函数的返回值在弧度[-pi/2，+pi/2]的范围内。

| 投入 | 返回值 |
| x = [-1，+1] | [-pi/2，+pi/2]弧度 |
| -1 > x 或 x > 1 | NaN(不是数字) |

## `atan()`的示例

### 例`atan()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.141592654

int main()
{
    double n = 1.0;
    double output;

    output = atan(n);

    printf("The Inverse of tan(%.2f) is equal to %.2f in radians", n, output);

    // Converting radians to degrees
    output = (output * 180) / PI;
    printf("\nThe Inverse of tan(%.2f) is equal to %.2f in degrees", n, output);

    return 0;
} 

```

**输出:**

```c
 The Inverse of tan(1.00) is equal to 0.79 in radians
The Inverse of tan(1.00) is equal to 45 in degrees 
```

### 例`asinh()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   double v, out, value;
   v = 1.0;
   value = 180.0 / PI;

   out = atan (v) * value;
   printf("The arc tangent of %lf is %lf degrees", v, out);

   return(0);
} 

```

**输出:**

```c
 The arc tangent of 1.000000 is 45.000000 degrees 
```