# C `atanh()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/atanh>

math.h 头文件中定义的`atanh()`函数。它有助于以弧度为单位返回给定数字的圆弧双曲正切值。圆弧双曲正切表示反双曲正切值。

```c
 **double atanh(double x);** #where x can be in int, float or long double 

```

此外，两个函数`atanhf()`和`atanhf()`分别用于类型 float 和 long double。

```c
 **float atanhf(float x);** 
**long double atanhl(long double x);** 

```

## 参数:

`atanh()`函数接受范围(-1 ≤ x ≥ 1)内的单个参数。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的弧双曲正切值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 大于或等于 1 的双精度值(-1 ≤ x ≥ 1) | 需要 |

## `atanh()`返回值

`atanh()`函数的返回值是一个区间[-pi/2，+pi/2]弧度的数字。

| 投入 | 返回值 |
| -1 ≤ x ≥ 1 | [-pi/2，+pi/2]弧度 |
| -1 > x | NaN(不是数字) |

## `atanh()`的示例

### 例`atanh()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
int main()
{

    const double PI =  3.1415926;
    double v, output;

    v =  -0.5;
    output = atanh(v);
    printf("The atanh(%.2f) is equal to %.2lf in radians\n", v, output);

    // converting radians to degree
    output = atanh(v)*180/PI;
    printf("The atanh(%.2f) is equal to %.2lf in degrees\n", v, output);

    // parameter not in range
    v = 3;
    output = atanh(v);
    printf("The atanh(%.2f) is equal to %.2lf", v, output);

    return 0;
} 

```

**输出:**

```c
 The atanh(-0.50) is equal to -0.55 in radians
The atanh(-0.50) is equal to -31.47 in degrees
The atanh(3.00) is equal to nan 
```

### 例`atanh()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main (){
  printf("%lf\n", atanh(0.1));
  printf("%lf\n", atanh(0.5));
  printf("%lf\n", atanh(2));
  return 0;
} 

```

**输出:**

```c
 0.100335
0.549306
-nan 
```