# C `sin()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/sin>

在 math.h 头文件中定义的`sin()`函数。它有助于返回给定弧度值的正弦值。

```c
 **double sin(double x)** #where x can be in int, float or long double 

```

## `sin()`参数:

`sin()`函数接受单个参数，该参数是一个表示以弧度表示的角度的值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 双精度值以弧度表示角度 | 需要 |

## `sin()`返回值

`sin()`函数的返回值是 1 到-1 之间的数字。

| 投入 | 返回值 |
| -1 | 大于或等于 0 的数字 |
| x < -1 | NaN(不是数字) |

## 罪恶的例子()

### 例 1:C 中`sin()`函数的工作原理？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
    double v;
    double output;

    v = 2.3;
    output = sin(v);
    printf("sin(%.2lf) = %.2lf\n", v, output);

    v = -2.3;
    output = sin(v);
    printf("sin(%.2lf) = %.2lf\n", v, output);

    v = 0;
    output = sin(v);
    printf("sin(%.2lf) = %.2lf\n", v, output);

    return 0;
} 

```

**输出:**

```c
 sin(2.30) = 0.75
sin(-2.30) = -0.75
sin(0.00) = 0.00 
```

### 例`sin()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.14159265

int main () {
   double v, out, value;

   v = 45.0;
   value = PI / 180;
   out = sin(v*value);
   printf("The sine value of %lf is %lf degrees", v, out);

   return(0);
} 

```

**输出:**

```c
 The sine value of 45.000000 degrees is 0.707107 
```