# C `cos()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/cos>

在 math.h 头文件中定义的`cos()`函数。它有助于返回给定弧度值的余弦值。

```c
 **double cos(double x);** #where x can be in int, float or long double 

```

此外，两个函数`cosf()`和`cosf()`分别用于类型 float 和 long double。

```c
 **float cosf(float x);** 
**long double cosl(long double x);** 

```

## `cos()`参数:

`cos()`函数接受单个参数，该参数是表示以弧度表示的角度的值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 双精度值以弧度表示角度 | 需要 |

## `cos()`返回值

`cos()`函数的返回值是 1 到-1 之间的数字。

| 投入 | 返回值 |
| -1 | 大于或等于 0 的数字 |
| x < -1 | NaN(不是数字) |

## cos 的示例()

### 例`cos()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.14159265

int main () {
   double v, out, value;

   v = 60.0;
   value = PI / 180.0;
   out = cos( v*value );
   printf("Cosine value of %lf is %lf degrees\n", v, out);

   v = 90.0;
   value = PI / 180.0;
   out = cos( v*value );
   printf("Cosine value of %lf is %lf degrees\n", v, out);

   return(0);
} 

```

**输出:**

```c
 Cosine value of 60.000000 is 0.500000 degrees
Cosine value of 90.000000 is 0.000000 degrees 
```

### 例`cos()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.14159265

int main()
{
   double pr = 30, output;

   // Converting to radian
   pr = (pr * PI) / 180;
   output = cos(pr);

   printf("The cos value of %.2lf radian = %.2lf", pr, output);

   return 0;
} 

```

**输出:**

```c
 The cos value of 0.52 radian = 0.87 
```