# C `tan()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/tan>

在 math.h 头文件中定义的`tan()`函数。它有助于返回给定弧度值的正切值。

```c
 **double tan(double x)** #where x can be in int, float or long double 

```

## `tan()`参数:

`tan()`函数接受单个参数，该参数是表示以弧度表示的角度的值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 双精度值以弧度表示角度 | 需要 |

## `tan()`返回值

`tan()`函数的返回值是一个介于 1 和-1 之间的数字。

| 投入 | 返回值 |
| -1 | 大于或等于 0 的数字 |
| x < -1 | NaN(不是数字) |

## `tan()`的示例

### 例`tan()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.14159265

int main () {
    double v;
    double output;

    v = 2.3;
    output = tan(v);
    printf("The value of tan(%.2lf) = %.2lf\n", v, output);

    v = -2.3;
    output = tan(v);
    printf("The value of tan(%.2lf) = %.2lf\n", v, output);

    v = 0;
    output = tan(v);
    printf("The value of tan(%.2lf) = %.2lf\n", v, output);

    return 0;
} 

```

**输出:**

```c
 The value of tan(2.30) = -1.12
The value of tan(-2.30) = 1.12
The value of tan(0.00) = 0.00 
```

### 例`tan()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>

int main () {
    double A=0.5,B=1;
    printf("The tangent value of %f is:%f\n",A,tan(A));
    printf("The tangent value of %f is:%f\n",B,tan(B));
    return 0;
} 

```

**输出:**

```c
 The tangent value of 0.500000 is: 0.546302
The tangent value of 1.000000 is: 1.557408 
```