# C `sinh()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/sinh>

在 math.h 头文件中定义的`sinh()`函数。它有助于返回给定弧度数的双曲正弦值。

```c
 **double sinh( double x );** #where x should be in double 

```

另外，`sinhf()`和`sinhf()`两个函数分别用于 float 类型和 long double 类型。

```c
 **float sinhf(float x);** 
**long double sinhl(long double x);** 

```

## `sinh()`参数:

`sinh()`函数接受单个参数。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的双曲正弦值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 从负到正的任何双精度值 | 需要 |

## `sinh()`返回值

`sinh()`函数的返回值是以弧度为单位的 double 类型。

| 投入 | 返回值 |
| 从负到正的任何值 | 弧度值的两倍 |

## `sinh()`的示例

### 例`sinh()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.141592654
int main()
{
    double ang = 2.50, output;
    output = sinh(ang);
    printf("The Sine hyperbolic of %.2lf (in radians) is %.2lf", ang, output);
    return 0;
} 

```

**输出:**

```c
 The Sine hyperbolic of 2.50 (in radians) is 6.05 
```

### 例`sinh()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main (){
 double v, output;
   v = 0.5;

   output = sinh(v);
   printf("The hyperbolic sine of %lf is %lf degrees", v, output);

   return(0);
} 

```

**输出:**

```c
 The hyperbolic sine of 0.500000 is 0.521095 degrees 
```