# C `cosh()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/cosh>

在 math.h 头文件中定义的`cosh()`函数。它有助于返回给定弧度数的双曲余弦值。

```c
 **double cosh( double x );** #where x should be in double 

```

另外，两个函数`coshf()`和`coshf()`分别用于类型 float 和 long double。

```c
 **float coshf(float x);** 
**long double coshl(long double x);** 

```

## 参数:

`cosh()`函数接受单个参数。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的双曲余弦值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 从负到正的任何双精度值 | 需要 |

## `cosh()`返回值

`cosh()`函数的返回值是以弧度为单位的 double 类型。

| 投入 | 返回值 |
| 从负到正的任何值 | 弧度值的两倍 |

## `cosh()`的示例

### 例`cosh()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>

int main()
{
    double v, output;

    v = 0.5;
    output = cosh(v);
    printf("The Hyperbolic cosine of %lf (in radians) is %lf\n", v, output);

    v = -0.5;
    output = cosh(v);
    printf("The Hyperbolic cosine of %lf (in radians) is %lf\n", v, output);

    v = 0;
    output = cosh(v);
    printf("The Hyperbolic cosine of %lf (in radians) is %lf\n", v, output);

    v = 1.5;
    output = cosh(v);
    printf("The Hyperbolic cosine of %lf (in radians) is %lf\n", v, output);

    return 0;
} 

```

**输出:**

```c
 The Hyperbolic cosine of 0.500000 (in radians) is 1.127626
The Hyperbolic cosine of -0.500000 (in radians) is 1.127626
The Hyperbolic cosine of 0.000000 (in radians) is 1.000000
The Hyperbolic cosine of 1.500000 (in radians) is 2.352410 
```

### 例`cosh()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   double v;

   v = 1.0;
   printf("The hyperbolic cosine of %lf is %lf\n", v, cosh(v));

   return(0);
} 

```

**输出:**

```c
 The hyperbolic cosine of 1.000000 is 1.543081 
```