# C `atan2()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/atan2>

math.h 头文件中定义的`atan2()`函数。它有助于返回给定弧度数的反正切值。该函数采用两个参数“x 坐标”和“y 坐标”，并根据两个值的符号确定正确的象限。

```c
 **double atan2(double y, double x);** #where x &y are floating point values 

```

此外，两个函数`atan2f()`和`atan2f()`分别用于类型 float 和 long double。

```c
 **float atan2f(float y,float x);** 
**long double atan2l(long double y,long double x);** 

```

## `atan2()`参数:

`atan2()`函数有两个参数，它应该是任意数字，可以是正数，也可以是负数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| x | 代表 x- 坐标  的浮点值 | 需要 |
| y | 表示 y 坐标的浮点值 | 必选 |

## `atan2()`返回值

`atan2()`函数的返回值是以弧度表示的区间[-pi，+pi]中的一个数字。

| 投入 | 返回值 |
| 任何正数或负数 | 区间[-pi，+pi]中的一个数 |

## `atan2()`的示例

### 例`atan2()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.141592654

int main()
{
  double x, y, output;
  y = 2.53;
  x = -10.2;
  output = atan2(y, x);
  output = output * 180.0/PI;

  printf("The Tangent inverse for(x = %.1lf, y = %.1lf) is %.1lf degrees.", x, y, output);
  return 0;
} 

```

**输出:**

```c
 The Tangent inverse for(x = -10.2, y = 2.53) is 166.1 degrees. 
```

### 例`atan2()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
#define PI 3.14159265

int main () {
   double x, y, out, value;

   x = -7.0;
   y = 7.0;
   value = 180.0 / PI;

   out = atan2 (y,x) * value;
   printf("Arc tangent of x = %lf, y = %lf ", x, y);
   printf("is %lf degrees\n", out);

   return(0);
} 

```

**输出:**

```c
 Arc tangent of x = -7.000000, y = 7.000000 is 135.000000 degrees 
```