# C `exp()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/exp>

在 math.h 头文件中定义的`exp()`函数。它有助于将 **e** 提升到给定参数的幂。 **e** 的值等于 2.71828。

```c
 **double exp( double argument );** #where argument should be a double value 

```

## `exp()`参数:

`exp()`函数接受一个参数。C 编程中的 exp(x)等于 e <sup>x</sup> 的数学表示。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 争吵 | 双重价值 | 需要 |

## 经验值()返回值

`exp()`函数的返回值是给定参数的指数值，它应该是一个双精度值。

| 投入 | 返回值 |
| 赔偿损失时的加倍付给 | 双倍指数值 |

## `exp()`的示例

### 例`exp()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
int main() {
  double k = 12.0, output;
  output = exp(k);
  printf("The exponential value of %.2lf = %.2lf", k, output);
  return 0;
} 

```

**输出:**

```c
 The exponential value of 12.00 = 162754.79 
```

### 例`exp()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   double k = 0;

   printf("Exponential value of %lf is %lf\n", k, exp(k));
   printf("Exponential value of %lf is %lf\n", k+1, exp(k+1));
   printf("Exponential value of %lf is %lf\n", k+2, exp(k+2));

   return(0);
} 

```

**输出:**

```c
 Exponential value of 0.000000 is 1.000000
Exponential value of 1.000000 is 2.718282
Exponential value of 2.000000 is 7.389056 
```