# C `ceil()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/ceil>

math.h 头文件中定义的`ceil()`函数。它有助于返回大于或等于给定参数值的最小或最接近的整数值。

```c
 **double ceil( double x );** #where x should be in double 

```

此外，`ceilf()`和`ceilf()`两个函数分别用于类型 float 和 long double。

```c
 **float ceilf(float x);** 
**long double ceill(long double x);** 

```

## 天花板()参数:

`ceil()`函数接受双精度的单个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 需要找到最接近的整数 | 需要 |

## 上限()返回值

`ceil()`函数的返回值是整数。

| 投入 | 返回值 |
| 赔偿损失时的加倍付给 | 整数 |

## 天花板示例()

### 例 1:C 语言中`ceil()`函数的工作原理？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
   double N = 4.82;
   int ouput;

   ouput = ceil(N);
   printf("Ceiling integer of  given %.2f = %d", N, ouput);

   return 0;
} 

```

**输出:**

```c
 Ceiling integer of given 4.82 = 5 
```

### 例`ceil()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   float v1, v2, v3, v4;

   v1 = 3.5;
   v2 = 4.8;
   v3 = 5.3;
   v4 = 6.7;

   printf ("value1 = %.1lf\n", ceil(v1));
   printf ("value2 = %.1lf\n", ceil(v2));
   printf ("value3 = %.1lf\n", ceil(v3));
   printf ("value4 = %.1lf\n", ceil(v4));

   return(0);
} 

```

**输出:**

```c
 value1 = 4.0
value2 = 5.0
value3 = 6.0
value4 = 7.0 
```