# C `floor()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/floor>

math.h 头文件中定义的`floor()`函数。它有助于返回小于或等于给定参数值的最近整数值。

```c
 **double floor(double x)** #where x should be in double 

```

此外，`floorf()`和`floorf()`两个函数分别用于 float 和 long double 类型。

```c
 **float floorf(float x);** 
**long double floorl(long double x);** 

```

## 楼层()参数:

`floor()`函数接受一个双精度参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 需要找到其较小的最近整数 | 需要 |

## 楼层()返回值

`floor()`函数的返回值是一个整数。

| 投入 | 返回值 |
| 赔偿损失时的加倍付给 | 整数 |

## 地板示例()

### 例 1:C 语言中`floor()`函数的工作原理？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
   double N = 4.82;
   int ouput;

   ouput = floor(N);
   printf("Floor integer of  given %.2f = %d", N, ouput);

   return 0;
} 

```

**输出:**

```c
 Floor integer of given 4.82 = 4 
```

### 例`floor()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   float v1, v2, v3, v4;

   v1 = 3.5;
   v2 = 4.8;
   v3 = 5.3;
   v4 = 6.7;

   printf ("value1 = %.1lf\n", floor(v1));
   printf ("value2 = %.1lf\n", floor(v2));
   printf ("value3 = %.1lf\n", floor(v3));
   printf ("value4 = %.1lf\n", floor(v4));

   return(0);
} 

```

**输出:**

```c
 value1 = 3.0
value2 = 4.0
value3 = 5.0
value4 = 6.0 
```