# C `sqrt()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/sqrt>

`sqrt()`函数在 math.h 头文件中定义。它有助于返回给定参数的平方根。

```c
 **double sqrt(double x);** #where x should be in double 

```

另外，两个函数`sqrtf()`和`sqrtf()`分别用于类型 float 和 long double。

```c
 **float sqrtf(float x);** 
**long double sqrtl(long double x);** 

```

## `sqrt()`参数:

`sqrt()`函数接受一个双精度参数。我们可以显式地将类型转换为 double，以使用 cast 运算符找到 int、float 或 long double 类型的平方根。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 赔偿损失时的加倍付给 | 需要找到它的平方根 | 需要 |

## `sqrt()`返回值

`sqrt()`函数的返回值是一个双精度数字。

| 投入 | 返回值 |
| 赔偿损失时的加倍付给 | 平方根(双倍) |

## `sqrt()`的示例

### 例`sqrt()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
   double N = 25, squareR;

    squareR =  sqrt(N);
    printf("The Square root of given %lf is  %lf", N, squareR);

    return 0;
} 

```

**输出:**

```c
 The Square root of given 25.000000 is  5.000000 
```

### 例`sqrt()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   printf("The Square root of %lf is %lf\n", 4.0, sqrt(4.0) );
   printf("The Square root of %lf is %lf\n", 5.0, sqrt(5.0) );

   return(0);
} 

```

**输出:**

```c
 The Square root of 4.000000 is 2.000000
The Square root of 5.000000 is 2.236068 
```