# C `log()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/log>

在 math.h 头文件中定义的`log()`函数。它有助于返回给定参数值的自然对数(以 e 为底的对数)。

```c
 **double log(double x);** #where x should be in double 

```

另外，两个函数`logf()`和`logf()`分别用于类型 float 和 long double。

```c
 **float logf(float x);** 
**long double logl(long double x);** 

```

## 日志()参数:

`log()`函数接受一个双精度参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| x | 需要找到它的自然对数 | 需要 |

## 日志()返回值

`log()`函数的返回值是一个浮点数。

| 投入 | 返回值 |
| x > 0 | 查找参数的日志 |
| x < 0 | 显示运行时错误 |

## 日志示例()

### 例 1:C 语言中`log()`函数的工作原理？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
    double N = 5.6, output;

    output = log(N);
    printf("The value of log(%.1f) is %.2f", N, output);

    return 0;
} 

```

**输出:**

```c
 The value of log(5.6) is 1.72 
```

### 例`log()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   double k, out;
   k = 2.7;
   out = log(k);
   printf("The value of log(%lf) is %lf", k, out);
   return(0);

} 

```

**输出:**

```c
 The value of log(2.700000) = 0.993252 
```