# C `log10()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/log10>

在 math.h 头文件中定义的`log10()`函数。它有助于返回给定参数值的以 10 为底的对数。

```c
 **double log10(double x);** #where x should be in double 

```

另外，`log10f()`和`log10f()`两个函数分别用于 float 和 long double 类型。

```c
 **float log10f(float x);** 
**long double log10l(long double x);** 

```

## `log10()`参数:

`log10()`函数接受一个双精度参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| x | 需要找到以 10 为底的对数 | 需要 |

## `log10()`返回值

`log()`函数的返回值是一个浮点数。

| 投入 | 返回值 |
| x > 0 | 查找参数的日志 <sub>10</sub> |
| x < 0 | 显示运行时错误 |

## log10 的示例()

### 例`log10()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
    double N = 4.00, output;

    output = log10(N);
    printf("The value of log10(%.1f) is %.2f", N, output);

    return 0;
} 

```

**输出:**

```c
 The value of log10(4.0) is 0.60 
```

### 示例`log10()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   double k, out;
   k = 10000;
   out = log10(k);
   printf("The value of log10(%lf) is %lf", k, out);
   return(0);

} 

```

**输出:**

```c
 The value of log10(10000.000000) = 4.000000 
```