# C `pow()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/pow>

math.h 头文件中定义的`pow()`函数。它有助于将第一个参数(x)的值提升到第二个参数(y)的幂，即 x <sup>y</sup> 。

```c
 **double pow(double x, double y);** #where x & y should be in double 

```

## 功率()参数:

`pow()`函数接受一个双精度参数。在这个例子中，第一个参数是基值，第二个参数是幂值。使用 cast 运算符，我们可以显式地将类型转换为 double，以找到 int、float 或 long double 类型的幂。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| x | 基准数 | 需要 |
| y | 功率值 | 必选 |

## 功率()返回值

`pow()`函数返回值是一个浮点数。

| 投入 | 返回值 |
| x & y | 返回 x <sup>y</sup> |

## 功率示例()

### 例 1:C 语言中`power()`函数的工作原理？

```c
 #include <stdio.h>
#include <math.h>
int main()
{
    double B, P, output;

    printf("Enter the base number: ");
    scanf("%lf", &B);

    printf("Enter the power raised: ");
    scanf("%lf",&P);

    output = pow(B,P);

    printf("%.1lf^%.1lf = %.2lf", B, P, output);

    return 0;
} 

```

**输出:**

```c
 Enter the base number: 4.00
Enter the power raised: 2.00
4.00^2.00 = 16.00 
```

### 例 2:`power()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <math.h>
int main () {
   printf("Value 8.0 ^ 3 = %lf\n", pow(8.0, 3));

   printf("Value 3.05 ^ 1.98 = %lf", pow(3.05, 1.98));

   return(0);

} 

```

**输出:**

```c
 Value 8.0 ^ 3 = 512.000000
Value 3.05 ^ 1.98 = 9.097324 
```