# C `longjmp()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/longjmp>

setjmp.h 头文件中定义的`longjmp()`函数。它有助于恢复先前由`longjmp()`宏保存在“environment”中的栈环境，该宏在程序的同一调用中使用相应的参数 jmp_buf。

```c
 **void longjmp(jmp_buf environment, int value);** #where environment is the object 

```

## `longjmp()`参数:

`longjmp()`函数接受两个参数。当调用`longjmp()`时，接收对其值的控制的函数可用的所有变量。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 环境 | jmp_buf 类型的对象，包含在 setjmp 调用时恢复环境的信息。 | 需要 |
| 价值 | setjmp 表达式计算出的值 | 必选 |

## 返回值

`longjmp()`函数不返回值。

## `longjmp()`的示例

### 例 1:C 语言中`longjmp()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>
#include <setjmp.h>
int main () {
   int x;
   jmp_buf env;

   x = setjmp( env );

   if( x != 0 ) {
      printf("Output from a longjmp() with value as %s\n", x);
      exit(0);
   }
   printf("Function call\n");
   jmpfunction( env );

   return(0);
}

void jmpfunction(jmp_buf env) {
   longjmp(env, "Programming");
} 

```

**输出:**

```c
 Function call
Output from a longjmp() with value as Programming 
```

### 例 2:`power()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>
#include <setjmp.h>
jmp_buf env;

void output( void )
{
    printf( "About to longjmp\n" );
    longjmp( env, 14 );
}

int main( void )
{
    int value = 293;

    if( 0 == ( value = setjmp( env ) ) ) {
        printf( "After calling %d\n", value );
        rtn();
        printf( "Back from output %d\n", value );
    } else {
        printf( "Back from longjmp %d\n", value );
    }

    return EXIT_SUCCESS;
} 

```

**输出:**

```c
 After calling setjmp 0
About to longjmp
Back from longjmp 14 
```