# C `signal()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/signal>

signal.h 头文件中定义的`signal()`函数。用信号编号来处理信号是有帮助的。

```c
 **void (*signal(int sig, void (*func)(int)))(int);** #where sig should be in integer 

```

## 信号()参数:

`signal()`函数以一个信号数和一个函数作为参数。一些重要的标准信号数字是。

*   异常终止，如由函数引发的
*   错误的算术运算，如零除或导致溢出的运算
*   无效的函数图像，如非法指令。
*   互动注意信号。通常由应用程序用户生成。
*   对存储器的无效访问——当一个程序试图在分配给它的内存之外读写时。
*   终止请求发送到程序。

以下是预定义的函数

*   默认处理-信号由特定信号的默认操作处理。
*   忽略信号-信号被忽略。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 签名 | 设置了处理功能的信号编号。 | 需要 |
| 功能 | 这是一个指向函数的指针。这可以是程序员定义的函数 | 需要 |

## 信号()返回值

函数的作用是:返回前一个信号处理程序的值或出错时的 SIG_ERR。

| 投入 | 返回值 |
| if 参数 | 信号处理器的值 |

## 信号示例()

### 例 1:C 语言中`power()`函数的工作原理？

```c
 #include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <signal.h>
int main () {
   signal(SIGINT, handler);

   while(1) {
      printf("Going to sleep for a second...\n");
      sleep(1); 
   }
   return(0);
}

void handler(int SNo) {
   printf("Caught signal %d, coming out...\n", SNo);
   exit(1);
} 

```

**输出:**

```c
 Going to sleep for a second...
Going to sleep for a second...
Going to sleep for a second...
Going to sleep for a second...
Going to sleep for a second...
Caught signal 2, coming out... 
```

### 例`signal()`函数在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <signal.h>
int main()
{
    signal(SIGINT, handle_sigint);
    while (1)
    {
        printf(“signal processing\n”);
        sleep(1);
    }
    return 0;
} 

```

**输出:**

```c
 signal processing   
signal processing        
signal processing      
terminated 
```