# C `va_start()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/va_start>

`va_start()`是在 stdarg.h 头文件中定义的**宏**。这个**宏**帮助初始化“ap”指向的变量参数列表。此宏必须在`va_arg()`和`va_arg()`宏之前调用。

```c
 **void va_start(va_list ap, last_arg);** #where ap is the object of va_list 

```

## `va_start()`参数:

`va_start()`函数接受两个参数。参数“ap”包含使用`va_arg()`宏检索附加参数所需的信息。

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 美国联合通讯社（Associated Press 的缩写） | va_list 的对象，它将保存信息 | 需要 |
| last_arg | 传递了最后一个已知的固定参数 | 需要 |

## `va_start()`返回值

宏`va_start()`不返回任何值，它只是初始化变量参数列表。

## `va_start()`示例

### 例 1:va _ `start()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <stdarg.h>

int getsum(int, ...);

int main(void) {
   printf("Sum of 20, 40 and 30 = %d\n",  getsum(3, 20, 40, 30) );
   printf("Sum of 10, 15, 5 and 20 = %d\n",  getsum(4,10, 15, 5, 20) );

   return 0;
}

int getsum(int num_args, ...) {
   int val = 0;
   va_list ap;
   int i;

   va_start(ap, num_args);
   for(i = 0; i < num_args; i++) {
      val += va_arg(ap, int);
   }
   va_end(ap);

   return val;
} 

```

输出:

```c
 Sum of 20, 40 and 30 = 90
Sum of 10, 15, 5, 20 = 50 
```

### 示例`getdate()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdarg.h>

int add_nums(int count, ...) 
{
    int result = 0;
    va_list args;
    va_start(args, count);
    for (int i = 0; i < count; ++i) {
        result += va_arg(args, int);
    }
    va_end(args);
    return result;
}

int main() 
{

     printf("Sum of 20, 10, 15, 40, 30 is :\n");
     add_nums(20, 10, 15, 40, 30);
} 

```

输出:

```c
 Sum of 20, 10, 15, 40, 30 is :
115 
```