# C `va_end()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/va_end>

`va_end()`是在 stdarg.h 头文件中定义的**宏**。这个**宏**帮助函数使用变量参数，变量参数用于从`va_start()`宏返回。如果在从函数返回之前没有调用 va_end，结果将变得未定义。

```c
 **void va_end(va_list ap);** #where ap is the object of va_list 

```

## `va_end()`参数:

`va_end()`函数接受一个参数。

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 美国联合通讯社（Associated Press 的缩写） | va_list 的对象由 va_start 宏初始化 | 需要 |

## `va_end()`返回值

宏`va_end()`不返回值。此宏用于终止“ap”指向的可变长度参数列表的使用。

## `va_end()`的示例

### 例 1:va _ `end()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <stdarg.h>

int getmul(int, ...);

int main () {
   printf("13 * 14 = %d\n",  getmul(2, 13, 14) );

   return 0;
}

int getmul(int num_args, ...) {
   int value = 1;
   va_list ap;
   int k;

   va_start(ap, num_args);
   for(k = 0; k < num_args; k++) {
      value *= va_arg(ap, int);
   }
   va_end(ap);

   return value;
} 

```

输出:

```c
 13 * 14 =  182 
```

### 例 2:va _ `end()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdarg.h>

int getmul(int, ...);

int main () {
   printf("10 * 12 * 8 = %d\n",  getmul(3, 10, 12, 8) );

   return 0;
}

int getmul(int num_args, ...) {
   int value = 1;
   va_list ap;
   int k;

   va_start(ap, num_args);
   for(k = 0; k < num_args; k++) {
      value *= va_arg(ap, int);
   }
   va_end(ap);

   return value;
} 

```

输出:

```c
 10 * 12 * 8 =  960 
```