# C `fclose()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/fclose>

在 stdio.h 头文件中定义的`fclose()`函数。它有助于关闭指定“流”所指向的流。在关闭之前，它会删除与流相关联的所有缓冲区。

```c
 **int fclose(FILE *stream);** #where stream should be a file pointer 

```

## `fclose()`参数:

`fclose()`函数接受一个参数。如果二进制流被关闭，文件的最后一条记录将使用空字符(\0)填充到记录的末尾。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 指向指定要关闭的流的 FILE 对象的指针 | 需要 |

## `fclose()`返回值

如果流成功关闭，则`fclose()`函数的返回值为零，如果失败，则返回 e of。

| 投入 | 返回值 |
| 关闭的流 | 零 |
| 流未关闭 | 文件结束 |

## `fclose()`示例

### 例 1:C 语言中`fclose()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   FILE *pnt;

   pnt= fopen("file.txt", "w");

   fprintf(pnt, "%s", "C programming");
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 C programming 
```

### 例`fclose()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
    FILE *pnt;
    pnt = fopen("fileName.txt","w");
    fprintf(pnt, "%s", "File test");
    fclose(pnt);
    return 0; 
} 

```

**输出:**

```c
 File test 
```