# C `clearerr()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/clearerr>

在 stdio.h 头文件中定义的`clearerr()`函数。它有助于重置与指定流所指向的流相关联的文件结束指示符和错误标志。

```c
 **int fclose(FILE *stream);** #where stream should be a file pointer 

```

## `clearerr()`参数:

`clearerr()`函数接受一个参数。使用`perror()`函数，我们可以找出错误的确切性质。该函数显示的信息是实际错误。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 指向标识流的文件对象的指针 | 需要 |

## `clearerr()`返回值

如果传递了无效的流，`clearerr()`函数的返回值应为-1，并将 errno 设置为 EBADF。

| 投入 | 返回值 |
| 无效流 | 返回-1 |

## `clearerr()`示例

### 例 1:C 语言中`clearerr()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   FILE *pnt;
   char ch;

   pnt = fopen("file.txt", "w");

   ch = fgetc(pnt);
   if( ferror(pnt) ) {
      printf("Reading error from the file : file.txt\n");
   }
   clearerr(pnt);

   if( ferror(pnt) ) {
      printf("Reading error from the file : file.txt\n");
   }
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 Reading error from the file "file.txt" 
```

### 示例`clearerr()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
   FILE * pnt;
  pnt = fopen("testfile.txt","r");
  if (pnt==NULL) perror ("Error in opening file");
  else {
    fputc ('x',pnt);
    if (ferror (pnt)) {
      printf ("Error in writing to testfile.txt\n");
      clearerr (pnt);
    }
    fgetc (pnt);
    if (!ferror (pnt))
      printf ("No errors in reading testfile.txt\n"); 
    fclose (pnt);
  }
  return 0;
} 

```

**输出:**

```c
 Error in writing to testfile.txt
No errors in reading testfile.txt 
```