# C `feof()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/feof>

在 stdio.h 头文件中定义的`feof()`函数。它有助于测试是否为给定的参数流设置了 EOF(文件结束)指示器。

```c
 **int feof(FILE *stream);** #where stream should be a file pointer 

```

## `feof()`参数:

`feof()`函数接受一个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 要测试其文件结束指示器的流 | 需要 |

## `feof()`返回值

如果与流相关联的 e of 指示符被设置，则`feof()`函数的返回值是非零的，否则返回零。

| 投入 | 返回值 |
| 电渗流指示器已设置 | 非零的 |
| 未设置电渗流指示器 | 零 |

## `feof()`的示例

### 例 1:C 语言中`feof()`函数的工作原理？

```c
 #include <stdio.h>

int main () {
   FILE *pnt;
   int chr;

   pnt = fopen("testfile.txt","r");
   if(pnt == NULL) {
      perror("Error in opening file");
      return(-1);
   }

   while(1) {
      chr = fgetc(pnt);
      if( feof(pnt) ) { 
         break ;
      }
      printf("%c", chr);
   }
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 /* The content of the file is the output */
C programming library functions 
```

<h>Example 2: How feof()  works in C?

```c
 #include <stdio.h>

FILE *pnt = NULL; 
char chr[50]; 
pnt = fopen("myfile.txt","r"); 
if(pnt) 
    { 
         while(!feof(pnt)) 
         { 
             fgets(chr, sizeof(chr), pnt); 
             puts(chr); 
         } 
         fclose(pnt); 
   } 
    return 0; 

```</h> 

**输出:**

```c
 This is sample file
It contains some text data
-----------------------------
Process exited after 0.9847 seconds with return value zero 
```