# C `ferror()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/ferror>

在 stdio.h 头文件中定义的`ferror()`函数。它有助于在对给定流执行读取或写入时测试错误。

```c
 **int ferror(FILE *stream);** #where stream should be a file pointer 

```

## `ferror()`参数:

`ferror()`函数接受一个参数。为了确定错误的确切性质，我们可以使用`perror()`方法。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 指向标识流的 FILE 对象的指针。 | 需要 |

## `ferror()`返回值

如果设置了与流相关联的错误指示器，则`ferror()`函数的返回值为非零，否则返回零。

| 投入 | 返回值 |
| iferror | 非零的 |
| 如果没有错误 | 零 |

## ferror 的示例()

### 例 1:C 中`ferror()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   FILE *pnt;
   char chr;

   pnt = fopen("myfile.txt", "w");

   chr = fgetc(pnt);
   if( ferror(pnt) ) {
      printf("Reading error from file : myfile.txt\n");
   }
   clearerr(pnt);

   if( ferror(pnt) ) {
      printf("Reading error from file : myfile.txt\n");
   }
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 Reading error from file "myfile.txt" 
```

### 例`ferror()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
    FILE *pnt;
    pnt = fopen("fileName.txt","w");
    while(!done)
    {
      putc(info, pnt);
      if(ferror(pnt))
      {
        printf("File Error..!\n");
        printf("Press any key to exit..\n");
        getch();
        exit(1);
      }
   }
} 

```

**输出:**

```c
 File Error..!
Press any key to exit.. 
```