# C `fflush()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/fflush>

在 stdio.h 头文件中定义的`fflush()`函数。它有助于更新流，这意味着它会将任何输出流的内容刷新到相应的文件中。

```c
 **int fflush(FILE *stream);** #where stream should be a file pointer 

```

## `fflush()`参数:

`fflush()`函数接受一个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 指向指定缓冲流的文件对象的指针 | 需要 |

## `fflush()`返回值

`fflush()`函数的返回值在成功时为零，在错误的情况下 e of 也会设置错误指示器。

| 投入 | 返回值 |
| 如果成功 | 零 |
| iferror | 文件结束 |

## `fflush()`的示例

### 例 1:C 语言中`fflush()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   char chr[50];
   FILE *pnt;
   pnt = fopen("mytestfile.txt", "r+");
   if (pnt)
   {
      fputs("Library function examples", pnt);
      fflush(chr); // flushes the buffer 
      fgets(chr, 20, pnt); 
      puts(chr); // It displays buffer data in output
      fclose(pnt);
      return 0;
   }
   return 1;
} 

```

**输出:**

```c
 Library function examples 
```

### 例`fflush()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>
int main()
{
          char chr[20];
          int i;
          for (i = 0; i<4; i++)
          {
                   scanf("%[^\n]s", chr);
                   printf("%s\n", chr);
                   // used to clear the buffer
                   // and accept the next string
                   fflush(stdin);
          }
          return 0;
} 

```

**输出:**

```c
C Programming
C Programming
C Programming
C Programming

```