# C `fopen()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/fopen>

在 stdio.h 头文件中定义的`fopen()`函数。它有助于在给定模式下打开参数文件名中指定的文件。

```c
 **FILE *fopen(const char *filename, const char *mode);** #where filename should be a string 

```

## `fopen()`参数:

`fopen()`函数接受两个参数。文件打开模式有以下几种。

*   **r :** 打开文件读取。文件必须存在。
*   **w :** 创建一个空文件进行写入。如果存在相同的文件名，其内容将被删除，并被视为新的空文件。
*   **a :** 追加到文件。写操作，在文件末尾追加数据
*   **r+ :** 打开文件更新读写。文件必须存在。
*   **w+ :** 创建一个空文件，用于读取和写入。
*   **a+ :** 打开文件进行读取和追加。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 文件名 | 要打开的文件的名称 | 需要 |
| 模式 | 文件访问模式 | 必选 |

## `fopen()`返回值

`fopen()`函数的返回值是一个文件指针。否则它返回空值，并指示设置了错误全局变量 errno。

| 投入 | 返回值 |
| 如果执行成功 | 文件指针 |
| 如果执行不成功 | 空 |

## `fopen()`的示例

### 例 1:C 语言中`fopen()`函数的工作原理？

```c
 #include <stdio.h>

int main () {
   FILE * pnt;

   pnt = fopen ("myfile.txt", "w+");
   fprintf(pnt, "%s %s %s %d", "Hii", "all", "I am", 2000);

   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 Hii all I am 2000 
```

### 示例`fopen()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main()
{

    // pointer to FILE
    FILE* pnt;

    pnt = fopen("testfile.txt", "w+");

    // adds content to the file
    fprintf(pnt, "%s %s %s", "C Program",
            "tutorials");

    // closes the file 
    fclose(pnt);

    return 0;
} 

```

**输出:**

```c
 C Program tutorials 
```