# C `printf()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/printf>

`printf()`函数在 stdio.h 头文件中定义。它有助于将结果输出到控制台。它向 stdout 流提供格式化输出。

```c
 **int printf(const char *format, ...);** #where format can be a integer, character, string, float 

```

## `printf()`参数:

`printf()`函数将格式字符串作为参数。格式标签原型是 **%[flags][width][。精度][长度]说明符。**

其中说明符可以是- c，d 或 I，即 E，f，G，G，o，s，u，X，X，P，n，%

标志可以是- +、-、(空格)、#、0

宽度可以是-(数字)，*

精度可以是- **。**号，**。** *

长度可以是- h，L，L

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 格式 | 包含要写入 stdout 流的文本的字符串 | 需要 |
| 附加参数 | 包含一个要插入的值，而不是在 format 参数中指定的每个%-标记 | 可选择的 |

## `printf()`返回值

`printf()`函数的返回值是成功时写入的字符总数，失败时为负数。

| 投入 | 返回值 |
| 如果成功了， | 字符总数 |
| 失败时 | 负数 |

## `printf()`的示例

### 例 1:C 语言中`printf()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{

    int year = 5;
    float page = 2.1;

    /* Display the results using the appropriate format strings for each variable */
    printf("ontest.com is over %d years old and pages load in %.1f seconds.\n", year, page);

    return 0;
} 

```

**输出:**

```c
 ontest.com is over 5 years old and pages load in 2.1 seconds 
```

### 示例`printf()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
   char char = 'P';
   char strg[25] = "ontest.com";
   float flt = 8.102;
   int num = 100;
   int no = 150;
   double dble = 15.123456;
   printf("Character is %c \n", char);
   printf("String is %s \n" , strg);
   printf("Float value is %f \n", flt);
   printf("Integer value is %d\n" , num);
   printf("Double value is %lf \n", dble);
   printf("Octal value is %o \n", no);
   printf("Hexadecimal value is %x \n", no);
   return 0;
} 

```

**输出:**

```c
 Character is P
String is ontest.com
Float value is 8.102
Integer value is 100
Double value is 15.123456
Octal value is 226
Hexadecimal value is 96 
```