# C `scanf()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/scanf>

`scanf()`函数在 stdio.h 头文件中定义。它有助于输入数据。它从 stdin 流中读取格式化的输入。

```c
 **int scanf(const char *format, ...);** #where format can be a integer, character, string, float 

```

## `scanf()`参数:

`scanf()`函数将格式字符串作为参数。它可以包含空白字符、非空白字符和格式说明符。格式说明符类似**[= %[*][width][modifiers]cype =]。**

***** -表示要从流中读取数据，但被忽略。

width -指定当前读取操作中要读取的最大字符数。

修饰符- int、无符号 int 或 float，用于对应的附加参数所指向的数据:h: short int，或无符号 short int，l: long int，或无符号 long int，或 double L: long double。

类型-指定要读取的数据类型和预期读取方式的字符。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 格式 | 包含要写入 stdout 流的文本的字符串 | 需要 |
| 附加参数 | 包含一个要插入的值，而不是在 format 参数中指定的每个%-标记 | 可选择的 |

## `scanf()`返回值

`scanf()`函数的返回值是成功读取字符的总数，失败读取字符的总数。

| 投入 | 返回值 |
| 如果成功了， | 字符总数 |
| 如果达到读取误差或电渗流 | 返回电渗流 |

## `scanf()`示例

### 例 1:C 语言中`scanf()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{

   char st1[25], st2[25];

   printf("Enter Place: ");
   scanf("%s", st1);

   printf("Enter your name: ");
   scanf("%s", st2);

   printf("Entered Place is: %s\n", st1);
   printf("Entered Name is:%s", st2);

   return(0);
} 

```

**输出:**

```c
 Enter Place:London
Enter your name:Albert
Entered Place is:London
Entered Name is:Albert 
```

### 例`scanf()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
    int x; 
    printf("Enter the value of x:");
 scanf("%d", &x); 
 printf("The value of x is: %d", x); 
 return 0; 
} 

```

**输出:**

```c
 Enter the value of x: 12
The value of x is: 12 
```