# C `getc()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/getc>

`getc()`函数是在 stdio.h 头文件中定义的。它有助于从参数中指定的流中获取下一个字符。它还会提升流的位置指示器。

```c
 **int getc(FILE *stream);** #where stream should be a file pointer 

```

## `getc()`参数:

`getc()`函数接受要对其执行操作的单个参数流。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 溪流 | 指向标识流的 FILE 对象的指针。 | 需要 |

## 返回值

在`getc()`函数中，字符值作为无符号字符返回，在文件或错误结束时转换为 int 或 EOF。

| 投入 | 返回值 |
| 论成功 | 返回下一个请求的对象 |
| 误差或电渗流 | 整数值 |

## `getc()`的示例

### 例 1:C 语言中`getc()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   char chr;

   printf("Enter the character: ");
   chr = getc(stdin);
   printf("Your entered character is: ");
   putc(chr, stdout);

   return(0);
} 

```

**输出:**

```c
 Enter the character: P
Your entered character is: P 
```

### 示例`getc()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
   char chr;
   FILE *pnt;
   if (pnt = fopen("mytest.c", "r"))
   {
     chr = getc(pnt);
     while (chr != EOF)
     {
        putc(chr, stdout);
        chr = getc(pnt);
     }
     fclose(pnt);
     return 0;
   }
   return 1;
} 

```

**输出:**

```c
 /* mytest.c file content */
Hi, How are you? 
```