# C `putc()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/putc>

`putc()`函数在 stdio.h 头文件中定义。将参数中指定的字符写入给定的流是有帮助的。它还会提升流的位置指示器。

```c
 **int putc(int char, FILE *stream);** #where stream should be a file pointer 

```

## `putc()`参数:

`putc()`函数接受两个参数，即执行写操作的流和要写入的字符。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 茶 | 这是要写的角色 | 需要 |
| 溪流 | 指向文件对象的指针，该对象标识字符将被写入的流 | 需要 |

## 返回值

在`putc()`函数中，字符值作为无符号字符返回，在文件或错误结束时转换为 int 或 EOF。

| 投入 | 返回值 |
| 论成功 | 书写字符 |
| 出错时 | 设置流的错误指示器并返回 EOF |

## `putc()`的示例

### 例 1:C 语言中`putc()`函数的工作原理？

```c
 #include <stdio.h>

int main()
{
   FILE *pnt;
   int chr;

   pnt = fopen("myfile.txt", "w");
   for( chr = 33 ; chr <= 100; chr++ ) 
   {
      putc(chr, pnt);
   }
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 /* myfile.txt content */
!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcd 
```

### 例`putc()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
   char chr;
   FILE *pnt;
   if (pnt = fopen("mytest.c", "r"))
   {
     chr = getc(pnt);
     while (chr != EOF)
     {
        putc(chr, stdout);
        chr = getc(pnt);
     }
     fclose(pnt);
     return 0;
   }
   return 1;
} 

```

**输出:**

```c
 /* mytest.c file content */
Hi, How are you? 
```