# C `fread()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/fread>

`fread()`函数在 stdio.h 头文件中定义。它有助于将数据从给定的指定流读入数组。文件读取后需要存储数据的内存位置的起始地址由指针指定。

```c
 **size_t fread(void *ptr, size_t size, size_t nmemb, FILE *stream);** #where stream should be a file pointer 

```

## `fread()`参数:

`fread()`函数接受四个参数。该函数主要用于读取二进制数据，它是`fwrite()`的补充函数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 光电带读数机(photoelectric tape reader) | 指向内存块的指针，该内存块的最小大小为*nmemb 字节 | 需要 |
| 大小 | 要读取的每个元素的字节大小 | 需要 |
| 米 mb | 元素的数量，每个元素的大小为大小字节 | 需要 |
| 溪流 | 指向指定输入流的文件对象的指针 | 需要 |

## `fread()`返回值

`fread()`函数的返回值是成功读取的元素总数。它作为 size_t 对象返回，这是一个整数数据类型。

| 投入 | 返回值 |
| 成功的 | 相当于 nmemb 的整数值 |
| 误差或电渗流 | 小于 nmemb 的值 |

## `fread()`示例

### 例 1:C 语言中`fread()`函数的工作原理？

```c
 #include <stdio.h>
#include <string.h>
int main()
{
   FILE *pnt;
   char chr[] = "C Programming";
   char buf[100];

   /* Open file */
   pnt = fopen("myfile.txt", "w+");

   /* Write data*/
   fwrite(chr, strlen(chr) + 1, 1, pnt);

   fseek(pnt, 0, SEEK_SET);

   /* Read and display data */
   fread(buf, strlen(chr)+1, 1, pnt);
   printf("%s\n", buf);
   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 C Programming 
```

### 例`fread()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
  int buf;
  int val = 2431;
  // Creating file and storing value
  FILE * stream;
  stream = fopen("myfile.txt", "w");
  fwrite(&val;, sizeof(int), 1, stream);
  fclose(stream);

  // Reading value from file
  stream = fopen("myfile.txt", "r");
  fread(&buf;, sizeof(int), 1, stream);
  printf("High score readed is: %d\n",buf);
  fclose(stream);

  return(0);
} 

```

**输出:**

```c
 High score readed is:2431 
```