# C `fwrite()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/fwrite>

`fwrite()`函数是在 stdio.h 头文件中定义的。它有助于将数据从 ptr 指向的数组写入给定的指定流。

```c
 **size_t fwrite(const void *ptr, size_t size, size_t nmemb, FILE *stream);** #where stream should be a file pointer 

```

## `fwrite()`参数:

`fwrite()`函数接受四个参数。这个函数主要用于写二进制数据，它是`fread()`的一个补充函数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 光电带读数机(photoelectric tape reader) | 指向要写入的元素数组的指针 | 需要 |
| 大小 | 要写入的每个元素的字节大小 | 需要 |
| 米 mb | 元素的数量，每个元素的大小为大小字节 | 需要 |
| 溪流 | 指向指定输出流的文件对象的指针 | 需要 |

## `fwrite()`返回值

`fwrite()`函数的返回值是成功写入的元素总数。它作为 size_t 对象返回，这是一个整数数据类型。

| 投入 | 返回值 |
| 成功的 | 相当于 nmemb 的整数值 |
| 误差或电渗流 | 小于 nmemb 的值 |

## `fwrite()`的示例

### 例 1:C 语言中`fwrite()`函数的工作原理？

```c
 #include <stdio.h>
#include <string.h>
int main()
{
   FILE *pnt;
   char st[] = "Welcome to C Programming";

   pnt = fopen( "myfile.txt" , "w" );
   fwrite(st , 1 , sizeof(st) , pnt );

   fclose(pnt);

   return(0);
} 

```

**输出:**

```c
 Welcome to C Programming 
```

### 示例`fwrite()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
   FILE *pnt;
     int cnt;
     char ar[6] = "hello";

     pnt = fopen("mysample.txt", "wb");
     cnt = fwrite(ar, 1, 5, pnt);
     fclose(pnt);

     return 0;
} 

```

**输出:**

```c
 /*opens a file named sample.txt, writes an array of characters(below text) to the file, and closes it. */
hello 
```