# C `atof()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/atof>

`atof()`函数是在 stdlib.h 头文件中定义的。它有助于将给定的字符串参数(str)转换为浮点值，即 double 类型。

```c
 **double atof(const char *str);** #where str should be a string 

```

## `atof()`参数:

`atof()`函数接受一个参数。在 C 语言中，stdlib.h headerfile 支持类型转换。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜艇用热中子反应堆（submarine thermal reactor 的缩写） | 表示浮点数的字符串 | 需要 |

## `atof()`返回值

`atof()`函数的返回值是一个双精度浮点数。

| 投入 | 返回值 |
| 成功的 | 赔偿损失时的加倍付给 |
| 无效转换 | 零 |

## `atof()`的示例

### 例`atof()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main()
{
   float f;
   char st[20];

   strcpy(st, "23333333");
   f = atof(st);
   printf("String is %s, Float value = %f\n", st, f);

   strcpy(st, "Hi how are you");
   f = atof(st);
   printf("String is %s, Float value = %f\n", st, f);

   return(0);
} 

```

**输出:**

```c
 String is 23333333, Float value = 23333333.000000
String is Hi how are you, Float value = 0.000000 
```

### 例`atof()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
  char x[10] = "3.14";
    float pi = atof(x);
    printf("pi value is %f\n", pi);
    return 0;
} 

```

**输出:**

```c
 pi value is 3.140000 
```