# C `atoi()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/atoi>

`atoi()`函数是在 stdlib.h 头文件中定义的。它有助于将给定的字符串参数(str)转换为整数值即 int 类型。

```c
 **int atoi(const char *str);** #where str should be a string 

```

## `atoi()`参数:

`atoi()`函数接受一个参数。在 C 语言中，stdlib.h headerfile 支持类型转换。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜艇用热中子反应堆（submarine thermal reactor 的缩写） | 表示浮点数的字符串 | 需要 |

## `atoi()`返回值

`atoi()`函数的返回值是一个整数值。

| 投入 | 返回值 |
| 成功的 | 整数值 |
| 无效转换 | 零 |

## `atoi()`的示例

### 例`atoi()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main()
{
   int x;
   char st[20];

   strcpy(st, "23333444");
   x = atoi(st);
   printf("String value is %s, Int value = %d\n", st, x);

   strcpy(st, "C programming");
   x = atoi(st);
   printf("String value is %s, Int value = %d\n", st, x);

   return(0);
} 

```

**输出:**

```c
 String value is 23333444, Int value is 23333444
String value is C programming, Int value is 0 
```

### 例`atoi()`()在 C 语言中是如何工作的？

```c
 #include <stdio.h>

int main (){
    char arr[10] = "100";
    int v = atoi(arr);
    printf("Value is %d\n", v);
    return 0;
} 

```

**输出:**

```c
 Value is 100 
```