# C `calloc()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/calloc>

`calloc()`函数是在 stdlib.h 头文件中定义的。它有助于分配指定的内存并返回一个指向它的指针。`calloc()`函数可以将分配的内存设置为零。

```c
 **void *calloc(size_t nitems, size_t size);** #where nitems should be a integer 

```

## `calloc()`参数:

`calloc()`函数接受两个参数。该功能有助于分配具有相同大小和连续分配的多个内存块。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 元素个数 | 要分配的元素数量 | 需要 |
| 大小 | 元素的大小 | 需要 |

## 卡洛克()返回值

`calloc()`函数的返回值是分配内存的指针。

| 投入 | 返回值 |
| 成功 | 内存指针 |
| 失败 | 空 |

## 胼胝体的例子()

### 例 1:C 语言中`calloc()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
   int k, num;
   int *p;

   printf("count of entered elements :");
   scanf("%d",&num);

   p = (int*)calloc(num, sizeof(int));
   printf("Enter %d numbers:\n",num);
   for( k=0 ; k < num ; k++ ) {
      scanf("%d",&p[k]);
   }

   printf("Entered elements are: ");
   for( k=0 ; k < num ; k++ ) {
      printf("%d ",p[k]);
   }
   free( p );

   return(0);
} 

```

**输出:**

```c
 count of entered elements:3
Enter 3 numbers:
13
15
20
Entered elements are: 13 15 20 
```

### 例`calloc()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>

int main (){
  int k, * pt, t = 0;
        pt = calloc(10, sizeof(int));
        if (pt == NULL) {
            printf("Error! memory not allocated.");
            exit(0);
        }
        printf("Sequence sum of the first 10 terms \ n ");
        for (k = 0; k < 10; ++k) { * (pt + k) = k;
            sum += * (pt + k);
        }
        printf("Sum = %d", t);
        free(pt);
        return 0;
} 

```

**输出:**

```c
 Sequence sum of the first 10 terms
Sum = 45 
```