# C `realloc()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/realloc>

`realloc()`函数是在 stdlib.h 头文件中定义的。它有助于调整指针所指向的内存块的大小，该内存块先前是使用`malloc()`或`malloc()`函数分配的。

```c
 **void *realloc(void *ptr, size_t size);** #where size should be a bytes 

```

## `realloc()`参数:

`realloc()`函数接受两个参数。如果 ptr 为空，则分配一个新块，并返回指向它的指针。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 光电带读数机(photoelectric tape reader) | 指向先前分配并需要重新分配的内存块的指针 | 需要 |
| 大小 | 内存块的新大小，以字节为单位 | 需要 |

## `realloc()`返回值

如果大小为 0，并且 ptr 指向现有的内存块，则 ptr 指向的内存块将被解除分配，并返回空指针。

| 投入 | 返回值 |
| 成功 | 内存指针 |
| 失败 | 空 |

## `realloc()`的示例

### 例`realloc()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
   char *s;

   /*memory allocation */
   s = (char *) malloc(12);
   strcpy(s, "programming");
   printf("String = %s,  Address = %u\n", s, s);

   /* Reallocating memory */
   s = (char *) realloc(s, 20);
   strcat(s, ".com");
   printf("String = %s,  Address = %u\n", s, s);

   free(s);

   return(0);
} 

```

**输出:**

```c
 String = programming, Address = 355090448
String = programming.com, Address = 355090448 
```

### 示例`realloc()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>

int main (){
  int k, * p, t = 0;
        p = malloc(200);
        if (p == NULL) {
            printf("Error! memory not allocated.");
            exit(0);
        }

        p = realloc(p,400);
    if(p != NULL)
           printf("Memory created successfully\n");

    return 0;
} 

```

**输出:**

```c
 Memory created successfully 
```