# C `free()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/free>

`free()`函数在 stdlib.h 头文件中定义。它有助于使用 calloc、malloc 或 realloc 解除分配或释放动态分配的内存。

```c
 **void free(void *ptr);** #where ptr is a memory pointer 

```

## 自由()参数:

`free()`函数接受一个参数。如果传递的 ptr 是空指针，则不会发生任何事情。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 光电带读数机(photoelectric tape reader) | 指向先前分配并需要解除分配的内存块的指针 | 需要 |

## 自由()返回值

`free()`函数不返回值。

## 免费的例子()

### 例 1:C 语言中`free()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
   char *s;

   /*memory allocation */
   s = (char *) malloc(12);
   strcpy(s, "programming");
   printf("String = %s,  Address = %u\n", s, s);

   /* Reallocating memory */
   s = (char *) realloc(s, 20);
   strcat(s, ".com");
   printf("String = %s,  Address = %u\n", s, s);

   free(s);

   return(0);
} 

```

**输出:**

```c
 String = programming, Address = 355090448
String = programming.com, Address = 355090448 
```

### 例`free()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>

int main (){
  int k, * pt, t = 0;
        pt = calloc(10, sizeof(int));
        if (pt == NULL) {
            printf("Error! memory not allocated.");
            exit(0);
        }
        printf("Sequence sum of the first 10 terms \ n ");
        for (k = 0; k < 10; ++k) { * (pt + k) = k;
            sum += * (pt + k);
        }
        printf("Sum = %d", t);
        free(pt);
        return 0;
} 

```

**输出:**

```c
 Sequence sum of the first 10 terms
Sum = 45 
```