# C `exit()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/exit>

`exit()`函数是在 stdlib.h 头文件中定义的。它有助于在终止程序执行后返回操作系统。实际上，它从当前进程返回，而不执行其余的代码。

```c
 **void exit(int status);** #where status indicates status value 

```

## 退出()参数:

`exit()`函数接受一个参数。这里的状态代码表示错误信息。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 状态 | 返回给父进程的状态值 | 需要 |

## 退出()返回值

`exit()`函数不返回值。如果状态参数为“0”，退出程序时不会显示任何错误消息。如果其他代码作为状态代码给出，则表明系统可以处理错误消息。

## 退出示例()

### 例 1:C 语言中`exit()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
    printf("Program is Started....\n");

   printf("Program is Exiting....\n");
   exit(0);

   printf("Program reaches to End....\n");

   return(0);
} 

```

**输出:**

```c
 Program is Started....
Program reaches to End.... 
```

### 示例`exit()`在错误情况下如何工作？

```c
 #include <stdio.h>
#include <stdlib.h>
int main (){
  FILE *p = fopen("mydata.txt","r");
    if (p == NULL) {
       fprintf(stderr, "Opening file mydata.txt have error in function main()\n");
       exit( EXIT_FAILURE );
    }
    fclose(p);
    printf("Normal Return\n");
    return EXIT_SUCCESS ;
} 

```

**输出:**

```c
 Opening file mydata.txt have error in function main() 
```