# C `abort()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/abort>

`abort()`函数在 stdlib.h 头文件中定义。它通过发出 SIGABRT 信号来中止程序执行，并直接从调用的地方发出。

```c
 **void abort(void);** 

```

## 中止()参数:

`abort()`函数不接受任何参数。`abort()`不会刷新打开的文件缓冲区，也不会调用我们使用`abort()`安装的任何清理函数。

## 中止()返回值

`abort()`函数不返回任何参数。`abort()`函数覆盖阻塞或忽略 SIGABRT 信号。

## 中止()的示例

### 例 1:C 语言中`abort()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
   FILE *p;

   printf("Open myfile.txt\n");
   p = fopen( "myfile.txt","r" );
   if(p == NULL) {
      printf("Abort the program\n");
      abort();
   }
   printf("Close myfile.txt\n");
   fclose(p);

   return(0);
} 

```

**输出:**

```c
 Open myfile.txt                                                    
Abort the program                                                  
Aborted (core dumped) 
```

### 示例 2:在错误情况下，`abort()`是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>
int main (){
    FILE *p = fopen("mydata.txt","r");
    if (p == NULL) {
       fprintf(stderr, "Opening file mydata.txt have error in function main()\n");
       abort();
    }

    /* Normal processing continues here. */
    fclose(p);
    printf("Normal Return\n");
    return 0;
} 

```

**输出:**

```c
 Opening file mydata.txt have error in function main() 
```