# C `rand()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/rand>

`rand()`函数是在 stdlib.h 头文件中定义的。该功能用于范围 0 到 RAND_MAX 内的伪随机数发生器(PRNG)。RAND_MAX 是一个符号常量，取决于 C 库，它的值大于但不小于 32767。

```c
 **int rand(void);** 

```

## 兰德()参数:

`rand()`函数不接受任何参数。

## 兰德()返回值

`rand()`函数返回值是介于 0 和 RAND_MAX 之间的整数值。

| 投入 | 返回值 |
| 成功 | 整数值(0- RAND_MAX) |

## 兰德()的例子

### 例 1:C 语言中`rand()`函数的工作原理？

```c
 #include <stdio.h>
#include <stdlib.h>

int main()
{
   int k, num;
   time_t tm;

   num = 5;

   /* Intializes random number*/
   srand((unsigned) time(&tm;));

   /* random numbers from 0 to 49 */
   for( k = 0 ; k < num ; k++ ) {
      printf("%d\n", rand() % 50);
   }

   return(0);
} 

```

**输出:**

```c
 38
45
29
29
47 
```

### 示例`rand()`在错误情况下是如何工作的？

```c
 #include <stdio.h>
#include <stdlib.h>
int main (){
    printf (" Random number is: %d", rand());  
    printf ("\nRandom number is: %d", rand());  

    printf (" \n Random number is: %d", rand());  
    printf ("\n Random number is: %d", rand());  
    getch(); 
} 

```

**输出:**

```c
 Random number is: 41
 Random number is: 18467
 Random number is: 6334
 Random number is: 26500 
```