# C `strcat()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strcat>

`strcat()`函数是在 string.h 头文件中定义的。通过将 src 指向的字符串附加到 dest 指向的目标字符串，有助于连接两个字符串。

```c
 **char *strcat(char *dest, const char *src);** #where dest and src should be strings 

```

## `strcat()`参数:

`strcat()`函数接受两个参数。目标字符串的大小应该足够大，以存储结果字符串，否则会引起分段错误。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 建筑环境及 HVAC 系统模拟的软件平台 | 指向目标数组的指针包含串联的结果字符串 | 需要 |
| 科学研究委员会 | 这是要追加的字符串 | 需要 |

## `strcat()`返回值

函数返回一个指向结果目标字符串的指针。

| 投入 | 返回值 |
| 成功 | 指向目标字符串的指针 |

## `strcat()`的示例

### 例 1:C 语言中`strcat()`函数的工作原理？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char src[40], dest[40];

   strcpy(src,  "Source is:");
   strcpy(dest, "Destination is:");

   strcat(dest, src);

   printf("Final destination string : |%s|", dest);

   return(0);

} 

```

**输出:**

```c
 Final destination string : |Destination is Source is| 
```

### 例`strcat()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

   char string1[100] = "This is ", string2[] = "learnetutorials.com";

   // the resultant string is stored in string1.
   strcat(string1, string2);
   puts(string1);
   puts(string2);

   return 0;
} 

```

**输出:**

```c
 This is learnetutorials.com
learnetutorials.com 
```