# C `strncat()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strncat>

`strncat()`函数在 string.h 头文件中定义。通过将 src 所指向的字符串附加到 dest 所指向的目标字符串(最长 n 个字符)，有助于连接两个字符串。

```c
 **char *strncat(char *dest, const char *src, size_t n);** #where n should be a integer 

```

## `strncat()`参数:

`strncat()`函数接受三个参数。目标字符串的大小应该足够大，以存储包含附加空字符的结果字符串。如果大小不够，就会产生分段错误。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 建筑环境及 HVAC 系统模拟的软件平台 | 指向目标数组的指针包含串联的结果字符串 | 需要 |
| 科学研究委员会 | 这是要追加的字符串 | 需要 |
| n | 要追加的最大字符数 | 需要 |

## 返回值

函数返回一个指向结果目标字符串的指针。

| 投入 | 返回值 |
| 成功 | 指向目标字符串的指针 |

## `strncat()`的示例

### 例`strncat()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char src[40], dest[40];

   strcpy(src,  "Source is:");
   strcpy(dest, "Destination is:");

   strncat(dest, src,20);

   printf("Final destination string : |%s|", dest);

   return(0);

} 

```

**输出:**

```c
 Final destination string : |Destination is Source is| 
```

### 示例`strncat()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

   char string1[100] = "This is ", string2[] = "learnetutorials.com";

   // the resultant string is stored in string1.
   strncat(string1, string2,15);
   puts(string1);
   puts(string2);

   return 0;
} 

```

**输出:**

```c
 This is learnetutorials.com
learnetutorials.com 
```