# C `strcmp()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strcmp>

`strcmp()`函数是在 string.h 头文件中定义的。逐个字符地比较两个给定的字符串是有帮助的。字符串相等，函数将返回值为零。

```c
 **int strcmp(const char *str1, const char *str2);** #where str1,str2 are strings 

```

## `strcmp()`参数:

`strcmp()`函数接受两个参数。字符串比较将继续，直到它到达字符串的末尾或者字符不相同。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| str1 | 要比较的第一个字符串 | 需要 |
| str2 | 要比较的第二个字符串 | 需要 |

## 返回值

如果字符串相等，函数返回零值，否则返回非零值。

| 投入 | 返回值 |
| str1 < str2 | 值< 0 |
| str2 < str1 | 值> 0 |
| str1 = str2 | 值= 0 |

## `strcmp()`的示例

### 例 1:C 语言中`strcmp()`函数的工作原理？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char string1[20];
   char string2[20];
   int out;

   strcpy(string1, "flowers");
   strcpy(string2, "FLOWERS");

   out = strcmp(string1, string2);

   if(out < 0) {
      printf("string1 is less than string2");
   } else if(ret > 0) {
      printf("string2 is less than string1");
   } else {
      printf("string1 is equal to string2");
   }

   return(0);
} 

```

**输出:**

```c
 string2 is less than string1 
```

### 示例`strcmp()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

  char string1[] = "abcd", string2[] = "abCd", string3[] = "abcd";
  int out;

  // comparing string1 and string2
  out = strcmp(string1, string2);
  printf("strcmp(string1, string2) = %d\n", out);

  // comparing string1 and string3
  out = strcmp(string1, string3);
  printf("strcmp(string1, string3) = %d\n", out);

  return 0;
} 

```

**输出:**

```c
 strcmp(string1, string2) = 1
strcmp(string1, string3) = 0 
```