# C `strcpy()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strcpy>

`strcpy()`函数是在 string.h 头文件中定义的。它有助于将源指向的字符串复制到目标指向的字符串中。

```c
 **char *strcpy(char *dest, const char *src);** #where dest and src should be strings 

```

## `strcpy()`参数:

`strcpy()`函数接受两个参数。该函数复制包含空字符的“src”所指向的字符串。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 建筑环境及 HVAC 系统模拟的软件平台 | 指向要复制内容的目标数组的指针 | 需要 |
| 科学研究委员会 | 要复制的字符串 | 需要 |

## `strcpy()`返回值

函数返回一个指向结果目标字符串的指针。如果目标字符串的大小不足以存储复制的字符串，可能会导致未定义的行为。

| 投入 | 返回值 |
| if 参数 | 指向目标字符串的指针 |

## `strcpy()`的示例

### 例`strcpy()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char src[30];
   char des[90];

   memset(des, '\0', sizeof(des));
   strcpy(src, "This is learnetutorials.com");
   strcpy(des, src);

   printf("After copying string is : %s\n", des);

   return(0);

} 

```

**输出:**

```c
 After copying string is :This is learnetutorials.com 
```

### 示例`strcpy()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

  char string1[30] = "learnetutorials.com";
  char string2[30];

  // copying string1 to string2
  strcpy(string2, string1);

  puts(string2); 

  return 0;
} 

```

**输出:**

```c
 learnetutorials.com 
```