# C `strlen()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strlen>

`strlen()`函数在 string.h 头文件中定义。它有助于计算给定字符串的长度，而不包括终止的空字符。

```c
 **size_t strlen(const char *str);** #where str should be a string 

```

## `strlen()`参数:

`strlen()`函数接受一个参数。计算时不计算空字符\0。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜艇用热中子反应堆（submarine thermal reactor 的缩写） | 要查找其长度的字符串 | 需要 |

## `strlen()`返回值

该函数以 size_t 类型(无符号整数类型)返回字符串的长度。

| 投入 | 返回值 |
| 线 | 字符串长度(整数) |

## `strlen()`的示例

### 例`strlen()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char string[30];
   int length;

   strcpy(string, "learnetutorials.com");

   length = strlen(string);
   printf("The length of |%s| is |%d|\n", string, length);

   return(0);
} 

```

**输出:**

```c
 The length of tutorialspoint.com| is |18| 
```

### 例`strlen()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

    char x[30]="Tutorials";
    char y[30]={'T','u','t','o','r','i','a','l','s','\0'};

    // using the %zu format specifier to print size_t
    printf("Length of string x = %zu \n",strlen(x));
    printf("Length of string y = %zu \n",strlen(y));

    return 0;
} 

```

**输出:**

```c
 Length of string x = 9
Length of string y = 9 
```