# C `strstr()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/strstr>

`strstr()`函数是在 string.h 头文件中定义的。它有助于返回一个指针，指向由“string”指向的给定完整字符串中匹配子字符串的第一个匹配项。

```c
 **char *strstr(const char *string, const char *match)  ;** #where string and match should be strings 

```

## `strstr()`参数:

`strstr()`函数接受两个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 线 | 将从中搜索子字符串的完整字符串 | 需要 |
| 比赛 | 要在完整字符串中搜索的子字符串 | 需要 |

## 返回值

该函数返回一个指针，指向匹配中指定的整个字符序列的完整字符串中的第一个匹配项。

| 投入 | 返回值 |
| if 参数 | 指向第一个匹配字符串的指针 |

## `strstr()`的示例

### 例 1:`strtr()`函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <string.h>

int main()
{
   char string[100]="this is javatpoint with c and java";    
  char *s;    
  s=strstr(string,"java");    
  printf("\nThe substring is: %s",s);    
 return 0;    

} 

```

**输出:**

```c
 javatpoint with c and java 
```

### 示例 2:`strtr()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <string.h>

int main (){

   const char fulstrng[20] = "TutorialsPoint";
   const char substrng[10] = "Point";
   char *out;

   out = strstr(fulstrng, substrng);

   printf("The substring is: %s\n", out);

   return(0);
} 

```

**输出:**

```c
 The substring is: Point 
```