# C `time()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/time>

`time()`函数在 time.h 头文件中定义。它是一个实用函数，有助于测量经过的时间。当以秒为单位测量纪元(世界协调时 00:00:00，1970 年 1 月 1 日)时，此函数返回。

```c
 **time_t time(time_t *second);** #where second should be a pointer 

```

## 时间()参数:

`time()`函数使用单个参数“秒”，它有助于设置 time_t 对象来存储时间。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 秒 | 指向 time_t 类型对象的指针，第二个对象的值将存储在该对象中 | 需要 |

## 时间()返回值

该函数将当前日历时间作为 time_t 对象返回。如果参数 seconds 是空指针，则返回值不存储在任何地方，否则，返回值存储在第二个所指向的对象中。

| 投入 | 返回值 |
| if 参数 | 当前日历时间 |

## 时间示例()

### 例 1:C 语言中`time()`函数的工作原理？

```c
 #include <stdio.h>
#include <time.h>

int main()
{
   time_t sec;

   sec = time(NULL);
   printf("The hours since January 1, 1970 = %ld\n", sec/3600);

   return(0);

} 

```

**输出:**

```c
 The hours since January 1, 1970 = 393923 
```

### 例 2:时间()在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

   time_t secnd;

    secnd = time(NULL);
    printf("The seconds since January 1, 1970 = %ld\n", secnd);

    return(0);
} 

```

**输出:**

```c
 The seconds since January 1, 1970 = 1538123990 
```