# C `difftime()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/difftime>

`difftime()`函数在 time.h 头文件中定义。它有助于找到以秒为单位的开始时间和结束时间之间的差异。这里的两个时间是在日历时间，代表纪元(1970 年 1 月 1 日 00:00:00)。

```c
 **double difftime(time_t time1, time_t time2);** #where time1,time2 are objects 

```

## `difftime()`参数:

`difftime()`函数接受两个参数。这个函数很重要，因为没有在 time_t 类型上定义其他一般算术运算。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 时间 1 | 结束时间的 time_t 对象 | 需要 |
| 时间 2 | 开始时间的 time_t 对象 | 需要 |

## 差异时间()返回值

该函数返回一个双精度值，以秒为单位表示时间 1 和时间 2 之间的差值。

| 投入 | 返回值 |
| 时间 1，时间 2 | 双倍数值(时间 2-时间 1) |

## `difftime()`的示例

### 例 1:C 语言中`difftime()`函数的工作原理？

```c
 #include <stdio.h>
#include <time.h>

int main()
{
   time_t time1, time2;
   double diff;

   printf("Program Starting...\n");
   time(&time1);

   printf("5 seconds Sleeping...\n");
   sleep(5);

   time(&time2);
   diff = difftime(time2, time1);

   printf("Execution time = %f\n", diff);
   printf("Program Exiting...\n");

   return(0);

} 

```

**输出:**

```c
 Program Starting ...
5 seconds Sleeping ...
Execution time = 5.000000
Program Exiting ... 
```

### 例`difftime()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

    int sec;
    time_t t1, t2;

    // Current time
    time(&t1); 
    for (sec = 1; sec <= 6; sec++) 
        sleep(1);

    //after sleep in loop.
    time(&t2);
    printf("The difference in time is  %.2f seconds", 
                 difftime(t2, t1));

    return 0;
} 

```

**输出:**

```c
 The difference in time is 6.00 seconds 
```