# C `asctime()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/asctime>

`asctime()`函数是在 time.h 头文件中定义的。此函数返回系统定义的本地时间。实际上，`asctime()`函数返回一个指向字符串的指针，该字符串表示 structure 结构“timeptr”参数的时间和日期。

```c
 **char *asctime(const struct tm *timeptr);** #where second should be a pointer 

```

## `asctime()`参数:

`asctime()`函数接受单个参数“timeptr ”,它是指向包含日历时间的结构的指针。日历时间的组成部分是，

```c
 **struct tm {
   int tm_sec;         /* seconds,  range 0 to 59          */
   int tm_min;         /* minutes, range 0 to 59           */
   int tm_hour;        /* hours, range 0 to 23             */
   int tm_mday;        /* day of the month, range 1 to 31  */
   int tm_mon;         /* month, range 0 to 11             */
   int tm_year;        /* The number of years since 1900   */
   int tm_wday;        /* day of the week, range 0 to 6    */
   int tm_yday;        /* day in the year, range 0 to 365  */
   int tm_isdst;       /* daylight saving time             */
};** 
```

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 时间 tr | 指向要转换的 tm 对象的指针 | 需要 |

## `asctime()`返回值

该函数以字符串形式返回日期和时间信息，格式为**Ww Mmm DD hh:mm:ss yyyy。**

*   **Www:** 用三个字母缩写(周一，周二)表示一天.., )
*   **Mmm:** 用三个字母缩写表示月份(一月，二月.., )
*   **dd:** 用两位数表示日期(01，02，10.., )
*   **hh:** 代表小时(11，12，13…，)
*   **mm:** 代表分钟(10，11，12…，)
*   **ss:** 代表秒(10，20，30…，)
*   **yyyy:** 用四位数表示年份(2000、2001、2019……，)

| 投入 | 返回值 |
| if 参数 | 日历时间 |

## `asctime()`示例

### 例`asctime()`函数在 C 语言中的工作？

```c

 #include <stdio.h>
#include <time.h>

int main()
{
   struct tm* p;
    time_t ltm;
    ltm = time(NULL);
    p = localtime(<);

    // using the asctime() function
    printf("%s", asctime(p));

    return 0;

} 

```

输出:

```c
 Wed Aug 14 04:21:25 2019 
```

### 例`asctime()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

   struct tm t;

   t.tm_sec    = 10;
   t.tm_min    = 10;
   t.tm_hour   = 6;            t.tm_m
   t.tm_mday   = 25;       
   t.tm_year   = 89;
   t.tm_wday   = 6;

   puts(asctime(&t));

   return(0);
} 

```

输出:

```c
 Sat Mar 25 06:10:10 1989 
```