# C `ctime()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/ctime>

`ctime()`函数是在 time.h 头文件中定义的。根据给定的参数，该函数返回表示 localtime 的字符串。

```c
 **char *ctime(const time_t *timer);** #where timer should be a pointer 

```

## `ctime()`参数:

`ctime()`函数接受单个参数“timer”，它是一个指针，用于设置包含时间值的 time_t 对象。

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 计时器 | 指向包含日历时间的 time_t 对象的指针 | 需要 |

## `ctime()`返回值

该函数以字符串形式返回日期和时间信息，格式为**Ww Mmm DD hh:mm:ss yyyy。**

*   **Www:** 用三个字母缩写(周一，周二)表示一天.., )
*   **Mmm:** 用三个字母缩写表示月份(一月，二月.., )
*   **dd:** 用两位数表示日期(01，02，10.., )
*   **hh:** 代表小时(11，12，13…，)
*   **mm:** 代表分钟(10，11，12…，)
*   **ss:** 代表秒(10，20，30…，)
*   **yyyy:** 用四位数表示年份(2000、2001、2019……，)

| 投入 | 返回值 |
| if 参数 | 日历时间 |

## ctime 的示例()

### 例`ctime()`函数在 C 语言中的工作？

```c

 #include <stdio.h>
#include <time.h>

int main()
{
   time_t timer;

   time(&timer;);

   printf("The current time is %s", ctime(&timer;));

   return(0);

} 

```

输出:

```c
 The current time is Tue Aug 14 07:13:24 2012 
```

### 例`ctime()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

   time_t D_time ; 
   time(& D_time); 
   clrscr(); 
   printf("%s", ctime(& D_time));
} 

```

输出:

```c
 Sat Sep 29 05:17:05 2018 
```