# C `localtime()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/localtime>

`localtime()`函数在 time.h 头文件中定义。该函数有助于返回 localtime。通过使用参数“timer”指向的时间，用表示本地时间的值填充结构“tm”。

```c
 **struct tm *localtime(const time_t *timer);** #where timer should be a pointer 

```

## `localtime()`参数:

`localtime()`函数接受单个参数“timer”，它是指向包含日历时间的结构的指针。

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 计时器 | 指向表示日历时间的 time_t 值的指针 | 需要 |

## `localtime()`返回值

该函数返回一个指向包含时间信息的结构“tm”的指针。“tm”结构信息包含如下内容:

```c
 **struct tm {
   int tm_sec;         /* seconds,  range 0 to 59          */
   int tm_min;         /* minutes, range 0 to 59           */
   int tm_hour;        /* hours, range 0 to 23             */
   int tm_mday;        /* day of the month, range 1 to 31  */
   int tm_mon;         /* month, range 0 to 11             */
   int tm_year;        /* The number of years since 1900   */
   int tm_wday;        /* day of the week, range 0 to 6    */
   int tm_yday;        /* day in the year, range 0 to 365  */
   int tm_isdst;       /* daylight saving time             */
};** 
```

| 投入 | 返回值 |
| if 参数 | 指向 struct tm 对象的指针 |
| 如果失败 | 空指针 |

## `localtime()`的示例

### 例 1:C 语言中`localtime()`函数的工作原理？

```c

 #include <stdio.h>
#include <time.h>

int main()
{
   time_t rtime;
   struct tm *ltime;
   time( &rtime );
   ltime = localtime( &rtime );
   printf("Present local time & date is: %s", asctime(ltime));
   return(0);
} 

```

输出:

```c
 Present local time & date is: Thu Aug 23 08:10:04 2012 
```

### 示例`localtime()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

    struct tm* localtm;
    time_t ts = time(NULL);

    // Get the localtime
    localtm = localtime(&ts);

    printf("The local time and date is: %s\n",
           asctime(localtm));

    return 0;
} 

```

输出:

```c
 The local time and date is: Mon Sep 23 05:15:51 2019 
```