# C `getdate()`

> 原文：<https://learnetutorials.com/c-programming/library-functions/getdate>

`getdate()`函数在 time.h 头文件中定义。该函数有助于将字符串所指向的给定日期/时间规格转换为结构“tm”或分解时间。

```c
 **struct tm *getdate(const char *string);** #where string is representation of a date or time 

```

## `getdate()`参数:

`getdate()`函数将单个参数作为指针字符串，该字符串表示日期/时间。结构 tm 分配在静态存储中，它将被进一步的`getdate()`函数调用覆盖。

| ****参数**** | ****描述**** | ****必选/可选**** |
| --- | --- | --- |
| 线 | 指向缓冲区的指针(日期或时间的表示) | 需要 |

## `getdate()`返回值

该函数将日期/时间的字符串表示转换为细分时间，并存储在 tm 结构中。指向这个结构的指针作为函数输出返回。为了返回错误值，该函数使用外部变量或宏 getdate_err。

| 投入 | 返回值 |
| if 参数 | 指向该结构的指针 |

## `getdate()`的示例

### 例 1:C 语言中`getdate()`函数的工作原理？

```c

 #include <stdio.h>
#include <time.h>

int main()
{
   struct date datm;

    getdate(&datm;);

    printf("Current system's date:\n");
    printf("%d/%d/%d",
           datm.da_day,
           datm.da_mon,
           datm.da_year);

    return 0;
} 

```

输出:

```c
 Current system's date:
18/4/2019 
```

### 示例`getdate()`在 C 语言中是如何工作的？

```c
 #include <stdio.h>
#include <time.h>

int main (){

    struct date dt;

   getdate(&dt;);

   printf("Operating system's current date is %d-%d-%d\n"
   ,dt.da_day,dt.da_mon,dt.da_year);

   return 0;
} 

```

输出:

```c
 Operating system’s current date is 12-01-2012 
```