# C `errno`

> 原文：<https://learnetutorials.com/c-programming/library-functions/errno>

errno 是在 errno.h 头文件中定义的**宏**。当出现任何问题时，errno 宏由系统调用和一些库函数设置。

```c
 **extern int errno;** 

```

## errno 参数:

errno 宏不接受任何参数。errno 是一个整数变量，保存报告错误原因的错误代码。

## errno 返回值

宏 errno 不返回值。程序开始时，errno 值设置为零。通过一些库函数，errno 的值被设置为某个正值，以报告特定的错误情况。

## errno 的例子

### 例 errno 函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <errno.h>
#include <string.h>

extern int errno ;

int main () {
   FILE *pnt;

   pnt = fopen("myfile.txt", "r");
   if( pnt == NULL ) {
      fprintf(stderr, "Value of errno is: %d\n", errno);
      fprintf(stderr, "Error opening file is: %s\n", strerror(errno));
   } else {
      fclose(pnt);
   }

   return(0);
} 

```

输出:

```c
 Value of errno is: 2
Error opening file is: No such file or directory 
```