# C `EDOM`

> 原文：<https://learnetutorials.com/c-programming/library-functions/edom>

EDOM 是在 errno.h 头文件中定义的**宏**。该宏有助于显示域错误，当输入参数超出定义的数学函数的域，并且 errno 设置为 EDOM 时，就会出现域错误。

```c
 **#define EDOM some_value;** 

```

## EDOM 参数:

EDOM 宏不接受任何参数。论证是域外的意思，考虑我们求负数的平方根时的情况。

## EDOM 回归值

宏 EDOM 不返回任何值，它扩展为一个非零整数常量，其值由实现定义。

## EDOM 的例子

### 例 1:EDOM 函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <errno.h>
#include <math.h>

int main () {
   double value;

   errno = 0;
   value = sqrt(-10);

   if(errno == EDOM) {
      printf("Value is Invalid  \n");
   } else {
      printf("Value is valid \n");
   }

   errno = 0;
   value = sqrt(10);

   if(errno == EDOM) {
      printf("Value is Invalid\n");
   } else {
      printf("Value is valid\n");
   }

   return(0);
} 

```

输出:

```c
 Value is Invalid
Value is valid 
```