# C `ERANGE`

> 原文：<https://learnetutorials.com/c-programming/library-functions/erange>

ERANGE 是在 errno.h 头文件中定义的**宏**。该宏有助于显示范围错误，当输入参数超出定义的数学函数的范围，并且 errno 设置为 e range 时，就会出现范围错误。

```c
 **#define ERANGE some_value;** 

```

## ERANGE 参数:

ERANGE 宏不接受任何参数。参数超出范围意味着，考虑幂函数溢出的情况。

## ERANGE 返回值

宏 ERANGE 不返回任何值，它扩展为一个非零整数常量，其值由实现定义。

## ERANGE 的例子

### 例 ERANGE 函数在 C 语言中的工作？

```c
 #include <stdio.h>
#include <errno.h>
#include <math.h>

int main () {
   double k;
   double v;

   k = 2.000000;
   v = log(k);

   if( errno == ERANGE ) {
      printf("Log(%f) is said to be out of range\n", k);
   } else {
      printf("Log(%f) is %f\n", k, v);
   }

   k = 1.000000;
   v = log(k);

   if( errno == ERANGE ) {
      printf("Log(%f) is said to be out of range\n", k);
   } else {
      printf("Log(%f) is %f\n", k, v);
   }

   k = 0.000000;
   v = log(k);

   if( errno == ERANGE ) {
      printf("Log(%f) is said to be out of range\n", k);
   } else {
      printf("Log(%f) is %f\n", k, v);
   }

   return 0;
} 

```

输出:

```c
 Log(2.000000) is 0.693147                                      
Log(1.000000) is 0.000000                                      
Log(0.000000) is said to be out of range 
```