# Go 标识符

> 原文：<https://learnetutorials.com/golang/identifiers>

在编程语言中，标识符是程序中组件的用户定义名称或实体。标识符是用于标识组件的一个或多个字母和数字的序列。在 Go 语言中，标识符可以是常量、函数名、变量名、包名、类型或语句标签。

```go
 package main
import "fmt"

func main() {

 var site = "Learn eTutorials"

} 

```

在上面的示例中，有三个可用的标识符:

*   主要:包的名称
*   main:函数的名称
*   站点:变量的名称

## 标识符命名规则

程序员必须遵循一些规则来构造有效的 Go 标识符。如果程序员不遵循这些规则，那么就会出现编译时错误。这些错误会中断程序的执行。

1.  标识符的名称可以是字母、下划线(_)和数字的组合。
2.  Go 标识符的第一个字母必须是字母或下划线(_)。你可以同时使用小写字母和大写字母。
3.  Go 标识符的第一个字母不能是数字。从 0 到 9 的数字只能在第一个字母之后使用。
4.  Go 标识符的名称区分大小写。这意味着在整个程序中，标识符必须以一致的大写字母键入。
5.  关键字(或保留字)不允许用作标识符。
6.  在 Go 编程中，没有关于标识符可以有多少个字母的规则。但是建议不要超过 15 个字母。

现在让我们看看下面给出的表格，了解哪些是有效的标识符，哪些不是。

| 样品 | 验证状态 | 规则 |
| 你好 | 有效的 | 第一个字母必须是字母表。 |
| 你好 | 有效的 | 下划线可以用作第一个字母。 |
| 你好 | 有效的 | 小写字母和大写字母都可以使用。 |
| 你好 | 有效的 | 小写字母和大写字母都可以使用。 |
| hello123 | 有效的 | 

*   The first letter must be the alphabet.
*   Numbers can be used after the first letter.

 |
| 你好世界 | 有效的 | 标识符的名称可以是字母、下划线(_)和数字的组合。 |
| 你好 | 无效 | 第一个字母不应该是数字。 |
| 如果 | 无效 | 关键字不允许用作标识符。 |
| 进口 | 无效 | 关键字不允许用作标识符。 |