# Go 程序：打印不同类型的常量

> 原文：<https://learnetutorials.com/golang/programs/types-of-constants>

## 如何显示不同类型的常量

这里我们解释如何在 Go 程序中显示不同类型的常量。我们可以使用内置功能 **fmt.println()** 打印任何东西。该功能在 **fmt** 包下定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何在 Go 程序中显示不同类型的常量

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言打印不同类型的常量。数学函数必须导入头文件**数学**。这里 **st** 是一个字符串常量，也 **n，d** 表示常量。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt，数学**

**步骤 2** :用值“**初始化字符串常量 **st** 示例**

**第三步**:启动功能**主()**

**第 4 步**:使用`fmt.println()`打印字符串常量 **st**

**步骤 5** :初始化常量 **n，d**

**STEP 6** :使用`fmt.println()`打印 **d、int64(d)、Sin(n)**

## GO 源代码

```go
package main

import (
    "fmt"
    "math"
)

const st string = "example"

func main() {
    fmt.Println(st)
    const n = 500000000
    const d = 3e20 / n
    fmt.Println(d)
    fmt.Println(int64(d))
    fmt.Println(math.Sin(n))
}

```

## 输出

```go
example
6e+11
600000000000
-0.28470407323754404
```