# Go 程序：执行条件语句

> 原文：<https://learnetutorials.com/golang/programs/condition-statement>

## 如何实现条件语句

这里我们解释如何在 Go 程序中实现条件语句。我们可以使用内置功能 **fmt.println()** 打印任何东西。该功能在 **fmt** 包下定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何在 Go 程序中实现条件语句

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言实现条件语句。这里我们使用一个条件陈述`if-else`。使用此检查数字 **11** 是奇数还是偶数，方法是找到 **11%2** 。还要检查 **15** 这个数字是否能被 **3** 整除。此处变量 **n** 赋值为 **7** ，并检查其个数是否小于 **10** ，打印相应的语句。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**STEP 2** :使用条件语句`if-else`检查( **11%2=0**

**第三步**:如果是真的，用`fmt.println()`把它打印成偶数，否则数字就是奇数

**STEP 4** :再次使用`if`语句检查( **15%3=0**

**STEP 5** :用`if `检查(**n:= 7；n < 0** 并打印相应的报表

**STEP 6** :使用`else` `if `检查( **n < 10** )并打印相应的报表

## GO 源代码

```go
package main
import "fmt"

func main() {

    if 11%2 == 0 {
        fmt.Println("11 is even")
    } else {
        fmt.Println("11 is odd")
    }
    if 15%3 == 0 {
        fmt.Println("15 is divisible by 3")
    }

    if n := 7; n < 0 {
        fmt.Println(n, "is negative")
    } else if n < 10 {
        fmt.Println(n, "has 1 digit")
    } else {
        fmt.Println(n, "has multiple digits")
    }
}

```

## 输出

```go
11 is odd
15 is divisible by 3
7 has 1 digit
```