# Go 程序：实现`for`循环

> 原文：<https://learnetutorials.com/golang/programs/implement-for-loop>

## 如何实现循环语句

这里我们解释如何在 Go 程序中实现循环语句。我们可以使用内置功能 **fmt.println()** 打印任何东西。该功能在 **fmt** 包下定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## Go 程序中循环语句的实现

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言实现循环语句。指数变量 **i，j，n** 用于`for-loop`。要退出循环，我们可以使用`break`语句。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:使用`for-loop`使用变量 **i** 打印从 1 到 4 的数字

**第三步**:使用`for-loop`使用变量 **j** 打印 6 到 10 的数字

**第 4 步**:使用`break`语句，通过打印**退出**来终止循环

**第 5 步**:使用`for-loop`使用变量 **n** 打印从 0 到 7 的奇数

**第 6 步**:所有的数字都是用`fmt.println()`打印的

## GO 源代码

```go
package main
import "fmt"

func main() {
    i := 1
    for i <= 4 {
        fmt.Println(i)
        i = i + 1
    }

    for j := 6; j <= 10; j++ {
        fmt.Println(j)
    }

    for {
        fmt.Println("exit")
        break
    }

    for n := 0; n <= 7; n++ {
        if n%2 == 0 {
            continue
        }
        fmt.Println(n)
    }
}

```

## 输出

```go
1
2
3
4
6
7
8
9
10
exit
1
3
5
7
```