# Go 程序：实现数组

> 原文：<https://learnetutorials.com/golang/programs/implement-arrays>

## 如何实现数组

这里我们解释如何在 Go 程序中实现数组。我们可以使用内置功能 **fmt.println()** 打印任何东西。该功能在 **fmt** 包下定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何在 Go 程序中实现数组

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言实现循环语句。在这个程序中，我们使用变量 **x，y，TwD**作为数组。利用数组函数 **len()** 求出数组的长度。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**步骤 2** :启动功能**主()**

**STEP 3** :申报整数阵 **x** 大小 **5**

**第 4 步**:使用`fmt.println()`打印 **x，x【4】**

**STEP 5** :将数组长度打印为**透镜(x)**

**STEP 6** :将整数数组 **y** 初始化为大小 **6** ，数值为 1 到 6

**第 7 步**:声明一个二维数组**两个**使用内部`for loops `分配数组值

**步骤 8** :打印二维数组

## GO 源代码

```go
package main
import "fmt"

func main() {
    var x [5]int
    fmt.Println("EXP:", x)

    x[4] = 100
    fmt.Println("SET:", x)
    fmt.Println("GET:", x[4])
    fmt.Println("LENGTH:", len(x))

    y := [6]int{1, 2, 3, 4, 5, 6}
    fmt.Println("DCL:", y)

    var twoD [2][3]int
    for i := 0; i < 2; i++ {
        for j := 0; j < 3; j++ {
            twoD[i][j] = i + j
        }
    }
    fmt.Println("2D: ", twoD)
}

```

## 输出

```go
EXP: [0 0 0 0 0]
SET: [0 0 0 0 100]
GET: 100
LENGTH: 5
DCL: [1 2 3 4 5 6]
2D:  [[0 1 2] [1 2 3]]
```