# Go 程序：打印数组中的偶数

> 原文：<https://learnetutorials.com/golang/programs/print-even-numbers>

## 如何打印数组中的偶数

这里我们解释如何在 Go 程序中打印偶数数组。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何使用 GO 程序打印数组中的偶数

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言打印数组中的偶数。这里变量 **Arr** 保存数组元素。其他变量**大小，i** 用作数组的大小和循环的索引。使用`for loop`通过循环迭代找到偶数。如果 **(Arr[i]%2 == 0)** 则为偶数并打印该数字。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**第三步**:声明变量**大小，i**

**第四步**:使用`for loop`读取数组 **Arr[]**

**步骤 5** :在 for 循环中搜索偶数，好像(Arr[i] %2==0)

****第 6 步** :** 如果为真，则为偶数，否则继续循环

****步骤 7** :** 使用`fmt.Println()`打印偶数

## GO 源代码

```go
package main
import "fmt"

func main() {
    var size, i int
    fmt.Print("Enter the array size = ")
    fmt.Scan(&size;)
    Arr := make([]int, size)
    fmt.Print("Enter the array items  = ")
    for i = 0; i < size; i++ {
        fmt.Scan(&Arr;[i])
    }
    fmt.Print("\nThe list of even numbers in Arr = ")
    for i = 0; i < size; i++ {
        if Arr[i]%2 == 0 {
            fmt.Print(Arr[i], " ")
        }
    }
    fmt.Println()
}

```

## 输出

```go
Enter the array size = 10
Enter the array items  = 2 5 6 3 8 4 7 9 12 15

The list of even numbers in Arr = 2 6 8 4 12
```