# Go 程序：实现数组乘法

> 原文：<https://learnetutorials.com/golang/programs/array-multiplication-program>

## 如何实现数组乘法程序

这里我们解释如何在 Go 程序中实现一个数组乘法程序。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何用 GO 程序实现数组乘法程序

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言实现数组乘法程序。这里变量 **Arr1，Arr2，MArr** 保存数组元素。另一个变量 **i** 用作循环的索引。使用`for loop`通过循环迭代找到数组乘法。乘法按(Arr1[i] * Arr2[i])进行，并将其存储到新数组 **MArr** 中。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**步骤 3** :声明变量 **i**

**步骤 4** :使用`for loop`读取数组 **Arr1[]，Arr2[]**

**第 5 步**:将 for 循环中的数组乘法求为 Arr1[i] * Arr2[i]

****STEP 6** :** 将结果存储到数组 **MArr** 中并继续循环

****STEP 7** :** 使用`fmt.Println()`打印结果数组 **MArr**

## GO 源代码

```go
package main
import "fmt"

func main() {
    var i int
    var Arr1 [5]int
    var Arr2 [5]int
    var MArr [5]int

    fmt.Print("Enter the first array items = ")
    for i = 0; i < 5; i++ {
        fmt.Scan(&Arr1;[i])
    }
    fmt.Print("Enter the second array items = ")
    for i = 0; i < 5; i++ {
        fmt.Scan(&Arr2;[i])
    }

    fmt.Print("The multiplication of two arrays = ")
    for i = 0; i < len(MArr); i++ {
        MArr[i] = Arr1[i] * Arr2[i]
        fmt.Print(MArr[i], "  ")
    }
    fmt.Println()
}

```

## 输出

```go
Enter the first array items = 1 2 3 4 5
Enter the second array items = 5 6 7 8 9
The multiplication of two arrays = 5  12  21  32  45 
```