# Go 程序：对数组执行算术运算

> 原文：<https://learnetutorials.com/golang/programs/arithmetic-operation>

## 如何对数组执行算术运算

这里我们解释如何在 Go 程序中对数组执行算术运算。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何使用 GO 程序对数组执行算术运算

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言对数组执行算术运算。这里变量 **ar1、ar2** 保存整数数组元素。使用`for loop`查找每次算术运算的结果。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**STEP 3** :声明两个整数数组 **ar1、ar2**

**第四步**:使用`for loop`，进行加减乘除运算

**第五步**:使用`fmt.Println()`打印结果

## GO 源代码

```go
package main

import "fmt"

func main() {

    ar1 := []int{10, 29, 70, 40, 127}
    ar2 := []int{15, 25, 35, 45, 55}

    fmt.Println("Add\tSub\tMul\tDiv\tMod")
    for i := 0; i < 5; i++ {
        fmt.Print("\n", ar1[i]+ar2[i], "\t")
        fmt.Print(ar1[i]-ar2[i], "\t")
        fmt.Print(ar1[i]*ar2[i], "\t")
        fmt.Print(ar1[i]/ar2[i], "\t")
        fmt.Print(ar1[i]%ar2[i], "\t")
    }
    fmt.Println()
}

```

## 输出

```go
Add     Sub     Mul     Div     Mod

25      -5      150     0       10
54      4       725     1       4
105     35      2450    2       0
85      -5      1800    0       40
182     72      6985    2       17
```