# Go 程序：打印每个字符串的 ASCII 值

> 原文：<https://learnetutorials.com/golang/programs/print-ASCII>

## 如何打印每个字符串的 ASCII 值

这里我们解释如何在 Go 程序中打印每个字符串的 ASCII 值。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

## 如何在 Go 程序中打印每个字符串的 ASCII 值

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何用 Go 语言打印每个字符串的 ASCII 值。这里变量 **str** 是持有需要转换的字符串。而**阅读器**是为阅读而创造的物品。使用`for loop`打印字符串中每个字符的 ASCII 值。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包装 **fmt，bufio，os**

**第二步**:启动功能**主()**

**步骤 3** :创建一个对象**阅读器**进行输入读取

**步骤 4** :将字符串读入变量**字符串**

**步骤 5** :使用$c、%d 使用`for loop`打印字符串及其 ASCII 码

## GO 源代码

```go
package main

import (
    "bufio"
    "fmt"
    "os"
)

func main() {

    reader := bufio.NewReader(os.Stdin)
    fmt.Print("Enter the string to find ASCII = ")
    str, _ := reader.ReadString('\n')
    for i := 0; i < len(str); i++ {
        fmt.Printf("The ASCII value of %c = %d\n", str[i], str[i])
    }
}

```

## 输出

```go
Enter the string to find ASCII = hello
The ASCII value of h = 104
The ASCII value of e = 101
The ASCII value of l = 108
The ASCII value of l = 108
The ASCII value of o = 111
```