# Go 程序：计算球体体积和表面积

> 原文：<https://learnetutorials.com/golang/programs/volume-and-surface-area-of-sphere>

## 如何找到球体的体积和表面积

这里我们解释如何在 Go 程序中找到球体的体积和表面积。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
Sphere Surface Area = ** 4πr²** 
Sphere Volume = ** 4πr³** 

```

其中 **π** 值为 3.14， **r** 为球体半径

## Go 程序中如何求球面的体积和表面积

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到球体的体积和表面积。这里变量 **spRa** 代表球体的半径。其他变量 **spAr，spVol** 用作表面积和体积的结果变量。使用数学函数进行计算。体积用 **4πr** 求，表面积用 **4πr** 求。最后打印结果。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**第三步**:声明变量 **spRa、spAr、spVol**

**步骤 4** :读取球体的半径 **spRa**

**第五步**:用 **4πr** 计算表面积

****STEP 6** :** 使用 **4πr** 计算音量

****STEP 7** :** 使用`fmt.Println()`打印**晶石**和 **spVol**

## GO 源代码

```go
package main
import "fmt"

func main() {

    var spRa, spAr, spVol
    fmt.Print("Enter the radius of Sphere = ")
    fmt.Scanln(&spRa;)

    spAr = 4 * 3.14 * spRa * spRa
    spVol = (4.0/3) * 3.14 * spRa * spRa * spRa

    fmt.Println("The surface area of a sphere  = ", spAr)
    fmt.Println("The volume of a sphere  = ", spVol)
}

```

## 输出

```go
Enter the radius of Sphere = 8
The surface area of a sphere  = 803.84 
The volume of a sphere  = 2143.573333
```