# Go 程序：求圆柱体体积和表面积

> 原文：<https://learnetutorials.com/golang/programs/volume-and-surface-area-of-cylinder>

## 如何求圆柱体的体积和表面积

这里我们解释如何在 Go 程序中找到圆柱体的体积和表面积。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
Surface Area of a Cylinder = ** 2πr² + 2πrh** 
Cylinder Volume = ** πr²h** 
The Lateral Surface Area of a Cylinder = **2πrh** 
Cylinder Top Or Bottom Surface Area = **πr²** 

```

其中 **r** 为圆柱体半径， **h** 为圆柱体高度

## 如何在 Go 程序中求圆柱体的体积和表面积

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到圆柱体的体积和表面积。这里变量 **cyRa，cyHt** 保存圆柱体的半径和高度。其他变量 **cySA、cyVol、cyL、cyT** 用作表面积、体积、侧表面积、顶部或底部表面积的结果变量。使用数学函数进行计算。体积用 **πr h** 求，表面积用 **2πr + 2πrh** 求。最后打印结果。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt，数学**

**第二步**:启动功能**主()**

**步骤 3** :声明变量 **cyRa、cyHt、cySA、cyVol、cyL、cyT**

**步骤 4** :读取圆柱体的半径和高度 **cyRa，cyHt**

**第五步**:用 **2πr + 2πrh** 计算表面积

****STEP 6** :** 使用 **πr h** 计算音量

**步骤 7** :用 **2πrh** 计算侧面面积

****STEP 8** :** 使用 **πr** 计算顶面或底面面积

****STEP 9** :** 使用`fmt.Println()`打印 **cySA、cyVol、cyL、cyT**

## GO 源代码

```go
package main

import (
    "fmt"
    "math"
)

func main() {

    var cyRa, cyHt, cySA, cyVol, cyL, cyT float32

    fmt.Print("Enter the radius  of Cylinder = ")
    fmt.Scanln(&cyRa;)
    fmt.Print("Enter the height Cylinder = ")
    fmt.Scanln(&cyHt;)

    cySA = 2 * math.Pi * cyRad * (cyRa+ cyHt)
    cyVol = math.Pi * cyRa * cyRa * cyHt
    cyL = 2 * math.Pi * cyRa * cyHt
    cyT = math.Pi * cyRa * cyRa

    fmt.Println("\nThe volume of a Cylinder                = ", cyVol)
    fmt.Println("The surface area of a Cylinder            = ", cySA)
    fmt.Println("The lateral surface area of a Cylinder    = ", cyL)
    fmt.Println("Top or bottom surface area of a Cylinder    = ", cyT) 

```

## 输出

```go
Enter the radius of Cylinder = 5
Enter the height Cylinder = 9
The volume of a Cylinder                = 706.8583
The surface area of a Cylinder            = 439.823
The lateral surface area of a Cylinder    = 282.7433
Top or bottom surface area of a Cylinder    = 78.5398 
```