# Go 程序：计算立方体体积和表面积

> 原文：<https://learnetutorials.com/golang/programs/volume-and-surface-area-of-cube>

## 如何求立方体的体积和表面积

这里我们解释如何在 Go 程序中找到立方体的体积和表面积。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
Surface Area of a Cube = ** 6l²** 
Cube Volume = ** l * l * l** 
The Lateral Surface Area of a Cube = **4 * (l * l)** 

```

其中 **l** 是立方体任意一边的长度

## Go 程序中如何求立方体的体积和表面积

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到立方体的体积和表面积。这里变量 **len** 保存立方体的长度。其他变量 **SA、Vol、LA** 用作表面积、体积、侧表面积的结果变量。使用数学函数进行计算。体积用 **l * l * l** 求，表面积用 **6l** 求。最后打印结果。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**步骤 3** :声明变量 **len、SA、Vol、LA**

**第四步**:读取立方体**透镜**任意一边的长度

**第五步**:用 **6l** 计算表面积

****STEP 6** :** 使用 **l * l * l** 计算体积

**第 7 步**:用 **4 * (l * l)** 计算侧面面积

****步骤 8** :** 使用`fmt.Println()`打印 **SA，Vol，LA**

## GO 源代码

```go
package main

import "fmt"

func main() {

    var len, SA, Vol, LA float32

    fmt.Print("Enter the length of any side of a cube = ")
    fmt.Scanln(&len;)

    SA = 6 * (len * len)
    Vol = len * len * len
    LA = 4 * (len * len)

    fmt.Println("\nThe volume of a cube            = ", Vol)
    fmt.Println("The surface area of a cube      = ", SA)
    fmt.Println("Lateral surface area of a cube  = ", LA)
} 

```

## 输出

```go
Enter the length of any side of a cube = 7
The volume of a cube            = 343
The surface area of a cube      = 294
Lateral surface area of a cube  = 196
```