# Go 程序：求长方体体积和表面积

> 原文：<https://learnetutorials.com/golang/programs/volume-and-surface-area-of-cuboid>

## 如何求长方体的体积和表面积

这里我们解释如何在 Go 程序中求长方体的体积和表面积。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
Surface Area of a Cuboid = ** 2lw + 2lh + 2wh** 
Cuboid Volume = ** lbh** 
The Lateral Surface Area of a Cuboid = **2h (l + w)** 

```

其中 l =长度，w =宽度，h =高度

## Go 程序中如何求长方体的体积和表面积

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到长方体的体积和表面积。这里变量 **len、Wid、Hght** 保持长方体的长、宽、高。其他变量 **SA、Vol、LA** 用作表面积、体积、侧表面积的结果变量。使用数学函数进行计算。体积用 **lbh** 求，表面积用 **2lw + 2lh + 2wh** 求。最后打印结果。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**步骤 3** :声明变量 **len、Wid、Hght、SA、Vol、LA**

**步骤 4** :读取长方体**透镜的长、宽、高，Wid、Hght**

**第五步**:用 **2lw + 2lh + 2wh** 计算表面积

****STEP 6** :** 使用 **lbh** 计算音量

**第 7 步**:用 **2h (l + w)** 计算侧面面积

****步骤 8** :** 使用`fmt.Println()`打印 **SA，Vol，LA**

## GO 源代码

```go
package main
import "fmt"

func main() {

    var len, Wid, Hght, SA, Volu, LA float32
    fmt.Print("Enter the length of a cuboid = ")
    fmt.Scanln(&len;)
    fmt.Print("Enter the width of a cuboid  = ")
    fmt.Scanln(&Wid;)
    fmt.Print("Enter the height of a cuboid = ")
    fmt.Scanln(&Hght;)

    SA = 2 * (len*Wid + len*Hght + Wid*Hght)
    Vol = len * Wid * Hght
    LA = 2 * Hght * (len + Wid)

    fmt.Println("\nThe volume of a cuboid         = ", Vol)
    fmt.Println("The surface area of a cuboid     = ", SA)
    fmt.Println("Lateral surface area of a cuboid = ", LA)
}

```

## 输出

```go
Enter the length of a cuboid = 8
Enter the width of a cuboid  = 5
Enter the height of a cuboid = 6
The volume of a cuboid         = 240
The surface area of a cuboid     = 236
Lateral surface area of a cuboid = 156
```