# Go 程序：检查字符是否是字母

> 原文：<https://learnetutorials.com/golang/programs/check-for-alphabet>

## 如何检查字符是否是字母

这里我们解释如何在 Go 程序中检查字符是否是字母。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**func IsLetter(r rune) bool** 

```

一个字母报告给定的符文是否是字母(类别 1)

## Go 程序中如何检查字符是字母

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中检查字符是否是字母表。这里的变量 **chr** 就是**T4【用来保存已读字符。为了阅读角色，使用**新阅读器**创建阅读器。使用 **unicode 检查读取的字符是否是字母。IsLetter(chr)** 。最后打印结果。下面给出了 Go 程序中使用的步骤。**

## 算法

**步骤 1** :导入包 **fmt、bufio、os、unicode**

**第二步**:启动功能**主()**

**步骤 3** :用 NewReader 作为**阅读器创建一个阅读器:= bufio。NewReader(os。Stdin)**

**第四步**:将字符读入变量 **chr** 为`chr, _, _ := reader.ReadRune()`

**第五步**:使用 **unicode 检查字符是否是字母。IsLetter(chr)**

****步骤 6** :** 使用`if`语句打印正确的消息

## GO 源代码

```go
package main

import (
    "bufio"
    "fmt"
    "os"
    "unicode"
)

func main() {

    reader := bufio.NewReader(os.Stdin)

    fmt.Print("Enter any character = ")
    chr, _, _ := reader.ReadRune()

    if unicode.IsLetter(chr) {
        fmt.Printf("%c is an Alphabet\n", chr)
    } else {
        fmt.Printf("%c is not a Alphabet\n", chr)
    }
}

```

## 输出

```go
Enter any character = H
H is an Alphabet

Enter any character = 5
5 is not an Alphabet 
```