# Go 程序：查找字符的 ASCII 值

> 原文：<https://learnetutorials.com/golang/programs/find-ASCII-value>

## 如何找到一个字符的 ASCII 值

这里我们解释如何在 Go 程序中找到一个字符的 ASCII 值。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**func (r *Reader) ReadByte() (byte, error)** 

```

这里 ReadByte 实现了 io。ByteReader 接口。

## 如何在 Go 程序中找到一个字符的 ASCII 值

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到一个字符的 ASCII 值。这里变量 **ch** 就是**T4【用来装读的人物。为了阅读角色，使用**新阅读器**创建阅读器。将字符读作 **ch，_:= reader。`ReadByte()`** 。最后打印结果。下面给出了 Go 程序中使用的步骤。**

## 算法

**第一步**:导入包装 **fmt，bufio，os**

**步骤 3** :用 NewReader 作为**阅读器创建一个阅读器:= bufio。NewReader(os。Stdin)**

**第 4 步**:将字符读入变量 **ch** 作为`ch, _ := reader.ReadByte()`

**第五步**:使用`fmt.printf()`打印字符的 ASCII 值

## GO 源代码

```go
package main

import (
    "bufio"
    "fmt"
    "os"
)

func main() {

    reader := bufio.NewReader(os.Stdin)

    fmt.Print("Enter any character = ")
    ch, _ := reader.ReadByte()

    fmt.Printf("The ASCII value of %c = %d\n", ch, ch)
}

```

## 输出

```go
Enter any character = j

The ASCII value of j = 106 
```