# Go 程序：将字符转换为大写字母

> 原文：<https://learnetutorials.com/golang/programs/convert-to-uppercase>

## 如何将字符转换成大写字母

这里我们解释如何在 Go 程序中将字符转换为大写字母。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**func IsLetter(r rune) bool** 

```

一个字母报告给定的符文是否是字母(类别 1)

## Go 程序中如何将字符转换成大写字母

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中将字符转换为大写字母。这里的变量 **chr** 就是**T4【用来保存已读字符。为了阅读角色，使用**新阅读器**创建阅读器。使用 **unicode 检查读取的字符是否是字母。IsLetter(chr)** 。如果是字母表，使用 **unicode 将字符转换为大写字母。ToUpper(chr)** 。最后打印结果。下面给出了 Go 程序中使用的步骤。**

## 算法

**步骤 1** :导入包 **fmt、bufio、os、unicode**

**第二步**:启动功能**主()**

**步骤 3** :用 NewReader 作为**阅读器创建一个阅读器:= bufio。NewReader(os。Stdin)**

**第四步**:将字符读入变量 **chr** 为`chr, _, _ := reader.ReadRune()`

**第五步**:使用 **unicode 检查字符是否是字母。处于`if`状态的 T4**

****STEP 6**** : 如果为真使用 **unicode 转换字符。ToUpper(chr)**

****STEP 7**** :使用`fmt.println()`打印结果

## GO 源代码

```go
package main

import (
    "bufio"
    "fmt"
    "os"
    "unicode"
)

func main() {

    reader := bufio.NewReader(os.Stdin)
     fmt.Print("Enter the character to be cThe Uppercase character of %c = %c\n", chr, up)
    } else {
        fmt.Printf("Please enter a valid alphabet\n")
    }
} 

```

## 输出

```go
Enter the character to be c
The Uppercase character of b = B
 Enter the character to be c
Please enter a valid alphabet 
```