# Go 程序：检查字符是元音还是辅音

> 原文：<https://learnetutorials.com/golang/programs/check-for-vowel-or-consonant>

## 如何检查字符是元音还是辅音

这里我们解释如何在 Go 程序中检查字符是元音还是辅音。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**func (r *Reader) ReadByte() (byte, error)** 

```

ReadByte 实现 io。字节阅读器界面

## Go 程序中如何检查字符是元音还是辅音

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中检查字符是元音还是辅音。这里的变量 **chr** 就是**T4【用来保存已读字符。为了阅读角色，使用**新阅读器**创建阅读器。通过比较字符和元音来检查读出来的字符是元音还是辅音。最后打印结果。下面给出了 Go 程序中使用的步骤。**

## 算法

**第一步**:导入包装 **fmt，bufio，os**

**第二步**:启动功能**主()**

**步骤 3** :用 NewReader 作为**阅读器创建一个阅读器:= bufio。NewReader(os。Stdin)**

**第四步**:将字符读入变量 **chr** 为`chr, _, _ := reader.ReadRune()`

**第五步**:通过比较字符和元音来检查字符是元音还是辅音

****步骤 6** :** 使用`if`语句打印正确的消息

## GO 源代码

```go
package main

import (
    "bufio"
    "fmt"
    "os"
)

func main() {

    reader := bufio.NewReader(os.Stdin)

    fmt.Print("Enter the character = ")
    chr, _ := reader.ReadByte()

    if chr == 'a' || chr == 'e' || chr == 'i' || chr == 'o' || chr == 'u' ||
        chr == 'A' || chr == 'E' || chr == 'I' || chr == 'O' || chr == 'U' {
        fmt.Printf("%c is a VOWEL character\n", chr)
    } else {
        fmt.Printf("%c is a CONSONANT\n", chr)
    }
}

```

## 输出

```go
Enter the character = e
e is a VOWEL character

Enter the character = c
c is a CONSONANT 
```