# Go 程序：相加两个矩阵

> 原文：<https://learnetutorials.com/golang/programs/add-two-matrices>

## 如何将两个矩阵相加

这里我们解释如何在 Go 程序中相加两个矩阵。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**for initialization; condition; post{
       // statements....
}** 

```

初始化语句在 for 循环开始之前执行，并且是可选的。条件语句有一个布尔表达式。post 语句在 for 循环的主体之后执行。

## Go 程序中两个矩阵如何相加

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中相加两个矩阵。这里变量 **mat1，mat2，sum** 就是用来保存矩阵元素和迭代元素 **i，j** 。将读取矩阵元素的行数和列数读入变量**行，列**。读取元素后，使用两个嵌套循环相加矩阵元素。最后，打印结果矩阵**和**。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**STEP 3** :声明矩阵变量 **mat1、mat2、sum、**和迭代变量 **i、j**

**步骤 4** :将行数和列数读入**行，列**

**第五步**:读取两个矩阵求和

****STEP 6** :** 使用两个嵌套的`for loops`求矩阵的和

****步骤 7** :** 使用`fmt.print()`打印总和矩阵

## GO 源代码

```go
package main

import "fmt"

func main() {
    var row, col, i, j int

    var mat1 [10][10]int
    var mat2 [10][10]int
    var sum [10][10]int

    fmt.Print("Enter the number of rows and columns = ")
    fmt.Scan(&row;, &col;)

    fmt.Print("Enter the first matrix= ")
    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            fmt.Scan(&mat1;[i][j])
        }
    }

    fmt.Print("Enter the second matrix = ")
    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            fmt.Scan(&mat2;[i][j])
        }
    }

    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            sum[i][j] = mat1[i][j] + mat2[i][j]
        }
    }
    fmt.Println("The sum of two matrices = ")
    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            fmt.Print(sum[i][j], "\t")
        }
        fmt.Println()
    }
}

```

## 输出

```go
Enter the number of rows and columns = 2 2
Enter the first matrix= 
15 14
10 20
Enter the second matrix = 
5 12
13 7
The sum of two matrices = 
20 26
23 27 
```