# Go 程序：计算矩阵的转置

> 原文：<https://learnetutorials.com/golang/programs/transpose-of-matrix>

## 如何求矩阵的转置

这里我们解释如何在 Go 程序中找到矩阵的转置。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**for initialization; condition; post{
       // statements....
}** 

```

初始化语句在 for 循环开始之前执行，并且是可选的。条件语句有一个布尔表达式。post 语句在 for 循环的主体之后执行。

## Go 程序中如何求矩阵的转置

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中找到矩阵的转置。这里变量 **mat、TMat** 是用来保存矩阵元素和迭代元素 **i、j** 。将读取矩阵元素的行数和列数读入变量**行，列**。读取元素后，使用两个嵌套的 for 循环找到矩阵元素的转置，如 **TMat[j][i] = mat[i][j]** 。最后打印结果矩阵 **TMat** 。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**STEP 3** :声明矩阵变量 **mat、TMat** 和迭代变量 **i、j**

**步骤 4** :将行数和列数读入**行，列**

**第五步**:读取矩阵求转置

****STEP 6**** : 使用两个嵌套的`for loops as ` **TMat[j][i] = mat[i][j]** 找到矩阵的转置

****STEP 7**** : 使用`fmt.print()`打印转置矩阵

## GO 源代码

```go
package main

import "fmt"

func main() {
    var i, j, row, col int

    var mat [10][10]int
    var TMat [10][10]int

     fmt.Print("Enter the number of rows and columns = ")
     fmt.Scan(&row;, &col;)

    fmt.Println("Enter the matrix items = ")
    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            fmt.Scan(&mat;[i][j])
        }
    }
    for i = 0; i < row; i++ {
        for j = 0; j < col; j++ {
            TMat[j][i] = mat[i][j]
        }
    }
    fmt.Println("*** The Transpose Matrix ***")
    for i = 0; i < col; i++ {
        for j = 0; j < row; j++ {
            fmt.Print(TMat[i][j], "  ")
        }
        fmt.Println()
    }
}

```

## 输出

```go
Enter the number of rows and columns = 2 3
Enter the matrix items =
1  2  3
4  5  6
*** The Transpose Matrix ***
1  4
2  5
3  6 
```