# Go 程序：检查单位矩阵

> 原文：<https://learnetutorials.com/golang/programs/check-identity-matrix>

## 如何检查单位矩阵

这里我们解释如何在 Go 程序中检查单位矩阵。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

```go
**for initialization; condition; post{
       // statements....
}** 

```

初始化语句在 for 循环开始之前执行，并且是可选的。条件语句有一个布尔表达式。post 语句在 for 循环的主体之后执行。

## Go 程序中如何查恒等式矩阵

我们使用`fmt.println()`功能将字符串打印到输出屏幕。这里我们展示了如何在 Go 语言中检查单位矩阵。这里的变量 **mat** 是用来保存矩阵元素和迭代元素 **i，j** 。将矩阵的大小读入变量 **num** 。读取元素后，使用两个嵌套循环检查矩阵元素的单位矩阵。对于此检查，对角线元素为 1，其他元素为 0。下面给出了 Go 程序中使用的步骤。

## 算法

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**STEP 3** :声明矩阵变量 **mat、**和迭代变量 **i、j**

**第四步**:将矩阵的大小读入**号**

**步骤 5** :读取矩阵元素并设置一个**标志**变量

****步骤 6** :** 使用两个嵌套的`for loops`检查对角线元素是否为 1，其他元素是否为 0

****步骤 7** :** 使用`fmt.print()`打印结果

## GO 源代码

```go
package main

import "fmt"

func main() {

    var num, i, j int
    var mat [10][10]int

    fmt.Print("Enter the size of matrix  = ")
    fmt.Scan(&num;)

    fmt.Print("Enter the matrix items = ")
    for i = 0; i < num; i++ {
        for j = 0; j < num; j++ {
            fmt.Scan(&mat;[i][j])
        }
    }
    flag := 1
    for i = 0; i < num; i++ {
        for j = 0; j < num; j++ {
            if mat[i][j] != 1 && mat[j][i] != 0 {
                flag = 0
                break
            }
        }
    }
    if flag == 1 {
        fmt.Println("It is an Identity matrix")
    } else {
        fmt.Println("It is not an Identity matrix")
    }
}

```

## 输出

```go
Enter the size of matrix  = 3
1  0  0  0  1  0  0  0  1
It is an Identity matrix

Enter the size of matrix  = 2
1  0  1  0  
It is not an Identity matrix
```