# Go 程序：实现线性搜索

> 原文：<https://learnetutorials.com/golang/programs/linear-search>

搜索算法是最常见的过程，您会看到它在任何地方被实现来检查一个元素或者从存储它的任何数据结构中检索一个元素。

在这个 Go 程序中，我们需要使用线性搜索从数组中搜索一个元素。线性搜索是一种非常常见和流行的搜索算法。在这种技术中，通过迭代数据集合来检查每个元素&搜索给定的元素是否存在。如果找到匹配项，则返回该特定项，否则，搜索将按顺序继续，直到数据收集结束。这意味着将对所有项目逐一进行顺序搜索。注意，线性搜索算法的时间复杂度是 O(n)。

## 如何实现线性搜索

这里我们解释如何在 Go 程序中执行线性搜索。我们可以使用内置功能 **fmt.println()** 打印任何内容，使用 **fmt.scanln()** 读取数值。该功能在 **fmt** 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“fmt”包。

这里变量 **A** 保存数组元素。其他变量 **n，x** 分别用作数组和搜索元素的大小。用于循环读取数组元素，通过调用函数`linearsearch(A, n, x)`进行线性搜索。使用此函数中的 for 循环从列表的开头移动到结尾。它将通过循环迭代`A[i] = x`来检查每个元素。如果找到匹配项，则打印特定的数组索引并返回该特定项，否则继续按顺序搜索，直到数据收集结束。最后，如果与搜索项目不匹配，则找不到打印元素。

下面给出了在 Go 程序中实现线性搜索的步骤。

### **算法:**

**第一步**:导入包裹 **fmt**

**第二步**:启动功能**主()**

**步骤 3** :声明变量 **n，x，i**

**STEP 4** :将数组的大小读取为 **n**

**第 5 步**:定义数组 **A[]**

**步骤** **6** :使用`for loop.`读取**A[**数组元素

**STEP 7** **:** 把要搜索的号码读为 x。

**第 8 步** **:** 调用函数 linearSearch(A，size，x)

**步骤 9:** 退出

### **实现线性搜索(A，大小，X)功能的步骤**

**第 1 步**T2:将 I 设置为 0

**第 2 步**T2:如果我> n，则转到第 7 步

**第三步**T2:如果 A[i] = x，则转到第六步

**第四步**T2:将 I 设置为 i + 1

**第五步**T2:转到第二步

**第 6 步**T2:打印找到的元素位置，进入第 8 步

**第 7 步**T2:未找到打印元素

**第八步**T2:出口

## GO 源代码

```go
package main
import "fmt"

func linearSearch(A []int, n int, x int) {
 for i := 0; i < n; i++ {
  if A[i] == x {
   fmt.Println("Number found at position : ", i+1)
   return
  }
 }

 fmt.Println("Number not found")
 return

}

func main() {
 fmt.Println("Enter the size of the array")
 var n int
 fmt.Scan(&n)

 var x int
 A := make([]int, n, 100)
fmt.Println("Enter elements of the array : ")

 for i := 0; i < n; i++ {
  fmt.Scan(&A[i])
 }

 fmt.Println("Enter the number to be searched")
 fmt.Scan(&x)

 linearSearch(A, n, x)

} 

```

## 输出

```go
Enter the size of the array
5
Enter elements of the array :
10
55
22
80
63
Enter the number to be searched
22
Number found at position : 3
```