# Go 程序：实现冒泡排序

> 原文：<https://learnetutorials.com/golang/programs/implement-bubble-sort>

这里我们解释如何编写一个 GO 程序来从任何数据结构中对元素列表进行排序。有不同类型的排序算法。在这种情况下，我们使用冒泡排序对数组元素进行排序。

冒泡排序是最简单、最常用的排序方法之一。假设我们有一个无序列表，想要对这些元素进行排序，那么 Bubble 算法会比较每对相邻的元素，如果元素没有按顺序排列，就会进行交换。所以我们可以说它是一个基于比较的算法。它将检查相邻元素的顺序是否正确(增加)或者是否经过多次。当我们实现冒泡排序算法时，我们可以知道做一次交换的次数，这等于列表的长度减 1。注意，冒泡排序的平均和最坏情况复杂度为**ο(n<sup>2</sup>)**，其中 n 为项目数。所以，它不适合大数据集。

## 如何实现冒泡排序

这里我们解释如何在 Go 程序中执行冒泡排序。我们可以使用内置功能 `fmt.println()`打印任何东西，使用 `fmt.scanln()`读取数值。该功能在 fmt 包中定义，有助于编写标准输出。为了使用这些功能，我们需要导入“ **fmt** 包。

这里变量 **A** 保存数组元素。另一个变量 **n** 被用作数组的大小。用于循环读取数组元素。通过使用两个嵌套的“**”进行循环**，将每个元素与其相邻元素进行比较，如果元素小于前一个元素，则交换该元素。最后，我们得到排序数组的结果。使用 for 循环打印排序后的数组。

## 算法:

第一步:导入包 **fmt**
第二步:打开**主()**启动程序，GO 程序执行从**主()**
开始第三步:声明变量 **n** 和 **temp** 。
STEP 4:读取数组大小为 **n**
STEP 5:定义数组 **A[]**
STEP 6:使用‘**for loop**读取 **A[]** 数组元素。
步骤 7:打开嵌套的“ **for 循环**”将每个元素与其相邻元素进行比较
步骤 8:使用 **if 条件**检查，比较元素大于被比较元素，否则转到步骤 10
步骤 9:如果是，使用临时变量 **temp** 交换元素。
步骤 10:使用“for 循环”和 fmt 打印排序后的数组。打印
步骤 11:退出

## GO 源代码

```go
package main
import "fmt"
func main() {
 fmt.Println("Enter the size of the array")
 var n int
 var temp int
 fmt.Scan(&n)
 A := make([]int, n, 100)
fmt.Println("Enter elements : ")

 for i := 0; i < n; i++ {
  fmt.Scan(&A[i])
 }

for i := 0; i < n; i++ {

for j := 0; j <(n-i-1); j++ {
   if A[j] > A[j + 1]{
           temp = A[j];
           A[j] = A[j + 1];
           A[j + 1] = temp;
         }
      }
  }

fmt.Println("Sorted array : ")

 for i := 0; i < n; i++ {
  fmt. Println (A[i])
 }
}

```

## 输出

```go
Enter the size of the array
4
Enter elements : 
8
3
5
1
Sorted array : 
1
3
5
8
```