# Go 程序：执行选择排序

> 原文：<https://learnetutorials.com/golang/programs/Implement-selection-sort>

在这个 Go 程序中，我们需要使用 Selection sort 对数组中的一组元素进行排序。选择排序是一种非常常见且简单的排序算法。它的工作原理是基于就地比较的算法。

在这种技术中，它将通过重复寻找最小元素并与最左边的元素交换来对元素进行排序，并且该元素成为排序数组的一部分。之后，数组被分成两部分，排序部分和未排序部分。我们可以在左端看到已排序的部分，在右端看到未排序的部分，可以再次使用算法进行排序。这个排序过程继续将未排序的数组边界向右移动一个元素。选择排序的平均和最坏情况复杂性为ο(n<sup>2</sup>，其中 n 是项目数。所以不适合大数据集。

## 如何实现选择排序

这里我们解释如何在 Go 程序中执行选择排序。我们可以使用内置功能`fmt.println()`打印任何东西，使用`fmt.scanln()`读取数值。该功能在 **fmt** 包下定义，有助于编写标准输出。为了使用这些功能，我们需要导入“ **fmt** ”包。

这里变量**一个**保存数组元素。另一个变量 **n** 被用作数组的大小。使用**进行循环**读取数组元素，通过调用函数`Selection_Sort(array, num))`进行选择排序。这个函数将试图通过迭代数组来找到最小元素的索引。如果找到最小的数字，将最低的元素与其前一个元素交换。重复此过程，直到列表被排序。最后，排序后的数组返回到主函数，该函数使用 for 循环显示结果排序后的数组。

下面给出了执行程序中实现选择排序的步骤。

## 算法:

**第一步**:进口包裹 **fmt** 。
**STEP 2** :打开 **main()** 启动程序，GO 程序执行从**main()**
**STEP 3**开始:声明变量 **n** 。
**STEP 4** :将数组的大小读取为 **n**
**STEP 5** :定义数组**A【】**
**STEP 6**:使用‘**for loop**读取**A【】**数组元素。
**STEP 7** :通过调用函数`Selection_Sort(array, num))`
**进行选择排序 STEP 8** :用于循环显示排序后的数组。
T41】第 9 步:退出

### 实现选择排序的步骤(数组[]整数，大小整数)

**STEP 1** :通过迭代数组找到最小元素 **min** 的索引。
**STEP 2** :如果找到了最小数，那就换成它之前的元素。
**STEP 3** :递增 **min** 指向下一个元素
**STEP 4** :重复直到数组排序
**STEP 5** :返回排序后的数组

## GO 源代码

```go
package main
import "fmt"
func Selection_Sort(A[] int, n int) []int {
   var min int
   var temp int
   for i := 0; i < n- 1; i++ {
      min= i
      // Find index of minimum element
      for j := i + 1; j < n; j++ {
         if A[j] < A[min] {
            min= j
         }
      }
      temp = A[i]
      A[i] = A[min]
      A[min] = temp
   }
   return A
}
func main() {
   fmt.Println("Enter the size of the array:")
 var n int
 fmt.Scan(&n)
 A := make([]int, n, 100)
fmt.Println("Enter elements of the array : ")

 for i := 0; i < n; i++ {
  fmt.Scan(&A[i])
 }
fmt.Println("Sorted array:")
   fmt.Println(Selection_Sort(A, n))
} 

```

## 输出

```go
Enter the size of the array:
5
Enter elements of the array : 
69
32
52
74
12
Sorted array:
[12 32 52 69 74]
```