# Go 程序：实现链表

> 原文：<https://learnetutorials.com/golang/programs/implementation-of-linked-list>

我们在计算机编程中遇到的数据结构太多了。在本节中，我们将重点关注链表。链表是像数组一样的基本线性数据结构之一。它有一堆节点，每个节点都包含数据和访问下一个节点的指针。链表中的所有元素都是用指针链接的。

## 如何实现链表:

在这个 GO 程序中，我们正在导入“ **fmt** ”包，以将一些标准库包含到程序中。为了使用这些库函数，我们需要导入“ **fmt** 包。在 main 函数启动之后，在 Main 内部，我们正在执行整个程序。

我们可以说链表是节点的集合。每个节点包含一个值和一个指针。在这个 Go 程序中，Head 是链表的起始节点，它指向下一个节点。它将继续生成链接表单，因为前一个节点将存储下一个节点的地址。最后，最后一个节点的指针指向一个空值。

下面给出了在执行程序中实现链表的步骤。

## 算法:

**STEP 1** :开始
**STEP 2** :定义节点
**的结构 STEP 3** :通过调用函数`NewNode(value)`
**将 h **ead** 指定为链表的开始节点 STEP 4** :创建链表，使得上一个节点通过调用函数`NewNode(value)`
**来存储下一个节点的地址 STEP 5** :调用函数`TraverseLinkedList(head)`

### 实现函数 NewNode(值为 int)的步骤:

**步骤 1** :将变量 **n** 声明为节点。
**STEP 2** :创建节点 **n** ，方法是将数据赋给其节点值，并将节点的指针更改为 nil。
**STEP 3** :返回节点 **n**

### 实现 tratravelinkedlist _ head *节点的步骤):

**STEP 1** :遍历以**开头的列表**显示链表中的所有节点，直到发现引用值为 **NULL** 。

## GO 源代码

```go
package main
import "fmt"
type Node struct {
   value int
   next *Node
}
func NewNode(value int) *Node{
   var n Node
   n.value = value
   n.next = nil
   return &n
}
func TraverseLinkedList(head *Node){
   fmt.Printf("Linked List: ")
   temp := head
   for temp != nil {
      fmt.Printf("%d ", temp.value)
      temp = temp.next
   }
}
func main(){
   head := NewNode(100)
   head.next = NewNode(20)
   head.next.next = NewNode(40)
   head.next.next.next = NewNode(70)
   TraverseLinkedList(head)
} 

```

## 输出

```go
Linked List: 100 20 40 70
```