# Go 程序：反转给定链表

> 原文：<https://learnetutorials.com/golang/programs/reverse-linked-list>

链表是我们在计算机编程中遇到的线性数据结构之一。它有一堆节点，每个节点都包含数据和访问下一个节点的指针。我们可以看到链表中的所有元素都是用指针链接的。在本节中，我们将重点关注如何使用 GO 语言来反转给定的链表。

这里我们正在导入“ **fmt** ”包，以将一些标准库包含到程序中。为了使用这些库函数，我们需要导入“ **fmt** 包。主功能启动后，在**主**内，我们正在做整个程序。

这个 Go 程序定义了一个接受链表头的方法。要显示输入链表的反转，调用函数`ReverseLinkedList(head)`。该功能将检查**头**是否等于零。如果有；否则返回，递归调用 ReverseLinkedList。最后，在末尾显示头节点值。

下面给出了转到程序中用于反转给定链表的步骤。

## 算法:

第一步:开始
第二步:定义节点的结构
第三步:通过调用函数`NewNode()`创建链表。这里**头**是链表的开始节点。
第四步:调用功能`TraverseLinkedList(head)`显示输入链表。
第五步:调用`ReverseLinkedList(head)`功能显示输入链表的反转第六步:退出

### 实现新节点(值为整数)的步骤:

第一步:将变量 **n** 声明为节点。
步骤 2:通过将数据分配到节点值并将节点的指针更改为下一个节点来创建节点 **n** 。
步骤 3:返回节点 **n**

### 实现 tratravelinkedlist _ head *节点的步骤):

第一步:遍历以**开头**的列表，显示链表中的所有节点，直到发现引用值为**空**。

### 实现反向链接列表(标题*节点)的步骤

第一步:检查条件`head == nil`，如果是，返回；否则，递归调用`ReverseLinkedList`。
第二步:在最后显示**头**的值。

## GO 源代码

```go
package main
import "fmt"
type Node struct {
   value int
   next *Node
}
func NewNode(value int, next *Node) *Node{
   var n Node
   n.value = value
   n.next = next
   return &n
}
func TraverseLinkedList(head *Node){
   fmt.Printf("Input Linked List is: ")
   temp := head
   for temp != nil {
      fmt.Printf("%d ", temp.value)
      temp = temp.next
   }
   fmt.Println()
}
func ReverseLinkedList(head *Node){
   if head == nil{
      return
   }
   ReverseLinkedList(head.next)
   fmt.Printf("%d ", head.value)
}
func main(){
   head := NewNode(80, NewNode(70, NewNode(55, NewNode(90, nil))))
   TraverseLinkedList(head)
   fmt.Printf("Reversal of the input linked list is: ")
   ReverseLinkedList(head)
}

```

## 输出

```go
Input Linked List is: 80 70 55 90 
Reversal of the input linked list is: 90 55 70 80 
```