# Go 程序：使用递归求给定数的阶乘

> 原文：<https://learnetutorials.com/golang/programs/factorial-of-a-number>

在本节中，我们将集中精力使用 GO 语言来寻找给定数字的阶乘。让我们知道阶乘是什么。

## 数字的阶乘

给定数的阶乘是所有自然数到给定数的乘积。会用感叹号“**”表示！**。为了了解更多细节，让我们看看下面的例子。

3 的阶乘= 3*2*1 = 6

阶乘 7 = 7*6*5*4*3*2*1 = 5040

## 如何求给定数的阶乘

在这个 Go 程序中，我们需要使用递归来找到给定数字的阶乘。递归是一种使用函数或算法的编程技术，它允许自己调用一次或多次，直到满足指定的条件。

我们在这个 GO 程序中应用的逻辑是声明变量 num，然后从用户那里读取想要寻找阶乘的数字，并将其保存到变量 **num** 中。定义一个函数`factorial(num)`来计算一个数的阶乘。在这里，函数接受输入数字 num。如果数字**数**是 0 或 1，阶乘将是 1。否则，使用递归函数`num*function(num-1)`计算阶乘。

这里我们可以使用内置函数`fmt.scanln()`读取输入值。输出可以使用内置功能`fmt.println()`显示。两种内置功能都在 **fmt** 包中定义。为了使用这些功能，我们应该将“ **fmt** 包导入到我们的程序中。

下面给出了 Go 程序中使用的步骤。

## 算法

第一步:导入包 **fmt**
第二步:打开**主()**启动程序，GO 程序执行从**主()**
开始第三步:声明变量 **num** 。
第四步:读取想要寻找阶乘的输入数字 **num** 。
步骤 5:调用函数`factorial(num)`
步骤 6:在输出屏幕上显示数字的阶乘。
步骤 7:退出

### 实现阶乘的步骤

第一步:定义一个接受输入数字**num**T3 的函数第二步:检查输入数字 **num** 是 1 还是 0。如果有效，则返回 1。否则，返回`num*function(num-1)`

## GO 源代码

```go
package main
import "fmt"
func factorial(num int) int{
   if num == 1 || num == 0{
      return num
   }
   return num * factorial(num-1)
}

func main(){
   var num int
   fmt.Println("Enter the number")
   fmt.Scan(#)
   fmt.Println("Factorial of the number is") 
   fmt.Println(factorial(num))
} 

```

## 输出

```go
Enter the number
7
Factorial of the number is
5040
```