# Go 程序：不用递归求给定数的阶乘

> 原文：<https://learnetutorials.com/golang/programs/factorial-of-a-number-without-using-recursion>

在这个程序中，我们将学习在不使用递归函数的情况下计算一个数的阶乘。我们知道递归函数是可以自己调用的函数。但是在这个程序中，我们通过使用循环而不是递归函数来进行计算。在此之前，这里简单解释一下什么是阶乘。

我们可以说给定数的阶乘是所有自然数到给定数的乘积。它将用感叹号“！”表示。下表给出了阶乘的一些例子。

4 的阶乘= 4 * 3 * 2 * 1 = 24
5 的阶乘= 5*4*3*2*1 = 120

在本节中，我们将集中精力寻找给定数字的阶乘，而不使用递归。这里我们可以使用内置函数`fmt.scanln()`读取输入值。输出可以使用内置功能`fmt.println()`显示。两种内置功能都在 fmt 包中定义。为了使用这些功能，我们应该将“ **fmt** 包导入到我们的程序中。

在这个 GO 程序中，声明变量“ **i** 、 **num** 和 **fact** ，并使用内置函数`fmt.println()`和`fmt.scanln()`从用户处读取输入的数字。将输入值保存到变量**数字**中。检查数字是否小于或等于零。如果是，阶乘将为 1，否则通过检查循环条件`i<= num`来迭代循环。在每次迭代中，计算`fact = fact * i`。最后，结果存储在变量**事实**中。在屏幕上显示数字的阶乘。

下面给出了在 Go 程序中实现阶乘的步骤

## 算法

第一步:导入包**fmt**T5 第二步:打开 **main()** 启动程序，GO 程序执行从 **main()**
开始第三步:声明变量 **num** 和 **fact** 。
第四步:读取想要查找阶乘的输入数字 **num** 。
第五步:检查数字是否小于等于零。如果是，设置“`fact=1`”并执行步骤 7。否则执行第 6 步。
步骤 6:通过使用条件为“`i<=num`”的 for 循环，计算阶乘`fact=fact*i`。这里，在每次迭代中，将“ **i** 的值增加 1。
步骤 7:将数字 **num** 的阶乘显示为 **fact** 。
步骤 8:退出

## GO 源代码

```go
package main
import "fmt"
func main(){
var num, fact int
fmt.Println ("Enter the number")
fmt.Scanln(#)
if num <= 0 {
    fact = 1;
 }
 fact = 1
for i := 1; i <= num; i++ {
        fact = fact * i
 }

fmt.Println ("Factorial of",num ,"=", fact)
} /* End of main() */ 

```

## 输出

```go
Enter the number
5
Factorial of 5 = 120
```