# Go 程序：查找字符串反转

> 原文：<https://learnetutorials.com/golang/programs/reverse-of-a-string>

## 字符串的反转是什么？

在这个程序中，我们使用 GO 反转字符串。反转字符串是以相反的顺序显示用户输入字符串的过程。例如，如果用户输入的字符串是程序员，那么程序的输出将是 REMMARGORP。
如何在 GO 中找到一个字符串的逆序？

很简单，有很多方法可以用 GO 找到字符串的反转。但是在这个程序中，我们通过交换字母找到了字符串的反转，比如第一个和最后一个，第二个和倒数第二个，等等。

这里使用内置功能`fmt.println()`在输出屏幕上打印任何内容，使用`fmt.scanln()`读取输入值。这些功能在 **fmt** 包中定义，它有助于编写标准输出。为了使用这些功能，我们需要导入“ **fmt** ”包。

在本程序中，首先使用内置函数`fmt.println()`和`fmt.scanln()`从用户处读取输入字符串。将输入字符串保存到变量 s 中，然后调用函数`reverseString(s)`，该函数将定义一个接受输入字符串 **s** 的函数。在此功能中，首先将字符串 **s** 转换为字节字符串。我们可以使用内置函数 **len()** 找到字节串的长度。开始迭代字节字符串。在每次迭代中，用转换后的字节字符串的最后一个元素交换第一个元素。最后将字节串转换成字符串，返回到**主**功能。

通过执行以下步骤，我们可以找到字符串的反向。

## 算法

第一步:导入包 **fmt**
第二步:打开 **main()** 启动程序，GO 程序执行从 **main()**
开始第三步:将变量 **s** 声明为字符串
第四步:将用户输入的字符串读入 **s**
第五步:调用函数`reverseString(s)`
第六步:显示反向字符串为输出

### 实现冲销的步骤

第一步:定义一个接受我们输入字符串的函数，即 **s** 。
步骤 2:将 **s** 转换为字节字符串。
步骤 3:使用**进行**循环，开始迭代字节串。
步骤 4:在每次迭代中，用转换后的字节串的最后一个元素交换第一个元素。
STEP 5:将字节串转换成字符串返回主程序。

## GO 源代码

```go
package main
import "fmt"
func reverseString(s string) string{
   byte_str := []rune(s)
   for i, j := 0, len(byte_str)-1; i < j; i, j = i+1, j-1 {
      byte_str[i], byte_str[j] = byte_str[j], byte_str[i]
   }
   return string(byte_str)
}

func main(){
var s string
fmt.Println ("Enter the string")
fmt.Scan(&s)
fmt.Println ("The reverse string of",s,"is")
fmt.Println(reverseString(s))
}

```

## 输出

```go
Enter the string
programmer
The reverse string of programmer is
remmargorp
```