# Go 程序：打印斐波那契数列

> 原文：<https://learnetutorials.com/golang/programs/print-fibonacci-sequence>

## 一个数的斐波那契数列是什么？

一个数的斐波那契数列是一个整数数列，其中从 0，1 开始的数列和前两个数之后的每个数是前两个数的和。为了了解更多细节，让我们看看下面的例子。

4 的斐波那契数列是 0 1 1 2 3

## 斐波那契数列如何在 Go 程序中实现

这里我们解释如何编写一个 Go 程序来寻找斐波那契数列。我们可以使用内置功能`fmt.println()`在屏幕上显示数据，使用`fmt.scanln()`读取数据。这些功能在 **fmt** 包中定义，它有助于编写标准输出。为了读取和显示标准输入和输出，我们需要在启动主功能之前导入 **fmt** 包。

我们在这个 GO 程序中应用的逻辑是声明变量 **num** ，然后从用户那里读取想要找到斐波那契序列的数字，并将其保存到变量 **num** 中。定义一个函数`fibonacciSeries(num)`来计算斐波那契数列。这里该功能接受输入整数**数**。

在这个函数中，该系列将采用两个初始数字，即 0 和 1。分别打印系列的前两个术语，如 0 和 1。使用 true for 循环并声明第三个变量来存储前两个值。然后打印两个数的和，直到和小于给定的数**数**。

下面给出了在 Go 程序中打印斐波那契数列的步骤

## 算法

第一步:导入包 **fmt**
第二步:打开**主()**启动程序，GO 程序执行从**主()**
开始第三步:声明变量 **num** 。
第四步:读取想要查找斐波那契数列的输入数字 **num** 。
第五步:调用函数`Fibonacci(num)`
第六步:在输出屏幕上显示数字的斐波那契数列。
步骤 7:退出

### 实现斐波那契数的步骤:

第一步:定义一个接受输入整数的函数
第二步:将数列的两个初始数，即 0 和 1 分别设置为变量 **x** 和 **y** 。
STEP 3:分配第三个变量`z=y`
STEP 4:打印数列的前两项，即 **x** 和 **y**
STEP 5:使用**进行**循环，打印两个数的和，直到和小于给定的**数**。这意味着循环将执行以下步骤

*   分配`z=y`
*   计算`y = x + y`
*   如果`y >= num`没有要打印的内容，进入步骤 6。否则，分配`x=z`并打印 **y** 的值

第六步:退出

## GO 源代码

```go
package main
import "fmt"

func fibonacciSeries(num int){
  //  var z int
  x := 0
   y := 1
   z := y
   fmt.Printf("Fibonacci Series is: %d %d", x, y)
   for true{
     z = y
     y = x + y
      if y >= num{
         fmt.Println()
         break
      }
      x = z
      fmt.Printf(" %d", y)
   }
} 

```

## 输出

```go
Enter the number
4
Fibonacci Series is: 0 1 1 2 3
```