# Go 程序：实现结构

> 原文：<https://learnetutorials.com/golang/programs/implementation-of-structs>

## Go 编程语言的结构是什么

Golang 中的结构或结构体是用户定义的类型，包含命名字段/属性的集合。这意味着它将可能不同类型的项目组合成一个类型。一般来说，这几乎与面向对象编程中的类概念相同。你可以说一个结构是一个轻量级的类，它支持组合而不是继承。通过使用 struct 关键字，您可以在 Go 上定义一个结构。

```go
 type struct_name struct {
// fields
} 

```

这里**类型**关键字用来介绍一个新的类型。后面跟着类型的名称。关键字 **struct** 用来表示我们正在定义一个结构类型，并列出花括号内的字段。这里每个字段都有一个名称和一个类型。

## 如何实现 struts

在这一节中，我们将把注意力集中在结构上。例如，一个员工记录有一个 id、姓名、职位和工资。将这五个属性组合成一个单一的结构 Employee 是有意义的。通过使用结构概念，您可以读取和显示员工记录。

下面给出的程序将解释如何在 Go 编程中创建一个结构，创建一个实例，为结构实例设置值，读取和打印结构实例。

这里我们可以使用内置函数`fmt.scanln()`读取输入值。输出可以使用内置功能`fmt.println()`显示。两种内置功能都在 **fmt** 包中定义。为了使用这些功能，我们应该将“ **fmt** 包导入到我们的程序中。

下面给出了在执行程序中实现结构的步骤。

## 算法

第一步:开始
第二步:导入包 fmt
第三步:定义一个结构“员工”，包括员工的 id、姓名、职位和工资。
第四步:打开`main()`启动程序，GO 程序执行从`main()`开始
第五步:声明结构变量 emp1 和 emp2。
步骤 6:使用 emp1 和 emp2 阅读员工详细信息。
步骤 7:在屏幕上显示员工详细信息。
步骤 8:退出

## GO 源代码

```go
package main                                                                 

import (                                                                     
 "fmt"                                                                    
)                                                                            

//define a struct 'Employee'                                                  
type Employee struct {                                                        
 id int                                                                   
 name string    
               post string                                                          
 salary  int                                                                
}                                                                            

func main() {                                                                
 var emp1 Employee                                                     
 emp2 := new(Employee)                                                 

 // setting values                                                        
 emp1.id = 101                                                          
 emp1.name = "Employee 1"   
  emp1.post = "manager"                                                                                         
 emp1.salary = 60000                                                      

 emp2.id = 102                                                          
 emp2.name = "Employee 2"   
  emp2.post = "Administrator"                                                                                         
 emp2.salary = 30000    

 // displays Employee details                                              
 fmt.Println("Employees Details")                                           
 fmt.Println("----------------")                                          
 fmt.Printf("Id: %d\n", emp1.id)                                      
 fmt.Printf("Name: %s\n", emp1.name)      
    fmt.Printf("Post: %s\n", emp1.post)  
    fmt.Printf("Salary: %d\n", emp1.salary)                              

 fmt.Println("----------------")                                          
 fmt.Printf("Id: %d\n", emp2.id)                                      
 fmt.Printf("Name: %s\n", emp2.name)      
    fmt.Printf("Post: %s\n", emp2\. post)  
    fmt.Printf("Salary: %d\n", emp2\. salary)                              
} 

```

## 输出

```go
Employees Details
----------------
Id: 101
Name: Employee 1
Post: manager
Salary: 60000
----------------
Id: 102
Name: Employee 2
Post: Administrator
Salary: 30000
```