# HTML 图像标签

> 原文：<https://learnetutorials.com/html/image-tag>

在本 HTML 教程中，您将了解到关于 HTML 中图像标签的所有知识。我们还将讨论 HTML 中最常用的图像标签属性。

## HTML 中的图像标签有什么用？

HTML 中的`<img>`标记用于在网页上显示图像。图片使网站更吸引人、更有活力，从而使网站更具视觉吸引力。HTML `<img>`标签是一个只有属性的空标签；在 HTML 图像元素中不使用结束标记。

```html
 <img src="url" alt="some_text"> 

```

每个标签必须至少有两个属性:src 和 alt 属性。src 属性指示浏览器在哪里查找图像。它的值是图片文件的网址。另一方面，如果图片不可用或由于某种原因无法显示，alt 属性为图片提供替换文本。它的价值应该是一个重要的替代形象。

### 图像标签示例

```html
 <img src="smile.jpg" alt="Smiling Face">
<img src="kid.jpg" alt="Kids Playing">
<img src="garden.jpg" alt="Garden"> 

```

### 哪些是最常用的 HTML 标签属性？

| 属性 | 描述 |
| 科学研究委员会 | 这是描述图像来源或路径的必需属性。它告诉浏览器在服务器上的什么地方寻找图片。图片可能位于同一目录或不同的服务器上。 |
| 中高音 | 如果图片无法显示，alt 属性指定一个替代文本。alt 属性的值用文字描述图像。在搜索引擎优化方面，alt 属性被认为是有益的。 |
| 宽度 | 它是一个可选属性，用于指定图片显示的宽度。不再建议。应该使用 CSS 而不是 width 属性。 |
| 高度 | 它指定图像的高度。HTML 高度属性接受图像，也接受对象组件。不再建议。您应该使用 CSS 来代替 height 属性。 |

## 使用 HTML5 图片元素

放大或缩小图片以调整不同的设备(或屏幕大小)可能并不总是按计划运行。同样，利用宽度和高度属性来降低图片尺寸不会减小原始文件的大小。为了解决这些问题，HTML5 中的`<picture>`元素允许您声明一个图像的几个副本来定位不同种类的设备。

`<picture>`元素有零个或多个`<source>`元素，每个元素都指一个单独的图像源，结论部分有一个< img >元素。此外，每个`<source>`元素都包括一个媒体属性，该属性设置了一个媒体条件(如媒体查询)，浏览器使用该条件来决定何时应该使用某个源。

### HTML 图片标签

```html
 <picture>
    <source media="(min-width: 1000px)" srcset="logo-large.png">
    <source media="(max-width: 500px)" srcset="logo-small.png">
    <img src="logo-default.png" alt="My logo">
</picture> 

```