# Java 程序：检查闰年与否

> 原文：<https://learnetutorials.com/java/programs/leap-year-or-not>

这里我们解释如何编写一个 java 程序来检查一年是否是闰年。因此，首先我们必须知道什么是闰年，以及我们如何检查一年是否是闰年。

## 什么是闰年？

正常的一年有 365 天。闰年是有 366 天的一年。大多每四年发生一次。如果一年有 2 月 29 日，那么那一年就是闰年。

## 怎么查一年是不是闰年？

*   如果一年是闰年，那么除了以 **00** 结尾的年份外，该年可以被 **4** 整除。

示例:2020 年

*   如果一年以 **00** 结束，那么我们必须检查它是否也能被 **400** 整除。如果一年可以被 **400** 整除，那么就是闰年。

例如:2000 年

## 如何实施检查一年是否是闰年的程序？

所以我们必须用一个公共修饰符来声明类 **LYear** 。然后从用户那里读取年份，并将其保存到变量 y 中。然后使用 if 语句检查 y%4 是否等于零。如果为零，则还要检查 y0 是否等于零，y@0 是否等于零。如果这两个条件都为真，则设置标志=真。否则设置标志=假。如果 y%4 等于零，y % 100 不等于零，那么我们必须设置 flag=true，否则设置 flag=false。然后我们必须检查标志值。如果 flag 等于 true，那么我们将显示该年为闰年。如果标志等于假，那么我们将显示年份不是闰年。

## 算法

**第一步**:用**公共**修改器声明类 LYear

**STEP 2** :打开**主()**启动程序，Java 程序执行从**主()**开始

**第三步**:将变量 y 声明为整数，标志为布尔值。并将标志的值初始化为 false。

**步骤 4** :用扫描仪将用户的年份读入变量 y。

**步骤 5** :检查`if` y % 4 是否等于零，如果是，则执行步骤 6。`Else`做第 8 步。

**第 6 步**:检查`if` y 0 是否等于零。如果不是零，则设置标志等于真。

**步骤 7** :如果 y 0 等于零，则检查 y@0 是否等于零，如果为真，则设置标志等于真，否则设置标志等于假。转到第 9 步。

**步骤 8** :如果 y % 4 不等于零，则设置标志=假。

**第 9 步:**如果标志等于真，则将该年显示为闰年。否则显示年份不是闰年。

## Java 源代码

```java
import java.util.Scanner;
public class LYear {

    public static void main(String[] args) {

        int y;
        boolean flag = false;
        Scanner sc = new Scanner(System.in);
        System.out.print("Enter the year : ");//Read the Year from the user.
        y = sc.nextInt();
        if(y % 4 == 0)
        {
            if( y % 100 == 0)
            {
                // if the year is divisible by 400 then it is leap year.
                if ( y % 400 == 0)
                    flag = true;
                else
                    flag = false;
            }
            else
                flag = true;
        }
        else
            flag = false;

        if(flag==true)
            System.out.println("It  is a leap year!");
        else
            System.out.println("It is not a leap year!");
    }
}

```

## 输出

```java
Enter the year : 2000
2000 is a leap year!

Enter the year : 2001
2001 is not a leap year! 
```