# Java 程序：计算简单利息

> 原文：<https://learnetutorials.com/java/programs/simple-interest>

这里我们解释如何编写一个 java 程序来寻找简单的兴趣。因此，首先我们必须从用户那里读取本金金额、每年的利息以及一年中的时间段。然后我们就可以算出单利了。

## 计算单利的公式是什么？

我们可以用公式来计算简单利息，

**单利=(P * R * T )/100**

其中 **P** 为本金金额。

**R** 为年利率。

**T** 是以年为单位的时间段。

## 如何在 java 中读取浮点数？

为了在 java 中从用户那里读取浮点数，我们可以使用 java Scanner 类中的`nextFloat()`函数。在这个程序中，我们要读取本金金额、利率、时间作为浮动。因此，我们必须编写如下代码:

```java
 System.out.print("Enter the Principal amount : ");
p = sc.nextFloat(); 

```

## 如何实现 java 程序计算简单利息？

首先，我们必须声明类 SimpleInterest。然后打开主功能。然后将变量 **p，r，t，si** 声明为一个浮点数。将用户的本金金额读入变量 **p** 。读取变量 **r** 中的年利率。将用户一年中的时间段读入变量 **t** 。然后计算单利为 **si=p*n*r/100** 。然后使用`system.out.println()`功能将简单兴趣显示为 **si** 。

## 算法

**第一步**:用**公共**修饰符声明类 SimpleInterest。

**STEP 2** :打开**主()**启动程序，Java 程序执行从**主()**开始

**第三步**:将变量 **p、r、t、si** 声明为浮点数。

**步骤 4** :将用户的本金金额读入变量 **p** 。

**第五步**:读取变量 **r** 中的利率。

**第 6 步**:读取变量 **t** 中的时间段。

**STEP 7** :计算 **si=p*i*t/100** 。

**STEP 8** :显示简单兴趣为 **si** 。

## Java 源代码

```java
import java.util.Scanner;
public class SimpleInterest
{
    public static void main(String args[]) 
    {
        float p, r, t,si;
        Scanner sc = new Scanner(System.in);
        System.out.print("Enter the Principal amount : ");
        p = sc.nextFloat();//Read Principla amount
        System.out.print("Enter the Rate of interest per year : ");
        r = sc.nextFloat();//Read rate of interset
        System.out.print("Enter the Time period in year : ");
        t = sc.nextFloat();//Read the time period
        sc.close();
        si = (p * r * t) / 100;//calculate the simple interest
        System.out.print("Simple Interest is: " +si);
    }
}

```

## 输出

```java
OUTPUT 1

Enter the Principal amount :3000
Enter the Rate of interest per year : 7
Enter the Time period in year : 4
Simple Interest is:840.0

OUTPUT 2

Enter the Principal amount :6000
Enter the Rate of interest per year : 10
Enter the Time period in year : 5
Simple Interest is:3000.0 
```