# Java 程序：计算复利

> 原文：<https://learnetutorials.com/java/programs/compound-interest>

这里我们解释如何编写一个 java 程序来寻找复利。因此，首先我们必须读取本金金额、每年的利息以及用户复利的时间周期和次数。然后我们可以计算复利。

## 复利的计算公式是什么？

我们可以用公式计算复利，

**复利=P (1 + R/n) <sup>(nt)</sup> - P**

其中，P 是本金金额。

r 是年利率。

t 是时间周期 n 是每 t 复利的次数。

## 如何在 java 中读取双精度值？

为了在 java 中从用户那里读取一个双精度值，我们可以在 java Scanner 类中使用`nextDouble()`函数。在这个节目中，我们要把本金金额、利率、时间看成双倍。因此，我们必须编写如下代码:

`System.out.print("Enter the Principal amount : ");`
`p = sc.nextDouble();`

## 如何实现 java 程序计算复利？

首先，我们必须声明类别 CInterest。然后打开主功能。然后将变量 p，r，t，ci 声明为 double，n 声明为整数。将用户的本金金额读入变量 p。将变量 r 中的年利率读入。将用户的时间段读入变量 t。将利息的复利次数读入变量 n。然后将复利计算为 ci= p * Math.pow(1 + (r / n)，n * t)。然后使用`system.out.println()`功能将复利显示为 ci。

## 算法

**第一步**:用**公共**修饰符声明兴趣类。

**STEP 2** :打开**主()**启动程序，Java 程序执行从**主()**开始

**STEP 3** :将变量 **p** 、 **r** 、 **t** 、 **ci** 声明为双精度，将 **n** 声明为整数。

**步骤 4** :将用户的本金金额读入变量 **p** 。

**第五步**:将利率读入变量 **r** 。

**第 6 步**:读取变量 **t** 中的时间段。

**第 7 步**:读取利息复合到变量 n 中的次数

**STEP 8** :复利计算为 **p * Math.pow(1 + (r / n)，n * t)** 。

**步骤 9** :显示复利。

## Java 源代码

```java
import java.util.Scanner;
public class CInterest
{
    public static void main(String args[]) 
    {
        double p,r,t,ci;
        int n;
        Scanner sc = new Scanner(System.in);
        System.out.print("Enter the Principal amount : ");
        p = sc.nextDouble();//Read Principal amount
        System.out.print("Enter the Rate of interest  : ");
        r = sc.nextDouble();//Read rate of interset
       System.out.print("Enter the number of times the interest is compounded : ");
        n = sc.nextInt();//Read n
        System.out.print("Enter the Time period : ");
        t = sc.nextDouble();//Read the time period
       sc.close();
        ci =  p * Math.pow(1 + (r / n), n * t);
        System.out.print("Compound Interest is: " +ci);
    }
}

```

## 输出

```java
OUTPUT 1

Enter the Principal amount :2000
Enter the Rate of interest per year : 0.08
Enter the number of times the interest is compounded :12
Enter the time period in year : 5
Compound Interest is:2979.69141660321 
```