# Java 程序：查找字符串中出现的字符

> 原文：<https://learnetutorials.com/java/programs/occurrence-characters-string>

这里我们解释如何编写一个 java 程序来找出字符串中字符出现的次数。所以首先我们要从用户那里读取字符串，然后调用函数`countChar()`来找出字符的出现。

## 如何用 java 读取字符串？

为了在 java 中从用户那里读取字符串，我们可以在 java Scanner 类中使用`nextLine()`函数。在这个程序中，我们必须将用户想要检查的字符串读入字符串变量 **str** 。因此，我们必须编写如下代码:

```java
System.out.println("Enter a string : ");
System.out.println("Enter a string : "); 

```

## 如何实现 java 程序来查找字符串中出现的字符？

首先，我们必须声明类帐户。然后打开主功能。然后将用户输入的字符串读入变量 str，并调用函数 countChar(str)找出字符串中每个字符的出现位置。

在`countChar(str)`函数中，首先声明一个大小为 **256** 的数组 **c[]** 。数组 **c[]** 用于保存每个字符的计数器值。然后使用功能`str.length()`将字符串的长度读入变量 **len** 。通过使用条件为 I 的 for 循环

## 算法

**第一步**:用公共修饰符声明类账号。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :将用户输入的字符串读入变量字符串。

**第四步**:调用函数`countChar(str)`。

**功能静态无效计数字符(字符串)**

**STEP 1** :将数组**c【】**声明为大小为 **256** 的整数。

**第二步**:将弦线的长度读入变量 **len** 。

**第三步**:使用条件为 I 的`for loop`

**STEP 4** :创建数组**数组[]** 。

**步骤 5** :使用另一个条件为 I 的 for 循环

**STEP 6** :将**阵【I】**设置为**阵**。

**步骤 7** :将标志置零。

**第 8 步**:在条件为 **j < =i** 的情况下使用另一个 for 循环，检查 **str.charAt(i)=array[j]** 如果为真，则增加标志。

**第 9 步**:将 **i** 增加 1，重复第 8 步。

**第 10 步**:如果标志=1，则显示字符的出现。

**步骤 11:** 重复步骤 6。

## Java 源代码

```java
import java.util.Scanner;
public class CCount {

    static void countChar(String str) {

        int c[] = new int[256];
        int len = str.length(); //length of the string
        for (int i = 0; i < len; i++)
            c[str.charAt(i)]++;
        char array[] = new char[str.length()]; //Create an array.
        for (int i = 0; i < len; i++) {
            array[i] = str.charAt(i);
            int flag = 0;
            for (int j = 0; j <= i; j++) {
                if (str.charAt(i) == array[j])
                    flag++;
            }

            if (flag == 1)
                System.out.println("Occurrence of char " + str.charAt(i) +
                    " in the String is:" + c[str.charAt(i)]);
        }
    }
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        System.out.println("Enter a string : ");
        String str = sc.nextLine();
        sc.close();
        countChar(str);
    }
}

```

## 输出

```java
OUTPUT 1
Enter a string : Butterfly
Occurrence of char B in the String is:1
Occurrence of char u in the String is:1
Occurrence of char t in the String is:2
Occurrence of char e in the String is:1
Occurrence of char r in the String is:1
Occurrence of char f in the String is:1
Occurrence of char l in the String is:1
Occurrence of char y in the String is:1
```