# Java 程序：按字母顺序排序字符串

> 原文：<https://learnetutorials.com/java/programs/string>

这里我们解释如何编写一个 java 程序来按字母顺序对字符串进行排序。因此，首先我们必须读取用户想要排序到变量中的字符串数量。然后我们必须把字符串读入一个数组。通过使用 for 循环，我们可以比较字符串并将其放入适当的位置。

## 如何在 java 中比较字符串？

我们可以使用`compareTo()`方法来比较 java 中的字符串。`compareTo()`示例如下。

`StringA.compareTo(StringB)`其中 **StringA** 和 **StringB** 为弦。

如果两个字符串相等，函数`compareTo()`返回值零。如果**字符串**大于**字符串**，则函数返回正值。

如果**字符串**小于**字符串**，则该函数返回负值。

## 如何实现 java 程序按字母顺序对字符串进行排序？

首先，我们必须用公共修饰符声明类 **Sortstr** 。然后打开**主()**功能。然后读取用户想要输入到变量 n 中的字符串数。使用 for 循环将字符串读入数组 str[i]。然后使用嵌套 for 循环，将 **str[i]** 与 **str[j]** 进行比较。如果 **str[i]** 大于 **str[j]** ，则改变位置。之后使用 for 循环显示数组 **str[]** 中的元素。

## 算法

**STEP 1** :用公共修饰符声明类 **Sortstr** 。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**STEP 3** :将变量 **n** 声明为整数， **t** 声明为字符串。

**步骤 4** :将字符串的数量读入变量 **n** 。

**STEP 5** :声明大小为 **n** 的弦阵**弦[]** 。

**第六步**:用`for loop`加条件**我**

**第 7 步**:用另一个`for loop`加上条件 **j**

**STEP 8** :将**弦【I】**与**弦【j】**进行对比。如果为真，则将 **str[i]** 与 **str[j]** 互换。

**第 9 步**:将 **j** 增加一，做第 7 步。

**步骤 10** :将排序后的字符串显示为用于循环的**字符串【I】**中的元素。

## Java 源代码

```java
import java.util.Scanner;
public class SortStr
{
    public static void main(String[] args) 
    {
        int n;
        String t;
        Scanner sc = new Scanner(System.in);
        System.out.print("Enter number of strings:");
        n= sc.nextInt();

        String str[] = new String[n];
        Scanner sc1 = new Scanner(System.in);

        System.out.println("Enter the Strings :");
        for(int i = 0; i < n; i++)
        {
            str[i] = sc1.nextLine();
        }
        sc.close();
        sc1.close();

        //sort the strings
        for (int i = 0; i < n; i++) 
        {
            for (int j = i + 1; j < n; j++) { 
                if (str[i].compareTo(str[j])>0) 
                {
                    t = str[i];
                    str[i] = str[j];
                    str[j] = t;
                }
            }
        }

        System.out.print("Sorted strings:");
        for (int i = 0; i <= n- 1; i++) 
        {
            System.out.println(str[i]);
        }
    }
}

```

## 输出

```java
Enter number of strings:4
Enter the Strings :
Zayan
Abi
Biju
Rini

Sorted Strings:
Abi
Biju
Rini
Zayan 
```