# Java 程序：反转字符串单词

> 原文：<https://learnetutorials.com/java/programs/reverse-the-words-of-string>

这里我们解释如何编写一个 java 程序来反转字符串的单词。因此，首先我们必须从用户那里读取一个字符串，并将其拆分成单词。然后我们必须反转每个单词，并显示反转的字符串。

## 如何在 java 中拆分字符串？

我们可以使用 string 类的`split()`方法在 java 中拆分一个字符串。下面显示了一个示例。

```java
str="I am very happy"
String[] ws = str.split(" "); 

```

现在数组 **ws** 包含字符串，<samp>T3】</samp>

<samp>I  am very  happy</samp>

这里`split(" ")`函数根据空间将字符串分割成几个字符串。这里我们将分隔符作为空格传递。

## 如何实现 java 程序来反转字符串的所有单词？

首先，我们必须用一个公共修饰符来声明类 RString。然后打开`main()`并将用户想要反转的字符串读入变量字符串。然后调用函数 `reverseWords(str)`找出字符串的反方向。

在`reverseWord()`函数中，首先我们将字符串拆分成不同的单词，并保持在一个数组中。然后我们将从数组中取出每个单词并反转它。之后，我们将保留字符串 **rs** 中的反义词。反转所有单词后，我们将显示给定的字符串和反转的字符串。

## 算法

**STEP 1** :用公共修饰符声明类**rsting**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :创建一个**的对象，将**设为对象。

**步骤 4** :将用户输入的字符串读入变量**字符串**。

**第五步**:调用功能**反转**

**功能公共无效反转命令(字符串)**

**STEP 1** :将给定的字符串**字符串**拆分成文字保存到数组**ws【】**中。

**STEP 2** :声明一根弦 **rs** 为反弦。

**第三步**:使用条件 **i** 进行循环

**第四步**:申报字符串 **r** 。

**STEP 5** :赋值 **word =ws[i]** 和**rWord = "**。rWord 用于保存单词的反义词。

**STEP 6** :通过使用带有 **j=world.length()-1** 的 for 循环，找出**rWord = rWord+word . charat(j)**。然后将 **j** 减 1，并重复该步骤直到 **j < 0** 。

**第 7 步**:分配 **rs=rs+rWord+""** ..这里 rs 表示反弦。

**第 8 步**:将 **i** 增加 1，重复第 3 步。

**步骤 9** :显示给定的字符串为**字符串**。

**第 10 步:**将反弦显示为 **rs** 。

## Java 源代码

```java
import java.util.Scanner;
public class RString {
    public void reverseWord(String str) {

        String[] ws = str.split(" "); //Split the given string into words
        String rs = "";
        for (int i = 0; i < ws.length; i++) {
            String r;
            String word = ws[i];
            String rWord = ""; //Reverse of each word
            for (int j = word.length() - 1; j >= 0; j--) {

                rWord = rWord + word.charAt(j);
            }
            rs = rs + rWord + " ";
        }
        System.out.println(str); //Display the given string
        System.out.println(rs); //display the reverse string
    }
    public static void main(String[] args) {
        RString obj = new RString();
        Scanner sc1 = new Scanner(System.in);

        System.out.println("Enter the String :");

        String str = sc1.nextLine();
        obj.reverseWord(str);

    }
}

```

## 输出

```java
Enter the String :How are you?

How are you?
woH era ?uoy 
```