# Java 程序：相加两个矩阵

> 原文：<https://learnetutorials.com/java/programs/add-matrix>

这里我们解释如何编写一个 java 程序来找出两个矩阵的和。所以首先我们要读取矩阵 A，B 的元素，然后我们将矩阵 **A** 和 **B** 的和求出矩阵和。

## 如何用 java 声明一个矩阵？

多维数组称为矩阵。声明二维数组的语法如下所示。

`Data_type[1st dimension][2nd Dimension]array_name=new Data_type[Size1][Size2];`

下面显示了一个示例:

`int[][] A=new[10][10];`

这里矩阵 A 的大小是 10 X 10。

## 如何实现 java 程序来求两个矩阵的和？

首先我们要声明类 **AddMatrix** 。然后打开主功能。创建扫描仪类的对象，如中所示。将行数和列数读入变量 **m** 和 **n** 。然后初始化大小为 **m** 和 **n** 的三个矩阵。然后通过使用 for 循环读取矩阵的元素 **A** 。然后读取矩阵的元素 **B** 。然后使用嵌套 for 循环将求和矩阵计算为**求和[i][j]=A[i][j]+B[i][j]** 。然后显示矩阵和的每个元素。作为和矩阵。

## 算法

**第一步**:用公共修饰符声明类**相加矩阵**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :声明整数变量 **m，n，I，j** 。

**STEP 4** :将矩阵的行数和列数读入变量 **m** 和 **n** 。

**STEP 5** :初始化矩阵 **A[][]** 、 **B[][]** 、 **sum[][]** 为整数。

**STEP 6** :将矩阵 **A** 的元素读入**A【I】【j】**用于循环。

**STEP 7** :将矩阵 **B** 的元素读入**B【I】【j】**用于循环。

**第 8 步**:通过使用嵌套 for 循环计算和矩阵为**和[i][j]=A[i][j]+B[i][j]** 。

**步骤 9** :使用嵌套循环将求和矩阵显示为**求和[i][j]** 。

## Java 源代码

```java
import java.util.Scanner;
public class AddMatrix {
 public static void main(String args[])
   {
      int m, n, i, j;
      Scanner in = new Scanner(System.in);

      System.out.println("Input number of rows of matrix: ");
      m = in.nextInt();
      System.out.println("Input number of columns of matrix: ");
      n  = in.nextInt();

      int A[][] = new int[m][n];
      int B[][] = new int[m][n];
      int sum[][] = new int[m][n];

      System.out.println("Input elements of first matrix: ");

      for (  i = 0 ; i < m ; i++ )
         for ( j = 0 ; j < n ; j++ )
            A[i][j] = in.nextInt();

      System.out.println("Input the elements of second matrix: ");

      for ( i = 0 ; i < m ; i++ )
         for ( j = 0 ; j < n ; j++ )
            B[i][j] = in.nextInt();

      for ( i = 0 ; i < m ; i++ )
         for ( j = 0 ; j < n ; j++ )
             sum[i][j] = A[i][j] + B[i][j]; 

      System.out.println("Sum of the matrices:-");

      for ( i = 0 ; i < m ; i++ )
      {
         for ( j = 0 ; j < n ; j++ )
            System.out.print(sum[i][j]+"\t");

         System.out.println();
      }
   }
}

```

## 输出

```java
Input number of rows of matrix: 2
Input number of columns of matrix: 2
Input elements of first matrix: 
1
2
3
4
Input the elements of second matrix: 
5
6
7
8
Sum of the matrices:-
6 8 
10 12 
```