# Java 程序：使用递归求一个数的阶乘

> 原文：<https://learnetutorials.com/java/programs/factorial-using-recursion>

这里我们解释如何编写一个 java 程序来找出一个数的阶乘。所以首先我们要从用户那里读取号码。然后我们会调用函数 **Fact()** 来求出这个数的阶乘。

## 如何求一个数 n 的阶乘？

我们可以用这个公式求出 n 的阶乘

n 的阶乘 **n！=1 * 2 * 3 * 4 *........(n-1) * n**

数字 n 的阶乘是所有小于或等于 **n** 的正整数的乘积。一个数的阶乘 **n** 用 **n 表示！**。

例:**5 的阶乘是，5！=1 * 2 * 3 * 4 * 5**

**=120**

## 如何实现 java 程序来求一个数的阶乘？

首先，我们要声明类**事实**。然后声明整数变量 **n，f** 。创建扫描仪类的对象 **sc** 读取整数。然后将用户输入的整数读入变量 n，创建一个 Fact 类的对象作为 **Fact obj=new Fact()** 。然后调用递归函数 **fact(n)** 递归函数是一个函数，它在执行过程中调用自己。

在**事实(int y)** 函数中，它检查参数 **y > 1** ，如果为真，它将调用函数本身作为**事实(y-1)** ，直到 y 变成 1。然后它将返回数字的阶乘。所以我们可以将数字 **n** 的阶乘显示为 **f** 。

## 算法

**STEP 1** :用公共修饰符声明类**事实**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :声明整数变量 **n，f** 。

**步骤 4** :将扫描仪类的对象创建为 **sc** 。

**第五步**:将整数读入变量 **n** 。

**步骤 6** :创建类的对象**事实**作为对象。

**STEP 7** :调用函数 **fact(n)为 f=obj.fact(n)** 。

**第 8 步**:将数字的阶乘显示为 f。

**函数 int fact(int y)**

**STEP 1** :检查 **y > 1** 是否存在，然后返回 **y*fact(y-1)**

**第二步**:返回 1。

## Java 源代码

```java
import java.util.Scanner;
public class Fact {
    public static void main(String[] args) {
        int n, f;
        Scanner sc = new Scanner(System.in);
        System.out.println("Enter any integer number:");
        n = sc.nextInt();
        Fact obj = new Fact();
        f = obj.fact(n);
        System.out.println("Factorial of " + n + " is " + f);
    }
    int fact(int y) {
        if (y > 1) {
            return (y * fact(y - 1));
        }
        return 1;
    }
}

```

## 输出

```java
Enter any integer number:5

Factorial of 5 is 120
```