# Java 程序：计算任意两个整数的 LCM 和 HCF 

> 原文：<https://learnetutorials.com/java/programs/find-lcm-and-hcf>

这里我们解释如何编写一个 java 程序来找出任意两个整数的 LCM 和 HCF。首先，我们必须从用户那里读取两个整数，通过 while 循环，我们将计算 LCM 和 HCF。

## 什么是 LCM？

**LCM** 表示最小公倍数。两个整数 a 和 b 的 LCM 是能被 a 和 b 除的最小正整数

示例:10 和 12 的 LCM 如下所示。

LCM(10，12)=60。

## 什么是 HCF？

**HCF** 表示最高公因数。两个整数 a 和 b 的最大似然函数是，能被 a 和 b 除的最高正整数

示例:10 和 12 的 HCF 如下所示。

LCM(10，12)=2

## 如何实现 java 程序找出 HCF 和 LCM？

首先，我们要声明类 LCM_HCF。然后声明变量。创建一个 scanner 类的对象，并将数字读入变量 a 和 b。分配 temp1=a，temp2=b。通过将`while loop`与条件 temp2 一起使用！=0 分配温度=温度 2，温度 2 =温度 1 mod 温度 2，温度 1 =温度。将 HCF 指定为模板 1。计算 LCM 为 **(a*b)/HCF** 。然后使用`System.out.println()`将 HCF 显示为 HCF，将 LCM 显示为 LCM。

## 算法

**第一步**:用公共修改器声明类 **LCM_HCF** 。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :声明整数变量 **temp1、temp2、a、b、temp、HCF、LCM** 。

**步骤 4** :将第一个数字读入变量 **a** 。

**第五步**:将第二个数字读入变量 **b** 。

**步骤 6** :分配温度 1=a，温度 2=b。

**第 7 步**:用`while loop`检查**温度 2！=0** 然后分配 temp=temp2，temp2=temp1%temp2，temp1=temp。

**第 8 步**:将 HCF 指定为**温度 1** 。

**STEP 9** :将 LCM 计算为 **(a*b)/HCF** 。

**第 10 步**:将 HCF 显示为 HCF，将 LCM 显示为 LCM。

## Java 源代码

```java
import java.util.Scanner;

public class LCM_HCF{
   public static void main(String args[]){
      int temp1, temp2, a,b,temp,HCF,LCM;
      Scanner sc = new Scanner(System.in);

      System.out.println("Enter the first Number: ");
      a= sc.nextInt();
      System.out.println("Enter the Second Number: ");
      b= sc.nextInt();
      sc.close();

      temp1 = a;
      temp2 = b;

      while(temp2 != 0){
         temp = temp2;
         temp2 = temp1%temp2;
         temp1 = temp;
      }

      HCF = temp1;
      LCM = (a*b)/HCF;

      System.out.println("HCF = "+HCF);
      System.out.println("LCM =  "+LCM);
   }
}

```

## 输出

```java
Enter the first Number: 5
Enter the Second Number: 10
HCF = 5
LCM =10 
```