# Java 程序：显示 1 到`n`之间质数

> 原文：<https://learnetutorials.com/java/programs/print-prime-numbers-between-1-n>

这里我们解释如何编写一个 java 程序来显示从 1 到 n 的质数。这个程序将显示从 1 到任何数字之间的质数。所以数字 n 的极限，我们要从用户那里读取。

## 如何检查一个数是否是质数？

如果一个数是质数，那么这个数只能被两个数整除。第一个数字是 1，第二个数字是这个数字本身。

示例:2 3 5 7 11 13

使用模运算符，我们可以检查一个数是否是质数。通过使用 for 循环，只需将数字除以 1 即可得到该数字。如果余数为零，则递增计数器变量。然后检查计数器变量。如果计数器的值是 2，那么这个数就是质数。

## 如何实现 java 程序显示从 1 到 n 的质数？

首先，我们要声明类 **PrimeNum** 。然后声明变量 **i，j，n** ，算作整数。将 scanner 类的对象创建为 sc，并从用户处读取 n 的值。这里我们使用嵌套 for 循环。第一个循环用于从 1 数到 n，第二个循环用于通过从 I 数到 1 来检查数字 I 是否为质数，如果 i mod j 等于零，那么我们将计数器变量递增 1。重复内循环。从内部循环退出后，我们检查计数值。如果**计数=2** ，那么我们将显示该数字。计数 2 意味着，这个数可以被 1 和这个数本身除。

## 算法

**STEP 1** :用公共修饰符声明类 **PrimeNum** 。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**步骤 3** :声明整数变量 **i，j，n** 。

**步骤 4** :从用户处读取 **n** 的值。

**STEP 5** :显示从 **1** 到 **n** 的质数。并设置 **i=1** 。

**步骤 6** :通过使用 for 循环检查 **i < =n** 然后执行步骤 7。

**STEP 7** : Asign **计数=0** 。设置 **j=1** 。

**第 8 步**:使用另一个进行循环检查 **j > =1** 然后进行第 9 步。

**第 9 步**:如果 **i % j==0** ，则计数增加 1。

**第 10 步**:将 **j** 减少一个，重复第 8 步。

**STEP 11** :如果**计数=2** ，则显示 **i** 。

**第 12 步**:将 **i** 增加 1，重复第 6 步。

## Java 源代码

```java
import java.util.Scanner;
public class PrimeNum {
    public static void main(String[] args) {
        int i, j, n, count;

        Scanner sc = new Scanner(System.in);
        System.out.println("Enter the value of n ?");
        n = sc.nextInt();
        System.out.println("Prime numbers from 1 to " + n + " are :");
        for (i = 1; i <= n; i++) {
            count = 0;
            for (j = i; j >= 1; j--) {
                if (i % j == 0) {
                    count = count + 1;
                }
            }
            if (count == 2) {
                System.out.print("" + i + " ");
            }
        }

    }
}

```

## 输出

```java
Enter the value of n ?
100
Prime numbers from 1 to 100 are :
2 3 5 7 11 13 17 19 23 29 31 37 41 43 47 53 59 61 67 71 73 79 83 89 97 
```