# Java 程序：检查一个数字是否是阿姆斯特朗数字

> 原文：<https://learnetutorials.com/java/programs/check-amstrong-or-not>

这里我们解释如何编写一个 java 程序来检查一个数字是否是 Amstrong。

## 如何检查一个号码是否是阿姆斯特朗

阿姆斯特朗数是一个数，其中每个数字的立方之和等于这个数。

示例:371

371 的位数是 3，7，1。每个数字的立方体如下所示。

 3*3*3=27

7*7*7=343

1*1*1=1

那么数字的立方之和= 27+343+1

                                                             = 371        

## 如何实现 java 程序来检查一个数字是否是 Amstrong？

首先，我们要申报班级 **AmstrongNum** 。然后将变量 **a，b，temp，n** 声明为整数。将扫描仪类的对象创建为 sc，并将用户的数字读入变量 n。分配 **temp=n** 。通过使用 while 循环分配 **a=n** 。现在 a 包含 n 的最后一位数字，赋值 **n=n/10** ..然后求出所有数字的立方之和为 **b=b+(a*a*a)** 。退出循环后，检查 **temp=b** ，如果为真，则显示数字 b 为强号。否则使用`system.out.println()`显示的号码不是强号。

## 算法

**STEP 1** :用公共修改器声明类 **ArmstrongNum** 。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**第三步**:声明整数变量**原数值，rem，rs，n** 。

**步骤 4** :分配 **rs=0** 。

**步骤 5** :将扫描仪类的对象创建为 sc。

**第 6 步**:将数字读入变量 **n** 。

**第 7 步**:分配**原点=n** 。

**第 8 步**:使用 while 循环检查**原始状态> 0** ，如果为真，则执行第 9 步。

**第九步**:找到**数学幂(rem，3)**

**STEP 10** :检查 **rs== n** ，如果是，则显示数字 **n** 为 amstrong 数字。

**第 11 步**:否则显示数字 **n** 不亮。

## Java 源代码

```java
import java.util.Scanner;

public class ArmstrongNum {

    public static void main(String[] args) {

        int originalNum, rem, rs = 0,n;

        System.out.println("Enter the number:");

        Scanner sc = new Scanner(System. in );

        n = sc.nextInt();

        originalNum = n;

        while (originalNum!= 0)
        {
            rem= originalNum % 10;
            rs += Math.pow(rem, 3);
            originalNum /= 10;
        }

        if(rs== n)
            System.out.println(n+ " is an Armstrong number.");
        else
            System.out.println(n+ " is not an Armstrong number.");
    }
}

```

## 输出

```java
Enter the number: 371
371 is an Armstrong number
```