# Java 程序：生成随机数

> 原文：<https://learnetutorials.com/java/programs/generate-random-numbers>

这里我们解释如何编写一个 java 程序来显示随机数。通过使用 java 中的 Random 类，我们可以显示随机数。

## 什么是 java 中的 Random 类？

**Random** 类用于在 java 中生成随机数。为了生成随机数，首先我们必须创建一个**随机**类的实例。然后，通过使用该实例，我们可以生成随机数。

示例:`Random r = new Random();`

` System.out.println(r.nextInt(500));`

这里 **r** 是**随机**类的实例。random 类可以生成整数、浮点、双精度等类型的随机数。这里我们用，`nextInt()`生成一个整数随机数。这里 500 是极限。所以它会生成一个 500 以内的随机数。

## 如何实现 java 程序生成随机数？

首先，我们必须声明类 **RandumNumebrs** 。创建一个 java **随机**类的实例作为 **r** 。然后使用三次迭代的 for 循环将 500 以内的整数随机数显示为`System.out.println(r.nextInt(500))`。

我们也可以将 1000 范围内的随机数生成为`System.out.println(r.nextInt(1000))`。为了生成 double 类型的随机数，我们可以使用下面的代码，

`r.nextDouble();`

## 算法

**第一步**:用**公共**修改器声明类**随机数**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**STEP 3** :创建一个**随机**类的对象作为 **r** 。

**第四步**:用`system.out.println()`显示 1 到 500 的随机数。

**STEP 5** :设置 **i=1** 。

**第 6 步**:用`for loop`检查 **i < =3** ，显示 **r.nextInt(500)** 。

**第 7 步**:将 **i** 增加 1，重复第 6 步。

## Java 源代码

```java
import java.util.*;
public class RandomNumbers {
   public static void main(String[] args) {    
      Random r = new Random();    
      System.out.println("Random Numbers From 1 to 500:");
      for (int i = 1; i<= 3; i++) {
         System.out.println(r.nextInt(500));
      }
   }
}

```

## 输出

```java
Random Numbers From 1 to 500:
49
29
215
```