# Java 程序：使用逐位异或运算符交换整数

> 原文：<https://learnetutorials.com/java/programs/number-swapping-using-xor-operator>

这里我们解释如何编写一个 java 程序，使用按位**异或**运算符交换两个数字。

## 什么是按位异或运算符？

主要有六种按位运算符。

*   **&**
*   **|**
*   **^**
*   **~**
*   **< <**
*   **> >**

按位运算符执行位级运算。按位**异或**运算符 **^、**比较 **n1** 和 **n2 (n1^ n2)** 的对应位，如果对应位相等，则返回 1。否则返回 0。

## 如何实现 java 程序使用按位运算符交换两个数字？

首先，我们要声明类**交换**。将变量 **n1** 、 **n2** 声明为整数。将数字读入 **n1** 和 **n2** 。然后使用按位**异或**运算符交换数字，如下所示

n1 = n1 ^ N2；
N2 = n1 ^ N2；
n1 = n1 ^ N2；

然后使用`System.out.println()`功能显示 **n1** 和 **n2** 。

假设 **n1** 为 10， **n2** 为 2。

那么 n1 = n1 ^ N2；变成 1010 ^ 0010=0111

N2 = n1 ^ N2；变成 0111 ^ 0010=1010

n1 = n1 ^ N2；变成了 0111 ^ 1010=0010

现在， **n1** =0010 表示 2， **n2** =1010 表示 10。

## 算法

**第一步**:用公共修改器声明类**交换**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**STEP 3** :声明整数变量 **n1，n2** 为整数。

**第四步**:将第一个数字读入 **n1** 。

**第五步**:将第二个数字读入 **n2** 。

**第 6 步**:然后分配 **n1=n1^ n2** ， **n2=n1 ^ n2** ， **n1=n1 ^ n2** 。

**第 7 步**:然后使用`System.out.println()`功能将交换后的数字显示为 **n1** 和 **n2** 。

## Java 源代码

```java
import java.util.Scanner;
public class Swap{
    public static void main(String args[]){
        int n1,n2;
        Scanner sc = new Scanner(System.in);
        System.out.println("Enter the first number:");
        n1= sc.nextInt();
        System.out.println("Enter the second number:");
        n2 = sc.nextInt();
         sc.close();
        n1 = n1 ^ n2;
        n2 = n1 ^ n2;
        n1 = n1 ^ n2;

        System.out.println("The First number after swapping is "+n1);
        System.out.println("The Second number after swapping is "+n2);
    }
}

```

## 输出

```java
Enter the first number:5
Enter the second number:6
The First number after swapping is 6
The Second number after swapping is 5
```