# Java 程序：显示系统 IP 地址

> 原文：<https://learnetutorials.com/java/programs/display-ip-address-of-system>

这里我们解释如何编写一个 java 程序来显示系统的 IP 地址。

## 什么是 IP 地址？

一个 IP 地址就是一个**互联网协议**地址。它是与计算机相关联的识别号。

示例:168.212.226.204

## 如何实现 java 程序显示系统的 IP 地址？

首先要申报类 **IP** 。然后创建一个对象 **InetAddress** 类为 **ip** 。使用 **getHostAddress()** 以文本形式显示 IP 地址。 **getLocalHost()** 函数用于获取 LocalHost 地址。

## 算法

**第一步**:用公共修改器声明类 **IP** 。

**第二步**:打开`main()`启动程序，Java 程序执行从`main()`开始

**步骤 3** :创建一个**的对象，将**类装扮成 **ip** 。

**步骤 4** :然后显示 IP 地址为 **ip。`getHostAddress()`** 。

## Java 源代码

```java
import java.net.InetAddress;
public class IP 
{
    public static void main(String args[]) throws Exception
    {
        InetAddress ip = InetAddress.getLocalHost();
        System.out.println("IP address of this system is := "+ip.getHostAddress());
    }    
}

```

## 输出

```java
IP address of this system is := 127.0.0.1
```