# Java 程序：读取和显示用户输入

> 原文：<https://learnetutorials.com/java/programs/read-display-user-input>

这里我们解释如何编写一个 java 程序来读取来自用户的不同类型的输入，以及如何显示它。

## 如何用 java 从用户那里读取一个整数？

在 java 中，使用 java Scanner 类的 **nextLine()** 方法从用户处读取一个整数。因此，首先我们必须通过将**系统输入**作为参数来创建扫描仪类的对象。我们还必须导入 **java.util.Scanner.** 下面是一个例子。

`Scanner sc = new Scanner(System.in);`

`n= sc.nextInt();`

## 如何用 java 从用户那里读取字符串？

在 java 中，使用 java Scanner 类的 **nextLine()** 方法从用户处读取字符串。下面显示了一个示例。

`Scanner sc = new Scanner(System.in);`

`str = sc.nextLine();`

## 如何用 java 从用户那里读取浮点数？

在 java 中，使用 java Scanner 类的 **nextfloat()** 方法从用户处读取一个浮点数。下面显示了一个示例。

`Scanner sc = new Scanner(System.in);`

`f= sc.nextFloat();`

## 如何用 java 从用户那里读取一个双数？

在 java 中，使用 java Scanner 类的 **nextdouble()** 方法从用户处读取一个双精度数字。下面显示了一个示例。

`Scanner sc = new Scanner(System.in);`

`d= sc.nextDouble();`

## 算法

**第一步**:用公共修饰符声明类**用户输入**。

**第二步**:打开`main()`启动程序，Java 程序执行从`main()`开始

**STEP 3** :将变量 **n** 声明为整数， **f** 声明为浮点数， **d** 声明为双精度，**字符串**声明为字符串。

**步骤 4** :创建一个扫描仪类的对象作为 **sc** 。

**第 5 步**:从用户处使用 **sc.nextLine()** 读取一个字符串到变量 **str** 中。

**第 6 步**:使用`System.out.println()`将字符串显示为**字符串**。

**STEP 7** :使用 **sc.nextInt()** 从用户处读取一个整数到变量 **n** 中。

**第 8 步**:使用`System.out.println()`显示 **n** 号。

**第 9 步**:使用`sc.nextFloat()`从用户处读取一个浮点数到变量 **f** 中。

**第 10 步**:使用`System.out.println()`显示的浮点数**。**

**STEP 7** :使用 **sc.nextDouble()** 从用户处读取一个双数到变量 **d** 中。

**第 8 步**:使用`System.out.println()`显示双数 **d** 。

## Java 源代码

```java
import java.util.Scanner;

public class UserInput{
  public static void main(String args[]){
     int n;
     float f;
     double d;
     String str;

     Scanner sc = new Scanner(System.in);

      //String
     System.out.println("Enter the string: ");
     str = sc.nextLine();
     System.out.println("The String is: "+str);

     //Integer
     System.out.println("Enter an integer number: ");
     n= sc.nextInt();
     System.out.println("The Integer number is : "+n);

     //Float
     System.out.println("Enter the float number: ");
     f= sc.nextFloat();
     System.out.println("The float number is: "+f); 

      //Double
     System.out.println("Enter the double number: ");
     d= sc.nextDouble();
     System.out.println("The double number is: "+d); 
  }
}

```

## 输出

```java
Enter the string: STEM
The String is: STEM
Enter an integer number: 10
The Integer number is : 10
Enter the float number: 20.3
The float number is: 20.3
Enter the double number: 50.63245
The double number is: 50.63245 
```