# Java 程序：选择排序

> 原文：<https://learnetutorials.com/java/programs/selection-sort>

这里我们解释如何编写一个 java 程序来执行选择排序。

## 什么是 java 中的选择排序？

**选择排序**是一个简单的排序算法。这里整个列表分为两个子列表。

1)排序列表

2)未排序列表

排序列表包含已排序的元素，未排序列表包含剩余的元素。

在选择排序的开始，排序列表为空。然后，在第一次迭代中，最小的元素被放置在数组的第一个位置。然后，第二次迭代从 **i+1** 开始到数组的极限。它会找出 **i+1** 的最小元素进行限制，并将其放置在适当的位置。重复该过程，直到未排序的列表变为空。

## 如何实现一个 java 程序来执行选择排序？

首先，我们要声明类**选择开始**。声明整数变量 **i，j，temp，limit。**创建扫描仪类的对象作为 **sc** 。将数组元素的极限读取为**极限**。声明一个整数数组的大小**限制**。使用 for 循环将数组元素读入**数组【I】**。然后使用嵌套循环，条件为 **i < =limit-i-1** 。设置 **min=i** 。然后通过使用另一个 for 循环设置 **j=i+1** 。检查 **j**

## 算法

**第一步**:用公共修饰符声明类**选择开始**。

**第二步**:打开`main()`启动程序，Java 程序执行从`main()`开始

**第三步**:声明整数变量 **i，j，temp，limit** 。

**STEP 4** :将数组的极限读入变量**极限**。

**第五步**:声明一个大小为**的数组限制**。

**步骤 6** :使用 for 循环将元素读入数组。

**步骤 7** :通过使用条件为 **i** 的 for 循环

**第 8 步**:使用另一个循环设置**，j=i+1** ，检查 **j**

**第 9 步**:检查**阵【j】**

**STEP 10** :使用 **temp** 变量将**数组【min】**交换为**数组【j】**。

**第 11 步**:将 **i** 增加 1，重复第 7 步。

**第 12 步**:显示排序列表为**数组【I】**用于循环。

## Java 源代码

```java
import java.util.Scanner;

public class SelctionSort {
  public static void main(String []args) {
    int i,j,temp,limit;
    Scanner sc = new Scanner(System.in);

    System.out.println("Enter the limit of the numbers:");
    limit = sc.nextInt();

    int array[] = new int[limit];

    System.out.println("Enter " + limit + " numbers: ");

    for (i = 0; i <limit; i++) 
      array[i] = sc.nextInt();

      for ( i = 0; i < limit-1; i++)
        {

            int min = i;
            for ( j = i+1; j < limit; j++)
                if (array[j] < array[min])
                    min = j;

             temp = array[min];
            array[min] = array[i];
            array[i] = temp;
        }

    System.out.println("******Sorted list******");

    for (i = 0; i < limit; i++) 
      System.out.println(array[i]);
  }
}

```

## 输出

```java
Enter the limit of the numbers:5
Enter 5 numbers: 
56
2
89
1
400
******Sorted list******
1
2
56
89
400
```