# Java 程序：实现线性搜索

> 原文：<https://learnetutorials.com/java/programs/program-to-implement-linear-search>

这里我们解释如何编写一个 java 程序来执行线性搜索。

## 什么是 java 中的线性搜索？

**线性搜索**也称为顺序搜索。这是一种简单的搜索方法。与其他搜索方法相比，它的性能非常慢。在线性搜索中，对整个列表执行搜索。它按顺序检查列表中的所有元素。它用搜索元素检查列表中的每个元素，直到找到该元素或它到达列表的末尾。

## 如何实现 java 程序来执行线性搜索？

首先，我们要声明类 **LinearSearch** 。声明整数变量 **i，极限，键**。创建一个扫描仪类的对象作为 **sc** 。将数组元素的极限读取为**极限**。声明一个整数数组的大小**限制**。使用 for 循环将数组元素读入**数组【I】**。将搜索元素读入关键字。然后，通过使用 for 循环检查，数组的每个元素都等于使用 if 条件的键元素。如果**数组[I]=键**，则显示在 **i+1** 位置找到的元素，并从循环中断开。否则，将 **i** 增加 1，并继续该过程，直到检查完所有元素。如果 **i** 达到极限，则显示找不到元素。

## 算法

**第一步**:用**公共**修改器声明类**线性搜索**。

**STEP 2** :打开 **main()** 启动程序，Java 程序执行从`main()`开始

**第三步**:声明整数变量 **i，极限，键**。

**STEP 4** :将数组的极限读入变量**极限**。

**第五步**:声明一个大小为**的数组限制**。

**第 6 步**:使用`for loop`将元素读入数组。

**步骤 7** :将需要搜索的元素读入变量键。

**第八步**:用`for loop`加条件**我**

**第 9 步**:检查**数组【I】= =键**，如果是，则显示在 **i+1** 位置找到的元素，进入第 11 步。

**第 10 步**:将 **i** 增加 1，重复第 9 步。

**步骤 11** :检查**I =极限**是否未找到显示元素。

## Java 源代码

```java
import java.util.Scanner;  

public class LinearSearch   
{  
  public static void main(String args[])  
  {  
    int i, limit, key;  

    Scanner sc = new Scanner(System.in);  
    System.out.println("Enter the limit of numbers:");  
    limit = sc.nextInt();   
     int array[] = new int[limit];

    System.out.println("Enter " +limit + " numbers:");  

    for (i = 0; i < limit; i++)  
      array[i] = sc.nextInt();  

    System.out.println("Enter the search element:");  
    key = sc.nextInt();  

    for (i = 0; i < limit; i++)  
    {  
      if (array[i] == key)      
      {  
         System.out.println("The search element "+ key +" is found at location "+ (i+1));
          break;  
      }  
   }  
   if (i == limit)  
      System.out.println("The search element "+ key +" is not found");
  }  
} 

```

## 输出

```java
Enter the limit of numbers:5
Enter 5 numbers:
2 
6
88
10
120
Enter the search element:88
The search element 88 is found at location 3
```