# 面试问题

> 原文：<https://learnetutorials.com/java/interview-questions>

## [*1 什么是 JVM？*](#qus_collapse0)*T7】*

 *Java 虚拟机或 JVM 是一个虚拟的或抽象的规范。当 JVM 安装在计算机上时，不管计算机硬件有多复杂，它都有助于运行 java 字节代码。*  *## [*2 什么是 JRE？*](#qus_collapse1)*T7】*

 *Java 运行时环境。JRE 只是一个同步 java 类库和(JVM) Java 虚拟机的容器。JVM 使用类库运行 java 字节码，JRE 为此提供了一个环境*  *## [*3Java 的主要特点是什么？*](#qus_collapse2)*T7】*

 *1.可移植性:由于 java 程序被编译成独立于平台的字节码，它可以在任何机器上运行，而与硬件无关。简而言之，我们可以说 java 是独立于平台的。由于同样的原因，它是一种架构中立的语言。

2.面向对象:在 Java 中，一切都是对象

3.高性能:由于其即时编译的编译器，java 程序的性能非常快。

4.安全:Java 的公钥加密使其成为一种安全的语言

6.健壮:由于其编译时和运行时错误检查，Java 不太容易出错*  *## [*4 对比对比一下 JRE 和 JVM？*](#qus_collapse3)*T7】*

 *Java 运行时环境和 Java 虚拟机。java 虚拟机是一组规范，JRE 是规范的实际环境。JVM 将字节码转换成机器语言，而 JRE 为此提供了二进制文件和类库。*  *## [*5 什么是 JDK？*](#qus_collapse4)*T7】*

 *java 开发工具包是一个基于平台的开发包，可用于 Java 应用程序开发。它包括用于开发、编译和执行 java 程序的工具。*  *## [*6JRE 和 JVM 是 JDK 的一部分吗？*](#qus_collapse5)*T7】*

 *是的，实际上是 JDK，java 开发工具包包括开发工具和 Java 运行时环境。java 运行时环境包含类库和 Java 虚拟机规范。*  *## [*7 什么是 JIT？有什么好处？*](#qus_collapse6)*T7】*

 *JIT 是一种高性能编译器的简称，叫做适时编译器。与传统编译器一起编译整个代码然后运行不同，JIT 会动态编译代码。

因此，他们可以创建更快的可执行机器代码。*  *## [*8Java 是编译语言还是解释语言？*](#qus_collapse7)*T7】*

 *Java 既是解释语言，也是编译语言。java 代码首先被编译成字节码，然后字节码被 Java 虚拟机解释。*  *## [*9 Java 是一种高性能的编程语言。*](#qus_collapse8)*自圆其说*

 *Java 有及时编译器，它不是批量编译代码，而是动态编译代码。编译后的代码是字节代码，这也是一组执行速度更快的操作，可以快速转换为机器相关代码。

此外，java 使用多线程，这意味着各种线程由 java 虚拟机管理，每个线程可以执行一项任务，并且多个线程可以共存。*  *## [*10 解释在 java 中多线程是如何实现并发执行的？*](#qus_collapse9)*T7】*

 *程序的每个部分都被分配给一个线程，这些线程可以共存。这实现了并发执行，也很好地利用了中央处理器。*  *## [*11 什么是 JDB？*](#qus_collapse10)*T7】*

 *JDB 扩展到 JAVA 调试器。这是一个命令行工具，有助于进入 java 类并调试代码。*  *## [*12Java 中有哪些关键词？*](#qus_collapse11)*T7】*

 *关键字是 java 中的保留字。这些是用于编程语言特殊目的的特殊文本。这些单词不能用作标识符*  *## [*13Java 中的标识符是什么？*](#qus_collapse12)*T7】*

 *标识符是 java 中事物的名称。java 中的东西可以是变量、类和函数。*  *## [*14Java 中选择标识符的语法是什么？*](#qus_collapse13)*T7】*

 *大写和小写字母，_，$和数字都可以是 java 中标识符的一部分。每个标识符必须至少有一个数字以外的字符。标识符不能以数字开头，其余可以是数字、_、$和字母中的任何一个或它们的组合。*  *## [*15 有哪些局部和全局变量？*](#qus_collapse14)*T7】*

 *在 java 中，变量的范围在{}之间，即在代码块中。局部变量是与方法、构造函数或代码块相关的变量。在 java 中，通常没有全局变量的概念，但是当所有成员变量在方法或构造函数之外声明时，它们都被认为是全局的。这是因为它们可以在任何成员函数中访问。

示例:

```java
 class ExampleGlobalLocal

{

     static int ExGlobal; //This variable acts as a global variable

     static void ExMethod()

     {

          int Ex>0;

          System.out.println(ExOnelocal);

          System.out.println(ExGlobal);

     } 

} 
```*  *## [*16 在 java 中区分文字和变量？*](#qus_collapse15)*T7】*

 *变量是容器，而文字是它们的值。变量有类型、名称和值。

示例:

int a = 0

这里 0 是文字，a 是变量。*  *## [*17Java 中有哪些不同的内置数据类型？*](#qus_collapse16)*T7】*

 *java 中有 8 种基本数据类型。他们是

1.字节:存储从-128 到 127 的数字

2.short:存储-32768 到 32767 之间的整数

3.int:可以存储从-2^31 到(2^31)-1)的整数

4.long:long 数据类型可以存储从-2^63 到 2^63)-1 的数字

5.浮点:这种数据类型可以存储十进制数，单精度 32 位 IEEE 754 浮点。

6.double:这种数据类型可以存储比 float 更大的十进制值。可以存储双精度 64 位 IEEE 754 浮点。

7.布尔值:布尔数据类型有两个可能的值“真”和“假”

8.字符:存储字符。它们存储为 16 位 unicode 编码字符

整数:存储整数*  *## [*18 用 java 解释一个变量的范围？*](#qus_collapse17)*T7】*

 *范围是指变量可访问的代码区域。不同类型的变量范围不同。例如，除了静态方法，变量的作用域遍及整个类。对于类变量，作用域在整个类中，对于局部变量，作用域在块内。*  *## [*19 用 java 解释类型转换？*](#qus_collapse18)*T7】*

 *在 java 程序中，如果一个值被赋给不同类型的变量，这两种类型就有可能不兼容。如果数据类型兼容，那么 Java 将自动执行转换，称为自动类型转换，如果不兼容，则需要显式转换*  *## [*20 什么是 java 中的推广？*](#qus_collapse19)*T7】*

 *爪哇岛*  *## [*21 解释胁迫*](#qus_collapse20)

 *爪哇岛*  *## [*22 指出 C++和 Java 的几个区别？*](#qus_collapse21)*T7】*

 *c++依赖于平台，java 独立于平台。

C++支持运算符重载，而 java 不支持。

在 C++中，程序可以使用指针编写，但是在 Java 中，指针不能在程序中使用。*  *## [*23Java 内部使用的内存类型有哪些？*](#qus_collapse22)*T7】*

 ***堆**用于运行时数据管理，**栈**用于存储局部变量和结果，**类区域**用于存储每类数据，**程序计数器**用于当前执行地址，本地方法栈用于存储本地方法以重新规划程序*  *## [*24Java 是完全面向对象的吗？解释一下？*](#qus_collapse23)*T7】*

 *对于完全面向对象的编程语言来说，所有“事物”都是对象。但是在 java 非对象中，像布尔、字节字符等基本数据类型在 Java 中被使用。*  *## [*25 什么是建造师？*](#qus_collapse24)*T7】*

 *构造函数是一种初始化对象的方法。此方法与类同名。当一个对象被创建时，它将被自动调用。*  *## [*26 区分默认构造函数和参数化构造函数？*](#qus_collapse25)*T7】*

 *默认构造函数不接受任何参数。而参数化构造函数可以用作为参数传递的值初始化对象。*  *## [*27 什么是复制构造函数？*](#qus_collapse26)*T7】*

 *复制构造函数是以一个对象为参数，复制其特征来创建一个新对象的方法*  *## [*28Java 中的 singleton 类是什么？*](#qus_collapse27)*T7】*

 *Singleton 类是一个构造函数是私有的类。之所以这样命名，是因为一次只能创建该类的一个实例*  *## [*29 什么是访问说明符？*](#qus_collapse28)*T7】*

 *接近*  *## [*30 超载和超载的区别？*](#qus_collapse29)*T7】*

 *重写意味着更改现有的方法，而重载是对不同的函数使用同名的方法*  *## [*31 讲解 java 中的类型安全>*](#qus_collapse30)

 *java 中的类型安全意味着不允许程序访问不安全的内存位置。换句话说，每个对象将被分配一个特定的内存块，并且每个对象只能访问对它们有效的内存块*  *## [*32 解释枚举数据类型？*](#qus_collapse31)*T7】*

 *枚举数据类型或**枚举**是 java 中的一个特殊类，它代表一组常量。

示例:

```java
enum Languages {
  English,
  Dutch,
  Latin
} 
```*  *## [*33 关于 BigDecimal 数据类型的解释？*](#qus_collapse32)*T7】*

 *..*  *## [*34 用例子解释 java 中的截断？*](#qus_collapse33)*T7】*

 *浮点数转换为整数截断小数*  *## [*35Java 中数组和向量的区分？*](#qus_collapse34)*T7】*

 *排列*  *## [*36 区分 BigDecimal 和 float？*](#qus_collapse35)*T7】*

 *区分 BigDecimal 和 float？*  *## [*37 解释构造函数链接？*](#qus_collapse36)*T7】*

 *构造函数链接是从另一个构造函数调用构造函数的过程。这可以通过两种方式实现，一种是使用`This()`，用于从同一个类链接构造函数，另一种是使用`This()`实现从子类到父类的构造函数链接*  *## [*38 爪哇最后一个班是什么？*](#qus_collapse37)*T7】*

 *final 关键字可以用在类上来创建最终的类。这些类不能被进一步继承。如果另一个类试图扩展最后一个类，java 会抛出错误。*  *## [*39final 关键字在 java 中有哪些不同的应用？*](#qus_collapse38)*T7】*

 *1.最终变量:当最终关键字用于变量时。一旦赋值，变量值就不能改变

2.Final Methods: Final 关键字应用于方法时，该方法永远不能被重写

3.Final class:Final 关键字应用于类，使它们不可继承*  *## [*40 解释公静虚空主(String args[])？*](#qus_collapse39)*T7】*

 *公共是函数的访问说明符。公共意味着这个方法可以被任何其他类访问。

static 是一个关键字，这意味着在引用此方法之前不需要创建类的实例

void 表示此方法将不返回任何内容

main 是方法的名称

字符串是传递的参数的类型

arg[]运行代码时将采用通过命令行传递的值的参数*  *## [*41 什么是包装纸类？*](#qus_collapse40)*T7】*

 *要将像 int、bool、char 等基本数据类型转换为它们各自的类，如 Integer、Boolean、char 等，我们可以使用包装类。我们可以说整型是整型的包装类。*  *## [*42 用 java 定义收藏？*](#qus_collapse41)*T7】*

 *简单来说，集合是 java 中的任何一组对象。Java 集合框架是一个特殊的，它是接口和类的集合，有助于有效地存储和处理数据。这个框架有几个有用的类，它们有帮助编程的有用功能。*  *## [*43 用 java 解释类型铸造？*](#qus_collapse42)*T7】*

 *当一个值最初被赋给一个变量时。然后再分配另一个值，后者与前者的类型不同，为了使它们兼容，我们可以转换数据类型。

例如:

```java
float num0 = 100.99;
long num1 = (long)num;
```*  *## [*44 区分 java 中的静态绑定和动态绑定？*](#qus_collapse43)*T7】*

 *将方法调用链接到过程体称为绑定。如果这种链接是在编译时完成的，那么它就是静态绑定，当链接在运行时完成时，它被称为动态绑定*  *## [*45Java 中的区分方法重载和覆盖？*](#qus_collapse44)*T7】*

 *重载使一个类可以有相同的命名方法来执行不同的功能。编译器通过查看参数来区分这两个类。这意味着要使重载工作，我们必须改变参数的数量或类型

而过度定义使子类能够拥有与父类同名的方法，并给出自己的实现*  *## [*46 什么是接口？*](#qus_collapse45)*T7】*

 *在 java 中，接口是类似的概念，这有助于实现完全的抽象。接口的定义类似于类，但它没有方法定义，只有签名，默认情况下变量也是静态的、最终的和公共的。*  *## [*47 什么是 java 中的抽象类？*](#qus_collapse46)*T7】*

 *抽象类是那些不能有自己的对象的类。相反，这个类可以扩展。子类将有一个来自其父抽象类的通用模板，子类可以进行自己的专门化。*  *## [*48 用 java 解释 THIS 指针？*](#qus_collapse47)*T7】*

 *this 关键字或 this 指针指向类的当前对象*  *## [*49 用 java 解释 SUPER 指针？*](#qus_collapse48)*T7】*

 *super 关键字或 super 指针指向当前实例的父对象*  *## [*50 用 java 解释变量的寿命概念？*](#qus_collapse49)*T7】*

 *变量的生存期表示变量在内存中驻留的时间。对于不同类型的变量，生存期会有所不同。对于实例变量，生存期或变量驻留在内存中，直到相应的对象驻留在内存中。对于类变量，生存期到程序结束为止，对于局部变量，生存期到控件离开相应的块为止。*  *## [*51Java 中有哪些不同类型的变量？*](#qus_collapse50)*T7】*

 *在 java 中，根据变量的范围和生命周期，有三种类型的变量。他们是

1.实例变量:一个在类内部声明但在任何方法外部声明的变量称为*实例*变量。

2.类变量:在类内部声明，但在任何方法外部声明的静态变量称为类变量

3.局部变量:在方法或块中声明的变量。

示例:

公共类 ExVarTypes{

int n1，N2；//变量实例

静态整数和；//类变量

int sum(int a，int b) //a 和 b 是局部变量

{

n1 = a；

N2 = b；

返回 a+b；

}

}*  *## [*52Java 中有哪些不同类型的运算符？*](#qus_collapse51)*T7】*

 *外科手术*  *## [*53 用 java 解释关联、聚合和组合？*](#qus_collapse52)*T7】*

 *铼*  *## [*54 在 java 中创建对象有哪些不同的方式？*](#qus_collapse53)*T7】*

 *卷*  *## [*55Java 如何在内存中存储对象？*](#qus_collapse54)*T7】*

 *所有对象都存储在堆中。每当使用 new 关键字创建一个新对象时，该对象就被分配给一个堆。当一个新变量被声明时，只创建一个引用，当使用 new 关键字时，分配一个堆。*  *## [*56 用 Java 解释序列化和反序列化？*](#qus_collapse55)*T7】*

 *序列化是一种将对象转换为字节流的机制。而反序列化是相反的过程，字节流用于在内存中重新创建相应的对象。*  *## [*57 解释一下 java 中的嵌套类？*](#qus_collapse56)*T7】*

 *当一个类在另一个类中定义时，这样的类称为嵌套类。

语法:

class ClassA

{

类新类

{

}

}*  *## [*58 用 Java 解释垃圾收集？*](#qus_collapse57)*T7】*

 *从内存中移除不再使用的对象称为垃圾回收。在 java 中，这是自动完成的。垃圾收集器线程定期检查运行时堆，如果发现被放弃的对象(对象没有活动引用)，垃圾收集器线程首先调用`finalize()`方法来清理对象，然后将对象从内存中清除。*  *## [*59 用 java 解释堆结构？*](#qus_collapse58)*T7】*

 *java 中的堆结构分为

1.年轻一代:年轻一代进一步分为伊甸园空间和幸存者空间。一旦对象被存储，它就被存储在伊甸园空间中。当较年轻的空间填满次要的垃圾收集运行时，幸存的对象被移动到幸存空间。

2.老一代:年轻空间中的物体，久而久之变老了，在一个门槛被移到老一代之后。当老一代被填满时，一个主要的垃圾收集就完成了。

3.永久生成包含 java 虚拟机所需的元数据

3.*  *## [*60 我们什么时候说一个类被实例化了？*](#qus_collapse59)*T7】*

 *当一个类的对象被创建时，我们说这个类被实例化了。*  *## [*61 解释 Java 中可用的不同类型的继承/*](#qus_collapse60)

 *1.单一继承:子类继承一个超类的特性

2.多级继承:一个派生类将继承一个基类，并且这个派生类也作为其他类的基类

3.层次继承:一个类充当多个子类的基类

4.多重继承:一个类可以有多个超类，并且从所有父类继承特性

5.杂交遗传:是上述两种或两种以上遗传类型的组合*  *## [*62 什么是封装？它的优点是什么？*](#qus_collapse61)*T7】*

 *封装是将数据和操作绑定到一个称为类的单元的过程。优点是，

*   **数据隐藏:**用户将不知道类的内部实现。
*   **增加灵活性:**可以根据需要调整变量的访问
*   **可重用性:**封装还提高了可重用性，容易随着新的需求而改变。
*   **测试代码容易:**封装代码容易单元测试。*  *## [*63 什么是多态性？Java 中有哪些不同类型的多态性？*](#qus_collapse62)*T7】*

 *多态性是同一实体或名称以不同形式存在的概念。

在 Java 中，有两种类型的多态性，

1.编译时多态性:也称为静态多态性。方法重载和运算符重载属于这一类。

2、运行时多态性:重写属于这一类，因为对 overriden 方法的函数调用只在运行时被解析。*  *## [*64 动法调度*](#qus_collapse63)

 *它也被称为动态方法调度。这是一个在运行时解析对被重写方法的函数调用的过程。这种类型的多态性是通过方法重写实现的。*  *## [*65 解释数据抽象？*](#qus_collapse64)*T7】*

 *数据抽象是一个只向用户显示基本细节的概念。琐碎的细节不会显示给用户。在 java 中，抽象是通过接口和抽象类来实现的*  *## [*66 什么是抽象法？*](#qus_collapse65)*T7】*

 *声明抽象方法时没有实现。应该在子类中重新定义或覆盖抽象方法*  *## [*67 有哪些访问修饰符？*](#qus_collapse66)*T7】*

 *Java 的访问修饰符是**公共**、**私有**和**受保护。公共:**当一个类的成员被**公共**修饰符修改时，该成员可以被任何其他代码访问。

**private:** 当一个类的成员被指定为 **private** 时，那么该成员只能被同一类的其他成员访问。
**受保护**:声明为受保护的成员可以在同一个包或其他包的子类中访问。*  *## [*68 默认访问修饰符是什么？*](#qus_collapse67)*T7】*

 *当没有为一个类指定访问修饰符时，成员具有**默认的**访问修饰符。它们只能在同一个包中访问。*  *## [*69 什么是 java 中的非访问修饰符？*](#qus_collapse68)*T7】*

 *非访问修饰符是用于提供实体信息的标记。这些实体可以是类、方法、变量或构造函数。Java 中有 7 个非访问修饰符，它们是

1.Static:可以在创建其类的任何对象之前访问。

2.Final:应用于变量时创建常量变量，应用于方法时防止方法过度定义，应用于类时防止继承。

3.摘要:用于创建抽象类和方法

4.同步:确保在给定的时间点只有一个线程可以访问资源。

5.瞬态:当我们不想在文件中保存特定变量值时使用

6.Volatile:用于使类线程安全。

7.本机:指示该方法是使用(Java 本机接口)在本机代码中实现的。*  *## [*70 解释加宽的概念？*](#qus_collapse69)*T7】*

 *加宽只是自动类型转换本身。当两种类型兼容，并且赋值从较低的数据类型转换为较高的数据类型时，java 会自动将类型从较低转换为较高的数据类型，因此得名“扩展”。*  *## [*71 解释缩小的概念？*](#qus_collapse70)*T7】*

 *在 java 程序中，当高数据类型的值被分配给低数据类型的变量时，转换不会自动发生。在这种情况下，要应用显式类型转换。也叫缩小。***********************************************************************