# 面试问题

> 原文：<https://learnetutorials.com/machine-learning/interview-questions>

## [*1 什么是机器学习？*](#qus_collapse0)*T7】*

 *机器学习帮助系统自动从经验中学习，而无需编程。它是人工智能的应用。在机器学习的帮助下，我们可以让计算机程序访问数据，并使用这些数据从中学习。机器学习使计算机对类似人类的数据有意义。*  *## [*2 对机器语言有什么需求？*](#qus_collapse1)*T7】*

 *机器学习使一个系统能够像人类一样根据数据做出决定。在机器学习的帮助下，我们可以执行现实世界的任务，并且可以解决问题，并且有助于自动化。*  *## [*3 使用机器学习有哪些问题？*](#qus_collapse2)*T7】*

 *1.**数据质量**:机器学习需要高质量的数据。对于低质量的数据，它会导致错误决策。

2.**时间滞后**:机器学习需要大量时间对数据进行决策。

3.机器学习使用复杂的算法，使其难以部署。*  *## [*4 机器学习有哪些应用？*](#qus_collapse3)*T7】*

 **   情感分析
*   错误检测和纠正
*   天气预报
*   市场预测
*   语音识别
*   欺诈检测
*   网上购物的推荐*  *## [*5 机器学习中的方法有哪些类型？*](#qus_collapse4)*T7】*

*1\. Supervised learning
2\. Unsupervised learning
3\. Semi-supervised learning
4\. Reinforcement learning
5\. Online learning
6\. Instance-based learning
7\. Model-based learning* *## [*6 监督学习在机器学习中是如何工作的？*](#qus_collapse5)*T7】*

 *监督学习的原理是，它试图用每个数据样本学习输入数据和输出结果之间的联系。它是机器学习中最常见的算法类型。例如:决策树、KNN、随机森林等。*  *## [*7 什么是无监督学习算法？*](#qus_collapse6)*T7】*

 *在无监督算法中，我们没有任何规则或准则，这意味着不会有给定的模式，模型本身必须从给定的数据中找到隐藏的模式。它与监督学习算法相反。*  *## [*8 有监督和无监督学习算法在 ML 中有什么区别？*](#qus_collapse7)*T7】*

 *在监督学习算法中，需要预先定义的数据来学习关系和预测结果。在无监督学习中，将没有标记数据，因此机器必须从输入数据中找到隐藏模式。*  *## [*9 什么是机器学习中的 I 型和 II 型错误？*](#qus_collapse8)*T7】*

 ***I 型错误**表示假阳性，意思是声称发生了什么，但实际上并没有发生。

**II 型错误**表示假阴性，意思是它声称什么都没发生，但实际上，它发生了。*  *## [*10 数据挖掘和机器学习有什么区别？*](#qus_collapse9)*T7】*

 ***数据挖掘**:是系统或数据试图利用机器学习算法从数据中提取模式的过程。

**机器学习**:是程序的开发，帮助系统从数据中学习，无需编程。*  *## [*11p 值的意义是什么？*](#qus_collapse10)*T7】*

 ***P 值**用于确定统计检验的重要性。P 的值将在 0 和 1 之间，这有助于用户确定结论。*  *## [*12 梯度下降法每次会收敛到同一点吗？*](#qus_collapse11)*T7】*

*The answer is 'no' because in some cases it reaches the local minimum, so in all cases, we cant reach the global point. It depends on the data and conditions.* *## [*13Python 或者 R，哪种编程语言适合文本数据分析，？*](#qus_collapse12)*T7】*

 *Python 非常适合文本数据分析，因为 python 有一个 panda 库，它提供了易于使用、快速、灵活和强大的数据分析和操作工具。*  *## [*14 在机器学习中什么是模型选择？*](#qus_collapse13)*T7】*

 *这是在不同的数学模型中选择模型的方法，用于定义相同的数据，称为模型选择。在统计学、数据挖掘和机器学习领域，使用模型学习。*  *## [*15 列出监督学习的功能？*](#qus_collapse14)*T7】*

 *1.  分类
2.  语音识别
3.  回归
4.  预测时间序列
5.  注释字符串*  *## [*16 解释机器学习中的聚类？*](#qus_collapse15)*T7】*

 *这是在无监督学习中使用的技术。如果我们有一组数据点，那么我们可以使用聚类算法。为了将所有数据点分类到它们特定的组中，这项技术将帮助我们。*  *## [*17 列举无监督学习的功能？*](#qus_collapse16)*T7】*

 *1.  要查找数据簇
2.  寻找数据的低维表示
3.  在数据中寻找有趣的方向
4.  寻找新的观察/数据库清理
5.  寻找有趣的坐标和相关性*  *## [*18 列出机器学习的热门算法？*](#qus_collapse17)*T7】*

 *1.  决策树
2.  神经网络(反向传播)
3.  概率网络
4.  最近邻
5.  支持向量机*  *## [*19 什么是分类？*](#qus_collapse18)*T7】*

 *分类用于预测离散类别标签。它包括识别特定群体的价值观。分类问题的例子是，将电子邮件分类为垃圾邮件或非垃圾邮件。*  *## [*20 什么是回归？*](#qus_collapse19)*T7】*

 *回归方法需要从一组连续的结果中预测响应值。因此，回归问题也需要预测一个量。回归问题的一个例子是预测一段时间内股票的价格。*  *## [*21 关于 PAC 学习的讲解？*](#qus_collapse20)*T7】*

 *PAC(大概是近似正确的)学习是一个学习框架。它被用来分析学习算法及其统计效率。*  *## [*22 在机器学习中什么是过拟合？*](#qus_collapse21)*T7】*

 *这是一种建模错误，会导致无法预测未来的观测结果，或者会给现有模型增加额外的数据。当一个函数适合一组有限的数据点时就会发生这种情况，并且可能以更多的参数结束。*  *## [*23 什么是机器学习中的正则化？*](#qus_collapse22)*T7】*

 *这是一种回归方法，或者可以将系数估计值调整为零。为了避免过度拟合的风险，它降低了灵活性并阻碍了模型中的学习。正则化降低了模型的复杂性，使其更有利于预测。*  *## [*24 什么是 ILP？*](#qus_collapse23)*T7】*

 *ILP(归纳逻辑编程)使用逻辑编程，是机器学习的一部分。它可以用来建立预测模型来搜索数据中的模式，此时程序被假设为一个假设。*  *## [*25 区分精准和召回？*](#qus_collapse24)*T7】*

 ***精度**可以是正预测值。在接收到的实例中，它是相关实例的一小部分。

**回忆**也称为**敏感度**是已检索的相关实例占相关实例总数的比例。*  *## [*26SVM 能处理的分类方法有哪些？*](#qus_collapse25)*T7】*

 *1.  组合二进制分类器
2.  修改二进制以包含多类学习*  *## [*27 形容套袋和孕穗期？*](#qus_collapse26)*T7】*

 **   **装袋**是集成学习中的一个过程。为了改进，可以使用不稳定的估计或分类方案
*   **依次使用 Boosting** 方法降低组合模型的偏差。*  *## [*28 什么是集群采样？*](#qus_collapse27)*T7】*

 *聚类抽样用于在定义的人群中选择随机的完整组，它们具有相似的特征。采样单位是元素的集合或聚类，其中聚类样本是概率。*  *## [*29 什么是贝叶斯网络？*](#qus_collapse28)*T7】*

 *贝叶斯网络用于表示一组变量之间概率关系的图形模型。这也被称为“信仰网络”或“休闲网络”。动态贝叶斯网络是与贝叶斯网络相关的变量。*  *## [*30 列出贝叶斯逻辑程序的两个组成部分？*](#qus_collapse29)*T7】*

 *1.  **逻辑**:它有一套贝叶斯子句，可以捕捉领域的定性结构。
2.  **量化**:用于编码关于领域的量化信息。*  *## [*31 什么叫做关联规则挖掘(ARM)？*](#qus_collapse30)*T7】*

 *ARM 在大量的数据项中找到关联和关系。并有助于发现数据中的模式，如一起出现的特征和相关的特征(维度)。在基于市场的分析中，如何频繁地找到交易中出现的项目集是使用 ARM 的一个示例情况。*  *## [*32 形容维度诅咒？*](#qus_collapse31)*T7】*

 *这就是我们的数据有太多特征的情况。如果我们拥有比观测值更多的特征，我们就有过度拟合模型的风险。该术语用于表示使用暴力或网格搜索来优化输入过多的函数的难度。*  *## [*33 如何衡量一个假设函数的准确性？*](#qus_collapse32)*T7】*

 *为了测量假设函数的准确性，我们使用了一个成本函数，用 j 表示*  *## [*34 什么是随机森林？*](#qus_collapse33)*T7】*

 *随机森林是一种流行的机器学习算法，属于监督学习技术。之所以叫森林，是因为它是决策树的集合，每棵树都是从数据样本中构建的。随机森林的结果是每棵树的平均预测。*  *## [*35 什么是局部最小值？*](#qus_collapse34)*T7】*

 *局部最小值是函数的最小值。*  *## [*36 解释一下下装？*](#qus_collapse35)*T7】*

 *当我们的假设函数(h)的形式与数据的趋势映射不良时，这被称为欠拟合，或高偏差。*  *## [*37 关于过拟合的解释？*](#qus_collapse36)*T7】*

 *当假设函数适合可用数据，但不能很好地概括预测新数据时，就会出现这种情况，这种情况被称为过度拟合，或高方差。*  *## [*38 列举数据归一化的优势？*](#qus_collapse37)*T7】*

 *1.让训练更快。
2。防止陷入局部最优。
3。它给出了更好的误差表面形状。
4。权重衰减和贝叶斯优化可以更方便地完成。*  *## [*39 解释词干？*](#qus_collapse38)*T7】*

 *通过删除不必要的字符将单词缩成一个词根，并允许我们将相关单词映射到同一个词干的过程。*  *## [*40 在机器学习中什么是降维？*](#qus_collapse39)*T7】*

 *降维有助于在某种考虑下减少随机变量的数量。分为特征选择和提取。*  *## [*41 讲解强化学习手法？*](#qus_collapse40)*T7】*

 *它是机器学习的一种算法技术。这种算法技术有助于搜索在特定情况下应该遵循的最佳方法或路径，因此这种技术被不同的软件和机器使用。它是根据每个行为的奖励或惩罚来学习的。*  *## [*42 形容偏差和方差之间的权衡？*](#qus_collapse41)*T7】*

 *这两个都是错误。由于学习算法中错误或过于简单的假设而导致的误差称为偏差误差。这种误差导致模型对数据拟合不足，使得高预测精度变得非常困难

由于学习算法过于复杂而产生的误差称为方差。这个错误导致模型过度拟合数据*  *## [*43 什么是遗传编程？*](#qus_collapse42)*T7】*

 *遗传编程是机器学习的一个子集。它实现了一种算法来解决用户定义的任务，因为它使用随机变异、适应度函数、交叉和多代进化。*  *## [*44 解释一下链表和数组？*](#qus_collapse43)*T7】*

 **   **数组**是一组类似数据类型的元素。在这种情况下，元素被连续存储在存储器中。并且它支持随机访问。
*   **链表**是同类型元素的有序组，使用指针连接。在这种情况下，新元素可以存储在内存中的任何地方。并且它支持顺序访问。*  *## [*45 什么是混乱矩阵？*](#qus_collapse44)*T7】*

 *混淆矩阵也称为误差矩阵。它是一个用于总结分类算法性能的表格。*  *## [*46 列出使用模式识别的区域？*](#qus_collapse45)*T7】*

 *1.  计算机视觉
2.  语音识别
3.  数据挖掘
4.  统计数字
5.  非正式检索
6.  生物信息学*  *## [*47 列出监督学习中用于校准的方法？*](#qus_collapse46)*T7】*

 *1.  普拉特校准
2.  等渗回归

这是监督学习中用于概率最佳预测的两种方法。它是为二进制分类而创建的，它不是微不足道的。*  *## [*48 在机器学习中什么是感知器？*](#qus_collapse47)*T7】*

 *感知器是一种监督分类算法。在这种情况下，输入被分类为几个可能的非二进制输出之一。*  *## [*49 形容文工团学习？*](#qus_collapse48)*T7】*

 *战略性地生成和组合多个模型(如分类器或专家)以解决特定计算程序的过程称为集成学习。*  *## [*50 列举出文工团的范式方法？*](#qus_collapse49)*T7】*

 *1.  顺序集成方法
2.  并行集成方法*  *## [*51 什么是热图？*](#qus_collapse50)*T7】*

 *热图给出了数据的可视化表示。这种视觉表现由带有颜色的矩阵组成。在这里，数据的两个维度由点的位置捕捉，第三个维度由点的颜色表示。*  *## [*52 解释特征提取？*](#qus_collapse51)*T7】*

 *特征提取是一种将数据转换或投影到新特征空间的方法。在降维的背景下，它可以被描述为一种以保持最相关的信息为目标的数据压缩方法。*  *## [*53 等级聚类的主要方法有哪些？*](#qus_collapse52)*T7】*

 *1.  凝聚层次聚类
2.  分裂层次聚类*  *## [*54 解释递归神经网络？*](#qus_collapse53)*T7】*

 *递归神经网络(RNNs)是具有反馈环或时间反向传播的前馈神经网络。在这种情况下，在去激活之前，神经元会在有限的时间内被激发。这些神经元激活另一组神经元，在下一个时间点激发。*  *## [*55 形容残地块？*](#qus_collapse54)*T7】*

 *残差图是诊断回归模型的常用图形分析。它有助于回归模型检测非线性和异常值，并检查误差是否随机分布。*  *## [*56 在机器学习中什么是假设？*](#qus_collapse55)*T7】*

 *假设是有助于将输入映射到输出的特定模型。这可以进一步用于评估和预测。*  *## [*57 描述机器学习中的熵？*](#qus_collapse56)*T7】*

 *在机器学习中，熵测量处理数据的随机性。如果给定的数据中有更多的熵，那么从数据中得出结论就更困难了。*  *## [*58 关于逻辑回归的解释。*](#qus_collapse57)*T7】*

 *逻辑回归是一种预测分析技术，用于预测分类因变量的概率。逻辑回归也有助于解释数据以及一个因变量和一个或多个自变量之间的关系。*  *## [*59 列出 Logistic 回归的类型？*](#qus_collapse58)*T7】*

 *1.  **二元逻辑回归**:在这种情况下只有两种可能的结果。
2.  **多项式逻辑回归**:在这种情况下，输出由三个或更多无序类别组成。
3.  **序数逻辑回归**:在这种情况下，输出由三个或更多有序类别组成*  *## [*60 列出关系评估技术的组成部分？*](#qus_collapse59)*T7】*

 *1.  数据采集
2.  地面真相获取
3.  交叉验证技术
4.  查询类型
5.  评分标准
6.  显著性测定*  *## [*61 在机器学习中，纪元是什么意思？*](#qus_collapse60)*T7】*

 *一个历元表示机器学习算法已经完成的整个训练数据集的遍数。在海量数据的情况下，数据集被分成几个批次，每个批次都经过给定的模型，这个过程被称为迭代。*  *## [*62 描述 ROC 曲线及其表示？*](#qus_collapse61)*T7】*

 *ROC(接收机工作特性)曲线给出了真阳性率和假阳性率之间权衡的图形表示。因此，它给出了模型准确性的概念。*  *## [*63 讲解归纳和演绎学习？*](#qus_collapse62)*T7】*

 *1.  **归纳学习**:就是利用观察做出结论的过程
2.  **演绎学习**:就是用结论形成观察的过程*  *## [*64 区分熵和信息增益？*](#qus_collapse63)*T7】*

 *1.  **熵:**它是数据有多乱的指标。当我们接近叶节点时，熵开始减少。
2.  **信息增益:**它基于数据集在属性上分割后熵的减少。当我们接近叶节点时，熵开始增加。*  *## [*65 什么是模型学习率？*](#qus_collapse64)*T7】*

 *在模型训练过程中，决定每次迭代或历元步长的调整参数称为学习速率。学习率也是更新神经元权重的速度。如果学习速率高，则模型权重更新快，而如果学习速率低，则模型权重更新慢。*  *## [*66 什么是回忆与精准？*](#qus_collapse65)*T7】*

 ***精度:**在模式识别中，精度是检索到的实例中相关实例的分数。当假阳性对我们的输出很重要时，使用精度的情况。

**回忆:**在模式识别中，回忆是检索到的相关实例的分数。当假阴性对我们的输出很重要时，使用召回的情况。*  *## [*67 列出创建模型遵循的三步流程？*](#qus_collapse66)*T7】*

 *1.  训练模型
2.  测试模型
3.  部署模型*  *## [*68 解释假阳性和假阴性？*](#qus_collapse67)*T7】*

 ***假阳性:**被错误归类为真但为假的病例。

**假阴性:**被错误归类为假但为真的病例。*  *## [*69 什么是关联规则？*](#qus_collapse68)*T7】*

 *这是一种无监督学习技术。关联检查数据项之间的依赖关系。它根据依赖关系映射数据项，使其更有利可图。关联规则有三种类型。

1.  推测的
2.  喝彩
3.  生长算法*  *## [*70 举分类问题的例子？*](#qus_collapse69)*T7】*

 *1.  预测是或不是
2.  估计性别
3.  动物的品种
4.  颜色类型**********************************************************************