# PHP 语法和注释

> 原文：<https://learnetutorials.com/php/comments-and-syntax>

PHP 程序在服务器上执行，结果将作为纯 HTML 发送回浏览器。对于初学者来说，PHP 脚本很容易学习。PHP 语法简单，不像许多其他语言那样复杂。

## 基本的 PHP 语法

PHP 脚本可以写在 PHP 文件的任何地方。使用“T0”来表示 PHP 脚本的开始和结束

样本:

```php
 <?php
 //PHP code 
?> 

```

在上面的示例程序中，我们可以看到用于指示 PHP 脚本结束的。

PHP 文件的文件扩展名是“**”。php** ”。如果任何 PHP 文件不包含任何其他脚本或语言，那么结束标记(？>)。一个 PHP 文件大部分包含 HTML 标签和 PHP 脚本。

带有超文本标记语言和超文本标记语言的示例程序

```php
 <html>
  <body>
    <h1>
      <?php echo "Hello World!"; ?> 
    </h1> 
  </body> 
</html> 
```

## PHP 中的语句以分号结束

像 PHP 中的任何其他编程语言一样，分号用于终止每个语句。PHP 脚本标签中的每一行代码都是 PHP 语句。

示例:

```php
 <?php
 $name = “Robin”;
 $x = 5 + 7;
?> 

```

在上面的示例程序中，我们可以看到两个语句，每个语句都用分号结束。

## PHP 区分大小写吗？

几乎所有的语言要么完全区分大小写，要么完全不区分大小写，但在 PHP 的情况下，情况并非如此。在 PHP 中，关键字、类和函数不区分大小写，但另一方面，变量区分大小写。

```php
 <?php
 echo “Hello World!”;
 ECHO “Hello World!”;
?> 

```

**输出:**

```php
 Hello World!
Hello World! 
```

示例 2:

```php
 <?php
 $welcome = “Welcome to PHP Tutorial”;
 echo “Hello! $welcome”;
 echo “Hello! $Welcome”;
?> 

```

```php
 Hello! Welcome to PHP Tutorial
Hello! 
```

在示例 1 中，我们可以看到关键字 echo 是用小写和大写写的，它不影响程序。但是在示例 2 中，第二个引用中的变量名不同，因此它显示为未定义的变量，并且不打印变量值。

## PHP 对空白不敏感吗？

是的，PHP 对空格不敏感。像空格、制表符和行尾字符这样的空白不会以任何方式影响程序。PHP 中不需要缩进。程序员可以根据需要添加或删除空格。

例子

```php
 <?php 
 $x=10+20;
$y = 10 + 20;
 $z = 10 + 20;
 $u =
 10 +
20;
?> 

```

在上面的例子中，所有的语句都是用不同的缩进写的，并且所有的语句都将以类似的方式执行。

## 大括号在 PHP 中构成块

在 PHP 中，大括号用于括住一组语句。使用大括号，我们可以在程序的任何地方编写语句序列。

例子

```php
 <?php
 $age = 20;
 If ($age >= 18) {
  echo “You are eligible for voting”;
 }
 else{
  echo “You are not eligible for voting”;
  echo “Wait till your chance comes”;
 }
?> 

```

## PHP 注释

开发人员使用 PHP 注释来描述语句行，以便将来查看代码的其他开发人员可以阅读它们。运行程序时不会执行注释；他们会被翻译忽略。

在 PHP 中，有两种注释格式的方式:

1.  单行注释
2.  多行注释

### 单行注释

单行注释用于注释单行；它主要用于解释或描述一行语句。在 PHP 中单行注释可以通过使用**/**(双正斜杠)和 **#** (哈希)两种方式应用。

**例**

```php
 <?php
 $x = 5 + 8; // it is for addition 
 $name = “Thor”; # it is a string
 echo $x;
 echo $name;
?> 

```

**输出:**

```php
 13
Thor 
```

### 多行注释

多行注释用于对多行进行注释。这主要用于对程序的一个部分或块的整个描述进行评论。在 PHP 多行注释中，将注释放在 **/* */** 之间。

**例**T2】

```php
 <?php
 /*
 Anything written
 in between 
 this won’t be executed
 */
 echo “Welcome All”;
?> 

```

**输出:**

```php
 Welcome All 
```