# PHP 数据类型

> 原文：<https://learnetutorials.com/php/data-types>

由于 PHP 是一种解释语言，因此不需要声明数据类型。在 PHP 中，数据类型用于定义分配给变量的值类型。分配给变量的内存是基于数据类型的。PHP 函数`var_dump()`用于返回变量的数据类型和值。PHP 中有八种原始数据类型，进一步分为三类。

![PHP - Datatypes](img/1f86ae046cbb193de48a52a8087d5c70.png)

## 标量类型

标量类型是保存单个值的预定义数据类型。有四种标量数据类型，包括:

1.  线
2.  整数
3.  浮动(或双)
4.  布尔代数学体系的

## PHP 字符串

字符串数据类型是字母数字字符序列。基本上有一个非数字数据类型。字符串可以是字母、单词、数字和特殊字符。字符串值将被括在单引号或(')双引号(" ")之间。将字符串赋给变量时，它们被认为是相同的，但在某些情况下是不同的。

我们可以通过一个例子来了解这种差异:

```php
 <?php
 $welcome = “Welcome to PHP tutorial”;
 $intro = ‘Where we learn to code in PHP’;
 echo “$welcome !. $intro”;
?> 

```

**输出:**

```php
 Welcome to PHP tutorial !. Where we learn to code in PHP 
```

```php
 <?php
 $welcome = “Welcome to PHP tutorial”;
 $intro = ‘Where we learn to code in PHP’;
 echo ‘$welcome !. $intro’;
?> 

```

**输出:**

```php
 $welcome !. $intro 
```

在上面的例子中，我们可以看到，我们在单引号和双引号中都将 sting 赋给了变量，并且两者被同等对待。在第一个示例中，当使用 double 打印变量时，它打印变量的值，但是在第二个示例中，我们使用单引号打印变量，它打印单引号中的内容，而不是变量的值。这是单引号和双引号之间的唯一区别。

## PHP 整数

整数数据类型是数字数据类型；这是整数。它可以是积极的，也可以是消极的。因为它是一个整数，所以不能是小数或小数点。整数可以是十进制(以 10 为基数)，八进制(以 8 为基数)或十六进制(以 16 为基数)，默认为十进制。PHP 中整数不需要声明。

```php
 <?php
 $age = 23;
 $sum = 10 + 5;
 echo $age;
 echo “\n”;
 echo $sum;
?> 

```

**输出:**

```php
 23
15 
```

为了区分 PHP 中的十进制、八进制和十六进制，我们首先对八进制使用 0，对十六进制使用 0x。

例如，

```php
 <?php
    $decimal = 10;
    $octal = 015;
    $hexadecimal = 0x22;
    echo "Decimal: $decimal \n";
    echo "Octal: $octal \n";
    echo "Hexadecimal: $hexadecimal \n";
?> 

```

**输出:**

```php
 Decimal: 10
Octal: 13
Hexadecimal: 34 
```

## PHP 浮点

浮点数据类型也称为双数据类型；它包含小数或小数点数字。它也可以是负数或正数。浮点数据类型至少需要一个小数点。在 PHP 中，用整数添加浮点数没有问题。

```php
 <?php
    $num1 = 26.754;
    $num2 = 15.6;
    $sum = $num1 + $num2;
    echo "Sum = $sum \n";
    $n1 = 16.589;
    $n2 = 15;
    $sum2 = $n1 + $n2;
    echo "Sum = $sum2";
?> 

```

**输出:**

```php
 Sum = 42.354
Sum = 31.589 
```

## PHP 布尔值

布尔数据类型只有两个值真(1)或假(0)。它是最简单的数据类型。它主要用于条件语句。

例子

```php
 <?php
    // TRUE case 
    $t = TRUE;
    if($t){
        echo "This is TRUE statement";
    }
    else{
        echo "This is FALSE statement";
    }
    echo "\n";
    // FALSE case
    $f = FALSE;
    if($f){
        echo "This is TRUE statement";
    }
    else{
        echo "This is FALSE statement";
    }
?> 

```

**输出:**

```php
 This is TRUE statement
This is FALSE statement 
```

在上面的例子中，变量“t”的值为真，如果条件为真，则块已经执行，变量“f”的值为假，如果条件为真，则块已经执行。

## 复合类型

复合类型是用户定义的数据类型。复合数据类型可以保存多个值。有两种复合数据类型:

1.  排列
2.  目标

## PHP 数组

数组是 PHP 中的复合数据类型之一。该数组可以在单个变量中存储相似的多个值。PHP 中有三种类型的数组:数值数组、关联数组和多维数组。在即将到来的模块中，我们将了解更多关于该阵列的信息。

例子

```php
 <?php
    $programing_languages = array("PHP", "Python", "Java", "C++");
    echo $programing_languages[0];
?> 

```

**输出:**

```php
 PHP 
```

## PHP 对象

对象和类是面向对象编程最重要的方面。类是对象的模板，对象是类的实例。该对象还用于存储多个值。在即将到来的模块中，我们将了解更多关于对象的信息。

例子

```php
 <?php   
     class Tutorial {  
          function welcome($name) {  

               echo "Hi! $name welcome to PHP Tutorial.";  
             }  
     }  
     $obj = new Tutorial();  
     $obj -> welcome("John");  
?> 

```

**输出:**

```php
 Hi! John welcome to PHP Tutorial. 
```

## 特殊类型

特殊数据类型包含特殊值。有两种特殊的数据类型:

1.  空
2.  资源

## PHP NULL

空是一种特殊的数据类型。空数据类型只保存一个“空”值。在 PHP 中，空数据类型用于给变量赋值。它也用于清空变量。分配空值的传统方式是大写字母，但技术上空值不区分大小写。

```php
 <?php   
 $x = NULL;
 echo $x;
?> 

```

对于上面的示例，输出将为空，因为变量“x”中没有值。要查看数据类型是否被正确分配，我们应该使用`var_dump()`函数。

```php
 <?php
    $x = "hello";
    var_dump($x);
    $x = NULL;
    var_dump($x);
?> 

```

**输出:**

```php
 string(5) “hello”
NULL 
```

## PHP 资源

资源数据类型是一种特殊的数据类型。在 PHP 中，资源数据类型不是实际的数据类型。资源数据类型主要用于存储外部资源。主要是数据库调用。在 PHP 中`get_resource_type()`是用来返回变量的资源类型的预定义函数。

### 使用`var_dump()`的示例

```php
 <?php
$file_open = fopen("test.txt","w");
var_dump($fp);
?> 

```

**输出:**

```php
 resource(5) of type (stream) 
```

### 使用`get_resource_type()`的示例

```php
 <?php
$file_open = fopen("test.txt","w");
echo get_resource_type($file_open);
?> 

```

**输出:**

```php
 stream 
```

在给定的示例中，我们使用 fopen 函数在系统中打开或创建了一个文件。我们将在接下来的模块中了解更多关于资源的信息。