# PHP 运算符

> 原文：<https://learnetutorials.com/php/operators-and-types>

在本 PHP 教程中，您将了解 PHP 中的所有操作符。我们将详细讨论运算符的类型。

## PHP 操作符是什么意思？

PHP 运算符是用于对变量或值执行操作并计算结果的符号。这些变量值被称为操作数。包含任何运算符和操作数的语句称为表达式。

操作员可分为 3 类

1.  一元运算符:这些运算符适用于单个操作数。
2.  二进制运算符:这些是对两个操作数起作用的运算符。
3.  三元运算符:这些运算符适用于三个操作数。

## PHP 中使用的不同类型的运算符

1.  算术运算符
2.  比较运算符
3.  递增和递减运算符
4.  赋值运算符
5.  逻辑算子
6.  字符串运算符
7.  数组运算符
8.  条件或三元运算符
9.  类型运算符
10.  执行运算符
11.  误差控制算子
12.  宇宙飞船操作员
13.  按位运算符

## PHP 算术运算符

算术运算符用于执行基本的算术运算，如加法、减法、乘法等。

| 

**操作员**

 | 

**名称**

 | 

**描述**

 |
| + | 添加 | 用于求操作数的**和** |
| - | 减法 | 用于求操作数的**差** |
| * | 增加 | 用于求操作数的**积** |
| / | 分开 | 用于求操作数的**商** |
| % | 系数 | 用于查找操作数的**提醒** |
| ** | 幂运算 | 用于求第一个操作数的第二个操作数**的幂** |

```php
 $a = 10;
$b = 4;
$sum = $a + $b; //Addition operator
$dif = $a - $b; //Subtraction operator
$pro = $a * $b; //Multiplication operator
$div = $a / $b; //Division operator
$rem = $a % $b; //Modulus operator
$pow = $a ** $b; //Exponentiation operator
echo $sum . "\n";
echo $dif . "\n";
echo $pro . "\n";
echo $div . "\n";
echo $rem . "\n";
echo $pow . "\n"; 

```

**输出:**

```php
 14
6
40
2.5
2
10000 
```

## PHP 比较运算符

比较运算符用于两个值(操作数)，可以是字符串或数字。

| 操作员 | 名字 | 描述 |
| == | 平等的 | 如果**和操作数**值**都等于**，则返回真**** |
| === | 同一的 | 如果操作数**值**和它们的**数据类型**等于**，则返回真** |
| ！= | 不平等 | 如果两个操作数**的值**不相等**，则返回真** |
| <> | 不平等 | 如果两个操作数**的值**不相等**，则返回真** |
| ！== | 不相同 | 如果操作数**值**和它们的**数据类型**不相等**，则返回真** |
| > | 大于 | 如果左侧的操作数**大于右侧的操作数** **，则返回真** |
| < | 不到 | 如果左侧的操作数比右侧的操作数小**小于**T2，则返回真 |
| >= | 大于等于 | 如果左侧的操作数大于或等于右侧的操作数，则返回真 |
| <= | 小于等于 | 如果左侧的操作数小于或等于右侧的操作数，则返回真 |

```php
 $a = 10;
$b = 4;
var_dump($a == $b) . "\n";      // Equal operator
var_dump($a === $b) . "\n";     // Identical operator
var_dump($a != $b) . "\n";      // Not Equal operator
var_dump($a <> $b) . "\n";      // Not Equal operator
var_dump($a !== $b) . "\n";     // Not Identical operator
var_dump($a > $b) . "\n";       // Greater than operator
var_dump($a < $b) . "\n";       // Less than operator
var_dump($a >= $b) . "\n";      // Greater than equal to operator
var_dump($a <= $b) . "\n";      // Less than equal to operator 

```

**输出:**

```php
 bool(false)
bool(false)
bool(true)
bool(true)
bool(true)
bool(true)
bool(false)
bool(true)
bool(false) 
```

## 递增和递减运算符

递增运算符用于将操作数的值递增 1

递减运算符用于将操作数的值递减 1

| 操作员 | 名字 | 描述 |
| ++$a | 预增量 | 它将首先增加操作数的值，然后返回值 |
| $a++ | 后增量 | 它将首先返回值，然后增加操作数的值 |
| 一美元 | 预减量 | 它将首先递减操作数的值，然后返回该值 |
| $a++ | 后减量 | 它将首先返回值，然后递减操作数的值 |

```php
 $a = 10;
$b = 10;
$c = 10;
$d = 10;
echo ++$a . "\n";   // Pre-increment operator
echo $b++ . "\n";   // Post-increment operator
echo --$c . "\n";   // Pre-decrement operator
echo $d-- . "\n";   // Post-decrement operator 

```

**输出:**

```php
 11
10
9
10 
```

## PHP 赋值运算符

赋值运算符用于将右侧操作数的值赋给左侧操作数。

| 操作员 | 名字 | 描述 |
| = | 分配 | 它用于将右侧操作数的值赋给左侧操作数 |
| += | 添加然后分配 | 它首先将两个操作数的值相加，然后将结果赋给左侧的操作数 |
| -= | 减法然后赋值 | 它首先减去两个操作数的值，然后将结果赋给左侧的操作数 |
| *= | 乘法然后赋值 | 它首先将两个操作数的值相乘，然后将结果赋给左侧的操作数 |
| /= | 除法然后赋值(商) | 它首先将两个操作数的值相除，然后将商分配给左侧的操作数 |
| %= | 先分配后分配(提醒) | 它首先将两个操作数的值相除，然后将提醒分配给左侧的操作数 |

```php
 $a = 10;
$b = 10;
$c = 30;
$d = 8;
$e = 9;
$f = 4;

$x = $a;        // assign operator
echo $x . "\n";
$b += $a;       // Add then assign operator
echo $b . "\n";
$b -= $a;       // Subtract then assign operator
echo $b . "\n";
$d *= $f;       // Multiply then assign operator
echo $d . "\n";
$b /= $a;       // Divide then assign(quotient) operator
echo $b . "\n";
$c %= $e;       // Divide then assign(reminder) operator
echo $c . "\n"; 

```

**输出:**

```php
 10
20
10
32
1
3 
```

## 逻辑运算符

在 PHP 中，为了计算两个表达式或语句，使用了逻辑运算符。三个基本的逻辑运算符是 and、or 和 not。这些运算符在类似于比较运算符的布尔上下文中控制程序流。布尔值为真(1)或假(0)。

| 操作员 | 名字 | 描述 |
| 和 | 和 | 如果两边的数值都为真，它将返回真 |
| 或者 | 或者 | 如果任何手边值为真，它将返回真 |
| 异或运算 | Xor | 如果任何一手牌边值为真，但并非两者都为真，则返回真 |
| && | 和 | 如果两边的数值都为真，它将返回真 |
| &#124;&#124; | 或者 | 如果任何手边值为真，它将返回真 |
| ！ | 不 | 它是一元运算符。如果操作数值为假，它将返回真；如果操作数值为真，它将返回假 |

```php
 $a = 10;
$b = 20;
var_dump($a == 10 and $b == 20) . "\n";         //And  operator
var_dump($a == 10 or $b == 15) . "\n";          //Or  operator
var_dump($a == 20 xor $b == 10) . "\n";         //Xor  operator
var_dump($a == 18 && $b == 20) . "\n";          //And  operator
var_dump($a == 10 || $b == 20) . "\n";          //Or  operator
var_dump(!($a == 15)) . "\n";                   //Not  operator 

```

**输出:**

```php
 bool(true)
bool(true)
bool(false)
bool(false)
bool(true)
bool(true) 
```

## 字符串运算符

PHP 中的字符串运算符用于对字符串执行操作。

| 操作员 | 名字 | 描述 |
| 。 | 串联 | 它用于连接两个字符串 |
| 。= | 连接并分配 | 它用于连接两侧并将值赋给左侧操作数 |

```php
 $a = "learnE";
$b = "tutorials.com";
echo $a . $b;               // Concatenation operator
echo "\n";
$a .= $b;                   // Concatenate and assign operator
echo $a; 

```

**输出:**

```php
 learnEtutorials.com
learnEtutorials.com 
```

## PHP 数组运算符

PHP 数组运算符用于对数组执行操作。它们主要用于数组的比较。

| 操作员 | 名字 | 描述 |
| + | 联盟 | 它用于获得两个数组的并集 |
| == | 平等 | 如果两个数组相等，它将返回 true |
| === | 同一的 | 如果数组的值和它们的数据类型相等，它将返回 true |
| ！= | 不平等 | 如果两个数组不相等，它将返回 true |
| <> | 不平等 | 如果两个数组不相等，它将返回 true |
| ！== | 不相同 | 如果数组的值和它们的数据类型不相等，它将返回 true |

```php
 $a = array("a" => "PHP", "b" => "Python");
$b = array("c" => "C++", "d" => "Java");
print_r($a + $b);       // Union operator
var_dump($a == $b);     // Equality operator
var_dump($a === $b);     // Identical operator
var_dump($a != $b);     // Inequality operator
var_dump($a <> $b);     // Inequality operator
var_dump($a !== $b);     // Non-identical operator 

```

**输出:**

```php
 Array
(
    [a] => PHP
    [b] => Python
    [c] => C++
    [d] => Java
)
bool(false)
bool(false)
bool(true)
bool(true)
bool(true) 
```

## 条件或三元运算符

PHP 条件赋值运算符用于根据条件设置值。

| 操作员 | 名字 | 描述 |
| ？： | 第三的 | 它类似于 if 语句 if。它检查第一个表达式是否为真，返回第二个表达式的值，否则返回第三个表达式的值 |
| ？？ | 零合并 | 它检查两个表达式，如果第一个表达式为空或者不存在，那么它将返回第二个表达式，如果存在，它将返回第一个表达式 |

```php
 $age = 23;
echo $age > 18 ? "can vote" : "cant vote";   // Ternary operator
echo "\n";
echo  $age ?? "no age given";       // Null coalescing operator
echo "\n";
echo $gender ?? "gender not given";       // Null coalescing operator 

```

**输出:**

```php
 can vote
23
gender not given 
```

## PHP 类型运算符

PHP 中的类型运算符“instanceof”用于确定一个对象、其父对象及其派生类是否是同一类型。通常，该运算符标识对象所属的类。

```php
 class Abc
{
}
class Xyz
{
}
$value = new Abc();

var_dump($value instanceof Abc);
var_dump($value instanceof Xyz); 

```

**输出:**

```php
 bool(true) 
bool(false) 
```

## PHP 执行运算符

在 PHP 中，执行操作符用于执行 shell 命令。

| 操作员 | 名字 | 描述 |
| `` | 倒勾 | 它用于在 PHP 中执行 shell 命令 |

```php
 $path = `dir`;
echo $path;
// to find the path of the file 

```

**输出:**

```php
 Volume in drive C is Acer
 Volume Serial Number is 16BF-2C7E

 Directory of C:\XAMPP FOLDER\htdocs\operators

03-11-2021  01:33 AM 
```

<dir>. 03-11-2021 01:33 AM</dir>

<dir>.. 03-11-2021 02:39 AM 38 comp.php 1 File(s) 38 bytes 2 Dir(s) 371,202,158,592 bytes free</dir>

## 错误控制运算符

错误控制运算符用于忽略表达式形成的错误消息。我们使用符号 **@(在)**作为误差控制操作符。

### 使用前示例@

```php
 $val = 76 / 0;
echo "Welcome to learnetutorials.com"; 

```

**输出:**

```php
 Warning: Division by zero in C:\XAMPP FOLDER\htdocs\MYPC\operators\comp.php on line 3
Welcome to learnetutorials.com 
```

### 示例使用@

```php
 @$val = 76 / 0;               // while trying to divide a number by 0 it gives error. By using the @ operator we can ignore the error message
echo "Welcome to learnetutorials.com"; 

```

**输出:**

```php
 Welcome to learnetutorials.com 
```

## 飞船操作员

宇宙飞船操作员更像比较操作员。它将比较操作数，如果第一个操作数的值大于第二个操作数，它将返回 1，如果两个操作数相同，它将返回 0，否则它将返回-1。

### 示例使用@

```php
 echo 10 <=> 5;
echo "\n";
echo 5 <=> 10;
echo "\n";
echo 5 <=> 5; 

```

**输出:**

```php
 1
-1
0 
```

## PHP 按位运算符

按位运算符用于对操作数执行位级操作。这些运算符允许计算和操作整数中的特定位。

| 操作员 | 名字 | 描述 |
| & | 和 | 如果位 1 在两个操作数中，那么它将返回 1，否则它将返回 0 |
| &#124; | 或(包括或) | 如果位 1 在任何操作数中，则它将返回 1，否则它将返回 0 |
| ^ | 异或(异或) | 如果两个操作数都是 1 或 0，则为 0，否则为 1 |
| ~ | 不 | 如果是 1，则返回 0，否则返回 1 |
| << | 左移位 | 它将值从右向左移动 |
| >> | 右移 | 它将值从左向右移动 |

### 示例使用@

```php
 $a = 7;
$b = 5;

echo $a & $b;           // bitwise and operator
echo "\n";
echo $a | $b;           // bitwise or operator
echo "\n";
echo $a ^ $b;           // bitwise xor operator
echo "\n";
echo ~$b;               // bitwise not operator
echo "\n";
echo $a << $b;          // bitwise shift left operator
echo "\n";
echo $a >> $b;          // bitwise shift right operator
echo "\n"; 

```

**输出:**

```php
 5
7
2
-6
224
0 
```