# PHP 数学函数

> 原文：<https://learnetutorials.com/php/math-functions>

在本 PHP 教程中，您将了解 PHP 中使用的所有数学函数

## PHP 中的数学函数是什么？

数学函数是内置的 PHP 函数，用于各种数学运算。众所周知，PHP 是一种服务器端脚本语言，因为它需要处理各种数据，而 PHP 数学函数为处理这些数学运算提供了各种支持。

## 
PHP 中最常用的数学函数

PHP 有各种数学函数来处理数据。最常用的数学函数如下。

1.  abs() function: PHP abs() function is used to return the absolute (positive) value of the number.

    ```php
     abs(number); 

    ```

    ```php
     echo abs(7) . "\n";
    echo abs(-7) . "\n";
    echo abs(-3.45) . "\n";
    echo abs(9); 

    ```

    **输出:**

    ```php
     7
    7
    3.45
    9 
    ```

2.  floor() function: PHP floor() function is used to return round fraction down value to the integer.

    ```php
     floor(number); 

    ```

    ```php
     echo floor(0.45) . "\n";
    echo floor(7.29) . "\n";
    echo floor(6) . "\n";
    echo floor(8.2) . "\n";
    echo floor(-9.1) . "\n";
    echo floor(-8.9); 

    ```

    **输出:**

    ```php
     7
    7
    3.45
    9 
    ```

3.  ceil() function: PHP ceil () function is used to return round fraction up value to the integer.

    ```php
     ceil(); 

    ```

    ```php
     echo ciel(-5.9); 

    ```

    **输出:**

    ```php
     -5 
    ```

4.  pi() function: PHP pi() function is used to return the value of pi.

    ```php
     pi(); 

    ```

    ```php
     echo pi(); 

    ```

    **输出:**

    ```php
     3.1415926535898 
    ```

5.  sqrt() function: PHP sqrt() function is used to return the square root of the given value.

    ```php
     sqrt(number); 

    ```

    ```php
     echo sqrt(4). "\n";
    echo sqrt(25). "\n";
    echo sqrt(81). "\n"; 

    ```

    **输出:**

    ```php
     2
    5
    9 
    ```

6.  pow() function: PHP pow() function is used to find and return the power of the given number.

    ```php
     pow(x,y); 

    ```

    ```php
     echo pow(4, 5). "\n";
    echo pow(1.5, 3). "\n";
    echo pow(-2.5, 2); 

    ```

    **输出:**

    ```php
     1024
    3.375
    6.25 
    ```

7.  decbin() function: PHP decbin() function is used to return the binary equivalent  value of the given decimal value.

    ```php
     decbin(number); 

    ```

    ```php
     echo decbin(4). "\n";
    echo decbin(25). "\n";
    echo decbin(89); 

    ```

    **输出:**

    ```php
     100
    11001
    1011001 
    ```

8.  bindec() function: PHP bindec() function is used to return the decimal equivalent  value of the given binary value.

    ```php
     bindec(number); 

    ```

    ```php
     echo bindec(100). "\n";
    echo bindec(11001). "\n";
    echo bindec(1011001); 

    ```

    **输出:**

    ```php
     4
    25
    89 
    ```

9.  dechex() function: PHP dechex() function is used to return the hexadecimal equivalent  value of the given decimal value.

    ```php
     dechex (number); 

    ```

    ```php
     echo dechex(4). "\n";
    echo dechex(15). "\n";
    echo dechex(19); 

    ```

    **输出:**

    ```php
     4
    f
    13 
    ```

10.  decoct() function: PHP decoct() function is used to return the octal equivalent  value of the given decimal value.

    ```php
     decoct(number); 

    ```

    ```php
     echo decoct(4). "\n";
    echo decoct(15). "\n";
    echo decoct(19); 

    ```

    **输出:**

    ```php
     4
    17
    23 
    ```

11.  sin() function: PHP sin() function is used to return the sine value of the give number.

    ```php
     sin(number); 

    ```

    ```php
     echo sin(4). "\n";
    echo sin(15). "\n";
    echo sin(19); 

    ```

    **输出:**

    ```php
     -0.75680249530793
    0.65028784015712
    0.14987720966295 
    ```

12.  cos() function: PHP cos() function is used to return the cosine value of the given number.

    ```php
     cos(number); 

    ```

    ```php
     echo cos(4). "\n";
    echo cos(15). "\n";
    echo cos(19); 

    ```

    **输出:**

    ```php
     -0.65364362086361
    -0.75968791285882
    0.98870461818667 
    ```

13.  tan() function: PHP tan() function is used to return the tangent value of the given number.

    ```php
     tan(number); 

    ```

    ```php
     echo tan(4). "\n";
    echo tan(15). "\n";
    echo tan(19); 

    ```

    **输出:**

    ```php
     1.1578212823496
    -0.85599340090852
    0.1515894706124 
    ```

14.  log() function: PHP log() function is used to return the natural logarithm of the given number, or to return the logarithm of the number of the given base.

    ```php
     log(number, base(optional)); 

    ```

    ```php
     echo log(4). "\n";
    echo log(0). "\n";
    echo log(5, 2); 

    ```

    **输出:**

    ```php
     1.3862943611199
    -INF
    2.3219280948874 
    ```

15.  fmod() function: PHP fmod() function is used to return the reminder of the given number.

    ```php
     fmod(x,y); 

    ```

    ```php
     echo fmod(18, 3). "\n";
    echo fmod(12, 5). "\n";
    echo fmod(5, 2); 

    ```

    **输出:**

    ```php
     0
    2
    1 
    ```