# PHP 文件

> 原文：<https://learnetutorials.com/php/files>

在这篇 PHP 教程中，您将了解到 PHP 中所有的文件处理。我们将详细讨论不同的文件处理函数，如`fopen()`、`fopen()`、`fopen()`、`fopen()`。

## PHP 中的文件处理是什么意思？

PHP 中的文件处理用于创建文件、读取文件、写入文件、追加文件以及关闭和删除系统中的文件。
文件处理中使用的功能有:

1.  **fopen()**–打开文件
2.  **fread()**–读取文件
3.  **fwrite()**–写入或更新文件
4.  **fclose()**–关闭文件

## 如何用 PHP 打开文件？

函数的作用是:打开一个文件或网址，然后返回一个资源。“filename”和“mode”是`fopen()`方法的两个参数。“filename”变量表示要打开的文件，“mode”变量表示文件模式，如只读、读写或只写。

句法

```php
 fopen(filename, mode); 

```

例子

```php
 $file = fopen("c:\\folder\\file.txt", "r"); 

```

## 文件打开模式

| 

模式

 | 

描述

 |
| **r** | 是指定文件打开为**读取**文件。指针从文件的开头开始。 |
| **r+** | 是指定文件打开为**读取****写入**文件。指针从文件的开头开始。 |
| **w** | 是指定文件打开为**写**文件。指针从文件的开头开始。如果没有找到该文件，它将**创建**文件。 |
| **w+** | 是指定文件打开为**写****读**文件。指针从文件的开头开始。如果没有找到该文件，它将**创建一个文件**。 |
| **一** | 是指定文件打开为**写**文件。指针从文件的末尾开始。如果没有找到该文件，它将**创建**文件。 |
| **a+** | 是指定文件打开为**写****读**文件。指针从文件的末尾开始。如果没有找到该文件，它将**创建一个文件**。 |
| **x** | 就是指定**为**写**创建**文件。如果文件已经存在，那么它将返回 FALSE |
| **x+** | 就是指定**为**创建**一个文件写****读**。如果文件已经存在，那么它将返回 FALSE |

## 如何用 PHP 读取文件？

`fread()`函数用于从指定文件中读取数据。PHP 有各种从文件中读取数据的功能。有读取完整文件数据、逐行读取数据和逐字符读取数据的方法。
用于从文件中读取数据的功能有:

1.  **fread()**
2.  **fgets()**
3.  **fgetc（）**

### 使用`fread()`读取文件:

要使用`fread()`读取文件，我们必须传递两个参数:第一个是文件名，第二个是数据长度。

句法

```php
 fread (file , length ) ; 

```

### 示例:文件“file.txt”

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 

```

### 文件“file_handling.php”

```php
 $file = fopen("c:\\folder\\file.txt", "r");
$file_data = fread($file, filesize("c:\\folder\\file.txt "));
echo "$file_data";
fclose($file); 

```

**输出:**

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 
```

在上面的例子中，我们可以看到，我们已经打开了一个外部文件“file.txt”，其中包含了流行编程语言的数据，我们可以看到，使用`fread()`函数，我们能够读取该文件中的数据。

### 使用`fgets()`读取文件:

使用`fgets()`读取文件用于从指定文件中读取一行。

句法

```php
 fgets(file); 

```

### 示例:文件“file.txt”

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 

```

### 文件“file_handling.php”

```php
 $file = fopen("c:\\folder\\file.txt", "r");
$file_data = fgets($file);
echo "$file_data";
fclose($file); 
```

**输出:**

```php
 Popular Programming languages 
```

在上面的例子中，我们可以看到我们使用了`fgets()`函数来读取文件，它只读取了指定文件的第一行。

### 使用`fgetc()`读取文件:

使用`fgets()`读取文件用于从指定文件中读取单个字符。要使用`fgets()`函数获取所有数据，请使用！while 循环中的`fgets()`函数。

句法

```php
 fgets(file); 

```

### 示例:文件“file.txt”

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 

```

### 文件“file_handling.php”

```php
 $file = fopen("c:\\folder\\file.txt", "r");
$file_data = fgetc($file);
echo "$file_data";
fclose($file); 

```

**输出:**

```php
 P 
```

在上面的例子中，我们可以看到我们使用了`fgetc()`函数来读取文件，它只读取了指定文件的第一个字符。

### 例如通过使用 while 循环

```php
 $file = fopen("c:\\folder\\file.txt", "r");
while (!feof($file)) {
    echo fgetc($file);
}
fclose($file); 

```

### 示例:文件“file.txt”

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 

```

**输出:**

```php
 Popular Programming languages
1) Python
2) JavaScript
3) Java
4) PHP
5) TypeScript
6) Go
7) Flutter
8) C++
9) C#
10) SQL 
```

## 如何用 PHP 写文件？

要将数据写入文件，需要使用 PHP `fwrite()`和`fputs()`方法。要将数据写入文件，我们必须指定 w、r+、w+、x、x+模式中的任何一种。
PHP `fwrite()`方法用于将字符串的内容写入文件。
如果我们用模式 w，w+，r+，x，x+打开文件，当我们调用`fwrite()`方法时，文件中先前的数据将被擦除，新的数据将被写入。如果文件不存在，它将创建一个新文件并写入其中。
句法

```php
 fwrite(file, string); 

```

例子

```php
 $file = fopen("file.txt", "w");
fwrite($file, "Welcome to learnetutorials.com");
fclose($file); 

```

该程序将创建包含以下内容的新文件

**输出:**

```php
 Welcome to learnetutorials.com 
```

## 如何在 PHP 中追加一个文件？

使用`fopen()`方法中的 a 或 a+模式，我们可以将数据追加到文件中。PHP `fwrite()`方法用于将字符串的内容追加到指定的文件中。通过这种方式，我们可以向文件中添加一个新的字符串，而不是覆盖它。

句法

```php
 fwrite(file, string);); 

```

例子

```php
 $file = fopen("file.txt", "a");
fwrite($file, "Where you learn programming");
fclose($file); 

```

代码执行前的“file.txt”

```php
 Welcome to learnetutorials.com! 
```

代码执行后的“file.txt”

```php
 Welcome to learnetutorials.com! Where you learn programming 
```

## PHP 中如何关闭文件？

我们使用`fclose()`函数来关闭脚本中打开的文件。在完成所有文件后关闭它们是一个合适的编程习惯。

句法

```php
 fclose(file); 

```

例子

```php
 $file = fopen("file.txt", "a");
fclose($file); 

```

## PHP 中如何删除文件？

在 PHP 中删除一个文件，我们使用`unlink()`函数。`unlink()`方法只接受一个参数，即文件名。如果文件没有被删除，PHP `unlink()`将返回一个 E_WARNING 错误。如果文件被成功删除，那么它将返回真；否则，它返回 FALSE。

句法

```php
 unlink(file); 

```

例子

```php
 $deletion &equals; unlink('file.txt');
if ($deletion) {
    echo "The file have been successfully deleted";
} else {
    echo "The file has not been deleted";
} 

```

**输出:**

```php
 It will return the message and the file will be deleted 
```