# PHP 程序：获取客户端 IP 地址

> 原文：<https://learnetutorials.com/php/programs/get-client-IP-address>

一个 IP 地址是**一个唯一的地址(数字标签)，用于识别互联网或本地网络上的设备**。知识产权代表“**互联网协议**，这是一套管理通过互联网或本地网络发送的数据格式的规则。

IP 地址有两个主要功能:主机或网络接口识别和位置寻址。

互联网协议版本 4 (IPv4)将 IP 地址定义为 32 位数字。然而，由于互联网的增长和可用 IPv4 地址的耗尽，1995 年开发了一个新版本的 IP (IPv6)，使用 128 位作为 IP 地址，并于 1998 年 12 月实现了标准化。2017 年 7 月，该议定书的最终定义公布。自 2000 年代中期以来，IPv6 部署一直在进行。

IP 地址通常以人类可读的符号书写和显示，例如 IPv4 中的 172.16.254.2，IPv6 中的 2001:db8:0:1234:0:567:8:1。在 CIDR 符号中，地址的路由前缀大小是通过在地址后面加上有效位数来指定的，例如 192.168.1.16/24，相当于历史使用的子网掩码 255.255.255.0。

IP 地址空间由互联网分配号码管理局(IANA)和五个区域互联网注册管理机构在全球范围内进行管理。他们负责在其指定区域内分配给最终用户和本地互联网注册管理机构，如互联网服务提供商。IANA 已将 IPv4 地址分块分配给 rir，每个区域大约有 1680 万个地址。每个 ISP 或专用网络管理员都会为连接到其网络的每个设备分配一个 IP 地址。

## 算法

**步骤 1:** 检查 ip 是否来自共享互联网，然后将 ip 分配给变量。

**步骤 2:** 检查 ip 是否来自代理，然后将 ip 分配给变量。

**步骤 3:** 检查 ip 是否来自远程地址，然后将 ip 分配给变量。

**步骤 4:** 显示变量值。

## PHP 源代码

```php
<?php
//whether ip is from share internet
if (!empty($_SERVER['HTTP_CLIENT_IP']))   
  {
    $ip_address = $_SERVER['HTTP_CLIENT_IP'];
  }
//whether ip is from proxy
elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
  {
    $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
  }
//whether ip is from remote address
else
  {
    $ip_address = $_SERVER['REMOTE_ADDR'];
  }
echo $ip_address;
?>

```

## 输出

```php
192.168.1.120
```