# PHP 程序：使用`for`循环打印数字阶乘

> 原文：<https://learnetutorials.com/php/programs/print-factorial-number>

## 什么是数的阶乘？

**一个数的阶乘**是指从 1 到给定数的所有整数的乘积。正整数的**阶乘**用 n 表示！(其中 **n** 为数字)。比如数 **3** 的阶乘(表示为 3！)是 3 * 2 * 1 是 **6** 。在这个程序中，我们使用`for loop`来求一个数的阶乘。0 的阶乘总是 1。

## PHP 中如何求一个数的阶乘？

为了在 PHP 中找到一个数的阶乘，我们使用`for loop`。首先，我们接受来自用户的整数，并将其保存到一个变量中。那么我们应该检查这个数字是正数还是负数。如果数字是负数，我们应该有一个错误消息，否则继续。现在我们可以执行`for loop`直到满足条件并获得结果。

## 算法

**第一步:**使用 PHP 函数`readline` **将一个整数读入变量 **num** 。**

**步骤 2:** 将值 **1** 赋给变量**事实**以存储阶乘结果。

**第四步:**使用`if`语句检查 **num** 的值是否为正数。如果是正数，执行以下步骤，否则打印“输入正数”使用`echo`

**步骤 5:** 执行`for loop`并将变量 **fact** 的值赋给变量 **x** 并执行子步骤，直到条件“ **fact** **> = 0** 变为假，并在每次迭代中递减变量 **x** 的值

(I)**‘事实* = x’**

**第 6 步:**使用`echo`打印变量**事实**的值作为输入数字的阶乘

## PHP 源代码

```php
<?php
$num = (int)readline("Enter the number: "); // read number from user and type casted into integer
$fact = 1;                                   
if ($num >= 0) {                             // checking the number is positive or negative
    for ($x = $num; $x >= 1; $x--) {
        $fact *= $x;                         // multplying the value of fact with x
    }
    echo "Factorial of $num is $fact";      
} else {
    echo "Enter a positive integer.";
}
?>

```

## 输出

```php
Enter the number: 4
Factorial of 4 is 24
```