# PHP 程序：检查数字是完美、丰富的还是不足

> 原文：<https://learnetutorials.com/php/programs/check-perfect-abundant-deficient-number>

## 什么是完全数、大数和亏数？

**完成式**数是那些其适当因子之和等于其自身值的数。而其适当因子之和小于其自身值的数称为**亏**数。而其适当因子之和大于其自身值的数字被称为**丰富**数字。

比如 **6** 是**完成式**号， **12** 是**丰**号， **9** 是**亏**号。

## 如何在 PHP 中检查一个数是完全数、丰数还是亏数？

在 PHP 中要先检查一个数是完全数还是亏数， 我们必须读取变量中的值，并通过执行操作**‘number % I’**找到输入数字的完美除数，并将该值赋给变量，然后我们必须将这些完美除数相加，并将该值赋给变量。在这些操作之后，我们必须比较结果，如果它等于输入数字，则它是一个**完美**数字，或者如果它大于这个数字，则它是**丰富**数字，否则它是**不足**数字。

### 算法

第一步:接受用户输入的可变数字，核对数字是**完美**、**丰富**还是**不足**

第二步:将值 **0** 赋给变量**余数**和**加法**

第三步:将变量**的数值**赋给变量**标志**

第四步:执行`for loop`并将值 **1** 赋给变量 **i** 并执行子步骤，直到条件**“I<编号”**变为假，并在每次迭代中增加变量 **i** 的值

(I)执行操作**“编号% I”**，并将计算结果分配到变量提醒中

(ii)使用`if`语句检查条件**“提醒= = 0”**，如果是真的，执行操作**“加法+= I”**

第五步:使用 if 语句检查条件**“添加标志”**是否为真打印**-使用`echo`输入的数字为“完美”**，否则退出程序，进入第六步

第六步:检查条件**“添加>标志”**使用“否则”如果语句为真打印**“-输入的数字是丰富的”**使用`echo`退出程序，否则进入第七步

第七步:使用`echo`打印**'-输入的数字有缺陷'**

## PHP 源代码

```php
<?php
$number = readline("Enter the number: ");
$remainder = 0; $additi
$flag = $number;
for ($i = 1; $i < $number; $i++) {
    $remainder = $number % $i;
    if ($remainder == 0) {
        $addition += $i;
    }
} if ($additi $flag) {
    echo "-The inputted number is Perfect";
} else if ($addition > $flag) {
    echo "- The inputted number is Abundant";
} else {
    echo "-The inputted number is Deficient";
}
?>

```

## 输出

```php
Example 1
Enter the number: 28
-The inputted number is Perfect

Example 2
Enter the number: 36
- The inputted number is Abundant

Example 3
Enter the number: 26
-The inputted number is Deficient
```