# PHP 程序：检查数字是否为阿姆斯特朗数

> 原文：<https://learnetutorials.com/php/programs/check-amstrong-or-not>

## 什么是阿姆斯特朗数字？

为了编写这个基本的 PHP 程序，有必要知道一个**阿姆斯特朗**数字是什么意思。阿姆斯特朗数是一个总数的立方之和等于数本身的数。比如我们可以取一个数字 **371** ，要检查这个数字是不是阿姆斯壮数，我们首先要取 **3** 和 **7** 和 **1** 的立方体，把这些立方体加在一起，检查结果是否等于 **371** 或者没有使用 PHP 中的 if 条件。如果结果也是 **371** ，那么就是一个阿姆斯特朗数。否则就不会了。这里 **27+343+1 = 371** ，所以是一个阿姆斯特朗数。

## PHP 中如何检查一个数字是不是阿姆斯特朗数？

在 PHP 中，首先要检查一个数字是不是阿姆斯特朗，我们必须读取用户的输入，并将其分配给一个变量。然后我们必须通过 **10** 使用 **mod(%)** 运算符分割数字的位数，并找到每个位数的立方，然后将结果添加到一个变量中。之后，我们必须将获得的结果与输入的值进行比较，如果两个值相等，那么我们就可以确定输入的数字是阿姆斯特朗数。否则，如果输入的数字不等于获得的结果，那么这个数字就不是阿姆斯特朗数。

### 算法

第一步:接受用户输入变量**数值**的值

第二步:将数值 **0** 赋给变量**总计**

第三步:执行以下子步骤，直到条件 **'x！= 0'** 变为假

(I)将**×10%**的计算结果分配给变量**雷姆**

(ii)将**总计+雷姆*雷姆*雷姆】**的计算结果分配到变量**总计**中

(三)将**‘x/10’**的计算结果赋给变量 **x**

第四步:检查条件 **'num == total'** 如果为真，则使用`echo`打印 **'Yes num 是阿姆斯特朗编号'**否则打印 **'No num 不是阿姆斯特朗编号'**

## PHP 源代码

```php
<?php
$num = readline("Enter the number: ");
$total = 0;
$x = $num;
while ($x != 0) {
    $rem = $x % 10;
    $total = $total + $rem * $rem * $rem;
    $x = $x / 10;
}
if ($num == $total) {
    echo "Yes $num is an Armstrong number";
} else {
    echo "No $num is not an armstrong number";
}
?>

```

## 输出

```php
Enter the number: 407
Yes 407 is an Armstrong number
```