# PHP 程序：不使用函数检查数字是否是回文

> 原文：<https://learnetutorials.com/php/programs/check-palindrome-number>

## 回文数是什么？

回文数字是那些与实际数字完全相反的数字。例如，如果我们取 **5665** 作为输入，通过检查数字的反序，它也将是 **5665** 本身，这样的数字被称为回文数字。

## 如何用 PHP 检查数字是回文还是非回文？

在这个程序中，我们使用用户定义的函数来查找数字的反义词，并将其与输入的数字进行比较，以检查输入的数字是否是回文。首先，我们需要接受用户的输入，并将输入的数字存储到一个变量中，然后我们必须调用创建的函数来检查数字是否反转，并将变量数字的值作为函数的参数传递。然后我们必须通过首先找到 **Mod(%)来找到数字的倒数** 的数字并将其分配给变量 **rem** 然后我们必须将 **10** 与变量 **rev** 相乘并将变量 **rem** 中的当前值相加并将其分配给变量 **rev** ，然后**将**的数字除以 **10** 以避开数字的最后一位并将数字分配给变量 number 使用`while loop`重复这些操作 迭代完成后，我们必须返回变量 **rev** 的值作为函数 **findReverse()** 的结果。之后，er 必须将结果与输入的数字进行比较，如果两者相同，则输入的数字是一个**回文**数字，否则是**而不是**一个**回文**数字。

### 算法

**步骤 1:** 从用户处接受要检查的数字，并将其分配给可变数字

**第二步:**将用户自定义函数 **findReverse()** 的返回值以变量编号为自变量赋给变量 **checkNum**

**步骤 3:** 通过使用 if 语句检查变量编号的条件值是否等于变量的值 **checkNum** 如果条件为真，打印变量编号的值作为回文编号，否则打印变量编号的值不是回文编号

### 算法用户定义函数:查找反向(n)

**步骤 1:** 将从函数传递的参数分配给变量**数**

**步骤 2:** 将值 **0** 分配到变量 **rev** 中，以存储数字的倒数

**步骤 3:** 执行以下子步骤，直到条件**>1】**

(I)将**‘num % 10’**的计算结果分配到变量 **rem** 中，以存储余数

(ii)将**‘rev * 10+rem’**的计算结果分配到变量 **rev** 中，以存储数字的倒数

(iii)将 **'num / 10'** 的计算结果分配到变量 **num** 中，通过避开数字的最后一位来存储数字

**步骤 4:** 完成上述步骤后，我们必须返回变量**的值 rev**

## PHP 源代码

```php
<?php
function findReverse($n)
{
    $num = $n;
    $rev = 0;
    while ($num > 1) {
        $rem = $num % 10;
        $rev = $rev * 10 + $rem;
        $num = $num / 10;
    }
    return $rev;
}
$number = readline("Enter the number: ");
$checkNum = findReverse($number);
if ($number == $checkNum) {
    echo "$number is a Palindrome number";
} else {
    echo "$number is not a Palindrome number";
}
?>

```

## 输出

```php
Enter the number: 494
494 is a Palindrome number
```