# PHP 程序：计算圆的面积和周长

> 原文：<https://learnetutorials.com/php/programs/area-and-circumference-of-cirle>

## 圆的面积和周长

有数学公式可以求出圆的面积和周长。要求圆的面积，我们首先要得到圆的半径，然后用公式`πpi r<sup>2 </sup>`求周长，然后用公式 2 `&pi r.`求周长，例如，如果圆的半径是 7，那么圆的面积将是`π * 7<sup>2</sup> `，它将是 153.938，周长是 2 * `π * 7 `，它将是 43.982。

## 如何用 PHP 求面积和周长

在 PHP 中有很多方法来求圆的面积和周长在这个程序中我们使用内置函数`pi()`求 **pi(3.14)** 值和`pwo()`求该值的幂，我们还使用`round()` 来限制小数点后的位数。首先，我们必须从用户那里读取半径，并将其分配给一个变量，为了找到面积，我们必须使用公式`pi() * pow(radius, 2) `，为了找到周长，我们必须使用公式`2 * pi() * radius.`

### `ALGORITHM `

**步骤 1:** 接受用户的半径，并将其分配给变量**半径**

**第二步:**计算运算找到面积**‘π()*幂(半径，2)’**并赋值给变量**面积**

**第三步:**计算求周长**' 2 *π()*半径'**的运算，并赋值给变量**周长**

**第 4 步:**打印变量**面积**和**周长**的值作为圆的面积和周长

## PHP 源代码

```php
<?php
$radius = readline("Enter the radius: ");
$area = pi() * pow($radius, 2);      // pow() is used to find the power
$area = round($area, 3);            // round() is used to limit the number of digit after the decimal
$circumference = 2 * pi() * $radius;
$circumference = round($circumference, 3);
echo (" Area of circle is $area \n Circumference of the circle is $circumference");
?>

```

## 输出

```php
Enter the radius: 15
Area of circle is 706.858
Circumference of the circle is 94.248
```