# PHP 程序：检查年份是否是闰年

> 原文：<https://learnetutorials.com/php/programs/check-leap-year>

## 什么是闰年？

闰年是一个有 **366** 天的年份。实际上，我们理解为检查 2 月有 28 天。比如 **2004** 是**闰年**2005**2005**是**普通**年。

## 如何用 PHP 检查年份是不是闰年？

在这个程序中，我们使用用户定义的函数来检查用户输入的年份是否是闰年。为了检查年份是否为闰年，我们将检查输入的年份是否可被 **4** 整除，并且不可被 **100** 整除。如果这些条件为真，那么它将是闰年。然后我们将检查该年不能被 **400** 整除，如果是真的，那么它将不是闰年，在所有其他情况下，它将是闰年。

### 算法

**步骤 1:** 从用户处读取年份，并将其分配给变量**年份**

**第二步:**将带有变量年份参数值的自定义函数**islap()**的返回值赋给变量**检查**

**步骤 3:** 检查条件是否有变量的值**检查**是否为 **1** 其真实打印输入的年份为闰年，否则打印输入的年份不是闰年

### 算法用户定义函数:isLeap(年)

**第一步:**检查条件**'年% 4 == 0'** 和**'年% 100！= 0'** 为真，则返回值 **1**

**第二步:**检查条件**‘年% 400！= 0'** 如果条件为真，则返回值 **0**

**步骤 3:** 如果上述两个步骤都为假，则返回值 **1**

## PHP 源代码

```php
<?php
function isLeap($year)
{
    if ($year % 4 == 0 && $year % 100 != 0) {
        return 1;
    } else if ($year % 400 != 0) {
        return 0;
    } else {
        return 1;
    }
}
$year = readline("Enter the year: ");
$check = isLeap($year);
if ($check == 1) {
    echo "$year is a leap year";
} else {
    echo "$year is not a leap year";
}
?>

```

## 输出

```php
Example 1
Enter the year: 2012
2012 is a leap year

Example 2
Enter the year: 2014
2014 is not a leap year
```