# PHP 程序：检查字符串是否是回文

> 原文：<https://learnetutorials.com/php/programs/palindrome-string>

## 回文串是什么？

字符串是字符的组合。如果一个字符串必须被认为是回文，如果字符串的反向将与原始字符串相同。例如，如果**雷达**是输入的字符串，如果我们检查反向，它也将是**雷达**，因此它是回文字符串，在另一种情况下，如果**算法**是字符串，如果我们检查反向，它将是 **mhtirogla** ，并且它与原始字符串不同，因此它不是回文字符串。

## 如何用 PHP 检查字符串是否回文

在这个程序中检查字符串是否回文，我们使用的是用户自定义函数。在检查回文字符串时，程序认为小写字母和大写字母是不同的。为了避免这种情况，我们使用内置函数`strtolower()`将字符串转换为小写字母，然后找到反码，并用原始字符串检查反码。在这里，我们首先接受用户的输入，并将其存储到变量 **char** 中，然后调用带有参数 **char** 的`user-defined function` **checkPalindrome()** 。在函数**中，我们首先定义一个空字符串变量 **str** ，用来存储字符串的反串。然后我们将变量 **char** 的值转换成小写，存储到变量 **s** 中，然后我们找到 **char** 的长度，存储到变量 **len** 中。然后我们执行`for loop`来反转弦。在 for 循环中，首先，我们将**“len-1”**分配给变量 **i** ，并执行循环，直到条件**“I>= 0”**变为假，并在每次迭代中将变量 **i** 的值递减 **1** ，在循环的块中，我们执行串联操作**“str。s[i]'** 并将其分配给变量 **str** 。循环完成后，我们检查变量 **s** 的值与 **str** 的值是否相同，如果为真，则将字符串打印为回文字符串，否则将字符串打印为非回文字符串。**

### 算法

**步骤 1:** 接受用户输入的字符串，并将其存储在变量 **char** 中

**步骤 2:** 以变量 **char** 的值为参数调用函数**检查回文()**

### 算法功能:**检查回文(字符)**

**步骤 1:** 分配一个空字符串变量**字符串**

**步骤 2:** 使用内置函数**将通过函数参数传递的值转换为小写**并将其分配给变量 **s**

**步骤 3:** 找到变量 **char** 的长度，并将其分配给变量 **len**

**步骤 4:** 将**【len-1】**的计算值分配到变量 **i** 中，并执行以下子步骤，直到条件**“I>= 0”**变为假，并在每次迭代中将变量 **i** 的值递减 **1**

(I)分配操作**字符串的值。s[i]'** 到变量 **str**

**步骤 5:** 检查条件**= str '**如果条件为真，则将输入的字符串打印为回文，否则将其打印为非回文字符串

## PHP 源代码

```php
<?php

function checkPalindrome($char)
{
    $str = "";
    $s = strtolower($char);
    $len = strlen($char);
    for ($i = ($len - 1); $i >= 0; $i--) {
        $str = $str . $s[$i];            // concatenating the character of each index with the value of variable str
    }
    if ($s == $str) {
        echo "$char is a palindrome string";
    } else {
        echo "$char is not a palindrome string";
    }
}

$char = readline("Enter the string: ");
checkPalindrome($char);
?>

```

## 输出

```php
Example 1:
Enter the string: tenet
tenet is a palindrome string

Example 2:
Enter the string: website
website is not a palindrome string
```