# PHP 程序：计算简单利息

> 原文：<https://learnetutorials.com/php/programs/simple-interest>

## 简单利息是什么意思？

简单利息主要用于烘焙行业计算贷款利息。用来求单利的公式是 **SI = p * n * r**

其中 **p** 代表本金金额， **n** 代表年数， **r** 代表利率

举个例子，假设我们拿一笔金额为 **10000** 的贷款，利率为**10%****1**年。然后通过公式 **(p*n*r)/100** 计算单利，得出( **10000 * 10 * 1) / 100 = 1000。**所以我们要给 **1000** 作为 **1** 年的利息。

## PHP 中的单利是如何计算的？

现在在 php 编程语言中应用这个逻辑。我们使用 php 语言中的函数接受本金、利率和时间的值。然后我们用公式 **( p * n * r ) / 100** 计算利息。

在这个程序中，我们使用直接方法来计算单利，即使用公式。首先，我们必须接受来自用户的本金金额、年数和年利率，并将其分配给变量 **p，n，r** ，并使用公式 **(p * n* r) /100** ，并将结果分配给变量 **si。**并将变量 **si** 的值打印为单利。

### 算法

**步骤 1:** 将本金金额、年数和年利率输入变量 **p，n，r**

**步骤 2:** 将 **'(p * n * r) / 100'** 的计算值赋给变量 **si**

**第三步:**将变量 **si** 的值打印为单利

## PHP 源代码

```php
<?php
$p = readline("Enter the Principal Amount: ");
$n = readline("Enter the Number of years: ");
$r = readline("Enter the Rate per Annum: ");
$si =   ($p * $n * $r) / (100);
echo ("Simple Interest is: $si");
?>

```

## 输出

```php
Enter the Principal Amount: 25000
Enter the Number of years: 2
Enter the Rate per Annum: 10
Simple Interest is: 5000
```