# PHP 程序：将一个数组的所有元素复制到另一个数组中

> 原文：<https://learnetutorials.com/php/programs/copy-all-elements-of-an-array-into-another-array>

## 什么是阵列？

数组是 PHP 中的复合数据类型之一。该数组可以在单个变量中存储相似的多个值。数组的每个元素都有从 0 开始的唯一索引。PHP 中有三种类型的数组:数值数组、关联数组和多维数组。

## 如何使用 PHP 将一个数组的所有元素复制到另一个数组中？

要将一个数组的所有元素复制到另一个数组中，我们首先将值赋给第一个数组 **a1[]** ，并创建一个空数组 **a2[]** 。之后，我们找到数组 **a1[]** 的大小，并将其分配给变量 **size。**然后我们必须执行`for loop `将元素从**a1【】**复制到**a2【】**为此，我们将值 **0** 赋值给`for loop`中的变量 **i** ，并执行操作 **'a2[i] = a1[i]'** ，循环将迭代直到条件 **'i < size'** 变为假，并且在每次迭代中，我们递增的值完成`for loop `后，我们可以使用 for 循环本身打印数组 **a1[]** 和 **a2[]** 的值。

### 算法

**步骤 1:** 用值初始化数组 **a1[]**

**步骤 2:** 创建另一个阵列 **a2[]**

**第三步:**使用内置函数`count()`将数组**a1【】**的大小赋值为可变大小

**第 4 步:**将值 **0** 赋给变量 **i** 并执行子步骤，直到条件**“I<大小”**并在每次迭代中增加变量 **i** 的值

(I)将数组 **a1[i]** 的值赋给数组 **a2[i]**

**步骤 5:** 使用`for loop`打印数组 **a1[]** 和 **a2[]** 的元素

## PHP 源代码

```php
<?php
$a1 = array(58, 6, 71, 9, 10);
$a2 = array();
$size = count($a1);
for ($i = 0; $i < $size; $i++) {
    $a2[$i] = $a1[$i];
}
echo "Elements of first array: \n";
for ($i = 0; $i < $size; $i++) {
    echo "$a1[$i] ";
}
echo "\nElements of second array: \n";
for ($i = 0; $i < $size; $i++) {
    echo "$a2[$i] ";
}
?>

```

## 输出

```php
Elements of first array:
58 6 71 9 10
Elements of second array:
58 6 71 9 10
```