# PHP 程序：按降序排序数组元素

> 原文：<https://learnetutorials.com/php/programs/sort-array-descending>

## 按降序排列

在这个程序中，我们将按降序对数组的元素进行排序。要按降序排列元素，我们必须将数组中的每个元素相互比较。比如数组是 **56，8，12，9，87** ，那么输出会是 **8，9，12，56，87。**

## 如何用 PHP 对数组的元素进行降序排序？

这个程序对数组中的元素进行排序，我们取分配给数组的静态值 **a[]。**然后我们必须将值 **0** 分配到变量 temp 中以临时存储，并且还使用内置函数`count() `将数组的大小分配到变量 **len** 中，之后， 我们必须将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<len”**并且还在每次迭代中递增变量 **i** 的值，并且在循环块中，我们必须将值 **1** 赋给变量 **j** 并执行循环，直到条件**“j<len”**并且还递增 **j** 在每次迭代和循环块中检查条件 **'a[i] > a[j]'** 如果为真，则将 **a[i]** 的值分配到变量 **temp** 中，将 **a[j]** 的值分配到 **a[i]** 中，并将 **temp** 的值分配到**中**

### 算法

**步骤 1:** 用值初始化数组 **a[]**

**步骤 2:** 创建一个临时变量**温度**，其值为 **0**

**第三步:**使用内置函数`count()`将数组的大小代入变量 **len**

**第 4 步:**打印数组中的元素 **a[]**

**步骤 5:** 将值 **0** 分配给变量 **i** ，并执行步骤 6，直到条件**“I<len”**变为假，并在每次迭代中增加变量 **i** 的值

**第 6 步:**将值 **1** 赋给变量 **j** 并执行子步骤，直到条件**‘j<len’**变为假，并在每次迭代中增加变量 **j** 的值

(I)检查条件 **'a[i] < a[j]'** 如果为真，执行子步骤

(a)将**a【I】**的值分配到变量**温度**中

(b)将**a【j】**的值赋给**a【I】**

(c)将**温度**的值赋给**a【j】**

**第五步:**按升序打印数组的元素**a【】**

## PHP 源代码

```php
<?php
$a = array(10, 8, 92, 69, 74);
$temp = 0;
$len = count($a);
echo "Elements in array are:\n";
for ($i = 0; $i < $len; $i++) {
    echo "$a[$i] ";
}
for ($i = 0; $i < $len; $i++) {
    for ($j = $i + 1; $j < $len; $j++) {
        if ($a[$i] < $a[$j]) {
            $temp = $a[$i];
            $a[$i] = $a[$j];
            $a[$j] = $temp;
        }
    }
}
echo "\nElements of array sorted in ascending order: \n";
for ($i = 0; $i < $len; $i++) {
    echo "$a[$i] ";
}
?>

```

## 输出

```php
Elements in array are:
10 8 92 69 74
Elements of array sorted in ascending order:
92 74 69 10 8
```