# PHP 程序：向左移动数组中元素

> 原文：<https://learnetutorials.com/php/programs/left-shift-array>

## 数组中的左移位是什么意思？

在这个程序中，我们将把数组中的元素左移 **n** 次。要对元素执行左移，首先我们必须给变量 **n** 赋值，并将元素的索引 **n** 移动多次。例如数组为 **5，9，8，6，7，3，4，2，1** ， **n** 为 **2** ，则输出为**8 6 3 4 2 1 5 9****。**

## 如何用 PHP 在数组中左移元素？

对于这个左移数组中元素的程序，我们取分配给数组 **a[]的静态值。**然后，我们必须使用内置函数`count() `将元素执行左移的次数值分配到变量 **n** 中，并将数组的大小分配到变量 **len** 中， 我们必须将值 **0** 赋给变量 **i** 并执行循环，直到条件**‘I<n’**并且在每次迭代中增加变量 **i** 的值，并且在循环块中，我们必须赋给元素**a【0】** 进入变量 **temp** 然后我们必须将值 **0** 分配到变量 **j** 中，并执行循环，直到条件**‘j<len-1’**并且还在每次迭代中增加变量 **j** 的值，并且在循环块中，我们必须将**a【j+1】**的值分配到数组【T31 主循环完成后，我们可以将数组**a【】**打印为左移数组。

### 算法

**步骤 1:** 用值初始化数组 **a[]**

**步骤 3:** 将数组执行左移的次数分配到变量 **n** 中

**步骤 4:** 使用内置函数`count()`将数组的大小代入变量 **len**

**第五步:**打印数组中的元素 **a[]**

**步骤 6:** 要向左移动数组的元素 **n** 次，首先将值 **0** 赋值到变量 **i** 中，并执行子步骤，直到条件**‘I<n’**变为假，并在每次迭代中增加变量 **i** 的值

(I)将**的元素 a【0】**分配给变量**温度**

(ii)将值 **0** 赋给变量 **j** 并执行子步骤，直到条件**‘j<len-1’**变为假，并在每次迭代中增加变量 **j** 的值

(a)将**a【j+1】**的值赋给变量**a【j】**

(iii)将**温度**的值分配给数组**a【j】**

**第 7 步:**完成第 6 步后，将数组的元素**a【】**左移 **n** 次

## PHP 源代码

```php
<?php
$a = array(1, 2, 3, 4, 5, 6, 7, 8, 9);
$n = 4;
$len = count($a);
echo "Elements in the array: \n";
for ($i = 0; $i < $len; $i++) {
    echo "$a[$i] ";
}
for ($i = 0; $i < $n; $i++) {
    $temp = $a[0];
    for ($j = 0; $j < $len - 1; $j++) {
        $a[$j] = $a[$j + 1];
    }
    $a[$j] = $temp;
}
echo "\nArray after the left shift of $n times:\n";
for ($i = 0; $i < $len; $i++) {
    echo "$a[$i] ";
}

```

## 输出

```php
Elements in the array:
1 2 3 4 5 6 7 8 9
Array after the left shift of 4 times:
5 6 7 8 9 1 2 3 4
```