# PHP 程序：检查这两个字符串是否是异序词

> 原文：<https://learnetutorials.com/php/programs/anagram-strings>

## 什么是异序词字符串？

**异序词**字符串是由同一组字符组成的两个字符串，其中字符的顺序是字符串中唯一的区别。比如**【沉默】****【听】**是异序词，或者**【偷看】****【保持】**是异序词。

## 如何用 PHP 检查这两个字符串是不是异序词？

在这个程序中，我们接受来自用户的字符串，并检查这些字符串是否是异序词。首先，我们必须对字符串进行排序，因为我们必须将字符串转换成数组，然后将它们转换回字符串，并检查这些字符串，如果两者相同，则它们是异序词，否则它们不是异序词字符串。对于这些过程，我们使用某些内置函数

*   `strlen()`求字符串的长度
*   `strtolower()` 将字符串转换为小写

*   `sort()`对数组进行排序

*   `implode()`将数组转换为字符串

### 算法

**步骤 1:** 将字符串输入变量 **str1** 和 **str2**

**步骤 2:** 将变量 **str1** 和 **str2** 中的这些字符串分配到变量 **s1** 和 **s2** 中

**第三步:**检查情况**strlen(S1)！= strlen(s2)'** 如果为真，打印输入的字符串不是异序词，退出程序，否则执行以下步骤

**步骤 4:** 使用内置函数`strtolower()`将变量 **s1** 和 **s2** 中的字符串转换为小写，并将其分配给变量 **s1** 和 **s2**

**第五步:**使用内置函数`str_split()`将变量 **s1** 和 **s2** 中的字符串转换为数组，并将其分配给变量 **let1** 和 **let2**

**第六步:**使用内置功能`sort()`对数组 **let1** 和 **let2** 进行排序

**第七步:**使用内置功能`implode()`将数组 **let1** 和 **let2** 转换为字符串

**步骤 8:** 检查条件**‘strcmp(S1，S2)= = 0’**如果为真，则打印输入的字符串是异序词，否则打印输入的字符串不是异序词

## PHP 源代码

```php
<?php
$str1 = readline("Enter the 1st string: ");
$str2 = readline("Enter the 2nd string: ");
$s1 = $str1;
$s2 = $str2;
if (strlen($s1) != strlen($s2)) {
    echo "The entered strings $str1 and $str2 are not anagram";
} else {
    $s1 = strtolower($s1);
    $s2 = strtolower($s2);
    $let1 = str_split($s1);
    $let2 = str_split($s2);
    sort($let1);
    sort($let2);
    $s1 = implode("", $let1);
    $s2 = implode("", $let2);
    if (strcmp($s1, $s2) == 0) {
        echo "The entered strings $str1 and $str2 are anagram";
    } else {
        echo "The entered strings $str1 and $str2 are not anagram";
    }
}
?>

```

## 输出

```php
Example 1
Enter the 1st string: race
Enter the 2nd string: care
The entered strings race and care are anagram

Example 2
Enter the 1st string: earth
Enter the 2nd string: heart
The entered strings earth and heart are anagram
```