# PHP 程序：分离数组中奇数和偶数

> 原文：<https://learnetutorials.com/php/programs/separate-odd-even-in-array>

## 我们如何分离数组中的奇数和偶数？

在这个程序中，我们分离给定数组中的奇数和偶数。**奇数**是指由 **Mod(%)** **2** 运算时的数字，余数为非 **0** ，当余数为 **0** 时，该数字为**偶数**数字。例如，如果输入的数字是 **8** ，当计算 **'8 % 2'** 时，结果将是 **0** ，所以它是一个**偶数**数字，如果输入的数字是 **7** ，当计算 **'7 % 2'** 时，结果将是 **1** ，所以它是一个**奇数**数字。找到奇数和偶数后，我们将它们分配到不同的数组中。

## 如何用 PHP 分离数组中的奇数和偶数？

对于这个分离数组中奇数和偶数元素的程序，我们取分配给数组的静态值 **arr[]。**之后我们分配两个空数组 **oddArray[]** 和 **evenArray[]** 分别存储奇数和偶数。然后我们要用内置函数`count()`把数组的大小赋给变量 **size** 。然后我们可以使用`for loop`打印数组 **arr[]** 的元素。现在我们必须将值 0 赋给变量 **j** 和**k**之后，将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<大小”**变为假，并在每次迭代中增加变量 **i** 的值，在循环的块中，我们必须检查条件**arr【I】 % 2 == 0'** 如果为真，则将 **arr[i]** 的值赋给数组 **evenArray[j]** 并将 **j** 的值递增，否则将 **arr[i]** 的值赋给数组 **oddArray[k]** 并将 **k 的值递增，循环完成后，我们可以打印数组**的元素****

### 算法

**步骤 1:** 用值初始化数组 **a[]**

**第二步:**分配两个空数组**奇数数组[]** 和**偶数数组[]** 分别存储奇数和偶数

**第三步:**使用内置函数`count()`将数组的大小代入变量**大小**

**第 4 步:**使用`for loop`打印数组的元素**arr【】**

**第 5 步:**将值 **0** 分配给变量 **j** 和 **k**

**第 6 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<大小”**变为假，并在每次迭代中增加变量 **i** 的值

(I)检查条件**‘arr[I]% 2 = = 0’**如果为真，则将 **arr[i]** 的值分配到数组 **evenArray[j]** 中，并增加 **j** 的值，否则执行子步骤 ii

(ii)将**arr【I】**的值赋给数组**odd array【k】**，并增加 **k** 的值

**步骤 7:** 使用 for 循环作为偶数打印数组的元素**even array【】**

**第 8 步:**使用 for 循环作为奇数打印数组**odd array【】**的元素

## PHP 源代码

```php
<?php
$arr = array(1, 2, 3, 4, 5, 6, 7, 8, 9);
$oddArray = array();
$evenArray = array();
echo "Orginal array: \n";
$size = count($arr);
for ($i = 0; $i < $size; $i++) {
    echo "$arr[$i] ";
}
$j = 0;
$k = 0;
for ($i = 0; $i < $size; $i++) {
    if ($arr[$i] % 2 == 0) {
        $evenArray[$j] = $arr[$i];
        $j++;
    } else {
        $oddArray[$k] = $arr[$i];
        $k++;
    }
}
echo "\nArray of even numbers : \n";
for ($i = 0; $i <= $j; $i++) {
    echo "$evenArray[$i] ";
}
echo "\nArray of odd numbers : \n";
for ($i = 0; $i <= $k; $i++) {
    echo "$oddArray[$i] ";
}
?>

```

## 输出

```php
Orginal array:
1 2 3 4 5 6 7 8 9
Array of even numbers :
2 4 6 8
Array of odd numbers :
1 3 5 7 9
```