# PHP 程序：相减两个矩阵

> 原文：<https://learnetutorials.com/php/programs/subtraction-of-two-matrices>

## 如何求两个矩阵的减法？

要找到 2 个二维数组的减法，首先我们必须找到数组中的行数和列数，然后一起减去相应的索引。例如，如果数组是

**2 5 8 1 3 1**

**a[] = 6 2 5 b[] = 3 1 1**

**4 5 6 3 1 2**

那么结果将是:

**1 2 7**

**3 1 4**

**1 4 4**

## 用 PHP 怎么求两个矩阵的减法？

在这个程序中，我们使用在代码本身中初始化的静态值。首先，我们必须初始化 2 个二维数组 **a1** 和 **a2** 我们必须使用内置函数`count(). `将行数和列数分配到变量**行**和**列**中，然后我们必须创建一个空数组 **sub[]** 来存储数组 **a1[]** 和 **a2[]。**然后将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<row”**变为假，并在循环块的每次迭代中增加变量 **i** 的值，我们必须执行另一个循环，因为我们必须将值 **0** 赋给变量 **j** 并执行循环，直到条件**j** 变假并增加变量 **j** 的值在循环块的每次迭代中，我们必须将**‘a1[I][j]-a2[I][j]’**的计算结果分配到数组 **sub[i][j]** 中，最后使用`for loop`打印二维数组 **sub[][]** 的元素

### 算法

**步骤 1:** 初始化 2 个二维数组 **a1[]** 和 **a2[]**

**步骤 2:** 使用内置函数`count()`将行数和列数分配到变量**行**和**列**中

**第三步:**打印数组中的元素 **a1[]** 和 **a2[]**

**第四步:**创建一个空数组**子[]** 来存储数组 **a1[]** 和 **a2[]** 的减法

**第 5 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)将**a1[I][j]-a2[I][j]'**的计算结果分配到数组**子[i][j]** 中

**步骤 6:** 使用 for 循环打印二维数组**子[][]** 的元素

## PHP 源代码

```php
<?php
$a1 = array(
    array(6, 7, 7),
    array(9, 5, 2),
    array(8, 4, 8)
);
$a2 = array(
    array(4, 6, 5),
    array(3, 2, 1),
    array(6, 3, 3)
);
$row = count($a1);
$col = count($a1[0]);
echo "First matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a1[$i][$j] . " ";
    }
    echo "\n";
}
echo "Second matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a2[$i][$j] . " ";
    }
    echo "\n";
}
$sub = array();
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        $sub[$i][$j] = $a1[$i][$j] - $a2[$i][$j];
    }
}
echo "Subtraction of two matrices: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $sub[$i][$j] . " ";
    }
    echo "\n";
}
?>

```

## 输出

```php
First matrix:
6 7 7
9 5 2
8 4 8
Second matrix:
4 6 5
3 2 1
6 3 3
Subtraction of two matrices:
2 1 2
6 3 1
2 1 5
```