# PHP 程序：检查两个矩阵是否相等

> 原文：<https://learnetutorials.com/php/programs/check-two-matrices>

## 如何检查两个矩阵是否相等？

为了检查这两个矩阵是否相等，我们首先必须找到数组中的行数和列数，并将相应的索引进行比较。例如，如果数组是

**1 3 1 3 1**

**a[] = 3 1 1 b[] = 3 1 1**

**3 1 2 3 1 2**

在这种情况下，矩阵将相等。

## 如何用 PHP 检查两个矩阵是否相等？

在这个程序中，我们使用在代码本身中初始化的静态值。首先，我们必须初始化 2 个二维数组 **a1** 和 **a2** 我们必须使用内置函数`count(). `将行数和列数分配给变量 **row** 和 **col** 之后，我们必须将值 **true** 分配给变量 **flag。**然后将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<row”**变为假，并在循环块的每次迭代中增加变量 **i** 的值，我们必须执行另一个循环，因为我们必须将值 **0** 赋给变量 **j** 并执行循环，直到条件**“j”【为止 变假并增加变量 **j** 的值在循环块的每次迭代中，我们必须检查条件**‘a1[I][j]！ = a2[i][j]'** 如果为真，则将值**赋值为假**进入变量**标志。**循环完成后，我们必须检查**标志**是否为**真**打印矩阵是否相等，否则打印矩阵不相等。**

### 算法

**步骤 1:** 初始化 2 个二维数组 **a1[]** 和 **a2[]**

**步骤 2:** 使用内置函数`count()`将行数和列数分配到变量**行**和**列**中

**第三步:**打印数组中的元素 **a1[]** 和 **a2[]**

**步骤 4:** 用值**真**创建一个临时变量**标志**

**第 5 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)检查条件 **'a1[i][j]！= a2[i][j]'** 如果为真，则将值 false 分配给变量**标志**

**步骤 6:** 检查**标志**是否为**真**打印矩阵是否相等，否则打印矩阵不相等

## PHP 源代码

```php
<?php
$a1 = array(
    array(6, 7, 5),
    array(3, 5, 1),
    array(8, 3, 4)
);
$a2 = array(
    array(6, 7, 5),
    array(3, 5, 1),
    array(8, 3, 4)
);
$row = count($a1);
$col = count($a1[0]);
echo "First matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a1[$i][$j] . " ";
    }
    echo "\n";
}
echo "Second matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a2[$i][$j] . " ";
    }
    echo "\n";
}
$flag = true;
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        if ($a1[$i][$j] != $a2[$i][$j]) {
            $flag = false;
            break;
        }
    }
}
if ($flag)
    echo "Matrices are equal";
else
    echo "Matrices are not equal";

```

## 输出

```php
First matrix:
6 7 5
3 5 1
8 3 4
Second matrix:
6 7 5
3 5 1
8 3 4
Matrices are equal
```