# PHP 程序：计算矩阵中奇数和偶数

> 原文：<https://learnetutorials.com/php/programs/count-odd-and-even-matrix>

## 我们如何得到矩阵中奇数和偶数的计数？

在这个程序中，我们计算给定矩阵中的奇数和偶数。**奇数**是指由 **Mod(%)** **2** 运算时的数字，余数为非 **0** ，当余数为 **0** 时，该数字为**偶数**数字。例如，如果输入的数字是 **8** ，当计算 **'8 % 2'** 时，结果将是 **0** ，所以它是一个**偶数**数字，如果输入的数字是 **7** ，当计算 **'7 % 2'** 时，结果将是 **1** ，所以它是一个**奇数**数字。找到奇数和偶数后，我们将它们分配到不同的数组中。

## 如何用 PHP 得到矩阵中奇数和偶数的计数？

在这个程序中，我们使用在代码本身中初始化的静态值。首先我们要初始化二维数组**a【】**然后我们要用内置函数`count(). `将行数和列数赋给变量**行**和**列**之后，我们要用值 **0** 创建变量**奇数**和**偶数**来存储奇数和偶数的计数**。**然后将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<row】**变为假，并在循环块的每次迭代中增加变量 **i** 的值，我们必须执行另一个循环，因为我们必须将值 **0** 赋给变量 **j** 并执行循环，直到条件**j** 变为假并递增变量 **j** 的值在循环块的每次迭代中，我们必须检查条件**‘a1[I][j]% 2 = = 0’**如果为真，则将变量**的值递增偶数**否则将变量**的值递增奇数。**

### 算法

**步骤 1:** 初始化二维数组 **a[]**

**步骤 2:** 使用内置函数`count()`将行数和列数分配到变量**行**和**列**中

**第三步:**打印数组中的元素**a【】**

**第 4 步:**用值 **0** 创建变量**奇数**和**偶数**，以存储矩阵中奇数和偶数的计数

**第 5 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)检查条件**‘a[I][j]% 2 = = 0’**如果为真，则将变量**的值增加偶数**否则将变量**的值增加奇数**

**第 6 步:**打印变量**偶数**和**奇数**的值作为偶数和奇数的计数

## PHP 源代码

```php
<?php
$a = array(
    array(6, 7, 5),
    array(3, 5, 1),
    array(8, 3, 4)
);

$row = count($a);
$col = count($a[0]);
$odd = 0;
$even = 0;
echo "The matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a[$i][$j] . " ";
    }
    echo "\n";
}
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        if ($a[$i][$j] % 2 == 0) {
            $even++;
        } else {
            $odd++;
        }
    }
}
echo "\nCount of even numbers in the matrix is: $even";
echo "\nCount of odd numbers in the matrix is: $odd";
?>

```

## 输出

```php
The matrix:
6 7 5
3 5 1
8 3 4

Count of even numbers in the matrix is: 3
Count of odd numbers in the matrix is: 6
```