# PHP 程序：检查矩阵是否是单位矩阵

> 原文：<https://learnetutorials.com/php/programs/check-identity-matrix>

## 什么是单位矩阵？

单位矩阵是对角线(当行和列的索引相同时)元素都是 **1** 的任意阶方阵，矩阵中所有其他元素都必须是 **0** 。例如，

[ 1 0 0 ]

[ 0 1 0 ]

[ 0 0 1 ]

在上面的矩阵中，我们可以看到所有的对角线值都是 **1** ，其他的都是 **0** ，所以我们可以说这是一个恒等式矩阵。

## 如何用 PHP 检查矩阵是不是恒等式矩阵？

在这个程序中，我们检查输入的矩阵是否是单位矩阵，因为我们使用的是在代码本身中初始化的静态值。首先，我们必须初始化二维数组 **a[]** 然后我们必须使用内置函数`count().`将行数和列数分配到变量**行**和**列**中。之后，我们必须创建一个值为**真** **的变量**标志**。**然后将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<row”**变为假，并在循环块中的每次迭代中增加变量 **i** 的值，我们必须执行另一个循环，因为我们必须将值 **0** 赋给变量 **j** 并执行循环，直到条件**j** 变假并增加变量 **j** 的值在循环块的每次迭代中，我们必须检查条件 **'i == j'** 和 **'a[i][j]！ = 1'** 如果两者都为真，则将值 false 分配给变量标志，然后检查条件**“I！= j '****' a[I][j]！= 0'** 如果两者都为真，则将值 false 分配给变量标志。循环完成后，我们必须检查变量**标志**的值，如果为真，打印矩阵是一个单位矩阵，否则打印矩阵不是一个单位矩阵。

### 算法

**步骤 1:** 初始化二维数组 **a[]**

**步骤 2:** 使用内置函数`count()`将行数和列数分配到变量**行**和**列**中

**第三步:**打印数组中的元素**a【】**

**步骤 4:** 用值**真**创建变量**标记**

**第 5 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)检查条件**' I = = j '****' a[I][j]！= 1'** 如果两者都为真，则将值**设置为假**给变量**标记**

(b)检查条件**‘I！= j'** 和 **'a[i][j]！= 0'** 如果两者都为真，则将值**设置为假**给变量**标记**

**第 6 步:**检查变量**标志**的值，如果是**为真**打印矩阵是一个单位矩阵，否则打印矩阵不是一个单位矩阵

## PHP 源代码

```php
<?php
$a = array(
    array(1, 0, 0),
    array(0, 1, 0),
    array(0, 0, 1)
);
$flag = true;
$row = count($a);
$col = count($a[0]);
echo "The matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a[$i][$j] . " ";
    }
    echo "\n";
}
if ($row != $col) {
    echo "Matrix should be a square matrix ";
} else {
    for ($i = 0; $i < $row; $i++) {
        for ($j = 0; $j < $col; $j++) {
            if ($i == $j && $a[$i][$j] != 1) {
                $flag = false;
                break;
            }
            if ($i != $j && $a[$i][$j] != 0) {
                $flag = false;
                break;
            }
        }
    }
    if ($flag)
        echo "The matrix is an identity matrix";
    else
        echo "The matrix is not an identity matrix";
}
?>

```

## 输出

```php
The matrix:
1 0 0
0 1 0
0 0 1
The matrix is an identity matrix
```