# PHP 程序：检查矩阵是否为稀疏矩阵

> 原文：<https://learnetutorials.com/php/programs/check-sparse-matrix>

## 什么是稀疏矩阵？

当矩阵中 **0** 的个数比其他个数多时，一个矩阵称为稀疏矩阵。例如，

**0 1 0**

**6 0 0**

**7 0 0**

在上例中，我们可以看到有**6****0**s，只有 **3** 非**0**s，所以可以说是一个稀疏矩阵。

## 如何用 PHP 检查矩阵是不是稀疏矩阵？

在这个检查矩阵是否稀疏的程序中，我们接受来自用户的矩阵。首先，我们必须将行数和列数读入变量**行**和**列**中，我们必须根据**行**和**列**使用 for 循环将值读入矩阵中的数组**a【】**。然后我们必须将值 0 赋给变量 **countZero** 来计算矩阵中的 **0** ，并将计算出的值**“col * row”**赋给变量**矩阵**。之后， 我们必须将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<row”**变为假，并在循环块的每次迭代中增加变量 **i** 的值，我们必须执行另一个循环，因为我们必须将值 **0** 赋给变量 **j** 并执行循环，直到条件**j【T41** 变为假，并增加变量 **j** 的值在循环块的每次迭代中，我们必须检查条件**‘a[I][j]= = 0’**如果为真，则增加变量**的值以计数零。** 循环完成后，检查条件**‘count zero’>(矩阵/2)’**如果为真，将当前矩阵打印为稀疏矩阵，否则将当前矩阵打印为非稀疏矩阵

### 算法

**步骤 1:** 初始化一个空数组 **a[]**

**第二步:**接受用户输入到变量**行**和**列**中的值，以存储行数和列数

**第 3 步:**将值接受到用于循环的数组**a【】**中

**步骤 4:** 使用 for 循环打印数组**a【】**中的元素

**第 5 步:**创建一个变量**用值 **0** 来计数矩阵中的 **0****

**步骤 6:** 将**【col * row】**的计算值赋给变量矩阵

**第 7 步:**将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)检查条件 **'a[i][j] == 0'** 如果为真，增加变量**的值，计数为零**

**步骤 8:** 检查条件**【计数零】>(矩阵/2)**如果为真，则将当前矩阵打印为稀疏矩阵，否则将当前矩阵打印为非稀疏矩阵

## PHP 源代码

```php
<?php
$a = array();
$row = readline("Enter the number of rows: \n");
$col = readline("Enter the number of columns: \n");
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        $a[$i][$j] = readline("Enter the value at position $i $j :  ");
    }
}
echo "The entered matrix is matrix: \n";
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        echo $a[$i][$j] . " ";
    }
    echo "\n";
}
$countZero = 0;
$matrix = $col * $row;
for ($i = 0; $i < $row; $i++) {
    for ($j = 0; $j < $col; $j++) {
        if ($a[$i][$j] == 0) {
            $countZero++;
        }
    }
}
if ($countZero > ($matrix / 2)) {
    echo "The current matrix is a sparse matrix";
} else {
    echo "The current matrix is not a sparse matrix";
}
?>

```

## 输出

```php
Example 1
Enter the number of rows:  3
Enter the number of columns:  3
Enter the value at position 0 0 :  0
Enter the value at position 0 1 :  0
Enter the value at position 0 2 :  0
Enter the value at position 1 0 :  0
Enter the value at position 1 1 :  8
Enter the value at position 1 2 :  5
Enter the value at position 2 0 :  6
Enter the value at position 2 1 :  0
Enter the value at position 2 2 :  8
The entered matrix is matrix:
0 0 0
0 8 5
6 0 8
The current matrix is a sparse matrix

Example 2
Enter the number of rows:  3
Enter the number of columns:  3
Enter the value at position 0 0 :  1
Enter the value at position 0 1 :  0
Enter the value at position 0 2 :  2
Enter the value at position 1 0 :  0
Enter the value at position 1 1 :  5
Enter the value at position 1 2 :  4
Enter the value at position 2 0 :  8
Enter the value at position 2 1 :  0
Enter the value at position 2 2 :  0
The entered matrix is matrix:
1 0 2
0 5 4
8 0 0
The current matrix is not a sparse matrix
```