# PHP 程序：打印单位矩阵

> 原文：<https://learnetutorials.com/php/programs/print-identity-matrix>

## 什么是单位矩阵？

单位矩阵是对角线(当行和列的索引相同时)元素都是 **1** 的任意阶方阵，矩阵中所有其他元素都必须是 **0** 。例如，

**【1 0 0】**

**【0 1 0】**

**【0 0 1】**

在上面的矩阵中，我们可以看到所有的对角线值都是 **1** ，其他的都是 **0** ，所以我们可以说这是一个恒等式矩阵。

## 如何用 PHP 打印单位矩阵？

要打印单位矩阵，首先我们必须初始化一个空数组 **a[]** 。然后我们必须接受来自用户的变量 **rc** 中的值来存储行数和列数。之后，要使用`for loop`打印单位矩阵，首先将值 **0** 赋给变量 **i** ，并执行子步骤，直到条件**“I<行”**变为假，并在每次迭代中增加变量 **i** 的值，在循环块中，我们必须执行另一个循环，将值 0 赋给变量 j，并执行子步骤，直到条件“j < col”变为假 并且在每次迭代中以及在该循环检查条件的块中增加变量 j 的值**‘I = = j’**如果为真，则打印 **1** 否则打印 **0**

### 算法

**步骤 1:** 初始化一个空数组 **a[]**

**步骤 2:** 接受用户输入变量 **rc** 的值，以存储行数和列数

**步骤 3:** 要使用`for loop`打印单位矩阵，首先将值 **0** 赋值到变量 **i** 中，并执行子步骤，直到条件**“I<行】**变为假，并在每次迭代中增加变量 **i** 的值

(I)将值 **0** 分配给变量 **j** 并执行子步骤，直到条件**‘j<col’**变为假，并在每次迭代中增加变量 **j** 的值

(a)检查条件 **'i == j'** 如果为真，则打印 **1** 否则打印 **0**

## PHP 源代码

```php
<?php
$a = array();
$rc = readline("Enter the number of rows and columns: \n");
echo "The entered matrix is matrix: \n";
for ($i = 0; $i < $rc; $i++) {
    for ($j = 0; $j < $rc; $j++) {
        if ($i == $j) {
            echo "1 ";
        } else {
            echo "0 ";
        }
    }
    echo "\n";
}
?>

```

## 输出

```php
Enter the number of rows and columns:  5
The entered matrix is matrix:
1 0 0 0 0
0 1 0 0 0
0 0 1 0 0
0 0 0 1 0
0 0 0 0 1
```