# PHP 程序：使用`array_merge()`函数合并两个数组

> 原文：<https://learnetutorials.com/php/programs/merge-two-array>

## 如何合并两个数组？

在这个程序中，我们将合并两个数组。这里我们使用内置函数`array_merge()`来合并数组。例如，如果这两个数组是**【4，5，8，9】**和**【9，7，6，3】**合并这些数组后，结果将是**【4，5，8，9，9，7，6，3】**

函数数组`_merge()`的语法

```php
 array_merge(array1, array2, array3, ...) 

```

## 如何用 PHP 合并两个数组？

要合并两个数组，首先我们必须用值初始化数组 **arr1** 和 **arr2** 。然后我们必须使用内置函数`array_merge()`和参数 **arr1** 和 **arr2** 来合并数组。之后我们可以打印数组**中的元素 arr1[]** 作为第一个数组， **arr2[]** 作为第二个数组， **arr3[]** 作为合并后的数组

### 算法

**步骤 1:** 用值初始化阵列 **arr1** 和 **arr2**

**步骤 2:** 使用内置函数 **array_merge(arr1，arr2)** 合并数组

**步骤 3:** 打印数组中的元素 **arr1[]** 作为第一个数组， **arr2[]** 作为第二个数组， **arr3[]** 作为合并后的数组

## PHP 源代码

```php
<?php
$arr1 = array(1, 2, 3, 4, 5);
$arr2 = array(6, 7, 8, 9, 2);
$arr3 = array_merge($arr1, $arr2);
echo "First array: \n";
foreach ($arr1 as $x) {
    echo "$x ";
}
echo "\nSecond array: \n";
foreach ($arr2 as $x) {
    echo "$x ";
}
echo "\nArray after merge: \n";
foreach ($arr3 as $x) {
    echo "$x ";
}
?>

```

## 输出

```php
First array:
1 2 3 4 5
Second array:
6 7 8 9 2
Array after merge:
1 2 3 4 5 6 7 8 9 2
```