# PHP 程序：检查一个数字是否是快乐数字

> 原文：<https://learnetutorials.com/php/programs/happy-number>

## 如何检查一个数字是不是幸福的数字？

为了检查一个数字是否是一个快乐的数字，首先我们必须找到数字中每个数字的平方，然后我们必须将它们相加，再次找到数字的每个数字的平方，并继续这个过程，直到数字变成 **1** 或者数字连续给出 **4** 。例如，如果数字是 **82** 那么

**8 <sup>2</sup> + 2 <sup>2</sup> = 68**

**6<sup>2</sup>+8<sup>2</sup>= 100**

**1<sup>2</sup>+0<sup>2</sup>+0<sup>2</sup>= 1**

所以我们可以断定数字 **82** 是一个快乐的数字。

## 如何用 PHP 检查一个数字是不是快乐数字？

在这个程序中，我们检查一个数字是否是一个快乐的数字。首先，我们接受来自用户的数字，并将值赋给变量 num，然后，我们将变量 num 的值赋给变量 n。然后，我们执行 while 循环，直到条件 **'n！= 1'** 和**n！= 4'** 变为假，在循环的块中，我们分配用户定义函数**的返回值 checkNum(n)** 。在 **checkNum()** 函数中，我们首先将值 **0** 赋给变量 **rem** 和 **sum** 。之后，我们执行 while 循环，直到条件 **'num > 0'** 变为假，并且在循环的块中，我们将 **'num % 10'** 的计算值分配给变量 **rem** ， **'sum + (rem *rem)'** 到变量 **sum** 和 **'num / 10'** 到变量 **num** 和完成所有循环后，我们检查条件 **'n == 1'** 如果为真，将变量 num 的值打印为快乐数，否则检查条件 **'n == 4'** 如果为真，将变量 num 的值打印为不快乐数。

### 算法

**第 1 步:**接受用户的数字，并将其分配给变量**数字**

**步骤 2:** 将变量**数**的值分配给变量 **n**

**步骤 3:** 执行子步骤，直到条件**n！= 1'** 和**n！= 4'** 变为假

(I)分配用户定义函数的返回值 **checkNum(n)**

**步骤 4:** 检查条件 **'n == 1'** 如果为真，将变量 num 的值打印为一个快乐的数字

**步骤 5:** 检查条件 **'n == 4'** 如果为真打印变量 num 的值不是一个快乐的数字

### 算法功能:**检查数(num)**

**步骤 1:** 将值 **0** 分配到变量**雷姆**和**总和**中

**步骤 2:** 执行子步骤，直到条件**>0】**变为假

(I)将**数值% 10】**的计算值分配给变量**雷姆**

(ii)将**总和+ (rem *rem)'** 的计算值分配到变量**总和**中

(iii)将计算出的整数值**‘num/10’**分配给变量 **num**

**步骤 3:** 返回变量**和**的值

## PHP 源代码

```php
<?php
function checkNum($num)
{
    $rem = 0;
    $sum = 0;
    while ($num > 0) {
        $rem = $num % 10;
        $sum = $sum + ($rem * $rem);
        $num = intval($num / 10);
    }
    return $sum;
}
$num = readline("Enter the number: ");
$n = $num;
while ($n != 1 && $n != 4) {
    $n = checkNum($n);
}
if ($n == 1)
    print($num . " is a happy number");
else if ($n == 4)
    print($num . " is not a happy number");
?>

```

## 输出

```php
Example 1
Enter the number: 13
13 is a happy number

Example 2
Enter the number: 15
15 is not a happy number
```