# PHP 程序：使用`bindec()`函数将二进制转换为十进制

> 原文：<https://learnetutorials.com/php/programs/binary-to-decimal-conversion>

## 如何将二进制值转换成十进制值？

要把一个二进制数转换成十进制数，我们必须根据二进制数从 0 开始的位置反过来求每个数字的幂，然后把它们加在一起。例如，如果输入的数字是 1011，那么我们计算(1 × 2 ) + (0 × 2 ) + (1 × 2 ) + (1 × 2？)也就是 11。

## 如何用 PHP 把二进制值转换成十进制值？

在这个程序中，我们使用内置函数`bindec()`将二进制值转换为十进制值。首先，我们必须接受来自用户的二进制值，并将其分配给变量 **bin** ，我们必须用值 **true** 创建变量**标志**，并将变量 **bin** 的长度分配给变量 **len** 。然后我们必须执行 for 循环来检查输入的 **num** 是否是有效的二进制数首先将值 **0** 赋给变量 **i** 并执行循环，直到条件**“I<len”**变为假，并且还在循环块的每次迭代中递增变量 **i** 的值，我们必须检查条件**“bin[I]！= 0 '****' bin[I]！= 1'** 如果两者都为真，则将值**设为假**分配给变量**标志**，循环完成后，我们必须检查变量**标志**的值，如果为真**则将内置函数**【bindec(bin)】**的值分配给变量 **dec** 并将变量 **des** 的值打印为二进制等价物**

 **函数`bindec()`的语法

```php
 bindec(binary_string); 

```

## 算法

**第一步:**接受二进制数进入变量**仓**

**步骤 2:** 创建一个值为**真**的变量

**步骤 3:** 将变量**箱**的长度分配给变量**透镜**

**步骤 4:** 执行 for 循环，检查输入的数字是否为有效的二进制数。首先将值 **0** 赋值给变量 **i** ，并执行以下子步骤，直到条件**“I<len”**变为假，并在每次迭代中增加变量 **i** 的值

(一)检查**仓【I】情况！= 0 '****' bin[I]！= 1'** 如果两者都为真，则将值**设置为假**给变量**标记**

**第 5 步:**检查变量**标志**的值，如果是**真**将内置函数**‘bindec(bin)’**的值赋给变量 **dec** 并将变量 **des** 的值打印为变量 **bin** 的二进制等价物，否则打印输入的数字不是有效的二进制数**  **## PHP 源代码

```php
<?php
$bin = readline("Enter the binary value: ");
$flag = true;
$len = strlen($bin);
for ($i = 0; $i < $len; $i++) {
    if ($bin[$i] != 1 && $bin[$i] != 0) {
        $flag = false;
    }
}
if ($flag) {
    $dec = bindec($bin);
    echo "Decimal equivalent of $bin is $dec";
} else {
    echo "Enter a valid binary number.";
}
?>

```

## 输出

```php
Enter the binary value: 100111
Decimal equivalent of 100111 is 39
```**