# PHP 程序：使用`base_convert()`函数转换数字的基数

> 原文：<https://learnetutorials.com/php/programs/base-conversion>

## 基数换算是什么意思？

基数转换这个术语意味着数字系统的转换。在这个程序中，我们使用内置函数`base_convert()`来转换数字的类型。在`base_convert()`函数中，我们传递三个参数，第一个是要转换的值，第二个是要转换的数字的基值，最后我们传递要转换的类型的基值。例如，如果我们输入一个十进制值 **26** 并希望将其转换为十六进制，那么输出将是 **1A**

函数`base_convert()`的语法

```php
 base_convert(number,frombase,tobase); 

```

## 如何用 PHP 中的`base_convert()`函数转换数字的基数？

在这个程序中，我们将十进制数转换成二进制、十六进制和八进制。首先，我们必须接受来自用户的十进制数，并将该值赋给变量 **num** 。然后，要将十进制转换为二进制，我们使用函数 **base_convert(num，10，2)** ，结果将分配给变量 **bin** ，要将十进制转换为十六进制，我们使用函数 **base_convert(num，10，16)** ，结果将分配给变量 **hexa** ，最后，要将十进制转换为八进制，我们使用函数 **base_convert(num，10，8)** ，结果将之后，我们可以将变量 **bin** 的值打印为二进制等价物， **hexa** 为十六进制等价物， **octa** 为输入的十进制数的八进制等价物。

### 算法

**第 1 步:**接受用户的十进制数，并将该值赋给变量**数**

**步骤 2:** 要将十进制转换为二进制，我们使用函数 **base_convert(num，10，2)** ，结果将被分配给变量 **bin**

**步骤 3:** 要将十进制转换为十六进制，我们使用函数 **base_convert(num，10，16)** ，结果将分配给变量 **hexa**

**第 4 步:**要将十进制转换为八进制，我们使用函数 **base_convert(num，10，8)** ，结果将分配给变量 **octa**

**步骤 5:** 打印变量**箱**中的值，作为输入的十进制数的二进制等价物

**第 6 步:**将变量 **hexa** 中的值打印为输入的十进制数的十六进制等价物

**第 7 步:**将变量**八进制**中的值打印为输入的十进制数的八进制等效值

## PHP 源代码

```php
<?php
$num = readline("Enter the decimal value: ");
$bin = base_convert($num, 10, 2);
$hexa = base_convert($num, 10, 16);
$octa = base_convert($num, 10, 8);
echo "Binaray equivalent of $num is $bin \n";
echo "Hexadecimal equivalent of $num is $hexa \n";
echo "Octal equivalent of $num is $octa \n";
?>

```

## 输出

```php
Enter the decimal value: 58
Binaray equivalent of 58 is 111010
Hexadecimal equivalent of 58 is 3a
Octal equivalent of 58 is 72
```