# PHP 程序：使用`checkdate()`函数检查日期是否有效

> 原文：<https://learnetutorials.com/php/programs/validate-date>

## 如何用 PHP 检查输入的日期是否为有效日期？

在本程序中，我们正在使用内置功能`checkdate()`检查用户输入的日期是否为有效日期。首先，我们从用户那里接受日期、月份和年份，并将它们分配给变量 **s、m、**和 **y** ，然后我们将检查日期是否有效的内置函数的结果 **checkdate(m、d、y)** 分配给变量 date。然后我们检查可变日期的值，如果为真，则打印输入的日期作为有效日期，否则打印输入的日期不是有效日期。例如，如果用户输入的值是

日期= 30

m >

年份= 2021 年

众所周知，二月只有 28 或 29 天，所以我们可以说输入的日期不是有效日期。

`checkdate()`函数的语法

```php
 checkdate(month, day, year) 

```

### 算法

**步骤 1:** 从用户处接受日期、月份和年份，并将其分配给变量 **d、m、**和 **y**

**第二步:**将内置功能的检查日期是否有效的结果**检查日期(m，d，y)** 赋给变量**日期**

**步骤 3:** 检查变量**日期的值**如果为真，打印输入的日期作为有效日期，否则打印输入的日期不是有效日期

## PHP 源代码

```php
<?php
$d = readline("Enter the date: ");
$m = readline("Enter the month: ");
$y = readline("Enter the year: ");
$date = checkdate($m, $d, $y);
if ($date)
    echo "The entered date $d-$m-$y is a valid date";
else
    echo "The entered date $d-$m-$y is not a valid date";
?>

```

## 输出

```php
Example 1
Enter the date: 10
Enter the month: 11
Enter the year: 2003
The entered date 10-11-2003 is a valid date

Example 2
Enter the date: 23
Enter the month: 20
Enter the year: 2020
The entered date 23-20-2020 is not a valid date
```