# PHP 程序：使用`date_diff()`函数查找两个日期之间差异

> 原文：<https://learnetutorials.com/php/programs/difference-between-two-dates>

## 如何用 PHP 中的`date_diff()`找到两个日期的区别？

在这个程序中，我们将找到两个日期之间的天数。为此，我们首先从用户那里读取两个日期，并将其分配给变量 **d1** 和 **d2** 。然后使用内置函数 **date_create()** 将变量 **d1** 和 **d2** 的值更改为日期，并将其分配给变量**日期 1** 和**日期 2** 。之后，我们可以通过使用内置函数 **date_diff(date1，date2)** 找到这两个日期之间的差异，并为变量 **d** 赋值。最后，我们可以使用**格式(" %R%a days")** 的方法打印变量 d 中两个日期之间的差异

语法`date_fiff()`函数

```php
 date_diff(datetime1, datetime2, absolute) 

```

语法`date_create()`函数

```php
 date_create(time, timezone) 

```

### 算法

**步骤 1:** 接受用户的两天(格式为“yyyy-mm-dd”)，并将其分配给变量 **d1** 和 **d2**

**步骤 2:** 使用内置函数 **date_create()** 将变量 **d1** 的值更改为日期，并将其分配给变量 **date1**

**步骤 3:** 使用内置函数 **date_create()** 将变量 **d2** 的值更改为日期，并将其分配给变量 **date2**

**第 4 步:**使用内置函数 **date_diff(date1，date2)** 找出两个日期之间的差异，并为变量 **d** 赋值

**第 5 步:**使用方法**格式(" %R%a days")** 在变量 **d** 中打印两个日期之间的差异

## PHP 源代码

```php
<?php
$d1 = readline("Enter the date(yyyy-mm-dd): ");
$d2 = readline("Enter the date(yyyy-mm-dd): ");
$date1 = date_create($d1);
$date2 = date_create($d2);
$d = date_diff($date1, $date2);
echo $d->format("The difference is %R%a days");
?>

```

## 输出

```php
Enter the date(yyyy-mm-dd): 2020-07-12
Enter the date(yyyy-mm-dd): 2020-12-07
The difference is +148 days
```