# PHP 程序：计算复利

> 原文：<https://learnetutorials.com/php/programs/compound-interest>

## 复利是什么意思？

简单利息主要用于烘焙行业计算货币的增长。用于计算复利的公式是

**A = P(1 + r/n) <sup>nt</sup>**

其中 p 代表本金金额，t 代表年数，r 代表利率，n 代表复利次数。例如，假设

**p = 5000**

**r = 8 = > 8/100 = > 0.08**

**t = 4**

**n = 1**

然后

**A = 5000(1+(0.08/1))<sup>4 * 1</sup>= 6，802.44**

## PHP 中复利是如何计算的？

现在在 PHP 编程语言中应用这个逻辑。我们接受本金金额、利率、年内时间和复利次数的值。然后我们用公式 **P(1 + r/n) <sup>nt</sup>** 计算利息。

在这个程序中，我们使用直接法计算复利，复利是用公式计算的。首先，我们必须接受用户的本金金额、利率、年内时间和利息的复利次数，并将其分配给变量 **p、n、r、t** ，并使用公式 **P(1 + r/n) <sup>nt</sup>** 将结果分配给变量 **ci** 。并将变量 **ci** 的值打印为复利。

算法

**第一步:**将本金金额读入变量 **p**

**步骤 2:** 将年名义利率作为百分比读入变量 **R**

**第三步:**将十进制年份的时间读入变量 **t**

**第 4 步:**读取利息复合到变量 **n** 中的次数

**第五步:**将**【R/100】**的计算值赋给变量 **r**

**第 6 步:**将 **'p * pow((1 + (r / n))，n * t)'** 的计算值赋给变量 **ci**

**第 7 步:**将变量 **ci** 的值打印为复利

## PHP 源代码

```php
<?php
$p = readline("Enter the Principal amount: ");
$R = readline("Enter the Annual nominal interest rate as a percent: ");
$t = readline("Enter the time in decimal years: ");
$n = readline("Enter the number of times the interest is compounded: ");
$r = $R / 100;
$ci =  $p * pow((1 + ($r / $n)), $n * $t);
echo "Compound Interest = $ci";
?>

```

## 输出

```php
Enter the Principal amount: 10000
Enter the Annual nominal interest rate as a percent: 5
Enter the time in decimal years: 3
Enter the number of times the interest is compounded: 1
Compound Interest = 11576.25
```