# PHP 程序：使用三元运算符检查数字是奇数还是偶数

> 原文：<https://learnetutorials.com/php/programs/check-odd-or-even-using-ternary-operator>

## 什么是三元运算符？

三元运算符可以定义为在一行代码中完成比较和条件的条件运算符。这可以被认为是实现 if-else 或嵌套 if-else 语句的替代方法。该条件语句从左向右执行。使用这种三元运算符不仅是一种有效的解决方案，而且是一种节省时间的方法。

句法

```php
 (Condition) ? (Statement1) : (Statement2);

```

## PHP 中如何用三元运算符检查一个数是奇数还是偶数？

在这个程序中，我们使用三元运算符检查一个数是奇数还是偶数。首先，我们必须接受来自用户的数字并将其分配给变量 **num** ，然后我们必须执行三元运算检查条件 **'$num % 2 == 0'** 如果为真，则将“输入的数字是偶数”否则将“输入的数字是奇数”分配给变量 **checkNum** ，最后我们可以打印变量 **checkNum** 的值作为结果

### 算法

**第 1 步:**接受用户的数字，并将其分配给变量**数字**

**步骤 2:** 执行三元运算检查条件 **'$num % 2 == 0'** 如果为真，则将“输入的数字是偶数”或“输入的数字是奇数”赋给变量**检查数**

**第三步:**打印变量**的值**

## PHP 源代码

```php
<?php
$num = readline("Enter the number: ");
$checkNum = $num % 2 == 0 ? "The entered number $num is an even number " : "The entered number $num is an odd number ";
echo $checkNum;
?>

```

## 输出

```php
Example 1
Enter the number: 6
The entered number 6 is an even number

Example 2
Enter the number: 5
The entered number 5 is an odd number
```