# PHP 程序：生成一个 JSON 文件

> 原文：<https://learnetutorials.com/php/programs/json-file>

JSON 是什么意思？

JSON 代表 JavaScript 对象符号。JSON 用于发送和接收来自网络的数据。JSON 是用 JavaScript 对象符号编写的纯文本。JSON 是一种独立于平台的语言。

如何使用 PHP 生成 JSON 文件？

在这个程序中，我们使用 PHP 生成一个 JSON 文件。首先，我们必须初始化一个关联数组 **arr[]** ，其中包含值。之后，我们必须使用内置函数`json_encode()`将数组 **arr[]** 编码到 JSON 中，并将其分配给变量 **json** ，为了显示文件，我们可以打印变量 **json 的值。**然后为了生成 JSON 文件，我们可以使用内置函数 `file_put_contents()`，用“details.json”(文件名)和变量 **json** 的值作为函数的参数

句法

```php
 json_encode(value, options, depth)
file_put_contents(filename, data, mode, context) 

```

### 算法

**步骤 1:** 初始化一个关联数组 **arr[]** ，其中包含值

**步骤 2:** 使用内置函数`json_encode()`将数组 **arr[]** 编码到 JSON，并将其分配给变量 **json**

**第三步:**要显示文件，我们可以打印变量 **json** 的值

**第 4 步:**要生成 JSON 文件，我们可以使用内置函数 `file_put_contents()`，该函数的参数为“details.json”(文件名)和变量 **json** 的值

## PHP 源代码

```php
<?php
$arr = array(
 "0" => array(
  "id" => "101",
  "name" => "Jhon",
  "language" => "PHP"
 ),
 "1" => array(
  "id" => "102",
  "name" => "Doe",
  "language" => "python"
 )
); $js
echo "$json";
file_put_contents("details.json", $json);
?>

```

## 输出

```php
[{"id":"101","name":"Jhon","language":"PHP"},{"id":"102","name":"Doe","language":"python"}]
```