# PHP 程序：计算标准差

> 原文：<https://learnetutorials.com/php/programs/calculate-standard-deviation>

## 标准差是什么意思？

标准差是一种度量，用于量化一组数据值的变化量。标准差分为两种类型。它们是:

1。
低标准差
2。高标准差

低标准差的数据更有可能接近集合的期望值。然而，高标准差表明数据点之间的差异更大。标准差在数学上被定义为方差的平方根。标准差不同于方差，因为它是用与数据相同的单位表示的。另一个衡量偏差的标准，包括平均值、绝对偏差，提供了不同于标准差的数学属性。作为统计结论可信度的度量，通常使用标准差。
计算标准差首先要求均值(要求均值就要把所有数据相加，除以数据个数)，然后要算方差(要算方差就要把数据点的值减去均值。然后对每个结果值进行平方，然后，我们必须将这些结果相加。然后将结果除以数据点的数量减去 1。然后用之前计算的方差的平方根来求标准差。

## 如何用 PHP 计算标准差？

要计算数字的标准差，首先我们必须初始化一个数组 **a[]** ，数组中有值。之后，我们必须将数组 **a[]** 的元素赋给变量 num，并将用户定义函数 **find_sd()** 的返回值赋给变量 **sd，数组 **a[]** 作为参数。**在函数 **find_sd()** 中，我们首先要将数组 **a[]** 的大小赋给变量 **count，**将值 **0** 赋给变量 v，**的计算值“array _ sum(a)/count”**赋给变量 **avg。**之后，我们必须对数组中的每个元素执行`foreach`循环**a【】**在循环块中，我们必须将计算值**' v+power((I-avg)，2)'** 分配给变量 **v** ，循环完成后，我们可以返回计算值 **'sqrt(v / count)'。**最后我们可以打印变量 **sd** 的值作为输入数值的标准差。

### 算法

**步骤 1:** 初始化一个数组 **a[]** ，数组中有值

**步骤 2:** 将数组的元素**分配给变量 num**

**第三步:**将用户定义函数 **find_sd()** 的返回值以数组 **a[]** 为自变量赋给变量 **sd**

**第 4 步:**打印变量 **sd** 的值作为输入数字的标准差

### 算法功能: **find_sd(a)**

**第 1 步:**将数组**a【】**的大小分配给变量**计数**

**第二步:**将值 **0** 赋值给变量 **v**

**第三步:**将**“数组 _ 和(a) /计数”**的计算值赋给变量**平均值**

**步骤 4:** 使用`foreach`循环对数组**a【】**中的每个元素执行子步骤

(I)将**‘v+幂((i - avg)，2)’**的计算值分配给变量 **v**

**第 5 步:**返回**【sqrt(v/count)】**的计算值

## PHP 源代码

```php
<?php
function find_sd($a)
{
    $count = count($a);
    $v = 0;
    $avg = array_sum($a) / $count;
    foreach ($a as $i) {
        $v += pow(($i - $avg), 2);
    }
    return sqrt($v / $count);
}
$a = array(5, 9, 4, 3, 2);
$num = '';
foreach ($a as $x) {
    $num = $num . " " . $x;
}
$sd = find_sd($a);
echo "The standard deviation of $num is $sd";
?>

```

## 输出

```php
The standard deviation of  5 9 4 3 2 is 2.4166091947189
```