# PHP 程序：使用随机值生成哈希码

> 原文：<https://learnetutorials.com/php/programs/hash-code-generation>

## 哈希函数是用来做什么的？

PHP 语言带有几个函数，可以根据不同的算法对字符串进行哈希，如“sha1”、“sha256”、“md5”等。这些函数都以一个字符串作为参数，并输出一个字母数字哈希字符串。

句法

```php
 string hash($algo, $string, $getRawOutput) 

```

## 如何用 PHP 生成哈希代码？

在这个程序中，我们从一个随机值生成哈希代码。首先，我们必须将随机值分配给变量**字符串**使用内置函数`rand(). `生成随机值，然后使用带有“sha256”(基于字符串的哈希代码生成算法)的内置函数`hash()`和变量字符串的值作为函数的参数生成哈希代码，并将该值分配给变量**哈希代码**，然后，我们可以打印变量**哈希代码**的值作为生成的哈希代码。

### 算法

**步骤 1:** 使用内置函数`rand()`为变量 **str** 分配一个随机值

**第二步:**使用内置函数`hash()`生成哈希码，以“sha256”(基于字符串的哈希码生成算法)和变量 str 的值作为函数的参数，并将该值赋给变量**哈希码**

**步骤 3:** 打印变量**哈希码**的值作为生成的哈希码

## PHP 源代码

```php
<?php
$str = rand();
$hashedCode = hash("sha256", $str);
echo " The generated hash code is: $hashedCode";
?>

```

## 输出

```php
 The generated hash code is: 6edbe95a6c08483d06d7c3dfff5259f3bd1c50e680916bcda5f37232363cacae
```