# Python 入门

> 原文：<https://learnetutorials.com/python/introduction-tutorial>

Python 是一种通用编程语言，由荷兰程序员 Guido Van Rossum 于 1989 年开发，并于 1991 年发布。从技术上讲，Python 是一种面向对象、高级和解释的编程语言，具有很高的可读性和可扩展性。Python 语言仍然是所有编程语言的核心语言，因为它独特而简单的语法允许开发人员比其他编程语言编写更少的行。此外，python 语言支持模块和包，这有助于代码重用和程序模块化。Python 有许多接口，可以访问许多操作系统调用和库。

运行在解释器上的 Python 程序可以一写就一行一行地执行代码，包括快速原型开发。Python 是一种多范例语言，它使开发人员能够适应任何脚本风格，包括过程、函数、命令和面向对象的风格。

*   **程序性**:遵循从上到下或从下到上的逐行方法
*   **功能**:跟随功能传递数据
*   **命令式**:使用一系列语句来达到一个结果。
*   **面向对象**:将数据和行为视为一个对象的技术

“python”这个名字是对一个名为 Monty Python 的喜剧团体的致敬，它的开发者是这个有趣的魔法程序的铁杆粉丝。

## Python 特性

你有没有想过是什么让 python 在编程语言中独树一帜，与众不同？Python 有许多它擅长的特性，下面列出了这些特性。

1.  **可读:** Python 程序很容易阅读，因为 Python 有一个类似于英语的简单语法。
2.  **可移植性:** Python 是一种独立于平台的语言，允许程序在各种平台上运行，如 Windows、Linux、UNIX 和 Macintosh。因此，它是一种跨平台的编程语言。
3.  **可扩展** : Python 允许开发人员通过包含用户定义的代码或库甚至其他编程语言来扩展编程语言。
4.  **可解释:**解释器一行一行执行 python 程序，便于调试
5.  **可积:** Python 可以和 C、C++、Java 等其他语言集成。
6.  **面向对象:** Python 支持 OOPs 概念，从而允许将程序封装到单个对象和类中。
7.  **高级别:** Python 不是依赖机器的语言。它允许程序员编写接近人类语言的代码。
8.  **大型标准库:** Python 有大量丰富的库和模块集合，也是跨平台的。
9.  **动态绑定和类型化** : Python 允许在运行时而不是编译时进行绑定和类型化。
10.  **GUI 编程:**使用 python 可以创建图形用户界面应用程序。
11.  **免费开放源码** : Python 及其代码在所有官方网址免费提供，任何人都可以修改

在讨论 python 版本时，从发布之日起已经发布了许多版本。然而，目前使用的两个流行版本是 python 2.7 和 python 3.x。

## Python 应用程序

Python 语言被许多大公司使用，如美国宇航局、谷歌、YouTube、网飞、脸书等。因为它的动态绑定和动态类型选项在快速应用程序开发领域有巨大的需求。因此，科学家和研究人员广泛探索 Python 编程语言来开发科学和研究应用程序。其他应用包括:

### 网站开发

![Google](img/901be9b7d33977ef6ad148a1cdbcd698.png)![Instagram](img/c9ae4f28a24b6e06af59ad671668a8df.png)![Netflix](img/6648f23dfd90bb6e38e25a40adb0a7ba.png)![Pinterest](img/6f1a0e7be6e740d288ff4e9effff881e.png)![Dropbox](img/f5bfa2f0715b52a87082b1175f001639.png)

* * *

### 旧历法

![Anaconda](img/fae37e011bd76d62b9c4bc3b7a63f43f.png)![Ubiquiti](img/d9fb30baf82de1da48bcb63a37c49b80.png)

* * *

### 基于图形用户界面的桌面应用

![3 Max](img/b29ea2c412d349d8cbcfae80d8ac1ecc.png)![Cinema](img/1f09d51dfa4848dc749ebc34225403a7.png)![Blender](img/43b104d188f8c1bf64eb3af9f4d65379.png)

* * *

### 游戏应用

![Civilization](img/c02005d27a01c56b82d117390e920129.png)![Disney](img/b2cdf4165c45f8ae3c74287c4530cf34.png)![Vega strike](img/c05d1ea91f7f3f2633cf46171f62f70a.png)

* * *

### 计算和科学应用

![Abaqus](img/00027c8ef45d7aff2c784a4e49d6e73c.png)![Disney](img/56bbc4785887436b34b9251c9c4a1240.png)

## 面向绝对初学者的 Python 程序

Python 编程语言无疑是后端编程的完美选择。Python 名列榜首，被广泛认为是首先学习的最佳编程语言。对于绝对的初学者来说，python 编程语言是一个很好的起点，因为它的需求是巨大的，并且许多初创公司正在使用 Python 作为他们的主要后端语言。Python 是一种稳定且流行的语言，每个人都急于在这种奇妙的编程语言中获得深入的知识。

最后但同样重要的是，我们应该说，无论你是一个绝对的初学者还是专业人士，你已经到达了学习 python 编程语言的正确位置。我们，Learn eTutorials，解决您对 python 的所有顾虑，例如，

如何开始学习 Python？

python 容易学吗？

python 编程语言的基础是什么？等等。

**那么我们开始吧。**