# Python 数字

> 原文：<https://learnetutorials.com/python/python-number>

本 python 数字教程的主要目的是用 python 编程语言来教育数字数据类型及其转换的概念。还将学习一些用于操作该数字数据类型的算术运算。

## Python 数字数据类型

在 python 中，当一个变量被赋予一个数字时，它就属于 Python 数字数据类型。数字数据类型由整数值、浮点值和复杂类型值组成，精确表述为

*   （同 Internationalorganizations）国际组织
*   漂浮物
*   复杂的

## 整数数据类型

*   Int 数据类型仅保存整数值(零、正和负整数)
*   不包括小数部分
*   长度是无限的

### 示例:整数数据类型

```py
#i is a variable of type int  
i1 = 10  
i2 = 525
print("integer  1 = ",i1) 
print("integer 2 = ",i2) 

```

**输出**

```py
integer 1 = 10
integer 2 = 525 
```

## 浮点数据类型

*   包含浮点数
*   包括小数部分
*   小数点精确到 15 位小数

### 示例:浮点数据类型

```py
#i is a variable of type int  
f1 = 10.01  
f2 = 525.25
print("floating point number 1 = ",f1) 
print("floating point number 2 = ",f2) 

```

**输出**

```py
floating point number 1 = 10.01
floating point number 2 = 525.25 
```

## 复杂数据类型

复数是由实数部分和虚数部分组成的数，采用 a+ib 的形式，其中 a 和 b 是实数，b 与虚数单位相关联，即示例和输出。

*   包括实部(a)和虚部(b)
*   形式是 a +ib
*   假想单位是“我”

### 示例:复杂数据类型

```py
C1 =-5-6i 
C2 = 4+3i
print("Complex number 1 = ",C1)
print("Complex number 2 = ",C2) 

```

**输出**

```py
 Complex number 1 = -5-6i
Complex number 2 = 4+3i 
```

## Python 类型的转换和强制

大多数编程语言的独特特性之一是类型转换。**类型转换**可以简单定义为将一个对象的数据类型更改为另一个数据类型，进行各种操作或评估。转换可以根据无障碍操作的要求隐式或显式完成。

**隐式转换**，也称为*强制*，通常被定义为根据编译器或解释器的要求，基于表达式或求值将一种 python 数据类型转换为另一种。Python 编程语言支持类型转换，尽管它有一些陷阱，我们将进一步讨论。

让我们详细考虑下面的例子，以了解更多关于 python 强制的信息。假设我们需要找到整数数据类型的两个数字 n1 和 n2 的平均值。结果可能是一个分数，存储为浮点值。Python 自动将结果值声明为 float，使程序员免于出错。这种隐式转换通常被称为强制。

### 示例:类型强制示例

```py
#Type coercion example 
n1 = 2  
n2 = 3
print(“Average of” n1 “and” n2 “ = ”,(n1+n2)/2) 

```

**输出**

```py
Average of  2 and 3 = 2.5 
```

在某些情况下，python 需要根据需求显式地将一种 python 数据类型转换为另一种。这种类型的转换通常被称为**显式转换**或*类型转换*。Python 有一些内置函数，有助于显式转换数据类型。它们列在下面

1.  **int( arg )** -将 arg 的数据类型转换为整数
2.  **浮点(arg)** -将 arg 的数据类型转换为浮点
3.  **复数(arg1，arg2)** -将 arg1 和 arg2 的数据类型转换为复数类型，其中 arg1 保存实部，arg2 保存虚部。

### 示例:如何进行类型铸造

```py
#Type casting example 
a = 10
b = 5.3
c = 4+5i
#Conversion
x= float (a)
y=int(b)
z=complex of (a)
#Printing output  with corresponding data type
print( x "belongs to",type(x))
print( y "belongs to",type(y))
print( z "belongs to",type(z)) 

```

**输出**

```py
10.0 belongs to <class 'float'>
5 belongs to <class 'int'>
10+0i belongs to <class 'complex'> 
```

## Python 数字–模块

### 十进制模块

我们在数学中学习了小数及其运算，如加、减、乘…..但是在学习一门编程语言时，我们给十进制数起了一个新的名字叫做**浮点数**。我们通常认为浮点数本身就是小数。但是在学习机器语言时，实际上存在一些差异

我们知道机器只能理解二进制表示，即 0 和 1。浮点数也以二进制形式处理。因此，二进制浮点计算与典型的十进制计算有很大不同。

### 示例:python 中的十进制模块

```py
A = 1.10
B = 2.20
C = A+B
print("C =",C) 

```

**输出**

```py
C = 3.3000000000000003 
```

从上面将 1.10 和 2.20 相加的例子中，我们预期 3.30 是它的总和。但是我们得到的输出是 3.30000000000000003。这就是分数如何以二进制形式表示。所以我们必须把这个值大概四舍五入到 3.30。所以我们可以说存储在计算机中的十进制数值是不准确的。

我们可以通过简单地导入一个十进制模块来对浮点数的这种不准确性进行排序。与二进制浮点不同，十进制模块具有程序员改变的精度，这保持了有助于执行我们在学校学习的计算的重要性。因此，十进制模块对于会计、金融应用等非常有用。

### 示例:python 中的十进制模块

```py
import decimal
A = decimal.Decimal('1.1')
B = decimal.Decimal('2.2')
C = 3
D = 3.14

print("A =",A)
print("B =",B)
print("A+B = ",A+B)
print("A+C = ",A+C)
print("A+D = ",A+D) 

```

**输出**

```py
A = 1.1
B = 2.2
A+B =  3.3
A+C =  4.1

print("A+D = ",A+D)
TypeError: unsupported operand type(s) for +: 'decimal.Decimal' and 'float' 
```

**注** : Decimal 运算符处理整数，但浮点数必须转换为小数实例。

下表总结了十进制数和浮点数的区别。

| 小数 | 浮动 |
| --- | --- |
| 有确切的表述 | 没有精确的表示 |
| 精度长度因用户需求而异 | 精度长度是固定的 |
| 包括重要地方的概念 | 不支持重要位置 |
| 已发布标准的部分封面 | 出版标准的完整封面 |
| 十进制运算速度较慢 | 浮点运算更快 |
| 例:1.10 + 2.20 = 3.30 | 例:1.1+2.2 = 3.300000000000003 |

### 分数模块

像十进制模块一样，与数字数据类型相关的另一个重要模块是分数模块。

分子和分母构成了我们在前面几节课中学习过的分数。Python 还通过导入一个名为分数的模块来支持分数计算。

### 如何创建分数实例？

下面列出了创建分数实例的不同方法。

### 使用整数值作为分子和分母

```py
import fractions
A = fractions.Fraction(1,2)
B = fractions.Fraction (3,4)
print("A =",A)
print("B =",B)
print("A+B =",A+B) 

```

**输出**

```py
A = 1/2
B = 3/4
A+B  = 5/4 
```

### 使用字符串格式作为

```py
import fractions
A = fractions.Fraction('5/7')
B = fractions.Fraction('3/8')
print("A =",A)
print("B =",B)
print("A+B =",A+B) 

```

**输出**

```py
A = 5/7
B = 3/8
A+B = 61/56 
```

### 使用浮点数格式

```py
import fractions
A = fractions.Fraction(2.5)
B = fractions.Fraction(1.5)
print("A =",A)
print("B =",B)
print("A+B =",A+B) 

```

**输出**

```py
A = 5/2
B = 3/2
A+B = 4 
```

### 使用字符串格式作为(数字)。(数字)

```py
import fractions
A = fractions.Fraction('.5')
B = fractions.Fraction('1.5')
print("A =",A)
print("B =",B)
print("A+B =",A+B) 

```

**输出**

```py
A = 1/2
B = 3/2
A+B = 2 
```

## 数学模块函数

Python 还展示了另外两个重要的模块，它们实际上是数学活动的起源。这些模块是**数学**和**随机**，用于执行三角函数、对数、概率等。这里列出了与数学模块相关的函数，以便于参考。

| Sl No | 功能 | 描述 | 例子 |
| --- | --- | --- | --- |
| one | abs(x) / fabs(x) | 返回 x 的绝对值 | abs(5.6) =大于 5 |
| Two | 天花板(x) | 返回 x 的上限值 | 天花板(5.6)=>6 |
| three | 楼层(x) | 返回 x 的最低值 | 楼层(5.6)=>5 |
| four | exp(x) | 返回指数值 x；e <sup>x</sup> | exp(x)= e<sup>x</sup>；e <sup>0</sup> = 1 |
| five | 日志(x) | 返回 x 的对数值，对于 x>0 | log2(8) =3 |
| six | log10(x) | 对于 x>0，返回以 10 为底的 x 的对数值 | log10(100)=2 |
| seven | sqrt(x) | 返回 x 的平方根，x>0 | sqrt(16)=4 |
| eight | 幂(x，y) | 返回 x 的 y 次方 | 幂(2，3)=8 |
| nine | 圆形(x，[n]) | 返回 X 的整数值，不考虑符号 | round(5.6)= 6
round(-5.4)= = 5 |
| Ten | 最大值(n1，n2，n3…) | 返回最大值 | 最大值(1，5，9) =9 |
| Eleven | 最小值(n1，n2，n3…) | 返回最小值 | 最小值(1，5，9)=1 |
| Twelve | modf(x) | 返回浮点数的小数部分 | modf(5.6)=0.6000000 |
| Thirteen | sin() | 以弧度为单位返回参数的正弦值 | sin 0 |
| Fourteen | cos() | 以弧度为单位返回参数的余弦值 | cos 0 |
| Fifteen | tan() | 以弧度为单位返回参数的正切值 | tan 0 |
| Sixteen | 海波(a，b) | 返回参数的斜边值。在这里输入方程式。 | 海波(3，4) =5 |
| Seventeen | 度数() | 将弧度值转换为度数并返回度数值 |   |
| Eighteen | 弧度() | 将度数转换为弧度并返回弧度值 |   |

## 随机数函数

Python 包含一组用于生成或操作随机数的函数，这些函数广泛用于游戏应用程序、测试应用程序、安全和隐私应用程序等。下表给出了处理随机数的函数。

| Sl No | 功能 | 描述 |
| --- | --- | --- |
| one | 选择(序列) | 从字符串、列表、元组中返回一个随机数。 |
| Two | 随机范围(开始、停止、步进) |   |
| three | 随机() | 返回一个随机浮点数，0<=X<1 |
| four | 种子([x]) | 通过保存随机函数的状态生成相同的随机数 |
| five | 随机播放(列表) | 用于重新排列列表 |
| six | 均匀(x，y) | 生成一个介于 x 和 y 之间的随机浮点数 |