# Python 程序：检查一个数是否是质数

> 原文：<https://learnetutorials.com/python/programs/check-prime-number>

在这个简单的 python 程序中，我们需要检查给定的数字是否是质数。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 循环结构](../../python/python-loop-tutorials "Python Loops")
*   [Python 数据类型](../../python/python-datatypes "Datatypes in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 质数是多少？

在这个 python 程序中，我们需要检查一个素数。素数是可被 **1** 整除的正数，并且只能被该数整除。所以对于一个质数，只有两个因素。

举个例子，我们取一个数 7，那么我们来检查一下，7 是正数，只能被 7 和 1 整除，所以它是一个**质数**数。

## python 程序中如何检查一个数是不是质数？

**注:** 1 不是质数，因为 1 只有一个因子，所以我们把它当作 1 不是质数。

在这个简单的 python 程序中，我们需要从用户那里接受一个数字，并将其保存到一个变量中。现在我们通过检查数字是否为正数来检查数字是否为质数。如果不是正数，我们就查不出质数。我们必须在 python 中使用从 2 到数字的 for 循环，并使用 python 语言中的 [if 条件](../../python/decision-making-statements "python Decision making structures")检查该数字是否可被该数字以下的任何数字整除。最后，打印数字是不是质数。

### 算法

**STEP 1:** 使用 python 中的输入函数接受来自用户的数字，并将其存储在变量中。

**步骤 2:** 检查数量是否大于 **1** 。如果是，在`if`条件`else`内移动，打印的数字不是质数，因为它不是正数。

**第三步:**打开一个从 2 到输入数字的`for loop`，检查数字的可除性。

**步骤 4:** 打开一个内部`if`条件，用从 **2** 到该数字的每个数字来修改该数字。打印给定的数字不是可以被任何数字整除的质数，并使用 break 语句中断循环。

**第五步:**如果循环结束，没有发现任何数能被给定数整除，则将给定数打印为质数。

## Python 源代码

```py
num = int(input("Enter any number: "))  # Accept the number from the user.

if num > 1:   # check the number is greater than 1.

    for i in range(2, num):         # for loop to check the number is divisible by any number

        if (num % i) == 0:      # If condition to check any divisor for the number

            print(num, "it is not a prime number")

            break     # break from the for loop

    else:

        print(num, "it is a prime number")    # if the number is less than or equal to zero then it is not a prime number
else:

    print(num, "it is not a prime number")

```

## 输出

```py
Enter any number:  7

7 It is a prime number
```