# Python 程序：检查用户输入值是奇数还是偶数

> 原文：<https://learnetutorials.com/python/programs/check-odd-even>

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 数据类型](../../python/python-datatypes "Datatypes in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## python 程序中如何检查奇数或偶数？

在这个[初级 python 程序](../../python/introduction-tutorial "Introduction to python")中，我们要检查一个数字是偶数还是奇数。要检查一个数是偶数还是奇数，我们需要知道一个偶数和一个奇数。任何大于零的可被 2 整除的数都是偶数。例如，6 是偶数，因为它可以被 2 整除。任何不能被 2 整除的数都是**奇数**数。比如 3 不能被 2 整除，2 是奇数。在这个 python 程序中，我们必须使用 python 中的 [if 条件](../../python/decision-making-statements "Python condition statements")来实现这个逻辑。

使用 python 语言中的`input`方法接受用户的数字后。在 python 中使用`int`将[输入字符串转换为整数](../../python/python-datatypes "Python datatypes")后，我们将数字保存在变量中。然后我们使用一个 **Mod** 运算符，用 2 给定一个数，并检查余数是否为零。使用`if`条件检查余数是否为零，然后使用`print`功能，显示一个数字是偶数。`Else`显示的是奇数。

### 算法

**STEP 1:** 使用输入函数接受一个字符串，并在 python 中使用 int 将其转换为整数。然后将该值存储在变量中。

**STEP 2:** 使用 **mod** 运算符检查数字是否可被 **2** 整除。使用 if 条件检查结果，并打印数字，即使条件得到满足。

**STEP 3:** 使用`elif` 语句，使用 mod 运算符检查数字不能被 **2** 整除，并将数字打印为奇数。

**第 4 步:**使用`else`语句并打印不是有效输入的数字。

## Python 源代码

```py
num = int(input("Enter any number: "))

if (num % 2) == 0:   # check using mod operator and if that is true then print number is even

    print(num, "it is an even number")

elif (num % 2) == 1:  # Check using mod operator and if that not true then print number is odd

    print(num, "it is an odd number")  
else:

    print("Error, this is not a valid input")  # print the invalid input

```

## 输出

```py
Enter any number : 6

6 it is a even number.
```