# Python 程序：相加两个矩阵

> 原文：<https://learnetutorials.com/python/programs/matrix-addition>

在这个简单的 python 程序中，我们需要相加两个矩阵。这是一个关于 matrix 的初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 运算符](../../python/python-operators "Python operators")
*   [Python 列表](../../python/python-lists "Lists in python")
*   [Python 循环语句](../../python/python-loop-tutorials "loop in python")

## 矩阵是什么？

在这个关于矩阵的 python 程序中，我们必须相加两个矩阵。矩阵意味着在行和列中排列相同数据类型的数字或元素。一个**矩阵**也被称为数组的数组。矩阵中的行数和列数是矩阵的顺序。

举个例子，我们拿一个矩阵，矩阵 A [2 3 4]那么矩阵的顺序是 Rows * Columns，意思是 1*3。现在我们要求两个 2*3 阶矩阵的和。在矩阵成瘾中，我们必须在所有的行和列中相加每个元素。

## python 中矩阵的相加方式

让我们以矩阵 A 和矩阵 B 为例；现在我们要把矩阵 A 中的每个元素加到矩阵 B 中的每个元素上，也就是 **A[i][j] + B[i][j]** 。并打印结果矩阵 c。

在这个 python 程序中，我们必须找到两个有序矩阵 **m*n** 的和，为此，我们必须将元素为零的和矩阵初始化。对于这个实现，我们在 python 中使用嵌套的 [for 循环](../../python/python-loop-tutorials "loop structure in python")来获得两个矩阵的每一行和每一列中每个元素的总和。第一个`forloop`用于行，第二个用于列遍历。最后，我们必须找到和为**“和[I][j]= A[I][j]+B[I][j]”**，现在使用另一个`for loop`打印和矩阵。

### 算法

**STEP 1:** 在这个 python 程序中，我们有两个矩阵作为 **A** 和 **B** 。让我们检查矩阵顺序，并将矩阵存储在变量中。

**步骤 2:** 我们必须将和矩阵初始化为元素为**零**。

**STEP 3:** 现在，我们必须使用一个嵌套循环遍历控件的每一行和每一列中的每个元素。

**STEP 4:** 用语句“**sum[I][j]= A[I][j]+B[I][j]【T3]”求矩阵中每个元素的和，用 python 加到 sum 矩阵中。**

**步骤 5:** 使用`for loop`显示输出矩阵。

## Python 源代码

```py
A =  [ [1, 1, 1],
     [1, 1, 1],    # first matrix of order 3*3
     [1, 1, 1]]

B =   [[1, 2, 3],
      [4, 5, 6],    # second matrix of order 3*3
      [7, 8, 9]]

sum = [[0, 0, 0],
      [0, 0, 0],    # initializing the sum matrix with elements zero
      [0, 0, 0]]

for i in range(len(A)):              # using the nested for loop to traverse through the matrix A each row and column
    for j in range(len(A[0])):
        sum[i][j] = A[i][j] + B[i][j]     # calculating each element sum of two matrix

# displaying the output matrix
for num in sum:
    print(num)

```

## 输出

```py
[[2 3 4]
 [5 6 7]
 [8 9 10]] 
```