# Python 程序：显示一个月的日历

> 原文：<https://learnetutorials.com/python/programs/display-calendar>

在这个简单的 python 程序中，我们必须显示一个月的日历。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 数据类型](../../python/python-datatypes "Datatypes in Python")
*   [Python 模块](../../python/python-modules-packages "Python Modules")

## 用 python 解释日历模块？

为了显示日历，我们在 python 中有一个预定义的模块，叫做 calendar，它显示日历。`calendar`模块的语法类似( **calendar.month(yy，mm**))where’

*   **yy** 是年份
*   **mm** 为月。

我们用 python 语言对这个日历模块进行了许多预定义的操作。例如，

*   **firstweekday()** :返回一周的第一天数字。
*   **isleap(年份)**:这是检查给定的年份是不是闰年。
*   **闰日(第 1 年、第 2 年)**:这将返回两年限制内的闰日数。
*   **月(年、月)**:本程序使用，打印特定年份的特定月份。

日历模块还有很多方法可以使用，这在日历模块教程中有所描述。

## 如何用 Python 语言打印日历？

在这个简单的 python 程序中，我们从用户那里接受年和月的值，并导入日历模块。最后我们调用打印功能，调用`calendar`模块打印年、月`**print(calendar.month(yy,mm))**`。让我们破译密码

### 算法

**STEP 1:** 导入名为 calendar 的 python 内置模块，它有很多我们在上面的描述中讨论过的公认的操作方法。

**STEP 2:** 接受用户使用输入法输入的年和月作为字符串，并使用 python 语言中的 int 将其转换为整数。

**STEP 3:** 只需使用**月(yy，mm)** 操作，日历模块如同**日历。月(yy，mm)** 打印特定年份的特定月份。

## Python 源代码

```py
import calendar  

yy = int(input("Enter year: "))  

mm = int(input("Enter month: "))  

print(calendar.month(yy,mm))

```

## 输出

```py
Enter year: 2020
Enter month: 5
      May 2020
Mo Tu We Th Fr Sa Su
             1  2  3
 4  5  6  7  8  9 10
11 12 13 14 15 16 17
18 19 20 21 22 23 24
25 26 27 28 29 30 31
```