# Python 程序：打印给定范围内质数

> 原文：<https://learnetutorials.com/python/programs/print-prime-numbers>

在这个简单的 python 程序中，我们需要显示一个范围的质数。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 决策语句](../../python/decision-making-statements "Python condition statements")
*   [Python 循环语句](../../python/python-loop-tutorials "python loop statements")
*   [Python 函数](../../python/python-functions-tutorials "Python Functions")

## 什么是质数？

在这个 python 程序示例中，我们需要打印用户给出的两个数字之间的所有质数。为了清楚地理解程序，我们需要检查一个质数是什么意思？一个只有 2 个除数的数，也就是 1 和这个数本身，叫做素数。

## 我们如何显示一个范围内的素数？

所以在这个 python 例子中，我们需要检查一个范围内的每个数字是否是质数。为了实现这一点，我们使用两个`for loop`使用`range`功能。`range()`函数与 python 中的 for 循环一起使用，`range()` 函数用于循环指定次数。

python 中`Range()`函数的默认值是从零开始，每次递增 **1** ，达到指定值时结束。例如，如果我们在**范围(3)** 中使用“代表 x”，那么循环从零开始，默认为 2。请注意循环结束于 2，而不是 3。

这个 python 程序使用了两个`for loop`嵌套，就像外部 for 循环从较低的数字开始到较高的范围。然后在循环内部，我们检查数字是否大于零；如果是真的，我们从范围 2 到那个数字开始内`for loop`。在内部循环中，我们使用 **Mod** 操作符，并使用 python 中的`if`条件检查它是否等于零；如果它等于零，打破循环，它就不是质数。`Else`将数字打印为质数。让我们破译密码

### 算法

**STEP 1:** 使用 python 中的输入函数接受用户的上下值，并使用 int datatype 转换为整数。

**步骤 2:** 使用从低值到高值的范围 **+1** 启动外部`for loop`。我们使用 **up+1** 来达到 up 值。

**步骤 3:** 添加一个`if`条件，检查数字是否为正数。

**步骤 4:** 使用**模块**操作器启动内部 for 循环，检查每个数字是否为质数

**STEP 5:** 如果数字可以被任意数字整除，则打破循环。否则打印数字。

## Python 源代码

```py
#Take the input from the user:   
low = int(input("Enter lower range: "))  
up = int(input("Enter upper range: "))  

for n in range(low,up + 1):  
   if n > 1:  
       for i in range(2,n):  
           if (n % i) == 0:  
               break  
       else:  
           print(n) 

```

## 输出

```py
Enter low range: 2
Enter up range: 10
2
3
5
7 
```