# Python 程序：检查是否是阿姆斯特朗数

> 原文：<https://learnetutorials.com/python/programs/check-armstrong-number>

在这个简单的 python 程序中，我们需要检查一个阿姆斯特朗数字。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 循环语句](../../python/python-loop-tutorials "Python loop statements")
*   [Python 数据类型](../../python/python-datatypes "Datatypes in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 什么是阿姆斯特朗数？

在这个基本的 python 程序中，我们需要知道阿姆斯特朗数是什么意思。阿姆斯壮数是一个数，在这个数中，立方数的总和等于数本身。

例如，让我们以一个数字 153 为例，为了检查该数字是否是阿姆斯特朗数，我们需要取 1 和 5 与 3 的立方体，并将这些立方体相加，并使用 python 中的 if 条件检查结果是否等于 153。如果是 153，那就是阿姆斯特朗的数字。否则不行。这里 1+125+27 =153，所以是一个阿姆斯特朗数。

## 如何在 python 中实现一个阿姆斯特朗数检查？

在这个简单的 python 程序中，我们必须接受用户的数字并初始化 **sum** 和 **temp** 变量。在 python 中使用`while loop`直到数字大于零。通过 10 使用 **mod** 运算符将数字拆分成数字，并计算数字中每个数字的立方之和。最后，将数字除以 10，去掉一个数字。然后取那个数字的立方，和其他数字的立方相加。

### 算法

**STEP 1:** 接受用户的数字，使用 python 编程语言中的输入函数检查 Armstrong，并使用 **int()** 将该字符串转换为整数。

**步骤 2:** 将**和**初始化为零，并使用**温度**变量保存用户的数字。

**第三步:**增加一个`while loop`，用于从用户处拆分数字，计算每个数字的立方之和。

**步骤 4:** 使用**模块**运算符从数字中提取一个数字。

**第五步:**计算该数字的和为**和+立方**。

**第 6 步:**用 **10** 除该数字，继续循环。

**STEP 7:** 使用一个 if 条件检查 **num = sum** ，如果是正确的，打印的数字是 Armstrong else，而不是使用 python 语言的 print 语句的 Armstrong。

## Python 源代码

```py
number = int(input("Enter a number: "))  
sum = 0  
temp = number  

while temp > 0:  
   integer = temp % 10   
   sum += integer ** 3  
   temp //= 10  

if number == sum:  
   print(number,"is an Armstrong number")  
else:  
   print(number,"is not an Armstrong number") 

```

## 输出

```py
Enter a number:  153

153 is an Armstrong number 
```