# Python 程序：显示阿姆斯特朗数字

> 原文：<https://learnetutorials.com/python/programs/display-armstrong-numbers>

在这个数字 python 程序中，我们必须打印一定范围内的阿姆斯特朗数字。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 运算符](../../python/python-operators "Python Operators")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 如何用 Python 打印一个范围内的阿姆斯特朗数字？

我们已经讨论过你所说的阿姆斯特朗数是什么意思，一个等于该数中所有数字的立方之和的数。我们在查看[阿姆斯特朗的数字 python 程序](../../python/programs/check-armstrong-number "Check Armstrong number program")时讨论过；详情请参考。

现在在这个 python 程序示例中，我们需要打印用户给定范围之间的所有 Armstrong 数字，因此我们接受用户的范围，并将其保存在两个变量**低**和**高**中。现在使用`range`功能在 python 中打开一个从下范围到上范围的`for loop`结构。然后在里面`for loop`初始化变量和，并将数字的副本保存在一个临时变量中。我们从给定的范围内取每个数字，在`while loop`的帮助下，用 **Mod** 运算符检查每个数字是不是阿姆斯特朗。如果是阿姆斯壮，则打印该数字并移动到`for loop`中的下一个数字。

### 算法

**STEP 1:** 使用 python 编程语言中的输入函数，接受用户输入的上下两个范围的数字，转换为 int 并保存。

**第二步:**用范围法从低到高打开一个`for loop`，检查每个数字是否有阿姆斯壮。【**注意:**在 python 中的 range 函数中，我们需要使用 **upper +1** 来达到上限】

**第三步:**将**和**初始化为零，并存储在临时变量中，用于检查**温度**和**和**是否相同。

**第四步:**如果**温度**大于零，打开`while loop`，检查该数字是否为阿姆斯壮。

**步骤 5:** 现在我们使用 **mod** 运算符从数字中分割出一个数字

**第六步:**取数字的**和+立方**计算**和**

**第七步:**用 **10** 除一位取下一位。

**步骤 8:** 打开一个 if 条件，检查**号**是否等于 if 之和，这样打印**号**。

## Python 源代码

```py
low = int(input("Enter low range: "))  
up = int(input("Enter up range: "))  

for num in range(low, up + 1):  
    sum = 0 
    temp = num  
    while temp > 0:  
        digit = temp % 10  
        sum += digit ** 3  
        temp //= 10  
    if num == sum:  
       print(num) 

```

## 输出

```py
Enter low range: 100
Enter up range: 200

153 
```