# Python 程序：计算 LCM 

> 原文：<https://learnetutorials.com/python/programs/find-lcm>

在这个简单的 python 程序中，我们需要找到两个数字的 lcm。这是一个数字 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 函数](../../python/python-functions-tutorials "Python Functions")
*   [Python 循环结构](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## LCM 是什么意思？

在这个数字 python 程序中，我们需要找到 **LCM** 。在算术理论中， **LCM** 被称为**最不常见的倍数**。意思是最小的整数，是 **a** 和 **b** 的倍数，也可以描述为最小的数，可以被两个数整除。两个数的 Lcm 用 **lcm( a，b)** 表示。让我们以 **lcm(5，2)** 为例，5 的倍数是 5，10，15，20，25....2 的倍数是 2，4，6，8，10，12...在这种情况下，当我们取 LCM 时，我们得到的答案是 10。

## 如何在 python 中找到 LCM？

在这个简单的 python 程序中，我们需要应用这个逻辑来找到给定数字的 **LCM** 。所以我们首先要识别的更大的数字是使用 python 语言中的 if 条件，这意味着在前面的例子中，更大的数字是 **5** 。现在，当我们从更大的价值开始时，我们应用了这个逻辑。我们应用具有更大值的 **mod** 运算符和 **x，y** 。我们在 python 中调用一个用户定义的函数来进行 **Lcm** 计算。

如果两个条件都满足，那么我们打印 lcm 为更大。或者我们用 **1** 增加更大的值，并在循环的同时继续该 python，直到我们得到一个可被 **x** 和 **y** 整除的值。

让我们以这个初级 python 程序中的前一个例子为例。我们从更大的 5 开始，用 **x** 和 **y** 进行 **mod** 操作，它将是 5 **mod** 5 和 5 **mod** 2 它将在第一个中满足，但在第二个中不满足 2。所以我们用 1 增加更大，它将是 6。然后反复 6 **mod** 5 和 6 **mod** 2，直到大于 10。那么就满足了，我们打印 **LCM 为 10** 。

### 算法

**STEP 1:** 使用 python 编程语言中的输入函数接受用户的输入。并使用 **int()** 保存两个变量中的值。

**步骤 2:** 以 **num1** 和 **num2** 为参数调用功能 lcm。将这些参数传递给函数，并使用 python 语言的 print 将返回结果打印为 LCM。

#### **用户自定义函数 lcm(x，y)** :

**步骤 1:** 检查 **x** 是否大于 **Y** 。

**步骤 2:** 分配**大= x** 。

**步骤 3:** 如果条件为假，则使用 else 指定**大于= y** 。

**步骤 4:** 用一段时间开始循环。

**步骤 5:** 检查条件大 **mod x** 和大 **mod y** 是否为真。

**步骤 6:** 如果是真的，lcm 更大，并中断循环。

**第 7 步:**否则递增 **1** ，并将结果返回给函数。

## Python 源代码

```py
def lcm(x, y):  
    if x > y:  
        greater = x  
    else:  
        greater = y  
    while(True):  
        if((greater % x == 0) and (greater % y == 0)):  
           lcm = greater  
           break  
           greater += 1  
    return lcm  

num1 = int(input("Enter first number: "))  
num2 = int(input("Enter second number:"))  
print("The L.C.M. is", lcm(num1, num2)) 

```

## 输出

```py
Enter first number: 3
Enter first number: 6

The L.C.M. is 6
```