# Python 程序：查找 HCF 或 GCD 

> 原文：<https://learnetutorials.com/python/programs/find-hcf-gcd>

在这个简单的 python 程序中，我们需要找到两个数字的 HCF 或 GCD。这是一个数字 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 函数](../../python/python-functions-tutorials "Python functions")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 什么是 HCF 或 GCD？

在这个 python 程序中，我们要找到 **HCF** ，意思是**最高公因数**。不同于 **LCM** ， **HCF** 是最大公约数，其中 LCM 是最大公倍数。很简单。它是最高的整数，它将两个数字除以，没有余数，这意味着一个完全可分的数字。

也叫 **GCD** ，意思是最大公约数。让我们以两个数字 8 和 12 为例，它有一个条件，即最低不为零。8 的除数是 1，2，4，`and` 8，12 的除数是 1，2，3，4，6，12。所以在除数中，我们必须取最大公约数，在这个例子中是 4。所以 HCF 或 **GCD** (8，12)就是 4。

## Python 中 HCF 或 GCD 是如何计算的？

现在我们必须考虑如何将这个逻辑应用到我们的 python 程序示例中。这里我们必须找到较小的数字，并使用 python 中的`if`条件将该数字应用于较小的变量。然后，我们必须使用从 1 到较小数字的 for 循环来检查所有除数 x 和 y。我们必须用 mod 运算符找到所有能被两个数整除的除数。在`for loop`完全迭代后，可被两个数整除的最大除数将存储在 **HCF** 中。

我们可以通过前面的例子 8 和 12 来理解。`for loop`开始时，对于除数 2，所有条件都满足，HCF 为 2，但`for loop`会继续，当遇到除数 4 时，再次满足所有条件，HCF 从 2 重写为 4，返回的 HCF 为 4。这里我们使用一个用户定义的函数来做 HCF 的计算，所以我们要了解如何在 python 中调用一个函数。

### 算法

步骤 1:使用 python 编程语言中的输入函数接受来自用户的两个数字，并使用 **int()** 将其存储为整数。

第二步:用 python 语言调用 HCF 用户定义函数，绕过两个数字作为参数。最后，将函数返回的值打印为 HCF。

#### 用户定义函数 **hcf(x，y)**

步骤 1:检查较小的值，并将其分配给较小的变量。

第二步:从 **1** 打开一个`for loop`到一个较小的值

第三步:使用 **mod** 运算符检查并找出两个数的所有除数。

第四步:如果两个条件都满足，将 **I** 的值存储为 HCF。

第五步:然后，由于`for loop`，HCF 将存储最大除数。

步骤 6:用 python 语言将值返回给调用程序。

## Python 源代码

```py
def hcf(x, y):  
   if x > y:  
       smaller = y  
   else:  
       smaller = x  
   for i in range(1,smaller + 1):  
       if((x % i == 0) and (y % i == 0)):  
           hcf = i  
   return hcf  

num1 = int(input("Enter first number: "))  
num2 = int(input("Enter second number: "))  
print("The H.C.F. or G.C.D is", hcf(num1, num2)) 

```

## 输出

```py
Enter first number: 8
Enter second number: 12

The H.C.F or G.C.D is 4
```