# Python 程序：将十进制转换为八进制和十六进制

> 原文：<https://learnetutorials.com/python/programs/octal-hexadecimal-conversion>

在这个简单的 python 程序中，我们需要将十进制转换为八进制和十六进制。这是一个转换 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 运算符](../../python/python-operators "Operators in Python")
*   [Python 函数](../../python/python-functions-tutorials "Python functions")

## 十进制、八进制、十六进制是什么数字系统？

在这个初级 python 程序中，我们必须将十进制数转换为八进制和十六进制。

**十进制数字系统:**十进制是一个带有 **base10** 的数字，这意味着我们用“ **0** 到 **9** 来表示一个数字。我们所有的活动都使用十进制数。

**八进制数字系统:**八进制数字系统是以**为基数 8** 的数字系统，意思是用从 **0** 到 **7** 的数字来表示一个数字。

## python 中十进制数如何转换成八进制数和十六进制数？

我们可以通过将二进制数分成三组来将二进制数转换成八进制数。为了将十进制转换为八进制，我们使用连续的欧几里德除以 8。这意味着我们用最高可能的幂 8 除这个数，然后用最高的依次更小的幂 8 相乘。

例如，取一个十进制值 125，然后我们使用以下方法转换该十进制:“125 = 8 * * 2×1+61 61 = 8 * * 1×7+5 5 = 8 * * 0×5+0”。

**十六进制数制:**十六进制数制是以 16 为基数，意思是用 0 到 9 的数字和 A 到 F 的符号来表示一个数。十六进制数字系统主要由计算机编程领域的程序员和设计师使用。

要将十进制转换为十六进制，我们需要将数字除以 **16** ，并将余数用于十六进制值。并将“ **10** 转换为 **15** 作为“ **A** 到 **F** ”。重复这个步骤，直到商为零。

在这个 python 程序中，我们必须使用 python 中的内置函数来将十进制转换为八进制或十六进制。要将十进制转换为八进制，我们使用函数 **oct()** ，要将十进制转换为十六进制，我们使用 **hex()** 。

### 算法

步骤 1:接受用户使用 python 编程语言输入的十进制值。

第二步:使用函数 **oct(num)** 打印八进制。

第三步:使用函数**十六进制(num)** 打印十六进制。

## Python 源代码

```py
num = int(input("Enter a decimal number: "))  

print(oct(num),"in octal.")  
print(hex(num),"in hexadecimal.")

```

## 输出

```py
Enter a decimal number: 20
0o24 in octal.
0x14 in hexadecimal.
```