# Python 程序：计算矩阵转置

> 原文：<https://learnetutorials.com/python/programs/find-transpose-matrix>

在这个简单的 python 程序中，我们需要找到矩阵的转置。这是一个矩阵 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 列表](../../python/python-lists "Python list")

## 什么是矩阵的转置？

在这个基本的 python 程序中，我们解释了如何计算矩阵的转置。矩阵是按行和列排列的一组相同数据类型的元素。矩阵的转置意味着我们必须把行变成列，把列变成行。这是翻转矩阵的对角线。矩阵的转置用矩阵名 raise T 表示。

举个简单的例子，比如 A = [1，2，3]，矩阵 A 的转置是 AT = [1] [2] [3]。

## 我们如何在 python 中找到转置？

在这个简单的 python 程序中，我们使用预定义的两个矩阵 X 和 Y。Y 被初始化为零以保存矩阵 X 的转置。现在我们使用嵌套的 **for 循环**遍历给定矩阵的外循环中的每一行和内循环中的每一列。然后我们把 X[i][j]的值赋给 Y[j][i]，直到循环迭代结束。最后，使用 python 中的 for 循环打印结果。

### 算法

**步骤 1:** 将矩阵的值保存在名为 **X** 的变量中。

**步骤 2:** 使用 python 语言初始化一个 **Y** 矩阵，并交换矩阵 A 的顺序。

**步骤 3:** 使用外部`for loop`遍历矩阵行。

**第四步:**使用内`for loop`遍历矩阵的列。

**步骤 5:** 赋值 **Y[j][i] = X[i][j]** 直到所有迭代结束。

**步骤 6:** 使用 python 编程语言中的`for loop`打印 **Y** 矩阵

## Python 源代码

```py
X =[[1,2],  
   [4,5],  
   [7,8]]  

Y  = [[0,0,0],  
     [0,0,0]]  

for i in range(len(X)):  
   for j in range(len(X[0])):  
       Y[j][i] = X[i][j]  

for r in Y:  
   print(r) 

```

## 输出

```py
[1, 4, 7]
[2, 5, 8]
```