# Python 程序：排序字符串中的单词

> 原文：<https://learnetutorials.com/python/programs/sort-string-words>

在这个简单的 python 程序中，我们需要对字符串中的单词进行排序。这是一个中级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 函数](../../python/python-functions-tutorials "Python Functions")

## 解释 python 中的拆分和排序方法？

在这个简单的 python 程序中，我们需要对 python 中的一个字符串[的字母进行排序。排序是我们需要按照特定的顺序排列单词或字母的过程。这里我们使用`split()`方法将单词或字母拆分成一个列表。然后使用`sort()`方法将单词或字母按一定顺序排序。](../../python/python-string "strings in python")

默认顺序是升序；然后，我们使用 for 循环来打印字符串的字母。

**Split():**`Split()`python 语言中的方法是将单词或字母拆分成一个列表。我们可以使用 `split()`方法中的最大分割来获得最大元素加 1。我们可以使用任何东西作为分割的参数，所以当遇到该参数时，分割方法会像`split(", ")`一样被激活，这里的分割功能会在遇到“，”时被激活。

**Sort():**`sort()`python 中的方法用于对列表元素进行排序。默认情况下，排序将按升序排列。为了按降序对单词进行排序，我们对排序方法使用了一个相反的参数。比如`sort(reverse=true)`。我们还可以使用`sort()`方法，使用用户定义的关键字对元素进行排序。`Sort(key=len)`在这个 python 程序中。

## python 中字符串的排序是如何完成的？

我们接受用户输入，并将其保存到变量 **str** 中。使用两个函数“**拆分**”将单词拆分到一个列表中，并对该列表应用排序来进行排序。最后，使用`for loop`打印排序后的单词列表。

### 算法

**STEP 1:** 使用 python 语言的输入函数接受来自用户的字符串，并将其保存到一个变量中。

**STEP 2:** 应用 python 中的拆分方法，将单词拆分成列表。

**步骤 3:** 应用排序方法，按照默认的升序对元素列表进行排序。

**步骤 4:** 使用`for loop`打印列表中的每个元素。

## Python 源代码

```py
str = input("Enter a string: ")  

words = str.split()  

words.sort()  

for word in words:  

   print(word) 

```

## 输出

```py
Enter a string: a o e i u

a
e
i
o
u
```