# Python 程序：将一个数组的所有元素复制到另一个数组

> 原文：<https://learnetutorials.com/python/programs/copy-array-elements>

在这个简单的 python 程序中，我们必须将一个数组的元素复制到另一个数组中。这是一个中级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 列表](../../python/python-lists "Python list")

## 什么是数组或列表？

在这个 python 程序示例中，我们使用了 python 中数组的概念。数组是存储在顺序存储位置的一组相同数据类型的元素，可以通过索引进行访问。数组元素必须是相同的类型。该数组由[i]表示，其中“a”是数组名称，“1”是指向该元素的下标，a[0]将是数组“a”的第一个元素。

## 如何在 python 中将一个数组的元素复制到另一个数组？

***在 python 语言中，这里没有数组，我们使用列表作为数组，这与数组*** 相同。在这个数组 python 程序中，我们将把一个数组的元素复制到另一个数组中，为了实现这一点，我们必须用一些预定义的元素初始化一个数组 **arr1** 。按照第一个数组的长度创建另一个数组 **arr2** 。然后我们使用 python 语言中的 for 循环将第一个数组 **arr1[i]** 的每个元素复制到第二个数组 **arr2[i]** 。最后，我们显示两个数组。

### 算法

**STEP 1:** 使用 python 语言中的数组概念初始化我们需要复制的第一个数组。

**步骤 2:** 使用**透镜()**方法创建第一个阵列的另一个长度阵列。

**步骤 3:** 使用从零开始到第一个数组长度的`for loop`。

**STEP 4:** 使用 **arr2[i] = arr1[i]将第一个数组的每个值分配给 for 循环中的第二个数组；**

**步骤 5:** 使用从零到第一个数组长度的`for loop`，并使用 python 编程语言中的 print 打印第一个数组的元素

**步骤 6:** 使用另一个从零到第二个数组长度的`for loop`使用 print 语句显示第二个复制数组中的元素。

## Python 源代码

```py
arr1 = [1, 2, 3, 4, 5];     # define the first array with elements

arr2 = [None] * len(arr1);    # create a second array using the len()

for i in range(0, len(arr1)):    # Use for loop to assign first array elements to second array
    arr2[i] = arr1[i];     

print("Elements of  first array: ");    # display first array
for i in range(0, len(arr1)):    
   print(arr1[i]),    

print();    

print("Elements of second array: ");    # display the second array
for i in range(0, len(arr2)):    
   print(arr2[i]), 

```

## 输出

```py
Elements of  first array: 
1
2
3
4
5

Elements of second array: 
1
2
3
4
5
```