# Python 程序：左移数组中的元素

> 原文：<https://learnetutorials.com/python/programs/leftrotate-array-elements>

在这个简单的 python 程序中，我们需要在数组中左移元素。这是一个中级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 列表或数组](../../python/python-lists "Python list")

## 什么是左移位或左旋转数组？

在这个简单的 python 程序中，我们需要向左旋转数组的元素 **n 次**。python 中的数组是由公共变量索引的一组相同类型的元素。数组元素以数组[0]=第一个元素，数组[1] =第二个元素的形式存储在顺序列表中，就像这样。

例如，考虑一个数组 A 包含元素 1，2，3，4，5 数组 A = [ 1，2，3，4，5 ]所以我们假设要将元素向左旋转两次。在第一次旋转中，数组会是这样的 A = [2，3，4，5，1]，第二次旋转后，数组会变成这样的 A =[3，4，5，1，2]我们可以旋转任意多次。

## python 中数组如何左移？

让我们以基本的 python 程序逻辑为例，我们打开一个`for loop`，然后将数组的第一个元素保存成一个变量。打开内部 for 循环，将元素左移一位，并追加保存的变量中的最后一个元素。python 中的外部 for 循环将一直持续到我们需要向左旋转元素的次数。

### 算法

**步骤 1:** 使用一些元素初始化数组。并给 n 赋值，作为我们想要在 python 语言中向左旋转数组的次数。

**STEP 2:** 现在我们使用 python 编程中的`len()`方法和`range()`方法，使用从零到数组长度的 for 循环来显示原始数组。

**步骤 3:** 使用量程方法打开外环，直到数字 n 从零开始。

**STEP 4:** 将第一个元素**a【I】**存储到变量中。

**STEP 5:** 打开内部循环，从数组的第一个元素遍历到数组长度减一。我们必须使用少于一个来追加变量的最后一个元素。

**STEP 6:** 使用 **a[j] = a[j+1]** 的方法应用左移，会将第一个元素变为第二个元素。

**STEP 7:** 从我们存储原始数组第一个元素的变量中追加数组的最后一个元素。

**STEP 8:** 使用 python 编程语言中的 for 循环和 print 语句打印结果数组。

## Python 源代码

```py
arr = [1, 2, 3, 4, 5];     

n = 1;    # how many times array should be shifted

print("Original array: ");    
for i in range(0, len(arr)):    # displaying the first or real array
    print(arr[i]),     

for i in range(0, n):    # rotate the element of array using for loop 

    first = arr[0];    # saving the first element to a variable

    for j in range(0, len(arr)-1):    

        arr[j] = arr[j+1];    #shifting to left by one 

    arr[len(arr)-1] = first;    # adding the first element to array from the variable

print();    

print("Array after left rotation: ");    
for i in range(0, len(arr)):    
    print(arr[i]), 

```

## 输出

```py
Original array: 
1
2
3
4
5

Array after left rotation: 
2
3
4
5
1
```