# Python 程序：打印数组偶数位置的元素

> 原文：<https://learnetutorials.com/python/programs/print-even-array-elements>

在这个简单的 python 程序中，我们必须打印数组的偶数元素。这是一个基于列表的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 列表](../../python/python-lists "Python list or array")

## 如何打印数组中的偶数元素？

在这个简单的 python 程序中，我们需要打印数组偶数位置上的元素。所以我们必须了解数组在 python 中是如何工作的。在数组中，元素存储在内存位置序列中，可以通过变量进行索引。为了得到第一个元素，我们使用索引**a【0】**，它存储在位置一。

例如，让我们举一个数组 A = [0，1，2，3，4，5]的例子；这里，元素 0 存储在位置 1，可以被 A[0]访问。所以每个元素的位置比索引大一个。

```py
Position  1  2  3  4  5
array A=[ a, b, c, d, e ]
Index =   0  1  2  3  4 

```

为了解决初级 python 程序，我们使用 python 中的 for 循环，从数组 1 的位置开始到数组的长度，通过递增 2 到达数组的末尾，以获得数组的下一个偶数索引，因此我们在第一次迭代中使用元素 b，因为数组[1]是位置 2。我们得到 d，因为它增加了 2。

### 算法

步骤 1:使用一些预定义的元素初始化数组 **X** 。

第二步:使用打印语句打印“元素在均匀的位置。”

第三步:使用`for loop`从 1 开始，直到数组 **X** 的长度，递增 **2** 。我们用 1 开始 For 循环，因为**X【1】**将在位置 2。

步骤 4:使用 python 编程语言中的打印语句打印数组 **X** 中的偶数元素。

## Python 源代码

```py
arr = [1, 2, 3, 4, 5];     

print("Array elements in even position : ");    

for i in range(1, len(arr), 2):    # use the for loop to get the even index position elements. 
    print(arr[i]); 

```

## 输出

```py
Array elements in even position : 
2
4
```