# Python 程序：寻找数组中最大元素

> 原文：<https://learnetutorials.com/python/programs/find-largest-array-element>

在这个简单的 python 程序中，我们找到了数组中最大的元素。这是一个基于数组的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表或数组](../../python/python-lists "Python List")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 如何找到数组中最大的元素？

基于 python 编程中的数组概念，我们需要找到数组中最大的元素。数组是由公共索引访问的相同数据类型的元素的集合。在这个求解过的 python 程序中，找到最大的元素。

我们将数组中的第一个元素放在一个变量中，然后借助于`for loop` **、**遍历直到数组的末尾，并将每个元素与包含第一个元素的变量进行比较。如果我们在 python 中使用 If 条件找到了比第一个元素更大的元素，则将变量交换到该元素。最后，经过`for loop`的所有迭代，我们的变量中有最大的值。

例如，考虑一个有 5 个元素的数组 A = [ 2，8，4，9，5]；首先，我们在 for 循环中取名为“x”的变量中的 2，并将 x 与 8 进行比较。更改 x = 8 的值，并使用 python 语言基础再次遍历循环。现在我们比较 x 和 4，x 没有变化，因为 3 小于 8。等等。当 python 中的 for 循环到达末尾时，x 将是最大的元素，即 9。

### 算法

步骤 1:初始化一个名为 **lar** 的数组，并将一些预定义的值添加到数组中。

第二步:将数组的第一个元素赋给一个名为“ **L** 的变量。

步骤 3:使用 python 编程语言中的`len()`和`range()`方法，使用从零到数组长度的`for loop`。

步骤 4:使用`if`条件将数组中的每个元素与一个变量进行比较。

第五步:如果元素大于变量，那么把它变成元素。

第六步:数组中最大的元素 print 是 python 语言中使用 Print 的变量。我们使用 python 中的`str()` 方法将整数转换为字符串进行打印。

## Python 源代码

```py
lar = [1, 3, 9, 4, 5];     

L = lar[0];      # assigning the first element to a variable

for i in range(0, len(lar)):    # looping to traverse till the end of array  

   if(lar[i] > L):    # use a if condition to compare and assign greater value to variable L
       L = lar[i];    

print("Largest element in array is : " + str(L)); 

```

## 输出

```py
Largest element in array is : 9
```