# Python 程序：寻找数组最小元素

> 原文：<https://learnetutorials.com/python/programs/find-smallest-array-element>

在这个简单的 python 程序中，我们必须找到数组的最小元素。这是一个中级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python Lists")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 如何得到数组的最小元素？

在这个基于数组的简单 python 程序中，找到数组中最小的元素。数组是同一数据类型的一组元素。一个数组可以被一个公共变量访问。为了找到数组的最小元素，我们将数组的第一个元素赋给一个变量，并打开一个 for 循环来遍历数组的末尾。

在每次迭代中，我们使用 python 中的 if 条件将变量中存储的第一个元素与每个数组元素进行比较。如果数组元素小于变量，则变量值被交换为最小值。最后，我们得到变量中最小的元素。

例如，考虑 python 语言中的一个简单的 2D 数组。array = [3，2，1，4，5]。我们给出变量 A 中的第一个值 3，并使用`for loop`将变量 A 与数组中的每个元素进行比较。让我们取数组中的第二个元素，它是 2。所以它小于变量值 3。所以变量变为 2。这样，当循环完全迭代时，我们得到变量中的最低值，并使用 [python 语法](../../python/syntax-comments "Python syntax")和 python 方法打印变量。

### 算法

**步骤 1:** 用一些预定义的值初始化一个数组。

**步骤 2:** 将数组中的第一个元素赋给一个变量。

**第三步:**使用`for loop`从第一个元素移动到数组的末尾。

**步骤 4:** 使用`if`条件将数组元素的值与变量进行比较。

**步骤 5:** 如果数组元素小于变量值，则用数组元素的较低值赋给变量。

**步骤 6:** 使用 python 编程语言中的 Print 打印变量的最小值。我们使用 python 编程中的`str()`函数将整数变量转换为字符串。

## Python 源代码

```py
arr = [3, 2, 1, 4, 5];     

min = arr[0];  #Assign the first element 

for i in range(0, len(arr)): # loop for traversing through the array

   if(arr[i] < min):  # use if condition to compare 

       min = arr[i];    

print("Smallest element in array is: " + str(min)); 

```

## 输出

```py
Smallest element in array is: 1
```