# Python 程序：对数组元素升序排序

> 原文：<https://learnetutorials.com/python/programs/array-elements-ascending-sort>

在这个简单的 python 程序中，我们需要对 python 中的数组进行排序。这是一个排序 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python Lists")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 如何在 python 中不用任何方法对数组进行排序？

在这个面向初学者的简单 python 程序中，我们需要按升序对数组中的元素进行排序。数组是同一数据类型的一组元素。若要对数组进行排序，请对循环使用嵌套。外部循环用于从数组中获取一个元素，内部循环用于将该元素与数组中的其他元素进行比较。当找到一个值较低的元素时，它将使用 python 中的 if 条件与比较元素交换。重复循环对数组中的每个元素进行排序，以获得所有排序的元素。

让我们举一个有元素[5，3，1，2，4]的数组例子，然后我们拿第一个元素 5 和其他元素比较，所以我们把它和 3 比较，它比 5 小，所以它和 3 交换。最后，我们对数组进行排序。在这个关于数组的 Basic python 程序中，我们使用了一个带有一些元素的预定义数组。然后我们使用一个**温度**变量初始化为零。在显示原始数组后，我们使用嵌套`for loop`并用 **temp** 变量交换元素，最后用`for loop`打印排序后的数组。

### 算法

**步骤 1:** 用一些预定义的值初始化数组。

**步骤 2:** 定义一个变量**温度**，值为零。

**STEP 3:** 我们使用 python 编程中的 range 方法，使用 for 循环打印原始数组。

**第四步:**从零到数组长度开始外`for loop`比较数组中的一个元素。

**步骤 5:** 打开从 **i+1** 到数组长度的内部`for loop`，将该元素与数组中的所有其他元素进行比较。

**步骤 6:** 使用 if 条件检查所选元素是否大于比较元素，

**第 7 步:**用较小的元素交换选定的元素，直到 for 循环结束，以获得 python 中完全排序的数组。

**步骤 8:** 使用 for 循环打印排序后的数组，并使用 python 编程语言打印

## Python 源代码

```py
arr = [5, 2, 3, 4, 1];     
temp = 0;    

print("Elements in original array: ");    # printing the original array
for i in range(0, len(arr)):     
    print(arr[i]),    

for i in range(0, len(arr)):    
    for j in range(i+1, len(arr)):      # comparing the elements using nested for loop
        if(arr[i] > arr[j]):    
            temp = arr[i];    
            arr[i] = arr[j];        # swapping the elements
            arr[j] = temp;    

print();    

print("Array sorted in ascending order: ");    
for i in range(0, len(arr)):     
    print(arr[i]), 

```

## 输出

```py
Elements in original array
5, 2, 3, 4, 1

Array sorted in ascending order
1, 2, 3, 4, 5
```