# Python 程序：对元素降序排序

> 原文：<https://learnetutorials.com/python/programs/array-descending-sort>

在这个简单的 python 程序中，我们需要以降序对 python 中的数组进行排序。这是一个排序 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python Lists")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## python 中数组如何降序排序？

在这个关于排序的简单 python 程序中，我们需要按降序对元素进行排序，这意味着我们需要将元素从最大到最小进行排序。几乎和升序排序一样。

在这个简单的 python 程序中，我们使用嵌套的两个 for 循环。外部的`for loop` 用于从数组中获取每个元素，内部的`for loop`用于使用 if 条件比较数组中的那个元素。如果满足“`if condition`”，这意味着如果任何元素大于所选元素，我们必须使用 **temp** 变量交换元素的位置。

在循环的内部和外部的所有迭代之后，我们将数组按照降序排序。最后，我们使用另一个进行循环来打印数组。在这个 python 程序中，我们使用了带有一些元素的预定义数组。然后，我们使用 for 循环打印数组，以显示原始数组。然后我们使用一个嵌套的 for 循环和一个 if 条件来比较数组中的每个元素和同一个数组中的每一个其他元素，如果我们找到的任何元素少于比较元素，在用一个**temp** 变量交换该元素之后，交换该元素。我们使用另一个 for 循环显示排序后的数组。

算法

**步骤 1:** 初始化一个包含一些元素的数组。

**步骤 2:** 初始化一个变量**温度**进行交换。

**步骤 3:** 使用 python 语言的`for loop`显示数组。

**步骤 4:** 从零到数组长度开始外部 for 循环。

**步骤 5:** 启动内环，将数组的每个元素与外环元素进行比较。

**步骤 6:** 如果所选元素小于比较元素。然后我们在每次迭代中使用**温度**变量交换元素的位置。

**STEP 7:** 使用 python 编程中的 Print 打印结果排序数组。

## Python 源代码

```py
arr = [5, 2, 3, 4, 1];     
temp = 0;    

print("original array: ");    # printing the original array
for i in range(0, len(arr)):     
    print(arr[i]),    

for i in range(0, len(arr)):    
    for j in range(i+1, len(arr)):      # comparing the elements using nested for loop
        if(arr[i] < arr[j]):    
            temp = arr[i];    
            arr[i] = arr[j];        # swapping the elements
            arr[j] = temp;    

print();    

print("Array sorted in descending order: ");    
for i in range(0, len(arr)):     
    print(arr[i]), 

```

## 输出

```py
original array

[5, 2, 3, 4, 1]

Array sorted in descending order

5 4 3 2 1 
```