# Python 程序：检查一个数字是否是 Disarium 数字

> 原文：<https://learnetutorials.com/python/programs/check-disarium-number>

在这个简单的 python 程序中，我们需要检查给定的数字是否是 Disarium 数字。这是一个数字 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 函数](../../python/python-functions-tutorials "Python Functions")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 什么是双数？

这个简单的 python 程序即将检查一个 Disarium 数字。我们必须理解什么是灾难数字吗？Disarium 数字是一个类似于阿姆斯特朗数字的数字。如果一个数的数字和它们的位置加起来就是这个数本身，这个数就叫做双数。

让我们举个例子来说明一下。135 是一个双数，因为 5 的立方和 3 + 1 的平方之和，等于 125 + 9 + 1 = 135。

## 如何在 python 中检查一个 disarium 数字？

在这个简单的 python 程序中，对于一个 disarium 数字，我们需要检查给定的数字是否是 disarium。因此，我们使用 python 中的用户定义函数来查找数字的长度。然后在 python 中使用 while 循环，直到数字大于零。为了分割该数，我们使用 **mod** 运算符乘以 10，并在每次分割中取余数，然后我们找到**和**作为余数的和，并将其增加到长度。最后，将长度减 1，将数字除以 10，去掉每个循环迭代中的最后一个数字。最后，我们在 python 编程中使用 if 条件检查总和和数字是否相同。

在“用户函数”里面查找数字的长度；我们用一个`while loop`直到数字不为零。我们把长度加 1。现在我们将数字除以 10，在每次循环迭代中从数字中去掉一个数字。最后，将长度返回给主程序。

### 算法

**步骤 1:** 给变量赋值。如果我们想输入数字来检查是否有错误，我们也可以使用输入功能。

**步骤 2:** 初始化**总和**和提醒为零，然后开始 python 语言的`while loop`。

**步骤 3:** 使用用户定义的函数计算数字的长度，并将数字作为参数传递给函数。

**第四步:**我们将数字复制到一个变量中。

**第五步:**打开一个`while loop`直到数字大于零。

**步骤 6:** 使用**模块**操作符提取剩余的数字。

**第七步:**计算**和**:提醒加注长度和前一个和的和。

**STEP 8:** 用 python 将数字除以 10 得到下一个数字。

**STEP 9:** 将长度减 1，得到下一个数字的上升长度。

**步骤 10:** 使用“`if`条件”检查总和和数字是否相等，如果相等，打印其数字。

**第 11 步:**否则不打印数字。

#### **用户定义函数计算长度(n)**

**STEP 1:** 首先，我们初始化一个长度为零的变量。

**第二步:**打开一个`while loop`直到数字不等于零。

**步骤 3:** 在每次迭代中将长度增加 1。

**第四步:**将数字除以 10，去掉计数的数字。

**STEP 5:** 使用 python 编程语法返回长度。

## Python 源代码

```py
def calculateLength(n):    
    length = 0;    
    while(n != 0):    
        length = length + 1;       # user defined function for calculating length
        n = n//10;    
    return length;    

num = 89;    
rem = sum = 0;    
len = calculateLength(num);    

n = num;      # copy the real number to a variable

while(num > 0):    
    rem = num % 10;    
    sum = sum + int(rem**len);   # calculating the sum to check for disarium or not
    num = num//10;    
    len = len - 1;    

if(sum == n):    
    print(str(n) + " is a disarium number");   # use str() function to convert integer to string
else:    
    print(str(n) + " is not a disarium number"); 

```

## 输出

```py
89 is a Disarium number
```