# Python 程序：检查的数字是否是幸福数字

> 原文：<https://learnetutorials.com/python/programs/check-happy-number>

在这个简单的 python 程序中，我们必须检查一个幸福数字。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 函数](../../python/python-functions-tutorials "Python Functions")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 幸福的数字是什么？

在这个 python 程序示例中，我们需要检查一个幸福数字。如果一个数中所有数字的平方和在重复做的时候得到一，这个数就被称为快乐数。如果结果是 4 的无穷循环，那么这个数就被称为不快乐数。让我们举个例子来检查一个数字是不是幸福的数字，以便理解清楚。

坐 32 路。现在，让我们分开数字，检查幸福数字或不幸福数字。

1.  3**2 + 2**2 = 13 [我们将数字分开，取该数字中数字平方的和，所以这里 3 平方+ 2 平方= 13。]
2.  1**2 + 3**2 = 10 [再次将结果数 13 拆分为 1**2 和 3**2，取两位数的平方和，结果数为 10]
3.  1**

## 如何在 python 中检查幸福数字？

为了解决这个 python 程序，我们使用 python 中的 while 循环应用逻辑，直到用户定义函数的结果是 1 或 4。在 python 中使用一个用户定义的函数 [](../../python/python-functions-tutorials "functions in python") ，在这里我们将数字从主程序传递给函数，然后我们初始化两个变量用于提醒和求和为零。然后从大于零的`while loop` 开始检查一个幸福数字。

使用 **mod** 运算符将数字的余数乘以 10，我们将**和**与提醒方块相加。然后我们将数字除以 10，将数字分开，取下一个数字。最后，我们返回**总和**作为结果。然后使用 python 中的 if 条件检查结果是否为 1。如果是这样，将数字打印为一个幸福数字。否则不是一个幸福数字。

### 算法

**步骤 1:** 预定义一个数字，检查是否有幸福数字。我们还可以使用输入功能来接收用户的输入。

**STEP 2:** 初始化存储 python 程序结果的变量。

**STEP 3:** 打开一个`while loop`直到结果是 1 或者 4，调用 python 编程语言中的自定义函数检查数字是不是幸福数字。我们将数字作为参数传递给函数。

#### **用户定义的函数 is number(num)**

**步骤 1:** 初始化提醒，**将变量**求和为零。

**第二步:**打开一个`while loop`直到数字等于零。

**第三步:**我们使用**模块**操作符进行提醒。

**第 4 步:**求和是用余数的平方加和。

**第五步:**将数字除以 10，并返回**和**。

## Python 源代码

```py
def isHNumber(num):
   rem = sum = 0
   while(num > 0):
      rem = num%10
      sum = sum + (rem*rem)
      num = num//10
   return sum;
num = 86
result = num
while(result != 1 and result != 4):
   result = isHNumber(result);
print("The number is being checked")
if(result == 1):
   print(str(num) + " is a happy number");
elif(result == 4):
   print(str(num) + " isn't a happy number");

```

## 输出

```py
82 is a happy number
```