# Python 程序：检查的数字是否是 harshad 数字

> 原文：<https://learnetutorials.com/python/programs/check-harshad-number>

在这个简单的 python 程序中，我们必须检查 Harshad 号。这是一个数字 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## harshad 数字是什么？

在这个简单的 python 程序中，我们需要检查给定的数字是不是 Harshad 数。Harshad 数是一个数，其中该数的位数之和必须是该数的除数。这意味着给定的数必须能被该数的位数之和整除。

例如，以数字 54 为例。我们必须把数字分成 5 和 4 这样的数字，所以总和 id 为 5+4 = 9。Harshad 数为 9 的条件必须是 54 的除数，否则 54 将被 9 整除。事实上 54 / 9 是零。余数为零。所以它是完全可分的。

## python 中的 Harshad 号怎么查？

在这个简单的 python 程序中，我们使用一个`while loop`直到数字大于零。然后使用 **mod** 运算符从数字中获取数字，我们将数字相加得到总和。现在将数字除以 10，将数字分开，去掉一个数字。然后，我们再次使用 python 中的 if 条件语句，使用 **Mod** 运算符检查数字是否可被 **sum** 整除。如果余数为零，则打印其 Harshad 号。

### 算法

**步骤 1:** 用某个预定义的数字初始化一个数字。

**步骤 2:** 初始化提醒，并将其求和为零。

**步骤 3:** 将数字复制到另一个变量中保存其值。

**步骤 4:** 使用`while loop`直到数字大于零。

**步骤 5:** 使用 **mod** 运算符计算余数，我们得到数字的位数。

**第六步:**将和相加作为和和提醒，将数字除以 **10** 进行拆分，去掉数字中的一位。

**步骤 7:** 使用`if`条件，检查数字模和是否等于零。

**第八步:**如果是零，打印一个 harshad 数字。`Else`用 python 编程语言打印，不是 Harshad。

## Python 源代码

```py
num = 54;    
rem = sum = 0;    

n = num;    

while(num > 0):    
    rem = num%10    
    sum = sum + rem;     # calculating the sum of digits of the number
    num = num//10;    

if(n%sum == 0):    
    print(str(n) + " is a harshad number");    
else:    
    print(str(n) + " is not a harshad number"); 

```

## 输出

```py
54 is a harshad number
```