# Python 程序：打印一个范围内的所有除数

> 原文：<https://learnetutorials.com/python/programs/print-divisors>

在这个简单的 python 程序中，我们需要找到一个数的所有除数。这是一个基于算术运算的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 如何用 python 得到一个数字在一个范围内的所有除数？

一个[简单的 python 程序](../../python/introduction-tutorial "python introduction")来显示一个数的所有除数，这意味着打印所有在某个范围内可以被给定数整除的数。通过检查余数是否为零来检查一个数是否能被给定的数整除。如果除法后余数为零，那么它是可分的。

例如，让我们取数字 5，检查数字 15 是否能被 5 整除。15 / 5，得到的余数为零，所以它是可分的。

为了在 python 语言中应用这个简单的逻辑，我们从用户那里获取下限和上限的值。那么这个数就是检查它是否可分。为此，我们打开一个`for loop`从较低范围到较高范围迭代每个数字。现在使用 python 中 if 条件内的 **mod** 运算符检查所选数字是否可被给定数字整除，并打印该数字。

算法

**步骤 1:** 使用输入法接受用户输入的上下限值，并使用 python 编程中的`int()`将该字符串转换为整数。

**第二步:**接受 **n** 的值，这个数要除以给定范围内的数。

**第三步:**使用 python 中的 range 方法从下往上打开一个`for loop`。

**步骤 4:** 使用 if 条件和 **mod** 运算符检查范围内每个数字的提醒是否为零。如果条件匹配，则打印数字。

## Python 源代码

```py
lower=int(input("Enter lower range limit:"))

upper=int(input("Enter upper range limit:"))

n=int(input("Enter the number to be divided by:"))

for i in range(lower,upper+1):

    if(i%n==0):

        print(i)

```

## 输出

```py
Enter lower range limit: 10

Enter upper range limit: 25

Enter the number to be divided by: 5

10
15
20
25
```