# Python 程序：读取三位数并打印所有组合

> 原文：<https://learnetutorials.com/python/programs/print-digit-combinations>

在这个简单的 python 程序中，我们需要读取三位数并打印所有的组合。这是一个中级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## python 中三位数的所有组合怎么打印？

在这个 python 程序中，我们需要接受三个数字，并且我们必须打印这些数字的所有组合。所以检查这个 python 程序的唯一条件是数字中不会有任何重复。我们通过在 python 中使用 if 条件来保证这一点。

让我们举一个三位数 1，2，3 的例子来说明，那么可能的组合是 1 2 3，1 3 2，2 3 1，我们永远不会得到任何像 1 1 2 这样重复的数字。

为了解决这个 python 问题，我们从用户那里获取数字，并使用 python 语言中的`append` 方法将数字追加到列表中。我们使用三个 for 循环嵌套来获取每个数字，并打印这些数字的所有组合。`If`嵌套中的条件 `for loop`将检查组合数字中的任何重复。如果我们发现任何重复，那么我们不会打印该组合。

### 算法

**步骤 1:** 输入 3 个输入数字，使用输入法将数字保存到变量中，并使用 Python 编程语言中的`int()`将该字符串转换为整数。

**步骤 2:** 用**零**值初始化列表。

**第三步:**使用`append` 方法，我们给 python 列表赋值。

**STEP 4:** 从零到 3 打开三个嵌套`for loop`。数字的长度是取每一个数字，用 3 个数字检查每一个组合。

**步骤 5:** 使用 python 语言中的`if`条件检查数字的值是否相同。如果不一样，那么用 python 打印那个组合。

## Python 源代码

```py
a=int(input("Enter first number:"))

b=int(input("Enter second number:"))    # accept the digits from the user

c=int(input("Enter third number:"))

d=[]

d.append(a)

d.append(b)        # append the digits into the list

d.append(c)

for i in range(0,3):

    for j in range(0,3):       # nested for loop to take each combination

        for k in range(0,3):

            if(i!=j&j!=k&k!=i):

                print(d[i],d[j],d[k])

```

## 输出

```py
Enter first number :  1
Enter second number : 2
Enter third number : 3
1 2 3
1 3 2
2 1 3
2 3 1
3 1 2
3 2 1
```