# Python 程序：使用排序寻找一个数的最小除数

> 原文：<https://learnetutorials.com/python/programs/find-smallest-divisor>

在这个简单的 python 程序中，我们必须从一个列表中排序并找到最小的除数。这是一个基于数组的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python list")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## python 中如何从列表中排序找到最小除数？

在这个初级 python 程序中，我们需要找到一个数的最小除数。除数是能被给定数整除的数。比如我们取一个数，12 的除数是 2，3，4，6，12；从除数中，我们需要打印最小的除数，在这种情况下是 2。

为了在 python 编程示例中应用这一逻辑，我们在 python 中打开一个从 2 到该数字的 for 循环，并在`for loop`迭代中使用 **Mod** 运算符检查每个数字。在`for loop`的每次迭代之后，我们必须使用 python 中的 if 条件语句检查 mod i 是否为零，并使用`append()`方法将除数添加到列表中。在我们将有一个 python 除数列表之后，现在应用列表上的`sort()`函数以升序对列表进行排序。

**注意:**`Sort()`python 中的函数默认会按照升序对列表进行排序。为了进行降序排序，我们在排序函数中使用它们`reverse`。

### 算法

**STEP 1:** 使用输入函数接受用户的输入，并使用 python 语言中的`int()`将字符串转换为整数。

**STEP 2:** 使用 python 基本语法初始化列表。

**第三步:**用一个从 2 到数字的`for loop`来检查每个数字是不是除数。

**步骤 4:** 使用`if`条件和 mod 运算符检查它是否是完美除数，如果是除数，则使用 python 中的`append()`方法追加到列表中。

**STEP 5:** 应用列表排序功能，得到按升序排序的 python 列表。

**STEP 6:** 打印位置**列表【0】**中的元素，因为它是数字的最低除数。

## Python 源代码

```py
n=int(input("Enter an number:"))

a=[]

for i in range(2,n+1):

    if(n%i==0):

        a.append(i)    # add the divisors to a list

a.sort()    # sort the list

print("Smallest divisor is:",a[0])   # print the first element in the list

```

## 输出

```py
Enter an number: 15

Smallest divisor is: 3
```