# Python 程序：检查的数字是否是回文

> 原文：<https://learnetutorials.com/python/programs/check-palindrome-number>

在这个简单的 python 程序中，我们需要检查的数字是不是回文数字。这是一个基于数字的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 运算符](../../python/python-operators "Python Operators")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 回文数是什么？

在这个基本的 python 程序中，我们必须检查回文数字。回文数字是这样一个数字，当它反转时，数字将是相同的。例如，让我们取数字 121，检查它是否是回文。为了实现这一点，我们必须反转给定的数字，并检查数字和反转是否相同。

*   数字: **121**
*   反转: **121**

两者相同，数字是回文。

## python 中如何检查数字是回文？

要在 python 程序中应用该逻辑，我们必须将数字保存到一个 **temp** 变量中，然后在 python 中使用 while 循环，直到数字为零，并使用 3 个步骤反转数字；首先，我们使用 **mod** 运算符从数字中取一个数字，并将我们从 **mod** 运算符得到的数字相加，然后通过将数字除以 10 从数字中删除一个数字。最后，我们必须使用 python 语言中的 if 条件将数字与数字的反义词进行比较，如果满足该条件，则打印其回文。否则打印，而不是使用 python 语言语法的回文。

### 算法

**STEP 1:** 接受用户的输入，并使用 python 编程语言中的 int 将其转换为整数。

**步骤 2:** 将数值赋给临时变量。并将 rev 变量初始化为零，以存储反转数的值。

**步骤 3:** 使用`while loop`直到数字大于零

**步骤 4:** 使用**模块**运算符从数字中提取一个数字。

**第五步:**将反转变量的数字加上 **10** 相乘，【我们与 **10** 相乘，将数字放在数字的正确位置】

**第 6 步:**将数字除以 **10** ，去掉一位数字。

**步骤 7:** 使用`if`条件检查**温度**变量，反向变量相同。假设是一样的，打印回文`else`，不是回文使用 python 编程基础。

## Python 源代码

```py
n=int(input("Enter number:"))

temp=n       # save the number in temporary variable

rev=0

while(n>0):

    dig=n%10                # reversing the number using while loop

    rev=rev*10+dig

    n=n//10

if(temp==rev):              # check the temp and reverse are same

    print("The number is a palindrome")

else:

    print("The number isn't a palindrome")

```

## 输出

```py
Enter number: 181

The number is a palindrome
```