# Python 程序：显示单位矩阵

> 原文：<https://learnetutorials.com/python/programs/display-identity-matrix>

在这个简单的 python 程序中，我们需要打印一个身份矩阵。这是一个矩阵 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python list")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 什么是身份矩阵？

在这个关于矩阵的简单 python 程序中，我们必须显示一个身份矩阵。单位矩阵是任意阶的方阵，其中主对角矩阵中的元素是 1，而矩阵中的所有其他元素都是 0。在这个矩阵 python 程序中，我们需要打印一个用户输入订单的身份矩阵。对角矩阵可以表示为 A =

[ 1 0 0 ]

[ 0 1 0 ]

[ 0 0 1 ]

我们检查对角线有 1，所有其他元素都是 0。

## 我们如何用 python 打印一个身份矩阵？

为了在这个 python 程序中应用标识矩阵逻辑，我们从用户那里接受矩阵的顺序，并在 python 中使用两个嵌套 For 循环来遍历矩阵中的行和列。对于单位矩阵中的对角线值，行号和列号必须相同。像矩阵[1，1] [2，2] [3，3]。所以我们必须用 python 中的 if 条件来检查条件 **i = j** ，如果条件满足就打印一个。否则我们打印零。毕竟，**对于循环**迭代，我们打印身份矩阵。

### 算法

**步骤 1:** 使用输入法接受用户的订单，并使用 Python 编程语言中的`int()`将字符串转换为整数。

**步骤 2:** 使用从零到 n 的外部`for loop`迭代矩阵的行。

**步骤 3:** 使用内部`for loop`迭代矩阵每行的列。

**步骤 4:** 使用条件“`if`检查“**I = j”**并打印 **1** 如果条件满足。

**第 5 步:**如果条件失败，在位置上打印零。使用 python 基本语法。

**注意:**我们使用 sep 参数打印分隔符值，并使用“ **end=** ”使用 print 语句追加值。

## Python 源代码

```py
n=int(input("Enter a number: "))
for i in range(0,n):
    for j in range(0,n):
        if(i==j):
            print("1",sep=" ",end=" ")
        else:
            print("0",sep=" ",end=" ")
    print()

```

## 输出

```py
Enter a number: 4
1 0 0 0 
0 1 0 0 
0 0 1 0 
0 0 0 1 
```