# Python 程序：检查日期是否有效

> 原文：<https://learnetutorials.com/python/programs/date-validation>

在这个简单的 python 程序中，我们必须检查 python 中的有效日期。这是一个初级 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 语法](../../python/syntax-comments "Python Syntax")
*   [Python 安装和设置](../../python/installation-tutorial "installation and setup in python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## python 中如何检查日期是否有效？

在这个初级 python 程序中，我们需要检查给定的日期是有效还是无效。检查日期是否有效就是检查日期和月份是否正确。要检查月份有效性，请检查月份是否在数字 1 和 12 之间。如果大于 12，则日期无效。通过一些条件来检查一天是否有效，比如一个月是 1、3、5、7、8、10 还是 12。那么当天的最大值是 31；否则无效。

如果月份是 4 或 6 或 9 或 11，那么一天的最大值是 30。如果日期超过 30，则日期无效。最后，我们通过使用带有年份的 **mod** 运算符来检查年份是否是闰年。然后用 4 或 400 等于零和年模式 100 不等于零[请参考闰年 python 程序了解更多细节]如果是闰年，那么 max 将是 28 否则将是 27 如果输入的日期不是验证闰年，打印日期无效。

为了在 python 编程语言中应用这种逻辑，我们使用`split date`函数分别分割月、日和年，然后使用`int()`数据类型将它们转换为整数。现在我们使用 python 中的 if 条件和`elif` 条件来检查上面讨论的所有条件，以检查日期是否有效。

### 算法

**STEP 1:** 接受用户使用输入法输入的日期为使用 python 方法中日期的日期。

**步骤 2:** 使用分隔符/将日期拆分为 **dd** 和 **mm** 和 **yy** 。

**步骤 3:** 使用 python 语言中的`int()`数据类型，将 dd 和 **mm** 和 **yy** 的值分配到各自的变量中。

**第四步:**使用`if`条件，我们检查月份是 1 或 3 或 5 或 7 或 8 或 10 或 12，如果是这样，则将当天的最大值指定为 31。

**STEP 5:** 使用`elif` 我们检查月份是 4 或 6 或 9 或 11，然后将最大值指定为 30。

**第 6 步:**通过将 mod 取为 yy%4==0 和 yy0，使用`if`条件检查一年是否是闰年！=0 或 yy@0==0。那么这是闰年，所以将最大值指定为 29。

**第七步:**使用`else`，这不是闰年，所以最大值是 28。

**STEP 8:** 使用`if`条件检查月份有效性，检查月份小于 **1** 或大于 **12** 则打印日期无效。

**STEP 9:** 使用`elif`检查日期小于 **1** 或大于我们的最大值打印日期无效使用 python 语言基础。

**STEP 10:** 使用 python 语言的 else 语句打印输入的日期是否有效。

## Python 源代码

```py
date=input("Enter the date: ")

dd,mm,yy=date.split('/')     # splitting the date to day month and year

dd=int(dd)

mm=int(mm)

yy=int(yy)

if(mm==1 or mm==3 or mm==5 or mm==7 or mm==8 or mm==10 or mm==12):   

    max=31

elif(mm==4 or mm==6 or mm==9 or mm==11):    # checking for the day is valid or not,  finding max value

    max=30

elif(yy%4==0 and yy0!=0 or yy@0==0):   # leap year check

    max=29
else:

    max=28

if(mm<1>12):

    print("Date is invalid.")

elif(dd<1>max):

    print("Date is invalid.")

else:

   print("Date you entered is valid")

```

## 输出

```py
Enter the date : 5/7/2016

Date you entered is valid 
```