# Python 程序：打印列表中最大的奇数和偶数

> 原文：<https://learnetutorials.com/python/programs/largest-even-odd-numbers-in-list>

在这个简单的 python 程序中，我们需要对列表中的奇数和偶数进行排序。这是一个基于数组的 python 程序。

要理解这个例子，您应该了解以下 Python 编程主题:

*   [Python 列表](../../python/python-lists "Python List")
*   [Python 循环](../../python/python-loop-tutorials "Loops in Python")
*   [Python 决策语句](../../python/decision-making-statements "Python decision making statements")

## 奇数和偶数列表如何排序？

在这个简单的 python 程序中，我们需要从数字列表中找到并打印最大的奇数和偶数。接受用户的数字后，使用 python 中的 for 循环，并使用`append`方法在列表中追加元素。

从列表的开始到结束使用`for loop`，使用 **mod** 运算符检查每个元素是否可被 2 整除。如果条件成功，则将该元素添加到另一个偶数列表中。如果`if`条件失败，则将该数字添加到奇数列表中。

## 如何在 python 中找到列表的最大数？

现在我们有两个单独的奇数和偶数列表。然后应用 python 语言中的`sort` 函数，默认为升序。所以最后一个元素将是列表中最大的元素。为了得到最后一个元素，我们使用了一个**计数器**变量，并在每次使用`for loop`在列表中看到一个数字时增加计数。最后，使用**计数-1** 打印数字，这将是两个列表中最大的数字。

### 算法

**STEP 1:** 使用 python 编程语言中的输入函数接受列表中的元素数量。

**步骤 2:** 初始化一个名为 **b[]** 的列表，并打开一个 for 循环，使用 append 运算符将元素追加到列表中。

**步骤 3:** 初始化奇数和偶数的两个独立列表。

**步骤 4:** 使用 python 语言中的`for loop`，检查列表中的每个元素。

**步骤 5:** 使用`if`条件检查元素是否可被 **2** 整除。如果是，将该元素追加到偶数列表中。

**步骤 6:** 否则`append`使用 python 基本语法将元素添加到奇数列表中。

**STEP 7:** 使用排序方法，对奇数和偶数列表的元素进行排序，同时初始化两个计数变量

**步骤 8:** 为每个列表分别打开两个 for 循环，并用 **1** 增加计数，到达列表的最后一个元素，因为排序方法默认按升序排序。

**STEP 9:** 打印奇数和偶数列表中的 **count -1** 元素，打印最大的元素。

## Python 源代码

```py
n=int(input("Enter the number of elements to be in the list:"))
b=[]
for i in range(0,n):
    a=int(input("Element: "))
    b.append(a)
c=[]
d=[]
for i in b:
    if(i%2==0):
        c.append(i)
    else:
        d.append(i)
c.sort()
d.sort()
count1=0
count2=0
for k in c:
    count1=count1+1
for j in d:
    count2=count2+1
print("Largest even number:",c[count1-1])
print("Largest odd number",d[count2-1])

```

## 输出

```py
Enter the number of elements to be in the list:5
Element: 4
Element: 2
Element: 8
Element: 9
Element: 3
Largest even number: 8
Largest odd number 9
```