# Python 程序：检查的数字是否是强数

> 原文：<https://learnetutorials.com/python/programs/check-strong-number>

在这个简单的 python 程序中，我们需要检查给定的数字是否是强数。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 决策语句](../../python/decision-making-statements "python decision making")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是强数？

要解决基本的 python 程序，我们需要知道什么是强数。如果一个数的单个数字的阶乘之和等于该数本身，则称该数是强的。让我们举个例子来更清楚地理解。

让我们取一个数字 145，通过将 1、4 和 5 的阶乘相加来检查这个数字是否是一个强数，即 145 = 1！+ 4!+ 5!= 1 + 24 + 120 = 145.所以数和和相等，145 是强数。

## 我们如何在 python 中检查强数？

为了在 python 编程语言中应用这个逻辑，我们必须计算数字的单个数字的阶乘，将一个 sum 变量初始化为**零**，并从用户那里接受我们存储的数字 **temp** 变量。现在我们打开一个 python while 循环直到数字，我们使用 **mod** 操作符分割数字，从数字中取一个数字。

现在打开另一个从 1 到数字的`while loop`。做一个乘法阶乘 **f=f*i** 【直到我们得到带乘法变量的数】并增加“I”将所有数相乘直到数字。在`while loop`将该数字的阶乘加到**和**之后，将该数字除以 10，去掉最后一个数字。再次循环。最后，用 python 中的 if 条件检查**和**的和与数是否相等，如果相等，则打印为强数。

### 算法

**STEP 1:** 使用 python 编程中的输入函数接受来自用户的数字，并初始化一个 sum 变量

**步骤 2:** 将该数字存储到**温度**变量中。

**步骤 3:** 使用 python 语法打开一个`while loop`来拆分数字并取一个数字。

**步骤 4:** 将“ **i** 和 **f** 变量初始化为 **1** 。

**第五步:**使用**模块**操作符从数字中分割出一个数字。

**第 6 步:**从 **1** 到数字打开另一个 while 循环。

**STEP 7:** 使用 **f = f*i** 获取数字的阶乘，循环中每次用 **1** 递增 **1** 。

**步骤 8:** 将数字的阶乘加到总和上。检查数字和总和是否相等

**第 9 步:**用 **10** 除掉数字中的那个数字。

**步骤 10:** 使用`if`条件检查和与数是否相等，如果条件满足，则使用 python 编程基础知识打印其强数。

## Python 源代码

```py
sum1=0
num=int(input("Enter a number:"))
temp=num
while(num):
    i=1
    f=1
    r=num%10
    while(i<=r):
       f=f*i
       i=i+1
    sum1=sum1+f
    num=num//10
if(sum1==temp):
    print("The number is a strong number")
else:
    print("The number is not a strong number")

```

## 输出

```py
Enter a number:145

The number is a strong number.
```