# Python 程序：检查两个数字是友好数字

> 原文：<https://learnetutorials.com/python/programs/check-amicable-numbers>

在这个简单的 python 程序中，我们需要检查这两个数字是友好的数字。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 决策语句](../../python/decision-making-statements "python decision making")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 友好的数字是什么？

这个 python 程序示例用于检查友好数字，如果一个数字的适当除数之和等于另一个数字，则称这些数字为友好数字，反之亦然。

例如，取两个数字 220 和 284，检查数字是否友好，那么取第一个数字 220 的除数为 1、2、4、5、10、11、20、22、44、55 和 110，取这些数字的和为 284。现在检查 284 的除数是 1，2，4，71 和 142，取这些除数的和，结果是 220。所以这些数字是友好的数字。

## 如何在 python 中检查友好数字？

在这个简单的 python 程序中，我们接受来自用户的数字，并为两个数的除数的总和**和**初始化两个变量。然后开一个 for 循环计算第一个数的所有除数，开另一个`for loop`求其他数的所有除数。在这两个循环中，我们使用 python 语言中的运算符将除数与各自的和变量相加。

现在使用 python 编程语言中的 if 条件来检查 **sum1** 是否等于**2 号**，以及 **sum 2** 是否等于**1 号**。如果是这样，打印数字是友好的。否则不友好。

### 算法

**STEP 1:** 使用 python 编程基础中的输入函数接受来自用户的数字。

**步骤 2:** 初始化两个不同的**和**变量，用于计算每个数的除数之和。

**第三步:**打开一个从 **0** 到**1**的`for loop`，检查所有数字是否有约数。

**步骤 4:** 使用`if`条件和 **mod** 运算符，检查所有数字的除数，并将除数相加。

**第五步:**为**2 号**打开另一个 for 循环，做和我们做 1 号一样的事情，比如检查任何除数，并将除数加到和上。

**STEP 6:** 使用 python 编程语言中的另一个`if`条件检查**和 1** 是否等于**数字 2** ，反之亦然。

**步骤 7:** 如果条件满足 print，则数字是友好的，否则不使用 python 语言的 print 语句。

## Python 源代码

```py
x=int(input('Enter number 1: '))
y=int(input('Enter number 2: '))
sum1=0
sum2=0
for i in range(1,x):
    if x%i==0:
        sum1+=i
for j in range(1,y):
    if y%j==0:
        sum2+=j
if(sum1==y and sum2==x):
    print('numbers are amicable')
else:
    print('numbers are not amicable')

```

## 输出

```py
Enter number 1: 220
Enter number 2: 284

numbers are amicable
```