# Python 程序：计算两个对象间重力

> 原文：<https://learnetutorials.com/python/programs/gravitational-force-program>

在这个简单的 python 程序中，我们需要计算重力。这是一个初级 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 数据类型](../../python/python-datatypes "python data types")
*   [Python 语法](../../python/syntax-comments "python syntax")

## 什么叫做重力？

重力是吸引每一个对象到地球的力，在这个 python 程序中我们需要计算两个对象之间的重力。重力只作用在对象的质心上。两个对象之间的重力与它们之间距离的平方成反比。在这个 python 重力问题中，我们需要检查对象之间的力，这可以通过公式找到。

**F = f=(G*m1*m2)/(r**2)** ，其中

*   g 为重力常数，等于 6.673*(10**-11)。
*   m1 和 m2 是两个对象的质量。
*   r 是质心之间的距离。

## 如何在 python 中找到重力？

为了在 python 编程语言中应用这一逻辑，我们使用支持十进制值的浮点数据类型接受质量 m1、m2 和距用户的距离 r。然后我们需要应用公式 **F = f=(G*m1*m2)/(r**2)** 。在此之前，我们需要计算重力常数 g，在计算重力之后，我们使用`format`方法打印结果，使用 python 语法使数值精度达到小数点后两位。

### 算法

**STEP 1:** 使用输入法接受两个质量的值和质量中心之间的距离，并使用 python 编程中的 float 数据类型将该字符串转换为 float。

**STEP 2:** 利用公式 **G = 6.673*(10**-11)** 计算 **G** 重力常数的值。这是计算力所需要的。

**STEP 3:** 使用公式 **f=(G*m1*m2)/(r**2)** 计算重力，其中 m1 和 m2 是质量，r 是质量中心之间的距离。

**STEP 4:** 使用 python 编程基础打印重力的值使用 round 方法二使结果正好是两个小数值。

## Python 源代码

```py
m1=float(input("Enter the first object: "))

m2=float(input("Enter the second object: "))

r=float(input("Enter the distance between the center of the objects: "))

G=6.673*(10**-11)

f=(G*m1*m2)/(r**2)

print("The gravitational force between objects is: ",round(f,2),"N")

```

## 输出

```py
Enter the first object: 1000000
Enter the second object: 500000
Enter the distance between the center of the objects: 20
The gravitational force between objects is:  0.08 N
```