# Python 程序：求正弦序列的和

> 原文：<https://learnetutorials.com/python/programs/sine-series-sum>

在这个简单的 python 程序中，我们需要计算正弦值的总和。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是正弦序列？

在这个 Python 程序中，我们需要找到正弦序列的和。在傅立叶分析中，正弦是一个角度的三角函数。正弦序列是用来求 **sin(x)** 值的数字序列。其中“ **x** 是两者之间的角度。求 sin(x)的公式表示为

图像

我们进一步扩展这个正弦公式，得到如下结果

图像

考虑一个例子来理解这个想法，把 x 作为 30，所以我们必须找到 sin(30)的值，也就是

30 * pi / 180。其中**π**的值为 **3.1415** ，所以方程为

Sin(30) = 30 * 3.1415 / 180 = 0.5，因此 sin 30 的弧度值将为 0.5，我们必须将该值应用于上面提到的等式，以获得正弦序列

Sin(30) = (0.5**3/3！) + (0.5**5/5!) + ….

## python 中如何求正弦序列的和？

我们必须在 python 编程中应用这个逻辑，因为我们接受了正弦序列中需要的 x 的度数和项数。然后我们调用一个用户定义的函数来计算 python 语言中正弦序列的值。我们将一个名为`math`的模块导入到程序中，并将正弦变量初始化为零，然后打开一个**进行循环**直到数字。在循环中，我们必须使用公式将角度从度数转换为弧度

y=x*(pi/180)

在获得弧度值后，我们必须应用 python 中正弦序列的公式，即

正弦=正弦+((y * *(2.0 * I+1))/数学.阶乘(2 * I+1))*符号

然后我们将正弦值返回给调用函数，并使用 python 编程中的`round`方法打印正弦序列的值。

### 算法

**STEP 1:** 使用 python 语言的输入法从用户处接受序列和角度，并使用`int` 数据类型将其转换为整数。

**STEP 2:** 使用 python 编程基础中的`round`方法，调用自定义函数计算正弦序列并打印返回值。

用户定义的功能

**步骤 1:** 导入一个`math`模块到程序中使用内置功能。

**步骤 2:** 将正弦变量初始化为**零**

**第三步:**用`range`方法从 1 到数字打开一个`for loop`

**步骤 4:** 使用公式 **(-1)**i** 计算符号

**步骤 5:** 使用公式**y = x *(π/180)**将角度从度数转换为弧度

**STEP 6:** 使用公式 sine + ((y**(2.0*i+1))/math .阶乘(2 * I+1))*符号计算正弦序列，并使用 python 编程方法将正弦值返回给调用函数。

## Python 源代码

```py
import math
def sin(x,n):
    sine = 0
    for i in range(n):
        sign = (-1)**i
        pi=22/7
        y=x*(pi/180)
        sine = sine + ((y**(2.0*i+1))/math.factorial(2*i+1))*sign
    return sine
x=int(input("Enter the value of x in degrees:"))
n=int(input("Enter the number of terms:"))
print(round(sin(x,n),2))

```

## 输出

```py
Enter the value of x in degrees:30
Enter the number of terms:10
0.5
```