# Python 程序：计算余弦序列和

> 原文：<https://learnetutorials.com/python/programs/cosine-series-sum>

在这个简单的 python 程序中，我们需要计算余弦值的总和。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是余弦序列？

在这个 python 程序中，我们需要找到余弦序列的值。余弦序列是微积分中的傅立叶序列。那么余弦序列的意思是什么呢，它用来计算 cos(x)的值，其中 x 是以度数给出的角度，to 转换成弧度。下面给出了求解余弦序列的公式。

**cosx = 1 - (x <sup>2</sup> /2！)+ (x <sup>4</sup> /4！)- (x <sup>6</sup> /6！) + ..........**

其中 X 是两者之间的角度，

我们需要将角度从度数转换为弧度，这在余弦公式中使用。我们使用公式 x= 30 * pi / 180 将 x 从度数转换为弧度。以 x 为 30 为例，应用上述公式将度数转换为弧度。使用 x = 30 * 3.1415 / 180 = 0.5。

然后我们应用余弦公式中 x 的值，将等于 cos(0.5) = 1 - (0.5 <sup>2</sup> /2！)+ (0.5 <sup>4</sup> / 4！)....我们可以理解余弦序列是一个偶数序列。

## python 中余弦序列的和怎么求？

现在应用 python 程序中的逻辑，我们正在导入一个`math`模块来进行数学计算。我们接受使用 python 编程基础所使用的术语和角度的数量，并调用用户定义的函数来计算余弦序列的值。

在自定义函数内部，我们从程序中获取项数和角度作为参数，我们打开一个`for loop`从 2 到数，以 2 递增。在内部，我们使用公式 y=x*(pi/180)将角度从度转换为弧度，其中角度以度为单位。在以弧度计算角度后，我们使用公式计算余弦序列。

**cosx = cosx +(符号*(y**i))/math.factorial(i)**

在迭代中，我们将符号改为负数，打印带有互换符号的序列。我们使用`round`方法将该值返回给调用函数以打印该值。

### 算法

**步骤 1:** 接受术语数量和用户角度，并将其保存到变量中。使用 python 编程语言中的输入法和浮点数据类型。

**STEP 2:** 使用 python 编程中的 print 方法，使用 round 方法打印余弦序列，得到 2 位小数精度。并且调用用户定义的函数来计算余弦序列的值。

#### 用于计算余弦序列的用户定义函数

**STEP 1:** 我们必须接受以度数和项数表示的角度值作为参数。

**步骤 2:** 将 cosx 的变量初始化为 1，符号为负数，以在每次迭代中更改符号。

**第三步:**在 python 编程中打开一个`for loop`从 2 到一个增加 2 的数项。

**步骤 4:** 使用公式**y = x *(π/180)**将角度值从度数转换为弧度。

**步骤 5:** 应用余弦序列公式，使用 **y【弧度角度】的值打印出序列。**

**第 6 步:**将符号改为负数，重复`for loop`并在 python 编程中 for 循环的所有迭代后返回值。

## Python 源代码

```py
import math
def cosine(x,n):
    cosx = 1
    sign = -1
    for i in range(2, n, 2):
        pi=22/7
        y=x*(pi/180)
        cosx = cosx + (sign*(y**i))/math.factorial(i)
        sign = -sign
    return cosx

x=int(input("Enter the value of x in degrees:"))
n=int(input("Enter the number of terms:"))
print(round(cosine(x,n),2))

```

## 输出

```py
Enter the value of x in degrees:0
Enter the number of terms:10
1.0
```