# Python 程序：寻找一个范围内所有毕达哥拉斯三元组

> 原文：<https://learnetutorials.com/python/programs/pythagorean-triples-range>

在这个简单的 python 程序中，我们需要计算毕达哥拉斯三元组。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是毕达哥拉斯三元组？

这个简单的 python 程序就是在给定的范围内找到所有的毕达哥拉斯三元组。要理解这个问题，需要毕达哥拉斯三元组的基础知识。如果 a**2 + b**2 = c**2，一组三个正数 a、b 和 c 被称为毕达哥拉斯三元组。这样的数字集通常表示为(a，b，c)。

让我们举一个例子(3，4，5)这三个数字是众所周知的毕达哥拉斯三元组，其中 3**2 + 4**2 = 5**2 == 9 + 16 = 25。

## 如何在 python 中找到毕达哥拉斯三元组？

为了在 python 编程语言中应用这个逻辑，我们接受用户的输入作为限制，以检查限制中的所有毕达哥拉斯三重数。然后打开一个`while loop` 直到数量小于极限。然后打开一个从 **1** 到 **m+1** 的`for loop`，我们要计算 m*m-n*n，并将这个值存储在一个变量中。现在计算 2*m*n 并将其存储在一个变量中，计算并将其存储在变量 c 中。现在打开一个`if`条件来检查 c 是否大于极限，中断程序。否则检查`if` a==0 或 b ==0 或 c ==0 如果是这样，中断 python 程序，然后打印变量 a b 和 c，最后将 m 递增 1。

### 算法

**STEP 1:** 接受用户使用 python 编程中输入法的限制。

**步骤 2:** 初始化变量 **c** 和 **m** 。

**第三步:**开 a `while loop`直到 **c** 小于极限。

**STEP 4:** 开一个`for loop`从 **1** 到 **m+1** 计算三个变量 a、b、c

**第五步:**打开`if`条件，检查 **c** 是否大于极限，程序是否中断。

**步骤 6:** 使用和`if`条件检查变量 a、b 或 c 是否为零，如果是，中断程序。

**STEP 7:** 将变量 a b 和 c 打印为毕达哥拉斯三元组。并将 m 增加 **1** 。

## Python 源代码

```py
limit=int(input("Enter upper limit:"))
c=0
m=2
while(c<limit):
    for n in range(1,m+1):
        a=m*m-n*n
        b=2*m*n
        c=m*m+n*n
        if(c>limit):
            break
        if(a==0 or b==0 or c==0):
            break
        print(a,b,c)
    m=m+1

```

## 输出

```py
Enter upper limit:17
3 4 5
8 6 10
5 12 13 
```