# Python 程序：对整数中的设定位计数

> 原文：<https://learnetutorials.com/python/programs/count-set-bits-number>

在这个简单的 python 程序中，我们需要计算一个整数中的集合位数。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 二进制数字系统中有哪些设定位？

这个简单的 python 程序用于计算一个整数中的设定位数。在整数的二进制表示中，我们使用两个位，即 1 和 0，其中 1 称为设置位。所以我们要计算一个整数的设定位数。让我们以数字 9 为例；它的二进制表示是 1001；让我们计算一下这个数字中有多少个设定位，也就是 2。

## python 中如何统计所有集合位？

为了在 python 编程中应用这个逻辑，我们接受来自用户的数字，并调用一个用户定义的函数来计算该数字中的设置位数。在该函数中，我们将一个**计数**变量初始化为**零**。然后我们打开一个`while loop`直到数字。在这个循环中，我们使用了 n 和 n-1 的逐位**和**运算符。当我们在 n 和 n-1 之间进行按位“与”运算时，它会移除最后一位。所以我们使用**计数**变量来检查我们进行这个按位**和**运算的次数，以使数字 **n** 为零。这将是存储在**计数**中的设置位数，因为我们在每次迭代中增加**计数**。

### 算法

**STEP 1:** 使用 python 编程语言中的输入函数接受用户输入的整数。

**第二步:**调用数位数的函数。并使用 python 语言中`print`打印函数的返回值。

#### **用户定义的函数计数位(n)**

**步骤 1:** 将数字作为参数从调用函数传递给函数。

**步骤 2:** 将计数变量初始化为零，用于对设置的位进行计数。

**第三步:**打开一个`while loop`直到数字为零。

**第 4 步:**在数字 **n** 和 **n-1** 之间使用按位**和**运算符，从数字 **n** 中删除最后一位。继续，直到数字 n 为零。

**STEP 5:** 在逐位**和**运算的每次迭代中增加计数，因此我们通过计算使数字为零所需的运算次数来获得该数字中的位数。

**STEP 6:** 使用 python 基本方法将计数返回给调用函数。

## Python 源代码

```py
def count_set_bits(n):
    count = 0
    while n:
        n &= n - 1
        count += 1
    return count

n = int(input('Enter number: '))
print('Number of bits in that number:', count_set_bits(n))

```

## 输出

```py
Enter number : 9

Number of bits in that number : 2
```