# Python 程序：将二进制数转换为格雷码

> 原文：<https://learnetutorials.com/python/programs/binary-gray-code-conversion>

在这个简单的 python 程序中，我们需要将二进制代码转换成 geay 代码。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 模块](../../python/python-modules-tutorials "python modules")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是格雷码和二进制数？

为了解决这个 python 程序将二进制数转换成格雷码的问题，我们需要了解一点二进制数和格雷码。

二进制数几乎是我们所有人都熟悉的，因为它是以**为基数 2** 的数字系统。我们的十进制是以 10 为基数。基数 2 意味着只有 0 和 1 来代表一个数字。例如，考虑一个十进制数字 2，它有二进制形式 010。机器语言中使用二进制数系统，这意味着任何编程语言在执行之前都会转换为二进制。

## python 中二进制数如何转换成格雷码？

对格雷码最好的解释是它是一个二进制数的反映。这是一种数字排序，就像两个连续的数字在二进制中只相差一位。它被称为反射二进制。格雷码用于有线电视、数字信号传输等。

这里我们需要将二进制转换为格雷码，所以背后的逻辑是我们在二进制数字和(数字- 1)之间进行`XOR`运算，其中数字-1 是通过向右移动数字的位来计算的。其中，如果二进制格雷码中的数字为零，则该数字将大于零。

### 算法

**步骤 1:** 使用 python 编程中的`input`方法接受用户的二进制数。

**STEP 2:** 调用将二进制转换为格雷码的函数。

**STEP 3:** 使用 python 编程语言中的 Print 语句，将函数返回值打印为格雷码。

#### **用户定义的函数 binarytog(n)**

**步骤 1:** 接收二进制数作为参数，并使用 int 将其转换为整数，并使用 **2** 的精度。

**第二步**:用二进制数字和数字-1 做`XOR`运算，其中数字-1 是使用 python 中的右移位运算符对数字的位进行右移位计算的。

**步骤 3:** 使用 bin 返回值，并使用切片操作删除 **0b** 前缀，该前缀在二进制表示的 bin 方法中。

## Python 源代码

```py
def binarytog(n):
    n = int(n, 2) # convert to int
    n ^= (n >> 1)

    # bin(n) returns n's binary representation with a '0b' prefixed
    # the slice operation is to remove the prefix
    return bin(n)[2:]

g = input('Enter binary number: ')
b = binarytog(g)
print('Gray codeword:', b)

```

## 输出

```py
Enter binary number: 110

Gray codeword: 101
```