# Python 程序：计算两个列表的并集

> 原文：<https://learnetutorials.com/python/programs/find-list-union>

在这个简单的 python 程序中，我们需要计算两个列表的并集。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 基础-，标识符，变量](../../python/identifiers-variables "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 什么是工会？

在这个简单的 python 列表程序中，我们需要找到两个列表的并集。所以让我们来看看工会是什么意思。**并集**是一个集合运算，可以描述为集合 A 有一些元素，集合 B 有一些元素。集合 A 和集合 B 的并集是集合 A 和集合 B 的总元素，不是重复。

我们举个例子，集合 A { 1，2，3，4}和集合 B = {3，5，7，4}那么集合 A 和 B 的并集将是 U = { 1，2，3，4，5，7}。

## 如何用 python 实现一个并集？

现在，让我们检查一下如何用 python 编程语言实现这一点。在这个 python 程序中，我们使用 python 语言中的`for loop`和`append`操作符在两个列表中添加元素。在两个列表中添加元素后，我们使用内置函数集`union()`应用联合。

然后使用 python 中的`print`语句打印列表。set `union`函数是 python 编程中的内置函数，从所有列表中返回所有不重复的值。这是一个基本的集合运算。union 函数的基本语法是 **list.union(*list name)** ，其中 list 是列表名，参数是我们想要取 union 的列表。

### 算法

**STEP 1:** 初始化一个列表，用于在 python 编程语言中将数字添加到列表中。

**步骤 2:** 由用户输入术语的数量，并使用`int`和`input`方法将该值存储在变量中。

**步骤 3:** 使用`for loop`、`append`将数字添加到用户输入的列表中。

**步骤 4:** 初始化第二个列表。

**步骤 5:** 接受元素的数量，并使用与第一个列表相同的`append`运算符插入数字。

**STEP 6:** 应用并集内置函数获取两个列表的并集。

**步骤 7:** 使用 Python 编程语言中的`print`语句打印集合的并集。

## Python 源代码

```py
l1 = []
num1 = int(input('Enter size of list 1: '))
for n in range(num1):
    numbers1 = int(input('Enter any number:'))
    l1.append(numbers1)

l2 = []
num2 = int(input('Enter size of list 2:'))
for n in range(num2):
    numbers2 = int(input('Enter any number:'))
    l2.append(numbers2) 
un = list(set().union(l1,l2))
print('The Union of two lists is:',un)

```

## 输出

```py
Enter size of list 1: 4

Enter any number: 2
Enter any number: 4
Enter any number: 3
Enter any number: 6

Enter size of list 2: 4

Enter any number: 1
Enter any number: 2
Enter any number: 5
Enter any number: 4

The Union of two lists is: [1, 2, 3, 4, 5, 6] 
```