# Python 程序：计算两个列表的交集

> 原文：<https://learnetutorials.com/python/programs/intersection-list>

## 列表的交集是什么？

在这个简单的 python 程序中，我们必须找到两个列表或数组的交集。交叉点正好是联合的对立面。在联合中，我们取任何列表中存在的每个元素，但是在列表的交集处，我们只取两个列表中都存在的元素。

让我们举个例子来理解这个概念。集合 A={ 1，2，3，4}和集合 B = {3，4，5，6}，那么两个集合 A 和 B 的交集将由 **I** = {3，4}这两个列表中存在的元素来表示。

## python 中的交集是如何实现的？

现在让我们检查一下如何用 python 编程语言实现交集。初始化两个列表后，我们使用 python 语言中的 **for loop** 和`append`运算符在两个列表中添加元素。然后我们使用一个用户定义的函数来获取交集元素，在这里我们执行一个操作来获取两个列表中的公共元素。

**注意:**我们使用的是 python 语言中的`set()`内置函数。`set()`是一个内置函数，用于将可迭代元素转换为一组可迭代元素，通常称为集合。`set()`只取一个参数，返回可迭代序列集。

### 算法

**STEP 1:** 定义 python 编程中的主要功能。

**步骤 2:** 使用两个列表并初始化两个列表。

**步骤 3:** 使用 python 语法接受两个列表中所需的元素数量。

**步骤 4:** 使用`append`操作符打开`for loop`将元素添加到列表 1 中。

**STEP 5:** 使用打印语句`print`“路口是。”

**STEP 6:** 调用自定义函数做交集，用 python 打印返回值。

用户定义的功能

**步骤 1:** 定义函数，并接收列表作为参数。

**步骤 2:** 从`set()`值的和运算中返回值。`set()`如上节所述。

## Python 源代码

```py
def intersection(a, b):
    return list(set(a) & set(b))

def main():
    alist=[]
    blist=[]
    n1=int(input("Enter number of elements for list 1:"))
    n2=int(input("Enter number of elements for list 2:"))
    print("For list1:")
    for x in range(0,n1):
        element=int(input("Enter element:"))
        alist.append(element)
    print("For list2:")
    for x in range(0,n2):
        element=int(input("Enter element:"))
        blist.append(element)
    print("The intersection is :")
    print(intersection(alist, blist))
main()

```

## 输出

```py
Enter number of elements for list 1: 3
Enter number of elements for list 2: 4
For list1:
Enter element: 3
Enter element: 2
Enter element: 6
For list2:
Enter element: 3
Enter element: 6
Enter element: 4
Enter element: 8
The intersection is :
[3, 6]
```