# Python 程序：从列表中删除重复元素

> 原文：<https://learnetutorials.com/python/programs/remove-duplicate-list-elements>

在这个简单的 python 程序中，我们需要移除重复的元素。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 运算符](../../python/python-operators "operators in python")
*   [Python 模块](../../python/python-modules-tutorials "python modules")
*   [Python 循环](../../python/python-loop-tutorials "Loops in python")

## 如何去除 python 中的重复元素？

在这个简单的 python 程序中，我们需要检查列表中的重复元素并删除它们。这意味着列表中重复的任何元素都必须从列表中删除。例如，让我们取一个值的列表[ 1，2，3，4，3，5]，然后我们必须移除 3，它再次重复。那么结果将是[1，2，3，4，5]。

为了在 python 编程中应用这个逻辑，我们正在初始化一个列表，从用户那里获取术语的数量，并使用`for loop`和`append`运算符从用户那里追加所有元素。然后我们使用`set()`函数对设置 **a** 到设置 **b** 的迭代值进行排序。我为唯一的元素初始化另一个集合，然后为列表中的所有元素打开一个 for 循环，检查集合 **b** 中的那个元素是否有重复。如果没有找到，使用`append`操作符将该元素添加到唯一集合中。然后打印唯一的集合。

### 算法

**STEP 1:** 使用 python 编程初始化用户添加元素的列表。

**步骤 2:** 接受用户需要的术语数量，并使用 python 中的`input`和`int`将其保存到变量中。

**步骤 3:** 打开`for loop`将用户输入元素添加到列表中。

**步骤 4:** 使用`set`内置函数使迭代元素的序列在另一个集合中【原始集合的副本】。

**步骤 5:** 初始化第三个集合，用于保存原始集合中的唯一元素。

**第六步:**打开`for loop`从原始列表中取出每个元素进行比较。

**步骤 7:** 将元素与列表 **b** 中的元素进行比较。使用 python 编程语言中的`if`条件。

**STEP 8:** 将唯一元素添加到我们的第三个列表中，并使用 python 中的`print`语句显示唯一元素列表。

## Python 源代码

```py
a=[]
n= int(input("Enter the number of elements in list:"))
for x in range(0,n):
    element=int(input("Enter element:"))
    a.append(element)
b = set()
unique = []
for x in a:
    if x not in b:
        unique.append(x)
        b.add(x)
print("Non-duplicate items:")
print(unique)

```

## 输出

```py
Enter the number of elements in list:5
Enter element:10
Enter element:5
Enter element:7
Enter element:20
Enter element:20
Non-duplicate items:
[10, 5, 7, 20]
```