# Python 程序：检查字符串是否为全字母句

> 原文：<https://learnetutorials.com/python/programs/checking-string-pangram>

## 什么是全字母句字符串？

这里有一个全字母句程序，用于检查字符串是否是全字母句。单词表是一个包含英语中所有字母的句子。这意味着字符串必须包含英语中的所有字母。让我们举一个流行的庞拉姆的例子“敏捷的棕色狐狸跳过一只懒惰的狗”它有英语中所有的字母。

## python 中的全字母句字符串检查是如何完成的？

现在让我们看看这是如何用 python 语言实现的。接受用户的字符串后，我们必须导入字母表的所有 **ASCII 值**，并将其保存到一个变量中。我们调用一个函数来检查全字母句。在函数内部，我们减去字母表中的字母总数和字符串中的字母集，将其转换为小写，并检查结果是否为零，然后它是全字母句，否则它不是全字母句。

### 算法

**STEP 1:** 导入所有小写字母的 ASCII 值，用 python 语言存储在变量中。

**STEP 2:** 使用 python 编程语言中的输入法接受来自用户的字符串。

**步骤 3:** 在`if`条件下调用该函数，检查该函数的返回值是否为真或零。

**STEP 4:** 使用 python 编程中的 Print 语句打印字符串是一个 pangram `else`而不是 pangram

#### 用户定义的功能检查

**步骤 1:** 接受字符串作为函数的参数，以检查是否有 pangram。

**步骤 2:** 计算全部字母的小写 ASCII 值与字符串的小写字母的 ASCII 值之差，并将结果返回给调用函数。

## Python 源代码

```py
from string import ascii_lowercase as asc_lower
def check(s):
    return set(asc_lower) - set(s.lower()) == set([])

string=input("Enter string:")
if(check(string)==True):
      print("The string is a pangram")
else:
      print("The string isn't a pangram")

```

## 输出

```py
Enter string:The quick brown fox jumps over the lazy dog

The string is a pangram
```