# Python 程序：从字典中删除关键字

> 原文：<https://learnetutorials.com/python/programs/remove-key-dictionary>

在这个简单的 python 程序中，我们需要从字典中移除密钥。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python-标识符、变量](../../python/identifiers-variables "operators in python")
*   [Python 决策](../../python/decision-making-statements "operators in python")

## python 中的字典是什么？

在字典上的这个基本 python 程序中，我们需要从中移除一个键。字典是一组以无序格式排列的元素，如键和值对。如果我们知道关键字，字典对于检索值很方便，因为每个值都与一个关键字相关联。

我们可以使用大括号将值添加到字典中，python 字典中的每个元素都用逗号分隔。在字典中，所有的值都必须有一个**键**。所以我们需要添加**键值对**格式。此外，密钥必须是字符串或元组，或者是数字，并且是唯一的。在值的情况下，没有这样的条件，因为它可以是任何东西或任何格式。

## 如何从 python 字典中移除键值？

在这个简单的 python 程序中，我们需要移除用户给出的一个键。为此，我们用其中的一些值和键初始化一个预定义的字典。然后我们使用`print`功能打印字典。现在我们接受用户的密钥，我们想删除它。如果条件成立，打开**检查钥匙，如果发现使用`del`功能删除钥匙。否则我们打印的密钥不在字典和`exit`程序中。如果我们找到了钥匙，打印更新的字典。**

### 算法

**步骤 1:** 用一组**键值对**初始化预定义的字典。

**步骤 2:** 使用`print`功能打印字典。

**STEP 3:** 接受来自用户的键值，我们要删除。

**步骤 4:** 使用`if`条件检查键值是否存在于字典中，

**步骤 5:** 如果找到，使用`del`删除键值。

**STEP 6:** `Else`打印未找到的按键，退出程序。

**步骤 7:** 如果找到键值。使用 python 语言打印更新后的字典。

## Python 源代码

```py
d = {'a':1,'b':2,'c':3,'d':4}
print("dictionary before deletion")
print(d)
key=input("Enter key to delete:")
if key in d: 
    del d[key]
else:
    print("Cant able to found the key")
    exit(0)
print("Dictionary after deletion")
print(d)

```

## 输出

```py
dictionary before deletion
{'a': 1, 'b': 2, 'c': 3, 'd': 4}

Enter the key to delete: c

Dictionary after deletion
{'a': 1, 'b': 2, 'd': 4}
```