# Python 程序：读取文件内容

> 原文：<https://learnetutorials.com/python/programs/read-content-file>

在这个简单的 python 程序中，我们需要读取文件的内容。这是一个基于数字的 python 程序。

为了更好地理解这个例子，我们总是建议您学习下面列出的 [Python 编程](../ "Python tutorial")的基本主题:

*   [Python 文件](../../python/file-operations "operators in python")
*   [Python 循环](../../python/python-loop-tutorials "operators in python")

## python 中的文件是什么？

在这个文件 python 程序中，我们需要了解文件。**文件**用作命名的位置，用于在硬盘中永久存储某些相关数据。我们知道，随机存取存储器( **RAM** )是一种易失性存储器，当断电时，RAM 中的所有数据都会被删除。因此，我们需要一些方法来将我们的数据存储在非易失性存储器中，即硬盘，也就是文件。

## python 中对文件的基本操作是什么？

我们需要一些基本操作来保存文件中的数据。也就是说，

*   **打开文件**
*   **文件读/写**(文件操作)
*   **关闭文件**

文件可以通过内置函数打开，即`open()`返回一个文件对象，用于读写文件。此外，为了关闭文件，我们使用`close()`功能，这将释放文件使用的所有内存和资源。Python 有一个内置的垃圾收集器来执行这个功能。但我们没有用它来释放资源。为了阅读，我们必须在阅读模式下打开文件，我们有很多方法来阅读文件。同样，为了写文件，我们需要以写模式打开文件。

## 如何用 python 读取文件内容？

在这个文件 python 程序中，我们需要接受一个带有**的字符串作为文件名。txt** 扩展名，然后我们在读取模式下使用`open()`打开文件。现在使用`readline`函数读取文件的第一行，并将其保存到变量中。现在打开一个 while 循环，打印文件的所有剩余行，并使用`print`功能打印所有行。然后使用`close()`功能关闭文件。

### 算法

**步骤 1:** 接受文本格式的文件名，并将其保存在变量中。

**步骤 2:** 在**模式下打开文件，读取**模式，并将其保存在变量中。

**步骤 3:** 使用`readline`方法读取文件第一行。

**步骤 4:** 使用 while 循环读取并打印文件的其他行。

**STEP 5:** 打印第一行，使用 python 语言的`close`关闭文件。

## Python 源代码

```py
a=str(input("Enter the file with .txt:"))
file2=open(a,'r')
line=file2.readline()
while(line!=""):
    print(line)
    line=file2.readline()
file2.close()

```

## 输出

```py
Contents of file: 
Python Programming

Output: 
Enter the file with .txt: data2.txt
Python Programming.
```