# Python `all()`

> 原文：<https://learnetutorials.com/python/methods/all>

python 函数`all()`将 iterable 作为参数，如果迭代中的所有元素都为 TRUE，则返回 True，否则返回 FALSE。

```py
 **all(iterable)** #Where iterable can be a list, string, tuple, dictionary , set etc 

```

## 所有()参数:

`all()`只接受一个强制参数。任何 iterable 都可以作为参数传递给`all()`方法。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 可重复的 | 任何可条目，如列表、元组、字符串、字典等 | 需要 |

## 全部()返回值

返回一个布尔值，为真或假。只有当可迭代表中的所有元素都为真并且可迭代表为空时，才返回真。在所有其他情况下，该函数返回 False。

| 投入 | 输出 |
| 可迭代真值中的所有值 | 真实的 |
| 可迭代 False 中的所有值 | 错误的 |
| 可迭代真值中除一个元素外的所有元素 | 错误的 |
| 可迭代 False 中除一个元素外的所有元素 | 错误的 |
| 空可重复 | 真实的 |

## Python 中`all()`方法的示例

### 示例 1:将列表/元组作为参数传递

```py
 l = [1, 3, 4, 5]
print(all(l))

# all values false l = [0, False] print(all(l))

t = (1,0,1)
print(all(t)) t= ()
print(all(t)) 

```

**输出:**

```py
 True
False False True 
```

### 示例 2:将字符串作为参数传递

```py
 s = "This is a non empty string" print(all(s))

s = '000'
print(all(s))

s = ''
print(all(s))

```

将字符串作为参数传递时，最重要的是“0”为真，0 为假

**输出:**

```py
 True
True
True 
```

### 示例 3:将字典作为参数传递

```py
 d = {1: 'False', 2: 'False'} print(all(d))
d = {0: 'True', 2: 'True'} print(all(d))

d = {1: 'True', False: 0} print(all(d))

d = {}
print(all(d))

```

对于字典，如果所有键都为真，则函数返回真，而不考虑值。

**输出:**

```py
 True
False
False
True
```