# Python `ascii()`

> 原文：<https://learnetutorials.com/python/methods/ascii>

ascii 函数将一个对象作为输入，并以可打印格式返回该对象。该函数查找对象中的任何非 ascii 字符，并用相应的转义字符替换该字符。

```py
**ascii(object)** #where object can be a string, list, tuple etc 

```

## `ascii()`参数:

`ascii()`函数只有一个强制参数。它以字符串、元组、列表字典等对象为参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 任何对象，如字符串、列表、字典等。 | 需要 |

## `ascii()`返回值

如果对象中存在非 ascii 字符，它将被转换为可打印格式。

## Python 中`ascii()`方法的示例

### 示例 1:传递带有非 ascii 字符的字符串

```py
obj = "I löve lèarning Pythön" print(obj)
print(ascii(obj)) 

```

**输出:**

```py
I löve lèarning Pythön
'I l\xf6ve l\xe8arning Pyth\xf6n' 
```

### 示例 2:传递仅包含 ascii 字符的字符串

```py
obj = "I love learning Python" print(obj)
print(ascii(obj)) 

```

**输出:**

```py
I love learning Python
'I love learning Python' 
```

### 示例 3:传递一个包含 ascii 和非 ascii 字符串以及一个整数的 iterable

```py
tup_obj = ('L3arn', 'Lèarn', 3) print(ascii(tup_obj)) 

```

**输出:**

```py
('L3arn', 'L\xe8arn', 3) 
```