# Python `bytearray()`

> 原文：<https://learnetutorials.com/python/methods/bytearray>

顾名思义，bytearray 是一个对象，它是一个字节数组。这个字节数组在数据处理方面有着巨大的应用。例如，在编码、压缩和映射数据时，使用字节数组。

在 python 中`bytearray()`函数以一个对象为输入，可以产生相应的可变字节数组。

```py
 **bytearray(a, encoding, error)** #where a can be an object or an integer 

```

## `bytearray()`参数

取 3 个参数，其中第一个参数可以是一个对象，如果该对象是一个字符串，则将编码格式指定为第二个参数。

| 参数 | 描述 | 必需/可选 |
| 价值 | 该值可以是整数、字符串或可迭代的 | 可选择的 |
| 
编码 | 如果字符串作为参数传递，则指定字符串编码 | 如果第一个参数是字符串，则需要 |
| 错误 | 要指定出错时要做什么 | 可选择的 |

## 字节数组()返回值

根据作为输入传递的参数类型，返回值会有所不同。

| 投入 | 输出 |
| 整数 | 指定大小的字节数组已初始化 |
| 字符串作为第一个参数，编码作为第二个参数 | 编码为字节的字符串 |
| 可重复的 | 字节数组与可迭代数组大小相同 |
| 无参数 | 创建没有元素的字节数组 |

## 字节射线()示例

### 传递整数作为参数

```py
byte_array = bytearray(3) 
print(byte_array)

```

**输出:**

```py
bytearray(b'\x00\x00\x00') 
```

### 将字符串作为参数传递

```py
string = "Happy!" print(bytearray(string, 'utf-8'))

```

**输出:**

```py
bytearray(b'Happy!') 
```

### 将 iterable 作为参数传递

```py
keys = {1 : ‘a’,2:’b’} 
print(bytearray(keys))

```

**输出:**

```py
bytearray(b'\x01\x02') When dictionary is passed its keys will be converted to bytearray 
```