# Python `byte()`

> 原文：<https://learnetutorials.com/python/methods/bytes>

在 python 中，bytes 函数以一个对象作为输入，可以产生相应的不可变(不能修改)的 byte 对象。`bytearray()`和`bytearray()`的区别在于 bytearray 返回可变数组，而`bytearray()`返回不可变对象

```py
 **bytes(a, encoding, error)** #where a can be an object or an integer Parameters

```

## 字节()参数:

取 3 个参数，其中第一个参数可以是一个对象，如果该对象是一个字符串，则将编码格式指定为第二个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 价值 | 该值可以是整数、字符串或可迭代的 | 可选择的 |
| 编码 | 如果字符串作为参数传递，则指定字符串编码 | 如果第一个参数是字符串，则需要 |
| 错误 | 要指定出错时要做什么 | 可选择的 |

## 字节()返回值

| 投入 | 返回值 |
| 整数 | 指定大小的字节对象已初始化 |
| 字符串作为第一个参数，编码作为第二个参数 | 编码为字节的字符串 |
| 可重复的 | 字节与可迭代的大小相同 |
| 无参数 | 创建没有元素的字节对象 |

## Python 中`bytes()`方法的示例

### 示例 1:将整数作为参数传递给字节()

```py
 print(bytes() 

```

**输出:**

```py
b'\x00\x00\x00' 
```

### 示例 2:将字符串作为参数传递给字节()

```py
 string = "Happy day!" 
print(bytes(string, 'utf-8')) 

```

**输出:**

```py
b'Happy day!' 
```

### 示例 3:将 iterable 作为参数传递给`bytes()`

```py
 keys = {1 : ‘a’,2:’b’}
print(bytes(keys)) 

```

**输出:**

```py
b'\x01\x02' When dictionary is pased its keys will be converted to bytearray 

```

### 示例 4:调用不带参数的`bytes()`函数

```py
 print(bytes()) 

```

**输出:**

```py
b'' Empty byte
```