# Python `callable()`

> 原文：<https://learnetutorials.com/python/methods/callable>

python 中的可调用函数检查传递的参数是否是可调用对象。如果参数是可调用的，则返回真，否则返回假

```py
 **callable(obj)** #Where obj is any python object 

```

## 可调用()参数:

python 中的可调用函数只接受一个强制参数，该参数可以是 python 中的任何对象。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 方法检查对象是否可调用 | 需要 |

## 可调用()返回值

当输入不可调用时，返回值为假。通常，如果传递的对象不可调用，则方法返回真。但是在某些情况下，即使对象不可调用，该方法也可能返回 true(参见示例 3)

| 投入 | 返回值 |
| 可调用对象 | 真实的 |
| 该对象不可调用 | 错误的 |

## Python `中可调用()`方法的示例

### 示例 1:用`callable()`传递不可调用的对象

```py
 normalVariable = 1
print(callable(normalVariable)) 

```

**输出:**

```py
False A normal variable is not a callable object 
```

### 示例 2:用`callable()`传递可调用对象

```py
 def callableFunction():
print("Hii ..I am a callable function") 
print(callable(callableFunction))
callableFunction() #Calling the function to check 

```

**输出:**

```py
True
Hii ..I am a callable function 
```

### 示例 3:可调用()方法对不可调用的对象返回 True

```py
 class NonCallableClasscheck:
def method_of_class():
print(“Hii.. I am a method of NonCallableClasscheck”)
print(callable( NonCallableClasscheck)) 
InstanceofClass = NonCallableClasscheck() 
InstanceofClass() #Calling the object to check 

```

**输出:**

```py
True
TypeError: 'NonCallableClass' object is not callable 
```