# Python `dict()`

> 原文：<https://learnetutorials.com/python/methods/dict>

`dict()`函数用于创建字典。字典是一个可重复的表，其中数据以键和值对的形式存储

示例:Student_dict = {
名称:“Ram”

年龄:22
课程:“单身汉”

`dict()`函数可以通过三种不同的方式使用
仅绕过关键字参数

```py
 **dict(**kwargs)** #where kwargs denotes keyword arguments of form key=value 

```

绕过可迭代参数和关键字参数

```py
 **dict(iterable,**kwargs)** #where iterable can be any iterable like a list 

```

通过传递映射和关键字参数

```py
 **dict(mapping,**kwargs)** #where mapping is key to value pair mapping 

```

## `dict()`参数:

即使没有参数传递给 dict 函数，它也不会抛出错误。如果没有传递参数，它将返回一个空字典。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| **夸格斯 | 任意数量的关键字参数，形式为 key =由
逗号分隔的值 | 需要 |
| 可迭代的 | python 中的任何可迭代函数 | 可选择的 |
| 绘图 | 键到值对映射 | 可选择的 |

## `dict()`返回值

dict 函数的输出总是字典。如果没有传递参数，将返回一个空字典

| 投入 | 返回值 |
| 没有人 | 空字典 |
| **夸格斯 | 将关键字参数转换为字典 |
| 可重复的 | 将可条目转换为字典 |
| 绘图 | 将映射转换为字典 |

## Python 中`dict()`方法的示例

### 示例 1:仅传递关键字参数

```py
 letters = dict(a=1, b=2)
print(' Letters dictionary is', letters) 
print(type(letters)) 

```

**输出:**

```py
Letters dictionary is {'a': 1, 'b': 2}
 <class></class> 
```

### 示例 2:传递数据项

```py
 # iterable without keyword arguments 
letters = dict((a,1), (b=2))
print(' letters dictionary is', letters) 
print(type(letters))

# iterable with keyword arguments 
letters = dict([('a',1), ('b',2)],c=3) 
print(' letters dictionay is', letters) 
print(type(letters)) 

```

**输出:**

```py
letters dictionay is {'a': 1, 'b': 2}

 <class>letters dictionay is {'a': 1, 'b': 2, 'c': 3}

 <class></class></class> 
```

### 示例 3:传递映射

```py
 # Mapping without keyword arguments
letters = dict({‘a’ : 1,’b’:2}) 
print(' letters dictionary is', letters)
print(type(letters))

# Mapping with keyword arguments 
letters = dict({‘a’ : 1,’b’:2},c=3) 
print(' letters dictionary is', letters)
print(type(letters)) 

```

**输出:**

```py
letters dictionary is {'a': 1, 'b': 2}
 <class>letters dictionary is {'a': 1, 'b': 2, 'c': 3}
 <class></class></class> 
```