# Python `divmod()`

> 原文：<https://learnetutorials.com/python/methods/divmod>

在 Python divmod 中，函数取两个数字，第一个除以第二个，返回商和提醒的元组。

```py
 **divmod(dividend,divisor)** #The dividend will be divided by 

```

## `divmod()`参数:

该函数采用两个强制参数，第一个参数被视为被除数，第二个参数被视为除数。第二个参数不能为零，因为

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 红利 | 一个数字，将被划分 | 需要 |
| 除数 | 用来除的数字。该数字不能为零 | 需要 |

## `divmod()`返回值

该函数总是根据输入返回商数和余数的元组。这两个参数都是强制性的。

| 投入 | 返回值 |
| 被除数和除数 | 商数和提醒的元组 |
| 字符串作为第一个参数，编码作为第二个参数 | 编码为字节的字符串 |
| 可重复的 | 字节与可迭代的大小相同 |
| 无参数 | 创建没有元素的字节对象 |

## Python 中`divmod()`方法的示例

### 示例 1:将整数作为参数传递

```py
 result = divmod(2,1)
print(“Divmod of 2 and 1 are :”, result)
result = divmod(3.5,2.5)
print(“Divmod of 3.5 and 2.5 are :”, result) 

```

**输出:**

```py
Divmod of 2 and 1 are : (2, 0)
Divmod of 3.5 and 2.5 are : (1.0, 1.0) 
```

### 示例 2:将浮点作为参数传递

```py
 print('divmod(8.0, 3) = ', divmod(8.0, 3))
print('divmod(3, 8.0) = ', divmod(3, 8.0))
print('divmod(7.5, 2.5) = ', divmod(7.5, 2.5))
print('divmod(2.6, 0.5) = ', divmod(2.6, 0.5)) 

```

**输出:**

```py
 divmod(8.0, 3) =  (2.0, 2.0)
divmod(3, 8.0) =  (0.0, 3.0)
divmod(7.5, 2.5) =  (3.0, 0.0)
divmod(2.6, 0.5) =  (5.0, 0.10000000000000009) 
```