# Python `enumerate()`

> 原文：<https://learnetutorials.com/python/methods/enumerate>

enumerate 函数接受一个 ITER table，为 ITER table 中的每个项目分配一个索引，并返回一个枚举对象。

```py
 **enumerate(iterable,start)** #Where iterable can be a list,string,tuple, dictionary,set etc 

```

## 枚举()参数:

可作为主要输入。可以给定一个可选参数 start 来指定起始索引

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 可迭代的 | 支持迭代的集合 | 需要 |
| 开始 | 整数。枚举以此参数开始。
默认值为 0 | 可选择的 |

## 枚举()返回值

可迭代传递的每个元素都将被分配一个序列索引。

| 投入 | 返回值 |
| 可重复，开始 | 返回一个枚举对象，并开始从头枚举。 |

## Python `中枚举()`方法的示例

### 示例 1:仅传递可迭代的

```py
 letters = ['a','b','c','d'] 
enumeratedList = enumerate(letters) 
print(type(enumeratedList)) 

```

**输出:**

```py
 <class></class> 
```

### 示例 2:指定开始并循环枚举对象

```py
 letters = ['a','b','c','d']
enumeratedList = enumerate(letters,start=5) 
for count,each_letter in enumeratedList:
print(count,each_letter) 

```

**输出:**

```py
 5 a
6 b
7 c
8 d 
```