# Python `eval()`

> 原文：<https://learnetutorials.com/python/methods/eval>

`eval()`函数执行作为参数给出的表达式。表达式被计算并解析为有效的 python 语句。表达式始终是字符串，并且对于`eval()`函数是必需的。

```py
 **eval(expression, globals=None, locals=None)** #Where expression can be a string to evalate 

```

## 评估()参数:

取 3 个参数，其中第一个参数是强制的，另外两个是可选的。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| **表情** | 这个参数是一个字符串，它被解析并作为 python 表达式执行 | 需要 |
| **全球** | 这是一本字典。它用于指定可执行的表达式。 | 可选择的 |
| **本地人** | 它指定`eval()`中的局部变量和方法 | 可选择的 |

## 评估()返回值

| 投入 | 返回值 |
| 表示 | 表达式的结果 |
| 省略了全局变量和局部变量 | 表达式在当前范围内执行 |
| 全局存在；本地人被省略了 | 全局变量和局部变量都将使用全局变量 |
| 全球和本地都存在 | 根据参数的结果 |

## Python 中`eval()`方法的示例

### 示例 1:演示`eval()`的使用

```py
 # Perimeter of Square
def calculatePerimeter(l):
    return 4 * l

# Area of Square
def calculateArea(l):
    return l * l

exp = input("Type a function: ")

for l in range(1, 5):
    if exp == "calculatePerimeter(l)":
        print("If length is ", l, ", Perimeter = ", eval(exp))
    elif exp == "calculateArea(l)":
        print("If length is ", l, ", Area = ", eval(exp))
    else:
        print("Wrong Function")
        break 

```

**输出:**

```py
Type a function: calculateArea(l)
If length is  1 , Area =  1
If length is  2 , Area =  4
If length is  3 , Area =  9
If length is  4 , Area =  16 
```

### 示例 2:当全局参数和局部参数都被省略时，`eval()`的工作方式。

```py
 from math import *
print(eval('dir()')) 

```

**输出:**

```py
['__annotations__', '__builtins__', '__cached__', '__doc__', '__file__', '__loader__', '__name__', '__package__', '__spec__', 'acos', 'acosh', 'asin', 'asinh', 'atan', 'atan2', 'atanh', 'ceil', 'comb', 'copysign', 'cos', 'cosh', 'degrees', 'dist', 'e', 'erf', 'erfc', 'exp', 'expm1', 'fabs', 'factorial', 'floor', 'fmod', 'frexp', 'fsum', 'gamma', 'gcd', 'hypot', 'inf', 'isclose', 'isfinite', 'isinf', 'isnan', 'isqrt', 'ldexp', 'lgamma', 'log', 'log10', 'log1p', 'log2', 'modf', 'nan', 'os', 'perm', 'pi', 'pow', 'prod', 'radians', 'remainder', 'sin', 'sinh', 'sqrt', 'tan', 'tanh', 'tau', 'trunc'] 
```

### 示例 3:将空字典作为全局参数传递

```py
 from math import *
print(eval('dir()', {}))

# The code will raise an exception
print(eval('sqrt(25)', {})) 

```

**输出:**

```py
['__builtins__']
Traceback (most recent call last):
  File "<string>", line 5, in <module>print(eval('sqrt(25)', {}))
  File "<string>", line 1, in <module>NameError: name 'sqrt' is not defined</module></string></module></string> 
```

### 示例 4:使某些方法可用

```py
 from math import *
print(eval('dir()', {'sqrt': sqrt, 'pow': pow})) 

```

**输出:**

```py
['__builtins__', 'pow', 'sqrt'] 
```

### 示例 5:传递全局和局部字典

```py
 from math import *

a = 169
print(eval('sqrt(a)', {'__builtins__': None}, {'a': a, 'sqrt': sqrt})) 

```

**输出:**

```py
13.0 
```