# Python `float()`

> 原文：<https://learnetutorials.com/python/methods/float>

`float()`方法从给定的数字或字符串中返回相应的浮点数。

```py
 **float([x])**#Where **x** can be a number or string that needs to convert 

```

## 浮点()参数:

它接受需要返回浮点数的单个参数、数字或字符串

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 浮动 | 用作浮点数 | 可选择的 |
| 整数 | 用作整数 | 可选择的 |
| 线 | 它包含十进制数。前导空格和尾随空格被删除。可选使用“+”、“-”符号。可以包含 NaN、Infinity、inf(小写或大写)。 | 可选择的 |

## 浮点()返回值

| 投入 | 返回值 |
| 如果一个论点 | 等效浮点数 |
| 如果没有争论 | 0.0  |
| 该参数超出了 Python 浮点的范围 | OverflowError 异常 |

## Python 中`float()`方法的示例

### 示例 Python 中`float()`的工作原理？

```py
 # for integers
print(float(20))

# for floats
print(float(12.33))

# for string floats
print(float("-15.34"))

# for string floats with whitespaces
print(float("     -32.25\n"))

# string float error
print(float("abcd")) 

```

**输出:**

```py
20.0
13.33
-15.34
-32.25
ValueError: could not convert string to float: 'abcd' 
```

### 例 2: `float()`表示无穷大，Nan(不是数字)？

```py
 # for NaN
print(float("nan"))
print(float("NaN"))

# for inf/infinity
print(float("inf"))
print(float("InF"))
print(float("InFiNiTy"))
print(float("infinity")) 

```

**输出:**

```py
 nan
nan
inf
inf
inf
inf 
```