# Python `format()`

> 原文：<https://learnetutorials.com/python/methods/format>

`format()`方法用于返回指定值的格式化表示形式。它由格式说明符处理，并将格式化的字符串插入字符串的占位符中。占位符可以用数字索引{0}、命名索引{price}甚至空的{ 0 }来表示。的格式()类似于‘String format’方法，两种方法都调用一个对象的`__format__()`方法。

```py
 **format(value[, format_spec])** #Where value can be a integer, float or binary format.

```

## 格式()参数:

这个函数有两个参数:在这个格式中，规格可以是

[[填充]对齐][符号][#][0][宽度][，][。精度][类型]

其中，选项为
填充::=任意字符
对齐::= " < " | " > " | "=" | "^"
符号::= "+" | "-" | " "
宽度::=整数
精度::=整数
类型::= " b " | " c " | " d " | " e " | " e " | " f " | " f " | " g " | " g " | " n " | " o " | " s "

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 价值 | 需要格式化的值 | 需要 |
| 格式 _ 规格 | 值应该如何格式化的规范。 | 需要 |

## 格式()返回值

| 投入 | 返回值 |
| 格式规范。 | 格式化表示 |

## Python 中`format()`方法的示例

### 示例 1:格式为()的数字格式

```py
 # d, f and b are type

# integer
print(format(123, "d"))

# float arguments
print(format(123.4567898, "f"))

# binary format
print(format(12, "b")) 

```

**输出:**

```py
123
123.456790
1100 
```

### 示例 2:带有填充、对齐、符号、宽度、精度和类型()的数字格式

```py
 # integer 
print(format(1234, "*>+7,d"))

# float number
print(format(123.4567, "^-09.3f")) 

```

**输出:**

```py
*+1,234
0123.4570 
```

### 示例 3:通过覆盖`__format__()`来使用`__format__()`

```py
 # custom __format__() method
class Person:
    def __format__(self, format):
        if(format == 'age'):
            return '23'
        return 'None'

print(format(Person(), "age")) 

```

**输出:**

```py
23 
```