# Python `globals()`

> 原文：<https://learnetutorials.com/python/methods/globals>

函数`globals()`返回全局符号表的字典。符号表是一种数据结构，保存变量、函数、对象、类出现的细节，由编译器处理。符号表有两种类型:局部符号表和全局符号表。

本地符号表包含程序的本地信息，它在函数内、类内等都有意义。全局符号表包含程序全局范围的详细信息，它意味着所有函数和类的详细信息。

```py
 **globals()** 

```

## 全局()参数:

`globals()`方法不接受任何参数。

## 全局()返回值

`globals()`方法返回当前全局符号表的字典。字典包含全局变量，如文件名、包或来自当前全局符号表的文档字符串。

## Python 中`globals()`方法的示例

### 示例`globals()`方法在 Python 中是如何工作的？

```py
 globals() 

```

**输出:**

```py
{'In': ['', 'globals()'],
 'Out': {},
 '_': '',
 '__': '',
 '___': '',
 '__builtin__': <module>,
 '__builtins__': <module>,
 '__name__': '__main__',
 '_dh': ['/home/repl'],
 '_i': '',
 '_i1': 'globals()',
 '_ih': ['', 'globals()'],
 '_ii': '',
 '_iii': '',
 '_oh': {},
 '_sh': <module>,
 'exit': <ipython.core.autocall.exitautocall at="">,  'get_ipython': <bound interactiveshell.get_ipyth="" method="" of="">>,
 'quit': <ipython.core.autocall.exitautocall at="">}</ipython.core.autocall.exitautocall></bound></ipython.core.autocall.exitautocall></module></module></module> 
```

### 示例 2:使用全局()修改全局变量

```py
 age = 23

globals()['age'] = 25
print('The age is:', age) 

```

**输出:**

```py
The age is: 25 
```