# Python `help()`

> 原文：<https://learnetutorials.com/python/methods/help>

要获取关于指定变量、函数、类、模块等的信息，我们可以使用`help()`方法。总的来说，我们可以说这个函数有助于系统，因此 python 解释器控制台可以使用它。

```py
 **help(object)** #Where object shows name of the object 

```

## 帮助()参数:

如果缺少参数，交互式帮助系统将在解释器控制台上启动。如果给定了一个字符串参数，那么它就被认为是一个关键字、模块、函数等的名称。，以及控制台上打印的帮助页。如果参数是不同类型的对象，则会在该对象上生成一个帮助页面。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 您希望生成给定对象的帮助 | 可选择的 |

## 帮助()返回值

如果给出一个字符串输入，那么它被认为是一个关键字、模块、函数或文档主题的名称。

| 投入 | 返回值 |
| 字符串被传递 | 给定的字符串被查找为模块、函数、类、方法、关键字或文档主题的名称，并打印帮助页。 |
| 没有争论 | 帮助实用程序(交互式帮助系统)在控制台上启动。 |
| 放弃 | 退出帮助实用程序并返回解释器 |

## Python 中`help()`方法的示例

### 示例 1: Python 帮助()函数

```py
 help(print) 

```

**输出:**

```py
Help on built-in function print in module builtins:

print(...)
    print(value, ..., sep=' ', end='\\n', file=sys.stdout, flush=False)

    Prints the values to a stream, or to sys.stdout by default.
    Optional keyword arguments:
    file:  a file-like object (stream); defaults to the current sys.stdout.
    sep:   string inserted between values, default a space.
    end:   string appended after the last value, default a newline.
    flush: whether to forcibly flush the stream. 
```

### 示例 2:模块内置的类列表帮助

```py
 help(list) 

```

**输出:**

```py
class list(object)
 |  list() -> new empty list
 |  list(iterable) -> new list initialized from iterable's items
 |  
 |  Methods defined here:
 |  
 |  __add__(self, value, /)
 |      Return self+value.
 |  
 |  __contains__(self, key, /)
 |      Return key in self.
 |  
 |  __delitem__(self, key, /)
 |      Delete self[key].
 |  
 |  __eq__(self, value, /)
 |      Return self==value.
 |  
 |  __ge__(self, value, /)
 |      Return self>=value.
 |  
 |  __getattribute__(self, name, /)
 |      Return getattr(self, name).
 |  
 |  __getitem__(...)
 |      x.__getitem__(y) <==> x[y]
 |  
 |  __gt__(self, value, /)
 |      Return self>value.
 |  
 |  __iadd__(self, value, /)
 |      Implement self+=value.
 |  
 |  __imul__(self, value, /)
 |      Implement self*=value.
 |  
 |  __init__(self, /, *args, **kwargs)
 |      Initialize self.  See help(type(self)) for accurate signature.
 |  
 |  __iter__(self, /)
 |      Implement iter(self).
 |  
 |  __le__(self, value, /)
 |      Return self<=value.
 |  
 |  __len__(self, /)
 |      Return len(self).
 |  
 |  __lt__(self, value, /)
 |      Return self <value.>None -- append object to end
 |  
 |  clear(...)
 |      L.clear() -> None -- remove all items from L
 |  
 |  copy(...)
 |      L.copy() -> list -- a shallow copy of L
 |  
 |  count(...)
 |      L.count(value) -> integer -- return number of occurrences of value
 |  
 |  extend(...)
 |      L.extend(iterable) -> None -- extend list by appending elements from the iterable
 |  
 |  index(...)
 |      L.index(value, [start, [stop]]) -> integer -- return first index of value.
 |      Raises ValueError if the value is not present.
 |  
 |  insert(...)
 |      L.insert(index, object) -- insert object before index
 |  
 |  pop(...)
 |      L.pop([index]) -> item -- remove and return item at index (default last).
 |      Raises IndexError if list is empty or index is out of range.
 |  
 |  remove(...)
 |      L.remove(value) -> None -- remove first occurrence of value.
 |      Raises ValueError if the value is not present.
 |  
 |  reverse(...)
 |      L.reverse() -- reverse *IN PLACE*
 |  
 |  sort(...)
 |      L.sort(key=None, reverse=False) -> None -- stable sort *IN PLACE*
 |  
 |  ----------------------------------------------------------------------
 |  Data and other attributes defined here:
 |  
 |  __hash__ = None</value.> 
```