# Python `hex()`

> 原文：<https://learnetutorials.com/python/methods/hex>

`hex()`函数有助于将给定的数字转换为相应的十六进制字符串格式。返回的十六进制字符串的前缀必须为“0x”。

```py
 **hex(number)** #Where number shows a integer number 

```

## 十六进制()参数:

只接受一个参数。如果我们将一个对象作为参数传递给`hex()`函数，该对象必须定义返回整数的 `__index__()`函数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | int 对象，或者它必须定义一个返回整数的`__index__()`方法 | 可选择的 |
| 整数 | 可以是任何基数，如二进制、八进制等 | 可选择的 |

## 十六进制()返回值

要获得浮点数的十六进制表示，需要使用`float.hex()`方法。

| 投入 | 返回值 |
| 整数 | 十六进制格式 |
| 漂浮物 | 十六进制格式 |
| 目标 | 十六进制格式 |

## Python 中`hex()`方法的示例

### 示例`hex()`是如何工作的？

```py
 number = 435
print(number, 'in hex =', hex(number))

number = 0
print(number, 'in hex =', hex(number))

number = -34
print(number, 'in hex =', hex(number))

returnType = type(hex(number))
print('Return type from hex() is', returnType) 

```

**输出:**

```py
435 in hex = 0x1b3
0 in hex = 0x0
-34 in hex = -0x22
Return type from hex() is <class></class> 
```

### 示例 2:浮点数的十六进制表示

```py
 number = 2.5
print(number, 'in hex =', float.hex(number))

number = 0.0
print(number, 'in hex =', float.hex(number))

number = 10.5
print(number, 'in hex =', float.hex(number)) 

```

**输出:**

```py
2.5 in hex = 0x1.4000000000000p+1
0.0 in hex = 0x0.0p+0
10.5 in hex = 0x1.5000000000000p+3 
```

### 示例`hex()`如何处理对象？

```py
 class Data:
    id = 0

    def __index__(self):
        print('__index__ function called')
        return self.id

d = Data()
d.id = 100

print(hex(d)) 

```

**输出:**

```py
__index__ function called
0x64 
```