# python `id()`

> 原文：<https://learnetutorials.com/python/methods/id>

`id()`函数返回唯一的 id，它显示对象的标识，并且始终是一个整数。这种身份对于对象来说是唯一的，并且在其整个生命周期中是不变的。

```py
 **id(object)** #Where object can be int, float, str, list, dict, tuple, etc. 

```

## `id()`参数:

只接受一个参数。对象可以是 int、float、str、list、dict、tuple 等类型。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 需要返回其标识的对象。 | 需要 |

## 标识()返回值

`id()`方法还返回变量或对象的标识。所有变量和文字值都是对象，因此它们都有不同的`id()`值。

| 投入 | 返回值 |
| 变量或文字 | 唯一的整数。 |

## Python 中`id()`方法的示例

### 示例 1:`id()`是如何工作的？

```py
 class Foo:
    b = 5

dummyFoo = Foo()
print('id of dummyFoo =',id(dummyFoo)) 

```

**输出:**

```py
id of dummyFoo = 140343867415240 
```

### 示例 2:获取文字值的标识

```py
 print("Id of 10 is: ", id(10))
print("Id of 10.5 is: ", id(10.5))
print("Id of 'Hello World' is: ", id('Hello World'))
print("Id of list is: ", id([1, 2, 3, 4, 5])) 

```

**输出:**

```py
Id of 10 is: 8791113061
Id of 10.5 is: 3521776
Id of 'Hello World' is: 60430408
Id of list is: 5466244 
```

### 示例 3:两个相同值的标识是相同的

```py
 num = 10

print("Id of num is: ", id(num))
print("Id of 10 is: ",id(10)) 

```

**输出:**

```py
Id of i is: 8791113061696
Id of 10 is: 8791113061696 
```