# Python `map()`

> 原文：<https://learnetutorials.com/python/methods/map>

内置函数映射()有助于对指定表(列表、元组、集合、字典、字符串等)的每个元素执行给定的函数。)并返回结果列表。

```py
 **map(function, iterable, ...)** #where iterable can be list, tuple etc 

```

## 地图()参数:

接受两个参数。我们可以将多个迭代器对象传递给`map()`函数在这种情况下，给定的函数必须有那么多参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 功能 | 为指定 iterable 的每个元素调用的函数。 | 需要 |
| 可迭代的 | 要映射的可迭代 | 需要 |

## 映射()返回值

然后，从`map()`返回的值(map 对象)可以传递给`map()`(创建列表)、`set()`(创建集合)等函数。

| 投入 | 返回值 |
| 可迭代的 | 映射类的迭代器对象 |

## Python 中`map()`方法的示例

### 示例 1:在 python 中使用`map()`

```py
 def calculateSquare(n):
    return n*n

numbers = (1, 2, 3, 4)
result = map(calculateSquare, numbers)
print(result)

# converting map object to set
numbersSquare = set(result)
print(numbersSquare) 

```

**输出:**

```py
 <map at="" object="">{16, 1, 4, 9}</map>
```

### 示例 2:如何将 lambda 函数与`map()`一起使用？/h3 >

```py
 numbers = (1, 2, 3, 4)
result = map(lambda x: x*x, numbers)
print(result)

# converting map object to set
numbersSquare = set(result)
print(numbersSquare) 

```

**输出:**

```py
 <map>{16, 1, 4, 9}</map>
```

### 示例 3:使用 Lambda 将多个迭代器传递给`map()`

```py
 num1 = [4, 5, 6]
num2 = [5, 6, 7]

result = map(lambda n1, n2: n1+n2, num1, num2)
print(list(result)) 

```

**输出:**

```py
[9, 11, 13] 
```

### 示例 4:带字符串的 Python 映射()

```py
 # map() with string
map_iterator = map(to_upper_case, 'abc')
print(type(map_iterator))
print_iterator(map_iterator) 

```

**输出:**

```py
 <class>A B C</class> 
```