# Python `word()`

> 原文：<https://learnetutorials.com/python/methods/ord>

内置函数`order()`用于将给定的 Unicode 字符转换为整数表示形式。它是`order()`的反函数，这里它将整数值转换为字符。

```py
 **ord(ch)** #where ch is a unicode character 

```

## 订单()参数:

只接受一个参数。整数值应该在 0 到 1，114，111 的范围内(十六进制格式为 0x10FFFF)。如果输入整数超出此范围，将引发值错误。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 荣誉勋爵 | Unicode 字符 | 需要 |

## 订单()返回值

如果我们传递了一个长度超过一个的字符串，将会引发类型错误。

| 投入 | 返回值 |
| Unicode 字符 | 整数值 |

## Python 中`order()`方法的示例

### 示例 1:`order()`在 Python 中是如何工作的？

```py
 print(ord('5'))    # 53
print(ord('A'))    # 65
print(ord('$'))    # 36 

```

**输出:**

```py
53
65
36
```

### 示例 2:顺序中的值错误情况()

```py
 start = 0
end = 1114111

try:
    for i in range(start, end+2):
        a = chr(i)
except ValueError:
    print("ValueError for i =", i) 

```

**输出:**

```py
ValueError for i = 1114112 
```

### 示例 3:按顺序键入错误大小写()

```py
 y = ord('Hi') 

```

**输出:**

```py
TypeError: ord() expected a character, but string of length 2 found 
```