# Python `pow()`

> 原文：<https://learnetutorials.com/python/methods/pow>

Python `pow()`函数有助于估计给定数字的幂。它将第一个参数(x)的幂返回到第二个参数(y)的幂。如果存在第三个参数(z)，则给出的是模 z，即(x，y) % z。

```py
 **pow(x, y, z)** #where x & y are numbers showing base and exponent 

```

## 功率()参数:

取三个参数。在前两个参数中存在等于 x <sup>y</sup> 功率(x，y))，如果它有等于 x <sup>y</sup> % z 的三个参数(功率(x，y，z))

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| x | 一个数字，基数 | 需要 |
| y | 一个数字，指数 | 需要 |
| z | 一个数字，用于模数 | 可选择的 |

## 功率()返回值

如果存在 z，则 x 和 y 必须是整数类型，y 必须是非负数。

| 投入 | 返回值 |
| 整数 | 返回功率 |

## Python 中`power()`方法的示例

### 示例 1: Python `pow()`方法工作原理

```py
 # positive x, positive y (x**y)
print(pow(2, 2))    # 4

# negative x, positive y
print(pow(-2, 2))    # 4  

# positive x, negative y
print(pow(2, -2))    # 0.25

# negative x, negative y
print(pow(-2, -2))    # 0.25 

```

**输出:**

```py
4
4
0.25
0.25
```

### 示例 2:带有三个参数(x**y) % z 的`pow()`

```py
 x = 7
y = 2
z = 5

print(pow(x, y, z))    # 4 

```

**输出:**

```py
4 
```