# Python `print()`

> 原文：<https://learnetutorials.com/python/methods/print>

`print()`函数有助于将给定的消息打印到屏幕或其他标准输出设备上。在写入输出屏幕之前，对象将被转换为字符串。

```py
 **print(*objects, sep=' ', end='\n', file=sys.stdout, flush=False)** #where objects can be string,or any object 

```

## 打印()参数:

可能需要五个参数。与第一个参数对象一起，*表示它可能有多个。这里 sep、end、file 和 flush 是关键字参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 要打印的对象 | 需要 |
| 九月 | 对象由 sep 分隔。默认值:“” | 可选择的 |
| 目标 | 最后打印结束 | 可选择的 |
| 文件 | 必须是具有 write(string)方法的对象 | 可选择的 |
| 脸红 | 如果为真，则强制刷新流。默认值:假 | 可选择的 |

## 打印()返回值

它不返回任何值；返回无。

## Python 中`print()`方法的示例

### 示例`print()`在 Python 中是如何工作的？

```py
 print("Python is fun.")

a = 5
# Two objects are passed
print("a =", a)

b = a
# Three objects are passed
print('a =', a, '= b') 

```

**输出:**

```py
Python is fun.
a = 5
a = 5 = b
```

**注:**

1.使用了“”分隔符。请注意，输出中两个对象之间的空间。
2 .使用 end 参数' \n ' '(换行符)。
3 .文件为 sys.stdout，输出打印在屏幕上。
4 .同花顺是假的。溪流没有被强制冲洗。

### 示例 2:使用分隔符和结束参数打印()

```py
 a = 5
print("a =", a, sep='00000', end='\\n\\n\\n')
print("a =", a, sep='0', end='') 

```

**输出:**

```py
a =000005

a =05 
```

### 示例 3:使用文件参数打印()

```py
 sourceFile = open('python.txt', 'w')
print('Pretty cool, huh!', file = sourceFile)
sourceFile.close() 

```

**输出:**

```py
Here first it treies to open or create python.txt.The string object 'Pretty cool, huh!' is printed to python.txt file 
```