# Python `range()`

> 原文：<https://learnetutorials.com/python/methods/range>

内置函数`range()`用于通过指定整数序列中的起点和终点来返回该序列。这个结果序列是不可变的，意味着值不能改变。对于重复特定次数的任务，我们可以将`range()`方法用于循环。

```py
 **range(stop)**
**range(start, stop[, step])** #where stop is an integer indicates stop position. 

```

## 范围()参数:

取三个参数。如果没有给定起始索引，它将从 0 开始，并将值增加 1，直到停止索引。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 开始 | 一个整数，指定从哪个位置开始。默认值为 0 | 可选择的 |
| 停止 | 指定停止位置的整数 | 需要 |
| 步骤 | 整数决定序列中每个整数之间的增量 | 可选择的 |

## 范围()返回值

结果序列从 0 开始到 stop - 1，如果 stop 为负或 0，则返回一个空序列。

r[n] =开始+步骤*n(对于正和负步骤)
其中，n > =0 和 r[n] <停止(正步骤)
其中，n > = 0 和 r[n] >停止(负步骤)

如果步长为零，将引发 ValueError 异常。如果非零，则根据公式返回一个序列。如果它不满足值约束，则返回一个空序列。

| 投入 | 返回值 |
| 整数 | 整数序列 |

## Python 中`range()`方法的示例

### 示例 1:范围在 Python 中是如何工作的？

```py
 # empty range
print(list(range(0)))

# using range(stop)
print(list(range(10)))

# using range(start, stop)
print(list(range(1, 10))) 

```

**输出:**

```py
[]
[0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
[1, 2, 3, 4, 5, 6, 7, 8, 9]
```

### 示例 2:使用`range()`创建给定数字之间的偶数列表

```py
 start = 2
stop = 14
step = 2

print(list(range(start, stop, step))) 

```

**输出:**

```py
[2, 4, 6, 8, 10, 12] 
```

### 例`range()`如何处理负阶跃？

```py
 start = 2
stop = -14
step = -2

print(list(range(start, stop, step)))

# value constraint not met
print(list(range(start, 14, step))) 

```

**输出:**

```py
[2, 0, -2, -4, -6, -8, -10, -12]
[] 
```