# Python `repr()`

> 原文：<https://learnetutorials.com/python/methods/repr>

内置函数`repr()`用于返回给定对象的可打印表示。返回的输出将是一个字符串。

```py
 **repr(obj)** #where obj can be a string 

```

## `repr()`参数:

接受单个参数。在许多对象类型和大多数内建模型中。`eval()`函数计算作为其参数给出的表达式。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标文件 | 必须返回其可打印表示形式的对象 | 需要 |

## 返回值

实际上，`repr()`函数调用给定对象的`__repr__()`函数。我们可以`__repr__()`以便`__repr__()`以不同的方式工作。

| 投入 | 返回值 |
| 目标文件 | 字符串表示 |

## Python 中`repr()`方法的示例

### 示例`repr()`在 Python 中是如何工作的？

```py
 var = 'foo'

print(repr(var)) 

```

**输出:**

```py
'foo'
```

### 示例 2:为自定义对象实现 __repr__ ()

```py
 class Person:
    name = 'Adam'

    def __repr__(self):
        return repr('Hello ' + self.name )

print(repr(Person())) 

```

**输出:**

```py
'Hello Adam'

```

### 示例 3:使用类对象

```py
 class Color:
       color='orange'
       def __repr__(self):
              return repr(self.color)
 o=Color()
 repr(o) 

```

**输出:**

```py
“‘orange'” 
```