# Python `str()`

> 原文：<https://learnetutorials.com/python/methods/str>

内置函数`str()`用于将给定对象转换为字符串格式。输出字符串的行为取决于参数编码和错误。

```py
 **str(object, encoding='utf-8', errors='strict')** #where object is whoes string representation needed 

```

## `str()`参数:

取三个参数。参数错误有以下六种类型

**严格的** -失败时会引发一个 UnicodeDecodeError 异常。

**忽略** -从结果中忽略不可编码的 Unicode

**替换** -将不可编码的 Unicode 替换为问号

**xmlcharfreplace**-代替不可编码的 Unicode 插入 XML 字符引用

**backlashread**-它插入一个\ uNNNN espace 序列，而不是不可编码的 Unicode

**名称替换** -它插入了一个\N{而不是不可编码的 Unicode...}转义序列

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 要返回其字符串表示形式的对象。如果未提供，则返回空字符串 | 需要 |
| 编码 | 给定对象的编码。未提供时 UTF-8 的默认值 | 可选择的 |
| 错误 | 解码失败时的响应。默认为“严格” | 可选择的 |

## 字符串()返回值

这将返回一个可打印格式的字符串对象。如果缺少参数编码和错误，`str()`函数将在内部调用对象的`__str__()`方法。

| 投入 | 返回值 |
| If 对象 | 线 |

## Python 中`str()`方法的示例

### 示例 1:如何使用`str()`进行转换

```py
 output = str(25)
print(output) 

```

**输出:**

```py
25
```

### 示例`str()`如何处理字节？

```py
 # bytes
byt = bytes('pythön', encoding='utf-8')

print(str(byt, encoding='ascii', errors='ignore')) 

```

**输出:**

```py
pythn 
```

如果对象是 bytes 或 bytearray，`str()`在内部调用 bytes.decode(编码，错误)。