# Python `sum()`

> 原文：<https://learnetutorials.com/python/methods/sum>

内置函数`sum()`用于返回给定 iterable 元素的总和。求和计算从指定的起点(默认为 0)开始，从可迭代的左侧到右侧。

```py
 **sum(iterable, start)** #where iterable may be list, tuple, dict etc 

```

## `sum()`参数:

接受两个参数。如果我们想添加精确的浮点数，在这种情况下，我们需要使用 math.fsum(iterable)。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 可迭代的 | 可迭代(列表、元组、字典等)。条目应该是数字 | 需要 |
| 开始 | 该值被加到可迭代项目的总和中。“开始”的默认值为 0 | 可选择的 |

## 总和()返回值

在字符串元素可迭代的情况下，我们需要使用`join()`而不是`join()`。`sum()`的条件是 iterable 应该包含一些值，否则会产生错误。

| 投入 | 返回值 |
| 可重复的 | 可迭代的和 |

## Python 中`sum()`方法的示例

### 示例 Python 中`sum()`的工作原理

```py
 numberlist = [6, 3.5, -4, 2]

# start parameter is not provided
numberlist_sum = sum(numberlist)
print(numberlist_sum)

# start = 8
numberlist_sum = sum(numberlist, 8)
print(numberlist_sum) 

```

**输出:**

```py
7.5
15.5
```

### 例 2:如何得到整数、元组、字典和复数列表的和？

```py
 listsum=[2,5,7,3,1]
tuple1sum=(40,30,20)
dictsum={ 0:11, 2:22, 5:33, 1:44 }
complx_nums=[ 3+2j, 5+4j, 2+1j]

print("list elements sum :",sum(listsum,10))
print("tuple elements sum :", sum(tuplesum))
print("dictionary keys sum :", sum(dictsum))
print("complex numbers sum :", sum(complx_nums)) 

```

**输出:**

```py
list elements sum: 28
tuple elements sum: 90
dictionary keys sum: 8
complex numbers sum: (10+7j) 
```