# Python `type()`

> 原文：<https://learnetutorials.com/python/methods/type>

内置函数`type()`用于返回指定对象的类型，它还允许根据给定的参数返回新类型的对象。

```py
 **type(object)** #where object is whoes type needs to be return
**type(name, bases, dict)** 

```

## 类型()参数:

取三个参数。`type()`函数有助于在验证失败时打印参数的类型。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 名字 | 类名；成为 __name__ 属性 | 需要 |
| 基础 | 列举基类的元组；成为 _ _ bases _ _ 属性 | 可选择的 |
| 字典 | 字典，它是包含类主体定义的命名空间；成为 __dict__ 属性。 | 可选择的 |

## 类型()返回值

如果传递了单个参数，其值与对象相同。__class__ 实例变量。如果传递了三个参数，它会动态创建一个新类。

| 投入 | 返回值 |
| 仅当对象 | 对象类型 |
| If 3 参数 | 新的类型对象 |

## Python 中`type()`方法的示例

### 示例 1:如何获取对象的类型

```py
 number_list = [3, 4]
print(type(number_list))

number_dict = {3: 'three', 4: 'four'}
print(type(number_dict))

class Foo:
    a = 0

foo = Foo()
print(type(foo)) 

```

**输出:**

```py
< class 'list'>
< class 'dict'>
< class '__main__.Foo'>

```

### 示例 2:如何创建类型对象

```py
 obj1 = type('X', (object,), dict(a='Foo', b=12))

print(type(obj1))
print(vars(obj1))

class test:
  a = 'Fo'
  b = 15

obj2 = type('Y', (test,), dict(a='Foo', b=12))
print(type(obj2))
print(vars(obj2)) 

```

**输出:**

```py
 <class>{'a': 'Fo', 'b': 15, '__module__': '__main__', '__dict__': <attribute>, '__weakref__': <attribute>, '__doc__': None}
 <class>{'a': 'Fo', 'b': 15, '__module__': '__main__', '__doc__': None}</class></attribute></attribute></class> 
```