# Python `var()`

> 原文：<https://learnetutorials.com/python/methods/vars>

内置函数`var()`用于返回指定对象的 __dict__ 属性。__dict__ 属性是一个具有对象的可变或可写属性的字典。

```py
 **vars(object)** #where object can be module, class, instance etc 

```

## `vars()`参数:

接受单个参数。如果给定对象的 __dict__ 属性不可用，则会引发类型错误异常。如果没有传递参数，这个函数的行为类似于`locals()`函数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 目标 | 可以是模块、类、实例或任何具有 __dict__ 属性的对象 | 需要 |

## `var()`返回值

`vars()`函数的输出是一个字典。如果我们更新 object __dict__ 字典值，那么`vars()`函数将返回更新后的值。

| 投入 | 返回值 |
| If 对象 | __dict__ 属性 |

## Python 中`vars()`方法的示例

### 示例`vars()`在 Python 中是如何工作的

```py
 class Fo:
  def __init__(self, a = 25, b = 30):
    self.a = a
    self.b = b

Foobject = Fo()
print(vars(Foobject)) 

```

**输出:**

```py
{'a': 25, 'b': 30}
```

### 示例 python `var()`的工作原理

```py
 class Persondet:
  name = "John"
  age = 36
  country = "Italy"

x = vars(Persondet)

print(x) 

```

**输出:**

```py
{'__module__': '__main__', 'name': 'John', 'age': 36, 'country': 'Italy', '__dict__': <attribute>, '__weakref__': <attribute>, '__doc__': None}</attribute></attribute> 
```