# Python `__import__()`

> 原文：<https://learnetutorials.com/python/methods/__import__>

内置函数`__import__()`由 import 语句调用。Import 语句是调用导入机制的最常见方式。这是一个很少使用的方法，它也有助于在运行时导入模块。

```py
 **__import__(name, globals=None, locals=None, fromlist=(), level=0)** #where name indicates the name of the import module 

```

## __ 导入 _ `_()`参数:

取五个参数。当语句调用此函数时，此函数可以更改导入语句的语义。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 名字 | 要导入的模块的名称 | 需要 |
| 全球和本地 | 确定如何在包上下文中解释名称。默认值为无。 | 可选择的 |
| 从列表 | 应按名称导入的对象或子模块 | 可选择的 |
| 水平 | 指定是使用绝对导入还是相对导入。默认值为 0 | 可选择的 |

## __ 导入 _ `_()`返回值

在按名称导入模块的情况下，我们可以使用`importlib.import_module()`。如果找不到指定的模块，将会出现 ModuleNotFoundError。

| 投入 | 返回值 |
| If 参数 | 导入对象 |

## Python 中`__import__()`方法的示例

### 示例 1:在 python 中`__import()`__ 是如何工作的？

```py
 maths = __import__('math', globals(), locals(), [], 0)
print(maths.fabs(-3.5)) 

```

**输出:**

```py
3.5
```

### 示例 2:在 python 中使用`__import()`__ 的方法

```py
 rand = __import__('random')

print(rand.randint(0,10))
print(rand.randint(0,10)) 

```

**输出:**

```py
6
2 
```