# Python `copy()`

> 原文：<https://learnetutorials.com/python/methods/copy>

python 中的`copy()`函数有助于创建字典的副本。我们可以说它返回了一个浅拷贝，这意味着新字典中的任何更改都不会反映原始字典。

```py
 **dict.copy()** 

```

## 复制()参数:

`copy()`方法不接受任何参数。

## 复制()返回值

有时我们使用=运算符来复制字典，区别在于=运算符创建对字典的引用，而`copy()`创建一个新字典。

| 投入 | 返回值 |
| 字典 | 字典副本 |

## Python 中`copy()`方法的示例

### 示例`copy()`如何用于字典？

```py
 originaldict = {5:'five', 6:'six'}
newdict = originaldict.copy()

print('Orignal: ', originaldict)
print('New: ', newdict) 

```

**输出:**

```py
 Orignal:  {5: 'five', 6: 'six'}
New:  {5: 'five', 6: 'six'} 
```

### 示例 2:Python 使用=运算符复制字典

```py
 originaldict = {5:'five', 6:'six'}
newdict = originaldict

# removing all elements from the list
newdict.clear()

print('New: ', newdict)
print('Original: ', originaldict) 

```

**输出:**

```py
 New:  {}
Original:  {} 
```

### 示例 3:Python 使用`copy()`复制字典

```py
 originaldict = {5:'five', 6:'six'}
newdict = originaldict.copy()

# removing all elements from the list
newdict.clear()

print('New: ', newdict)
print('Original: ', originaldict) 

```

**输出:**

```py
 New:  {}
Original:  {5: 'five', 6: 'six'} 
```