# Python `setdefault()`

> 原文：<https://learnetutorials.com/python/methods/setdefault>

python 中的`setdefault()`函数有助于返回字典中的键值。如果该键不在字典中，则将带有指定值的新键插入字典。

```py
 **dict.setdefault(key[, default_value])** #where the key is to be searched 

```

## `setdefault()`参数:

`setdefault()`函数接受两个参数。如果没有给定参数“default_value”，它将被视为无。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 键 | 要在字典中搜索的关键字 | 需要 |
| 默认值 | 如果关键字不在字典中，则值为 default_value 的关键字会插入到字典中 | 可选择的 |

## 设置默认值()返回值

该方法的返回值取决于给定的输入参数。

| 投入 | 返回值 |
| 如果它在字典里 | 键值 |
| 如果关键字不在字典中&没有 defalt _ value | 没有人 |
| 如果键不在字典中& defalt _ value 被给出 | 默认值 |

## Python 中`setdefault()`方法的示例

### 示例 1:当关键字在字典中时，python 中的`setdefault()`是如何工作的？

```py
 persondet = {'name': 'Jhon', 'age': 35}

age = persondet.setdefault('age')
print('personal details = ',persondet)
print('Age = ',age) 

```

**输出:**

```py
 personal details =  {'name': 'Jhon', 'age': 35}
Age =  35 
```

### 示例 2:当键不在字典中时，`setdefault()`在 python 中是如何工作的？

```py
 persondet = {'name': 'Jhon'}

# key is not in the dictionary
salary = persondet.setdefault('salary')
print('personal details = ',persondet)
print('salary = ',salary)

# key is not in the dictionary
# default_value is provided
age = persondet.setdefault('age', 35)
print('personal details = ',persondet)
print('age = ',age) 

```

**输出:**

```py
 personal details =  {'name': 'Jhon', 'salary': None}
salary =  None
personal details =  {'name': 'Jhon', 'age': 35, 'salary': None}
age =  35 
```