# Python `update()`

> 原文：<https://learnetutorials.com/python/methods/update>

python 中的`update()`函数使用一组键/值对或另一个字典对象中的元素来更新字典。如果关键字不在字典中，它会将元素插入字典，如果关键字在字典中，它会用新值更新关键字。

```py
 **dict.update([other])** #where other may be iterable object generally tuples 

```

## 更新()参数:

`update()`函数接受一个参数。如果在不传递参数的情况下调用该函数，字典将保持不变。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 其他的 | 将插入到字典中的字典或具有键值对的可迭代对象 | 需要 |

## 更新()返回值

`update()`函数不返回任何值。这个函数只是用键/值对更新字典，或者在字典中插入一个新的键值。

## Python 中`update()`方法的示例

### 示例`update()`在 Python 中是如何工作的

```py
 x = {5: "five", 6: "one"}
y = {6: "six"}

# updates the value of key 6
x.update(y)
print(x)

y = {7: "seven"}

# adds element with key 7
x.update(y)
print(x) 

```

**输出:**

```py
 {5: 'five', 6: 'six'}
{5: 'five', 6: 'six', 7: 'seven'} 
```

### 示例 2:在传递元组时更新()的工作方式

```py
 t = {'a': 1}

t.update(b = 2, c = 3)
print(t) 

```

**输出:**

```py
 {'a': 1, 'b': 2, 'c': 3} 
```