# Python `index()`

> 原文：<https://learnetutorials.com/python/methods/index>

python 中的`index()`函数有助于返回列表中给定元素的索引。我们还可以通过列表提供搜索的起点和终点。

```py
 **list.index(element, start, end)** #where the element may be string, number, list, etc 

```

## 索引()参数:

该方法采用三个参数。此方法的输出应该是指示元素位置的整数值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 元素 | 要搜索的元素 | 需要 |
| 开始 | 从此索引开始搜索 | 可选择的 |
| 目标 | 搜索元素直到这个索引 | 可选择的 |

## 索引()返回值

如果该方法找到给定元素的多个匹配项，它将只返回第一个匹配项的索引。

| 投入 | 返回值 |
| 元素 | 元素索引 |
| 如果没有元素 | ValueError exception(值错误异常) |

## Python 中`index()`方法的示例

### 示例 1:索引()在 Python 中是如何工作的

```py
 # alphabet list
alphabet = ['a', 'b', 'c', 'e', 'd', 'e', 'f']

# index of 'c' in alphabet
indexpos = alphabet.index('c')
print('The index of c:', indexpos)

# element 'e' is searched
# index of the first 'e' is returned
indexpos = alphabet.index('e')

print('The index of e:', indexpos) 

```

**输出:**

```py
 The index of c: 2
The index of e: 3 
```

### 示例 2:如果搜索到的元素不在列表中，则索引为()

```py
 # alphabet list
alphabet = ['a', 'b', 'c', 'd', 'e', 'f']

# index of'g' is alphabet
indexpos = alphabet.index('g')
print('The index of g:', indexpos) 

```

**输出:**

```py
 ValueError: 'g' is not in list 
```

### 示例 3:通过给出开始和结束参数来处理索引()

```py
 # alphabets list
alphabets = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'd']

# index of 'c' in alphabets
indexpos = alphabets.index('c')   # 2
print('The index of c:', indexpos)

# 'd' after the 4th index is searched
indexpos = alphabets.index('i', 4)   # 7
print('The index of d:', indexpos)

# 'd' between 4rd and 6th index is searched
indexpos = alphabets.index('d', 4, 6)   # Error!
print('The index of d:', indexpos) 

```

**输出:**

```py
 The index of c: 2
The index of d: 7
Traceback (most recent call last):
  File "*lt;string>", line 13, in 
ValueError: 'd' is not in list 
```