# Python `remove()`

> 原文：<https://learnetutorials.com/python/methods/remove>

python 中的`remove()`函数有助于从列表中移除给定的元素。如果列表中有多个匹配元素，则只删除第一个匹配元素。

```py
 **list.remove(element)** #where element may be string, number, list etc 

```

## 移除()参数:

`remove()`函数接受一个参数。如果在列表中找不到给定的元素，它将引发 ValueError

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 元素 | 要移除的元素 | 需要 |

## 移除()返回值

这个方法不返回值。它通过从原始列表中移除元素来修改原始列表。

## Python 中`remove()`方法的示例

### 示例 1:如何从列表中移除元素

```py
 # flowers list
flowers = ['Dalia', 'Rose', 'Lotus', 'Sunflower']

# 'Sunflower' is removed
flowers.remove('Sunflower')

# Updated flowers List
print('Updated flowers list: ', flowers) 

```

**输出:**

```py
 Updated flowers list:['Dalia', 'Rose', 'Lotus'] 
```

### 示例 2:如何在有重复元素的列表上使用`remove()`方法？

```py
 # flowers list
flowers = ['Dalia', 'Rose', 'Lotus', 'Sunflower', 'Rose']

# 'Rose' is removed
flowers.remove('Rose')

# Updated flowers List
print('Updated flowers list: ', flowers) 

```

**输出:**

```py
 Updated flowers list: ['Dalia', 'Lotus', 'Sunflower', 'Rose'] 
```

### 示例`remove()`方法如何在缺少元素的情况下工作？

```py
 # flowers list
flowers = ['Dalia', 'Rose', 'Lotus', 'Sunflower']

# Deleting 'jasmine' element
flowers.remove('jasmine')

# Updated flowers List
print('Updated flowers list: ', flowers) 

```

**输出:**

```py
 Traceback (most recent call last):
  File ".. .. ..", line 5, in <module>flowers.remove('jasmine')
ValueError: list.remove(x): x not in list</module> 
```