# Python `sort()`

> 原文：<https://learnetutorials.com/python/methods/sort>

python 中的`sort()`函数有助于按照用户定义的顺序(升序或降序)对列表进行排序。默认情况下，排序按升序进行。

```py
 **list.sort(key=..., reverse=...)** #where key is function name 

```

## 排序()参数:

这个函数有两个可选参数。我们也可以使用**排序(列表，键=...，反向=...)**方法出于同样的目的。不同的是`sorted()`方法不改变列表并返回一个排序列表，但是`sorted()`方法直接改变列表并且不返回任何值。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 反面的 | 如果为真，则排序列表反转(或按降序) | 可选择的 |
| 键 | 用作排序比较的关键字的函数 | 可选择的 |

## 排序()返回值

`sort()`方法不返回值。它通过更改元素的顺序来更新原始列表。为了返回排序列表而不改变原始列表，我们可以使用`sorted()`方法。

## Python 中`sort()`方法的示例

### 示例 1:如何在 Python 中对列表进行排序？

```py
 # alphabets list
alphabets = ['b', 'a', 'e', 'd', 'c']

# sort the alphabets
alphabets.sort()

# print alphabets
print('Sorted list:', alphabets) 

```

**输出:**

```py
 Sorted list: ['a', 'b', 'c', 'd', 'e'] 
```

### 例 2:如何对列表进行降序排序？

```py
 # alphabets list
alphabets = ['b', 'a', 'e', 'd', 'c']

# sort the alphabets
alphabets.sort(reverse=True)

# print alphabets
print('Sorted list in Descending order:', alphabets) 

```

**输出:**

```py
 Sorted list in Descending order: ['e', 'd', 'c', 'b', 'a'] 
```

### 示例 3:如何使用键对列表进行排序？

```py
 # take second element for sort
def second(elem):
    return elem[1]

# random list
randomlist = [(2, 2), (3, 4), (4, 1), (1, 3)]

# sort list with key
randomlist.sort(key=second)

# print list
print('Sorted list:', randomlist) 

```

**输出:**

```py
 Sorted list: [(4, 1), (2, 2), (1, 3), (3, 4)] 
```