# Python `copy()`

> 原文：<https://learnetutorials.com/python/methods/list-copy>

python 中的`copy()`函数有助于返回给定列表的浅层副本。在这里，浅拷贝意味着在新列表中所做的任何更改都不会反映原始列表。

```py
 **list.copy()** #where list in which needs to copy 

```

## 复制()参数:

`copy()`函数不接受任何参数。也可以使用“ **=** ”运算符复制列表。通过以这种方式复制，问题是，如果我们修改复制的新列表，它将影响原始列表，因为新列表引用相同的原始列表对象。

## 复制()返回值

此方法通过复制原始列表返回一个新列表。它不会对原始列表进行任何更改。

| 投入 | 返回值 |
| 如果列表 | 列表的简单副本 |

## Python 中`copy()`方法的示例

### 示例 1:如何复制列表？

```py
 # mixed list
org_list = ['abc', 0, 5.5]

# copying a list
new_list = org_list.copy()

print('Copied List:', new_list) 

```

**输出:**

```py
 Copied List: ['abc', 0, 5.5] 
```

### 示例 2:如何使用切片语法复制列表？

```py
 # shallow copy using the slicing syntax

# mixed list
org_list = ['abc', 0, 5.5]

# copying a list using slicing
new_list = org_list[:]

# Adding an element to the new list
new_list.append('def')

# Printing new and old list
print('Original List:', org_list)
print('New List:', new_list) 

```

**输出:**

```py
 Original List: ['abc', 0, 5.5]
New List: ['abc', 0, 5.5,'def'] 
```