# Python `difference_update()`

> 原文：<https://learnetutorials.com/python/methods/difference_update>

python 中的`difference_update()`函数有助于集合更新。它首先找出给定的两个集合之间的集合差。并用集合差的结果元素更新第一个集合。集合差给出了一个新的集合，它包含只存在于第一个集合中的元素，而不存在于第二个集合中。

```py
 **A.difference_update(B)** #where A & B are sets 

```

## 差异 _ 更新()参数:

`difference()`函数将 set 作为其参数。在此方法调用之后，集合 A 将被更新为 A-B。集合 B 保持不变。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 设置 | 要检查差异的集合 | 需要 |

## 差异 _ 更新()返回值

这个方法不返回值。它用一组不同的值更新原始集。

## Python 中的`difference_update()`方法示例

### 示例 difference _ `update()`在 Python 中是如何工作的？

```py
 A = {1, 2, 3, 4, 6}
B = {5, 2, 4, 7}

# Before update
print('A = ', A)
result = A.difference_update(B)
# After update
print('A = ', A)
print('B = ', B)
print('result = ', result) 

```

**输出:**

```py
 # Before update
A =  {1, 2, 3, 4, 6}

# After update
A =  {1, 3, 6}
B =  {5, 2, 4, 7}
result =  None 
```

### 示例 Python 中`difference_update()`的工作原理？

```py
 A = {'a', 'b', 'c', 'd'}
B = {'c', 'f', 'd'}
# Before update
print('A = ', A)
result = A.difference_update(B)
# After update
print('A = ', A)
print('B = ', B)
print('result = ', result) 

```

**输出:**

```py
 # Before update
A =  {'a', 'b', 'c', 'd'}

# After update
A =  {'a', 'b'}
B =  {'c', 'd', 'f'}
result =  None 
```