# Python `intersection_update()`

> 原文：<https://learnetutorials.com/python/methods/intersection_update>

python 中的交集`_update()`函数有助于集合更新。它首先找出给定集合的交集。并用集合交集的结果元素更新第一个集合。集合交集给出了包含所有给定集合中公共元素的新集合。

```py
 **A.intersection_update(*other_sets)** #where A is a set of any iterables, like strings, lists, and dictionaries 

```

## 交集 _ 更新()参数:

`intersection_update()`函数可以采用许多集合参数进行比较(*表示)，并用逗号分隔这些集合。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| A | 在中搜索相等项目并更新的集合 | 需要 |
| 其他集 | 另一组用于搜索相等的项目 | 可选择的 |

## 交集 _ 更新()返回值

此方法不返回值。它会更新原始设置。

结果= A.intersection_update(B，C)考虑这一点，这里的结果将是无。A 将是 A、B、c 的交汇点，而 B & C 保持不变。

## Python 中的交集`_update()`方法示例

### 示例 intersection _ `update()`在 Python 中是如何工作的？

```py
 A = {'a', 'b', 'c', 'd'}
B = {'c', 'e', 'f', 'a'}
result = A.intersection_update(B)
print('result =', result)
print('A =', A)
print('B =', B) 

```

**输出:**

```py
 result = None
A = {'a', 'c'}
B = {'c', 'e', 'f', 'a'} 
```

### 示例 2:带有两个参数的 Python 方法交集`_update()`

```py
 A = {'a', 'b', 'c', 'd'}
B = {'c', 'e', 'f', 'a'}
C = {'d', 'f', 'a', 'g'}
result = C.intersection_update(B, A)

print('result =', result)
print('C =', C)
print('B =', B)
print('A =', A) 

```

**输出:**

```py
 result = None
C = {'a'}
B = {'c', 'e', 'f', 'a'}
A = {'a', 'b', 'c', 'd'} 
```