# Python `isdisjoint()`

> 原文：<https://learnetutorials.com/python/methods/isdisjoint>

python 中的`isdisjoint()`函数有助于检查给定的两个集合是否不相交。如果集合不相交，则返回真，否则返回假。不相交意味着这两个集合没有共同的元素。

```py
 **set_a.isdisjoint(set_b)** #where parameter may be list, tuple, dictionary, and string 

```

## `isdisjoint()`参数:

`isdisjoint()`函数接受一个参数。这个方法会自动将给定的可迭代参数转换成一个集合，以检查它是否不相交。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 设置 | 要在其中搜索相等项目的集合 | 需要 |

## `isdisjoint()`返回值

此方法返回一个布尔值 true 或 false。我们也可以说，如果两个集合的交集是一个空集，它将是一个不相交的集合。

| 投入 | 返回值 |
| 如果集合不相交 | 真实的 |
| 如果集合不是不相交的 | 错误的 |

## Python 中`isdisjoint()`方法的示例

### 示例`isdisjoint()`在 Python 中是如何工作的？

```py
 A = {'a', 'b', 'c', 'd'}
B = {'e', 'f', 'g'}
C = {'b', 'h', 'i'}

print(' A and B disjoint?', A.isdisjoint(B))
print(' A and C disjoint?', A.isdisjoint(C)) 

```

**输出:**

```py
 A and B disjoint? True
 A and C disjoint? False 
```

### 示例 2:使用其他 iterables 作为参数使用`isdisjoint()`

```py
 A = {1, 2, 3, 4}
B = [5, 3, 6]
C = '3mn7'
D ={1 : 'a', 2 : 'b'}
E ={'a' : 1, 'b' : 2}

print('A and B disjoint?', A.isdisjoint(B))
print('A and C disjoint?', A.isdisjoint(C))
print('A and D disjoint?', A.isdisjoint(D))
print('A and E disjoint?', A.isdisjoint(E)) 

```

**输出:**

```py
 A and B disjoint? False
A and C disjoint? False
A and D disjoint? False
A and E disjoint? True
```