# Python `issubset()`

> 原文：<https://learnetutorials.com/python/methods/issubset>

python 中的`issubset()`函数有助于检查集合是否是子集。这个集合被称为子集，这个集合的所有元素都存在于另一个集合中。如果集合是子集，此方法返回 true，否则返回 false。

```py
 **A.issubset(B)** #where A and B are sets 

```

## `issubset()`参数:

`issubset()`函数将集合作为其参数。只有当 A 的所有元素都必须在 B 中时，集合 A 才被称为 B 的子集。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 水果派 | 要搜索的项目集 | 需要 |

## `issubset()`返回值

此方法的返回值必须是布尔值。检查子集的另一种方法是使用子集运算符(< =)，如 set_a <= set_b。检查“set_a”是“set_b”的子集。

| 投入 | 返回值 |
| 甲是乙的子集 | 真实的 |
| 甲不是乙的子集 | 错误的 |

## Python 中`issubset()`方法的示例

### 示例`issubset()`在 Python 中是如何工作的？

```py
 A = {'a', 'b', 'c', 'd', 'e'}
B = {'a', 'b', 'c'}
C = {'b', 'a', 'e','d'}

# Returns False
print(A.issubset(B))

# Returns True
# B is a subset of A
print(B.issubset(A))

# Returns False
print(A.issubset(C))

# Returns True
print(C.issubset(A)) 

```

**输出:**

```py
 False
True
False
True 
```

### 示例 Python 中`issubset()`的工作原理？

```py
 # Set X
X = {1, 2, 3}

# Set Y
Y = {1, 2, 3, 4}
print("Y is a subset of X?", Y.issubset(X))
print("X is a subset of Y?", X.issubset(Y)) 

```

**输出:**

```py
 Y is a subset of X? False
X is a subset of Y? True 
```