# Python `symmetric_difference()`

> 原文：<https://learnetutorials.com/python/methods/symmetric_difference>

python 中的`symmetric_difference()`函数返回一个包含两个集合的对称差的新集合。对称差意味着元素集或者在第一个集合中，或者在第二个集合中。它不包含集合中的公共元素。

```py
 **A.symmetric_difference(B)** #where A & B are sets 

```

## 对称差()参数:

`symmetric_difference()`函数将集合作为其参数。Python 还有另一种寻找对称差的方法，那就是使用^算子。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 水果派 | 要在其中检查匹配的集合 | 需要 |

## 对称差()返回值

返回值总是包含除公共元素之外的混合元素的集合。

| 投入 | 返回值 |
| 设置 | 具有对称差的集合 |

## Python 中的对称 _ 差分()方法示例

### 示例 1:对称`_difference()`在 Python 中是如何工作的？

```py
 A = {1, 2, 3, 4}
B = {2, 5, 6 }
C = {7, 5}

print(A.symmetric_difference(B))
print(B.symmetric_difference(A))

print(A.symmetric_difference(C))
print(B.symmetric_difference(C)) 

```

**输出:**

```py
 {1, 3, 4, 5, 6}
{5, 6, 4, 1, 3}
{1, 3, 4, 5, 6, 7}
{'2', '5', '7'} 
```

### 示例 2:使用^算子的对称差分

```py
 X = {1, 2, 3, 4}
Y = {5, 3, 1}

print(X ^ Y)
print(Y ^ X)

print(X ^ X)
print(Y ^ Y) 

```

**输出:**

```py
 {2, 4, 5}
{4, 2, 5}
set()
set() 
```