# Python `union()`

> 原文：<https://learnetutorials.com/python/methods/union>

python 中的`union()`函数有助于返回一个包含给定集合中所有元素的新集合，而不会重复。我们可以说，一个具有不同元素的新集合。该方法可以采用多组参数。

```py
 **A.union(*other_sets)** #where * indicate it can take 0 or more arguments. 

```

## `union()`参数:

`union()`函数将集合作为其参数。Python 还有另一种寻找联合的方法，那就是使用“|”运算符。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 其他集 | 要与之统一的集合 | 需要 |

## 联合()返回值

这个函数返回一个包含所有元素的新集合。如果两个集合中都存在一个元素，则在新集合中出现该元素的一次。

| 投入 | 返回值 |
| if 参数 | 具有不同元素的集合 |
| 没有参数 | 集合的浅拷贝 |

## Python 中`union()`方法的示例

### 示例`union()`在 Python 中是如何工作的？

```py
 X = {'a', 'c', 'd'}
Y = {'c', 'd', 5 }
Z = {4, 5, 6}

print('X U Y =', X.union(Y))
print('Y U Z =', Y.union(Z))
print('X U Y U Z =', X.union(Y, Z))
print('X.union() =', X.union()) 

```

**输出:**

```py
 X U Y = {5, 'a', 'd', 'c'}
Y U Z = {4, 5, 6, 'd', 'c'}
X U Y U Z = {4, 5, 6, 'a', 'd', 'c'}
X.union() = {'a', 'd', 'c'} 
```

### 示例 2:如何使用|运算符查找集合 Union？

```py
 X = {'a', 'c', 'd'}
Y = {'c', 'd', 5 }
Z = {4, 5, 6}

print('X U Y =', X| Y)
print('Y U Z =', Y | Z)
print('X U Y U Z =', X | Y | Z) 

```

**输出:**

```py
 X U Y = {5, 'a', 'd', 'c'}
Y U Z = {4, 5, 6, 'd', 'c'}
X U Y U Z = {4, 5, 6, 'a', 'd', 'c'} 
```