# Python `endswith()`

> 原文：<https://learnetutorials.com/python/methods/endswith>

python 中的`endswith()`函数有助于检查字符串是否以给定的后缀结尾。如果是，函数返回 true，否则返回 false。

```py
 **str.endswith(suffix[, start[, end]])** #where index is an integer value 

```

## `endswith()`参数:

`endswith()`函数接受三个参数。如果没有指定开始和结束前缀，那么默认情况下，它将从零索引开始检查整个字符串。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 后缀 | 要检查的后缀字符串或元组 | 需要 |
| 开始 | 字符串中检查后缀的起始位置 | 可选择的 |
| 目标 | 字符串中要检查后缀的结束位置 | 可选择的 |

## `endswith()`返回值

返回值始终是布尔值。也可以将元组后缀传递给这个方法。如果字符串以元组的任何元素结尾，则该函数返回 true。

| 投入 | 返回值 |
| 如果字符串以指定的后缀结尾 | 真实的 |
| 如果字符串不以指定的后缀结尾 | 错误的 |

## Python 中`endswith()`方法的示例

### 示例`endswith()`在没有开始和结束参数的情况下如何工作？

```py
 string = "Hii, How are you?"

result = string.endswith('are you')
# returns False
print(result)

result = string.endswith('are you?')
# returns True
print(result)

result = string.endswith('Hii, How are you?')
# returns True
print(result) 

```

**输出:**

```py
 False
True
True 
```

### 示例`endswith()`如何使用开始和结束参数？

```py
 string = "Hii, How are you?"

# start parameter: 10

result = string.endswith('you?', 10)
print(result)

# Both start and end is provided

result = string.endswith('are?', 2, 8)
# Returns False
print(result)

result = string.endswith('you?', 10, 16)
# returns True
print(result) 

```

**输出:**

```py
 True
False
True 
```

### 示例`endswith()`如何使用元组后缀？

```py
 string = "apple is a fruit"
result = string.endswith(('apple', 'flower'))

# prints False
print(result)

result = string.endswith(('apple', 'fruit', 'grapes'))
#prints True
print(result)

# With start and end parameter
result = string.endswith(('is', 'to'), 0, 8)

# prints True
print(result) 

```

**输出:**

```py
 True
False
True 
```