# Python `expandtabs()`

> 原文：<https://learnetutorials.com/python/methods/expandtabs>

python 中的`expandtabs()`函数有助于将字符串中的' \t '字符替换为空格。该函数允许指定所需的空间量。最后，修改后的字符串作为输出返回。

```py
**string.expandtabs(tabsize)** #where tabsize is an integer value 
```

## `expandtabs()`参数:

`expandtabs()`函数接受一个参数。如果我们需要替换多个制表符，那么制表符之前的字符只有在到达前一个制表符时才被计数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| tabsize | 指定 tabsize 的数字。默认 tabsize 为 8 | 可选择的 |

## `expandtabs()`返回值

返回值始终是字符串。它返回使用空格扩展后的原始字符串的副本。

| 投入 | 返回值 |
| 线 | 带有空格的字符串 |

## Python 中`expandtabs()`方法的示例

### 示例 1:如何在没有参数的情况下使用`expandtabs()`？

```py
 string = 'abc\t56789\tefg'

# no argument is passed
# default tabsize is 8
result = string.expandtabs()

print(result) 

```

**输出:**

```py
 abc     56789   efg 
```

### 示例 2:如何用不同的参数扩展？

```py
 string = "abc\t56789\tdef"
print('Original String:', str)

# tabsize is set to 2
print('Expanded tabsize 2:', string.expandtabs(2))

# tabsize is set to 3
print('Expanded tabsize 3:', string.expandtabs(3))

# tabsize is set to 4
print('Expanded tabsize 4:', string.expandtabs(4))

# tabsize is set to 5
print('Expanded tabsize 5:', string.expandtabs(5))

# tabsize is set to 6
print('Expanded tabsize 6:', string.expandtabs(6)) 

```

**输出:**

```py
 Original String: abc 56789 def
Expanded tabsize 2: abc 56789 def
Expanded tabsize 3: abc   56789 def
Expanded tabsize 4: abc 56789   def
Expanded tabsize 5: abc  56789     def
Expanded tabsize 6: abc   56789 def
```