# Python `find()`

> 原文：<https://learnetutorials.com/python/methods/find>

python 中的`find()`函数有助于返回给定子串的位置。如果它们不止一次出现，它将返回第一次出现。如果没有找到搜索到的子串，它将返回-1。

```py
 **str.find(sub[, start[, end]] )** #where start & end must be an integers 

```

## 查找()参数:

`find()`函数接受三个参数。如果缺少开始和结束参数，它将把零作为开始索引，把 length-1 作为结束参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜水艇 | 必须找到其索引的子字符串 | 需要 |
| 开始 | 字符串中开始搜索的位置。默认值为 0 | 可选择的 |
| 目标 | 定位，直到搜索应该发生。默认值是字符串的结尾 | 可选择的 |

## 查找()返回值

返回值始终是指定子字符串位置或索引的整数值。这个方法类似于`index()`方法，不同的是，如果没有找到搜索到的子串，`index()`会抛出一个异常。

| 投入 | 返回值 |
| 如果找到子字符串 | 给定值 |
| 如果没有找到子字符串 | -1 |

## Python 中`find()`方法的示例

### 示例 1:如何在没有开始和结束参数的情况下找到()。

```py
 string = 'What is the, what is the, what is the'

# first occurance of 'what is'(case sensitive)
result = string.find('what is')
print("Substring 'what is':", result)

# find returns -1 if substring not found
result = string.find('Hii')
print("Substring 'Hii ':", result)

# How to use find() in conditions
if (string.find('is,') != -1):
    print("Contains substring 'is,'")
else:
    print("Doesn't contain substring") 

```

**输出:**

```py
 Substring 'let it': 13
Substring 'small ': -1
Contains substring 'is,' 
```

### 示例`find()`如何处理开始和结束参数？

```py
 string = 'What is your name'

# Substring is searched in 'your name'
print(string.find('your name', 7)) 

# Substring is searched in ' is your' 
print(string.find('is your', 10))

# Substring is searched in 'what is'
print(string.find('what is', 8, 16))

# Substring is searched in 'is your'
print(string.find('is your ', 0, 14)) 

```

**输出:**

```py
 8
-1
-1
5 
```