# Python `index()`

> 原文：<https://learnetutorials.com/python/methods/string-index>

python 中的`index()`函数有助于返回给定子串在字符串中的位置或索引。如果未找到搜索到的子字符串，将引发异常。这里我们还可以通过字符串提供搜索的起点和终点。

```py
 **cstr.index(sub[, start[, end]] )** #where start & end should be integers 

```

## 索引()参数:

`index()`函数接受三个参数。如果没有提供开始和结束索引，搜索将从零索引开始，直到字符串的结尾。此方法类似于`find()`方法，不同之处在于，如果未找到搜索到的子字符串，`index()`将返回-1，而`find()`方法会引发异常。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜水艇 | 要在字符串中搜索的子字符串 | 需要 |
| 开始 | 从此索引开始搜索 | 可选择的 |
| 目标 | 搜索该索引之前的子字符串 | 可选择的 |

## 索引()返回值

这个方法的输出应该是一个指示子字符串位置的整数值。如果找到多个子串，它将只返回第一个。

| 投入 | 返回值 |
| if 子串 | 子串索引 |
| 如果没有子字符串 | ValueError exception(值错误异常) |

## Python 中`index()`方法的示例

### 示例`index()`如何仅使用子字符串参数？

```py
 string = 'Python is very easy to learn.'

result = string.index('very easy')
print("Substring 'very easy':", result)

result = string.index('Php')
print("Substring 'php':", result) 

```

**输出:**

```py
 Substring 'very easy': 10

Traceback (most recent call last):
  File "<string>", line 6, in 
    result = string.index('Php')
ValueError: substring not found</string> 
```

### 示例`index()`如何使用开始和结束参数

```py
 string = 'Python is very easy to learn.'

# Substring is searched in 'very'
print(string.index('very', 6))

# Substring is searched in 'easy '
print(string.index('easy', 5, 10))

# Substring is searched in 'to'
print(string.index('to', 15, 23)) 

```

**输出:**

```py
 10
Traceback (most recent call last):
  File "<string>", line 7, in 
    print(quote.index('easy', 5, 10))
ValueError: substring not found
20</string> 
```