# Python `isnumeric()`

> 原文：<https://learnetutorials.com/python/methods/isnumeric>

python 中的`isnumeric()`函数有助于检查字符串中的所有字符是否都是数字字符。如果所有字符都是数字，函数返回真，否则返回假。

```py
 **string.isnumeric()** 

```

## `isnumeric()`参数:

`isnumeric()`方法不接受任何参数。这里的数字类型意味着它可以包含十进制(0-9)、数字(下标、上标)和 Unicode 数值属性(分数、罗马数字、货币记数器)。浮点(如 1.5)和负值(如-1)不是数值。

## `isnumeric()`返回值

返回值始终是布尔值。如果遇到字母、符号或空字符串，函数将返回 false。

| 投入 | 返回值 |
| 所有数字字符 | 真实的 |
| 至少一个非数字 | 错误的 |

## Python 中`isnumeric()`方法的示例

### 示例`isnumeric()`在 Python 中是如何工作的？

```py
 string = '1234567'
print(string.isnumeric())

#string = '²3455'
string = '\u00B23455'
print(string.isnumeric())

# string = '½'
string = '\u00BD'
print(string.isnumeric())

string='program12'
print(string.isnumeric()) 

```

**输出:**

```py
 True
True
True
False 
```

### 示例 2:如何在 Python 中使用`isnumeric()`？

```py
 #string = '²3455'
string = '\u00B23455'

if string.isnumeric() == True:
  print('String characters are numeric.')
else:
  print('String characters are not numeric.') 

```

**输出:**

```py
 String characters are numeric. 
```