# Python `isprintable()`

> 原文：<https://learnetutorials.com/python/methods/isprintable>

python 中的`isprintable()`函数有助于检查字符串中的所有字符是可打印字符还是空字符串。如果所有字符都是可打印的或为空字符串，则函数返回真，否则返回假。

```py
 **string.isprintable()** 

```

## `isprintable()`参数:

`isprintable()`方法不接受任何参数。字符串中可打印的字符包括字母和符号、数字、标点符号和空白。不可打印字符是指那些在打印时不可见且不占用空间的字符(转义字符，如' \n '，' \t '，' \r '，' \x16 '，' \xlf '等)。

## `isprintable()`返回值

返回值始终是布尔值。即使是空字符串，该函数也会返回 true，因为它被认为是可打印的。

| 投入 | 返回值 |
| 所有字符都是可打印的 | 真实的 |
| 至少一个不可打印 | 错误的 |

## Python 中`isprintable()`方法的示例

### 示例`isprintable()`在 Python 中是如何工作的？

```py
 string = 'Space is a printable?'
print(string)
print(string.isprintable())

string = '\nNew Line is printable?'
print(string)
print(string.isprintable())

string = ''
print('\nEmpty string is printable?', string.isprintable()) 

```

**输出:**

```py
 Space is a printable?
True

New Line is printable?
False

Empty string is printable? True 
```

### 示例 2:在 Python 中使用`isprintable()`

```py
 # chr(27) is escape character,char(97) is letter 'a'

string = chr(27) + chr(97)

if string.isprintable() == True:
  print('Is Printable')
else:
  print('Not Printable')

string = '5+5 = 10'

if string.isprintable() == True:
  print('Is Printable')
else:
  print('Not Printable') 

```

**输出:**

```py
 Not Printable
Is Printable 
```