# Python `ljust()`

> 原文：<https://learnetutorials.com/python/methods/ljust>

python 中的`ljust()`函数通过用给定的最小长度填充指定的字符来帮助将字符串向左对齐。在缺少 fillchar 参数的情况下，空格被视为默认填充字符。

```py
 **string.ljust(width[, fillchar])** #where width is an integer value 

```

## `ljust()`参数:

`ljust()`函数接受两个参数。fillchar 参数必须是单个字符。如果给定的 fillchar 参数有多个字符，那么它将引发类型错误。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 宽度 | 返回字符串的宽度 | 需要 |
| 菲勒 | 填充缺少的空格的字符 | 可选择的 |

## `ljust()`返回值

返回值始终是字符串。这里 fillchar 字符填充在字符串的右边。如果指定的宽度小于或等于字符串的长度，则原始字符串作为输出返回。

| 投入 | 返回值 |
| If 参数 | 左对齐字符串 |

## Python 中的`ljust()`方法示例

### 示例 1:在 Python 中向左对齐最小宽度的字符串？

```py
 # example string
string = 'Python'
length = 7

# print left justified string
print(string.ljust(length)) 

```

**输出:**

```py
 Python 
```

### 示例 2:如何在 Python 中左对齐字符串并填充剩余的空格？

```py
 # example string
string = 'Python'
length = 10
fill = '*'

# print left justified string
print(string.ljust(length, fill)) 

```

**输出:**

```py
 Python**** 
```