# Python `partition()`

> 原文：<https://learnetutorials.com/python/methods/partition>

python 中的`partition()`函数有助于将字符串划分为元组。它首先找出字符串，并拆分成包含三个部分的元组。第一部分包含指定字符串之前的部分，第二部分包含指定字符串，第三部分包含给定字符串之后的部分。

```py
 **string.partition(separator)** #where separator can be numbers as well as symbols 

```

## 分区()参数:

`partition()`函数采用单个参数。此方法搜索给定字符串的第一个匹配项。分区()中的搜索区分大小写。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 分离器 | 要搜索的字符串 | 需要 |

## 分区()返回值

返回值是一个元组。如果找不到分隔符参数，则返回字符串本身和两个空字符串。如果我们传递一个空字符串作为分隔符，那么该方法将抛出 ValueError。

| 投入 | 返回值 |
| 线 | 三元组 |

## Python 中的`partition()`方法示例

### 示例 1:如果找不到分隔符，`partition()`如何工作？

```py
 string1 = "Python programming languages"

string2 = string1.partition("java")

print(string2) 

```

**输出:**

```py
 ('Python programming languages', '', '') 
```

### 示例 2:如果找到了分隔器，`partition()`是如何工作的？

```py
 string1 = "Python programming languages"

string2 = string1.partition("programming")

print(string2) 

```

**输出:**

```py
 ('Python','programming','languages') 
```

### 示例 3:如果分隔器为空，`partition()`如何工作？

```py
 string1 = "Python programming languages"

string2 = string1.partition(" ")

print(string2) 

```

**输出:**

```py
 ('Python programming languages', '', '')
ValueError: empty separator 
```