# Python `translate()`

> 原文：<https://learnetutorials.com/python/methods/translate>

python 中的`translate()`函数有助于用给定映射表或字典中指定的字符替换字符串中的某些字符。可以使用`translate()`方法创建映射表。

```py
 **string.translate(table)** #where table may be a dictionary or mapping table 

```

## 翻译()参数:

`translate()`函数接受一个参数。如果我们使用字典，我们必须使用 ASCII 码而不是字符。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 桌子 | 包含两个字符之间映射的表 | 需要 |

## 翻译()返回值

返回值将是一个字符串。如果我们没有在字典/表格中指定该字符，该字符将不会被替换。

| 投入 | 返回值 |
| 线 | 映射字符串 |

## Python 中`translate()`方法的示例

### 示例 1:如何使用`translate()`翻译字符串？

```py
 # define string
String1 = "abc"
String2 = "ghi"
String3 = "ab"

string = "abcdef"
print("Before Translation:", string)

mapping= string.maketrans(String1, String2, String3)

# translate string
print("After Translation:", string.translate(mapping)) 

```

**输出:**

```py
 Before Translation:abcdef
After Translation:idef 
```

### 示例 2:如何使用`translate()`和手动翻译表翻译字符串？

```py
 # translation table 
mapping = {97: None, 98: None, 99: 105}

string = "abcdef"
print("Before Translation:", string)

# translate string
print("After Translation:", string.translate(mapping)) 

```

**输出:**

```py
 Before Translation:abcdef
After Translation:idef 
```