# Python `rfind()`

> 原文：<https://learnetutorials.com/python/methods/rfind>

python 中的`rfind()`函数有助于返回最高索引，这意味着原始字符串中给定子字符串的最后一次出现。如果没有找到子字符串，函数将返回-1。我们还可以指定搜索的开始和结束位置。

```py
 **str.rfind(sub[, start[, end]] )** #where start & end are integer values 

```

## `rfind()`参数:

`rfind()`函数接受三个参数。此方法类似于`rindex()`方法，不同之处在于，如果在`rindex()`方法中找不到子字符串，它将引发 ValueError 异常，

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜水艇 | 要搜索的字符串 | 需要 |
| 开始 | 从哪里开始搜索。默认值为 0 | 可选择的 |
| 目标 | 在哪里结束搜索。默认值是字符串的结尾 | 可选择的 |

## 返回值

返回值始终是整数。`rfind()`方法总是执行区分大小写的搜索。

| 投入 | 返回值 |
| If 子串 | 整数(最高索引) |
| 如果没有子字符串 | -1 |

## Python 中的`rfind()`方法示例

### 示例`rfind()`在 Python 中是如何工作的？

```py
 string = "Hii, How are you."
# substring exist
val = string.rfind("o")
print("Substring1 index:", val)

# substring not exist
value = string.rfind("s")
print("Substring2 index:", value) 

```

**输出:**

```py
 Substring1 index: 14
Substring2 index: -1 
```

### 示例`rfind()`如何在 Python 中使用开始和结束？

```py
 string = "Python programming language"  
# calling function  
string2 = string.rfind("m",5) # Only starting index is passed  
print("Substring index:", string2)

string2 = string.rfind("o",1,7) # Start and End both indexes are passed  
print("Substring index:", string2) 

```

**输出:**

```py
 Substring index: 14
Substring index: 4 
```