# Python `rindex()`

> 原文：<https://learnetutorials.com/python/methods/rindex>

python 中的`rindex()`函数有助于返回最高的索引，这意味着原始字符串中给定子字符串的最后一次出现。如果未找到子字符串，该函数将引发 ValueError 异常。我们还可以指定搜索的开始和结束位置。

```py
 **str.rindex(sub[, start[, end]] )** #where start & end are integer values 

```

## `rindex()`参数:

`rindex()`函数接受三个参数。这个方法类似于`rfind()`方法，不同的是，如果在`rfind()`方法中没有找到子字符串，它将返回-1 作为输出。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 潜水艇 | 要搜索的字符串 | 需要 |
| 开始 | 从哪里开始搜索。默认值为 0 | 可选择的 |
| 目标 | 在哪里结束搜索。默认值是字符串的结尾 | 可选择的 |

## `rindex()`返回值

返回值始终是整数。`rindex()`方法总是执行区分大小写的搜索。

| 投入 | 返回值 |
| If 子串 | 整数(最高索引) |
| 如果没有子字符串 | ValueError exception(值错误异常) |

## Python 中`rindex()`方法的示例

### 示例`rindex()`在 Python 中是如何工作的？

```py
 string = "Hii, How are you."
# substring exist
val = string.rfind("o")
print("Substring1 index:", val)

# substring not exist

print(string.rfind("s")) 

```

**输出:**

```py
 Substring index: 14
Traceback (most recent call last):
  File "...", line 8, in <module>print(string.rfind("s"))</module> <module>ValueError: substring not found</module> 
```

### 示例`rindex()`如何在 Python 中使用 start 和 end？

```py
 string = "Python programming language"  
# calling function  
string2 = string.rindex("m",5) # Only starting index is passed  
print("Substring index:", string2)

string2 = string.rindex("o",1,7) # Start and End both indexes are passed  
print("Substring index:", string2) 

```

**输出:**

```py
 Substring index: 14
Substring index: 4 
```