# Python `rsplit()`

> 原文：<https://learnetutorials.com/python/methods/rsplit>

python 中的`rsplit()`函数通过拆分原始字符串来帮助返回字符串列表。这里的拆分是从右端开始，并使用指定的分隔符。

```py
 **str.rsplit([separator [, maxsplit]])** #where separator may be a character,symbol,or space 

```

## `rsplit()`参数:

`rsplit()`函数接受两个参数。如果没有给定分隔符参数，它将接受任何空白(空格、换行符等)。)作为分隔符。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 分离器 | 它是一个分隔符。字符串在指定的分隔符处拆分。 | 可选择的 |
| maxsplit | maxsplit 定义了拆分的最大数量。
max split 的默认值为-1。 | 可选择的 |

## 返回值

返回值是字符串列表。如果拆分计数是 maxsplit，那么我们在输出列表中有 maxsplit+1 个项目。如果找不到指定的分隔符，则将整个字符串作为元素的列表作为输出返回。

| 投入 | 返回值 |
| 线 | 字符串列表 |

## Python 中`rsplit()`方法的示例

### 示例`rsplit()`方法在 Python 中是如何工作的？

```py
 string= 'Hii How are you'

# splits at space
print(string.rsplit())

fruits= 'apple, orange, grapes'

# splits at ','
print(fruits.rsplit(', '))

# Splits at ':' but not exist so return original
print(fruits.rsplit(':')) 

```

**输出:**

```py
 ['Hii', 'How', 'are', 'you']
['apple', 'orange', 'grapes']
['apple, orange, grapes'] 
```

### 示例 2:当指定 maxsplit 时`rsplit()`的工作方式？

```py
 fruits= 'apple, orange, grapes, strawberry'

# maxsplit: 2
print(fruits.split(', ', 2))

# maxsplit: 1
print(fruits.split(', ', 1))

# maxsplit: 5
print(fruits.split(', ', 5))

# maxsplit: 0
print(fruits.split(', ', 0)) 

```

**输出:**

```py
 ['apple, orange', 'grapes', 'strawberry']
['apple, orange, grapes', 'strawberry']
['apple', 'orange', 'grapes', 'strawberry']
['apple, orange, grapes, strawberry'] 
```