# Python `splitlines()`

> 原文：<https://learnetutorials.com/python/methods/splitlines>

python 中的`splitlines()`函数有助于返回字符串中的行列表，这里的拆分是在换行符处完成的。它以布尔值作为参数。

```py
 **str.splitlines([keepends])** #where keepends is a boolean value 

```

## 分割线()参数:

`splitlines()`函数接受一个参数。默认情况下，不提供换行符。换行符也包含在列表的项目中，它可以是以下任何一种。

| **\n** | 换行 |
| **\r** | 回车 |
| **\r\n** | 回车+换行 |
| **\v** 或 **\x0b** | 行列表 |
| **\f** 或 **\x0c** | 换页 |
| **\x1c** | 文件分隔符 |
| **\x1d** | 分组分隔符 |
| **\x1e** | 记录分离器 |
| **\x85** | 下一行(C1 控制代码) |
| **\u2028** | 行分隔符 |
| **\u2029** | 段落分隔符 |

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 周末 | 指定是否应包含换行符(真)或不包含换行符(假) | 可选择的 |

## 分割线()返回值

如果没有给定换行符，它将返回一个包含单个项目(单行)的列表。

| 投入 | 返回值 |
| 如果 keepends | 字符串中的行列表 |

## Python 中`splitlines()`方法的示例

### 示例`splitlines()`在 Python 中是如何工作的？

```py
 fruits = 'Apple\Orange\r\nBanana\rGrapes'

print(fruits .splitlines())
print(fruits .splitlines(True))

fruits = 'Apple Orange Banana Grapes'
print(fruits.splitlines()) 

```

**输出:**

```py
 ['Apple', 'Orange', 'Banana', 'Grapes']
['Apple\n', 'Orange\r\n', 'Banana\r', 'Grapes']
['Apple Orange Banana Grapes'] 
```

### 示例 2:在 Python 中使用分割线()

```py
 string = "Hi How are you\nIam fine.."

output = string.splitlines(True)

print(output) 

```

**输出:**

```py
 ['Hi How are you\n', 'Iam fine..'] 
```