# Python `startswith()`

> 原文：<https://learnetutorials.com/python/methods/startswith>

python 中的`startswith()`函数返回一个布尔值。如果字符串以指定的前缀开头，函数返回 true，否则返回 false。

```py
 **str.startswith(prefix[, start[, end]])** #where prefix may be a string or tuple 

```

## 开始于()参数:

`startswith()`函数接受三个参数。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 前缀 | 检查字符串是否以开头的值 | 需要 |
| 开始 | 一个整数，指定开始搜索的位置 | 可选择的 |
| 目标 | 字符串中检查前缀的结束位置 | 可选择的 |

## 开始于()返回值

返回值总是一个布尔值。

| 投入 | 返回值 |
| 如果以指定的前缀开头 | 真实的 |
| 如果不是，则以指定的前缀开头 | 错误的 |

## Python 中`startswith()`方法的示例

### 示例`startswith()`在没有开始和结束参数的情况下如何工作？

```py
 string = "It was a good day"

output = string.startswith('was a')
# returns False
print(output)

output = string.startswith('It was ')
# returns True
print(output)

output = string.startswith('It was a good day.')
# returns True
print(output) 

```

**输出:**

```py
 False
True
True 
```

### 示例`startswith()`如何使用开始和结束参数？

```py
 string = "It was a good day."

# start parameter: 3
# 'was a good day.' string is searched
output = string.startswith('was a good day', 3)
print(output)

# start: 3, end: 7
# 'was a good' string is searched
output = string.startswith('was a good', 3, 7)
print(output)

output = string.startswith('was a good', 3, 14)
print(output) 

```

**输出:**

```py
 True
False
True 
```