# Python `format_map()`

> 原文：<https://learnetutorials.com/python/methods/format_map>

python 中的`format_map()`函数创建了一个新的字典，用于返回字典键的值。这里 str 是输入字典的键，映射是存储输入字典的变量。该函数用值替换字符串中的所有键。

```py
 **str.format_map(mapping)** #where mapping is the variable 

```

## `format_map()`参数:

`format_map()`采用单参数映射(字典)。

| 参数 | 描述 | 必需/可选 |
| --- | --- | --- |
| 绘图 | 映射字典 | 需要 |

## `format_map()`返回值

此方法使用基于映射的替换，使用花括号{}返回字符串的格式化版本。

| 投入 | 返回值 |
| 绘图 | 格式化字符串 |

## Python 中`format_map()`方法示例

### 示例 format _ `map()`函数在 Python 中是如何工作的？

```py
 point = {'a':1,'b':-2}
print('{a} {b}'.format_map(point))

point = {'a':1,'b':-2, 'c': 0}
print('{a} {b} {c}'.format_map(point)) 

```

**输出:**

```py
 1 -2
1 -2 0 
```

### 示例 format _ `map()`如何与 dict 子类一起工作？

```py
 class Coordinate(dict):
    def __missing__(self, key):
      return key

print('({a}, {b})'.format_map(Coordinate(a='1')))
print('({a}, {b})'.format_map(Coordinate(b='2')))
print('({a}, {b})'.format_map(Coordinate(a='1', b='2'))) 

```

**输出:**

```py
 (1, b)
(a, 2)
(1, 2) 
```