# R 程序：检查质数

> 原文：<https://learnetutorials.com/r-programming/programs/check-prime-number>

## 如何检查给定的数是否是质数

在这里，我们解释如何编写一个 R 程序，从用户那里获取数字，并检查它是否是质数。我们可以使用`readline()`功能从用户(终端)获取输入。在这里，提示参数可以选择为用户显示适当的消息。大于 1 的正整数除了 1 没有其他因子，这个数本身就叫做质数。

数字 2、3、5、7、11、13 等等。都是质数，因为它们没有任何其他因素。

但是，6 不是质数(它是复合的)，因为，2×3 = 6。

## 质数检验在 R 程序中是如何实现的

我们使用`readline()`功能获取用户输入。下面给出了 R 程序中读取质数检查值的步骤。在这个 R 程序中，我们通过使用“`prompt`”向用户提供适当的消息，将用户的值接受为 num。检查给定的数字是否大于 1，因为质数必须大于 1。检查 num 是否能被 2 到 num–1 之间的任何数字整除，并在该范围内找到一个因子，然后设置 flag=0，否则设置 flag=1。如果标志=1，将消息打印为质数，否则该数字不是质数。

## 算法

**步骤 1** :提示用户适当的信息

**步骤 2** :将用户使用`readline()`输入的数据转换成变量 num

**STEP 3** :首先设置**标志=0**

**STEP 4** :检查 num 是否大于 **1** 如果大于，则设置**标志=1**

**STEP 5** :检查 num 是否可以被从 **2** 到**num–1**的任意数字整除

**步骤 6** :如果我们在该范围内找到一个因子，设置**标志=0**

**步骤 7** :如果标志=1，打印号是质数

**第 8 步**:否则如果标志=0，打印号不是质数

## 资源代码

```r
num = as.integer(readline(prompt = "Enter a number: "))
flag = 0
if (num > 1) {
    flag = 1
    for (i in 2: (num - 1)) {
        if ((num %% i) == 0) {
            flag = 0
            break
        }
    }
}
if (num == 2) flag = 1
if (flag == 1) {
    print(paste(num, "is a prime number"))
} else {
    print(paste(num, "is not a prime number"))
}

```

## 输出

```r
Enter a number: 15
[1] "15 is not a prime number"

Enter a number: 13
[1] "13 is a prime number"
```