# R 程序：检查阿姆斯特朗数字

> 原文：<https://learnetutorials.com/r-programming/programs/check-amstrong-number>

## 如何检查给定的数字是不是阿姆斯特朗数字

这里我们解释如何编写一个 R 程序，从用户那里获取一个数字，并检查它是否是阿姆斯特朗数字。我们可以使用`readline()`功能从用户(终端)获取输入。在这里，提示参数可以选择为用户显示适当的消息。我们需要计算每个数字的立方之和，立方是用指数算符计算出来的

## 阿姆斯特朗数字检查是如何实施的

我们使用`readline()`功能获取用户输入。下面给出了在 R 程序中读取值和检查强名称的步骤。在这个 R 程序中，我们通过使用“`prompt`”向用户提供适当的消息，将用户的值接受为 num。求每个数字的立方之和。检查总和是否等于给定的数，如果是，则它是一个阿姆斯特朗数，否则，它不是一个阿姆斯特朗数。

## 算法

**步骤 1** :提示用户适当的信息

**步骤 2** :将用户使用`readline()`输入的数据转换成变量 num

**步骤 3** :初始化**总和=0**

**第 4 步**:移动**温度=数值**

**第五步**:用`while loop`求每个数字的立方之和

**第 6 步** : `If` num = sum print is number 是阿姆斯壮数

**第七步** : `else`打印的是数字不是阿姆斯壮数字

## 资源代码

```r
num = as.integer(readline(prompt="Enter a number: "))
# initialize sum
sum = 0
# find the sum of the cube of each digit
temp = num
while(temp > 0) {
    digit = temp %% 10
    sum = sum + (digit ^ 3)
    temp = floor(temp / 10)
}
if(num == sum) {
    print(paste(num, "is an Armstrong number"))
} else {
    print(paste(num, "is not an Armstrong number"))
}

```

## 输出

```r
Enter a number: 23
[1] "23 is not an Armstrong number"

Enter a number: 370
[1] "370 is an Armstrong number"
```