# R 程序：检查闰年

> 原文：<https://learnetutorials.com/r-programming/programs/check-for-leap-year>

## 如何检查给定的年份是不是闰年

这里我们解释如何编写一个 R 程序来检查给定的年份是否是闰年。我们可以使用`readline()`功能从用户(终端)获取输入。在这里，提示参数可以选择为用户显示适当的消息。

## 闰年检查是如何在 R 计划中实施的

我们使用`readline()`功能获取用户输入。下面给出了 R 程序中用来检查闰年的步骤。在这个 R 程序中，我们通过使用“`prompt`”向用户提供适当的消息来接受用户对可变年份的输入。通过将年份除以 4，100，400，检查给定年份是否为闰年，并检查余数。如果余数为零，则是闰年，否则不是闰年。

## 算法

**步骤 1** :提示用户适当的信息

**步骤 2** :将用户使用`readline()`输入的数据转换为变量**年份**

**STEP 3** :检查年是否能被 **4，100，400** 整除，得出 **0** 的余数

**STEP 4** :余数为非零的印刷年份不是闰年。

**STEP 5** :余数为零，则打印年份为闰年。

## 资源代码

```r
year = as.integer(readline(prompt="Enter a year: "))
if((year %% 4) == 0) {
    if((year %% 100) == 0) {
        if((year %% 400) == 0) {
            print(paste(year,"is a leap year"))
        } else {
            print(paste(year,"is not a leap year"))
        }
    } else {
        print(paste(year,"is a leap year"))
    }
} else {
    print(paste(year,"is not a leap year"))
}

```

## 输出

```r
Enter a year: 2011
[1] "2011 is not a leap year"

Enter a year: 2004
[1] "2004 is a leap year"
```