# R 程序：计算 HCF 和 GCD 

> 原文：<https://learnetutorials.com/r-programming/programs/find-hcf-and-gcd>

## 如何找到给定数字的 HCF 或 GCD

这里我们解释如何写一个 R 程序来找到给定的两个数字的 HCF。我们可以使用`readline()`功能从用户(终端)获取输入。在这里，提示参数可以选择为用户显示适当的消息。程序首先要求两个整数，并将它们传递给一个函数，然后返回 HCF。HCF 是将两个给定数字完美除的最大正整数。

## 人机界面检查在研发项目中是如何实施的

我们使用`readline()`功能获取用户输入。下面给出了在 R 程序中寻找两个数的 HCF 的步骤。在这个 R 程序中，我们通过使用“`prompt`”向用户提供适当的消息，将用户的值接受到 **n1，n2** 中。这里我们首先确定两个给定数字中最小的一个。高频应该小于或等于最小的数字。

## 算法

**步骤 1** :提示用户适当的信息

**步骤 2** :将用户使用`readline()`输入到变量 **n1、n2** 中

**步骤 3** :首先确定两个数字中较小的一个

**第 4 步**:使用`for`循环从 1 到那个数字。

**第五步**:检查两个输入的数字是否都完美的除了我们的数字

**第 6 步** : `If`是，将数字存储为高频，并退出循环

**STEP 7** :循环结束，我们得到最大的数，完美的将两个数除。

## 资源代码

```r
hcf <- function(x, y) {
# choose the smaller number
if(x > y) {
smaller = y
} else {
smaller = x
}
for(i in 1:smaller) {
if((x %% i == 0) && (y %% i == 0)) {
hcf = i
}
}
return(hcf)
}
# take input from the user
n1 = as.integer(readline(prompt = "Enter first number: "))
n2 = as.integer(readline(prompt = "Enter second number: "))
print(paste("The H.C.F. of", n1,"and", n2,"is", hcf(n1, n2)))

```

## 输出

```r
Enter first number: 150
Enter second number: 225
[1] "The H.C.F. of 150 and 225 is 75"
```