# R 程序：创建一个简单的计算器

> 原文：<https://learnetutorials.com/r-programming/programs/create-simple-calculator>

## 如何创建一个简单的计算器

这里我们解释如何编写一个 R 程序来创建一个简单的计算器。一个简单的计算器，显示不同的**算术**运算。主要操作有

*   添加
*   减法
*   增加
*   组织。

所以要做一个计算器，我们需要一个选择来选择运算，然后做那个选择的运算来得到结果。

## 如何在 R 程序中实现简单计算器

下面给出了在 R 程序中创建一个简单计算器的步骤。在这个 R 程序中，我们把用户的操作选择和两个数字分别代入变量 **n1，n2，选择**。根据**选择**调用相应的自定义函数。这里我们使用`switch`分支来执行一个特定的函数。选择运算符**“+”、“-”、“*”、“/”**对应于用户选择 1、2、3、4。

## 算法

**步骤 1** :提示用户适当的信息

**步骤 2** :将用户使用`readline()`输入到变量 **n1、n2 中，选择**

**步骤 3** :定义用户定义的加减乘除函数

**第四步**:选择`switch`

**STEP 5** :按照**选择**调用相应的功能

**步骤 6** :打印结果

## 资源代码

```r
add <- function(x, y) {
return(x + y)
}
subtract <- function(x, y) {
return(x - y)
}
multiply <- function(x, y) {
return(x * y)
}
divide <- function(x, y) {
return(x / y)
}
# take input from the user
print("Select operation.")
print("1.Add")
print("2.Subtract")
print("3.Multiply")
print("4.Divide")
choice = as.integer(readline(prompt="Enter choice[1/2/3/4]: "))
n1 = as.integer(readline(prompt="Enter first number: "))
n2 = as.integer(readline(prompt="Enter second number: "))
operator <- switch(choice,"+","-","*","/")
result <- switch(choice, add(n1, n2), subtract(n1, n2), multiply(n1, n2), divide(n1, n2))
print(paste(n1, operator, n2, "=", result))

```

## 输出

```r
[1] "Select operation."
[1] "1.Add"
[1] "2.Subtract"
[1] "3.Multiply"
[1] "4.Divide"
Enter choice[1/2/3/4]: 4
Enter first number: 40
Enter second number: 2
[1] "40/ 2 = 20"
```