# R 程序：求给定数的序列、和及平均值

> 原文：<https://learnetutorials.com/r-programming/programs/find-sequence-sum-mean>

## 如何求数列、和及平均值

在这里，我们解释如何编写一个 R 程序来寻找给定数字的序列、总和和平均值。这里我们使用内置函数 **seq，mean，sum** 进行计算。数字在这里直接传递给这些函数。要生成常规序列**序列**是一个标准的通用的默认方法。而 **sum** 返回其参数中存在的所有值的总和。使用**均值**函数计算数据系列中的值除以数值的总和。

```r
**seq(from, to)
sum(…, na.rm = FALSE)
mean(x, trim = 0, na.rm = FALSE, ...)
** 

```

## R 程序中如何计算数列、和及平均数

下面给出了在 R 程序中用来求数列、和及平均数的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。

## 算法

**步骤 1** :使用内置功能

**第二步**:用两个值**从**和**到**调用`seq()`，指定顺序值的限制

**第三步**:用两个数值**从**和**到**调用`mean()`，指定数量限制

**第 4 步**:用两个数值**从**和**到**调用`sum()`，指定数量限制

**第五步**:打印各项功能的结果

## 资源代码

```r
print("Sequence of numbers from 20 to 40:")
print(seq(20,40))
print("Mean of numbers from 20 to 60:")
print(mean(20:60))
print("Sum of numbers from 51 to 91:")
print(sum(51:91)) 

```

## 输出

```r
[1] "Sequence of numbers from 20 to 40:"
[1] 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40
[1] "Mean of numbers from 20 to 60:"
[1] 40
[1] "Sum of numbers from 51 to 91:"
[1] 2911
```