# R 程序：获取内存中对象的详细信息

> 原文：<https://learnetutorials.com/r-programming/programs/details-of-objects>

## 如何获取内存中对象的详细信息

这里我们解释如何编写一个 R 程序来获取内存中对象的细节。这里我们使用内置函数 **ls()** 来表示这个计算的列表对象。 **ls()** 有助于返回指定环境中对象名称的字符串向量。如果我们在没有参数的情况下调用这个函数，它将给出用户定义的数据集和函数。而 **ls.str** 是在 **str** 的基础上用于长上市。

## 如何在 R 程序中获取内存中对象的详细信息

下面是 R 程序中获取内存中对象细节的步骤。在这个 R 程序中，我们直接给变量**命名，num1，num2，nums** 赋值。并打印函数结果。这里变量**名称**被赋予一个字符串 **num1** 一个整数值， **num2** 一个浮点值， **nums** 一个向量值。

## 算法

**STEP 1** :为变量**名称、num1、num2、nums** 赋值

**步骤 2** :调用内置函数**(ls)**获取对象列表

**步骤 3** :首先打印给定的对象

**STEP 4** :调用内置函数 **ls.str()** 进行基于字符串的长列表

## 资源代码

```r
name = "Python"; 
num1 =  8; 
num2 =  1.5
nums = c(10, 20, 30, 40, 50, 60)
print(ls())
print("Details of the objects in memory:")
print(ls.str()) 

```

## 输出

```r
[1] "num1"   "num2"   "name" "nums"
[1] "Details of the objects in memory:"
num1 :  num 8
num2 :  num 1.5
name :  chr "Python"
nums :  num [1:6] 10 20 30 40 50 60 
```