# R 程序：测试给定向量是否包含指定元素

> 原文：<https://learnetutorials.com/r-programming/programs/test-specified-element>

## 如何测试给定向量是否包含指定元素

这里我们解释如何编写一个 R 程序来检查向量中的指定元素。这里我们使用的是一个内置函数 **is。用于此检查的元素()**。向量名和搜索元素在这里直接传递给这些函数。 **is.element()** 函数有助于在给定的列表中找到指定的元素

## 向量的元素检入是如何在 R 程序中实现的

下面是 R 程序中用来检查元素存在的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **A** 来分配向量值。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**步骤 3** :调用 **is.element** 检查元素

**步骤 4** :打印功能结果

**步骤 5** :如果元素不存在，返回假，否则返回真

## 资源代码

```r
A= c(10, 20, 30, 25, 9, 26)
print("The original vectors are:")
print(A)
print("Test whether above vector contains 30:")
print(is.element(30, A))
print("Test whether above vector contains 46:")
print(is.element(45, A)) 

```

## 输出

```r
[1] "The original vectors are:"
[1] 10 20 30 25  9 26
[1] "Test whether above vector contains 30:"
[1] TRUE
[1] "Test whether above vector contains 45:"
[1] FALSE 
```