# R 程序：将给定矩阵转换成一维矩阵

> 原文：<https://learnetutorials.com/r-programming/programs/onedimensional-matrix-conversion>

## 如何将给定矩阵转换为一维矩阵

这里我们解释如何编写一个 R 程序，将一个给定的矩阵转换成一维矩阵。这里我们使用一个内置函数**作为. vector()** 进行转换。此方法有助于将分布式矩阵转换为非分布式向量。此外，该方法有助于将任何对象转换为矢量。

```r
**as.vector(obj, mode = "any", proc.dest = "all")** 

```

**obj** :任意 obj 并返回向量或者试图强制 obj 成为模式向量。

**模式**:给出原子模式或“列表”或“任意”的字符串。

**目的地**:存储矩阵的目的地过程。

## R 程序中给定矩阵如何转换为一维矩阵

下面是 R 程序中用于将给定矩阵转换为一维矩阵的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **mtx，x** 来分配向量值和矩阵。

## 算法

**步骤 1** :用矩阵值分配变量 **mtx**

**步骤 2** :首先打印原始矩阵值

**步骤 3** :使用**作为矢量()转换矩阵**

**步骤 4** :将结果数组赋值为变量 **x**

**步骤 5** :将函数的结果打印为一维数组

## 资源代码

```r
mtx=matrix(1:12,3,4)
print("Original matrix is:")
print(mtx)
x = as.vector(mtx)
print("1 dimensional array is:")
print(x) 

```

## 输出

```r
[1] "Original matrix is"
[,1] [,2] [,3] [,4]
[1,]    1    4    7   10
[2,]    2    5    8   11
[3,]    3    6    9   12
[1] "1 dimensional array is:"
 [1]  1  2  3  4  5  6  7  8  9 10 11 12 
```