# R 程序：创建一个空的数据帧

> 原文：<https://learnetutorials.com/r-programming/programs/empty-data-frame-creation>

## 如何创建空数据帧

这里我们解释如何编写一个 R 程序来创建一个空的数据帧。这里我们使用一个内置函数 **data.frame()** 来创建它。数据帧用于存储具有等长向量列表的数据表。数据帧由函数 **data.frame()** 创建，该函数具有紧密耦合的变量集合。

## 如何在 R 程序中创建空数据帧

下面是 R 程序中创建空数据帧的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们用变量 **Df** 作为数据帧。数据帧由不同的数据类型组成，包括整数、双精度、字符、逻辑、因子和字符串因子。

## 算法

**STEP 1** :将变量 **Df** 视为一个数据帧。

**STEP 2** :用不同的数据类型调用 **data.frame()**

**步骤 3** :将功能结果分配给 **Df**

**步骤 4** :打印功能结果

## 资源代码

```r
Df = data.frame(Ints=integer(),
                Doubles=double(),
                Characters=character(),
                Logicals=logical(),
                Factors=factor(),
                stringsAsFactors=FALSE)
print("Structure of the empty dataframe:")
print(str(Df)) 

```

## 输出

```r
[1] "Structure of the empty dataframe:"
'data.frame': 0 obs. of  5 variables:
 $ Ints      : int 
 $ Doubles   : num 
 $ Characters: chr 
 $ Logicals  : logi 
 $ Factors   : Factor w/ 0 levels: 
NULL 
```