# R 程序：计数给定向量中的特定值

> 原文：<https://learnetutorials.com/r-programming/programs/count-specific-value>

## 如何计算给定向量中的特定值

这里我们解释如何编写一个 R 程序来计算给定向量中的特定值。这里我们使用一个内置函数 **sum()** 来进行这个发现。`sum()`函数有助于返回向量中特定值的计数。sum 的语法是，

```r
**sum(x, na.rm = FALSE, …)** #Where x is a vector 

```

## 如何在 R 程序中计算给定向量中的特定值

下面是 R 程序中用来计算给定向量中特定值的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **A** 来分配向量值。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**步骤 3** :调用求元素个数的函数和为**和(A==30)**

**步骤 4** :打印功能结果

## 资源代码

```r
A = c(20, 30, 30, 10, 30, 25, 30, 27)
print("Original Vectors:")
print(A)
print("Count specific value(30) in above vector:")
print(sum(A==30)) 

```

## 输出

```r
[1] "Original Vectors:"
[1] 20, 30, 30, 10, 30, 25, 30, 27
[1] "Count specific value(30) in above vector:"
[1] 4 
```