# R 程序：在给定向量中寻找第二高值

> 原文：<https://learnetutorials.com/r-programming/programs/find-second-highest>

## 如何访问给定向量中的第二高值

这里我们解释如何编写一个 R 程序来访问给定向量中的第二高值。这里我们使用一个内置函数 **sort()** 来进行这个发现。**排序()**函数有助于根据向量的值对向量进行排序。排序可以按升序或降序进行。默认情况下，按升序排序，要按升序排序，需要设置**递减=真。**排序的的语法如下

```r
**sort(x, decreasing, na.last)** #Where x is a vector 

```

这里 **x** 是要排序的向量，**递减**是要降序排序的布尔值， **na.last** 是要放 na 在最后的布尔值。

## 如何在 R 程序中找到向量的第二高值

下面是 R 程序中获取给定向量中最后一个值的步骤。在这个 R 程序中，我们直接给内置函数赋值。首先，我们把向量的长度变成变量 **l** ，把向量值赋给变量 **A** 。最后，调用排序函数作为**排序(x，partial = l-1)【l-1】**寻找第二大元素。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**步骤 3** :使用长度函数作为**长度(A)** 来指定向量的长度

**STEP 4** :调用函数 sort 作为 **sort(A，partial = l-1)【l-1】**

**第五步**:打印功能结果

## 资源代码

```r
A = c(20, 32, 30, 10, 40, 25, 30, 27)
print("Original Vectors:")
print(A)
print("Find second highest value in a given vector:")
l = length(A)
print(sort(A, partial = l-1)[l-1]) 

```

## 输出

```r
[1] "Original Vectors:"
[1] 20, 32, 30, 10, 40, 25, 30, 27
[1] "Find second highest value in a given vector:"
[1] 32 
```