# R 程序：按升序和降序排序向量

> 原文：<https://learnetutorials.com/r-programming/programs/sort-a-Vector>

## 如何对向量进行升序和降序排序

这里我们解释如何编写一个 R 程序来按照升序和降序对向量进行排序。这里我们使用一个内置函数 **sort()** 来进行这个发现。**排序()**函数有助于根据向量的值对向量进行排序。排序可以按升序或降序进行。默认情况下，按升序排序，要按升序排序，需要设置**递减=真。**排序的的语法如下

```r
**sort(x, decreasing, na.last)** 

```

这里 **x** 是要排序的向量，**递减**是按降序排序的布尔值， **na.last** 是将 na 放在最后的布尔值。

## 如何在 R 程序中对一个向量进行升序和降序排序

下面是 R 程序中获取给定向量中最后一个值的步骤。在这个 R 程序中，我们直接给内置函数赋值。首先，我们将向量的长度作为变量 **A.** 最后，通过设置递减=真来调用排序函数，使其降序。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**第三步**:调用**排序()**获取升序结果

**步骤 4** :通过设置**递减=真**排序后

**第五步**:打印功能结果

## 资源代码

```r
A= c(10, 12, 30, 25, 8, 29)
print("Original Vectors:")
print(A)
print("Sort in ascending order:")
print(sort(A))
print("Sort in descending order:")
print(sort(A, decreasing=TRUE)) 

```

## 输出

```r
[1] "Original Vectors:"
[1] 10, 12, 30, 25, 8, 29
[1] "Sort in ascending order:"
[1]  8 10 12 25 29 30
[1] "Sort in descending order:"
[1] 30 29 25 12 10  8 
```