# R 程序：使用运算符和`seq()`函数创建向量

> 原文：<https://learnetutorials.com/r-programming/programs/create-a-vector>

## 如何使用:运算符和`seq()`函数创建向量

这里我们解释如何使用:运算符和`seq()`函数编写一个 R 程序来创建一个向量。这里我们使用内置函数 **seq** 进行计算。数字在这里直接传递给这些函数。要生成常规序列**序列**是一个标准的通用的默认方法。

```r
**seq(from, to, by, length.out, along.with)** 

```

其中从和**到**的**是序列的开始和结束数字，**乘**是给定序列的增量，计算公式为((to-from) /(length.out-1))。参数 **length.out** 决定了序列的总长度和**沿。使用**将输出一个与输入向量长度相同的序列。**

## 如何在 R 程序中使用:运算符和`seq()`函数创建向量

下面给出了在 R 程序中使用:运算符和 **seq()** 函数创建向量的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **A** 为新创建的向量使用 **:** 运算符。和 **B，C** 是使用 **seq()** 方法新创建的载体。

## 算法

**STEP 1** :使用运算符:对于新矢量创建，为 **A=1:10**

**第二步**:打印矢量 **A**

**步骤 3** :使用方法`seq()`创建新的向量，如 **B= seq(1，3，by=0.3)**

**第四步**:打印矢量 **B**

**第 5 步**:使用方法`seq()`创建新的载体，如 **C = seq(1，5，length.out = 6)**

**第 6 步**:打印矢量 **C**

## 资源代码

```r
A = 1:10
print("New vector using : operator-")
print(A)
print("New vector using seq() function-")
print("Specify step size:")
B= seq(1, 3, by=0.3)  
print(B)
print("Specify length of the vector:")
C = seq(1, 5, length.out = 6)
print(C) 

```

## 输出

```r
[1] "New vector using : operator-"
[1]  1  2  3  4  5  6  7  8  9 10 
[1] "New vector using seq() function-"
[1] "Specify step size:"
[1] 1.0 1.3 1.6 1.9 2.2 2.5 2.8
[1] "Specify length of the vector:"
[1] 1.0 1.8 2.6 3.4 4.2 5.0 
```