# R 程序：创建长度为 6 的数字、复数、逻辑和字符类型的向量

> 原文：<https://learnetutorials.com/r-programming/programs/create-vector-of-length6>

## 如何创建由数字、复数、逻辑和字符组成的向量

这里我们解释如何编写一个 R 程序来创建一个长度为 6 的数字、复数、逻辑和字符类型的向量。这里我们使用内置函数 **vector()** 来创建向量。使用这个函数，我们可以创建任何类型的向量。这个函数的语法是

```r
**vector(mode = "logical", length = 0)** 

```

在这种“**模式下**”表示命名原子模式或“列表”或“表达式”或“任何”的字符串。和“**长度”**用于指定所需长度的非负整数。

## 如何使用 R 程序创建数字、复数、逻辑和字符的向量

下面给出了在 R 程序中创建长度为 6 的数字、复数、逻辑和字符类型向量的步骤。在这个 R 程序中，我们接受向量值为变量 **N，C，L，Chr** 。变量 **N** 代表保存数值向量， **C** 代表复向量， **L** 代表逻辑向量最后 **Chr** 代表保存字符向量。这些向量是通过调用以类型和长度为参数的 **vector()** 方法创建的。最后，打印每个矢量作为结果。

## 算法

**STEP 1** :取变量 **N、C、L、Chr** 保存不同类型的向量

**STEP 2** :首先创建数值向量 **N** 作为 **N=向量(“数值”，5)**

**STEP 3** :打印矢量 **N**

**STEP 4** :创建复矢量 **C** 作为 **C=矢量(“复”，5)**

**STEP 5** :打印矢量 **C**

**STEP 6** :创建逻辑向量 **L** 作为 **L=向量(“逻辑”，5)**

**STEP 7** :打印矢量 **L**

**步骤 8** :创建字符向量 **Chr** 作为 **Chr=向量(“字符”，5)**

**STEP 9** :打印矢量 **Chr**

## 资源代码

```r
N= vector("numeric", 5)
print("Numeric Type:")
print(N)
C= vector("complex", 5)
print("Complex Type:")
print(C)
L= vector("logical", 5)
print("Logical Type:")
print(L)
Chr= vector("character", 5)
print("Character Type:")
print(Chr)

```

## 输出

```r
[1] "Numeric Type:"
[1] 0 0 0 0 0
[1] "Complex Type:"
[1] 0+0i 0+0i 0+0i 0+0i 0+0i
[1] "Logical Type:"
[1] FALSE FALSE FALSE FALSE FALSE
[1] "Character Type:"
[1] "" "" "" "" "" 
```