# R 程序：求向量的和、均值、积，忽略像 NA 或 NaN 这样的元素

> 原文：<https://learnetutorials.com/r-programming/programs/find-sum-mean-product-of-a-vector>

## 如何求向量的和、中、积，忽略像 NA 或 NaN 这样的元素

这里我们解释如何编写一个 R 程序来寻找向量的和、中、积，忽略像 NA 或 NaN 这样的元素。这里我们使用内置函数**求和、求平均值、求乘积**进行计算。数字在这里直接传递给这些函数。函数 **sum()** 返回其参数中所有值的总和。使用**均值()**函数计算数据系列中的值除以数值的总和。最后， **prod()** 是为了找到一个有说服力的论点的乘积。

```r
sum(…, na.rm = FALSE)
mean(x, …)
prod(…, na.rm = FALSE) 

```

在上面的函数参数结构中，通过使 **na.rm = TRUE** 我们可以避免像 **NA，NAN** 这样的元素。

## 如何用 R 程序忽略 NA 求向量的和、中、积

下面给出了在 R 程序中用来求向量值的和、平均值和乘积的步骤。在这个 R 程序中，我们直接给内置函数赋值。考虑变量 **A** 来分配向量值。并通过给出 A 作为参数来调用每个函数。确保娜姆应该像**一样真实娜姆=真实**。最后，打印函数结果。

## 算法

**步骤 1** :使用内置功能

**第二步**:以向量和 na.rm =真为自变量调用`sum()`

**第三步**:以向量和 na.rm =真为自变量调用`mean()`

**第四步**:以向量和 na.rm =真为自变量调用`prod()`

**第五步**:打印各项功能的结果

## 资源代码

```r
A = c(30, NULL, 40, 20, NA)
print("Sum is:")
#ignore NA and NaN values
print(sum(A, na.rm=TRUE))
print("Mean is:")
print(mean(A, na.rm=TRUE))  
print("Product is:")
print(prod(A, na.rm=TRUE))

```

## 输出

```r
[1] "Sum is:"
[1] 90
[1] "Mean is:"
[1] 30
[1] "Product is:"
[1] 24000
```