# R 程序：在给定向量中寻找第`n`个最高值

> 原文：<https://learnetutorials.com/r-programming/programs/nth-highest-value>

## 如何访问给定向量中的第 n 个最高值

这里我们解释如何编写一个 R 程序来访问给定向量中的第 n 个最高值。这里我们使用一个内置函数 **sort()** 来进行这个发现。**排序()**函数有助于根据向量的值对向量进行排序。排序可以按升序或降序进行。默认情况下，按升序排序，要按升序排序，需要设置**递减=真。**排序的的语法如下

```r
**sort(x, decreasing, na.last)** 

```

这里 **x** 是要排序的向量，**递减**是按降序排序的布尔值， **na.last** 是将 na 放在最后的布尔值。

## 如何在 R 程序中找到一个向量的第 n 个最高值

在这个 R 程序中，我们直接给内置函数赋值。首先，我们将第 n 个位置考虑到变量 **n** 中，并将向量值赋给变量 **A** 。最后，调用排序函数作为**排序(A，TRUE)【n】**来寻找第 n 个最大的元素。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**第 3 步**:在每种情况下将位置变量 **n** 指定为 1，2，3，4

**步骤 4** :通过改变 n 个值，调用函数 sort 作为 **sort(A，TRUE)【n】**

**第五步**:打印功能结果

## 资源代码

```r
A = c(15, 25, 35, 25, 24,45, 47, 10)
print("Original Vectors:")
print(A)
print("nth highest value in a given vector:")
print("n = 1")
n = 1
print(sort(A, TRUE)[n])
print("n = 2")
n = 2
print(sort(A, TRUE)[n])
print("n = 3")
n = 3
print(sort(A, TRUE)[n])
print("n = 4")
n = 4
print(sort(A, TRUE)[n])

```

## 输出

```r
[1] "Original Vectors:"
[1] 15, 25, 35, 25, 24,45, 47, 10         
[1] "nth highest value in a given vector:"
[1] "n = 1"
[1] 47
[1] "n = 2"
[1] 45
[1] "n = 3"
[1] 35
[1] "n = 4"
[1] 25 
```