# R 程序：从多个向量中寻找公共元素

> 原文：<https://learnetutorials.com/r-programming/programs/find-common-elements>

## 如何从多个向量中找到公共元素

这里我们解释如何编写一个 R 程序，从多个向量中找到公共元素。这里我们使用一个内置函数 **intersect()** 来实现。这个函数有助于从多个向量中找到公共元素。这个函数的语法是

```r
**intersect(x, y, …)** 

```

这里 **x，y** 是向量、数据帧或 ps 对象，包含需要找到其公共元素的元素序列。

## 如何在 R 程序中从多个向量中找到公共元素

下面是 R 程序中从多个向量中寻找公共元素的步骤。在这个 R 程序中，我们直接把向量给内置函数。这里我们使用变量 **A，B，C** 来保存向量，变量 **inter** 来保存交集的结果。

## 算法

**第 1 步**:用向量值分配变量 **A、B、C**

**步骤 2** :首先打印原始矢量值

**步骤 3** :调用函数 intersect 为 **intersect(intersect(A，B)，C)**

**步骤 4** :将变量**与交点的结果赋值给区间**

**步骤 5** :打印函数的变量**区间**保持结果

## 资源代码

```r
A = c(15, 10, 40 20, 14, 25, 29, 15)
B = c(35, 20, 30, 40, 18, 35, 25, 14)
C = c(25, 30, 30, 20, 13, 25, 14, 17)
print("Original Vectors:")
print("A: ")
print(A)
print("B: ")
print(B)
print("C: ")
print(C)
print("Common elements from above vectors:")
inter= intersect(intersect(A,B),C)
print(inter)

```

## 输出

```r
[1] "Original Vectors:"
[1] "A: "
[1] 15 10 40 20 14 25 29 15
[1] "B: "
[1] 35 20 30 40 18 35 25 14
[1] "C"
[1] 25 30 30 20 13 25 14 17
[1] "Common elements from above vectors:"
[1] 20 14 25 
```