# R 程序：按列或者行组合两个向量

> 原文：<https://learnetutorials.com/r-programming/programs/combine-vectors-columns-rows>

## 如何通过列、行

这里我们解释如何编写一个 R 程序，通过列、行组合两个给定的向量。为此，我们使用了两个内置函数 **rbind()** 和 **cbind()** 。函数 **cbind()** 以一系列向量、矩阵或数据帧为自变量，按列进行组合，函数`rbind()`以一系列向量、矩阵或数据帧为自变量，按行进行组合。这两种语言都有以下语法，

```r
**cbind(…, deparse.level = 1)
rbind(…, deparse.level = 1)
** 

```

其中**点(....)**表示任何向量或矩阵，**表示任何整数，在非矩阵类参数的情况下控制标签的构造。**

## 如何使用 R 程序按列、行组合两个给定的向量

下面是 R 程序中使用的步骤，通过列和行组合两个给定的向量。在这个 R 程序中，我们直接给出要组合的值。为此，我们在变量 **v1** 和 **v2** 中使用了两个向量，以及用于保存组合向量的变量结果。首先，我们使用函数 **cbind(v1，v2)** 按列组合它，下一次使用 **rbind(v1，v2)** 按行组合它。

## 算法

**步骤 1** :给变量 **v1 和 v2** 赋值向量值

**步骤 2** :首先打印原始矢量值

**步骤 3** :通过调用 **cbind(v1，v2)** 按列组合向量

**步骤 4** :打印**结果**矢量

**STEP 5** :通过调用 **rbind(v1，v2)** 逐行合并向量

**第 6 步**:打印**结果**矢量

## 资源代码

```r
v1 = c(4,5,6,7,8)
v2 = c(1,2,3,4,5)
print("Original vectors:")
print(v1)
print(v2)
print("Combines the vectors by columns:")
result = cbind(v1,v2)
print(result)
print("Combines the vectors by rows:")
result = rbind(v1,v2)
print(result)

```

## 输出

```r
[1] "Original vectors:"
[1] 4 5 6 7 8
[1] 1 2 3 4 5
[1] "Combines the vectors by columns:"
     v1 v2
[1,]  4  1
[2,]  5  2
[3,]  6  3
[4,]  7  4
[5,]  8  5
[1] "Combines the vectors by rows:"
   [,1] [,2] [,3] [,4] [,5]
v1    4    5    6    7    8
v2    1    2    3    4   5 
```