# R 程序：创建一个向量，并找到向量的长度和维数

> 原文：<https://learnetutorials.com/r-programming/programs/find-vector-length-and-dimension>

## 如何创建一个向量并找到向量的长度和维数

这里我们解释如何写一个 R 程序来创建一个向量，并找到向量的长度和维数。这里我们使用一个内置函数 **`dim()`，`length()`** 来进行这个发现。功能 **dim()** 有助于检索或设置对象的尺寸。而函数 **length()** 用于获取或设置向量(包括列表)和因子的长度，以及任何其他 R 对象的长度。这些函数的语法如下

```r
**dim(x)
length(x)**#Where x is a R object 

```

这里 **x** 是一个 R 对象，例如矩阵、数组或数据帧。

## 如何在 R 程序中创建一个向量并求出向量的长度和维数

下面是在 R 程序中创建一个向量并在 R 程序中找到向量的长度和维数的步骤。在这个 R 程序中，我们直接给内置函数赋值。首先，我们考虑变量 **A** ，其中向量值被赋值。调用函数 **dim()** 求维度， **length()** 求向量长度。最后，打印结果。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**第三步**:将功能`dim()`调用为 **dim(A)**

**步骤 4** :打印功能结果

**STEP 5** :调用函数`length()`作为 **length(A)**

**步骤 6** :打印功能结果

## 资源代码

```r
A = c(1,3,5,7,9,6)
print("Original vectors is:")
print(A)
print("Dimension of the vector is:")
print(dim(A))
print("length of the vector is:")
print(length(A))

```

## 输出

```r
[1] "Original vectors is:"
[1] 1 3 5 7 9 6
[1] "Dimension of the vector is:"
NULL
[1] "length of the vector is:"
[1] 6 
```