# R 程序：将一个数据帧的两列转换成一个命名向量

> 原文：<https://learnetutorials.com/r-programming/programs/convert-dataframe-to-vector>

## 如何将数据帧的两列转换为命名向量

这里我们解释如何编写一个 R 程序，将一个数据帧的两列转换成一个命名向量。这里我们使用一个内置函数 **setNames()** 来实现。该函数有助于设置对象的名称并返回对象。这个函数的语法是

```r
**setNames(object = nm, nm)** 

```

其中**对象**的名称属性对其有意义。而 **nm** 是要分配给对象的名称的字符向量。

## 如何在 R 程序中将数据帧的两列转换成命名向量

下面是 R 程序中用于将数据帧的两列转换为命名向量的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **Dataf()** 来保存数据帧，该数据帧有两列**代码**和**名称。**调用函数`setName()`创建命名向量为**的集合名称(as.character(Dataf $name)，Dataf $code)** 。

## 算法

**步骤 1** :用数据帧分配变量**数据**

**步骤 2** :首先打印原始数据帧

**步骤 3** :调用函数 setNames 作为**setNames(as . character(Dataf $ name)，Dataf $code)**

**第 4 步**:将变量**结果**与设置名称函数的结果赋值

**STEP 5** :打印保存结果的变量**结果****T5**

## 资源代码

```r
Dataf = data.frame(code = c("A","B","C","D"), 
               name = c("Apple", "Ball", "Cat", "Duck")
                )
print("Original vector:")
print(Dataf )
result = setNames(as.character(Dataf $name), Dataf $code)
print(result)

```

## 输出

```r
[1] "Original vector:"
   code  name
1    A  Apple
2    B  Ball
3    C  Duck
4    D  Black
     A       B      C      D 
  "Apple" "Ball" "Cat" "Duck" 
```