# R 程序：将给定数据帧列转换为向量

> 原文：<https://learnetutorials.com/r-programming/programs/convrting-data-frame-column-to-vector>

## 如何将数据帧列转换为向量

这里我们解释如何编写一个 R 程序来将数据帧列转换成向量。为此，我们使用了一个内置函数 **data.frame()** 。这个函数有助于创建数据帧架，紧密耦合的变量集合，共享矩阵和列表的许多属性。这个函数的语法是

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中将数据帧列转换成向量

下面是 R 程序中用于将数据帧列转换为向量的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **Df1、Df2、Df3、Df4** 来保存数据帧。考虑变量 **A** 来保存转换后的向量。使用功能 **data.frame()** 转换数据帧。该功能的实现类似于 **data.frame(Df1=5:9，Df2=1:5，Df3=10:14，Df4=15:19)** 。最后，打印结果向量。

## 算法

**步骤 1** :为变量 **Df1、Df2、Df3、Df4** 分配数据帧

**步骤 2** :考虑 **A** 来保存结果向量

**STEP 3** :调用函数 **data.frame()** 为 **data.frame(Df1=5:9，Df2=1:5，Df3=10:14，Df4=15:19)** 以数据帧为自变量

**步骤 4** :将数据帧功能的结果分配给变量 **A**

**STEP 5** :打印保存结果的变量**A****T5**

## 资源代码

```r
Df1 = c(5, 6, 7, 8, 9)
Df2 = c(1, 2, 3, 4, 5)
Df3 = c(10, 11, 12, 13, 14)
Df4 = c(15, 16, 17, 18, 19)
A<- data.frame(Df1=5:9, Df2=1:5, Df3=10:14, Df4=15:19)
print(A)

```

## 输出

```r
 Df1 Df2 Df3 Df4
1    5   1   10  15
2    6   2   11  16
3    7   3   12  17
4    8   4   13  18
5    9   5   14  19 
```