# R 程序：将给定因子的第一个水平修改为另一个水平

> 原文：<https://learnetutorials.com/r-programming/programs/change-first-level-factor-example>

## 如何用给定因子的另一个水平来更改因子的第一个水平

这里我们解释如何编写一个 R 程序，用一个给定因子的另一个水平来改变一个因子的第一个水平。这里我们使用内置函数 **`levels()`，`factor()`** 进行此转换。向量值在这里直接传递给这些函数。R 中的**水平()，因子()**函数计算单个函数中向量的因子水平。

使用函数**因子()**我们可以创建向量的因子，使用**水平()**函数我们可以找到因子的水平。因子存储为整数向量，并且与向量密切相关。这些函数的语法如下

```r
 **levels(x)** #where x is an object, for example, a factor
**factor(x = character(), levels, labels = levels,exclude = NA, ordered = is.ordered(x), nmax = NA)** 
#Where x is a vector of data, usually taking a small number of distinct values 

```

## 如何在 R 计划中用一个因素的另一个水平来改变一个因素的第一水平

下面是在 R 程序中找到给定向量的因子的水平的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **A** 来分配向量值变量 **fa** 来寻找向量的因子值

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**STEP 3** :将内置函数因子称为 **fa =因子(A)**

**第 4 步**:打印矢量的因子

**STEP 6** :将内置功能水平称为**水平(fa)[1]=“e”**

**STEP 7** :打印变量 **fa**

## 资源代码

```r
A= c("a", "b", "a", "c", "b")
print("Original vector is:")
print(A)
fa = factor(A)
print("Factor of the vector is:")
print(fa)
levels(fa)[1] = "e"
print(fa)

```

## 输出

```r
[1] "Original vector is:"
[1] "a" "b" "a" "c" "b"
[1] "Factor of the vector is:"
[1] a b a c b
Levels: a b c
[1] e b e c b
Levels: e b c 
```