# R 程序：将两个因子连接成一个因子

> 原文：<https://learnetutorials.com/r-programming/programs/concatenate-two-factor>

## 如何将两个给定的因子连接成一个因子

这里我们解释如何编写一个 R 程序，将两个给定的因子连接成一个因子。我们可以使用内置函数完成连接，如`levels()`和`factor()`。在这种情况下，向量值直接传递给这些函数。

使用函数`factor()` 我们可以创建向量的因子，使用函数`level()`我们可以找到因子的水平。因子存储为整数向量，与向量密切相关。

```r
 **levels(x)** #where x is an object, for example, a factor
**factor(x = character(), levels, labels = levels,exclude = NA, ordered = is.ordered(x), nmax = NA)** 
#Where x is a vector of data, usually taking a small number of distinct values 

```

## 如何在 R 程序中将两个给定的因子串联成一个因子

下面是 R 程序中用于将两个给定因子连接成一个因子的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用了两个变量，即**因子 1** 和**因子 2** 来分配因子值。第三个变量事实包含串联因子，并最终打印结果因子。

## 算法

**步骤 1** :为变量**因子 1、因子 2** 分配因子值

**步骤 2** :首先打印原始因子值

**STEP 3** :调用内置函数因子，水平为**因子(c(levels(fact1)[fact1]，levels(fact 2)[fact 2])**

**步骤 4** :用函数结果分配变量**事实**

**第 5 步**:打印连接因子

## 资源代码

```r
fact1 <- factor(sample(LETTERS, size=6, replace=TRUE))
fact2 <- factor(sample(LETTERS, size=6, replace=TRUE))
print("Original factors are:")
print(fact1)
print(fact2)
fact= factor(c(levels(fact1)[fact1], levels(fact2)[fact2]))
print("After concatenate factor becomes:")
print(fact)

```

## 输出

```r
[1] "Original factors are:"
[1] Q Y M J J H
Levels: H J M Q Y
[1] B J L S F Z
Levels: B F J L S Z
[1] "After concatenate factor becomes:"
[1] Q Y M J J H B J L S F Z
Levels: B F H J L M Q S Y Z 
```