# R 程序：将土壤的给定酸碱度转换成有序因子

> 原文：<https://learnetutorials.com/r-programming/programs/convert-pHlevels-soil-factor>

## 如何将给定的土壤酸碱度转化为有序因子

在这里，我们解释如何编写一个 R 程序，将给定的土壤酸碱度转换成有序因子。这里我们使用内置函数 **`levels()`，`factor()`** 进行此转换。向量值在这里直接传递给这些函数。R 中的**水平()，因子()**函数计算单个函数中向量的因子水平。

使用函数**因子()**我们可以创建向量的因子，使用**水平()**函数我们可以找到因子的水平。因子存储为整数向量，并且与向量密切相关。这些函数的语法如下

```r
 **levels(x)** #where x is an object, for example, a factor
**factor(x = character(), levels, labels = levels,exclude = NA, ordered = is.ordered(x), nmax = NA)** 
#Where x is a vector of data, usually taking a small number of distinct values 

```

## 如何在 R 程序中将给定的土壤酸碱度转换成有序因子

以下是 R 程序中用于将土壤的给定酸碱度转换为有序因子的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **ph** 来分配 PH 值，使用变量 **PHF** 来寻找给定 PH 值的有序因子值。

## 算法

**步骤 1** :用土壤 PH 值分配变量 **PH 值**

**步骤 2** :首先打印原始值

**步骤 3** :调用内置函数因子，水平为**因子(PH，水平=c(3，7，10)，有序=真)**

**步骤 4** :将函数结果赋给变量 **PHF**

**第五步**:打印订购的因子

## 资源代码

```r
PH = c(1,3,10,7,5,4,3,7,8,7,5,3,10,10,7)
print("Original data:")
print(PH)
PHF = factor(PH,levels=c(3,7,10),ordered=TRUE)
print("pH levels of soil to an ordered factor:")
print(PHF)

```

## 输出

```r
[1] "Original data:"
[1]  1  3 10  7  5  4  3  7  8  7  5  3 10 10  7
[1] "pH levels of soil to an ordered factor:"
[1] <na>3    10   7    <na><na>3    7    <na>7    <na>3    10   10   7   
Levels: 3 < 7 < 10</na></na></na></na></na> 
```