# R 程序：将两个给定列表合并成一个列表

> 原文：<https://learnetutorials.com/r-programming/programs/merge-two-lists>

## 如何将两个给定列表合并成一个列表

这里我们解释如何编写一个 R 程序，将两个给定的列表合并成一个列表。这里我们使用一个内置函数 **c()** 来实现这个。这个函数有助于组合它的参数形成一个列表，在这个列表中，所有的参数都被强制为一个公共类型，并且它是返回值的类型

```r
**c(…)** # Where ... indicates object to be concatenate 

```

## 如何在 R 程序中将两个给定的列表合并成一个列表

下面是 R 程序中用于将两个给定列表合并为一个列表的步骤。在这个 R 程序中，我们直接给一个内置函数 **c()** 赋值。这里我们使用变量 **l1、l2** 来保存两种不同类型的列表元素**。**调用函数 **c()** 合并两个列表并赋给变量 **li** 。

## 算法

**STEP 1** :用两种不同类型的列表分配变量 **l1、L2****T5**

**第二步**:打印原始列表

**STEP 3** :将 **c()** 合并为 **c(l1，l2)**

**步骤 4** :将合并的列表分配到变量 **li**

**第五步**:打印合并列表 **li**

## 资源代码

```r
l1 = list(5,2,1)
l2 = list("Red", "Green", "Black")
print("Original lists:")
print(l1)
print(l2)
print("Merge the lists:")
li =  c(l1, l2)
print("New merged list:")
print(l)

```

## 输出

```r
[1] "Original lists:"
[[1]]
[1] 5

[[2]]
[1] 2

[[3]]
[1] 1

[[1]]
[1] "Red"

[[2]]
[1] "Green"

[[3]]
[1] "Black"

[1] "Merge the lists:"
[1] "New merged list:"
[[1]]
[1] 5

[[2]]
[1] 2

[[3]]
[1] 1

[[4]]
[1] "Red"

[[5]]
[1] "Green"

[[6]]
[1] "Black" 
```