# R 程序：选择给定嵌套列表的第二个元素

> 原文：<https://learnetutorials.com/r-programming/programs/select-second-element-of-list>

## 如何选择给定嵌套列表的第二个元素

这里我们解释如何编写一个 R 程序来选择给定嵌套列表的第二个元素。这里我们使用了一个内置函数 l **apply()** 来实现。该函数有助于返回与给定列表长度相同的列表。将`FUN`应用于对应的`X`元素的结果是返回列表的每个元素。这个函数的语法是

```r
**lapply(X, FUN, …)** 

```

其中 X 是 X，向量(原子或列表)或表达式对象，FUN 是应用于 X 的每个元素的函数

## 如何在 R 程序中选择给定嵌套列表的第二个元素

下面是 R 程序中选择给定嵌套列表的第二个元素的步骤。在这个 R 程序中，我们直接给一个内置函数**lappy()**赋值。这里我们使用变量 **A** 来保存嵌套列表**。**而变量 **elem** 是将函数应用于 **A 的每个元素后的结果列表。**调用函数 **lapply()** 将函数应用于列表元素。

## 算法

**步骤 1** :用嵌套列表分配变量 **A**

**第二步**:打印原始嵌套列表

**第三步**:调用函数`apply()`作为**lappy(A，'['，2)** 来寻找每个列表的第二个元素

**步骤 4** :将结果列表分配到变量 **elem** 中

**步骤 4** :打印结果

## 资源代码

```r
A = list(list(1,3), list(2,5), list(6,7))
print("Original nested list is:")
print(A)
elem = lapply(A, '[[', 2)
print("Second element of the nested list is:")
print(elem)

```

## 输出

```r
[1] "Original nested list is:"
[[1]]
[[1]][[1]]
[1] 1

[[1]][[2]]
[1] 3

[[2]]
[[2]][[1]]
[1] 2

[[2]][[2]]
[1] 5

[[3]]
[[3]][[1]]
[1] 6

[[3]][[2]]
[1] 7

[1] "Second element of the nested list is:"
[[1]]
[1] 3

[[2]]
[1] 5

[[3]]
[1] 7 
```