# R 程序：将给定列表转换成向量

> 原文：<https://learnetutorials.com/r-programming/programs/convert-list-to-vector>

## 如何将给定列表转换为向量

这里我们解释如何编写一个 R 程序，将一个给定的列表转换成一个向量。这里我们使用了一个内置函数 **unlist()** 来实现。这个函数有助于产生一个包含 x 中所有原子成分的向量

```r
**unlist(x, recursive = TRUE, use.names = TRUE)** 

```

其中 x 是 R 对象，通常是列表或向量。递归是合乎逻辑的，如果取消列表应用于 x 和 use 的列表组件，那么名称也是合乎逻辑的，应该保留哪个名称。

## 如何在 R 程序中将给定列表转换成向量

下面是 R 程序中用于将给定列表转换为向量的步骤。在这个 R 程序中，我们直接给一个内置函数 **unlist()** 赋值。这里我们使用变量 **l1，l2** 来保存列表元素**。**调用函数 **unlist()** 将两个列表转换成向量。考虑变量 **vec1、vce2** 来保存转换后的向量值。最后，将这两个向量相加，分配给变量 **V** 。打印最终矢量。

## 算法

**STEP 1** :用列表分配变量 **l1、L2****T5**

**第二步**:打印原始列表

**步骤 3** :通过调用**未列表(l1)** 和**未列表(l2)** 将列表转换为向量

**步骤 4** :将转换后的向量分配到变量 **vec1、vec2** 中

**第五步**:打印矢量**矢量 1、矢量 2**

**步骤 6** :将两个向量相加，并分配给变量 **V**

**STEP 7** :打印最终矢量 V

## 资源代码

```r
l1 = list(1,2,3)
l2= list(4,5,6)
print("Original lists:")
print(l1)
print(l2)
print("Convert the lists to vectors:")
vec1 = unlist(l1)
vec2 = unlist(l2)
print(vec1)
print(vec2)
print("Add two vectors:")
V = vec1 + vec2
print("New vector:")
print(V)

```

## 输出

```r
[1] "Original lists:"
[[1]]
[1] 1

[[2]]
[1] 2

[[3]]
[1] 3

[[1]]
[1] 4

[[2]]
[1] 5

[[3]]
[1] 6

[1] "Convert the lists to vectors:"
[1] 1 2 3
[1] 4 5 6
[1] "Add two vectors:"
[1] "New vector:"
[1] 5 7 9 
```