# R 程序：计算给定列表中对象数量

> 原文：<https://learnetutorials.com/r-programming/programs/count-object-numbers>

## 如何计算给定列表中对象的数量

这里我们解释如何编写一个 R 程序来计算给定列表中的对象数量。这里我们使用一个内置函数 **length()** 来实现这个。该函数有助于获取或设置向量(包括列表)、因子和任何其他 R 对象的长度。这个函数的语法是

```r
**length(x) <- value** 

```

其中 **x** 为替换的 R 对象，向量或因子，**值**为非负整数或双精度。

## 如何在 R 程序中计算给定列表中的对象数

下面是 R 程序中用来计算给定列表中对象数量的步骤。在这个 R 程序中，我们直接给一个内置函数 **length()** 赋值。这里我们使用变量**Ldata****T5 来保存不同类型的列表元素**。**调用函数 **length()** 求列表元素的长度。考虑变量 **vec1、vce2** 来保存转换后的向量值。最后，将这两个向量相加，分配给变量 **V** 。打印最终矢量。**

## 算法

**STEP 1** :给变量**Ldata**T4 分配一个列表

**第二步**:打印原列表

**第三步**:调用函数`length()`作为 **length(Ldata)** 找到列表的长度

**第四步**:打印列表长度

## 资源代码

```r
Ldata <- list(c("Blue","Green","Red"), matrix(c(2,3,6,7,8,9), nrow = 2),
list("Java", "PHP", "C"))
print("List:")
print(Ldata)
print("Number of objects in the list:")
length(Ldata)

```

## 输出

```r
[1] "List:"
[[1]]
[1] "Blue"   "Green" "Red"

[[2]]
     [,1] [,2] [,3]
[1,]    2    6    8
[2,]    3    7   9

[[3]]
[[3]][[1]]
[1] "Java"

[[3]][[2]]
[1] "PHP"

[[3]][[3]]
[1] "C"

[1] "Number of objects in the list:"
[1] 3
```