# R 程序：使用`order()`排序数据帧

> 原文：<https://learnetutorials.com/r-programming/programs/sort-dataframe>

## 如何使用顺序()对数据帧进行排序

这里我们解释一下如何编写一个 R 程序来使用`order()`函数对数据帧进行排序。这里我们使用一个内置函数 **order()** 来进行这个排序。 **order()** 函数有助于返回一个置换。它将第一个参数重新排列成升序或降序，通过进一步的参数打破联系。 **order()** 的语法如下

```r
**order(…, na.last = TRUE, decreasing = FALSE,
      method = c("auto", "shell", "radix"))** 

```

这里点(**....)**是数字、复数、字符或逻辑向量的序列或一个分类的 R 对象。如果 na.last 为真，则数据中缺失的值放在最后；如果为 FALSE，它们将被放在第一位，下一个是这里使用的方法，允许部分匹配。

## 如何在 R 程序中使用`order()`对数据帧进行排序

以下是 R 程序中使用 **order()** 函数对数据帧进行排序的步骤。在这个 R 程序中，我们直接给内置函数赋值。首先，我们使用 **seed()** 函数来设置用于生成随机数序列的起始数字。这里**表**表示数据帧，**形式**是模拟具有指定正态分布的随机变量的 r 函数。最后调用函数 **order()** 进行排序。

## 算法

**第一步**:使用**种子()**设置起始数字生成序列

**步骤 2** :使用可移植的定义数据帧

**步骤 3** :考虑表示数据帧的变量 **c1、c2、c3、c4、c5**

**步骤 4** :通过调用 **order()** 对数据帧进行排序

**步骤 5** :将函数结果赋给变量 df

**步骤 6** :打印功能结果

## 资源代码

```r
library(dplyr)
set.seed(1234)
data_frame <- tibble(  
 c1 = rnorm(50, 5, 1.5),   
 c2 = rnorm(50, 5, 1.5),  
 c3 = rnorm(50, 5, 1.5),
 c4 = rnorm(50, 5, 1.5),  
 c5 = rnorm(50, 5, 1.5)
)
# Sort by c1
df <-data_frame[order(data_frame$c1),]
head(df)

```

## 输出

```r
# A tibble: 6 x 5
##       c1       c2       c3       c4       c5
##     <dbl>    <dbl>    <dbl>    <dbl>    <dbl>
## 1 1.481453 3.477557 4.246283 3.686611 6.0511003
## 2 1.729941 5.824996 4.525823 6.753663 0.1502718
## 3 2.556360 6.275348 2.524849 6.368483 5.4787404
## 4 2.827693 4.769902 5.120089 3.743626 4.0103449
## 5 2.988510 4.395902 2.077631 4.236894 4.6176880
## 6 3.122021 6.317305 5.413840 3.551145 5.6067027</dbl></dbl></dbl></dbl></dbl>
```