# R 程序：对给定列表元素赋空值

> 原文：<https://learnetutorials.com/r-programming/programs/assign-NULL>

## 如何将空值赋给给定的列表元素

这里我们解释如何编写一个 R 程序来给给定的列表元素赋值 NULL。这里我们使用一个**空**对象进行赋值。它是一个保留字，通常由值未定义的表达式或函数返回。**的语法为空**使用条件

```r
**NULL
as.null(x, …)
is.null(x)** 

```

其中 **x** 为待测对象，**点** ( **...**)都是要忽略的。

## 如何在 R 程序中给定列表元素赋值 NULL

下面是在 R 程序中为给定列表元素分配**空值**的步骤。在这个 R 程序中，我们直接给元素赋予值 **NULL** 。首先，给变量**列表**分配一个列表。并通过指定值在列表中的位置来赋值**为空**。

## 算法

**步骤 1** :给变量赋值**用列表列出**

**第二步**:打印原始列表

**步骤 3** :通过给**列表[2] =列表(空)，列表[3] =列表(空)**为第二个和第三个元素分配空值

**步骤 4** :打印最终列表

## 资源代码

```r
lis = list(10, 20, 30, 40, 50)
print("Original list is:")
print(l)
print("Set 2nd and 3rd elements changes to NULL")
lis[2] = list(NULL) 
lis[3] = list(NULL) 
print(lis)

```

## 输出

```r
[1] "Original list is:"
[[1]]
[1] 10

[[2]]
[1] 20

[[3]]
[1] 30

[[4]]
[1] 40

[[5]]
[1] 50

[1] "Set 2nd and 3rd elements changes to NULL"
[[1]]
[1] 10

[[2]]
NULL

[[3]]
NULL

[[4]]
[1] 40

[[5]]
[1] 50 
```