# R 程序：查找一个给定列表中不在另一个给定列表中的所有元素

> 原文：<https://learnetutorials.com/r-programming/programs/elements-are-not-in-another-list>

## 如何查找给定列表中不在另一个给定列表中的所有元素

这里我们解释如何编写一个 R 程序来查找一个给定列表中不在另一个列表中的所有元素。这里我们使用一个内置函数 **setdiff()** 来实现这个。这个函数有助于计算概率空间或列表的子集的集合差。这个函数的语法是

```r
**setdiff(x, y, …)** 

```

其中 **x** 和 **y** 是向量、数据帧或包含一系列项目的任何 R 对象。

## 如何使用 R 程序查找给定列表中不在另一个列表中的所有元素

下面是 R 程序中用于将给定列表转换为向量的步骤。在这个 R 程序中，我们直接给一个内置函数 **setdiff()** 赋值。这里我们使用变量**列表 1，列表 2** 来保存列表元素**。**调用函数 **setdiff()** 来查找列表 2 中的额外元素。最后，打印列表中的差异。

## 算法

**STEP 1** :给变量**列表 1、列表 2** **列表 T5 分配一个列表**

**第二步**:打印原始列表

**第三步**:调用**函数 setdiff(list1，list2)** 找到列表差异

**步骤 4** :打印列表差异

## 资源代码

```r
list1 = list("x", "y", "z")
list2 = list("A", "B", "C", "x", "y", "z")
print("Original lists are:")
print(list1)
print(list2)
print("All elements of list2 that are not in list1:")
setdiff(list2, list1)

```

## 输出

```r
[1] "Original lists are:"
[[1]]
[1] "x"

[[2]]
[1] "y"

[[3]]
[1] "z"

[[1]]
[1] "A"

[[2]]
[1] "B"

[[3]]
[1] "C"

[[4]]
[1] "x"

[[5]]
[1] "y"

[[6]]
[1] "z"

[1] "All elements of l2 that are not in l1:"
[[1]]
[1] "A"

[[2]]
[1] "B"

[[3]]
[1] "C" 
```