# R 程序：使用向量、矩阵和函数创建元素列表

> 原文：<https://learnetutorials.com/r-programming/programs/create-list-using-vectors-matrices-functions>

## 如何使用向量、矩阵和函数创建元素列表

这里我们解释如何编写一个 R 程序，使用向量、矩阵和函数创建一个元素列表。这里我们为此使用了一个内置函数 **list()** 。该功能有助于创建列表。这个函数的语法是

```r
**list(…)** 

```

其中**....(点)**是物体，可能命名。

## 如何使用向量、矩阵和函数创建元素列表

下面是 R 程序中使用向量、矩阵和函数创建元素列表的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **L** 来保存列表元素**。**用不同类型的元素调用函数 **list()** 。这里 **month.abb** 是英文月份名称的三个字母缩写。**和**有助于找到给定值的正弦倒数。返回的角度在-π/2 到π/2 的范围内。最后，打印列表内容。

## 算法

**步骤 1** :用列表分配变量 **L**

**步骤 2** :包括矢量列表

**第 3 步**将月份列表包含为**月份**

**STEP 4** :将矩阵列表作为**矩阵(c(3，-8，1，-3)，nrow = 2)**

**第 4 步**:将值的正弦倒数作为**包含在**中

**步骤 4** :最后打印列表内容

## 资源代码

```r
L = list(
  c(1, 2, 3, 4, 5, 6),  
  month.abb,
  matrix(c(3, -8, 1, -3), nrow = 2),
  asin
)
print("Content of the list:")
print(L)

```

## 输出

```r
[1] "Content of the list:"
[[1]]
[1]  1  2  3  4  5 6

[[2]]
 [1] "Jan" "Feb" "Mar" "Apr" "May" "Jun" "Jul" "Aug" "Sep" "Oct" "Nov" "Dec"

[[3]]
     [,1] [,2]
[1,]    3    1
[2,]   -8   -3

[[4]]
function (x)  .Primitive("asin") 
```