# R 程序：使用`dim()`函数创建 24 个元素的三维数组

> 原文：<https://learnetutorials.com/r-programming/programs/create-3-dimensional-array-using-dim>

## 如何使用`dim()`函数创建 24 个元素的三维数组

这里我们解释如何编写一个 R 程序，使用`dim()`函数创建一个 24 个元素的三维数组。这里我们为此使用了一个内置函数 **dim()** 。此功能有助于检索或设置对象的尺寸。这个函数的语法是

```r
**dim(x)** 

```

其中 **x** 是一个类似矩阵、数组或数据帧的 R 对象。

## 如何使用 R 程序使用`dim()`函数创建三维数组

下面是 R 程序中使用`dim()`函数创建 24 个元素的三维数组的步骤。在这个 R 程序中，我们直接给一个 **dim()** 赋值。这里我们使用变量 **A** 来保存结果数组**。**这里显示的是 24 个元素的三维数组。最后，打印数组。

## 算法

**步骤 1** :将数组元素分配到变量 **A** 中

**步骤 2** :使用 **dim()** 创建三维阵列

**第三步**:将元质数量限制在 24 个

**第四步**:打印三维数组

## 资源代码

```r
A=  sample(1:5,24,replace = TRUE)
dim(A) = c(3,2,4)
print("3-dimension array is:")
print(A)

```

## 输出

```r
[1] "3-dimension array is:"
, , 1

     [,1] [,2]
[1,]    4    2
[2,]    4    2
[3,]    2    1

, , 2

     [,1] [,2]
[1,]    4    2
[2,]    2    4
[3,]    2    4

, , 3

     [,1] [,2]
[1,]    4    2
[2,]    1    5
[3,]    3    2

, , 4

     [,1] [,2]
[1,]    3    3
[2,]    1    5
[3,]    1    2 
```