# R 程序：创建一个与女性身高数据集相对应的因子

> 原文：<https://learnetutorials.com/r-programming/programs/create-factor-with-dataset>

## 如何创建与女性身高相对应的因子数据集

这里我们解释一下如何编写一个 R 程序来创建一个与女性身高相对应的因子数据集。这里我们使用内置函数 **cut()** 进行这个创建。功能 **cut()** 将 x 的范围划分为区间。它根据间隔对 x 中的值进行编码。这些函数的语法如下

```r
 **cut(x, …)** #Where x is an R object,like matrix, array or data frame 

```

## 如何在 R 计划中创建与女性身高数据集相对应的因子

下面是 R 程序中使用的步骤，创建了一个与女性身高相对应的因子数据集，我们直接将这些值赋予内置函数。并打印函数结果。这里我们使用变量 **D** 来分配女性数据变量 **H** 来分配使用`cut()`方法计算的因子值。打印结果因子。

## 算法

**步骤 1** :用给定的数据分配变量 **D**

**步骤 2** :首先打印原始数据

**STEP 3** :调用内置功能 cut 为 **cut(女性$身高，3)**

**步骤 4** :将函数结果赋给变量 **H**

**步骤 5** :打印结果因子

## 资源代码

```r
D= women
print("Women data set of height and weights:")
print(D)
H = cut(women$height,3)
print("Factor corresponding to height:")
print(table(H))

```

## 输出

```r
[1] "Women data set of height and weights:"
   height weight
1      58    115
2      59    117
3      60    120
4      61    123
5      62    126
6      63    129
7      64    132
8      65    135
9      66    139
10     67    142
11     68    146
12     69    150
13     70    154
14     71    159
15     72    164
[1] "Factor corresponding to height:"
height_f
  (58,62.7] (62.7,67.3]   (67.3,72] 
          5           5           5 
```