# R 程序：从四个给定向量创建数据帧

> 原文：<https://learnetutorials.com/r-programming/programs/create-data-frame>

## 如何从四个给定的向量创建数据帧

这里我们解释如何编写一个 R 程序，从四个给定的向量创建一个数据帧。这里我们使用一个内置函数 **data.frame()** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中从四个给定的向量创建一个数据帧

下面是 R 程序中使用的步骤，用于从四个给定的向量创建一个数据帧。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。

## 算法

**步骤 1** :用向量值分配变量 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :调用函数数据帧为**数据帧(N，S，A，Q)**

**第 4 步**:用**数据帧**功能的结果分配变量 **DF**

**STEP 5** :打印保存结果的变量**DF****T5**

## 资源代码

```r
N = c('Jhon', 'Michel', 'Albert', 'James', 'Kevin')
S= c(10, 9.2, 14, 12.5,18)
A = c(1, 3, 2, 3, 2)
Q= c('yes', 'no', 'yes', 'no', 'no')
print("Original data frame:")
print(N)
print(S)
print(A)
print(Q)
DF = data.frame(N, S, A, Q)  
print(DF)

```

## 输出

```r
[1] "Original data frame:"
 [1] "Jhon" "Michel" "Albert" "James" "Kevin"  
 [1] 10  9.2  14  12.5  18
 [1] 1 3 2 3 2 
 [1] "yes" "no"  "yes" "no"  "no"
     N       S      A    Q
1  Jhon      10     1   yes
2  Michel    9.2    3   no
3  Albert    14     2   yes
4  James     12.5   3   no
5  Kevin     18     2   no 
```