# R 程序：从给定数据帧中提取前两行

> 原文：<https://learnetutorials.com/r-programming/programs/extract-first-two-rows>

## 如何从给定的数据帧中提取前两行

这里我们解释如何编写一个 R 程序来从给定的数据帧中提取前两行。这里我们使用一个内置函数 **data.frame()** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中提取给定数据帧的前两行

下面是 R 程序中用于从给定数据帧中提取前两行的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似**E【1:2，】,从给定的数据帧中提取前两行。**

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :从给定的数据帧中提取前两行作为**E【1:2，】**

**步骤 4** :将变量**结果**与**数据帧**功能的结果赋值

**STEP 5** :打印保存结果的变量结果

 ****## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Extract first two rows:")
result =  E[1:2,]
print(result)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "Extract first two rows:"
        name     score      attempts     qualify
1       Jhon      10           2           yes
2       Hialy     9.5          1           no 
```****