# R 程序：从给定的数据帧中提取第 3 行和第 5 行以及第 1 列和第 3 列

> 原文：<https://learnetutorials.com/r-programming/programs/extract-rows-and-columns-from-dataframe>

## 如何从给定的数据帧中提取具有指定列的指定行

这里我们解释如何编写一个 R 程序，从给定的数据帧中提取第 3 行和第 5 行，第 1 列和第 3 列。这里我们使用一个内置函数 **data.frame()** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中从给定的数据帧中提取具有第 1 列和第 3 列的第 3 行和第 5 行

下面是 R 程序中从给定数据帧中提取第 3 行和第 5 行以及第 1 列和第 3 列的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过像**E【c(3，5)，c(1，3)】**一样的调用，从给定的数据帧中提取具有指定列的指定行

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :从给定的数据帧中提取第 3 行和第 5 行的第 1 列和第 3 列作为**E【c(3，5)，c(1，3)】**

**步骤 4** :将变量**结果**与结果赋值

**STEP 5** :打印保存结果的变量**结果****T5**

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Extract 3rd and 5th rows with 1st and 3rd columns :")
result =  E[c(3,5),c(1,3)]
print(result)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "Extract 3rd and 5th rows with 1st and 3rd columns:"
       name          attempts     
3      Albert            2           
5      Delma             1 
```