# R 程序：在给定的数据帧中用 5 代替 NA 值

> 原文：<https://learnetutorials.com/r-programming/programs/replace-NA-values>

## 如何在给定的数据帧中用 5 替换 NA 值

这里我们解释如何编写一个 R 程序，在给定的数据帧中用 5 替换 NA 值。这里我们使用一个内置函数 **data.frame()** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中给定的数据帧中用 5 替换 NA 值

下面是 R 程序中使用的步骤，用于在给定的数据帧中用 5 替换 NA 值。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似**E【is . NA(E)】= 5**的方法，将给定数据帧中的 NA 值替换为 5

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始数据帧

**步骤 3** :将给定数据帧中的 **NA** 值替换为 **5** 值，即**E【is . NA(E)】= 5**

**第五步**:打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, NA, 2, NA, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
E[is.na(E)] = 5
print("After removing NA with 5, the dataframe is:")
print(E)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       NA     no
3  Albert     12.2      2     yes
4  James      11        NA    no
5  Delma      8         1     no
[1] "After removing NA with 5, the dataframe is:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       5     no
3  Albert     12.2      2     yes
4  James      11        5    no
5  Delma      8         1     no
```