# R 程序：向现有数据帧添加新行

> 原文：<https://learnetutorials.com/r-programming/programs/add-new-row>

## 如何向现有数据帧添加新行

在这里，我们将解释如何编写一个 R 程序来向现有的数据帧中添加新的行。这里我们使用一个内置函数 **`data.frame()`，rbind** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。并且函数`data.frame()`是一个由两个或多个 SparkDataFrames 逐行组成的并集。这个函数的语法是，

```r
 **rbind(..., deparse.level = 1)** 

```

其中**点(...)**表示附加的 SparkDataFrame 和**部门级别**用于匹配基础实现的签名

## 如何在 R 程序中给定的数据帧中添加新列

下面是 R 程序中用于向现有数据帧添加新行的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似 **E = rbind(E，New_E)** 的方法，将新行添加到给定数据帧的现有数据帧中

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :在给定的数据帧中添加一个新的列作为 **E = rbind(E，New_E)**

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
New_E = data.frame(
N = c('Rooby', 'Lucas'),
S = c(3, 7),
A = c(2, 5),
Q = c('yes', 'no')
)
E =  rbind(E,New_E)
print("After adding new row(s) to an existing data frame:")
print(E)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "After adding new row(s) to an existing data frame:"
     name    score attempts qualify 
1  Jhon       10        2     yes   
2  Hialy      9.5       1     no    
3  Albert     12.2      2     yes    
4  James      11        4     no    
5  Delma      8         1     no     
6  Rooby      3         2     yes    
7  Lucas      7         5     no 
```