# R 程序：提取或替换部分因子

> 原文：<https://learnetutorials.com/r-programming/programs/extract-the-levels-of-factor>

## 如何从字母中提取从随机样本中创建的五个水平的因子

在这里，我们解释如何编写一个 R 程序，从 LETTERS 中提取从随机样本中创建的因子的五个水平。这里我们使用一个内置函数**因子()**进行这个转换。向量值在这里直接传递给这些函数。R 中的**因子()**函数计算单个函数中向量的因子。

使用函数**因子()**我们可以创建向量的因子。因子存储为整数向量，并且与向量密切相关。这些函数的语法如下

```r
 **factor(x = character(), levels, labels = levels,exclude = NA, ordered = is.ordered(x), nmax = NA)** 
#Where x is a vector of data, usually taking a small number of distinct values 

```

## 如何在 R 程序中提取从随机样本创建的因子水平

以下是在 R 程序中提取从随机样本中创建的因子水平的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们用变量**让**保存样本数据，用变量 **fac** 找出给定数据的因子。打印结果因子。

## 算法

**步骤 1** :给变量**赋值，让**有样本数据

**步骤 2** :首先打印原始数据值

**STEP 3** :将内置函数因子称为 **fac =因子(Let)**

**步骤 4** :用函数结果分配变量 **fac**

**STEP 5** :找到 5 级作为**让【1:5】**

**步骤 6** :给出结果因子的表格视图为**表格(Let[1:5])**

## 资源代码

```r
Let = sample(LETTERS,size=50,replace=TRUE)
print("Original data:")
print(Let)
fac = factor(Let)
print("Original factors:")
print(fac)
print("Five of the levels")
print(table(Let[1:5]))

```

## 输出

```r
[1] "Original data:"
 [1] "H" "N" "O" "D" "L" "E" "H" "U" "W" "W" "S" "Q" "A" "O" "I" "G" "G" "W" "T"
[20] "Z" "I" "S" "B" "P" "I" "F" "L" "B" "X" "A" "J" "V" "X" "C" "U" "A" "C" "W"
[39] "D" "J" "X" "C" "U" "O" "F" "V" "Y" "Z" "W" "Z"
[1] "Original factors:"
[1] H N O D L E H U W W S Q A O I G G W T Z I S B P I F L B X A J V X C U A C W
[39] D J X C U O F V Y Z W Z
Levels: A B C D E F G H I J L N O P Q S T U V W X Y Z
[1] "Five of the levels"

D H L N O 
1 1 1 1 1 
```