# R 程序：在数据帧中寻找唯一的行

> 原文：<https://learnetutorials.com/r-programming/programs/create-dataframe-display-duplicated-elements>

## 如何使用两个给定的向量创建数据帧，并显示重复的元素和唯一的行

这里我们解释如何编写一个 R 程序，使用两个给定的向量创建一个数据帧，并显示重复的元素和唯一的行。这里我们使用一个内置函数 **data.frame()** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何使用两个给定的向量创建数据帧，并在 R 程序中显示重复的元素和唯一的行

下面是 R 程序中使用的步骤，使用两个给定的向量创建一个数据帧，并显示重复的元素和唯一的行。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **v1、v2** 来保存不同类型的向量，使用 **V** 来保存创建的数据帧**。**调用函数`data.frame()`创建**数据帧**。要获取重复元素，请调用类似**的方法复制(v1v2)** ，要获取唯一元素，请调用类似**的方法唯一(v1v2)。**

## 算法

**步骤 1** :为数据帧分配变量 **v1、v2** 和矢量值 **V**

**步骤 2** :首先打印原始矢量值

**步骤 3** :根据给定的矢量创建一个数据帧作为**数据帧(v1，v2)**

**步骤 4** :通过调用**复制(v1v2)** 打印复制的元素

**步骤 5** :通过调用 **unique(v1v2)** 打印唯一元素

## 资源代码

```r
v1 = c(10,20,10,10,40,50,20,30)
v2= c(10,30,10,20,0,50,30,30)
print("Original data frame:")
V = data.frame(v1,v2)
print(v1v2)
print("Duplicate elements of the data frame:")
print(duplicated(v1v2))
print("Unique rows of the data frame:")
print(unique(v1v2))

```

## 输出

```r
[1] "Original data frame:"
   a  b
1 10 10
2 20 30
3 10 10
4 10 20
5 40  0
6 50 50
7 20 30
8 30 30
[1] "Duplicate elements of the data frame:"
[1] FALSE FALSE  TRUE FALSE FALSE FALSE  TRUE FALSE
[1] "Unique rows of the data frame:"
   a  b
1 10 10
2 20 30
4 10 20
5 40  0
6 50 50
8 30 30 
```