# R 程序：获取给定数据帧结构

> 原文：<https://learnetutorials.com/r-programming/programs/structure-of-data-frame>

## 如何获得给定数据帧的结构

这里我们解释如何编写一个 R 程序来获取给定数据帧的结构。这里我们使用一个内置函数 **`data.frame()`，`str()`** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`str()`创建的，该函数具有紧密耦合的变量集合。而函数`str()`有助于显示一个 R 对象的内部结构。这个函数的语法是，

```r
 **str(object, …)** 

```

## 如何获得给定数据帧的结构

下面是 R 程序中获取给定数据帧结构的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过类似 **str(E)** 的调用来显示数据帧的结构

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :数据帧的结构为**字符串(E)**

**步骤 4** :打印数据帧的结构

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Structure of the data frame:")
print(str(E))

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "Structure of the data frame:"
'data.frame': 5 obs. of  4 variables:
 $ N    : Factor w/ 5 levels "Albert ","Delma",..: 5 3 1 4 2
 $ S   : num  10 9.5 12.2 11 8
 $ A   : num  2 1 2 4 1 
 $ Q  : Factor w/ 2 levels "no","yes": 2 1 2 1 1
NULL 
```