# R 程序：获取给定数据帧的统计概要和数据性质

> 原文：<https://learnetutorials.com/r-programming/programs/statistical-summary-and-nature-of-data-frame>

## 如何获得给定数据帧的统计摘要和数据性质

这里我们解释如何编写一个 R 程序来获得给定数据帧的统计摘要和数据性质。这里我们使用内置函数 **`data.frame()`，`summary()`** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`summary()`创建的，该函数具有紧密耦合的变量集合。函数`summary()`有助于生成各种模型拟合函数结果的结果摘要。这个函数的语法是，

```r
 **summary(object, …)** 

```

其中**点(...)**影响生成的摘要的附加参数，**对象**是需要摘要的对象。

## 如何在 R 程序中得到给定数据帧的统计汇总和数据性质

下面是 R 程序中获取给定数据帧的统计摘要和数据性质的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似**的汇总(E)** 从给定的数据帧计算统计汇总

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**第三步**:将给定数据帧的统计汇总打印为**汇总(E)**

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Statistical summary and nature of the data of the dataframe:")
print(summary(E))

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "Statistical summary and nature of the data of the dataframe:"
      N           S               A       Q    
 Albert:1   Min.   : 8.00   Min.   :1   no :3  
 Delma :1   1st Qu.: 9.50   1st Qu.:1   yes:2  
 Hialy :1   Median :10.00   Median :2          
 James :1   Mean   :10.14   Mean   :2          
 Jhon  :1   3rd Qu.:11.00   3rd Qu.:2          
            Max.   :12.20   Max.   :4 
```