# R 程序：按名称从给定数据帧中删除列

> 原文：<https://learnetutorials.com/r-programming/programs/drop-column-dataframe>

## 如何从给定的数据帧中按名称删除列

这里我们解释如何编写一个 R 程序，从给定的数据帧中按名称删除列。这里我们使用一个内置函数 **`data.frame()`，`subset()`** 来实现。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`subset()`创建的，该函数具有紧密耦合的变量集合。函数子集()有助于返回满足条件的向量、矩阵或数据帧的子集。这个函数的语法是，

```r
 **subset(x, …)** 

```

其中**点(...)**表示要传递给其他方法或从其他方法传递的参数， **x** 是要细分的对象。

## 如何在 R 程序中按名称从给定的数据帧中删除列

下面是 R 程序中用于从给定数据帧中按名称删除列的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似**的子集(E，select = -c(N，Q))** ，从给定的数据帧中按名称删除列

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :通过创建数据帧的子集作为**子集(E，选择= -c(N，Q))** 来删除指定的列

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
E= subset(E, select = -c(N, Q))
print(E)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

 S A
1 10.0 2
2  9.5 1
3 12.2 2
4 11.0 4
5  8.0 1
```