# R 程序：从给定数据帧中按数字删除行

> 原文：<https://learnetutorials.com/r-programming/programs/drop-row-dataframe>

## 如何从给定的数据帧中按数字删除行

这里我们解释如何编写一个 R 程序，从给定的数据帧中按数字删除行。这里我们使用的是内置函数 **data.frame()** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合..这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中从给定的数据帧中按数字删除行

下面是 R 程序中从给定数据帧中按数字删除行的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用类似 **E < - E[-c(2，4，5)，】**的方法，从给定的数据帧中按数字删除行

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :从数据帧中删除指定的图纸(2，4，5)为 **E < - E[-c(2，4，5)，】**

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
E <- E[-c(2, 4, 5), ]
print(E)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

    N    S A   Q
1   Jhon 10.0 2 yes
3 Albert 12.2 2 yes
```