# R 程序：按多列排序给定数据帧

> 原文：<https://learnetutorials.com/r-programming/programs/sort-data-frame-by-multiple-column>

## 如何按多列对给定的数据帧进行排序

这里我们解释如何编写一个 R 程序来按照多列对给定的数据帧进行排序。这里我们使用一个内置函数 **order()** 来进行这个排序。 **order()** 函数有助于返回一个置换。它将第一个参数重新排列成升序或降序，通过进一步的参数打破联系。 **order()** 的语法如下

```r
**order(…, na.last = TRUE, decreasing = FALSE,
      method = c("auto", "shell", "radix"))** 

```

这里点(**....)**是数字、复数、字符或逻辑向量的序列或一个分类的 R 对象。如果 na.last 为真，则数据中缺失的值放在最后；如果为 FALSE，它们将被放在第一位，下一个是这里使用的方法，允许部分匹配。

## 如何在 R 程序中按多列对给定的数据帧进行排序

下面是 R 程序中使用的步骤，用于按多列对给定的数据帧进行排序。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量。调用函数`data.frame()`创建数据帧。最后，通过调用类似**的方法按多列对给定的数据帧进行排序**

## 算法

**步骤 1:** 用向量值分配变量 **E，N，S，A，Q**

**步骤 2:** 首先打印原始矢量值

**步骤 3:** 通过 **E【用(E，顺序(N，S))】**对给定的数据帧进行多列排序

**步骤 4:** 将结果数据帧分配到 **E**

**第五步**:打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("dataframe after sorting 'N' and 'S' columns:")
E = E[with(E, order(N, S)), ]
print(E)

```

## 输出

```r
[1] "Original dataframe:"
     name    score attempts qualify
1  Jhon       10        2     yes
2  Hialy      9.5       1     no
3  Albert     12.2      2     yes
4  James      11        4     no
5  Delma      8         1     no

[1] "dataframe after sorting 'N' and 'S' columns:"
       N    S A   Q
3 Albert 12.2 2 yes
5  Delma  8.0 1  no
2  Hialy  9.5 1  no
4  James 11.0 4  no
1   Jhon 10.0 2 yes
```