# R 程序：从给定的两个数据帧创建内、外、左、右连接（合并）

> 原文：<https://learnetutorials.com/r-programming/programs/create-inner-outer-left-right-from-data-frames>

## 如何从给定的两个数据帧创建内、外、左、右连接(合并)

这里我们解释如何编写一个 R 程序，从给定的两个数据帧创建内部、外部、左侧、右侧的连接(合并)。这里我们使用的是内置函数 **`data.frame()`，`merge()`** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`merge()`创建的，该函数具有紧密耦合的变量集合。函数`merge()`有助于通过公共列或行名称或数据库连接操作来合并两个数据帧。这个函数的语法是，

```r
 **merge(x, y, …)** 

```

其中 **x，y** 是数据帧，或强制为一的对象。和**点(...)**表示传入或传出方法的参数。

## 如何在 R 程序中从给定的两个数据帧创建内、外、左、右连接

下面是 R 程序中使用的步骤，用于从给定的两个数据帧创建内部、外部、左侧和右侧连接。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量**D2 D1**来保存数据帧**。**调用函数`data.frame()`创建**数据帧**。最后，通过不同地调用合并函数来合并给定的数据帧。

## 算法

**步骤 1** :用数据帧分配变量 **D1，D2**

**STEP 2** :首先做左外连接为**合并(D1，D2，by =“data”，all.x = TRUE)**

**STEP 3** :接下来做右外连接作为**合并(D1，D2，by =“data”，all.y = TRUE)**

**步骤 4** :将外部连接打印为**合并(D1、D2，by =“数据”，all = TRUE)**

**步骤 5** :将交叉连接打印为**合并(D1，D2，by =空)**

## 资源代码

```r
D1 = data.frame(data = c(12, 14, 10, 11))
D2 = data.frame(data= c(13, 15, 11, 12))
print("Left outer Join:")
result = merge(D1, D2, by = "data", all.x = TRUE)
print(result)
print("Right outer Join:")
result = merge(D1, D2, by = "data", all.y = TRUE)
print(result)
print("Outer Join:")
result = merge(D1, D2, by = "data", all = TRUE)
print(result)
print("Cross Join:")
result = merge(D1, D2, by = NULL)
print(result)

```

## 输出

```r
[1] "Left outer Join:"
  data
1    10
2    11
3    12
4    14
[1] "Right outer Join:"
  data
1    11
2    12
3    13
4    15
[1] "Outer Join:"
  data
1    10
2    11
3    12
4    13
5    14
6    15
[1] "Cross Join:"
   data.x data.y
1       12      13
2       14      13
3       10      13
4       11      13
5       12      15
6       14      15
7       10      15
8       11      15
9       12      11
10      14      11
11      10      11
12      11      11
13      12      12
14      14      12
15      10      12
16      11      12 
```