# R 程序：更改给定数据帧的列名

> 原文：<https://learnetutorials.com/r-programming/programs/change-column-name-of-data-frame>

## 如何更改给定数据帧的列名

这里我们解释如何编写一个 R 程序来改变给定数据帧的列名。这里我们使用的是内置函数 **data.frame()** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合..这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中更改给定数据帧的列名

下面是 R 程序中用于更改给定数据帧的列名的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过像**那样调用 colnames(E)【其中(name(E)= = " N ")】= " S _ N "**来更改数据帧的列名

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**STEP 3** :将 **N** 列改为 **S_N** 如通过调用 **colnames(E)【其中(names(E)= = = N】】=“S _ N”**

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Change column-name 'N' to 'S_N' of the data frame:")
colnames(E)[which(names(E) == "N")] = "S_N"
print(E)

```

## 输出

```r
[1] "Original dataframe:"
       N    S A   Q
1   Jhon 10.0 2 yes
2  Hialy  9.5 1  no
3 Albert 12.2 2 yes
4  James 11.0 4  no
5  Delma  8.0 1  no
[1] "Change column-name 'N' to 'S_N' of the data frame:"
     S_N    S A   Q
1   Jhon 10.0 2 yes
2  Hialy  9.5 1  no
3 Albert 12.2 2 yes
4  James 11.0 4  no
5  Delma  8.0 1  no
```