# R 程序：从给定的数据帧中选择一些随机行

> 原文：<https://learnetutorials.com/r-programming/programs/select-random-rows-from-data-frame>

## 如何从给定的数据帧中选择一些随机行

这里我们解释如何编写一个 R 程序，从给定的数据帧中选择一些随机行。这里我们使用的是内置函数 **`data.frame()`，`nrow()`** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`nrow()`创建的，该函数具有紧密耦合的变量集合。方法`nrow()`返回 x 中的行数。

```r
 **nrow(x)** 

```

其中 **x** 表示向量、数组、数据帧或空。

## 如何在 R 程序中从给定的数据帧中选择一些随机行

下面是 R 程序中用于更改给定数据帧的列名的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用方法`data.frame()`选择随机行，如 **E【样本(nrow(E)，3)】**

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**步骤 3** :通过调用 **E【样本(nrow(E)，3)】**选择随机行

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original data frame:")
print(E)
print("Select three random rows of the data frame:")
print(E[sample(nrow(E), 3),])

```

## 输出

```r
[1] "Original data frame:"
       N    S A   Q
1   Jhon 10.0 2 yes
2  Hialy  9.5 1  no
3 Albert 12.2 2 yes
4  James 11.0 4  no
5  Delma  8.0 1  no
[1] "Select three random rows of the data frame:"
       N    S A   Q
4  James 11.0 4  no
5  Delma  8.0 1  no
3 Albert 12.2 2 yes
```