# R 程序：按列名重新排序给定数据帧

> 原文：<https://learnetutorials.com/r-programming/programs/reorder-dataframe-by-column-name>

## 如何按列名对给定的数据帧重新排序

这里我们解释如何编写一个 R 程序，通过列名对给定的数据帧重新排序。这里我们使用的是内置函数 **data.frame()** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中按列名对给定的数据帧重新排序

下面是 R 程序中使用的步骤，用于按列名对给定的数据帧重新排序。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过像**E【c(“N”、“A”、“S”、“Q”)】**这样的调用，对数据帧的列名进行重新排序

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :首先打印原始矢量值

**STEP 3** :通过调用**E【c(【N】、【A】、【S】、【Q】)】**等方法对数据帧的列名进行重新排序

**步骤 4** :打印最终数据帧

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
print("Reorder by column name:")
E = E[c("N", "A", "S", "Q")]
print(E)

```

## 输出

```r
[1] "Original dataframe:"
       N    S A   Q
1   Jhon 10.0 2 yes
2  Hialy  9.5 1  no
3 Albert 12.2 2 yes
4  James 11.0 4  no
5  Delma  8.0 1  no
[1] "Reorder by column name:"
       N A    S   Q
1   Jhon 2 10.0 yes
2  Hialy 1  9.5  no
3 Albert 2 12.2 yes
4  James 4 11.0  no
5  Delma 1  8.0  no
```