# R 程序：比较两个数据帧来找到第一个数据帧中的行

> 原文：<https://learnetutorials.com/r-programming/programs/compare-two-data-frames>

## 如何比较两个数据帧以找到第一个数据帧中的行而不是第二个数据帧中的行

这里我们解释如何编写一个 R 程序来比较两个数据帧，以找到第一个数据帧中的行，而不是第二个数据帧。这里我们使用的是内置函数 **data.frame()** 。数据帧用于存储具有等长向量列表的数据表。函数`setdiff()`有助于计算概率空间子集的(非对称)集合差。这个函数的语法是，

```r
 **setdiff(x, …)** 

```

其中 **x，y** 向量、数据帧或包含一系列项目的 ps 对象。**点(...)**表示要传递给其他方法或从其他方法传递的参数。

## 如何比较两个数据帧找到 R 程序中第一个数据帧的行而不是第二个数据帧的行

下面是 R 程序中比较两个数据帧以找到第一个数据帧中的行而不是第二个数据帧的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **DF1、DF2** 来保存不同的数据帧**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用函数`data.frame()`比较两个数据帧，如 **setdiff(DF1，DF2)。**

## 算法

**步骤 1** :用数据帧分配变量 **DF1、DF2**

**步骤 2** :首先打印原始数据帧

**步骤 3** :像**一样调用 setdiff(DF1，DF2)** 来比较两个数据帧

**步骤 4** :打印最终数据帧

## 资源代码

```r
DF1 = data.frame(
  "item" = c("item1", "item2", "item3"),
  "Jan" = c(12, 14, 12),
  "Feb" = c(11, 12, 15),
  "Mar" = c(12, 14, 15)
)
DF2 = data.frame(
  "item" = c("item1", "item2", "item3"),
  "Jan" = c(12, 14, 12),
  "Feb" = c(11, 12, 15),
  "Mar" = c(12, 15, 18)
)
print("Original Dataframes:")
print(DF1)
print(DF2)
print("Row(s) in first data frame that are not present in second data frame:")
print(setdiff(DF1,DF2))

```

## 输出

```r
[1] "Original Dataframes:"
   item Jan Feb Mar
1 item1  12  11  12
2 item2  14  12  14
3 item3  12  15  15
   item Jan Feb Mar
1 item1  12  11  12
2 item2  14  12  15
3 item3  12  15  18
[1] "Row(s) in first data frame that are not present in second data frame:"
  Mar
1  12
2  14
3  15
```