# R 程序：查找两个给定数据帧中存在的元素

> 原文：<https://learnetutorials.com/r-programming/programs/find-common-elements-of-dataframe>

## 如何找到存在于两个给定数据帧中的元素

这里我们解释如何编写一个 R 程序来查找存在于两个给定数据帧中的元素。这里我们使用的是内置函数 **intersect()** 。函数`intersect()`有助于计算概率空间子集的交集，比较是逐行进行的。这个函数的语法是，

```r
 **intersect(x, …)** 

```

其中 **x，y** 向量、数据帧或包含一系列项目的 ps 对象。**点(...)**表示要传递给其他方法或从其他方法传递的参数。

## 如何在 R 程序中找到存在于两个给定数据帧中的元素

下面是 R 程序中查找两个给定数据帧中存在的元素的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **X，Y** 来保存不同的数据帧**。**最后通过调用函数`intersect()`像 **intersect(X，Y)一样找到数据帧的公共元素。**

## 算法

**步骤 1** :用数据帧分配变量 **X，Y**

**步骤 2** :首先打印原始数据帧

**步骤 3** :通过调用类似**的 intersect(X，Y)** 从数据帧中找到公共元素

**步骤 4** :将结果存储在变量**结果**中

**第五步**:打印最终数据帧

## 资源代码

```r
X = c("a", "b", "c", "d", "e")
Y = c("d", "e", "f", "g")
print("Original Dataframes")
print(X)
print(Y)
print("Common elements in both dataframes:")
result = intersect(X, Y)
print(result)

```

## 输出

```r
[1] "Original Dataframes"
[1] "a" "b" "c" "d" "e"
[1] "d" "e" "f" "g"
[1] "Common elements in both dataframes:"
[1] "d" "e"
```