# R 程序：找到两个数据帧之间的公共元素

> 原文：<https://learnetutorials.com/r-programming/programs/find-common-elements-between-two-data-frames>

## 如何在两个给定的数据帧中找到通用但只出现一次的元素

在这里，我们将解释如何编写一个 R 程序来查找两个给定数据帧中常见但只出现一次的元素。这里我们使用的是内置函数 **union()** 。函数`union()`有助于计算概率空间子集的并集。这个函数的语法是，

```r
 **union(x,y, …)** 

```

其中 **x，y** 向量、数据帧或包含一系列项目的 ps 对象。**点(...)**表示要传递给其他方法或从其他方法传递的参数。

## 如何在 R 程序中找到对两个给定数据帧都通用但只出现一次的元素

下面是 R 程序中使用的步骤，用于查找两个给定数据帧中常见但只出现一次的元素。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **X，Y** 来保存不同的数据帧**。**最后，通过调用函数`union()`，像 **union(X，Y)一样，找到公共元素，但只出现一次。**

## 算法

**步骤 1** :用数据帧分配变量 **X，Y**

**步骤 2** :首先打印原始数据帧

**STEP 3** :通过调用 **union(X，Y)** 这样的方法，找到共同的元素，但是只出现一次

**步骤 4** :将结果存储在变量**结果**中

**第五步**:打印最终数据帧

## 资源代码

```r
X = c("a", "b", "c", "d", "e")
Y = c("d", "e", "f", "g")
print("Original Dataframes")
print(X)
print(Y)
print("Elements that are common but only come once to both given data frames:")
result = union(X, Y)
print(result) 

```

## 输出

```r
[1] "Original Dataframes"
[1] "a" "b" "c" "d" "e"
[1] "d" "e" "f" "g"
[1] "Elements that are common but only come once to both given data frames:"
[1] "a" "b" "c" "d" "e" "f" "g"
```