# R 程序：创建一个空白矩阵

> 原文：<https://learnetutorials.com/r-programming/programs/create-blank-matrix>

## 如何创建空白矩阵

这里我们解释如何编写一个 R 程序来创建一个空白矩阵。这里我们使用一个内置函数**矩阵()**进行这个转换。此方法有助于从给定的一组值创建矩阵。这个函数的语法是，

```r
**matrix(data = NA, nrow = 1, ncol = 1, byrow = FALSE,dimnames = NULL)** 

```

**NA** :可选数据向量。

**n 显示**:所需的行数。

**ncol** :所需的列数。

**byrow** :如果为 FALSE(默认值)，则矩阵按列填充，否则按行填充。

**dimnames** :空或长度为 2 的列表，分别给出行和列的名称。

## 如何在 R 程序中创建空白矩阵

下面是 R 程序中创建空白矩阵的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **Matx** 来分配矩阵。

## 算法

**第一步**:给变量**赋矩阵值**

**步骤 2** :创建一个 6 行 5 列的矩阵

**步骤 3** :通过调用类似**的矩阵(，nrow = 6，ncol = 5)** 来创建

**步骤 4** :打印结果矩阵

## 资源代码

```r
Matx=matrix(, nrow = 6, ncol = 5)
print("Empty matrix of 6 rows and 5 columns:")
print(Matx)

```

## 输出

```r
[1] "Empty matrix of 6 rows and 5 columns:"
      [,1] [,2] [,3] [,4] [,5]
 [1,]   NA   NA   NA   NA   NA
 [2,]   NA   NA   NA   NA   NA
 [3,]   NA   NA   NA   NA   NA
 [4,]   NA   NA   NA   NA   NA
 [5,]   NA   NA   NA   NA   NA
 [6,]   NA   NA   NA   NA   NA
```