# R 程序：将给定的矩阵顺时针旋转 90 度

> 原文：<https://learnetutorials.com/r-programming/programs/rotate-given-matrix90>

## 如何将给定的矩阵顺时针旋转 90 度

这里我们解释如何写一个 R 程序来旋转一个给定的矩阵顺时针旋转 90 度。这里我们使用一个内置函数**矩阵()**进行这个转换。此方法有助于从给定的一组值创建矩阵。这个函数的语法是，

```r
**matrix(data = NA, nrow = 1, ncol = 1, byrow = FALSE,dimnames = NULL)** 

```

**NA** :可选数据向量。

**n 显示**:所需的行数。

**ncol** :所需的列数。

**byrow** :如果为 FALSE(默认值)，则矩阵按列填充，否则按行填充。

**dimnames** :空或长度为 2 的列表，分别给出行和列的名称。

## 如何在 R 程序中给定矩阵顺时针旋转 90 度

以下是 R 程序中用于将给定矩阵顺时针旋转 90 度的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里，我们使用变量 **Matx** 来分配值为 1 到 9 的矩阵。通过调用类似**的 t(应用(Matx，2，rev))来旋转矩阵。**这里的 **apply()** 返回通过将函数应用于数组或矩阵而获得的向量或数组。函数 **t()** 有助于获得数据帧的给定矩阵的转置。

## 算法

**第一步**:给变量**赋矩阵值**

**步骤 2** :创建一个由 1 到 9 个元素组成的矩阵，共 3 行

**第三步**:像**一样调用旋转**

**步骤 4** :将结果分配到一个变量**最终**

**步骤 5** :打印结果矩阵**最终**

## 资源代码

```r
Matx=  matrix(1:9, 3)
print("Original matrix:")
print(Matx)
final = t(apply(Matx, 2, rev))
print("Rotate the matrix 90 degree clockwise:")
print(final)

```

## 输出

```r
[1] "Original matrix:"
     [,1] [,2] [,3]
[1,]    1    4    7
[2,]    2    5    8
[3,]    3    6    9
[1] "Rotate the matrix 90 degree clockwise:"
     [,1] [,2] [,3]
[1,]    3    2    1
[2,]    6    5    4
[3,]    9    8    7 
```