# R 程序：为给定列表的元素指定新名称

> 原文：<https://learnetutorials.com/r-programming/programs/assign-new-names-to-list>

## 如何给给定列表的元素分配新名称

这里我们解释如何编写一个 R 程序来给给定列表的元素分配新的名称。这里我们为此使用了一个内置函数 **list()** 。该功能有助于创建列表。这个函数的语法是

```r
**list(…)** 

```

其中**....(点)**是物体，可能命名。

## 如何使用 R 程序给给定列表的元素分配新名称

下面是 R 程序中为给定列表的元素指定新名称的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **L1** 来保存列表元素**。**用不同类型的元素调用函数 **list()** 。功能**名称()**帮助获取或设置对象的名称。

## 算法

**第一步**:给变量分配一个列表 **L1**

**STEP 2** :用 3 组元素 **g1、g2、g3** 创建 **L1**

**第三步**:打印原始列表

**STEP 4** :在列表元素中添加新的名称 **A、B、C** 作为**名称(L1)= C(“A”、“B”、“C”)**

**第五步**:打印最终名单 **L1**

## 资源代码

```r
L1 = list(g1 = 1:5, g2 = "C Programming", g3 = "JAVA")
print("Original list:")
print(L1)
names(L1) = c("A", "B", "C")
print("Assign new names 'A', 'B' and 'C' to the elements of the list")
print(L1)

```

## 输出

```r
[1] "Original list:"
$g1
[1] 1 2 3 4 5

$g2
[1] "C Programming"

$g3
[1] "JAVA"

[1] "Assign new names 'A', 'B' and 'C' to the elements of the list"
$A
[1] 1 2 3 4 5

$B
[1] "C Programming"

$C
[1] "JAVA" 
```