# R 程序：向给定列表添加新项目

> 原文：<https://learnetutorials.com/r-programming/programs/add-new-item>

## 如何向给定列表添加新项目

这里我们解释如何编写一个 R 程序来给给定的列表添加一个新的项目。这里我们为此使用了一个内置函数 **list()** 。该功能有助于创建列表。这个函数的语法是

```r
**list(…)** 

```

其中**....(点)**是物体，可能命名。

## 如何使用 R 程序向给定列表添加新项目

下面是 R 程序中向给定列表添加新项目的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **L1** 来保存列表元素 g1、g2、g3 **。**用不同类型的元素调用函数 **list()** 。像**L1 $ g4 =“Python”**一样，将值为“Python”的新项目 G4 添加到 L1 列表中。

## 算法

**第一步**:给变量分配一个列表 **L1**

**STEP 2** :用 3 组元素 **g1、g2、g3** 创建 **L1**

**第三步**:打印原始列表

**步骤 4** :在列表中添加一个新项目 **g4** 为**L1 $ G4 =“Python”**

**第五步**:打印最终名单 **L1**

## 资源代码

```r
L1 = list(g1 = 1:5, g2 = "C Programming", g3 = "JAVA")
print("Original list:")
print(L1)
print("Add a new vector to the said list:")
L1$g4 = "Python"
print(L1)

```

## 输出

```r
[1] "Original list:"
$g1
[1] 1 2 3 4 5

$g2
[1] "C Programming"

$g3
[1] "JAVA"

[1] "Add a new vector to the said list:"
$g1
[1] 1 2 3 4 5

$g2
[1] "C Programming"

$g3
[1] "JAVA"

$g4
[1] "Python"
```