# R 程序：获得给定列表的前两个向量的长度

> 原文：<https://learnetutorials.com/r-programming/programs/get-length-of-vectors-of-list>

## 如何得到给定列表的前两个向量的长度

这里我们解释如何编写一个 R 程序来获得给定列表的前两个向量的长度。这里我们使用一个内置的函数**列表()，`length()`** 来进行这个。函数`length()`有助于创建一个列表和长度()，用于获取或设置向量和因子以及任何其他 R 对象的长度。这些函数的语法如下

```r
**list(…)**#Where **....(dots)**are the objects, possibly named 

```

```r
**length(x)**#Where **x** isan R object like vector or factor 

```

## 如何用 R 程序得到给定列表的前两个向量的长度

下面是 R 程序中获取给定列表的前两个向量长度的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **L1** 来保存列表元素 g1、g2、g3 **。**用不同类型的元素调用函数 **list()** 。使用函数`length()`查找列表中向量的长度，如**长度(L1$g1)、长度(L1$g2)。**最后打印长度。

## 算法

**第一步**:给变量分配一个列表 **L1**

**STEP 2** :用 3 组元素 **g1、g2、g3** 创建 **L1**

**第三步**:打印原始列表

**第四步**:找出列表中向量的长度，如**长度(L1$g1)，长度(L1$g2)**

**第五步**:打印矢量的长度

## 资源代码

```r
L1 = list(g1 = 1:5, g2 = "C Programming", g3 = "JAVA")
print("Original list:")
print(L1)
print("Length of the vector 'g1' and 'g2' of the list")
print(length(L1$g1))
print(length(L1$g2))

```

## 输出

```r
[1] "Original list:"
$g1
[1] 1 2 3 4 5

$g2
[1] "C Programming"

$g3
[1] "JAVA"

[1] "Length of the vector 'g1' and 'g2' of the list"
[1] 5
[1] 1
```