# R 程序：创建一个数据帧列表，并从列表中访问它

> 原文：<https://learnetutorials.com/r-programming/programs/create-list-of-dataframes>

## 如何创建数据帧列表并从列表中访问它

这里我们解释如何编写一个 R 程序来创建一个数据帧列表，并从列表中访问它。这里我们为此使用了一个内置函数 **list()** 。该功能有助于创建列表。这个函数的语法是

```r
**list(…)** 

```

其中**....(点)**是物体，可能命名。

## 如何创建一个数据帧列表，并使用 R 程序从列表中访问它

下面是在 R 程序中创建数据帧列表并从列表中访问它的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **DF1，DF2** 来保存数据帧**。**用数据帧调用功能**列表()**创建列表。从列表中访问数据帧，如 **L[[1]]，L[[2]。**

## 算法

**步骤 1** :用数据帧分配变量 **DF1、DF2**

**STEP 2** :创建 **L** 列表，两个数据帧为 **L=列表(DF1，DF2)**

**第三步**:打印原始列表

**步骤 4** :以**L[[1]]L[[2]]**的形式访问列表中的每个数据帧

**步骤 5** :打印每个数据帧

## 资源代码

```r
DF1 = data.frame(y1 = c(0, 1, 2), y2 = c(3, 4, 5))
DF2 = data.frame(y1 = c(6, 7, 8), y2 = c(9, 10, 11))
L= list(DF1, DF2)
print("New list:")
print(L)
print("Data frame-1")
print(L[[1]])
print("Data frame-2")
print(L[[2]])

```

## 输出

```r
[1] "New list:"
[[1]]
  y1 y2
1  0  3
2  1  4
3  2  5

[[2]]
  y1 y2
1  6  9
2  7 10
3  8 11

[1] "Data frame-1"
  y1 y2
1  0  3
2  1  4
3  2  5
[1] "Data frame-2"
  y1 y2
1  6  9
2  7 10
3  8 11 
```