# R 程序：将给定数据帧按行转换为列表

> 原文：<https://learnetutorials.com/r-programming/programs/convert-dataframe-to-list>

## 如何按行将给定的数据帧转换为列表

这里我们解释如何编写一个 R 程序，将一个给定的数据帧按行转换成一个列表。这里我们使用的是内置函数 **data.frame()** 。数据帧用于存储具有等长向量列表的数据表。数据帧是由函数`data.frame()`创建的，该函数具有紧密耦合的变量集合。这个函数的语法是，

```r
 **data.frame(…, row.names = NULL, check.rows = FALSE,check.names = TRUE, fix.empty.names = TRUE,stringsAsFactors = default.stringsAsFactors())** 

```

其中**点(...)**表示参数是形式值或标记=值和**行。名称**为空或单个整数或字符串。

## 如何在 R 程序中将给定的数据帧按行转换成列表

下面是 R 程序中用于将给定数据帧按行转换为列表的步骤。在这个 R 程序中，我们直接把数据帧交给一个内置函数。这里我们使用变量 **E，N，S，A，Q** 来保存不同类型的向量**。**调用函数`data.frame()`创建**数据帧**。最后，通过调用 **split(E，seq(nrow(E))，将数据帧转换为列表 L。**这里 **split()** 有助于将包含值的向量或数据帧分成组。而 **seq()** 方法有助于生成规则序列。

## 算法

**步骤 1** :用向量值分配变量 **E** 、 **N、S、A、Q**

**步骤 2** :用给定值创建一个数据帧 **E**

**第三步**:打印数据帧

**STEP 4** :调用 **split(E，seq(nrow(E)))** 将数据帧转换为列表 **L**

**第五步**:打印新列表 **L**

## 资源代码

```r
E = data.frame(
N = c('Jhon', 'Hialy', 'Albert', 'James', 'Delma'),
S = c(10, 9.5, 12.2, 11, 8),
A = c(2, 1, 2, 4, 1),
Q = c('yes', 'no', 'yes', 'no', 'no')
)
print("Original dataframe:")
print(E)
L = split(E, seq(nrow(E)))
print("dataframe rows to a list:")
print(L)

```

## 输出

```r
[1] "Original dataframe:"
       N    S A   Q
1   Jhon 10.0 2 yes
2  Hialy  9.5 1  no
3 Albert 12.2 2 yes
4  James 11.0 4  no
5  Delma  8.0 1  no
[1] "dataframe rows to a list:"
$`1`
     N  S A   Q
1 Jhon 10 2 yes

$`2`
      N   S A  Q
2 Hialy 9.5 1 no

$`3`
       N    S A   Q
3 Albert 12.2 2 yes

$`4`
      N  S A  Q
4 James 11 4 no

$`5`
      N S A  Q
5 Delma 8 1 no 
```