# R 程序：将给定矩阵转换成列表

> 原文：<https://learnetutorials.com/r-programming/programs/convert-matrix-into-list>

## 如何将给定的矩阵转换成列表

这里我们解释如何编写一个 R 程序，将一个给定的矩阵转换成一个列表。这里我们使用一个内置函数**矩阵()**进行这个转换。此方法有助于从给定的一组值创建矩阵。这个函数的语法是，

```r
**matrix(data = NA, nrow = 1, ncol = 1, byrow = FALSE,dimnames = NULL)** 

```

**NA** :可选数据向量。

**n 显示**:所需的行数。

**ncol** :所需的列数。

**byrow** :如果为 FALSE(默认值)，则矩阵按列填充，否则按行填充。

**dimnames** :空或长度为 2 的列表，分别给出行和列的名称。

## 如何在 R 程序中将给定矩阵转换成列表

以下是 R 程序中用于将给定矩阵转换为列表的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **Matx** 来分配矩阵。创建矩阵。最后使用`split()`方法，该方法有助于将包含值的向量或数据帧分成组。`split()`方法复制这些值。

## 算法

**第一步**:给变量**赋矩阵值**

**步骤 2** :创建一个 2 行 2 列的矩阵

**STEP 3** :通过调用类似**的矩阵(1:8，nrow=2，ncol=2)** 来创建

**步骤 4** :打印原始矩阵

**第五步**:使用**拆分()，`rep()`** 将矩阵转换为列表

**步骤 6** :最后打印转换后的列表

## 资源代码

```r
Matx = matrix(1:8,nrow=2, ncol=2)
print("Original matrix:")
print(Matx)
L= split(Matx, rep(1:ncol(Matx), each = nrow(Matx)))
print("list from the matrix:")
print(L)

```

## 输出

```r
[1] "Original matrix:"
     [,1] [,2]
[1,]    1    3
[2,]    2    4
[1] "list from the matrix:"
$`1`
[1] 1 2

$`2`
[1] 3 4
```