# R 程序：提取列表中第一个向量的第三个元素以外的所有元素

> 原文：<https://learnetutorials.com/r-programming/programs/extract-elements-in-a-list>

## 如何提取列表中除第三个向量之外的所有元素

这里我们解释如何编写一个 R 程序来提取除了列表中第一个向量的第三个之外的所有元素。这里我们为此使用了一个内置函数 **list()** 。该功能有助于创建列表。这个函数的语法是

```r
**list(…)** 

```

其中**....(点)**是物体，可能命名。

## 如何使用 R 程序提取列表中除第三个向量之外的所有元素

以下是 R 程序中提取除列表中第一个向量的第三个之外的所有元素的步骤。在这个 R 程序中，我们直接给一个内置函数 **list()** 赋值。这里我们使用变量 **L1** 来保存列表元素 g1、g2、g3 **。**用不同类型的元素调用函数 **list()** 。提取除第一个向量的第三个元素之外的所有元素，如 **L1$g1 = L1$g1[-3]。**最后，打印矢量值。

## 算法

**第一步**:给变量分配一个列表 **L1**

**STEP 2** :用 3 组元素 **g1、g2、g3** 创建 **L1**

**第三步**:打印第一个矢量

**步骤 4** :第一个没有元素的向量由 **L1$g1 = L1$g1[-3]** 提取

**第五步**:打印最终矢量值

## 资源代码

```r
L1 = list(g1 = 1:5, g2 = "C Programming", g3 = "JAVA")
print("Original list:")
print(L1)
print("First vector:")
print(L1$g1)
print("First vector without third element:")
L1$g1 = L1$g1[-3]
print(L1$g1)

```

## 输出

```r
[1] "Original list:"
$g1
[1] 1 2 3 4 5

$g2
[1] "C Programming"

$g3
[1] "JAVA"

[1] "First vector:"
[1] 1 2 3 4 5
[1] "First vector without third element:"
[1] 1 2 4 5
```