# R 程序：连接一个向量

> 原文：<https://learnetutorials.com/r-programming/programs/concatenate-vector>

## 如何连接一个向量

这里我们解释如何写一个 R 程序来连接一个向量。这里我们使用一个内置函数**粘贴()，折叠()**来实现。函数`paste()`有助于在转换为字符后连接向量。`paste()`函数有助于将任意长度的字符向量折叠成长度为 1 的向量。这个方法的语法如下

```r
**paste0(…, collapse = NULL)** 

```

其中**...(点)**表示一个或多个要转换为字符向量的 R 对象，**折叠**是一个可选字符串，用于分隔结果

```r
**collapse(x, sep = "", width = Inf, last = "")** 

```

其中 **x** 是要折叠的字符向量， **sep** 是分隔术语的字符串。截断前的最大字符串宽度由**宽度**表示最后，**最后一个**是用来分隔最后两项的最后一个字符串。

## 如何在 R 程序中连接一个向量

下面是 R 程序中连接一个向量的步骤。在这个 R 程序中，我们直接给内置函数赋值。并打印函数结果。这里我们使用变量 **A** 来分配向量值。变量 **B** 用于保存连接的字符串。该字符串通过调用类似 **B =粘贴(A，折叠= ")**的方法进行连接。最后打印连接的字符串。

## 算法

**步骤 1** :给变量 **A** 赋值向量值

**步骤 2** :首先打印原始矢量值

**STEP 3** :连接向量 **A** 并保存到变量 **B** 为 **B =粘贴(A，折叠= ")**

**步骤 4** :打印结果向量 **B**

## 资源代码

```r
A = c("Java", "Python", "Php")
print(A)
B = paste(A, collapse = "")
print("Concatenation of the string:")
print(B)

```

## 输出

```r
[1] "Java"  "Python"  "Php"
[1] "Concatenation of the string:"
[1] "JavaPythonPhp" 
```