# 网络犯罪概论

> 原文：<https://learnetutorials.com/cyber-security/cyber-crimes>

互联网于 1960 年开始使用。起初，处理网络犯罪不是一个问题，因为公众无法接触到它。只有一个国家的国防系统和一个国家的高级官员使用互联网的特权，情况是顺利和良好的。

20 世纪 90 年代末，互联网更加发达，这是公众获得互联网的开始，互联网开始在公众中展开翅膀。每一件好事，里面都会隐藏着一件坏事。互联网与此没有什么不同，因为犯罪分子开始利用互联网窃取他人的个人和敏感数据，甚至破坏网络中的系统。它从简单的广告软件到能够摧毁一个系统并窃取其所有数据的复杂病毒。

2000 年代初，网络犯罪率上升，每个国家的执法部门都开始对付网络犯罪分子。使用中间人攻击和复杂得多的威胁进行数据包跟踪、数据包篡改和窃取数据。网络犯罪定义的重点从破坏计算机转变为破坏或操纵或窃取计算机或网络中的数据。

## 网络犯罪的分类

现在网络犯罪正在增加，预计全球每天都有数百万人受到网络犯罪的影响。因此，我们将网络罪犯分为组织内部或外部的罪犯。

### 内部攻击

内部攻击可以定义为由该组织中的授权人员执行的攻击。大多数情况下，这种情况发生在具有犯罪心理或对组织非常不满的员工身上，他们拥有访问该组织所有网络的所有授权。

对攻击者来说，内部攻击是一个容易的过程，它会对网络或系统产生很大的影响，因为攻击者知道网络及其安全性，并且很容易受到攻击者的巨大影响，导致网络崩溃。在内部安装入侵检测是减少内部攻击的唯一方法。

![Inside Attack](img/41361aca2b9c8c5d654cee8c7e0c7b43.png)

### 内部攻击者的主要来源

### 外部攻击

它可以被定义为来自外部的攻击，有或没有组织内部人员的帮助。这种攻击可能是致命的，因为它不仅会造成财务损失和敏感信息的损失，还会损失组织的声誉和信任。

外部攻击者将在攻击前几天监控网络以获取大量信息，因此阻止他的唯一机会是建立强大的防火墙和网关，并聘请网络专业人员，如果需要，请道德黑客帮助应对攻击。

网络犯罪的另一种分类是结构化和非结构化攻击，根据黑客的知识水平或攻击的影响程度进行分类。根据攻击者的技能和经验，它可能简单到致命。

### 非结构化攻击

这些类型的攻击是由在网络领域没有任何技能或经验的业余爱好者完成的。它对网络的影响可以忽略不计。这种攻击背后的主要原因可能是有趣或尝试新的黑客工具或试图获得一些钱或打动某人。

### 结构化攻击

这些类型的攻击可能是致命的，并且会给组织造成很大损失，因为这是由在网络安全及其层方面拥有丰富技能和经验的专业黑客进行的。他们有明确的目标，有完善的技能和工具来打开防火墙和网络安全。他们可以掩盖入侵检测，这种罪犯是危险的主要是一些敌对国家或恐怖组织等。

现在在这个现代世界里，网络犯罪正成为一种低成本投资和赚取高收入的秘密方法。因此，了解网络安全和预防网络犯罪几乎是所有国家的责任，甚至每个人都必须了解基本的网络安全来保护自己。

## 网络犯罪激增的原因

1.  **金钱**:大量的金钱被用来吸引犯罪分子。
2.  **报复**:对一个组织或者一个人进行报复，是一种简单又安全的方式。
3.  **乐趣**:业余爱好者做网络犯罪只是为了娱乐或者给某人留下深刻印象
4.  **易得性**:现在互联网上很多攻击工具都很容易得到。
5.  **匿名**:有很多工具可以把一个罪犯藏在网络空间里，让罪犯匿名，可以做任何事情而不被抓。