# 网络安全原则

> 原文：<https://learnetutorials.com/cyber-security/cyber-security-principles>

互联网使用的增加迫使不同国家的政府为互联网提供良好的安全性。英国的公司首先认识到在使用互联网时需要一些指导方针。使用这些指南是为了帮助普通人安全地使用网络空间，限制网络犯罪和攻击。网络安全包括保护敏感信息、系统和网络免受网络犯罪分子的侵害。

我们讨论了为保护和告知不同互联网提供商的客户而制定的准则。这些指导方针是在政府和互联网供应商的协调下制定的，这些供应商有各种各样的客户，他们的需求各不相同。

现在让我们一个一个地详细检查指导方针

1.  建立风险管理系统
2.  经济
3.  保护所有配置
4.  故障安全默认值
5.  管理用户权限
6.  开放式设计
7.  监视
8.  完全调解
9.  恶意软件的防范
10.  特权分离
11.  最不常见的机制
12.  心理接受
13.  可移动媒体控件
14.  工作因素
15.  折衷阅读

### 1 风险管理系统

风险和攻击在一个组织中是不可避免的，在互联网的情况下也是如此。一个组织必须有一套规则和策略，在发生被称为风险管理系统的攻击时，必须遵循这些规则和策略。

这套规则和策略是在高级专家和组织相关人员的帮助下制定的，他们分析风险发生的所有可能性，并对它们进行优先排序，以制定完善的规则。

一旦风险管理系统准备就绪，所有员工和与该组织相关的人员必须了解该系统，并在发生风险时根据该系统内的规则行事。

### 2 经济

安全流程必须简单且易于实施。我们必须简化设计并减少实现过程，因为在简单的设计中，很容易纠正错误，并且在简单的模型中发生错误的机会更少。此外，在一个简单的模型中，错误的测试将是容易的和有成本效益的。我们还注意在安全系统中有不同模块的简单接口，这有助于减少错误的假设。

### 3 保护所有连接

该原则规定，在配置系统和网络时，我们必须保护计算机和网络的所有配置。如果我们在配置计算机时保护它，我们可以减少系统中的风险因素。该过程包括禁用自动运行、管理安全漏洞以及删除所有不需要的功能以消除所有风险因素。

### 4 个故障安全默认值

这一原则简单易懂，因为它规定系统或网络的默认配置应具有保护功能，不受所有其他访问的影响。它还规定，新系统授予的权限必须受到限制。新系统或用户对安全模块和敏感区域的访问必须受到限制。

例如，假设我们有一个系统，我们在其中访问管理员权限。有一天，另一个用户来要求使用你的系统几天，你不允许他访问管理帐户。根据原则，为了系统的安全，我们必须为该用户创建一个特权比管理员少的来宾帐户。

### 5 管理用户权限

该原则规定，授予任何用户的权限必须是针对某项任务的，并且只允许在该任务持续时间内完成。这种权限控制是为了在最短时间内控制用户权限，只有在需要时才允许。
例如，假设您是网络管理员，您的一名同事需要访问网络。在这种情况下，您必须检查他的需求，并计算他完成任务所需的权限，只允许该权限持续完成任务

### 6 开放式设计

这一原则表明，安全实现在其设计中不需要太多的保密性和复杂性，这意味着更多的保密性或复杂性并不意味着它更安全。它不仅可以应用于凭证或网络，还可以应用于计算机系统

这种原理的一个例子是光盘中使用的内容加扰方法。

### 7 监测

每个组织都必须安装入侵检测和防范设施，但在某些情况下，它可能无法检测和防范入侵。在这种情况下，这一原则是有效的，它表明组织有一个监控策略，该策略可以监视该公司发生的安全活动。

监控是通过监控每个系统和网络以及用户活动来完成的，它必须有良好的备份策略。

### 8 完全调解

在互联网上，会有信息缓存，这样做是为了使过程变得简单快捷，就像保存上一次登录的登录信息，以便下一次登录变得简单快捷。但是完整的中介原则规定，在网络中不允许这样的数据缓存，这意味着每当用户需要访问网络或对象时，我们都必须检查用户的权限。

这使得该过程有点复杂和耗时，这稍微降低了性能，但是对于安全性来说是必不可少的，因为登录权限和特权可以随时改变。因此，每个用户每次访问网络中的对象时都必须登录，以检查用户的权限。

例如，在网上银行中，每个用户每次都必须登录并进行每一笔交易，即使退格在这种情况下也不起作用。

### 9 恶意软件的防范

恶意软件是世界上几乎所有组织面临的主要和常见问题之一。它可能以多种形式和方式出现。恶意软件没有常见的感染形式或方式，因此统一的方法无法防止恶意软件。

主要是通过电子邮件和网络。在电子邮件中使用良好的垃圾邮件检测。使用电子邮件线程保护来防止电子邮件受到网络钓鱼攻击。在网络中安装良好的防火墙和入侵检测。在组织中的每个系统中使用良好的更新防病毒软件。

### 10 特权分离

这是重要原则之一，因为它指出需要两步核查。一般来说，我们可以说系统只在满足多个条件时才允许权限。这意味着一个条件不足以授予用户对网络对象的权限。

### 11 种最不常见的机制

这一原则是为了资源共享，因为它意味着限制资源共享。它规定用户之间共享的资源必须最少。

### 12 心理可接受性

资源的安全机制不应该太复杂，这是一种心理效应。假设我们有一台计算机，它的安全措施非常复杂，那么用户在使用敏感信息之前不会采取必要的预防措施。

### 13 个可移动媒体控件

可移动介质将充当各种病毒、蠕虫、特洛伊木马和恶意软件的中心。当可移动介质连接到某个系统时，它很容易感染该系统，并且可以从该系统传播到整个组织网络。

每个组织在使用可移动媒体时都必须有严格的策略，并且在我们要连接可移动媒体的地方必须有一个好的防病毒软件。

### 14 工作因素

这是一个与网络安全没有直接关系的因素，但它是在网络安全模型中进行良好设计所必需的。根据这一原则，构建安全系统所需的费用必须与攻击者制定攻击网络计划的可用资源相当。

在某些情况下，找到成本将非常复杂，它被用来计算密码强度。

### 15 妥协录音

这是一个简单的原则，即我们应该记录所有的入侵和对入侵的尝试，因为它可以帮助我们在了解入侵方式时制定更好的安全措施。

这方面的一个例子是监控所有细节的联网摄像机。