# 数据安全

> 原文：<https://learnetutorials.com/cyber-security/data-security-and-encryption>

数据或信息是当今时代最有价值的资产。专家攻击者可以利用这些数据或信息做任何事情。用户、组织甚至政府都有责任保护数据免受任何非法活动的侵害，如窃取数据、操纵数据、非法访问甚至删除敏感数据。

数据安全是指数据的安全性，免受所有对数据的攻击，如窃取数据、非法访问数据、修改敏感数据甚至删除数据。数据安全需要强大的基础设施和优秀的系统管理员团队来保护数据免受攻击者的攻击。

为了设计一个完美的数据保护安全系统，我们需要保存一些基本的数据，比如

1.  数据的完整性
2.  数据隐私
3.  防止未经授权删除数据

为了正确设计数据安全，防止所有类型的攻击，如入侵、修改或删除数据，并维护数据的这三个基本原则，我们必须考虑下面陈述的一些方面

1.  对数据进行适当的加密
2.  需要适当的数据备份
3.  反恶意软件保护
4.  需要良好的档案存储
5.  使用适当的防火墙
6.  数据的高效处理
7.  遵循最小特权原则。

## 数据加密

数据加密是一种安全方法，我们对数据进行编码意味着使用密钥将数据从可读形式更改为不可读形式。它可以用另一个密钥转换回来，这个过程叫做解密或解码数据。加密的数据被称为密文，中间人攻击者无法读取或理解。

网络安全更喜欢在存储和传输数据的同时对数据进行加密。众所周知，现在所有的电子信息都是加密形式的，比如电子邮件或 WhatsApp。它有助于保护数据免受网络攻击者的攻击，即使他们可以访问数据。每一笔银行交易，包括使用加密技术的信用卡。用于加密数据的软件被称为加密算法。

### 加密类型

根据用于加密的密钥，加密可以大致分为两种类型。即

1.  **对称**:在对称的情况下，使用相同的密钥对数据进行加密和解密。这意味着我们只需要发送方和接收方知道的一个密钥来编码和解码数据。例如，AES、DES、IDEA、RC4 等
2.  **非对称**:在非对称加密中，使用一个密钥对数据进行加密，发送方使用这个密钥对数据进行加密，称为公钥。接收器将使用另一个密钥来解码数据，这个密钥就是秘密密钥。例如，RSA、DSS、ECC、TLS 等

## 数据备份

数据备份是数据安全中最基本和最古老的方法之一。它是制作数据的一个或多个副本并将这些副本保存在不同介质(如云存储)或物理设备(如硬盘)中的过程，通常称为数据备份。

我们必须定期备份数据，因为如果原始数据意外丢失或损坏或受到恶意攻击，这有助于我们恢复数据。以下是数据备份的优势

*   意外丢失数据或蓄意攻击
*   网络盗窃造成的数据丢失
*   保持数据的可靠性，这将是真实和准确的。

现在，我们必须决定安全备份需要制作多少份数据拷贝。为了实现完美的备份安全性，有一种国际方法，即 3-2-1 规则。

*   复制三份数据
*   使用两种不同的介质来存储数据，如硬盘或磁盘
*   必须有服务器备份，这意味着在托管网站的服务器上有一个数据副本。

现在我们必须考虑我们用来备份数据的介质。备份数据的常用介质有

*   硬盘可以是外部的或内部的
*   计算机网络服务器
*   云存储
*   Cd 或 DVD 备份
*   U 盘
*   大学档案馆

最后，在进行备份之前，我们必须遵循一些重要的事项，这些事项与我们要保存数据备份的介质的安全性有关

*   存储和传输数据时必须进行数据加密
*   根据用户的角色，必须拥有用户访问权限
*   必须用好的防火墙保存在介质中
*   必须有良好的杀毒和用户认证
*   使用 Linux 系统作为备份，最好使用 se Linux

## 数据防恶意软件保护

恶意软件是恶意软件的简称，是一种旨在感染计算机、网络等并在其中传播的程序，能够操纵或窃取数据或信息，还能够破坏系统或网络。

恶意软件不容易识别，因为它几乎可以在所有地方找到，如电子邮件、互联网、网站等。恶意软件包括隐藏在系统或网络中的病毒、蠕虫、特洛伊木马、威胁和广告软件。

当我们受到恶意软件威胁时，我们必须在存储数据的地方使用更新的反恶意软件检测系统。使用一个好的更新的防病毒软件，并且必须定期扫描任何感染。在访问电子邮件和上网时，请小心使用该系统。

## 遵循适当的数据存档

数据归档是将数据长期存储在安全的介质中。在某些组织中，将会有大量数据，这些数据对于组织的日常运营来说并不十分有用，但是必须安全地保存这些数据，这就是所谓的数据归档。

例如，在一家银行，会有大量的账户和它们的历史。很多账户在那个时候是不活跃的，但是银行保存了账户的所有记录，即使它是不工作的，这叫做数据存档。对于一个组织来说，它对于未来的任何需求都是必不可少的。一个好的数据存档必须是安全的，并且索引也有一个好的搜索选项来查找任何需要的数据，而不需要任何努力和成本。

现在我们都会思考数据归档和数据备份的区别。数据备份意味着我们正在保存一份数据拷贝，该拷贝正在积极使用系统，以确保数据安全，防止任何形式的丢失或损坏。

其中，数据归档是保存数据的过程，任何组织都不会主动使用这些数据，但需要这些数据供将来参考。以适当的时间间隔进行数据归档有助于减少活动数据的负载及其成本。

我们可以将数据归档到不同的介质中，如云中、离线或在线，如硬盘或服务器。无论我们在哪里归档数据，都必须安全、可靠、可访问且快速。
为了获得最佳数据归档和长期可用性，请考虑以下事项。

1.  **存储介质**:数据的归档是为了安全的长时间存储数据，所以我们必须选择最好的存储介质，能够长时间保存我们的数据
2.  **存储设备**:选择存储设备取决于数据的可访问性。如果我们需要经常访问或查阅数据，我们必须选择一种能够做到这一点的媒介。以上都选择了一个能够长时间安全保存我们数据的设备
3.  **重访旧归档**:随着技术和策略的变化，关于归档和归档选项的策略也会随着时间而变化。因此，我们必须重新访问旧档案，以检查档案中是否需要任何更改。
4.  **数据可用性**:正如我们所说的，我们存档的数据不能用于数据日常活动，但我们需要该存档用于未来参考，因此我们必须使用一种格式，该格式可以轻松地使数据可用于参考，而无需太多成本和精力。
5.  **选择性存档**:有些情况下，我们并不需要把所有的数据都存档，把所有的数据都存起来会耗费巨大的成本和精力。在这种情况下，我们必须有选择地选择哪些数据需要归档，哪些部分数据要避免归档。
6.  **空间考虑**:银行、政府和 IT 部门公司等许多组织都有大量数据需要归档。考虑归档所需的空间是至关重要的，这也变得具有成本效益。磁带是最好的便携式媒体。
7.  **离线还是在线**:接下来就是决定档案是在线存储还是离线存储。如果您决定以云的形式在线，它很容易访问，但容易受到攻击者和腐败的攻击。另一方面，像便携式磁带这样的离线介质是安全的，但不容易访问数据。