# 网络安全中的安全技术

> 原文：<https://learnetutorials.com/cyber-security/tools-and-techniques>

互联网现在是一种蓬勃发展的技术，每个组织都使用互联网进行日常活动。网络安全是当今科技世界的一个主要问题。随着互联网的快速发展，网络攻击者将有很多工具和技术可以用来攻击任何系统或网络。

互联网上的每个机构现在都容易受到攻击者的攻击，因为他们正在使用公共网络空间。每个人都关心保护他们的网络和系统免受攻击。这些机构在网络空间遵循的三个主要措施是

1.  预防措施
2.  侦查措施
3.  纠正措施

在网络安全中，组织必须知道许多技术和技巧，帮助他们在不被攻击的情况下阻止攻击者。这些技术将有助于维护网络安全中的这三项措施

1.  加密
2.  防火墙
3.  虚拟专用网络
4.  入侵检测
5.  访问控制(授权和认证)
6.  抗病毒素

## 加密

我们已经在前面的教程中讨论了加密方法。加密是一种网络安全方法，可以帮助我们在互联网上存储和发送敏感信息，而不会失去隐私和安全性。

使用密钥将信息转换成另一种格式的过程称为编码或加密，转换成这种格式的信息称为密文。

使用密钥将密文转换回可读格式的过程称为解密或解码。被解密的信息叫做解密文本。

加密有不同的类型，如基于密钥的对称和非对称加密，其中对称加密仅使用一个密钥进行编码和解码，而非对称加密使用两个密钥，一个是公共密钥，另一个是秘密密钥来编码和解码文本。

### 为什么加密很重要？

1.  数据传输易受攻击
2.  安全威胁正在演变
3.  许多应用程序公开数据
4.  黑客是高利润的行业

## 防火墙

就像这个名字一样，防火墙就像一堵火墙，有助于保护一个私人网络免受公共互联网的网络海洋的影响。防火墙可以定义为一种网络安全系统，它可以是硬件或软件，也可以是两者的组合，用于保护专用网络免受外部公共网络对专用网络资源的未授权访问和使用。

安装 Fire 后，所有离开或进入专用网络的数据包都应通过防火墙，防火墙会检查每个数据包是否有恶意活动。

防火墙可以根据不同的标准进行分类，我们只讨论重要的方面。

1.  处理模式
2.  部署区域
3.  架构实现

我们可以根据处理模式划分防火墙，例如

1.  包过滤
2.  应用网关
3.  电路网关
4.  Mac 层防火墙
5.  混合物

### 包过滤

互联网中的每个数据都是以数据包的形式从一台网络计算机传输到另一台网络。这些数据包的报头包含发送方和接收方的详细信息，数据部分包含要传输的数据。

防火墙将充当一道墙，检查每个数据包报头的发送方和接收方信息，并验证数据包。防火墙根据数据包的真实性做出决定，是转发数据包还是丢弃数据包。

防火墙内部会有一套完善的规则来做出决定，它会扫描网络数据包，看数据包中是否有任何恶意活动。大多数防火墙将在规则组合上工作，例如

1.  IP 源地址和目的地
2.  方向
3.  TCP 和 UDP 端口请求。

详细来说，包过滤可以分为不同的是，例如

1.  静态过滤:在这种类型中，防火墙中的规则由管理员决定
2.  动态过滤:在这种类型中，防火墙的规则由防火墙自己制定。
3.  状态检测:帮助跟踪来自内部和外部系统的连接。

### 应用网关

#### 什么是应用网关？

网关是数据包进入或离开系统或网络的地方。它是一个防火墙代理，为需要高安全性的系统提供网络安全。它提供了用户和服务器之间的安全通信。这个应用网关帮助我们在应用层面对数据进行保护，也就是说它可以从 bittorrent、FTP、telnet 等一些应用中过滤一些特定的数据。该防火墙将作为被请求用户和阻止恶意数据包的服务器之间的中间人。

例如，当用户从服务器请求数据时，首先在用户和代理服务器之间建立连接，然后代理与真实服务器建立连接

### 电路网关

电路级网关是防火墙，工作在传输层。传输层处理 TCP 和 UDP 连接，这意味着这些电路网关能够处理 TCP 或 UDP 连接中的数据包。

这些电路网关位于传输层和应用层之间，称为会话层，可以处理和监控 TCP 或 UDP 连接中的数据包和握手。该网关还可以充当虚拟专用网络。

### 媒体访问控制层防火墙

MAC 层防火墙将在媒体访问控制层工作。它能够过滤向服务器发出请求的用户的媒体访问控制地址，并能够在发现任何恶意活动时阻止用户。

这一层将有一个条目列表，其中包括一些充当主机的系统的媒体访问控制地址，该列表称为访问控制列表。该列表在决定将哪个数据包发送到主机系统时起着重要作用。

### 混合防火墙

防火墙是我们上面提到的所有防火墙的组合，因此它可以具有我们上面讨论的防火墙的所有功能。

现在，防火墙的另一个分类是基于防火墙要使用的地方，

1.  商用电器
2.  小型办公室
3.  家庭软件

我们必须根据一些因素为组织选择防火墙配置，包括

1.  网络目标
2.  实施防火墙的能力
3.  成本承受能力

根据这些原则，我们可以将防火墙配置分为 4 种类型

1.  包过滤路由器
2.  屏蔽主机防火墙
3.  双主机防火墙
4.  屏蔽子网防火墙

## 虚拟专用网络

我们都听说过虚拟专用网和其他代理方法，可以在不失去隐私的情况下上网访问任何网站。虚拟专用网代表虚拟专用网络；这是一种网络安全技术，使用安全的隧道在互联网上传输文件和敏感信息。

#### 虚拟专用网如何实现安全传输？

虚拟专用网从用户需要的系统连接到加密和安全的网络。该连接可用于传输数据和敏感信息，而不会被窃听或非法访问。使用虚拟专用网可以隐藏我们的知识产权和地理信息，这样我们就可以访问任何受地理限制的网站。

VPN 就像一个防火墙，但保护用户的数据和信息在互联网上。最终用户必须登录才能进入虚拟专用网服务器，安全隧道从这里开始。一旦用户进入虚拟专用网服务器，他们就可以通过这些隧道安全、保密地发送敏感信息。

## 入侵检测系统

入侵检测系统是网络安全中的一种安全技术，它监控一个组织的系统和网络。入侵检测系统帮助系统管理员发现来自组织外部或内部的攻击。

防火墙是组织的一种安全措施，它帮助我们过滤外部流量，以检查来自组织外部的恶意活动，入侵检测系统帮助系统管理员保护防火墙，因为如果有人试图破坏防火墙，它会向系统管理员发出警报。

入侵检测系统有以下不同类型

1.  入侵检测产品
2.  我的天
3.  基于签名
4.  基于异常

### 入侵检测产品

它监控网络流量，以发现源自组织内部或外部的所有异常或攻击。

### 我的天

HIDS 代表主机入侵检测系统，它运行在组织中几乎所有的计算机和网络上。HIDS 帮助监控所有内部流量及其异常情况。它还检测 NIDS 安全监控未能捕捉到的流量异常。

### 基于签名的入侵检测

这是另一个能够检测本质上是恶意模式的监控系统。它有助于检测来自内部或外部来源的所有异常。这有助于检测所有已知的模式，如恶意软件，但无法检测到新的威胁。

### 基于异常的检测系统

它用于监控当前场景中未知的威胁，因为恶意软件正在大量增加。它感应到恶意活动并通知管理员。

## 访问控制(认证和授权)

访问控制是一种限制未授权人员进入某个地方或系统的方法。访问控制是一个降低未经授权访问敏感信息的安全风险的过程。

根据这一原则，只有在完成任务所需的必要时间内，访问资源的特权才会授予所需的实体。

例如，考虑一名员工需要访问一个系统，该系统具有敏感信息，用于完成分配给他的任务。系统管理员只需授予他所需信息的基本权限，并在他完成任务后撤销访问权限。

访问控制是授权和身份验证两个组件的组合。身份验证是一个过程，由用户使用其凭据完成。例如，Gmail 帐户的用户名和密码。授权是一个由授予用户访问权限的管理员完成的过程。

访问控制有两种类型，它们是

1.  **物理访问控制:**这是访问控制，它是物理形式的，如进入建筑物、银行内部等。
2.  **逻辑访问控制:**逻辑访问就像访问 Gmail 账户、登录电脑等。

## 抗病毒素

防病毒软件有助于保护系统免受各种威胁，如病毒、蠕虫、特洛伊木马、广告软件、恶意软件等。我们有不同的方法来保护网络，但我们需要在每个系统中安装防病毒软件来保护它们，并始终确保病毒数据库得到更新。

防病毒软件有一个病毒数据库，其中包含所有已知病毒和威胁的模式和特征。防病毒软件会扫描我们系统中的所有文件，以检查这些类型的模式或功能是否存在，并将这些程序移至某个存储库中，然后从该存储库中删除。因此，我们必须仅使用更新的防病毒数据库来获得高效的结果。