# 网络安全策略

> 原文：<https://learnetutorials.com/cyber-security/policies>

## 什么是安全策略？

安全策略被定义为一组高级规则，由组织的高级官员和安全专家为该组织中有权访问组织敏感信息的所有员工发布。它有定义信息访问方式的规则。

这些规则是组织中不可更改的文档，负责所有来自内部和外部威胁的信息安全。安全规则是一个永无止境的文档，当新技术和威胁到来时，它会一直更新。

例如，几乎所有组织都有访问文档和使用公司系统中外部设备的特定规则。此外，大部分组织都有书面文件，员工不得访问不安全的网站。

## 网络安全策略的需求是什么？

无论从内部还是外部，到处都有攻击者。为了组织的顺利运作和安全，它必须有一些处理信息的策略。完美安全策略的其他一些需求是

1.  **提高效率:**这对于在访问组织的信息时避免意外和故意的损害是很有帮助的。如果员工知道他们被允许使用和不被允许在组织内部做什么，它可以降低许多安全系统的成本。
2.  **增加纪律和责任:**这将有助于组织增加纪律，因为组织对员工允许做什么和不允许做什么有明确的书面规定。这有助于减少错误，使所有员工更加自律，因为如果员工犯了任何错误，公司都能够采取行动。
3.  **有助于开展更多业务**:拥有非常好的安全策略的组织将增加该组织的信任度，这将使客户更有信心与那些保持其信息安全的组织进行业务交易。
4.  **增加员工知识:**在组织中，并非强制要求所有员工都了解网络安全。如果组织有很好的关于网络安全的书面策略，这将有助于员工了解它，并有助于建立强有力的凭证。

## 网络安全类型有哪些？

每个组织都有自己制定安全策略的标准，讨论所有这些标准超出了我们的范围。一些重要的安全类型包括

1.  **组织安全策略**:组织安全策略是员工在组织内部应该遵循的整体安全措施。这将是该组织的基本安全策略，其他特定的安全策略就是从这一策略派生出来的。
2.  **系统特定策略:**组织内部会有不同的系统，如客户应用程序、薪资系统等。系统特定策略是特定系统的安全规则。
3.  **发布特定策略**:发布特定策略是在组织内部创建特定问题时，我们必须遵循的规则

## 有哪些不同的安全建议？

一些重要的网络安全建议在这里，

### 病毒和间谍软件防护

病毒和间谍软件对于一个能够窃取所有信息，甚至能够摧毁该组织系统的组织来说是非常重要的威胁。病毒和间谍软件策略提供以下保护，

1.  它有助于检测和删除所有病毒，并有助于修复病毒影响造成的系统损坏。
2.  它有助于检测文件和应用程序中恶意或可疑的威胁。

### 防火墙策略

防火墙是一个网关，有助于检测和阻止来自网络攻击者的所有外部威胁。防火墙策略包括以下保护

1.  它阻止所有来自互联网的未经授权的访问和恶意数据包。
2.  防火墙能够检测来自外部犯罪分子的所有攻击

### 入侵防御

入侵是对组织信息的非法访问，并试图从组织中破坏或窃取信息。入侵防御有助于阻止来自组织外部或内部的所有攻击。

它检测并阻止所有攻击者，保护应用程序免受恶意软件和漏洞的攻击。

### 应用和设备控制

该策略包括对物理设备(如组织计算机和其他设备)的保护，还涉及对设备上运行的应用程序的保护。

### 例外策略

有些组织的某些应用程序不包含在此安全扫描中，这些应用程序和数据包含在例外策略中。这些应用程序或数据不受安全保护。

### 主机完整性策略

每个组织都有可以访问组织数据和应用程序的客户。在这种情况下，此主机完整性策略有助于组织强制实施或定义客户端计算机访问组织资源必须具备的一些策略。例如，客户端必须安装防病毒软件。

## 网络安全策略解决了哪些问题？

组织对安全策略的需求因组织而异，但在制定网络安全策略时，几乎所有组织都必须解决一些重要问题。

1.  **物理安全:**这些策略包括组织必须向其物理设备和网络(如数据中心、服务器、系统等)提供的物理安全。它包括访问控制、监控等。
2.  **数据保留:**组织需要大量数据才能正常工作。数据保留包括关于收集多少数据、在哪里存储数据、应该存储多长时间等的策略。
3.  **数据加密**:数据加密包括将要用于存储和传输数据的加密方法。
4.  **访问控制:**它定义了谁有权访问数据。此外，它还定义了特定用户对特定资源的访问时间。
5.  **风险管理:**风险管理策略包括风险评估和对风险情况的组织策略。另外，这样的情况是谁在负责？